#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# sh.full


CUR_DIR=`pwd`
AGENT_DIR=`dirname ${0}`/../
cd "${AGENT_DIR}"

AGENT_HOME=`pwd`
export AGENT_HOME

AGENT_SYSTEM_PATH=$PATH
export AGENT_SYSTEM_PATH

#Platform specific args...
AGENT_PLATFORM=`/bin/uname`
export AGENT_PLATFORM
PLATFORM_ARCH=`/bin/uname -m`
export PLATFORM_ARCH

case $AGENT_PLATFORM in
  AIX)
    EXTSHM=ON
    LIBPATH="$AGENT_HOME/bin":$LIBPATH
    export LIBPATH EXTSHM ;;
  Linux)
    LD_LIBRARY_PATH="$AGENT_HOME/bin":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    LD_LIBRARY_PATH="$AGENT_HOME/bin":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH 
    if [ "$LANG" = "" ]
    then
       LANG=C
       export LANG
    fi
    if [ $PLATFORM_ARCH = "i86pc" ]
    then
      JVM_EXTRA_CMD_ARGS=-d64
      export JVM_EXTRA_CMD_ARGS
    fi

  ;;
  HP-UX)
    SHLIB_PATH="$AGENT_HOME/bin":$SHLIB_PATH
    export SHLIB_PATH
    if [ "$ARCH" = "ia64" ]
    then
      JVM_EXTRA_CMD_ARGS="-d64 -Djava.net.preferIPv4Stack=false"
    else
      JVM_EXTRA_CMD_ARGS=-Djava.net.preferIPv4Stack=false
    fi;;
esac

AGENT_SYSTEM_JAVA_HOME=$JAVA_HOME
export AGENT_SYSTEM_JAVA_HOME

AGENT_SYSTEM_CLASSPATH=$CLASSPATH
export AGENT_SYSTEM_CLASSPATH

AGENT_JAVA_HOME=$AGENT_HOME/java/jre
export AGENT_JAVA_HOME

AGENT_PATH=$AGENT_JAVA_HOME/bin:$AGENT_HOME/bin:$PATH
export AGENT_PATH

PATH=$AGENT_PATH
export PATH

AGENT_HOME_LIB=$AGENT_HOME/lib
export AGENT_HOME_LIB

cd "${CUR_DIR}"

XDA_LOGGING="-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true"
export XDA_LOGGING

XDA_EXT_DIRS=-Djava.ext.dirs=$AGENT_JAVA_HOME/lib/ext:$AGENT_HOME/lib:$AGENT_HOME/runtimes
export XDA_EXT_DIRS




