//EEXZNCRT JOB <JOB PARAMETERS>                                                 
//*********************************************************************         
//* Licensed Material - Property of IBM                               *         
//* 5655-P28,5655-S33 (C) Copyright IBM Corp. 2006,2007               *         
//*                                                                   *         
//* All Rights Reserved.                                              *         
//*                                                                   *         
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *         
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *         
//*                                                                   *         
//* Status = HEEX610                                                  *         
//* _________________________________________________________________ *         
//*                                                                   *         
//*   This job creates new TARGET and DLIB zones for an existing      *         
//*    global SMPE environment for WebSphere Extended Deployment for  *         
//*    z/OS.                                                          *         
//*                                                                   *         
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *         
//*  Before using this job step, you will have to make the following  *         
//*  modifications:                                                   *         
//*                                                                   *         
//*  1) Add the job parameters to meet your system requirements       *         
//*  2) Change #globalcsi to the dataset name of your global CSI      *         
//*     data set                                                      *         
//*  3) Change #tzone to the name of your target zone                 *         
//*  4) Change #dzone to the name of your distribution zone           *         
//*  5) Change #hhh to the appropriate high-level qualifier           *         
//*  6) Change #volser to the volser you will be using                *         
//*  7) New SMPJHOME DDDEF. Please refer to the "Perform SMP/E APPLY" *         
//*     section of the program directory for requirements for         *         
//*     including this DDDEF.                                         *         
//*  8) Change #javapath to your java path                            *         
//*                                                                   *         
//*  Notes:                                                           *         
//*                                                                   *         
//*  1. This job should complete with a return code 0.                *         
//*                                                                   *         
//*  2. Please review your z/OS data set allocations for the          *         
//*     following datasets                                            *         
//*                                                                   *         
//*       MACLIB                                                      *         
//*                                                                   *         
//*     If the z/OS data set high-level qualifiers are different      *         
//*     from the defaults please change accordingly.                  *         
//*                                                                   *         
//*********************************************************************         
//* This step allocates the base set of SMPE datasets.                *         
//*********************************************************************         
//SMPEDS  EXEC PGM=IEFBR14                                                      
//SMPLTS   DD  DSN=#hhh.SMPLTS,DISP=(NEW,CATLG,DELETE),                         
//             DCB=(RECFM=U,LRECL=0,BLKSIZE=32760),DSNTYPE=LIBRARY,             
//             UNIT=3390,VOL=SER=#volser,                                       
//             SPACE=(TRK,(6535,653,1))                                         
//SMPMTS   DD  DSN=#hhh.SMPMTS,DISP=(NEW,CATLG,DELETE),                         
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=0),                               
//             UNIT=3390,VOL=SER=#volser,                                       
//             SPACE=(TRK,(15,5,80))                                            
//SMPSCDS  DD  DSN=#hhh.SMPSCDS,DISP=(NEW,CATLG,DELETE),                        
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=0),                               
//             UNIT=3390,VOL=SER=#volser,                                       
//             SPACE=(TRK,(15,2,80))                                            
//SMPSTS   DD  DSN=#hhh.SMPSTS,DISP=(NEW,CATLG,DELETE),                         
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=0),                               
//             UNIT=3390,VOL=SER=#volser,                                       
//             SPACE=(TRK,(15,2,80))                                            
//*                                                                             
//*********************************************************************         
//* This step adds the TARGET and DLIB zone names and points to the   *         
//* appropriate options entry.                                        *         
//*********************************************************************         
//DEFZONE EXEC PGM=GIMSMP,COND=(0,LT)                                           
//SMPCSI   DD  DSN=#globalcsi,DISP=SHR                                          
//SMPLOG   DD  DSN=#hhh.SMPLOG,DISP=SHR                                         
//SMPLOGA  DD  DSN=#hhh.SMPLOGA,DISP=SHR                                        
//SMPPTS   DD  DSN=#hhh.SMPPTS,DISP=SHR                                         
//SMPOUT   DD  SYSOUT=*                                                         
//SYSPRINT DD  SYSOUT=*                                                         
//SMPCNTL  DD  *                                                                
 SET BDY(GLOBAL) .                                                              
 UCLIN .                                                                        
   ADD GLOBALZONE ZONEINDEX(                                                    
     (#tzone,#globalcsi,TARGET)                                                 
     (#dzone,#globalcsi,DLIB)) .                                                
 ENDUCL .                                                                       
  SET BDY(#tzone).                                                              
   UCLIN.                                                                       
    ADD TZONE(#tzone) OPTIONS(ZOSOPT) SREL(Z038) RELATED(#dzone)                
     ZDESC(TARGETZone for XD 6.1.0).                                            
   ENDUCL.                                                                      
  SET BDY(#dzone).                                                              
   UCLIN.                                                                       
    ADD DZONE(#dzone) OPTIONS(ZOSOPT) SREL(Z038) RELATED(#tzone)                
     ZDESC(DLIB Zone for XD 6.1.0).                                             
   ENDUCL.                                                                      
/*                                                                              
//*********************************************************************         
//* This step defines all the necessary base DDDEF entries            *         
//*********************************************************************         
//DDDEFS  EXEC PGM=GIMSMP,COND=(4,LT)                                           
//SMPCSI   DD  DSN=#globalcsi,DISP=SHR                                          
//SMPLOG   DD  DSN=#hhh.SMPLOG,DISP=SHR                                         
//SMPLOGA  DD  DSN=#hhh.SMPLOGA,DISP=SHR                                        
//SMPPTS   DD  DSN=#hhh.SMPPTS,DISP=SHR                                         
//SMPOUT   DD  SYSOUT=*                                                         
//SYSPRINT DD  SYSOUT=*                                                         
//SMPCNTL  DD  *                                                                
  SET BDY(#tzone).                                                              
   UCLIN.                                                                       
    ADD DDDEF(SMPTLIB)  VOLUME(#volser) UNIT(3390).                             
    ADD DDDEF(SMPPTS )  DA(#hhh.SMPPTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPDEBUG) DA(#hhh.SMPDEBUG) SHR                                   
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLTS )  DA(#hhh.SMPLTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPMTS )  DA(#hhh.SMPMTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPSTS )  DA(#hhh.SMPSTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLOG )  DA(#hhh.SMPLOG) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLOGA)  DA(#hhh.SMPLOGA) SHR                                    
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPSCDS)  DA(#hhh.SMPSCDS) SHR                                    
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF (SMPJHOME)                                                        
        PATH('#javapath').                                                      
    ADD DDDEF(SMPWRK1 ) SPACE(120,120)  DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK2 ) SPACE(30,30)    DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK3 ) SPACE(9500,950) DIR(150) TRACKS.                        
    ADD DDDEF(SMPWRK4 ) SPACE(80,40)    DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK6 ) SPACE(4100,410) DIR(100) TRACKS.                        
    ADD DDDEF(SYSUT1  ) SPACE(7500,750)          TRACKS.                        
    ADD DDDEF(SYSUT2  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(SYSUT3  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(SYSUT4  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(COPYOUT)  SYSOUT(*).                                              
    ADD DDDEF(ASMOUT)   SYSOUT(*).                                              
    ADD DDDEF(LKEDOUT)  SYSOUT(*).                                              
    ADD DDDEF(VSAMOUT)  SYSOUT(*).                                              
    ADD DDDEF(UPDTOUT)  SYSOUT(*).                                              
    ADD DDDEF(ZAPOUT)   SYSOUT(*).                                              
    ADD DDDEF(MACLIB )  DA(SYS1.MACLIB) SHR .                                   
    ADD DDDEF(SYSLIB )  CONCAT(MACLIB).                                         
   ENDUCL.                                                                      
  SET BDY(#dzone).                                                              
 UCLIN.                                                                         
    ADD DDDEF(SMPTLIB)  VOLUME(#volser) UNIT(3390).                             
    ADD DDDEF(SMPPTS )  DA(#hhh.SMPPTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPDEBUG) DA(#hhh.SMPDEBUG) SHR                                   
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLTS )  DA(#hhh.SMPLTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPMTS )  DA(#hhh.SMPMTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPSTS )  DA(#hhh.SMPSTS) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLOG )  DA(#hhh.SMPLOG) SHR                                     
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPLOGA)  DA(#hhh.SMPLOGA) SHR                                    
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPSCDS)  DA(#hhh.SMPSCDS) SHR                                    
        UNIT(3390) VOLUME(#volser).                                             
    ADD DDDEF(SMPWRK1 ) SPACE(120,120)  DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK2 ) SPACE(30,30)    DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK3 ) SPACE(9500,950) DIR(150) TRACKS.                        
    ADD DDDEF(SMPWRK4 ) SPACE(80,40)    DIR(10)  TRACKS.                        
    ADD DDDEF(SMPWRK6 ) SPACE(4100,410) DIR(100) TRACKS.                        
    ADD DDDEF(SYSUT1  ) SPACE(7500,750)          TRACKS.                        
    ADD DDDEF(SYSUT2  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(SYSUT3  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(SYSUT4  ) SPACE(30,30)             TRACKS.                        
    ADD DDDEF(COPYOUT)  SYSOUT(*).                                              
    ADD DDDEF(ASMOUT)   SYSOUT(*).                                              
    ADD DDDEF(LKEDOUT)  SYSOUT(*).                                              
    ADD DDDEF(VSAMOUT)  SYSOUT(*).                                              
    ADD DDDEF(UPDTOUT)  SYSOUT(*).                                              
    ADD DDDEF(ZAPOUT)   SYSOUT(*).                                              
    ADD DDDEF(MACLIB )  DA(SYS1.MACLIB) SHR .                                   
    ADD DDDEF(SYSLIB )  CONCAT(MACLIB).                                         
   ENDUCL.                                                                      
/*                                                                              
