#  This program may be used, executed, copied, modified and distributed
#  without royalty for the purpose of developing, using, marketing, or distributing.

#
# defaultGridClassRules - creates default GridClassRules named "Default_Rules"
# 
#
# @author - Andrew Chen
# Date Created: 08/03/2006
# Last Updated: 01/15/2006
#

import java.lang.Integer as Integer
import java.util.ArrayList as ArrayList
import java.lang.Exception as JavaException
import java.rmi.server.UID as UID
import sys
import java.lang.String as String


lineSeparator = java.lang.System.getProperty('line.separator')      
##
# Creates a Default GridClassRules and two Default match rules.
#
##
def createDefaultGridClassRules():
   defaultGridClassRules=AdminConfig.getid("/GridClassRules:Default_Rules/")
   
   cell=AdminConfig.list("Cell")
   if (defaultGridClassRules==""):   	
	
	i=isTypeDefined('ServiceClass')
	if (i==1):
		gcrattributes = [["name","Default_Rules"], ["matchAction", "Default_TC"], ["type", "Grid"], ["description","This is a default classification rule set."]]
		defaultGridClassRules=AdminConfig.create("GridClassRules",cell, gcrattributes)
			
		print "Default Grid Class Rules created."
	
   		# Create the default rule 1: if application-type='j2ee' then classify to ${default_iiop_transaction_class}
		expr="apptype='j2ee'"
		txclassName="${default_iiop_transaction_class}"
		priority=1
		ruleAttributes = [["matchAction",txclassName],["matchExpression",expr],["priority",priority]]
		defaultRuleOne=AdminConfig.create("GridMatchRule",defaultGridClassRules,ruleAttributes)
        	
        	
		# Create the default rule 2: if jobname=*, then classify to transaction class Default_TC
		expr="jobname LIKE '%'"
		txclassName="Default_TC"
		priority=2
		ruleAttributes = [["matchAction",txclassName],["matchExpression",expr],["priority",priority]]
		defaultRuleTwo=AdminConfig.create("GridMatchRule",defaultGridClassRules,ruleAttributes)
		
		print "Two default rules created."
		
		
   
	else:	
		gcrattributes = [["name","Default_Rules"], ["matchAction", ""], ["type", "Grid"], ["description","This is a default classification rule set."]]
		defaultGridClassRules=AdminConfig.create("GridClassRules",cell, gcrattributes)
			
		print "Default Grid Class Rules created."
		print "No default rules created."
##
# Query WAS config repositorty to see if the type is defined.
#
##

def isTypeDefined(aType):
	allTypes=AdminConfig.types()
	tpList = allTypes.split(lineSeparator)
	for tp in tpList:
		if (tp.split("(")[0] == aType):
	        	return 1
	        	
	print aType + " undefined"        	
	return 0	        	
          		


print "creating... DefaultGridClassRules"
createDefaultGridClassRules()

print "saving workspace"
AdminConfig.save()
print "finished."
