-- This script creates the Parallel Job Manager tables on a db2 instance.
-- The default name of the database is PJM, default schema name is
-- PJSCHEMA and default tablespace is USERSPACE1. All these defaults
-- can be replaced with different names if needed.
-- The following command can be issued from DB2 command line processor
-- to run this script:
--             db2 -tf CreatePJMTablesDB2.ddl
--



CONNECT TO PJM;


CREATE SCHEMA PJSCHEMA;



-----------------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."PARALLELJOBMANAGER"
-----------------------------------------------------------

 
 CREATE TABLE "PJSCHEMA"."PARALLELJOBMANAGER"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "STEPID" VARCHAR(50) NOT NULL )   
                IN "USERSPACE1" ; 


-- DDL Statements for primary key on Table "PJSCHEMA"."PARALLELJOBMANAGER"

ALTER TABLE "PJSCHEMA"."PARALLELJOBMANAGER" 
	ADD CONSTRAINT "PK_PJM" PRIMARY KEY
		("JOBID",
		 "STEPID");



------------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."SUBMITTEDJOBS"
------------------------------------------------------

 
CREATE TABLE "PJSCHEMA"."SUBMITTEDJOBS"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBSTATE" INTEGER NOT NULL , 
		  "SUBMITTEDJOBINPUT" VARCHAR(3814) , 
		  "SUBMITTEDJOBRESUBMIT" INTEGER NOT NULL  ) 
                IN "USERSPACE1" ; 


-- DDL Statements for primary key on Table "PJSCHEMA"."SUBMITTEDJOBS"


ALTER TABLE "PJSCHEMA"."SUBMITTEDJOBS" 
	ADD CONSTRAINT "PK_SUBMITTEDJOBS" PRIMARY KEY
		("JOBID",
		 "SUBMITTEDJOBID");



--------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."LOGICALTX"
--------------------------------------------------

 
 CREATE TABLE "PJSCHEMA"."LOGICALTX"  (
		  "LOGICALTXID" VARCHAR(50) NOT NULL , 
		  "LOGICALTXSTATE" INTEGER )
                IN "USERSPACE1" ; 



-- DDL Statements for primary key on Table "PJSCHEMA"."LOGICALTX"


ALTER TABLE "PJSCHEMA"."LOGICALTX" 
	ADD CONSTRAINT "PK_LOGICALTX" PRIMARY KEY
		("LOGICALTXID");




COMMIT WORK;

CONNECT RESET;

TERMINATE;

