-- Scriptfile to create a Derby database for the Parallel Job Manager. This script
-- can be modified if needed to change the name of database or name of the Schema used. Default
-- database name is PJM
-- The script will produce the Parallel Job Manager database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example  
--    java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij CreatePJMTablesDerby.ddl


CONNECT 'jdbc:derby:PJM;create=true';

-----------------------------------------------------------
-- DDL Statements for table "PARALLELJOBMANAGER"
-----------------------------------------------------------

 
 CREATE TABLE "PARALLELJOBMANAGER"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "STEPID" VARCHAR(50) NOT NULL ) ; 


-- DDL Statements for primary key on Table "PARALLELJOBMANAGER"

ALTER TABLE "PARALLELJOBMANAGER" 
	ADD CONSTRAINT "PK_PJM" PRIMARY KEY
		("JOBID",
		 "STEPID");



------------------------------------------------------
-- DDL Statements for table "SUBMITTEDJOBS"
------------------------------------------------------

 
CREATE TABLE "SUBMITTEDJOBS"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBSTATE" INTEGER NOT NULL , 
		  "SUBMITTEDJOBINPUT" VARCHAR(3814) , 
		  "SUBMITTEDJOBRESUBMIT" INTEGER NOT NULL ) ; 


-- DDL Statements for primary key on Table "SUBMITTEDJOBS"


ALTER TABLE "SUBMITTEDJOBS" 
	ADD CONSTRAINT "PK_SUBMITTEDJOBS" PRIMARY KEY
		("JOBID",
		 "SUBMITTEDJOBID");



--------------------------------------------------
-- DDL Statements for table "LOGICALTX"
--------------------------------------------------

 
 CREATE TABLE "LOGICALTX"  (
		  "LOGICALTXID" VARCHAR(50) NOT NULL , 
		  "LOGICALTXSTATE" INTEGER ) ; 



-- DDL Statements for primary key on Table "LOGICALTX"


ALTER TABLE "LOGICALTX" 
	ADD CONSTRAINT "PK_LOGICALTX" PRIMARY KEY
		("LOGICALTXID");





COMMIT WORK;

DISCONNECT;




