-- This script creates the Parallel Job Manager tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @PJM_TABLESPACE@ with a valid tablespace that was 
--    created by the CreatePJMTablespaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@PJM @CreatePJMTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreatePJMTablesOracle.ddl


 
------------------------------------------------
-- DDL Statements for table "PARALLELJOBMANAGER"
------------------------------------------------


CREATE TABLE "PARALLELJOBMANAGER"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "STEPID" VARCHAR(50) NOT NULL )   
		 TABLESPACE @PJM_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "PARALLELJOBMANAGER"


ALTER TABLE "PARALLELJOBMANAGER" 
	ADD CONSTRAINT "PK_PJM" PRIMARY KEY
		("JOBID",
		 "STEPID");



-------------------------------------------
-- DDL Statements for table "SUBMITTEDJOBS"
-------------------------------------------

 

CREATE TABLE "SUBMITTEDJOBS"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBSTATE" INTEGER NOT NULL , 
		  "SUBMITTEDJOBINPUT" VARCHAR(3814) , 
		  "SUBMITTEDJOBRESUBMIT" INTEGER NOT NULL )   
		 TABLESPACE @PJM_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "SUBMITTEDJOBS"


ALTER TABLE "SUBMITTEDJOBS" 
	ADD CONSTRAINT "PK_SUBMITTEDJOBS" PRIMARY KEY
		("JOBID",
		 "SUBMITTEDJOBID");



---------------------------------------
-- DDL Statements for table "LOGICALTX"
---------------------------------------

 

CREATE TABLE "LOGICALTX"  (
		  "LOGICALTXID" VARCHAR(50) NOT NULL , 
		  "LOGICALTXSTATE" INTEGER )   
		 TABLESPACE @PJM_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "LOGICALTX"



ALTER TABLE "LOGICALTX" 
	ADD CONSTRAINT "PK_LOGICALTX" PRIMARY KEY
		("LOGICALTXID");

