-- This script creates batch Mailer sample tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @MAILER_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateMailerTableSpaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@MAILERDB @CreateMailerTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreateMailerTablesOracle.ddl


CREATE TABLE "CUSTOMER" (
             NAME VARCHAR(250),
             ADDRESS VARCHAR(250),
             CITY VARCHAR(250),
             STATE VARCHAR(2),
             ZIPCODE VARCHAR(12),
             EMAIL VARCHAR(128),
             PHONE VARCHAR(20),
             ANNUALINCOME INTEGER,
             CUSTOMERID INTEGER NOT NULL,
             LASTOFFERDATE DATE
         )
TABLESPACE @MAILER_TABLESPACE@;

ALTER TABLE "CUSTOMER" ADD CONSTRAINT PK_CUSTOMER PRIMARY KEY (CUSTOMERID);
CREATE INDEX IDX_CUST_STATE ON "CUSTOMER" (STATE); 
COMMIT;

INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin F. Cannon','Ap #937-1445 Est Avenue','Green River','MN','01605','cannon@aulnet',1230000,'663-838-4422',90588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia C. Aguirre','518-1327 Aliquet St.','Vermillion','MD','81393','ignacia.aguirre@widget.com',1230001,'199-652-3908',52899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew F. Barker','705-1970 Ullamcorper, St.','Nichols Hills','DE','55837',NULL,1230002,'232-221-7821',85508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara D. Young','295-858 Magnis St.','North Pole','VT','05851','dara.young@aulnet',1230003,'799-821-0508',45872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage B. Austin','P.O. Box 187, 641 Et, St.','Meadville','KS','23429','gagea@widget.com',1230004,'372-971-8908',63489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity V. Pope','1077 Montes, Ave','Saint Paul','CO','65987','pope@widget.com',1230005,'439-467-4544',51553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine G. Mcconnell','8251 Amet, Ave','Farmer City','PA','58534','mcconnell@aulnet',1230006,'134-866-7024',60595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna Z. Wilcox','Ap #512-4397 Ipsum. Rd.','Georgetown','MN','29078','roanna.wilcox@xyz.edu',1230007,'613-746-4122',27425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keaton P. Preston','Ap #575-1630 Tristique Ave','Chandler','WY','48168',NULL,1230008,'236-759-4969',18931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek E. Carter','7559 Magna. Avenue','Nacogdoches','LA','52307',NULL,1230009,'214-127-6926',47329,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine G. Delgado','470-5489 Egestas St.','Fajardo','FL','55608',NULL,1230010,'906-219-1478',49304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena S. Keller','4146 Libero Ave','Spokane','KY','60655','xkeller@widget.com',1230011,'317-217-6396',62182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet J. Gamble','4526 Sed Street','La Palma','NH','47683','hgamble@aulnet',1230012,'758-371-9917',72247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris F. Oconnor','Ap #364-8129 Posuere St.','South Bend','DE','76113','ioconnor@bpmpros.com',1230013,'897-646-8258',32252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odette U. Madden','P.O. Box 188, 3083 Nulla Street','Miami Beach','MD','53720','madden@emailathome.net',1230014,'934-732-3872',23960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor H. Bernard','P.O. Box 254, 8605 Urna Rd.','Beckley','IL','62016',NULL,1230015,'746-681-4117',16226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil C. Zimmerman','260-6936 Maecenas St.','Kearns','KY','67129',NULL,1230016,'246-993-5739',105386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane Z. Potter','P.O. Box 616, 8043 Faucibus Ave','Klamath Falls','PA','10477',NULL,1230017,'507-744-6461',32848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron D. Chang','P.O. Box 938, 6383 Fringilla Avenue','Clarksburg','MO','29539','aaron.chang@xyz.edu',1230018,'907-505-2588',16057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine F. Beach','103-1261 Amet St.','Kansas City','WA','41271',NULL,1230019,'701-718-2224',94436,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly W. Estes','P.O. Box 153, 5476 Nunc Street','Hickory','AK','04446','beverlye@email.net',1230020,'717-528-1363',72745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon L. Roy','635-4054 Duis St.','Glendora','NC','76570','troy@hitmail.com',1230021,'916-734-1513',98403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama M. Paul','7061 Nisl. Rd.','Moreno Valley','HI','59926','rpaul@widget.com',1230022,'584-585-1585',77127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton Z. Mosley','Ap #766-1296 Sed Road','Covington','ND','81740','hamiltonm@widget.com',1230023,'777-352-7369',99298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn O. Horne','Ap #258-5311 Aliquam St.','Danbury','VA','54245',NULL,1230024,'997-764-9257',72184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale M. Murray','P.O. Box 729, 2058 Eu, St.','Merizo','UT','73138','dmurray@email.net',1230025,'484-471-0450',78349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana G. Preston','823 Sit Road','Little Rock','SC','36414','preston@emailathome.net',1230026,'838-677-0141',34802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone G. Osborne','8534 Cursus Ave','Baltimore','ME','83857','osborne@hitmail.com',1230027,'598-972-8484',62052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia R. Wheeler','490-4658 Mauris Av.','Burlingame','MD','79263','zelenia.wheeler@yohaa.com',1230028,'221-729-7005',55531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow X. Ball','Ap #231-8720 Ac, Avenue','West Palm Beach','NH','96275',NULL,1230029,'548-769-4882',97826,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter H. Rich','P.O. Box 864, 7926 Nisi Av.','Savannah','WY','59856','walterr@abc.edu',1230030,'132-671-4409',41479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore D. Byers','778-6919 Ac Avenue','Oswego','NJ','61211','theodore.byers@xyz.edu',1230031,'177-209-8802',38580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk N. Conrad','Ap #870-2221 Curabitur Street','Cairo','NM','23285','berkc@yohaa.com',1230032,'596-674-8837',76322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem X. Barnes','604-5611 Dictum Street','Boulder','MA','06020',NULL,1230033,'306-803-4763',70739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite G. Brewer','P.O. Box 165, 3788 Sociis St.','Melrose','NY','07803','brewer@abc.edu',1230034,'934-231-0425',34133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger U. Stafford','P.O. Box 535, 1133 Mi. Avenue','Cedarburg','NV','14321','tigers@hitmail.com',1230035,'235-169-2093',56565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey Q. Sexton','139-6672 Semper Ave','Kennesaw','MT','02226','caseys@bpmpros.com',1230036,'657-883-9412',61527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton Y. Lewis','Ap #384-735 Egestas Road','Yonkers','LA','84097','lewis@bpmpros.com',1230037,'324-972-7637',22222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan O. Vaughn','863-8257 Justo. Rd.','Basin','DC','56441',NULL,1230038,'538-863-7335',109878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya B. Everett','Ap #941-6598 Sociis St.','Cape Girardeau','RI','93249','reverett@bpmpros.com',1230039,'781-329-1919',43684,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty H. Johnston','739-9545 Quisque Ave','Allentown','NY','40334','libertyj@abc.edu',1230040,'685-375-5047',101595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda F. Mendoza','Ap #710-8541 Nisl St.','Thibodaux','ME','04045','naydam@abc.edu',1230041,'489-964-3499',56098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy I. Mejia','Ap #494-3352 Aliquet, Street','Bell Gardens','CO','59854','ivy.mejia@hitmail.com',1230042,'909-388-3526',105616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn K. Lara','Ap #859-3720 Velit St.','Falls Church','IN','38398','lara@emailathome.net',1230043,'243-142-4207',92019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giselle T. Golden','P.O. Box 374, 123 Sit Av.','Taunton','DE','40589','ggolden@xyz.edu',1230044,'878-111-1625',100653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima S. Franco','351-5264 Quam. Rd.','Newport Beach','NH','78619','franco@bpmpros.com',1230045,'299-177-0972',65058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan L. Savage','P.O. Box 103, 7830 Ridiculus St.','New Kensington','IN','88767',NULL,1230046,'477-676-7428',53016,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana Y. Bass','431-9949 Rutrum. Av.','Liberal','LA','60359','abass@emailathome.net',1230047,'216-583-1688',28483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden O. Padilla','260-6170 Mollis Ave','Selma','NE','93454',NULL,1230048,'804-929-4126',86386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie X. Lynch','469-9937 Vel Street','Tupelo','NJ','12005','callie.lynch@emailathome.net',1230049,'561-374-1946',18500,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina U. Francis','Ap #212-1125 Nullam Av.','Brownsville','NE','17729','francis@abc.edu',1230050,'835-396-5607',71692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima Q. Hernandez','990-5787 Dictum Ave','Bradbury','CO','67274','ihernandez@bpmpros.com',1230051,'904-839-0246',106209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet O. Herrera','P.O. Box 156, 5521 Velit Av.','New Bedford','AZ','18985','jherrera@hitmail.com',1230052,'251-265-9930',42502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia G. Parks','3052 Vitae, St.','Wausau','WY','64635','soniap@widget.com',1230053,'424-949-0665',70021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison Q. Stein','246-1149 Nunc. Ave','Ketchikan','WI','97851','stein@yohaa.com',1230054,'597-912-9619',35319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebekah U. Jacobs','395-867 Aliquet Road','Rock Island','MO','45643','rebekah.jacobs@widget.com',1230055,'505-193-9048',78505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle W. Savage','Ap #837-6325 Urna Street','Boulder','DE','68014','lyles@hitmail.com',1230056,'758-254-1461',62900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady E. Whitehead','P.O. Box 219, 818 Faucibus Av.','Racine','WV','14672',NULL,1230057,'787-436-5997',47471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile V. Stafford','P.O. Box 524, 6173 Velit Av.','Bellflower','NJ','53667','mstafford@bpmpros.com',1230058,'331-128-4640',63702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael W. Sanchez','Ap #837-5117 Odio Ave','Portsmouth','IN','88541','ishmael.sanchez@abc.edu',1230059,'319-551-6790',48261,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana W. Cameron','Ap #952-6289 Metus. Avenue','Irwindale','RI','02990','illana.cameron@bpmpros.com',1230060,'543-753-3039',87068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris C. Wright','5751 In St.','Belpre','OH','12823','dwright@email.net',1230061,'113-277-3426',87178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton R. White','Ap #190-9363 Velit Street','San Fernando','AK','70583',NULL,1230062,'416-529-6960',56856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel F. Nicholson','1045 Nunc Rd.','Stillwater','NE','32310',NULL,1230063,'479-611-2622',41056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian H. Townsend','9155 Vel Ave','Tallahassee','NJ','43126','dtownsend@emailathome.net',1230064,'458-596-3573',96248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla C. Nash','P.O. Box 957, 6510 Mus. Avenue','Salt Lake City','WA','53696','hnash@hitmail.com',1230065,'823-382-7770',45022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez E. Hopkins','513-432 At St.','Fairmont','MA','32785','inezh@yohaa.com',1230066,'483-215-4961',84034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish B. Compton','P.O. Box 659, 7366 Mauris Rd.','Lawrenceville','CA','44886','compton@bpmpros.com',1230067,'663-955-1605',76155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar J. Molina','957-4631 Mollis Av.','Newport','NH','69814','quamarm@xyz.edu',1230068,'791-364-2293',100800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham O. Simon','9123 Phasellus Rd.','Fort Collins','KS','94900','abraham.simon@hitmail.com',1230069,'993-363-4988',37109,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna O. Perkins','617-4989 Tincidunt Ave','Thousand Oaks','MO','82977',NULL,1230070,'988-881-1525',63954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly T. Grant','383-8015 Pharetra St.','Quincy','VT','36829','carly.grant@abc.edu',1230071,'797-785-4656',31620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya R. Colon','314-6272 Pede. Rd.','Roanoke','NV','47184','raya.colon@xyz.edu',1230072,'904-701-3858',63672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite R. Klein','817-2516 Tristique Ave','Schaumburg','AK','52000','aphroditek@abc.edu',1230073,'284-188-7981',86989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary H. Atkins','3179 Vitae Rd.','Dearborn','KY','11377','hillarya@yohaa.com',1230074,'677-696-0058',90227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt Y. Pierce','4468 A, St.','Muskegon','MO','77018','hoytp@widget.com',1230075,'256-914-6732',94154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest S. Rodgers','155-3751 Nam St.','Mesa','AK','52029','forrestr@bpmpros.com',1230076,'148-394-1087',96395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent R. Beach','611-435 Nulla. Av.','Santa Fe','NY','62514',NULL,1230077,'644-682-8760',94428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indigo S. Rodgers','103-6762 Cras Av.','Roswell','NH','21983',NULL,1230078,'507-141-6225',16490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma W. Martinez','Ap #916-1958 Risus. Road','Victoria','VA','45266','uma.martinez@xyz.edu',1230079,'259-657-6083',40406,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie H. Vaughan','P.O. Box 479, 8408 Egestas. Rd.','Parker','KS','28374','cvaughan@emailathome.net',1230080,'642-892-4581',65497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia U. Kelley','P.O. Box 950, 9029 Commodo Road','Danbury','LA','67596','okelley@aulnet',1230081,'862-403-1036',66511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah B. Pitts','8564 Tellus, St.','Norfolk','WV','11208',NULL,1230082,'158-735-8750',101976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley N. Holland','P.O. Box 249, 6676 Quisque Ave','Laconia','AK','93614','kimberley.holland@abc.edu',1230083,'924-982-6164',104299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell W. Lindsay','809-6577 Donec Avenue','New Kensington','WV','98191','lindsay@abc.edu',1230084,'816-739-7113',50648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy I. Singleton','P.O. Box 648, 3606 Nunc. Road','McAllen','MD','33231','quincy.singleton@yohaa.com',1230085,'433-349-0897',20781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda L. Blanchard','8016 Eget Avenue','Frederiksted','WA','48661','brendab@abc.edu',1230086,'185-238-4534',68230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava G. Hobbs','717-4352 Pellentesque Rd.','Enid','MI','36284','hobbs@widget.com',1230087,'946-931-0695',32204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon T. Barton','P.O. Box 736, 250 Purus. Rd.','Greensboro','MD','86213','barton@abc.edu',1230088,'507-444-3744',53667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius P. Aguirre','231-5292 Aliquam St.','Glendora','TX','29306','ignatiusa@emailathome.net',1230089,'529-927-3707',66220,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael Y. Burris','Ap #710-1895 Adipiscing St.','Staunton','TN','62892','burris@xyz.edu',1230090,'208-728-7551',45156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona W. Santiago','2464 Luctus Avenue','Beaumont','KY','27944',NULL,1230091,'224-454-3261',107706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl C. Richards','3724 Nibh Rd.','Phoenix','TX','95817','richards@bpmpros.com',1230092,'611-134-3797',21371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace G. Glass','P.O. Box 299, 544 Diam Rd.','La Crosse','CT','95080',NULL,1230093,'908-519-5439',36950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor H. Mooney','Ap #558-5214 Erat Avenue','Mesa','OR','89185','mooney@emailathome.net',1230094,'376-274-7933',54576,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam Q. Dennis','2448 Nam Av.','Springfield','MS','04903','mdennis@aulnet',1230095,'922-549-0765',58876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi U. Solomon','P.O. Box 693, 3665 Imperdiet Rd.','Texarkana','NJ','03118','levi.solomon@hitmail.com',1230096,'112-944-4925',74913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanisha C. Barker','5048 Sagittis Avenue','Hope','UT','77358','tbarker@aulnet',1230097,'769-562-6660',19195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada O. Dudley','Ap #342-6373 Ante St.','Laurel','DE','02670','kdudley@widget.com',1230098,'929-799-2518',36813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli H. Vaughan','4634 Nunc St.','Galesburg','MA','98078','vaughan@yohaa.com',1230099,'447-449-3182',45701,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan F. Hansen','P.O. Box 996, 4044 Donec St.','Gadsden','TN','25514','jordan.hansen@emailathome.net',1230100,'794-131-5798',99789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel F. Callahan','176-6391 Diam. Rd.','Montgomery','CA','98514',NULL,1230101,'229-823-8523',50784,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius G. Doyle','529-9050 Odio. Road','Ventura','NV','65454',NULL,1230102,'969-198-9217',92803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes F. Clay','772-8165 Id Road','Weirton','HI','72348','hayesc@widget.com',1230103,'893-763-8607',99936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor S. Kent','2496 Justo. Ave','Boulder Junction','ME','32619','kent@emailathome.net',1230104,'954-734-0002',99082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe P. Gonzales','P.O. Box 425, 1860 Nascetur Rd.','Rohnert Park','IL','64796','phoebeg@email.net',1230105,'416-371-0040',30530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kessie B. Floyd','Ap #951-2231 Justo Rd.','Radford','IA','58322','kfloyd@emailathome.net',1230106,'218-535-8058',31133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael I. Trujillo','833-8520 Natoque St.','Ann Arbor','PA','04262','yaelt@hitmail.com',1230107,'685-704-2481',61597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand R. Whitley','8109 Ullamcorper, Av.','Bend','ME','33914','ferdinandw@aulnet',1230108,'541-709-2705',109314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene C. Green','P.O. Box 622, 9712 Dolor Ave','Wahoo','NH','94937','green@hitmail.com',1230109,'953-494-1933',75281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya Q. Sutton','Ap #712-9271 Semper Street','San Antonio','IL','86770',NULL,1230110,'718-662-9540',57571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla C. Hoffman','Ap #869-5669 Ipsum Street','Joliet','NE','73960','phoffman@xyz.edu',1230111,'642-451-9119',84102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence E. Ayala','492-7722 Semper Rd.','Wheeling','IN','88662','ayala@abc.edu',1230112,'523-264-5244',53593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla D. Hines','534-9063 Mauris, Rd.','Minneapolis','VA','20908','khines@xyz.edu',1230113,'561-193-3578',92000,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace F. Hancock','870-2636 Pharetra. Av.','Oneida','KY','28748','candace.hancock@abc.edu',1230114,'757-317-3006',79265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick M. Mayer','Ap #656-7647 Vulputate, Avenue','Bandon','MS','81900','patrickm@abc.edu',1230115,'758-405-6220',43724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon Z. Parks','923-2431 Ullamcorper. Street','Cincinnati','NE','00981',NULL,1230116,'882-641-9466',81226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney Z. Moses','1468 Amet Road','Nichols Hills','MI','65885',NULL,1230117,'874-163-2273',35382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus W. Wilson','932-9631 Lectus Av.','Spokane Valley','VA','31397','wilson@hitmail.com',1230118,'274-157-1204',58606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn R. Shaw','Ap #971-6555 Sed, Av.','Anchorage','VT','77318',NULL,1230119,'716-999-0472',81717,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon E. Norris','6333 Et, Rd.','Gary','LA','34522','quon.norris@yohaa.com',1230120,'364-235-7247',41871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker M. Horton','P.O. Box 801, 8066 Aliquet, St.','Palos Verdes Estates','NM','90935','tuckerh@email.net',1230121,'668-923-0578',91052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt C. Mclean','Ap #774-2768 Tempor St.','Rapid City','MT','15415','coltm@bpmpros.com',1230122,'441-908-8219',94803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik Q. Sanchez','Ap #319-4736 Proin Road','Flint','WY','58463',NULL,1230123,'878-329-2381',73172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses L. Booker','P.O. Box 933, 3184 At Avenue','Schenectady','DC','15163','ulysses.booker@emailathome.net',1230124,'636-515-7340',81114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne I. Cantrell','9739 Duis Street','Buena Park','TX','60272','daphnec@abc.edu',1230125,'799-153-7942',85152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven T. Nash','7913 Mauris. Avenue','Basin','CO','24960','ravenn@abc.edu',1230126,'188-358-1634',49419,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon P. Simmons','P.O. Box 814, 1205 Phasellus Rd.','Cedar City','ND','74208','fsimmons@email.net',1230127,'269-258-4155',89370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner D. Alston','Ap #332-4940 Molestie Av.','Wichita Falls','AZ','75359',NULL,1230128,'558-717-8753',95960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck Q. Strong','2019 Sit Avenue','Richmond','MO','45852','strong@widget.com',1230129,'497-343-1148',22879,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney K. Gould','701-4432 Nulla Rd.','Chicopee','MI','90145','chaney.gould@emailathome.net',1230130,'908-496-6487',72144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton R. Maxwell','P.O. Box 557, 3835 Molestie Avenue','Grambling','FL','64455','eltonm@yohaa.com',1230131,'602-609-9055',54279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison A. Fleming','Ap #200-7934 Tempus Av.','Saint Albans','NM','79644','garrison.fleming@hitmail.com',1230132,'109-601-2001',22552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen M. Olson','Ap #550-8431 In, Avenue','Cranston','NM','28007','olson@hitmail.com',1230133,'742-742-4426',68305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique Q. Ramos','P.O. Box 691, 4157 Dui, Road','North Little Rock','DC','78806','dominiquer@bpmpros.com',1230134,'905-647-4988',55107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden Z. Hubbard','Ap #259-6349 Quisque St.','Rock Springs','TN','92271','bhubbard@abc.edu',1230135,'178-174-6200',35830,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee Q. Vasquez','Ap #443-5754 Purus, Road','Durant','NV','32435','vasquez@widget.com',1230136,'617-796-7793',108398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna F. Johnston','8098 Purus Road','Saint Albans','MN','77571','johnston@yohaa.com',1230137,'815-377-0556',38463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan Q. Lawson','P.O. Box 519, 2720 Per Rd.','Macon','IA','72640',NULL,1230138,'222-937-3133',75814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric X. Weeks','Ap #516-9338 Vel Rd.','Norwich','WA','22405','ulric.weeks@yohaa.com',1230139,'155-377-2035',34964,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina W. Townsend','Ap #842-3453 Elit Av.','El Segundo','IN','24047','ninat@emailathome.net',1230140,'543-698-9751',91481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen A. Reilly','2136 Id, Rd.','Madison','NJ','83175','sreilly@email.net',1230141,'689-445-6044',109613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney F. Walter','115 Ipsum Av.','Homer','NM','14693','chaneyw@aulnet',1230142,'912-579-4039',80970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal D. Hayden','P.O. Box 682, 5717 Interdum. Rd.','Tallahassee','NJ','24839','jamalh@email.net',1230143,'533-544-9234',43126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl Z. Glover','P.O. Box 694, 3336 Ut, Ave','Cody','IA','94318','pglover@abc.edu',1230144,'248-781-1340',65009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar V. Jordan','7208 Amet, Av.','Modesto','WA','16715','quamar.jordan@widget.com',1230145,'357-272-9400',68276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn Q. Hodges','P.O. Box 702, 7071 Morbi St.','Weirton','MS','48454','fhodges@bpmpros.com',1230146,'261-528-6995',45722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zane W. Mcpherson','Ap #239-2381 Auctor St.','North Tonawanda','TN','33171','zane.mcpherson@aulnet',1230147,'526-797-2158',20044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John J. Hyde','806-1223 Sit St.','San Angelo','WA','72006','hyde@abc.edu',1230148,'278-704-4916',25380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill E. Levine','Ap #670-818 Vitae Avenue','Sandy','MA','35018','mlevine@emailathome.net',1230149,'114-293-8062',108211,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sara C. Warner','691-4805 Sed Rd.','San Jose','IN','77102',NULL,1230150,'211-235-3372',51789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda J. Lancaster','783-9393 Aptent Rd.','Ponce','MA','79046','imelda.lancaster@bpmpros.com',1230151,'349-561-6050',57707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erich V. Foster','P.O. Box 993, 2864 Donec Av.','Orangeburg','PA','16885','foster@yohaa.com',1230152,'923-373-6423',66993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha Z. Hoover','8713 Nibh. Ave','Michigan City','AK','76007','sasha.hoover@email.net',1230153,'796-399-5178',97965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan G. Bruce','Ap #787-878 Metus Avenue','Jersey City','NJ','68834','bruce@widget.com',1230154,'942-638-8384',60728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra J. Ellison','Ap #611-3225 Eu Road','Farmer City','KS','93751','leandrae@hitmail.com',1230155,'596-438-0668',15291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie M. Gamble','8873 Interdum Rd.','Westlake Village','MI','77647','jgamble@bpmpros.com',1230156,'113-272-7155',30543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara B. Cross','718-8008 Risus. Ave','West Springfield','MT','91269','cross@yohaa.com',1230157,'816-939-0018',31631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan I. Guerrero','107-3033 Nonummy Rd.','Rock Island','OH','27619','logan.guerrero@bpmpros.com',1230158,'888-705-6346',51771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden O. Larson','9184 Proin Avenue','Lahaina','IN','06878',NULL,1230159,'641-629-4998',72856,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand I. Foreman','2753 Arcu Av.','Valparaiso','OK','14794','foreman@email.net',1230160,'483-346-2091',58438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanisha J. Campbell','Ap #827-1708 Dolor. Rd.','La Jolla','NY','35250','tanishac@hitmail.com',1230161,'955-438-5848',99650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna J. Baldwin','Ap #794-6293 Ornare. St.','Gu?nica','NH','22258','hanna.baldwin@bpmpros.com',1230162,'418-464-7023',98936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville U. Dean','P.O. Box 418, 4357 Iaculis Street','Selma','CT','78090',NULL,1230163,'258-667-0318',50138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop G. Compton','P.O. Box 276, 6865 Odio. Road','Charleston','NV','61130',NULL,1230164,'231-489-9470',91954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya E. Short','469-4638 Amet St.','La Habra Heights','NJ','12584','short@yohaa.com',1230165,'724-955-2342',93736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric Q. Farrell','3631 Quis St.','Chester','ID','73735','cedricf@widget.com',1230166,'194-466-8513',93284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael B. Snider','931-998 Tincidunt St.','Lancaster','OR','92275','jael.snider@email.net',1230167,'102-195-4603',30726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn Z. Pollard','P.O. Box 915, 6193 Eget Rd.','Jackson','TN','51553','pollard@emailathome.net',1230168,'829-831-8253',96682,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy A. Morris','P.O. Box 456, 9603 Ligula Road','Berlin','IA','12474',NULL,1230169,'928-757-5883',25107,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper Z. Odom','7725 Enim Street','Pittsburgh','AL','04256','hodom@emailathome.net',1230170,'593-996-7615',35743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier P. Gomez','137-7294 A Ave','Nashville','AK','06911','xgomez@yohaa.com',1230171,'277-771-6664',45989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia O. Watson','P.O. Box 793, 395 Rhoncus. Street','Jackson','SD','82389','oliviaw@widget.com',1230172,'301-578-2489',23923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani K. Gibbs','8508 Enim. Street','Moore','CO','54352',NULL,1230173,'682-512-5693',102530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth V. Collier','P.O. Box 870, 7722 Diam Rd.','Kearns','SD','92646',NULL,1230174,'109-691-1027',89683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor S. Byers','Ap #962-9328 Nascetur Street','Peekskill','SD','63155','chancellor.byers@xyz.edu',1230175,'803-802-4926',17427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra V. Greene','Ap #337-8077 Metus Rd.','Bakersfield','HI','04867','kyra.greene@yohaa.com',1230176,'123-825-6270',36278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee G. Norris','P.O. Box 391, 5319 Nunc St.','Monterey Park','NJ','80385','aimee.norris@widget.com',1230177,'353-376-1017',43668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil N. Santana','4843 Ipsum. Rd.','Manhattan','TN','43302','sybil.santana@emailathome.net',1230178,'541-966-2938',19459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage U. Woodard','Ap #246-7669 Lacinia Av.','Boulder','WA','70614','gagew@email.net',1230179,'126-567-5327',39616,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee H. Mccullough','P.O. Box 600, 4484 Ut Rd.','Placentia','OK','64444','lmccullough@abc.edu',1230180,'269-286-7522',94958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely C. Winters','129-1526 Aliquam Rd.','Lockport','NJ','37092','winters@yohaa.com',1230181,'437-507-7824',53955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith G. Owens','259-2505 Morbi Ave','Rockville','GA','79417','keitho@hitmail.com',1230182,'501-947-4442',51779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero U. Oneal','P.O. Box 365, 657 Cubilia Road','Houston','MS','66446','noneal@bpmpros.com',1230183,'954-464-2127',75485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret A. Yang','5753 Ligula Ave','Battle Creek','UT','23440','margaret.yang@abc.edu',1230184,'185-771-1176',55472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon F. Sharpe','P.O. Box 593, 8154 Vel Rd.','Syracuse','LA','22055','talons@xyz.edu',1230185,'596-671-3515',79341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent C. Christian','415-4878 Ultrices, St.','Little Falls','VT','26359',NULL,1230186,'405-892-4727',44175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu Z. Franklin','P.O. Box 261, 4947 Risus. Rd.','Hollywood','NE','42269','hu.franklin@widget.com',1230187,'628-924-8152',103921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul G. Acosta','P.O. Box 562, 7950 Praesent Street','Fresno','OH','22565',NULL,1230188,'835-554-4772',104987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian W. Hood','P.O. Box 262, 7549 Malesuada Road','Greensboro','OH','38360','dhood@email.net',1230189,'926-861-2146',103188,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity W. Todd','4835 Elementum, Road','Salisbury','VT','23097','ctodd@email.net',1230190,'924-926-5026',51978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison C. Bryan','1975 Condimentum Street','Riverton','KS','18860','harrison.bryan@hitmail.com',1230191,'379-963-3659',35385,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline X. Cobb','P.O. Box 185, 8832 Arcu Rd.','Flagstaff','CA','40258',NULL,1230192,'219-489-4517',26206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie I. Padilla','P.O. Box 392, 4546 Condimentum Av.','Dearborn','MA','54594','padilla@bpmpros.com',1230193,'843-152-4418',104761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake B. Mccall','353-1678 Aliquam Street','New London','NJ','09353','mccall@bpmpros.com',1230194,'947-881-8422',97424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve V. Blackburn','5941 Dui Rd.','Virginia Beach','IL','84675','genevieve.blackburn@hitmail.com',1230195,'601-905-7837',72916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale V. Ayala','4287 Non Road','Youngstown','NH','55454','ayala@widget.com',1230196,'922-493-4939',77907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna L. Emerson','622-6244 Vitae St.','South Pasadena','MO','03459','emerson@yohaa.com',1230197,'814-846-2487',45047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn Z. Pace','121-9738 Ornare, Avenue','Truth or Consequences','NJ','16519','carolynp@widget.com',1230198,'179-993-7380',90056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mia C. Reeves','P.O. Box 212, 4232 Donec Rd.','Loudon','DE','79186','reeves@yohaa.com',1230199,'706-875-7774',24328,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Larissa X. Houston','892 Posuere St.','Oneida','CA','53401','larissa.houston@aulnet',1230200,'519-199-6771',54677,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah W. Velazquez','529-7495 Ligula Rd.','Los Alamitos','MS','50213','jonah.velazquez@xyz.edu',1230201,'715-235-2249',106843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane J. Brady','P.O. Box 385, 5289 Faucibus St.','Medford','SC','20281','brady@xyz.edu',1230202,'595-211-3445',79357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric Q. Larson','P.O. Box 894, 6437 Mauris Rd.','Elmira','GA','94825','ulricl@emailathome.net',1230203,'106-602-7111',70336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam G. Pearson','7274 Non Street','Spokane Valley','WA','28608','pearson@yohaa.com',1230204,'181-692-2514',45390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('George L. Murray','P.O. Box 272, 8793 Ante. Street','Hermosa Beach','CA','02720','george.murray@emailathome.net',1230205,'428-519-1103',80559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon A. Stark','563-8375 In, Rd.','Mount Vernon','OK','83285','stark@bpmpros.com',1230206,'905-334-8429',70015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus G. Frye','209-7162 Ligula. St.','Prescott','NY','32215','efrye@xyz.edu',1230207,'591-406-7305',90622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden J. Kerr','Ap #212-9986 Magna. Av.','Vergennes','ID','82925','edenk@bpmpros.com',1230208,'331-732-1389',84419,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanisha N. Lowe','7674 Ante St.','Springfield','NE','41510','tanishal@bpmpros.com',1230209,'803-436-4096',41721,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine G. Little','6123 Aliquam Road','Natchitoches','TN','60255','glittle@xyz.edu',1230210,'416-497-6202',85644,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy K. Dorsey','6703 Dolor Rd.','Parkersburg','ME','92739','bdorsey@emailathome.net',1230211,'865-406-0457',24671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler J. Rowland','Ap #116-3631 Justo Avenue','Des Moines','WI','34237','skyler.rowland@xyz.edu',1230212,'967-833-2392',89340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane W. Alford','981-7494 Vivamus Av.','Torrington','WY','91036','kalford@hitmail.com',1230213,'364-332-0643',17160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy U. Mcintosh','Ap #354-4224 Id Rd.','West Lafayette','IL','22923','hedym@xyz.edu',1230214,'151-324-5556',37781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley G. Waller','P.O. Box 390, 1492 Cras Rd.','Rock Springs','NJ','87519','awaller@aulnet',1230215,'634-694-8173',78659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve X. Weeks','P.O. Box 801, 4304 Lorem, Avenue','Downey','CO','71758','genevievew@emailathome.net',1230216,'378-802-4962',22033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden T. Merrill','Ap #190-4728 Erat Rd.','Shamokin','UT','94065','hmerrill@yohaa.com',1230217,'724-193-8043',109107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashely B. Mccoy','2022 Elementum, St.','San Angelo','MN','21131','ashely.mccoy@bpmpros.com',1230218,'648-211-6208',29714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle M. Garner','P.O. Box 237, 8565 Eget Road','Elkhart','WI','43375','belle.garner@xyz.edu',1230219,'507-145-2668',104529,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan C. Osborn','Ap #890-4219 Sem St.','Niagara Falls','AK','93946',NULL,1230220,'312-718-7639',50419,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania I. Salinas','531-5267 Velit. Rd.','Woburn','LA','32535','zephania.salinas@xyz.edu',1230221,'572-794-4121',91811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan E. Carney','359-4633 Facilisis Avenue','Two Rivers','RI','19551','carney@hitmail.com',1230222,'186-568-2626',84753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James O. Rowe','Ap #698-9001 Netus Avenue','Davis','WV','73082','jrowe@xyz.edu',1230223,'534-521-0982',67421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree H. Strickland','6467 Et, Ave','New Rochelle','NV','72899',NULL,1230224,'298-542-8048',19944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall H. Robinson','P.O. Box 291, 4822 Dictum Avenue','Stanton','AZ','54036',NULL,1230225,'827-115-5664',78177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan S. Frederick','P.O. Box 478, 9923 Rutrum St.','Corvallis','NY','65520','brendanf@yohaa.com',1230226,'567-494-5180',87529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle L. Langley','P.O. Box 257, 9254 Parturient Av.','Chino','NJ','23499','kyle.langley@abc.edu',1230227,'919-587-9704',94168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing P. Mcfadden','P.O. Box 279, 9444 Dis St.','Citrus Heights','ME','97711','wmcfadden@email.net',1230228,'212-222-6086',92860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah Q. Bray','P.O. Box 460, 8049 A Ave','Escondido','NJ','96794',NULL,1230229,'516-627-7583',74402,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville L. Wise','P.O. Box 555, 7711 Phasellus St.','Grand Junction','VA','53049',NULL,1230230,'844-459-9866',48545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John Z. Bernard','833-1348 Nulla St.','Macon','KS','24477','bernard@emailathome.net',1230231,'627-461-7297',18872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leroy K. Hart','343-5143 Tincidunt Rd.','San Marino','CA','45169','leroyh@aulnet',1230232,'738-355-6253',57921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn M. Bradshaw','2002 Proin Rd.','West Allis','IL','05039','katelynb@yohaa.com',1230233,'656-629-4459',25758,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana N. Jackson','Ap #754-1107 Fusce Avenue','Billings','NM','87493','rjackson@abc.edu',1230234,'623-288-8082',67485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna R. Castillo','P.O. Box 437, 6179 Id, Rd.','Rutland','CO','70857','gcastillo@emailathome.net',1230235,'451-983-2610',85921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir H. Flores','4913 Sodales Rd.','Bend','CT','99476','zahir.flores@abc.edu',1230236,'463-207-2055',37641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David H. Reyes','Ap #362-1022 Laoreet Ave','Arlington','IL','34724','dreyes@xyz.edu',1230237,'201-674-8710',90714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville A. Moreno','948-1579 Quis, Road','Torrington','HI','48082','nevillem@bpmpros.com',1230238,'816-127-6904',82900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia N. Lindsay','Ap #871-5833 Nunc St.','Stillwater','SC','09657','clindsay@hitmail.com',1230239,'741-657-6842',89022,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona M. Rich','P.O. Box 697, 4826 Suspendisse Street','Meriden','MT','37137','rich@abc.edu',1230240,'885-626-1838',82276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece M. Briggs','1080 Dui, Av.','Chino Hills','WY','52796','briggs@widget.com',1230241,'519-308-7613',94606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan Q. Petty','2185 At Rd.','St. Marys','NM','71747',NULL,1230242,'117-668-5884',76355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph B. Lucas','9836 Arcu Rd.','Fall River','IN','13601','jlucas@widget.com',1230243,'886-687-2430',109725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron K. Wallace','8454 Mattis. Road','Rolling Hills Estates','MT','88430',NULL,1230244,'892-989-5472',82383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney U. Larsen','Ap #629-4819 Dictum Ave','Chicago Heights','NE','09688','clarsen@widget.com',1230245,'218-919-9094',60616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt E. Patton','380 Malesuada Street','Tustin','OK','81782','patton@emailathome.net',1230246,'641-563-3642',69870,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah B. Cortez','1754 Morbi Av.','Powell','AL','98337','jcortez@aulnet',1230247,'505-761-8161',54585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny S. Mills','9101 Eu St.','Bradbury','RI','56426','dmills@hitmail.com',1230248,'369-119-5955',90340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Montana Y. Delaney','Ap #824-3443 Aliquam Rd.','Ponce','OK','49096','mdelaney@bpmpros.com',1230249,'523-882-8013',104351,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine T. Wood','Ap #522-7192 Nisi. St.','Eugene','IN','93842','nadine.wood@emailathome.net',1230250,'948-472-1530',73696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter O. Hernandez','525-6231 Erat. Road','Woburn','WV','23226','hhernandez@email.net',1230251,'169-918-3895',61113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai C. Lowery','Ap #773-3665 Magnis Avenue','West Hartford','HI','13137','lowery@aulnet',1230252,'554-523-4417',46166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos V. Frederick','9276 Mauris. Av.','Scottsbluff','NH','58140','frederick@emailathome.net',1230253,'564-211-5638',20279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick V. Atkinson','P.O. Box 897, 3599 Nullam St.','Agoura Hills','SC','39098','patrick.atkinson@widget.com',1230254,'239-604-8133',88620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell V. Fernandez','Ap #564-3833 Donec Street','Scarborough','MD','20659','nfernandez@email.net',1230255,'658-887-4902',23866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian W. Mitchell','Ap #661-2265 Dictum Avenue','Hampton','DE','53073','jmitchell@abc.edu',1230256,'633-382-0785',76726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren T. Roach','Ap #652-3283 Risus Road','Franklin','ID','31894','wroach@aulnet',1230257,'868-501-7828',67739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna F. Herring','4721 Eget St.','Nampa','NV','83456',NULL,1230258,'646-123-8729',67593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent L. Compton','8834 Penatibus Street','Frederick','AZ','63852','brentc@xyz.edu',1230259,'208-862-4647',67515,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey N. Bender','Ap #299-8602 Dolor St.','Worland','AK','15079','dbender@xyz.edu',1230260,'932-231-9024',81266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle G. Dudley','7121 Dictum Street','Leominster','MS','40071','ndudley@hitmail.com',1230261,'689-673-8868',99102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maia J. Bright','Ap #618-7297 Natoque Av.','Virginia Beach','KY','83723','mbright@email.net',1230262,'805-594-1660',70352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan M. Strong','2420 Enim. Avenue','San Angelo','MI','31989','strong@email.net',1230263,'353-743-1926',30212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma E. Edwards','P.O. Box 973, 4578 Lorem, Rd.','Asbury Park','SC','24366','umae@aulnet',1230264,'346-609-2424',60873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared Q. Blake','8901 Nam Road','Temecula','UT','86079','jaredb@aulnet',1230265,'505-239-8907',32548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem R. Walls','Ap #675-7911 Purus, Road','Bell','MN','35222','kareemw@xyz.edu',1230266,'392-897-0368',34836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell K. Kramer','P.O. Box 287, 8541 Mauris Rd.','Salinas','TX','33868','nell.kramer@bpmpros.com',1230267,'181-472-2782',19907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen G. Battle','Ap #488-217 Suscipit Rd.','Pittston','NY','45378',NULL,1230268,'247-327-6098',87528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn V. Burton','P.O. Box 565, 7391 Amet St.','Quincy','WV','56901','burton@emailathome.net',1230269,'389-426-6532',64645,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo H. Casey','P.O. Box 425, 4590 Et Street','Clarksville','UT','89345',NULL,1230270,'347-536-8625',27836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKensie R. Roy','9757 Curabitur Avenue','Dixon','AZ','22810','mackensier@xyz.edu',1230271,'845-479-0236',27145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon R. Thompson','754-4305 Fusce Rd.','Indio','ND','77399','thompson@hitmail.com',1230272,'209-155-3244',60836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga P. Boyle','756-5102 Nec Avenue','Prescott','MN','13780',NULL,1230273,'271-381-3347',75291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana D. Conner','Ap #355-2829 Eu Street','Yorba Linda','AL','47850',NULL,1230274,'641-722-0014',58359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari C. Cooke','P.O. Box 245, 6829 Nullam Road','Walnut','MI','47694',NULL,1230275,'555-296-8279',41270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah T. Hendricks','735 Fringilla Rd.','Aberdeen','AK','96681','tallulahh@aulnet',1230276,'451-806-3159',20861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price A. Morales','793-623 Dolor Rd.','Attleboro','NJ','63750','morales@hitmail.com',1230277,'442-702-5078',39365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Georgia I. Richmond','234-9353 Sed Road','Salisbury','VA','51814','richmond@aulnet',1230278,'675-926-6282',47850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev P. Brady','646 Vivamus Av.','Enid','IL','01186','lev.brady@widget.com',1230279,'378-735-2278',106130,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aiko F. Mendoza','967-1642 Maecenas St.','Charleston','VT','14615','mendoza@xyz.edu',1230280,'802-289-8140',54253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dakota J. Sweet','Ap #647-7217 Cras Rd.','Springdale','NH','40465','sweet@widget.com',1230281,'181-882-0618',92824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa G. Wells','Ap #230-3621 Ipsum. Av.','Cincinnati','PA','39070','mwells@aulnet',1230282,'535-516-4074',86795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri O. Flynn','5524 Mus. Street','Bradford','MA','54567','yflynn@emailathome.net',1230283,'566-509-0616',17370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt L. Holder','Ap #592-756 Odio, Road','York','LA','73537','colth@abc.edu',1230284,'195-651-0601',44360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler I. Rodriguez','3763 Sed St.','Norfolk','MT','52360','chandler.rodriguez@yohaa.com',1230285,'614-424-9899',103976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite C. Baird','2816 Sollicitudin St.','Natchez','CA','75840','maite.baird@xyz.edu',1230286,'277-238-5719',77272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina Q. Sullivan','Ap #980-4618 Risus. Rd.','Thibodaux','TX','97463','sullivan@email.net',1230287,'414-581-7293',107293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando Q. Figueroa','917-6890 A, St.','West Jordan','VT','78366','armando.figueroa@bpmpros.com',1230288,'839-244-7354',66964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine N. Russell','P.O. Box 607, 2662 Rutrum, St.','Jacksonville','MS','30209',NULL,1230289,'676-416-5602',104301,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kristen M. Ramos','P.O. Box 620, 6435 Metus Rd.','Charleston','DE','68999','kramos@email.net',1230290,'209-785-1016',73582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron O. Williams','P.O. Box 770, 2812 Quis Ave','Avalon','KS','48706','cameron.williams@aulnet',1230291,'706-915-6997',107676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly P. Hurley','P.O. Box 971, 1689 Quis Road','Concord','OK','03451',NULL,1230292,'258-964-8784',84652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia S. Durham','304-1679 Mi. Ave','Kenosha','FL','97891','durham@email.net',1230293,'343-501-4643',55477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadassah E. Sanford','2169 Dolor St.','San Mateo','DC','66225','hadassah.sanford@email.net',1230294,'115-249-3094',61890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix V. Wilcox','Ap #298-5827 Pellentesque Road','Plattsburgh','CA','22488','wilcox@emailathome.net',1230295,'714-728-9783',87565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad G. Robles','P.O. Box 533, 1005 Elit, Ave','Pocatello','OH','74906','rashadr@bpmpros.com',1230296,'495-209-8387',24111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory W. Boyle','P.O. Box 855, 6290 Dolor Av.','Concord','KS','03388',NULL,1230297,'385-671-7896',33361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross H. Hobbs','P.O. Box 882, 3967 Eu Rd.','Elizabeth City','OK','07301','rhobbs@yohaa.com',1230298,'789-975-5553',50015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona O. Wallace','8202 Ac, Road','Tallahassee','AL','23274',NULL,1230299,'105-274-1705',39212,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillian O. Carey','577-722 Gravida Ave','Spokane Valley','ME','35969','lillian.carey@email.net',1230300,'334-348-4225',103909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline E. Byers','Ap #889-9663 Enim. Street','Dover','MD','79814','ebyers@bpmpros.com',1230301,'885-118-4678',99439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren V. Haney','P.O. Box 249, 7837 Diam Rd.','Rolla','AZ','47026',NULL,1230302,'942-726-8442',21968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chanda Z. Boyer','3924 Lorem Rd.','Woodruff','SC','55550','boyer@xyz.edu',1230303,'363-957-1397',28519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma K. Curry','443-5289 Dolor Road','West Covina','DC','94750','gemmac@xyz.edu',1230304,'201-574-4306',74526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee T. Haney','P.O. Box 804, 9941 Diam. Rd.','Normal','DC','34538','haney@aulnet',1230305,'389-491-9644',16422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin Q. Bean','931-441 Et Road','Minneapolis','OK','85729','kevinb@yohaa.com',1230306,'358-538-9289',106963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis Z. Griffin','Ap #491-8557 Volutpat. Road','Asbury Park','LA','09894','francis.griffin@widget.com',1230307,'614-963-4914',39482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra F. Harding','P.O. Box 287, 1773 Odio Ave','Shreveport','NY','09408','aharding@emailathome.net',1230308,'303-817-7702',87214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey A. Patel','P.O. Box 557, 8465 Vulputate St.','Kettering','OK','30139','caseyp@emailathome.net',1230309,'648-941-7585',48040,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana C. Shaffer','P.O. Box 270, 6378 Sapien, Rd.','Hartford','OH','44175',NULL,1230310,'315-853-7935',68166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burton X. Carey','P.O. Box 103, 5206 Sit Avenue','Casper','FL','86331','burtonc@email.net',1230311,'406-722-5733',87535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia I. Warren','P.O. Box 867, 740 Et, St.','Dunkirk','TX','07893',NULL,1230312,'325-732-3529',44059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa B. Gentry','330-3736 Nisl. Street','Newark','CO','90207','gentry@aulnet',1230313,'291-416-0574',20290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia J. Hampton','139-9919 Neque Ave','Sedalia','IA','47338','zeleniah@bpmpros.com',1230314,'635-736-1521',21163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa D. Mccormick','639-6825 Dolor, Avenue','Urbana','NY','90138','wmccormick@aulnet',1230315,'576-112-7489',109543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie B. Berry','P.O. Box 961, 6241 Arcu Rd.','Opelousas','NV','19310','anjolieb@emailathome.net',1230316,'548-925-0368',88674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac U. Riddle','5136 Purus Av.','Lebanon','AL','60422','isaac.riddle@yohaa.com',1230317,'454-408-2006',26403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes Z. Ewing','9360 Sodales. Ave','Daly City','NJ','07114','hewing@hitmail.com',1230318,'267-493-7336',70873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton G. Peck','Ap #532-2760 Felis St.','Dover','HI','89197','hamiltonp@yohaa.com',1230319,'412-679-0718',23847,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene R. Huffman','3699 Eros. St.','Escondido','MI','60719',NULL,1230320,'738-569-6265',40734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine C. Pope','Ap #211-973 Donec St.','Placentia','AZ','42513','geraldine.pope@xyz.edu',1230321,'333-961-4301',69302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris V. Olson','4411 Eget Road','North Chicago','MN','16111','molson@widget.com',1230322,'563-896-1922',50430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara M. Curry','P.O. Box 964, 8528 Eu Av.','Murray','UT','38944','kiara.curry@yohaa.com',1230323,'266-628-4245',28493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses N. Ruiz','P.O. Box 412, 8780 Et St.','College Park','IA','10058',NULL,1230324,'903-268-7972',30376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim H. Romero','999 Nulla Rd.','Nevada City','TN','07279','chaimr@yohaa.com',1230325,'385-175-4812',74686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony V. Armstrong','Ap #571-665 Urna St.','Dallas','KY','15313','anthony.armstrong@aulnet',1230326,'593-777-8512',56491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith B. Lyons','5947 Nisi. Rd.','Rosemead','MT','74956','faith.lyons@aulnet',1230327,'688-837-1158',109716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora G. Berry','5852 Cum Road','Richmond','ME','19497','aurora.berry@email.net',1230328,'993-542-3351',65853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah K. Morton','932-2513 Lorem, Ave','Stafford','OR','13922','micah.morton@hitmail.com',1230329,'421-313-8642',17927,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria O. Fuller','2841 Non Avenue','Peru','MN','39790','fuller@hitmail.com',1230330,'183-425-3666',60213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances R. Beck','P.O. Box 932, 6069 Felis Avenue','Wheeling','VT','30660','fbeck@widget.com',1230331,'451-444-7781',50911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lamar W. Roman','Ap #331-8430 Ipsum. Av.','Martinsburg','FL','03144','lamar.roman@aulnet',1230332,'714-275-5183',105417,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra I. Kent','P.O. Box 297, 1420 Aenean Street','Pottsville','MS','64777','kent@bpmpros.com',1230333,'912-726-8004',33168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine D. Rasmussen','100-5381 Dis Street','Olean','HI','66630','rasmussen@xyz.edu',1230334,'408-329-0558',70267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila U. Erickson','2145 Euismod St.','Elmira','ME','04441','lilae@xyz.edu',1230335,'205-246-9789',91992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene R. Hutchinson','7957 Erat. St.','Moscow','WI','20001','ihutchinson@yohaa.com',1230336,'456-666-0706',88452,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley S. Joseph','P.O. Box 407, 9422 Lorem Avenue','Des Moines','IN','24655','shelleyj@email.net',1230337,'657-103-6686',60236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter G. English','4693 Lacinia Ave','Oxford','CT','30313','waltere@widget.com',1230338,'878-444-0442',21831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron S. Carson','8672 At St.','Torrance','OR','49102','byron.carson@emailathome.net',1230339,'335-613-4568',65622,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy V. Golden','9312 Aenean Rd.','Bradford','AK','96730','buffyg@aulnet',1230340,'741-175-5367',96500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace T. Houston','P.O. Box 550, 7969 Nulla Rd.','Montgomery','MN','56643','candaceh@aulnet',1230341,'574-225-2097',53777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle G. Kerr','P.O. Box 515, 5346 Ligula. Avenue','Bradbury','WI','40396',NULL,1230342,'141-524-6588',65707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean Y. Mcguire','P.O. Box 300, 477 Eu St.','Darlington','ND','68009','sean.mcguire@hitmail.com',1230343,'406-446-8605',29719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore R. Heath','Ap #275-1039 Vitae St.','Sioux Falls','MA','17375','theath@widget.com',1230344,'485-782-1280',103107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby C. Mccarthy','5069 Diam. Avenue','Worcester','MD','21222','shelbym@hitmail.com',1230345,'969-508-0862',15620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum B. Barton','Ap #918-6619 Mauris Avenue','New Rochelle','ND','08639','tbarton@abc.edu',1230346,'962-822-3393',34298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah F. Mclean','377-5566 Mauris. Rd.','Trenton','HI','83192','leahm@email.net',1230347,'832-794-5258',70983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly U. Durham','P.O. Box 621, 5229 Donec Av.','Elizabeth City','VT','12606','karly.durham@widget.com',1230348,'898-621-3249',55390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber A. Rosales','6611 Id St.','Vallejo','SD','01522',NULL,1230349,'893-472-3344',86852,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda R. Sweet','220-4976 Dolor Avenue','Lynn','WA','73885','sweet@email.net',1230350,'407-299-6719',28361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith X. Goff','Ap #533-1768 Aliquet Street','Areceibo','NM','58931','mgoff@emailathome.net',1230351,'817-325-4240',105438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley C. Willis','6258 Aptent Street','Miami Gardens','NV','57312',NULL,1230352,'216-497-1295',77902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett S. Wilkins','Ap #250-8263 A Rd.','Agat','DC','75232',NULL,1230353,'745-852-2583',90371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim L. Waters','P.O. Box 977, 4905 Lectus Avenue','Signal Hill','DE','27403','rahim.waters@abc.edu',1230354,'736-472-2325',98147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden R. Velez','P.O. Box 816, 7979 Accumsan Av.','Everett','RI','95923','velez@aulnet',1230355,'426-153-4236',73940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maia M. Curtis','P.O. Box 679, 305 Sed St.','Falls Church','MI','20616',NULL,1230356,'631-957-0194',54137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elliott A. Cash','Ap #701-5234 Dolor Road','Peoria','IA','73594',NULL,1230357,'302-842-8989',25613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard N. Hays','Ap #113-9317 Arcu. Rd.','Bethlehem','ND','99773',NULL,1230358,'378-589-4212',37451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita J. David','8976 Eu Rd.','College Park','MA','55525',NULL,1230359,'504-931-6886',44967,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck P. Rich','6827 Mus. Ave','Midwest City','MN','69374','beckr@emailathome.net',1230360,'938-688-8719',60325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen D. Salazar','105 Neque. Avenue','Dodge City','NY','23469','salazar@widget.com',1230361,'507-901-7595',59433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda K. Perkins','P.O. Box 360, 1869 Vel, Av.','Canandaigua','DC','80203','naydap@hitmail.com',1230362,'763-279-1708',45793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle U. Harding','P.O. Box 812, 8964 Convallis St.','Juneau','CA','22902','urielleh@widget.com',1230363,'206-978-1582',42714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha Q. Calderon','439-6259 Vitae Rd.','New Kensington','DC','25658',NULL,1230364,'652-767-7458',15795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish H. Clayton','9685 Euismod Street','Shamokin','KS','95997','clayton@aulnet',1230365,'663-418-5952',79986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania O. Rivas','3096 Consectetuer St.','Hackensack','AK','85634','zrivas@hitmail.com',1230366,'235-981-2220',89342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora A. Mcknight','4877 Ipsum Rd.','Nacogdoches','WA','22161',NULL,1230367,'625-248-6467',78876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney T. Abbott','764-1379 Erat Street','West Haven','MT','48471','whitneya@aulnet',1230368,'634-368-3160',68644,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall G. Pruitt','733 Dis Ave','Westminster','KY','23787','hall.pruitt@emailathome.net',1230369,'535-788-0148',64394,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila N. Mccarthy','460-2917 Sem Avenue','Anderson','ME','71004','lmccarthy@widget.com',1230370,'883-417-0050',35375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda T. Williams','812-5179 Venenatis Rd.','Merced','FL','51532','awilliams@hitmail.com',1230371,'637-429-7478',64268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter T. Trevino','929-4447 Arcu Av.','Reading','OK','97848','dextert@emailathome.net',1230372,'482-119-5392',93756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa J. Bryant','P.O. Box 301, 8999 Justo St.','Memphis','DE','82570','mbryant@aulnet',1230373,'429-802-9204',72843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia L. Pitts','6437 Morbi Av.','St. George','UT','40078','apitts@yohaa.com',1230374,'426-478-3594',64840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille Z. Mccarthy','Ap #283-3419 Nec Rd.','Mayag?ez','WY','88128','cmccarthy@bpmpros.com',1230375,'397-624-0924',67742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim C. Townsend','P.O. Box 190, 1182 Odio Rd.','Rhinelander','IA','24612','townsend@emailathome.net',1230376,'841-138-7617',72747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato E. Church','P.O. Box 930, 5651 Praesent St.','Farrell','AK','31365','honorato.church@email.net',1230377,'178-819-9576',35462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan V. Harper','9023 Enim, Rd.','North Charleston','HI','58851','tharper@aulnet',1230378,'988-586-3772',77754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence H. Warner','Ap #427-1699 Iaculis Av.','Duarte','KY','58017','florencew@widget.com',1230379,'969-957-4427',32404,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena V. Wolfe','P.O. Box 888, 7780 Pharetra. Avenue','Saukville','ID','50918','wolfe@emailathome.net',1230380,'126-995-8423',102728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John C. Bullock','8363 Tellus. St.','Apple Valley','CA','89795','jbullock@aulnet',1230381,'787-689-2897',86504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hector C. Abbott','P.O. Box 480, 9879 Facilisis Rd.','Fullerton','ME','45134',NULL,1230382,'831-617-2075',103904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah R. Everett','3529 Urna. Street','Rosemead','AL','31566','marah.everett@yohaa.com',1230383,'189-663-6343',70036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir C. Booth','229-7540 Auctor Ave','Nogales','WA','98120','kasimirb@email.net',1230384,'796-876-4480',88122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny J. Hester','313-2322 Dolor Rd.','San Clemente','ME','30829','destinyh@yohaa.com',1230385,'959-746-5119',76193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina K. Avery','9982 Eget Road','Watervliet','FL','96139','whilemina.avery@xyz.edu',1230386,'222-217-1816',55222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith K. Salazar','482-9779 Arcu Ave','St. Petersburg','FL','32938','gsalazar@bpmpros.com',1230387,'277-499-4166',19855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah M. Fischer','2187 Vel St.','St. Petersburg','IN','18892','sarahf@abc.edu',1230388,'196-803-6325',97298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane M. Delgado','9886 Blandit St.','Elkhart','TX','71152','jane.delgado@hitmail.com',1230389,'933-232-7210',97196,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara L. Garner','Ap #899-3116 Eleifend. Av.','Reading','NC','51422','kiara.garner@hitmail.com',1230390,'676-518-6593',91420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris R. Hess','P.O. Box 162, 5394 Metus. Ave','Saint Joseph','WV','61512',NULL,1230391,'136-612-1398',97611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline R. Cruz','673-3803 Non, Rd.','Kennewick','OK','67728','cruz@abc.edu',1230392,'332-377-8980',36054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda C. Simmons','6540 Ultricies St.','Peekskill','CO','59976','rhondas@xyz.edu',1230393,'759-673-7004',102428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph Y. Gross','3135 Sed St.','Sister Bay','TX','51757','zeph.gross@widget.com',1230394,'755-421-3886',77575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon E. Robbins','Ap #752-9870 Adipiscing Ave','Pendleton','MT','33085','robbins@email.net',1230395,'843-608-0383',38215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan X. Bell','P.O. Box 380, 6116 Fringilla Av.','Montpelier','AK','58892','mbell@widget.com',1230396,'878-621-1382',80690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora Y. Martinez','9177 Malesuada Rd.','La Habra Heights','VT','42678','omartinez@yohaa.com',1230397,'557-835-6076',34443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany K. Mays','7587 Ac Street','Pico Rivera','NJ','04819',NULL,1230398,'177-933-6161',86977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla L. Velazquez','P.O. Box 355, 8775 Nulla. St.','Gettysburg','IL','82697','mikayla.velazquez@emailathome.net',1230399,'507-684-5171',46401,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin C. Finch','Ap #927-2768 Egestas St.','Michigan City','GA','47930','finch@widget.com',1230400,'627-124-6081',41160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy P. Gallagher','Ap #951-8236 In Rd.','Derby','UT','02650','kgallagher@widget.com',1230401,'681-207-2318',54769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton S. Black','505-119 Praesent Road','Yorba Linda','MD','29031','ablack@email.net',1230402,'782-362-4797',22139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair M. Mills','P.O. Box 692, 1039 Odio. Ave','Laurel','CO','59778','mills@bpmpros.com',1230403,'719-492-7632',53428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden M. Watkins','5104 Est. Rd.','Evanston','DC','62417','ewatkins@bpmpros.com',1230404,'485-356-2963',82101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton Y. Perkins','1524 Lorem St.','Hoover','MN','72019','denton.perkins@widget.com',1230405,'451-299-6143',54052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani U. Velez','Ap #153-8532 Dictum St.','Lodi','WA','31813',NULL,1230406,'823-274-3729',106213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa J. Frost','P.O. Box 354, 4354 Ipsum Street','Olean','KY','22063','odessa.frost@bpmpros.com',1230407,'878-791-9742',68079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl N. Durham','6218 Enim Rd.','Scottsbluff','AZ','72585','pearl.durham@yohaa.com',1230408,'892-279-9590',59205,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale T. Madden','8220 Amet Street','Saint Albans','NV','37264',NULL,1230409,'513-193-2101',28307,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee F. Cabrera','7610 Quisque Av.','Clairton','CA','83727','kylee.cabrera@yohaa.com',1230410,'553-905-2144',48218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline N. Lancaster','Ap #982-1137 Tellus St.','Manitowoc','PA','86669','madalinel@email.net',1230411,'496-849-7540',77234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses A. Justice','Ap #372-881 Iaculis St.','Concord','IN','00486','ulyssesj@emailathome.net',1230412,'256-543-3911',60872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason D. Cherry','P.O. Box 201, 6616 Donec Rd.','Palos Verdes Estates','MA','69579','mcherry@email.net',1230413,'166-212-6640',71950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam C. Dejesus','P.O. Box 878, 685 Nisl Road','Half Moon Bay','WI','34903','dejesus@email.net',1230414,'584-549-6613',39009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark W. Holt','5810 Molestie Ave','Belleville','DE','54858','mholt@bpmpros.com',1230415,'349-797-0519',34107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim O. Combs','P.O. Box 893, 1268 Urna. Av.','Palos Verdes Estates','SD','91845','rcombs@yohaa.com',1230416,'704-153-7407',16042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea F. Poole','9972 Mi. Avenue','Rock Springs','SC','46526','chelseap@abc.edu',1230417,'702-382-6879',69345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan H. Wade','P.O. Box 497, 982 Et St.','West Valley City','HI','09546','conan.wade@aulnet',1230418,'263-875-1667',60376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes B. Olson','872-7404 Vel, Rd.','Hope','IA','59058','olson@email.net',1230419,'705-878-7538',26443,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal P. Mcneil','Ap #170-9118 Nulla. Street','Agoura Hills','WA','24773','amalm@xyz.edu',1230420,'823-538-3060',64935,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda Q. Stuart','P.O. Box 567, 7890 Fusce Rd.','Thomasville','NJ','53278','astuart@xyz.edu',1230421,'152-985-3127',30292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander R. Roberson','158-1614 Nisl Rd.','Monrovia','NH','16379',NULL,1230422,'648-701-6840',107676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya D. Price','7498 Nec Rd.','Cleveland','DE','73225','rayap@emailathome.net',1230423,'953-927-7977',68189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madonna O. Curtis','763-7584 Facilisis, St.','Selma','NV','73347','mcurtis@xyz.edu',1230424,'663-526-4431',52732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade Y. Sexton','Ap #429-615 Metus St.','Sheboygan','CO','63636','sexton@xyz.edu',1230425,'984-646-1625',28421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle N. Morgan','521-5269 Lacinia Rd.','Ames','TN','93566','morgan@emailathome.net',1230426,'293-286-7228',107907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas D. Hayden','Ap #779-5210 Libero St.','Charlotte','HI','06099','hayden@aulnet',1230427,'557-751-8365',78605,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney Q. Horton','5031 Non, Av.','Texas City','MA','54475','whitney.horton@widget.com',1230428,'175-122-7977',89813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau J. Hester','4168 Nunc Road','Schenectady','NC','56591','bhester@abc.edu',1230429,'139-647-1492',37151,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker Z. Watts','186-8096 Curae; St.','Rutland','VA','53919','wwatts@email.net',1230430,'502-541-0882',50883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray P. Horne','Ap #516-4444 Posuere Road','Yigo','NV','44308',NULL,1230431,'318-711-2613',62763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne W. Larsen','520-3670 Pede Avenue','Bethlehem','WA','40895','wayne.larsen@yohaa.com',1230432,'294-413-1223',101328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola K. Owen','194-1901 Eleifend St.','San Angelo','NH','53993','owen@aulnet',1230433,'899-993-3055',46182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah G. Vasquez','Ap #608-8323 Lorem Rd.','Washington','ND','25578','rajah.vasquez@email.net',1230434,'573-362-2646',77207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter Z. Daniels','P.O. Box 945, 7586 Metus St.','Sturgis','MO','15541','wynter.daniels@xyz.edu',1230435,'211-694-9552',34323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi W. Villarreal','6904 Nibh St.','Farmington','AK','91673','villarreal@email.net',1230436,'327-438-4077',17436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere H. Foreman','P.O. Box 486, 2350 Donec Street','Greenville','IL','35626','foreman@xyz.edu',1230437,'309-627-9653',83321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giselle T. Cherry','P.O. Box 367, 7567 Ante Rd.','Denver','OR','98234','cherry@aulnet',1230438,'951-351-8877',65418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger G. Cervantes','4430 Nunc Street','Sanford','AL','24584','gingerc@xyz.edu',1230439,'408-894-9290',20587,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sebastian V. Short','6236 Vivamus St.','Union City','KS','16068','sebastian.short@abc.edu',1230440,'527-167-7571',61928,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot O. Carroll','897-3649 Quam Avenue','Nampa','UT','15832','abbot.carroll@aulnet',1230441,'991-518-4852',47522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett V. Hull','460-5993 Nullam Rd.','San Marino','IN','19935','hull@widget.com',1230442,'767-768-1866',75573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darryl Z. Wilkins','9281 Cursus Road','Ashland','GA','06547','darrylw@yohaa.com',1230443,'532-107-7736',109168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare R. Franks','Ap #837-1496 Sagittis Rd.','Bethany','NY','83780','claref@widget.com',1230444,'428-859-8666',56990,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur L. Gibson','P.O. Box 199, 2093 Imperdiet Rd.','Roseville','WA','54948',NULL,1230445,'728-156-9058',85654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea E. King','Ap #577-4885 Class Av.','Raleigh','NY','50314','chelsea.king@abc.edu',1230446,'353-181-0360',56712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava E. Sanders','676-1586 Egestas Street','Worcester','DC','83233','chava.sanders@xyz.edu',1230447,'658-801-9800',37950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon R. Armstrong','3491 Pharetra Av.','Cedar Falls','HI','21999','armstrong@yohaa.com',1230448,'314-678-3694',65877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine O. Kirby','Ap #792-2431 Metus. Street','Houston','NY','85807','skirby@xyz.edu',1230449,'707-111-6999',64829,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sierra B. Harrell','Ap #813-1745 Euismod Avenue','Clovis','NV','19105','sierra.harrell@hitmail.com',1230450,'913-719-7393',39893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart U. Golden','4442 Donec Ave','Newton','MN','67129','stuartg@aulnet',1230451,'231-732-9039',91580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble E. Stuart','Ap #783-4990 Odio, Ave','Easthampton','NJ','01679',NULL,1230452,'899-129-7517',74874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara L. Neal','Ap #305-3105 Risus Rd.','Burlingame','WY','57268',NULL,1230453,'938-828-8576',26129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko T. Hawkins','P.O. Box 802, 6073 Nisl. St.','San Fernando','AL','97254','hawkins@hitmail.com',1230454,'523-562-3891',54420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon N. Sexton','347-2957 Nulla Street','La Mirada','AZ','07105','quons@widget.com',1230455,'569-983-4447',50708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana U. Williams','953-457 Semper Av.','Naperville','HI','22330','williams@email.net',1230456,'545-905-9974',58368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor V. Crawford','Ap #816-9928 Est St.','Wausau','OR','93625','castor.crawford@bpmpros.com',1230457,'956-491-3052',16215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine M. Osborne','151-985 Dui Avenue','Vermillion','TX','51454','elaineo@emailathome.net',1230458,'181-946-3377',58217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth M. Acosta','468 Et, Ave','Nacogdoches','ID','19705','elizabeth.acosta@email.net',1230459,'841-449-3430',94217,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odette O. Poole','Ap #680-6040 Ante St.','Edina','NH','87596',NULL,1230460,'303-244-5929',54401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee G. Waller','4883 Nunc Ave','Pembroke Pines','LA','67945','waller@xyz.edu',1230461,'605-435-5509',25321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier B. Chaney','6361 Placerat Ave','Baltimore','NY','38664',NULL,1230462,'459-929-4539',26655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah A. Whitley','P.O. Box 132, 3254 Nisl Avenue','Warner Robins','AL','63592','whitley@emailathome.net',1230463,'266-616-4358',105121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan B. Skinner','P.O. Box 785, 7535 Metus Av.','Fargo','SC','80244','skinner@aulnet',1230464,'746-903-4289',77861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman P. Spears','Ap #141-5356 Arcu. Ave','Salem','SD','63243','spears@hitmail.com',1230465,'588-334-1466',83009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn J. Newton','2056 Ac Rd.','Dubuque','ND','40056','karyn.newton@hitmail.com',1230466,'481-839-5539',89781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan M. Moore','P.O. Box 875, 832 Aenean St.','Palm Springs','TX','55695',NULL,1230467,'743-233-9625',36927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh A. Jacobson','853-2711 Morbi St.','Northampton','OH','56201','leigh.jacobson@bpmpros.com',1230468,'907-759-8827',59590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jescie S. English','Ap #476-8482 Et Ave','Danbury','IL','94150','english@xyz.edu',1230469,'452-468-0178',106700,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton L. Miller','P.O. Box 595, 6397 Neque. Avenue','Spokane Valley','WI','25910',NULL,1230470,'261-523-8819',109695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter Z. Richmond','494-3000 Diam Road','Mankato','WY','94410',NULL,1230471,'431-502-0249',30267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila E. Sellers','P.O. Box 536, 9941 Vulputate Rd.','Lufkin','WA','92486',NULL,1230472,'806-347-7488',86936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria X. Potts','P.O. Box 436, 1717 Tempor Rd.','Connellsville','TX','74766',NULL,1230473,'253-169-3061',62189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India G. Warner','P.O. Box 577, 2529 Auctor Ave','Durango','VA','75150',NULL,1230474,'927-189-1485',59913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle Z. Newton','P.O. Box 646, 2965 Ut Rd.','Hoover','CT','09085','jnewton@bpmpros.com',1230475,'335-252-2414',95380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea I. Wilder','499-2508 Quisque Rd.','Loudon','AZ','10520','wilder@xyz.edu',1230476,'605-831-0922',52832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden G. Payne','Ap #956-3227 Lectus Ave','Spokane','MD','40261',NULL,1230477,'882-597-3273',41505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier R. Miller','7862 Quam Road','Anchorage','MS','31865','miller@email.net',1230478,'992-271-3290',69403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy Y. Quinn','Ap #308-809 Mattis. Ave','Thomasville','DE','65297','quinn@yohaa.com',1230479,'263-265-2456',79589,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra G. Mendoza','P.O. Box 470, 863 Neque Road','Pueblo','NY','70545','lmendoza@aulnet',1230480,'843-906-0713',30239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki V. Whitney','P.O. Box 260, 9476 Ligula. Rd.','Elko','NJ','21601','whitney@emailathome.net',1230481,'247-981-8979',79317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie V. Floyd','Ap #922-8484 Magna. Street','Rye','CA','68099',NULL,1230482,'692-849-7205',36404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter X. Lee','Ap #277-972 Tellus Av.','Irving','CO','27285','peter.lee@bpmpros.com',1230483,'375-977-7164',54753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau Q. Ayers','Ap #135-3879 Consequat Rd.','Fajardo','ID','34851','mufutaua@emailathome.net',1230484,'247-422-2990',26074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars N. Holt','P.O. Box 726, 307 Sociosqu Rd.','Providence','OR','98732','larsh@hitmail.com',1230485,'684-731-1533',63402,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dante Q. Hayes','P.O. Box 169, 3087 Cras Av.','Gloucester','RI','57045','dante.hayes@hitmail.com',1230486,'888-463-1932',63937,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie A. Meyers','Ap #772-8627 Maecenas St.','Saukville','TN','54212','nmeyers@widget.com',1230487,'358-137-4095',18679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo O. Sawyer','Ap #979-4751 Arcu Rd.','Denver','OK','54119','giacomos@yohaa.com',1230488,'422-781-7262',42433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle I. Snow','656 Arcu Ave','Butte','MN','67973','mechelle.snow@xyz.edu',1230489,'495-437-5055',92483,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel B. Farmer','3969 Tristique Avenue','Waycross','NM','77034','rachelf@emailathome.net',1230490,'822-161-5042',78263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona G. Sanders','Ap #395-6542 Augue. Rd.','Laguna Woods','IL','83460','iona.sanders@hitmail.com',1230491,'595-316-3869',104392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell P. Cole','7891 Sagittis Avenue','Morgan City','MD','83222','bell.cole@widget.com',1230492,'678-618-1497',91062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila S. Herring','4056 In Rd.','Auburn Hills','VA','46975','sherring@yohaa.com',1230493,'308-665-4272',47808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste B. Crane','727-8557 Nec, St.','Youngstown','NJ','55801','crane@emailathome.net',1230494,'877-276-7311',70081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley Y. Hahn','166 Urna. Rd.','Norton','MS','43758','hahn@aulnet',1230495,'338-525-1327',21867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi F. Soto','Ap #223-7484 Elit. Ave','Coatesville','CT','64307','malachi.soto@aulnet',1230496,'156-494-8199',66752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon Q. Price','1029 Ultricies Rd.','Gadsden','MI','63849','price@widget.com',1230497,'371-186-6260',17104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra A. Woodard','9922 Dapibus Street','Brunswick','LA','62478','sandra.woodard@email.net',1230498,'853-781-8894',62485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra N. Bush','Ap #289-3372 Ipsum. Avenue','Richmond','WI','31004','cassandrab@emailathome.net',1230499,'573-336-1179',18277,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noah N. Hinton','P.O. Box 165, 5098 Risus Rd.','Monrovia','IN','21153','noah.hinton@aulnet',1230500,'357-831-1662',94459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona W. Chavez','124-1508 Cursus Rd.','Lafayette','CO','34366','ionac@emailathome.net',1230501,'629-887-6177',96497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana S. Acosta','Ap #109-7660 Vel, St.','Whittier','AK','15450',NULL,1230502,'817-436-2239',51797,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann G. Osborn','3510 Suspendisse Ave','Stevens Point','MO','43595','anno@aulnet',1230503,'131-222-8654',106171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa W. Ratliff','Ap #495-2974 Mauris Av.','Elkhart','ME','89733','ratliff@hitmail.com',1230504,'329-469-5913',73041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama O. Pugh','803-3123 Magna. Rd.','Ann Arbor','HI','62442','pugh@emailathome.net',1230505,'286-515-8743',82892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan I. Page','382 Est Road','Washington','KY','30866','mpage@xyz.edu',1230506,'102-329-8704',75925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy A. Sweet','Ap #919-9911 Hendrerit Rd.','City of Industry','SD','18358','sweet@aulnet',1230507,'215-326-5554',45709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie Z. Stark','1283 Placerat. Ave','Fountain Valley','OK','88309','mstark@yohaa.com',1230508,'235-157-5891',53330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit W. Patton','Ap #846-9107 In, Road','Lawton','SD','50048','kermit.patton@email.net',1230509,'448-684-5310',34423,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice P. Daniel','549-3130 Dolor Avenue','Covina','KS','12463','beatrice.daniel@bpmpros.com',1230510,'612-151-5341',84916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillian Y. Dudley','Ap #396-4107 Ultrices. Rd.','Anaconda','TN','19931','dudley@aulnet',1230511,'405-117-0676',21068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius U. Richmond','Ap #596-5008 Neque St.','Falls Church','UT','76585','drichmond@bpmpros.com',1230512,'517-812-8389',109855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite B. Lamb','7477 Et Street','Fort Lauderdale','NJ','81718',NULL,1230513,'377-819-5017',104459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary W. Melendez','518-1421 Semper Street','Northampton','KS','91783','hillarym@bpmpros.com',1230514,'503-779-6991',15012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan Y. Vazquez','8246 Elit, Rd.','Salt Lake City','DE','86775','vazquez@abc.edu',1230515,'944-394-5715',45913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram M. Hurst','122-8981 Iaculis Rd.','West Sacramento','SD','90676','avram.hurst@abc.edu',1230516,'552-405-7993',79891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle A. Smith','Ap #307-7962 Luctus, Street','Vineland','IL','04604',NULL,1230517,'381-732-1379',45832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira A. Dawson','P.O. Box 900, 4052 Dui. St.','Malibu','CT','38342','mdawson@xyz.edu',1230518,'947-337-0691',108838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga I. Bullock','226-4315 Lacus. Road','Glen Cove','AK','10359','bullock@xyz.edu',1230519,'692-649-9769',52333,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martina J. Cabrera','Ap #796-5924 Urna. Street','Alhambra','VA','98208','martina.cabrera@bpmpros.com',1230520,'567-259-8087',91501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona F. Noble','Ap #616-545 Aliquam Av.','Enid','KY','26624','kionan@emailathome.net',1230521,'824-491-5503',67012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivien J. Buck','Ap #724-5878 Lectus Av.','Camden','IL','62689','buck@yohaa.com',1230522,'304-237-5280',90519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis I. Hughes','Ap #413-3591 Cursus Rd.','Duquesne','AZ','35798','hughes@abc.edu',1230523,'587-882-9284',68290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia J. Marquez','Ap #537-5924 Mauris St.','Homer','TN','88014','octaviam@xyz.edu',1230524,'813-391-0819',22275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian Q. Jimenez','3702 Cubilia St.','Barrow','OH','06575','jimenez@aulnet',1230525,'577-958-1771',94834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila V. Gaines','381-733 Lectus. Street','Green Bay','IA','92009',NULL,1230526,'685-153-0011',98511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica S. Guthrie','Ap #288-326 Placerat. Ave','Stockton','MT','85687','veronicag@hitmail.com',1230527,'797-373-4254',48394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita F. Molina','1870 Penatibus St.','Peoria','MO','39857','molina@bpmpros.com',1230528,'326-195-8211',77212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson C. Payne','Ap #138-745 Nunc. Road','Radford','WY','46185','payne@aulnet',1230529,'943-368-3532',91839,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper M. Hardy','Ap #814-5255 Vestibulum St.','Farmington','TN','88434','khardy@email.net',1230530,'621-563-7311',103527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared T. Hatfield','P.O. Box 970, 8859 Lorem Av.','Rosemead','PA','59048',NULL,1230531,'573-293-6654',107352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia X. Mcgee','Ap #253-7793 Sem. Avenue','South Pasadena','DE','80640','mcgee@xyz.edu',1230532,'798-362-3640',40318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra G. Jacobson','P.O. Box 945, 655 Eget St.','San Diego','CO','24215','ajacobson@aulnet',1230533,'966-755-9263',99878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna E. Hall','919-9113 Quis Av.','McAlester','TX','97922','hall@hitmail.com',1230534,'238-295-8597',92673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena S. Brooks','9234 Facilisis Rd.','Gastonia','IL','86216','martena.brooks@aulnet',1230535,'118-332-1426',40808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon A. Mendoza','P.O. Box 370, 406 Ligula Street','Newark','DC','47124','mendoza@xyz.edu',1230536,'432-449-7818',41109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton O. Kim','Ap #764-3863 Ipsum St.','Powell','AK','23261','hamilton.kim@emailathome.net',1230537,'596-827-2769',72563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia W. Solis','453-4792 Mollis Road','Alamogordo','CT','12036',NULL,1230538,'408-894-7210',16846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel Q. Barrera','Ap #947-2650 Nunc Avenue','Waco','KY','45668',NULL,1230539,'705-203-9967',34818,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reuben F. Roman','3316 Vel, Av.','Radford','LA','26720','reuben.roman@aulnet',1230540,'397-267-6779',88831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Owen N. Marshall','257-9889 Nonummy Road','Cedar City','AK','35861',NULL,1230541,'693-989-0466',40643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ian B. Mccullough','Ap #191-5191 Quis St.','Taunton','IN','38963','mccullough@aulnet',1230542,'736-428-2172',71662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene W. Wise','127 Tristique Rd.','Powell','MS','33736','iwise@email.net',1230543,'624-907-5403',76701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum Y. Bush','6164 Congue, Rd.','Hudson','MO','20543','bush@bpmpros.com',1230544,'917-671-9717',37042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen P. Prince','Ap #194-6409 Sem Avenue','Elkhart','AK','57077','kprince@hitmail.com',1230545,'612-539-0190',93231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia B. Patrick','Ap #779-3478 Etiam Rd.','Greenville','TX','82240','aurelia.patrick@abc.edu',1230546,'418-939-4784',93505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer Q. Johnson','Ap #553-6409 Et St.','Grand Rapids','IL','19301',NULL,1230547,'642-959-9893',70861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond K. Sellers','P.O. Box 581, 4995 Augue Street','Rutland','AK','21840','sellers@xyz.edu',1230548,'243-784-7346',41364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay W. Barnett','780-1841 Diam Av.','Grambling','IN','38269','gbarnett@email.net',1230549,'109-243-9367',81040,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle Z. Hays','5790 Tempor Road','Frederick','CT','46159','belleh@aulnet',1230550,'986-886-8000',17854,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa T. Reyes','P.O. Box 152, 3065 Enim Av.','Murfreesboro','VT','02348','reyes@emailathome.net',1230551,'507-584-3792',89345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando V. Fry','Ap #588-9340 Purus. St.','Port Huron','NJ','41253','armandof@abc.edu',1230552,'692-209-6920',74116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon K. Emerson','P.O. Box 796, 6618 Facilisis Rd.','Salem','KS','98849','demerson@emailathome.net',1230553,'193-694-7924',96654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith M. Hurst','1437 Pellentesque Ave','Frederiksted','CO','82531','laithh@abc.edu',1230554,'416-315-5849',69166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham Z. Dodson','732-6343 Suscipit Av.','Columbia','NJ','66459','gdodson@email.net',1230555,'191-416-7303',26414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph R. Dudley','Ap #169-3169 Scelerisque Rd.','Cedar City','RI','37803','joseph.dudley@email.net',1230556,'363-453-7795',18617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea E. Sanchez','3817 Magnis St.','Middletown','NE','62806',NULL,1230557,'587-913-1485',38232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline T. Horn','Ap #835-9855 Pede Rd.','Newcastle','NC','28080',NULL,1230558,'886-473-2864',48776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaye P. Yang','825-9055 Ut Road','Two Rivers','NM','22740','kaye.yang@xyz.edu',1230559,'832-627-0903',96225,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim F. Silva','3852 Phasellus Av.','Eugene','DC','08060','nsilva@bpmpros.com',1230560,'336-419-5722',95290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl F. Goff','P.O. Box 332, 2936 Nunc St.','The Dalles','AK','28326','cgoff@emailathome.net',1230561,'497-724-1326',27831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai Z. Tanner','P.O. Box 772, 2994 Aliquet Street','Dothan','AL','02230','tanner@emailathome.net',1230562,'657-155-7789',23289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally F. Mack','P.O. Box 423, 6883 Sed Rd.','Hilo','CO','15718','cmack@hitmail.com',1230563,'149-706-7515',45894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena K. Hurst','Ap #838-4688 Nulla St.','Sioux City','FL','21836','adena.hurst@yohaa.com',1230564,'655-604-3100',86187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte B. Mckee','424-892 Mauris St.','Burlingame','FL','36168','charlottem@yohaa.com',1230565,'105-669-2736',96757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda P. Norris','Ap #801-3459 Ante. Street','City of Industry','DE','39266','hnorris@abc.edu',1230566,'435-539-1093',81765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur O. Alexander','P.O. Box 369, 9605 In Ave','St. Marys','CA','27356','fleur.alexander@bpmpros.com',1230567,'624-158-4976',102794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul Q. Zamora','P.O. Box 810, 6946 Magna St.','Half Moon Bay','CA','19236','paulz@bpmpros.com',1230568,'694-217-1646',74048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden O. Dorsey','P.O. Box 192, 2605 Tincidunt Street','Half Moon Bay','VT','95915','edend@bpmpros.com',1230569,'252-746-9620',44986,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia Y. Pickett','168-2273 Pulvinar Avenue','Oklahoma City','FL','04700','portiap@hitmail.com',1230570,'726-978-6235',93343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian D. Nelson','P.O. Box 471, 3696 Ac, Road','Miami Gardens','MS','60274','nelson@email.net',1230571,'975-791-5782',104668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste T. Salinas','1611 Adipiscing Rd.','Starkville','WY','50877',NULL,1230572,'895-493-8628',35156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio L. Padilla','P.O. Box 724, 6634 Lectus Av.','Powell','NJ','53814','yoshiop@emailathome.net',1230573,'682-586-8886',64376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo T. Koch','P.O. Box 116, 945 Quisque St.','Ithaca','OK','35799',NULL,1230574,'504-295-6814',81839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot F. Boyle','2132 Proin Rd.','Savannah','CT','59662',NULL,1230575,'242-292-5110',84656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter E. Chapman','898-2863 Lorem St.','Tacoma','TN','97556',NULL,1230576,'329-461-5520',78362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray K. Buck','Ap #989-4497 Cum Street','St. Petersburg','UT','72469','gbuck@yohaa.com',1230577,'126-345-6042',71265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oprah G. Gomez','Ap #476-7415 Nonummy Rd.','Dubuque','MD','29801','oprah.gomez@yohaa.com',1230578,'361-386-5302',46124,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keiko X. Kaufman','P.O. Box 418, 3050 Taciti Av.','Sioux Falls','RI','12141',NULL,1230579,'143-313-5081',48258,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik R. Gardner','Ap #718-6546 Quis Av.','Saint Paul','AZ','89692','tarikg@email.net',1230580,'843-996-1087',26337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas M. Solomon','P.O. Box 123, 9995 Ac St.','Reno','OK','76155','nsolomon@email.net',1230581,'858-702-6978',15108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara D. Mann','Ap #863-6079 Luctus Road','Rapid City','UT','52038',NULL,1230582,'294-943-6433',54139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April K. Brown','Ap #869-942 Sit Rd.','Butler','OH','52315',NULL,1230583,'454-548-4801',49828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid U. Howell','P.O. Box 192, 2311 Luctus Rd.','Providence','WV','69722','ihowell@hitmail.com',1230584,'148-493-8303',34773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille O. Kaufman','179-5013 Dictum Avenue','Mechanicville','FL','10180','ckaufman@emailathome.net',1230585,'803-842-2331',79753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani X. Kirby','298-9319 Vel, Avenue','Scottsbluff','IA','51661','kirby@widget.com',1230586,'742-655-4967',45007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila Z. Todd','1692 Vulputate Road','Hope','KY','16751','aquilat@hitmail.com',1230587,'918-193-2587',106455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin S. Ingram','Ap #172-677 Iaculis Rd.','Alamogordo','WI','36742','quini@xyz.edu',1230588,'505-413-4167',72577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga O. Lopez','355-5378 Adipiscing St.','Syracuse','LA','38264','inga.lopez@aulnet',1230589,'117-512-9353',58089,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne B. Burch','Ap #795-6696 Hendrerit. Rd.','Trenton','AZ','47676','brynneb@abc.edu',1230590,'941-957-4793',19974,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope N. Reilly','Ap #207-5393 Nunc Av.','Concord','VT','94831','hoper@email.net',1230591,'518-558-4059',88683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila V. Gill','445-9746 Lorem St.','Torrington','MO','37131','igill@bpmpros.com',1230592,'173-681-0395',56322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana F. Keller','P.O. Box 715, 9287 Et Av.','Hastings','AK','54391','iliana.keller@abc.edu',1230593,'533-605-2862',36253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie R. Sawyer','8068 Fermentum Street','Cary','VA','25951',NULL,1230594,'491-544-7042',42147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine O. Torres','252-3975 Sit Road','Pine Bluff','AK','96922','elainet@hitmail.com',1230595,'874-365-7185',38707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery N. Roach','P.O. Box 186, 1220 Hendrerit Ave','Lawton','IL','37023',NULL,1230596,'946-829-0948',26608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton J. Graves','2234 Donec St.','Savannah','AL','55468','fulton.graves@bpmpros.com',1230597,'272-566-1481',69287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha L. Mcneil','3255 Ac, Avenue','Monongahela','VA','72167','mcneil@yohaa.com',1230598,'704-622-6783',99305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily A. Clarke','Ap #365-9477 Sit St.','Morgan City','CA','94977','emilyc@emailathome.net',1230599,'135-749-2709',56950,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila I. Fleming','119-4729 Vitae Rd.','Agoura Hills','KS','36731','sheilaf@abc.edu',1230600,'719-754-4927',80718,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth D. Rios','364-5369 Cursus St.','Selma','KS','64400','erios@abc.edu',1230601,'243-852-6051',19591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana T. Vaughn','2233 Nullam Ave','Rohnert Park','KY','18294','rana.vaughn@email.net',1230602,'745-859-0442',25923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai G. Riggs','P.O. Box 366, 6290 Dictum Rd.','Suffolk','DC','53961','kair@email.net',1230603,'266-902-7607',27311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper G. Barlow','580-3661 Leo. Av.','Overland Park','TN','08151',NULL,1230604,'114-389-2809',67824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe R. Reed','5614 Hendrerit Av.','Nacogdoches','MA','09969',NULL,1230605,'784-986-2242',56696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca K. Grimes','P.O. Box 613, 663 Lorem, Rd.','Watervliet','MO','97506',NULL,1230606,'565-249-1354',69313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena A. Preston','302-5875 Ligula St.','Miami Beach','SC','22029','adenap@xyz.edu',1230607,'526-192-2313',84975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim I. Solis','136-7063 Nisi Rd.','Provo','IL','09731','nasim.solis@hitmail.com',1230608,'852-487-3786',25184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos V. Arnold','P.O. Box 427, 4801 Donec Av.','Laguna Hills','MD','64473',NULL,1230609,'306-267-5449',37185,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi I. Levine','P.O. Box 939, 4356 Vel Rd.','Glendale','IA','70035','emi.levine@widget.com',1230610,'519-715-8823',49311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa P. Fisher','2415 Arcu. Av.','Haverhill','CT','44721',NULL,1230611,'825-476-2587',52243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel U. Atkins','P.O. Box 685, 6545 Sed, Ave','Terre Haute','NH','70015','natkins@yohaa.com',1230612,'747-662-9481',107134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy J. Wolfe','P.O. Box 491, 6950 Maecenas St.','Corpus Christi','CA','62332','murphyw@bpmpros.com',1230613,'458-295-7666',25783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy C. Singleton','643-8394 Arcu. Av.','Montgomery','AK','18871','singleton@emailathome.net',1230614,'214-672-8665',47353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis L. Daugherty','Ap #183-9060 Volutpat St.','Wisconsin Rapids','OH','72381','fdaugherty@emailathome.net',1230615,'263-486-0578',36053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isadora O. Hickman','P.O. Box 678, 7174 Odio. Rd.','Meridian','OR','43116','isadora.hickman@aulnet',1230616,'508-661-0561',20162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada H. Wood','6755 Ipsum. Road','Aurora','TX','40394','jada.wood@bpmpros.com',1230617,'706-447-1131',36432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy J. Shepherd','280-1992 Mattis Street','Reedsport','AK','81532','stacys@aulnet',1230618,'927-724-0702',102840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley D. Haynes','Ap #269-5398 Per Street','Somersworth','ME','45337','haynes@hitmail.com',1230619,'969-887-5105',103681,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair W. Salazar','P.O. Box 788, 4574 Dolor. St.','Loudon','WV','37973','blairs@aulnet',1230620,'301-371-1576',83979,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shay R. Dejesus','Ap #512-2579 Vel, St.','Manassas Park','HI','16354','shayd@email.net',1230621,'327-638-8089',76914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy J. Miller','P.O. Box 490, 9010 Sit Av.','Mesa','VT','18125','maggym@widget.com',1230622,'589-806-4443',67231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll F. Greer','Ap #443-8519 Erat, Avenue','New Iberia','SD','79287',NULL,1230623,'413-893-7082',61809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia B. Mccoy','P.O. Box 554, 9403 Magna Avenue','Sedalia','VT','75644',NULL,1230624,'822-335-1278',43668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie U. Beck','5548 Quis, Rd.','Mount Pleasant','CA','99336','maggieb@yohaa.com',1230625,'891-383-4069',31850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula A. Petty','P.O. Box 120, 3067 Faucibus Road','Portsmouth','TX','99888','upetty@bpmpros.com',1230626,'215-115-3988',17389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joshua F. Santos','P.O. Box 685, 8920 Bibendum Rd.','Forrest City','ND','50349','santos@widget.com',1230627,'238-453-3686',73864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru Q. Lane','6187 Ac Road','Sutter Creek','AK','39934','lane@hitmail.com',1230628,'979-983-7270',71858,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola H. Stokes','6857 Fusce Rd.','Rome','DE','06679','idolas@widget.com',1230629,'674-171-9692',55199,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dahlia L. Ashley','205-4815 Porta Road','Tupelo','WA','06002','dashley@xyz.edu',1230630,'783-366-3373',17448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa L. Mccarthy','7789 Non, Rd.','Athens','ID','18688',NULL,1230631,'489-658-9845',30333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn M. Estrada','P.O. Box 322, 9407 Fringilla Avenue','Oshkosh','DE','36254','quyne@bpmpros.com',1230632,'933-313-9708',69990,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keaton T. Hamilton','P.O. Box 188, 6472 Arcu. Rd.','Fitchburg','KY','43689','keaton.hamilton@yohaa.com',1230633,'944-876-0999',80311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen G. Rosales','P.O. Box 858, 8257 Non, St.','Dixon','WA','20473','aileen.rosales@widget.com',1230634,'263-106-8828',87056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy L. Sosa','Ap #757-8282 Dictum. Rd.','Portsmouth','NH','51471','cassidys@abc.edu',1230635,'955-228-1330',28390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko X. Wallace','100-4564 Nunc. Av.','Barrow','OR','39780',NULL,1230636,'262-227-3455',88220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy X. Macias','3755 Dictum Rd.','Fall River','DE','21094','troy.macias@bpmpros.com',1230637,'973-998-2109',56669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan Y. Jacobs','Ap #257-9404 Per Road','Ypsilanti','WY','16037',NULL,1230638,'132-904-9921',25981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi O. Burgess','Ap #149-9707 Sem Rd.','Aliso Viejo','HI','22238','burgess@aulnet',1230639,'377-408-3122',27420,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely G. Jefferson','6231 Porta Rd.','Clearwater','IA','39031','keely.jefferson@abc.edu',1230640,'365-292-8227',74877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayley Y. Yates','791-3608 Nascetur Rd.','Yonkers','NH','86315','hayleyy@abc.edu',1230641,'457-612-8136',54131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan B. Heath','5229 Purus, Road','Vicksburg','ME','38257','lheath@abc.edu',1230642,'989-525-1862',83319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick K. Merritt','2071 Vitae Street','Deadwood','GA','15049','merritt@hitmail.com',1230643,'865-653-5050',29642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ina L. Morrison','P.O. Box 598, 5518 Elementum Road','Evanston','LA','59274',NULL,1230644,'314-278-7313',53348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira O. Garrett','2626 Mollis Avenue','Hamilton','AZ','31687','mirag@emailathome.net',1230645,'605-136-4432',39599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis O. Gutierrez','7196 Sagittis. St.','Charleston','UT','27210','phyllis.gutierrez@hitmail.com',1230646,'488-239-5421',94167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon B. Luna','644-4678 Ut Street','Lawndale','MO','38066','luna@bpmpros.com',1230647,'377-656-7953',51599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda F. Little','642-3954 Donec St.','Raleigh','GA','70809',NULL,1230648,'975-243-8086',18575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald K. Willis','Ap #724-6047 Donec Rd.','Virginia Beach','IA','58828','fitzgeraldw@emailathome.net',1230649,'738-603-8556',72281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen Q. Duke','P.O. Box 828, 7494 Auctor Street','Plainfield','MO','83231','gretchen.duke@yohaa.com',1230650,'251-988-5814',53940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando A. Becker','Ap #808-5490 Egestas. Street','Port Washington','NJ','16099','orlando.becker@email.net',1230651,'422-572-4500',58356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper W. Hyde','629 Eu, Rd.','Sierra Vista','NE','24665','chyde@abc.edu',1230652,'374-306-4636',24665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma E. Parks','Ap #352-8802 Cras Avenue','Cedar City','DC','67392','parks@emailathome.net',1230653,'167-432-6480',20719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor E. Perkins','631-3531 Id Road','Washington','UT','01079','connor.perkins@bpmpros.com',1230654,'462-529-7604',19612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses C. Jacobson','383-6138 Est St.','Moscow','VA','71683','ulysses.jacobson@hitmail.com',1230655,'753-114-5433',23003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad D. Petty','P.O. Box 499, 3869 Nunc St.','Loudon','PA','69641',NULL,1230656,'325-977-0915',56007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia N. Stevenson','Ap #236-7941 Morbi Rd.','Thiensville','NJ','31501','jstevenson@emailathome.net',1230657,'243-477-3443',57975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois W. Stone','920-3601 Netus Ave','Avalon','AK','63304','lstone@yohaa.com',1230658,'806-958-3256',81351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph D. Yates','P.O. Box 698, 6319 Facilisis Av.','Joplin','NH','61434','yates@emailathome.net',1230659,'739-635-5839',21168,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate T. Mitchell','4965 Varius Rd.','Little Falls','WV','37183','mitchell@abc.edu',1230660,'327-709-6631',39163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen F. Kaufman','350 Ad Road','Eureka','MN','98902','ckaufman@aulnet',1230661,'622-144-7147',85169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin W. Bartlett','649-5092 Augue Street','Rhinelander','MN','94783','cbartlett@widget.com',1230662,'796-417-4611',87284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad M. Sears','299-1254 Sed Av.','Rancho Cordova','TN','21526','msears@emailathome.net',1230663,'309-106-4238',101642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani R. Warren','P.O. Box 167, 6517 Placerat, Ave','Meadville','IA','13745','laniw@widget.com',1230664,'362-672-5879',23024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden Z. Rush','Ap #945-5259 Auctor Ave','Slidell','AL','39643','rush@aulnet',1230665,'488-741-2118',15435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester C. Sandoval','P.O. Box 716, 3689 Interdum Rd.','Rochester','NM','60999',NULL,1230666,'633-122-7719',102227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand X. Scott','P.O. Box 279, 2636 Lobortis Rd.','Boston','VT','55415','ferdinand.scott@bpmpros.com',1230667,'415-148-1708',58418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase J. Terrell','738-3703 Sit Ave','Franklin','VA','72237','chase.terrell@hitmail.com',1230668,'743-258-2063',89429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas G. Dyer','Ap #458-8816 Varius St.','Urbana','CO','08681','dyer@aulnet',1230669,'918-652-7199',31083,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle Y. Gallagher','P.O. Box 340, 7429 Ligula. Rd.','Santa Monica','NC','78977','mgallagher@yohaa.com',1230670,'658-577-0288',53079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard O. Reynolds','Ap #867-6688 Nibh St.','Port St. Lucie','CT','70258','reynolds@hitmail.com',1230671,'236-795-2613',103774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa I. Brown','2431 Proin Av.','West Allis','MA','12069',NULL,1230672,'195-919-5880',26338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy K. Carver','Ap #791-8682 Risus St.','Hope','ND','11923','joyc@xyz.edu',1230673,'994-189-9985',93523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan Y. Lyons','653-8135 Eu, Ave','Tonawanda','ME','07619',NULL,1230674,'644-637-6175',24392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn Y. Burns','4160 Orci Ave','Hayward','ID','14844','kevynb@yohaa.com',1230675,'606-661-9237',97589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet L. Huffman','Ap #574-2360 Faucibus Avenue','East St. Louis','MD','66870','huffman@yohaa.com',1230676,'725-422-9919',33266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall B. Padilla','Ap #678-1617 At, St.','Boulder','DC','50926','kpadilla@hitmail.com',1230677,'897-513-8447',52329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret P. Pollard','Ap #293-5866 At Road','Chino Hills','TX','01651','mpollard@abc.edu',1230678,'688-476-8987',55140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand V. Kim','219-6630 Vel, Street','Austin','KY','29420','fkim@hitmail.com',1230679,'183-761-0469',51843,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah V. Osborne','Ap #796-4289 Velit St.','Ansonia','VA','23243','josiaho@email.net',1230680,'764-856-5166',69941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima Z. Medina','6338 In Street','Lima','MD','43055','fmedina@yohaa.com',1230681,'371-657-0426',105962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel P. Goff','P.O. Box 953, 4806 In, Rd.','Longview','OK','15958','goff@widget.com',1230682,'904-384-8419',92425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish U. Mcclure','787-5954 Ipsum Avenue','Minnetonka','OK','41056','hamish.mcclure@yohaa.com',1230683,'115-918-2030',56263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indigo G. Anthony','P.O. Box 631, 5350 At Rd.','High Point','LA','01053','indigo.anthony@email.net',1230684,'201-215-0342',53635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli V. Hale','P.O. Box 977, 9941 Blandit Road','Broken Arrow','NV','96498','orli.hale@bpmpros.com',1230685,'542-653-7778',28192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton O. Boyd','205-8595 Dui. Rd.','Lakeland','CA','63050',NULL,1230686,'558-101-6623',52689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey N. Clemons','P.O. Box 319, 7373 Ullamcorper, Street','Laconia','LA','44518','clemons@email.net',1230687,'668-227-1378',106477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela J. Conrad','4170 Nam Road','North Tonawanda','WI','40934','conrad@widget.com',1230688,'496-353-0757',100505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy S. Little','2006 Metus. Rd.','Pittsburgh','IA','90735',NULL,1230689,'829-378-8931',17884,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen V. Murray','728-3669 Odio, Rd.','Wahoo','NM','96787',NULL,1230690,'512-341-5193',26592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis D. Knowles','3467 Ac, St.','Peru','KS','26685','eknowles@widget.com',1230691,'364-916-1402',15450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara K. Craig','5212 Sed Rd.','Sugar Land','AK','78280','dara.craig@emailathome.net',1230692,'949-566-9675',91031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles C. Maynard','629-1892 Tempor Av.','San Francisco','MO','51839','maynard@yohaa.com',1230693,'211-159-5254',100461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erich S. Vaughn','6849 Est Rd.','Fresno','AK','87153','erichv@widget.com',1230694,'437-458-3543',19736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie M. Weber','351-7510 Non, Street','Terre Haute','AZ','17694','mweber@widget.com',1230695,'948-385-6320',103894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole Z. Hebert','966-6205 Velit. Road','Sioux Falls','ID','27944','nichole.hebert@xyz.edu',1230696,'639-587-7724',31219,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn C. Hill','P.O. Box 645, 1951 Fusce Av.','McAllen','NH','81119','khill@emailathome.net',1230697,'155-694-1819',72154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly U. Glenn','1565 Ante Ave','Murray','WI','53581','glenn@yohaa.com',1230698,'793-708-1676',95464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy U. Rodriguez','P.O. Box 921, 1287 Rhoncus St.','Troy','SC','70223','kennedyr@yohaa.com',1230699,'815-617-3155',98697,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora S. Burris','Ap #911-1107 Semper Avenue','Ogden','SD','64035','corab@xyz.edu',1230700,'368-284-8901',32349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura B. Nixon','5662 Mattis. Av.','Pine Bluff','IA','92058','lauran@abc.edu',1230701,'553-189-8072',100630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel B. Fitzgerald','Ap #945-6720 Tincidunt Av.','Lower Burrell','OR','06009','nathanielf@bpmpros.com',1230702,'158-501-5904',21827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga Z. Oliver','P.O. Box 356, 8440 Sem Avenue','Rhinelander','HI','97494',NULL,1230703,'504-553-0636',71224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett R. Cabrera','Ap #551-7897 Nonummy Av.','Opelousas','SC','01698','hammett.cabrera@hitmail.com',1230704,'293-697-1492',24502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen R. Walsh','853-8829 Velit St.','Yonkers','KY','12014','gwalsh@emailathome.net',1230705,'713-906-5037',65856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant Q. Wooten','525-9967 Orci Avenue','Pascagoula','IA','65378','gwooten@abc.edu',1230706,'493-206-0025',28593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Magee R. Farrell','745-2056 Amet, Street','North Las Vegas','FL','40916','magee.farrell@emailathome.net',1230707,'395-787-8838',106444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson C. House','2446 Lorem, Ave','Youngstown','CA','71306','mhouse@email.net',1230708,'508-137-5153',107695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma W. Nolan','539-5498 Feugiat Street','Artesia','IL','37218',NULL,1230709,'615-123-1607',85372,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani S. Aguilar','Ap #451-9761 Aliquam Ave','Tempe','UT','13950','aguilar@yohaa.com',1230710,'269-784-8079',77893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad K. Pacheco','P.O. Box 440, 3881 Mauris Ave','Philadelphia','RI','68471','rpacheco@emailathome.net',1230711,'433-692-3752',90364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin L. Davis','5000 Donec Avenue','Newcastle','WI','66322','galvind@widget.com',1230712,'371-414-6737',32377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree K. Hall','Ap #429-8409 Vestibulum Ave','Midland','HI','22188','hall@emailathome.net',1230713,'612-883-2068',97435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita B. Olson','124-7804 Magna. St.','Bradbury','MD','69881',NULL,1230714,'161-682-4736',88257,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed Q. Marshall','Ap #216-3187 Duis Street','Charlotte','DC','57916',NULL,1230715,'898-868-4598',35029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela Z. Marsh','Ap #445-3834 Nisi. St.','Franklin','MT','67724','gisela.marsh@hitmail.com',1230716,'632-439-2077',69453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae U. Mcmahon','5073 Nam St.','Fond du Lac','ME','64310','rmcmahon@widget.com',1230717,'283-657-7907',34521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney X. Logan','Ap #536-4524 Lobortis, Street','Pittsburgh','ID','68632','logan@widget.com',1230718,'143-236-8825',95224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay B. Gill','1822 Sodales Av.','Connellsville','MO','29525','gill@bpmpros.com',1230719,'488-694-9175',102935,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam N. Skinner','5504 Nec St.','Oswego','OR','90552',NULL,1230720,'414-953-8222',36253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin U. Wilkins','Ap #811-1286 Vel Rd.','Sioux City','NC','31332','wilkins@email.net',1230721,'884-308-2610',101320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop D. Ferrell','343 Eget Street','Tamuning','NV','44698','hferrell@widget.com',1230722,'822-111-4313',71889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven R. Leach','8284 Ultrices. Avenue','Peoria','GA','03507','ravenl@hitmail.com',1230723,'976-859-0600',28484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper M. Davenport','P.O. Box 680, 7070 Euismod St.','West Lafayette','NJ','72385','harperd@xyz.edu',1230724,'993-979-7387',106291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly C. Snow','Ap #298-992 Dolor St.','New Castle','UT','43226','ssnow@widget.com',1230725,'612-505-3741',25039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca B. Sullivan','P.O. Box 480, 8235 Ut, Ave','Rosemead','NY','57990','francescas@abc.edu',1230726,'226-738-2436',37801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila I. Pugh','429-3769 Dictum Rd.','Montpelier','SC','41798','sheilap@widget.com',1230727,'798-815-6438',102768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda E. Jordan','Ap #755-8567 Curabitur Street','Vancouver','CA','84835','nayda.jordan@xyz.edu',1230728,'623-312-1367',89613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo S. Mccarty','2272 Nec St.','Falls Church','ME','30389',NULL,1230729,'863-325-6468',72564,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley I. Jarvis','4744 Dolor. Rd.','Burlingame','WI','27240','yardley.jarvis@widget.com',1230730,'378-355-4879',64233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dahlia I. Nieves','1738 Lorem Rd.','Huntington Beach','IL','30273','dahlia.nieves@hitmail.com',1230731,'907-935-8503',23916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan C. Barr','7874 Ut, Street','Brea','MD','88362','barr@email.net',1230732,'489-789-4839',73643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum X. Wilkinson','949 Posuere, Avenue','Greensboro','HI','32760','tatum.wilkinson@hitmail.com',1230733,'697-836-7047',61702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo K. Baldwin','849-9262 Massa. Avenue','Fall River','SC','08731','baldwin@widget.com',1230734,'592-199-9356',50153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos W. Hayes','327-3701 Semper Road','Ogden','CA','83591','hayes@email.net',1230735,'423-825-9238',63823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera W. Long','Ap #394-3808 Fusce Avenue','Allentown','NH','60653','veral@hitmail.com',1230736,'245-577-4023',35845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara T. Dillard','Ap #542-7269 Amet, Av.','Half Moon Bay','SD','38008','dillard@emailathome.net',1230737,'662-807-3847',93404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall B. Chavez','7288 Dui Road','Compton','MD','70014','marshallc@yohaa.com',1230738,'815-782-9615',21313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel W. Baird','P.O. Box 885, 8948 Porta Ave','Kansas City','NC','08588','abel.baird@widget.com',1230739,'693-418-1990',76516,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blake S. Mitchell','Ap #945-3418 Sed Rd.','Needham','SD','48656','bmitchell@widget.com',1230740,'336-828-2363',48297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah Z. Hamilton','Ap #836-6716 Orci. St.','Fargo','PA','52900',NULL,1230741,'657-883-6118',62772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone W. Cortez','1909 Molestie Rd.','Moscow','NV','87273','cortez@xyz.edu',1230742,'564-639-3176',95617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana S. Steele','2544 Eu Ave','Dayton','MO','06435','steele@xyz.edu',1230743,'263-519-8627',16927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin S. Love','Ap #141-8304 Vel Road','Frederick','WI','41958','jinl@emailathome.net',1230744,'484-546-0558',41190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey H. Moreno','6898 Morbi St.','New Orleans','NV','86531',NULL,1230745,'737-566-8104',33893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim B. Blair','Ap #337-3055 Mi. Avenue','Toledo','ID','87964','nblair@emailathome.net',1230746,'506-243-7086',41129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow M. Bryan','Ap #654-1385 Nascetur St.','East Hartford','UT','14691','wbryan@email.net',1230747,'665-262-3030',30234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis L. Morrow','8551 Pede, Ave','Waterbury','MN','73484',NULL,1230748,'954-111-5277',68924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph P. Bowen','437-5436 Sollicitudin Road','Akron','IN','78042','ralphb@emailathome.net',1230749,'527-472-4910',33004,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana T. Riddle','610-1976 Vel, Av.','New Bedford','WV','21599',NULL,1230750,'642-169-5400',54303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron P. Booker','667-7106 Adipiscing Av.','Poughkeepsie','GA','16937','cameronb@xyz.edu',1230751,'537-179-2487',100707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah I. Rivera','9902 Sit Av.','Pocatello','IN','08339','srivera@xyz.edu',1230752,'923-786-4933',27930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross X. Cherry','Ap #131-9907 In St.','Manassas','WV','26624',NULL,1230753,'954-987-5630',70570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar S. Griffin','Ap #369-5433 Ante. Rd.','Fairbanks','KY','25051','qgriffin@emailathome.net',1230754,'775-639-5161',95422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery L. Cochran','P.O. Box 398, 922 Vulputate Rd.','Roseville','NY','91826',NULL,1230755,'977-653-2828',18149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah W. Wynn','612-7270 Pellentesque St.','La Mirada','VT','54245','sarah.wynn@yohaa.com',1230756,'273-151-6038',101195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly Y. Pate','1922 Auctor Ave','Tacoma','CT','56481','pate@yohaa.com',1230757,'817-424-6296',100360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem U. Yates','880-8952 Dictum Rd.','Colorado Springs','OH','88644',NULL,1230758,'127-934-3589',96472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin T. Nguyen','Ap #741-1978 Etiam Rd.','Anaheim','NH','21209','quinn@widget.com',1230759,'945-172-9052',78476,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia N. Dickerson','888-5700 Nec Avenue','Schenectady','NJ','18040',NULL,1230760,'359-305-2761',95264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille N. Hodge','P.O. Box 612, 5742 Ut Rd.','Gaithersburg','MI','08927','camille.hodge@aulnet',1230761,'167-417-5128',104681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena U. Ayala','529-1269 Libero Rd.','Gloversville','AZ','48757',NULL,1230762,'775-832-1597',82310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris Q. May','956-618 Ullamcorper Rd.','Reedsport','MA','48796','may@widget.com',1230763,'544-328-1502',25428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa V. Willis','992-1590 Fusce Rd.','Uniontown','WV','33782','willis@hitmail.com',1230764,'589-133-3514',25565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cathleen F. Petersen','P.O. Box 223, 2577 Aliquam Ave','Los Alamitos','CT','06049','cpetersen@widget.com',1230765,'822-312-3446',104852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore B. Carter','876-5760 Id Av.','Fulton','WY','12218','lenore.carter@xyz.edu',1230766,'368-291-4017',59372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana K. Hyde','929-4939 Duis Rd.','Rhinelander','SC','78891','hyde@xyz.edu',1230767,'219-577-6670',85659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia F. Simmons','Ap #653-9272 Auctor Street','Bloomington','NE','34913','simmons@emailathome.net',1230768,'805-914-4810',70313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil I. Boyle','Ap #297-2544 Feugiat. Avenue','Chicago','TN','35060','sybilb@hitmail.com',1230769,'174-888-7921',94154,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu K. Cobb','Ap #152-2184 Iaculis Street','Eureka','IN','16642','huc@xyz.edu',1230770,'813-897-5753',84940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart O. Kelly','5894 Auctor Ave','Webster Groves','OR','09640','skelly@abc.edu',1230771,'315-597-7764',44486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael Q. Bean','P.O. Box 785, 2296 Ac Avenue','Savannah','PA','44943','jbean@yohaa.com',1230772,'594-809-2960',81556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan A. Hyde','Ap #936-4544 Pede Rd.','San Rafael','OH','44399',NULL,1230773,'333-837-6368',48313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius B. Sullivan','P.O. Box 335, 8688 Vel Road','Pottsville','FL','89134','dariuss@yohaa.com',1230774,'524-867-6942',42967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice Q. Cardenas','Ap #819-3817 Pellentesque St.','Rockville','AK','25915','alice.cardenas@yohaa.com',1230775,'241-664-4210',36478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin N. Gillespie','P.O. Box 828, 5136 Placerat. Rd.','Starkville','NM','61096','justing@abc.edu',1230776,'103-353-8162',60822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phillip S. Guerra','P.O. Box 812, 1991 Diam Ave','Honolulu','NJ','25887','phillip.guerra@emailathome.net',1230777,'974-186-2381',65853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely A. Horton','Ap #587-5275 Molestie Av.','West Hollywood','KY','94619','keelyh@emailathome.net',1230778,'507-581-5678',17165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKenzie O. Wise','Ap #488-2474 Luctus, Road','Forrest City','WI','34628','wise@bpmpros.com',1230779,'238-746-1276',100775,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isadora Y. Knox','288-9167 Pellentesque Rd.','Basin','NY','69693','knox@yohaa.com',1230780,'313-452-1972',33041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenna C. Whitfield','P.O. Box 982, 9652 Ut Rd.','Livonia','FL','80949','jenna.whitfield@yohaa.com',1230781,'534-756-2083',18009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah F. Medina','974-609 Libero Rd.','Gettysburg','WV','18399','medina@aulnet',1230782,'348-873-6388',51304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie K. Castaneda','Ap #378-3521 Quis Ave','Weirton','IN','24133','mollie.castaneda@abc.edu',1230783,'533-872-6533',96501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria G. Carrillo','Ap #261-829 Tincidunt, Street','Fargo','MS','78502','carrillo@email.net',1230784,'635-278-9496',19044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eliana X. Aguirre','P.O. Box 508, 4645 Nibh St.','San Juan Capistrano','NY','19387','eaguirre@widget.com',1230785,'889-525-6936',61618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara N. Freeman','156-4785 Sed Street','Moline','MT','14424','dara.freeman@xyz.edu',1230786,'712-602-1377',46118,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir V. Guthrie','838-122 Libero Ave','San Bernardino','VT','44758','aguthrie@yohaa.com',1230787,'283-995-5066',50876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison S. Hill','Ap #751-4811 Varius Av.','Sutter Creek','NE','49083','harrison.hill@widget.com',1230788,'733-925-8104',37743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie Q. Cannon','534-3605 Augue Rd.','South Burlington','GA','73312',NULL,1230789,'406-238-0539',89104,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva A. Hill','Ap #191-1317 Phasellus Rd.','West Palm Beach','NH','73556','hhill@bpmpros.com',1230790,'978-375-4135',81697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia M. Kerr','Ap #265-4856 Nam Avenue','Carrollton','IN','80963',NULL,1230791,'421-398-6630',88028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma M. Mitchell','6204 Egestas St.','Augusta','MN','50169',NULL,1230792,'256-608-6374',108985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram C. Sosa','Ap #680-941 Phasellus Rd.','Somerville','NJ','05465','hsosa@bpmpros.com',1230793,'535-792-3999',42627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma H. Holman','389-8970 Ut Street','Bessemer','WI','56861','paloma.holman@xyz.edu',1230794,'327-853-5548',59025,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette T. Simpson','P.O. Box 424, 5825 Sed Street','Houma','ND','64421','jsimpson@widget.com',1230795,'383-501-2647',35289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana R. Newton','629-7970 Vivamus Rd.','La Puente','WV','68323','tatyana.newton@xyz.edu',1230796,'744-937-4486',25605,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew I. House','P.O. Box 596, 6270 Ante St.','Joliet','DE','07776','dhouse@yohaa.com',1230797,'209-844-8812',38072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison J. West','Ap #517-5215 Mauris Road','Pasadena','AL','15023','addison.west@hitmail.com',1230798,'899-999-7436',42660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn N. Terry','7621 Sodales Av.','Egg Harbor','NV','22933','jterry@xyz.edu',1230799,'536-816-8057',92070,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity K. Benton','886-120 Consectetuer Rd.','Claremont','PA','39252','abenton@hitmail.com',1230800,'296-633-4482',65878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy J. Abbott','8405 Tellus. St.','Muncie','CA','24368','ivy.abbott@email.net',1230801,'494-604-1664',23304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell I. French','125-2692 Nascetur Ave','Huntington Park','SC','88512',NULL,1230802,'981-375-8780',56967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jescie N. Kaufman','3146 Pede, Av.','Midwest City','GA','61960',NULL,1230803,'722-119-1476',44293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly J. Holder','5099 Imperdiet Avenue','Mayag?ez','NY','25101','holder@emailathome.net',1230804,'398-371-4714',97204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKensie M. Dawson','2848 Ornare, Ave','Rawlins','TN','37629','mackensied@hitmail.com',1230805,'231-479-2062',65068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard A. Hancock','P.O. Box 780, 9238 Donec Avenue','Abilene','ND','43980','howardh@email.net',1230806,'601-841-1103',34335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole S. Mcmillan','Ap #455-9884 Eu Avenue','Winston-Salem','DE','81734','nmcmillan@widget.com',1230807,'715-326-1662',95612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May B. Oneil','4832 Viverra. Street','Fall River','MT','50148','mayo@hitmail.com',1230808,'322-793-2258',44916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen P. Holmes','213-4579 Ut St.','Mount Vernon','VA','48198','cholmes@xyz.edu',1230809,'447-668-3516',87289,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miriam B. Hill','Ap #978-9510 Vulputate, Av.','Winooski','CO','03441','hill@abc.edu',1230810,'639-986-5449',108971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard T. Martinez','1772 Inceptos Avenue','South Gate','MT','42202','lmartinez@email.net',1230811,'557-711-6082',76895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena P. Phillips','P.O. Box 169, 5858 Et Street','Chickasha','VA','48891','gphillips@yohaa.com',1230812,'194-541-2518',78206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett I. Byrd','7559 Lectus Av.','Cicero','CA','27521','barrett.byrd@emailathome.net',1230813,'401-501-9640',96368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil S. Donaldson','835 Nullam Road','Rohnert Park','OH','80363','bdonaldson@email.net',1230814,'116-357-2072',109898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia B. Robertson','991-6335 Donec Av.','Niagara Falls','TN','57937','ignacia.robertson@emailathome.net',1230815,'302-317-5648',80657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne R. Buckner','Ap #944-7695 Blandit Avenue','Aspen','WA','71028',NULL,1230816,'966-267-5841',58041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa D. Vincent','8582 Sit St.','Warren','NH','67124','willav@xyz.edu',1230817,'238-135-6513',22055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes E. Sheppard','P.O. Box 612, 9917 Laoreet Av.','Champaign','MD','96753','xerxess@hitmail.com',1230818,'988-126-1517',19552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria D. Baxter','688-6918 Orci Avenue','Huntington Beach','HI','65661',NULL,1230819,'415-304-4205',91491,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn W. Drake','6242 Est. Street','Corinth','IL','64521',NULL,1230820,'187-339-8602',22031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo Q. Dominguez','9425 Metus. Road','Saginaw','DC','31628','edominguez@hitmail.com',1230821,'281-399-0129',109634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma F. Webb','649-3320 Enim Street','Shelton','MS','61903','umaw@hitmail.com',1230822,'623-814-1031',34447,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis F. Boyer','559-2871 Cum St.','Springfield','CT','58220','boyer@xyz.edu',1230823,'324-957-7608',78649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage W. Atkinson','P.O. Box 502, 1652 Ante. St.','Laramie','WV','00069','gage.atkinson@bpmpros.com',1230824,'399-614-5703',53093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard B. Cole','3742 Diam St.','Gallup','AK','57988','bcole@email.net',1230825,'985-815-8762',43834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda P. Garrett','8760 Imperdiet, Road','Steubenville','AL','38083','hildag@aulnet',1230826,'872-761-1526',52297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenia Q. Franco','9041 Ornare Ave','Louisville','MD','26240','franco@yohaa.com',1230827,'158-435-5026',37520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn X. Small','P.O. Box 822, 1520 Nulla Av.','Tupelo','RI','17844','quinn.small@aulnet',1230828,'195-143-4880',98359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika C. Nguyen','P.O. Box 987, 3724 Felis Rd.','Corry','SC','55572','anika.nguyen@abc.edu',1230829,'317-402-4548',53246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca H. Thornton','287-930 Velit. Rd.','Hot Springs','FL','99755','francescat@yohaa.com',1230830,'328-646-8573',23415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria M. Charles','9698 Consectetuer, St.','Newton','DC','53113','charles@hitmail.com',1230831,'289-602-4660',67702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn W. Rivas','P.O. Box 743, 6187 Arcu. St.','Bismarck','MS','67421','brynn.rivas@yohaa.com',1230832,'635-724-3358',15510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim O. Serrano','583-6364 Enim, Rd.','Keene','ID','78235','chaim.serrano@hitmail.com',1230833,'767-393-0263',71233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde P. Cook','P.O. Box 707, 6357 Iaculis St.','Monroe','GA','45523','charde.cook@abc.edu',1230834,'859-527-7188',56719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai A. Conner','Ap #148-4268 Neque Road','San Bernardino','OR','93348','kconner@emailathome.net',1230835,'962-722-2470',73452,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana B. Stephenson','P.O. Box 889, 4658 Sem. St.','Port Huron','WA','69862','moana.stephenson@bpmpros.com',1230836,'301-263-9832',39298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara W. Duran','316 Ut St.','Corvallis','AL','78524','carad@aulnet',1230837,'501-731-8570',58555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael R. House','6974 Sed Rd.','Kansas City','AZ','26393','lhouse@yohaa.com',1230838,'246-797-7698',61153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn O. Meadows','P.O. Box 671, 125 Nec, St.','New Albany','NV','63589','meadows@abc.edu',1230839,'873-128-7155',96074,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly I. Hess','547 Turpis St.','Cranston','VA','52958','kimberlyh@bpmpros.com',1230840,'307-295-4073',90681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy I. Tyler','Ap #192-5350 Nunc Rd.','Saint Joseph','AL','92144',NULL,1230841,'194-301-4059',22289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah W. Garner','P.O. Box 935, 7024 Mauris Street','West Covina','AK','08790','delilah.garner@email.net',1230842,'935-938-3498',58054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael N. Robinson','888-3534 Quis St.','Needham','SD','82280','jael.robinson@abc.edu',1230843,'982-917-8552',102394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem J. Baldwin','6829 Gravida Av.','Ventura','IA','93341','kareemb@emailathome.net',1230844,'671-778-8605',67702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan U. Branch','8325 Duis Rd.','Montebello','NM','50889','branch@emailathome.net',1230845,'214-472-4393',34904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas S. Glover','9363 At Av.','Gloversville','MA','03929',NULL,1230846,'907-928-3655',21617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy J. Jefferson','Ap #894-2504 Praesent St.','Nevada City','OH','19112','wendy.jefferson@bpmpros.com',1230847,'142-949-8772',50276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor L. Pickett','4052 Dolor St.','Evanston','NV','19711','epickett@bpmpros.com',1230848,'623-926-0219',25620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad I. Pacheco','P.O. Box 728, 2323 Diam Avenue','Dubuque','MT','09028',NULL,1230849,'731-453-2893',22002,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden E. Franco','Ap #284-9905 Feugiat St.','Medford','VA','48347','arden.franco@emailathome.net',1230850,'476-106-4687',60463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose O. Benjamin','Ap #842-3783 Nibh. Road','Downey','AK','95534','roseb@hitmail.com',1230851,'882-358-3647',42117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz T. Larsen','122-9497 Luctus, Rd.','Bandon','TX','86082','fritz.larsen@xyz.edu',1230852,'617-508-7661',38354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio N. Vargas','593-319 Nulla Road','New Albany','NH','42939','avargas@xyz.edu',1230853,'113-729-2370',102034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva E. Carey','Ap #870-5081 Odio St.','Worland','MD','94247',NULL,1230854,'377-381-9192',55549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla I. Davis','Ap #565-4382 Pellentesque Road','Corona','ME','74779','mdavis@hitmail.com',1230855,'117-385-5655',90403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona F. Paul','Ap #255-3146 Sed Avenue','Beaver Falls','OH','06481','iona.paul@email.net',1230856,'351-378-5631',42466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven C. Meyer','480-2787 Diam. Road','Stillwater','NJ','23239','stevenm@widget.com',1230857,'612-973-1507',28378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani L. Stephens','Ap #651-8298 Massa. Rd.','Schaumburg','AK','66699','imani.stephens@email.net',1230858,'829-542-3235',88072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana X. Frye','240-6869 Fringilla St.','Spokane Valley','RI','86342','illianaf@widget.com',1230859,'933-863-2046',43825,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quentin B. Contreras','558 Ac Rd.','Pittsfield','KS','19887','qcontreras@hitmail.com',1230860,'512-816-0913',36195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel W. Robinson','P.O. Box 658, 7418 Nunc Rd.','Minot','NJ','99619','darrelr@xyz.edu',1230861,'697-119-8359',40100,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine M. Gardner','532-6588 Mi St.','Huntington Park','CO','71261','nadineg@emailathome.net',1230862,'972-568-5883',26888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia K. Gomez','9443 Et Ave','San Angelo','HI','65862','flaviag@hitmail.com',1230863,'188-276-3221',85771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara D. Wong','641-3249 Nulla Street','Chico','MS','76332',NULL,1230864,'294-373-4587',86953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey N. Thomas','Ap #521-1976 Risus Av.','Cambridge','AK','57224',NULL,1230865,'657-852-0344',95396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand P. Curtis','P.O. Box 768, 9974 In St.','Rhinelander','GA','26184','fcurtis@yohaa.com',1230866,'409-166-8179',62178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian I. Hubbard','9300 Bibendum. Ave','San Antonio','AZ','88961',NULL,1230867,'681-221-0276',31360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter D. Glass','Ap #807-9104 Felis Rd.','East Lansing','OR','75853','wglass@hitmail.com',1230868,'826-516-5366',77512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko V. Ellis','7991 Morbi Rd.','Belpre','NE','73881','ellis@bpmpros.com',1230869,'467-749-2808',58943,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana C. Koch','923-2790 Interdum Avenue','Westfield','UT','46029',NULL,1230870,'801-267-9172',16143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quintessa M. Blevins','Ap #353-5141 Semper Rd.','Valdosta','GA','08945','quintessab@emailathome.net',1230871,'975-875-9439',68963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed P. Butler','P.O. Box 983, 7987 Adipiscing St.','New Kensington','IL','40459','ahmedb@email.net',1230872,'404-379-0440',102097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia M. Woodard','P.O. Box 601, 3250 Luctus St.','Buffalo','NE','84225','pwoodard@abc.edu',1230873,'775-188-3574',17263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deanna Y. Kelley','804-5941 Urna Rd.','Lawrenceville','KY','80364','deanna.kelley@emailathome.net',1230874,'699-374-3526',25787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August D. Bowen','P.O. Box 404, 648 Parturient Rd.','Lock Haven','CT','45635','bowen@hitmail.com',1230875,'901-699-8732',42281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam K. Tyson','Ap #151-5800 Orci Avenue','New Haven','MD','52198','maryamt@abc.edu',1230876,'734-734-2341',19472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quintessa I. Guerra','Ap #236-2850 Non, Street','Ephraim','GA','64017','quintessag@abc.edu',1230877,'216-849-5747',24568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson D. Strong','120-5347 Facilisis Street','Danbury','DC','36391','samson.strong@widget.com',1230878,'419-525-3648',54148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa N. Mcmillan','Ap #418-7420 Erat Rd.','Catskill','ME','50897','ursam@hitmail.com',1230879,'398-608-1224',98210,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca H. Gibbs','4744 Dignissim Avenue','Johnstown','MN','61497','rgibbs@aulnet',1230880,'587-306-1669',89833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade G. Davis','Ap #124-7340 Scelerisque St.','McKeesport','TN','20182','slade.davis@email.net',1230881,'689-166-3725',50503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella E. Hopper','526-6882 Vitae Ave','Apple Valley','MO','36566','shopper@hitmail.com',1230882,'758-338-3047',86560,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora D. Ellison','402-3839 Magna Ave','Port Jervis','SD','34360','oellison@widget.com',1230883,'827-576-8142',31906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker Y. Woodard','P.O. Box 321, 9615 Penatibus Street','Grand Junction','NH','34878','tuckerw@email.net',1230884,'239-957-5333',63161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick R. Mcdaniel','Ap #374-8302 Nec Rd.','Palm Springs','NV','11055','pmcdaniel@abc.edu',1230885,'824-154-9114',65697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth B. Solomon','Ap #839-349 Nulla Rd.','Gold Beach','CT','66087','hyacinths@emailathome.net',1230886,'233-157-0119',42336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia V. Jimenez','7856 Tincidunt Road','San Antonio','NH','97694','jimenez@email.net',1230887,'392-115-3110',25575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai C. Conway','Ap #406-349 Magnis Road','Troy','GA','74471','daic@bpmpros.com',1230888,'266-567-5739',96154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola Z. Atkins','P.O. Box 267, 6269 Lacus St.','New Orleans','MT','74258','iola.atkins@emailathome.net',1230889,'721-896-3538',43115,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie D. Roth','P.O. Box 804, 486 Ullamcorper Av.','Citrus Heights','WI','43327',NULL,1230890,'576-296-0824',55739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh S. Farley','3856 Per St.','Tok','WY','11596',NULL,1230891,'928-776-3059',22958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack M. Cotton','6086 Vulputate, Av.','Bandon','TX','74566','jcotton@xyz.edu',1230892,'726-418-2867',30587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix D. Greer','288-6962 In Av.','Canandaigua','WI','87652','mannixg@hitmail.com',1230893,'228-955-2634',64955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade R. Figueroa','3048 Non, Rd.','La Habra','DC','24443','wfigueroa@hitmail.com',1230894,'318-531-3258',67390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy B. Calhoun','541-6607 Integer St.','Winnemucca','KS','44579','dorothyc@hitmail.com',1230895,'123-332-7621',105156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross N. Wade','Ap #903-1519 Donec St.','Syracuse','ME','77212','rwade@aulnet',1230896,'892-924-2659',43371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip G. Black','Ap #694-782 Non St.','Fernley','NV','90067','philipb@hitmail.com',1230897,'389-272-1053',75305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis Y. Frederick','P.O. Box 483, 3934 Neque Road','Vincennes','CA','66356',NULL,1230898,'425-704-9850',95677,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace M. Holcomb','207-1342 Ad Ave','Myrtle Beach','NE','69726','cholcomb@abc.edu',1230899,'283-607-2022',102084,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios T. Fuller','P.O. Box 292, 4958 Diam Ave','Oro Valley','KS','81750','remedios.fuller@aulnet',1230900,'577-761-2685',89575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika S. Robertson','801-8489 Mauris St.','Port Washington','WY','39620','robertson@xyz.edu',1230901,'472-949-6199',93091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reuben P. Jackson','690-3524 Elit, Street','Saint Louis','MI','45874','reuben.jackson@hitmail.com',1230902,'596-967-9166',44403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris D. Marquez','Ap #341-2843 Ut St.','Aurora','WA','38373','mmarquez@bpmpros.com',1230903,'258-754-6116',49917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee R. Forbes','9058 Nisi Av.','Thomasville','NE','50744','ryleef@emailathome.net',1230904,'673-998-7631',48641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan A. Gonzales','583-6425 Nam St.','Clarksville','KY','87248','jordang@aulnet',1230905,'193-665-5533',36508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon P. Mccall','Ap #976-1110 Proin Avenue','Tyler','MT','82170','mccall@hitmail.com',1230906,'428-411-0766',48769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle P. Barrera','P.O. Box 691, 5548 Rutrum, Rd.','Rockford','NY','13796',NULL,1230907,'977-395-7157',102148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe H. Houston','6675 Dolor Rd.','Bristol','AL','79340','chloe.houston@widget.com',1230908,'711-418-0485',28713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne Y. Carroll','237-4704 Risus Road','Sun Valley','AL','04684','wynnec@abc.edu',1230909,'925-646-0541',107023,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis C. Ochoa','P.O. Box 192, 1820 Fusce Av.','Jersey City','IL','27222','dochoa@abc.edu',1230910,'906-832-5775',46158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany H. Pearson','648-2291 Neque. Road','Kona','OK','90128','brittanyp@bpmpros.com',1230911,'551-466-2978',83038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime B. Hodges','977-5380 Et, St.','Richmond','NH','21021','hodges@email.net',1230912,'349-701-1664',68779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel H. English','502-8393 Nulla Ave','Oro Valley','MA','01632','henglish@email.net',1230913,'755-105-7049',81998,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert H. Graves','Ap #428-3316 Et, Rd.','Tamuning','SD','25926','bert.graves@xyz.edu',1230914,'659-314-3180',39595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis Z. Acevedo','P.O. Box 909, 9880 Aliquet. Road','San Fernando','IL','04230','eacevedo@abc.edu',1230915,'257-716-0204',52381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena Q. Joyner','Ap #578-8470 Integer Rd.','Spokane','MA','61376',NULL,1230916,'506-763-4795',105949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore J. Wiggins','P.O. Box 895, 9382 Sed Rd.','New Madrid','MA','86157','twiggins@hitmail.com',1230917,'434-941-6031',89725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney T. Parks','P.O. Box 888, 1319 Lorem Ave','Boulder','PA','18104',NULL,1230918,'353-786-6263',46057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir C. Jarvis','3018 Blandit St.','South Burlington','WV','09071','vladimirj@yohaa.com',1230919,'892-427-5951',77659,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana Z. Rosales','367-9030 Nec, Ave','North Charleston','DE','13413','srosales@bpmpros.com',1230920,'594-485-6122',26926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley U. Hickman','8462 Blandit St.','Webster Groves','ID','82034','rhickman@bpmpros.com',1230921,'486-735-1636',48676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem P. Talley','P.O. Box 475, 3635 Consectetuer Ave','Douglas','FL','43036',NULL,1230922,'161-556-2803',59307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack V. Zimmerman','630-5909 Vel, Avenue','Kettering','AL','21864','zimmerman@abc.edu',1230923,'992-962-4177',104490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney K. Bauer','P.O. Box 340, 9419 Non, St.','Oklahoma City','TX','84706','sigourneyb@hitmail.com',1230924,'761-663-5240',55508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing J. Rollins','3569 Egestas Av.','Thiensville','AL','64373','channingr@abc.edu',1230925,'854-521-5877',53765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal M. Copeland','852-4310 Dui. Road','Brooklyn Park','NM','63828',NULL,1230926,'202-166-4860',80247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy C. Shannon','Ap #962-4264 Est St.','Springfield','SC','46900','shannon@hitmail.com',1230927,'838-131-0965',94315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding N. Marshall','Ap #390-4390 Eu Road','Corinth','IN','06043','harding.marshall@xyz.edu',1230928,'154-882-8138',28274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvonne Z. Hawkins','279-3668 Tristique Avenue','Brookfield','MT','86383','yvonneh@widget.com',1230929,'437-481-2620',94521,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaye Z. Tran','8787 Enim, Street','El Segundo','MI','55484','kaye.tran@emailathome.net',1230930,'123-466-0050',34652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine G. Fry','P.O. Box 987, 3577 Nec Av.','Keene','WA','33399','catherinef@emailathome.net',1230931,'783-806-2623',79017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver W. Hickman','P.O. Box 916, 5804 Ipsum. Ave','Edmond','VT','81424','oliver.hickman@hitmail.com',1230932,'714-597-3025',81286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn J. Trevino','198-701 Mauris Street','Hartford','AL','95377','trevino@widget.com',1230933,'792-515-0123',27289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin V. Villarreal','P.O. Box 263, 1689 Ut Av.','Ketchikan','IN','38424','jvillarreal@xyz.edu',1230934,'892-593-0080',28023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk G. Hendricks','P.O. Box 598, 1795 Cursus Road','Farrell','OR','05534','hendricks@aulnet',1230935,'158-859-3433',58579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler P. Horn','8642 Ac Av.','Columbia','WV','21691','chandlerh@email.net',1230936,'355-651-4354',83719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette C. Riley','Ap #134-2382 Bibendum. Avenue','Huntington Beach','VT','85916',NULL,1230937,'608-864-5240',72556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne I. Kelley','450-2216 Ac, Street','Yigo','MA','35910','wynne.kelley@xyz.edu',1230938,'927-635-4089',40108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella W. Anderson','P.O. Box 280, 7720 Molestie. Rd.','North Charleston','NJ','04039','ella.anderson@yohaa.com',1230939,'151-987-5229',38023,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice N. Whitney','734-4943 Cras Avenue','Monroe','VA','42856','candicew@aulnet',1230940,'886-836-8233',54286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia R. Gates','P.O. Box 322, 2873 Duis Street','Mayag?ez','WV','80332','marcia.gates@email.net',1230941,'289-176-9127',45777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby T. Burris','128-7543 Mollis. Rd.','Mesquite','IN','28208','libbyb@yohaa.com',1230942,'541-731-7066',28883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad M. Hyde','P.O. Box 708, 507 Est Rd.','Nampa','OK','98226','shad.hyde@hitmail.com',1230943,'535-176-7054',22305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado F. Cline','Ap #551-2413 Diam. Rd.','Troy','FL','80688','ccline@widget.com',1230944,'905-439-3150',31276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock G. Mccarty','466-4155 At, Ave','Chicopee','VA','09599','mccarty@yohaa.com',1230945,'388-294-5338',56351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas P. Wood','3893 Semper Rd.','Gatlinburg','KS','46357','thomas.wood@email.net',1230946,'317-336-1455',109591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra W. Walter','8734 Per Av.','Temecula','MI','70055','swalter@emailathome.net',1230947,'781-512-2458',76204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie F. Hernandez','P.O. Box 941, 5142 Phasellus Street','Youngstown','SD','21101','ahernandez@xyz.edu',1230948,'257-938-4507',21327,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty S. Oneil','7083 Neque St.','Grand Forks','AK','04296',NULL,1230949,'407-522-2260',85951,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chastity O. Barron','P.O. Box 970, 3019 Risus Rd.','Geneva','VT','96500','barron@emailathome.net',1230950,'797-205-6368',71981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae J. Simon','7091 Cras Avenue','Mankato','CT','45815','simon@xyz.edu',1230951,'565-545-3557',29707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity Z. Horton','8691 Montes, Ave','Chelsea','OK','28503','uhorton@email.net',1230952,'195-631-1956',39034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando A. Diaz','286-6831 Fusce St.','Columbus','AK','73201','armandod@yohaa.com',1230953,'705-809-4306',44291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo O. Ewing','Ap #890-6756 Bibendum Rd.','Berlin','CA','19682','leoe@hitmail.com',1230954,'894-698-4088',51133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha R. Jacobs','P.O. Box 227, 2658 Hendrerit Ave','South Gate','AK','12121',NULL,1230955,'814-607-2066',16375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan K. Hyde','P.O. Box 887, 6807 Maecenas Avenue','Gilbert','AL','08111','jordan.hyde@abc.edu',1230956,'334-247-7549',64068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb N. Marks','407 Eu St.','West Palm Beach','AL','39559',NULL,1230957,'461-695-9096',93158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine U. Camacho','563-9250 Dolor. Street','Hannibal','MI','48977','jasmine.camacho@bpmpros.com',1230958,'537-998-5834',106601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo U. Caldwell','Ap #769-5551 Dolor. Street','Tuscaloosa','IL','64612','caldwell@widget.com',1230959,'691-128-0266',25241,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam B. Cabrera','694 Morbi Street','Manhattan','MA','30567','cabrera@hitmail.com',1230960,'929-378-3811',105165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Farrah P. Sosa','Ap #545-1759 Non, Av.','Wisconsin Dells','LA','70510','fsosa@hitmail.com',1230961,'278-297-4667',69184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel N. Washington','P.O. Box 503, 6772 Convallis Av.','Shelton','WV','20301','nwashington@widget.com',1230962,'912-191-1886',64903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes C. Griffith','Ap #231-1270 Dolor Street','Providence','NJ','56387','griffith@abc.edu',1230963,'798-609-6908',93173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad J. Humphrey','436-1443 Sed Av.','Basin','MT','10366',NULL,1230964,'744-432-0416',60271,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig H. Leblanc','Ap #389-8127 Ac Avenue','Bismarck','OH','22932','craig.leblanc@aulnet',1230965,'399-943-3843',46351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly U. Beach','P.O. Box 975, 5715 Semper Rd.','Riverton','IA','93925','beach@bpmpros.com',1230966,'957-257-1905',92750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine D. Warren','997 Nulla Avenue','Monterey','AK','83563','warren@emailathome.net',1230967,'865-451-1758',107344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota N. Small','579-5496 Velit. Road','Lander','MS','56230','small@widget.com',1230968,'704-669-9200',19668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam A. Walton','Ap #632-1620 Molestie Av.','Aspen','CT','63510','mariamw@emailathome.net',1230969,'851-555-0240',61181,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy N. Calhoun','Ap #411-8712 Mauris, St.','Brookfield','WA','07660','joy.calhoun@widget.com',1230970,'381-132-5966',27512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruce Q. Murphy','P.O. Box 793, 8668 Donec Av.','Pocatello','CO','07914','bmurphy@yohaa.com',1230971,'675-866-9984',99786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel A. Benson','Ap #325-5139 Urna Ave','San Luis Obispo','AK','11318','jbenson@xyz.edu',1230972,'334-908-8757',82529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence P. Cobb','Ap #487-9643 Mauris Street','Elmira','ND','78589','cobb@xyz.edu',1230973,'908-232-1409',31002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah W. Parsons','746-1419 Consectetuer Av.','Bristol','DE','85454','lparsons@emailathome.net',1230974,'134-942-1732',33359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah J. Cruz','P.O. Box 939, 8094 Convallis Avenue','Princeton','NC','70266','cruz@emailathome.net',1230975,'611-754-5966',80857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette X. Walker','P.O. Box 509, 757 Neque St.','Lawrence','ME','08088','yvettew@yohaa.com',1230976,'345-965-5181',25486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jorden U. Snow','Ap #916-9384 Orci. Av.','Warner Robins','LA','78676','snow@aulnet',1230977,'765-901-8744',100177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet A. Merrill','3634 Nulla. Rd.','Elko','MO','46283','merrill@abc.edu',1230978,'152-818-3183',15274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison L. Sears','P.O. Box 574, 1010 Montes, St.','Meriden','KY','87023','msears@abc.edu',1230979,'317-368-1864',108449,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia Z. Richmond','752-8126 Mi Rd.','Lufkin','ID','53840',NULL,1230980,'974-282-4505',47929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero I. Atkinson','535-3942 Arcu. Av.','Rockford','GA','41304','atkinson@abc.edu',1230981,'345-219-3007',66495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando X. Guy','P.O. Box 141, 1936 Metus Road','Marshall','NE','77528','armando.guy@yohaa.com',1230982,'923-278-2975',106241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade N. Hansen','693-1593 Et, Ave','Nevada City','OH','29496','shansen@email.net',1230983,'116-948-0173',22659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina B. Webster','Ap #300-1027 Nascetur Road','Walla Walla','UT','55684','justinaw@abc.edu',1230984,'272-297-0461',68251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve Q. Jennings','Ap #264-7688 Turpis Road','DeKalb','MD','21786',NULL,1230985,'462-544-6407',97656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda L. Shepherd','P.O. Box 904, 7453 Scelerisque Street','Roanoke','AK','43174',NULL,1230986,'862-334-7864',44032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quentin E. Case','Ap #552-3137 Convallis, Avenue','Palos Verdes Estates','MD','45499','qcase@aulnet',1230987,'574-436-6784',66654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee W. Shepherd','P.O. Box 829, 9855 Aliquam Avenue','Niagara Falls','IA','73719','lees@abc.edu',1230988,'218-783-1277',104002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim M. Carr','662-9789 Tincidunt Avenue','Greensburg','MI','72245','nasimc@emailathome.net',1230989,'165-273-8659',98063,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo V. Powell','387-8713 Nunc Av.','New Rochelle','WV','38910','powell@aulnet',1230990,'357-322-4043',77885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela N. Hahn','505-9956 Lectus, St.','North Chicago','RI','77205','angelah@emailathome.net',1230991,'226-583-7042',21488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa S. Mendez','446-1119 Neque Avenue','New Brunswick','TN','69536','ursa.mendez@email.net',1230992,'742-968-4401',63250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah O. Haynes','461-186 Bibendum St.','Modesto','SC','62421','haynes@emailathome.net',1230993,'958-791-6580',20180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance O. Delacruz','P.O. Box 865, 6551 Quis Rd.','Kemmerer','ID','07269','delacruz@emailathome.net',1230994,'682-641-3309',108615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda B. Banks','Ap #358-9022 Nam Street','Redlands','DE','32249','vbanks@yohaa.com',1230995,'409-192-6419',90002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke U. Velazquez','9964 Massa. Avenue','Delta Junction','MA','14638','clarke.velazquez@aulnet',1230996,'953-893-8029',78404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada Q. Bruce','Ap #338-4540 Est Street','Lufkin','CA','47861','bruce@emailathome.net',1230997,'599-552-3551',64280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade E. Casey','268 Euismod Street','Monongahela','LA','83468',NULL,1230998,'255-405-3505',94922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lamar A. Barlow','P.O. Box 347, 3965 Metus. Av.','Kalamazoo','CA','46030','lbarlow@aulnet',1230999,'599-744-0593',19732,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton X. Stevenson','6679 Ligula Avenue','Saint Paul','CA','50554','astevenson@abc.edu',1231000,'358-308-2726',95407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah F. Mcintyre','P.O. Box 797, 1889 Mi Rd.','Zanesville','OH','77938','savannah.mcintyre@bpmpros.com',1231001,'583-842-1593',43939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl D. Woodard','967-1978 Aliquam Rd.','Kennewick','OR','42220',NULL,1231002,'258-732-4725',42585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo P. Travis','Ap #580-4819 Interdum. Avenue','Bremerton','MO','20062','ctravis@abc.edu',1231003,'383-431-0715',63047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella U. Camacho','193-9335 Aenean St.','Carolina','NY','10831','camacho@emailathome.net',1231004,'804-196-4265',15450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven N. Blankenship','969-2630 Ornare, St.','Phoenix','AK','75086','stevenb@abc.edu',1231005,'828-722-7171',55846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James L. Nicholson','6534 Eu Ave','West Springfield','ID','96473','nicholson@abc.edu',1231006,'183-775-4476',29118,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly H. Harmon','7225 Tincidunt Av.','Cody','OK','69488','shelly.harmon@email.net',1231007,'226-525-7922',56344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nash B. Vasquez','223-694 Pede Ave','Falls Church','CO','84343',NULL,1231008,'733-868-4931',103627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine J. Hayes','265-1043 Lacinia Street','Stafford','KS','49623','hayes@xyz.edu',1231009,'977-709-5789',83609,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara R. Chaney','P.O. Box 316, 8848 Morbi Rd.','Kearney','MA','71410','dara.chaney@email.net',1231010,'145-912-6212',108308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara S. Cummings','230-9422 Ut, Road','Hermosa Beach','ME','88159','acummings@abc.edu',1231011,'671-615-6263',59924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary L. Lowe','P.O. Box 159, 1470 Velit Ave','Lynn','GA','59747','roaryl@widget.com',1231012,'896-466-0817',20668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar N. Ball','3957 Porttitor Rd.','Glens Falls','DE','66552',NULL,1231013,'527-216-8534',77863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan J. Mcfadden','742-9297 Dictum Road','Yorba Linda','OH','87854','brennanm@emailathome.net',1231014,'407-834-9508',25198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher T. Foley','P.O. Box 664, 2543 Non, Avenue','Minneapolis','KY','04882','ffoley@email.net',1231015,'747-144-8878',52068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa M. Pena','619-9048 Nam St.','Isle of Palms','GA','53558','risap@widget.com',1231016,'441-288-2321',37428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem Q. Acevedo','P.O. Box 962, 7327 Mauris Ave','Hollister','NE','77721','akeema@yohaa.com',1231017,'489-831-9281',72583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst V. Donovan','904-9647 Malesuada Street','Mount Vernon','TX','33711','adonovan@bpmpros.com',1231018,'643-922-7616',97529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam M. Rodriquez','209-2880 Eu, St.','San Bernardino','AL','89322',NULL,1231019,'234-776-6073',82613,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade P. Barber','P.O. Box 104, 8570 Suspendisse Av.','Hastings','CT','13503','wbarber@emailathome.net',1231020,'926-169-7454',64031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth F. Skinner','2428 Orci Av.','Plymouth','UT','23735',NULL,1231021,'195-488-9849',78060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon D. Long','6128 Egestas Av.','Chino Hills','TX','52615','solomon.long@abc.edu',1231022,'189-598-0368',45034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon H. Dodson','3359 Pede, St.','Lawrenceville','OH','81527',NULL,1231023,'898-397-2460',60580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang H. Pitts','Ap #590-4796 Conubia Street','Oakland','LA','01292','wangp@hitmail.com',1231024,'721-518-8050',62532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt Z. Case','487-1621 Blandit Av.','Scottsdale','WI','34645',NULL,1231025,'838-658-1770',87995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus G. Buckley','P.O. Box 716, 1598 Dis Street','Manassas Park','CO','09843','ebuckley@aulnet',1231026,'489-327-8750',62812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria H. Bennett','Ap #169-4490 Malesuada. St.','San Fernando','PA','88698','bennett@xyz.edu',1231027,'542-921-1480',39689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith T. Bradshaw','P.O. Box 264, 3382 Tellus. St.','Monongahela','IL','03692','griffithb@hitmail.com',1231028,'481-823-7548',109557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig G. Weaver','P.O. Box 293, 2089 Etiam St.','Bandera','MD','63966','craigw@xyz.edu',1231029,'759-141-8735',38849,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra G. Horne','Ap #610-4461 Nec, Road','Macomb','RI','11284','phorne@yohaa.com',1231030,'252-811-8517',41134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina N. Dyer','2387 Id Ave','Bowie','IL','75137','dyer@email.net',1231031,'456-872-9621',63483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn F. Dunlap','613-277 Nunc Ave','Columbia','KY','60846','quinn.dunlap@widget.com',1231032,'174-439-2112',85291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris G. Frazier','219-3368 Metus. Rd.','West Hollywood','OH','05466',NULL,1231033,'303-386-6168',44291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia B. Berger','237-9450 Senectus Road','Rye','IN','96802',NULL,1231034,'368-672-8674',92679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga D. Good','P.O. Box 318, 7961 Cursus. Road','Laguna Woods','MD','60966','igood@abc.edu',1231035,'868-237-7185',89318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena P. Barlow','Ap #333-8085 Aliquam Road','Trenton','MO','83653','mbarlow@xyz.edu',1231036,'629-498-5352',62633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola H. Salazar','1533 Et Av.','Dothan','NM','59688','salazar@aulnet',1231037,'944-406-3551',21183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane I. Porter','P.O. Box 721, 2239 A St.','Woodruff','NH','17266','thanep@widget.com',1231038,'955-808-2145',78012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber S. Pennington','P.O. Box 419, 6052 Non, Rd.','Concord','AZ','61389','pennington@email.net',1231039,'646-601-4196',43949,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth Z. David','Ap #466-3966 Dui Avenue','Riverton','PA','88149','hyacinth.david@email.net',1231040,'529-275-7762',104430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane G. Stokes','P.O. Box 502, 531 Amet, St.','Tyler','TX','64642','stokes@bpmpros.com',1231041,'783-302-4761',71202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca N. Hardin','8900 Sit Street','Hanahan','WY','91858','hardin@abc.edu',1231042,'313-591-7118',72511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir U. Mays','P.O. Box 161, 8088 Cras Avenue','Kankakee','TX','80272','vladimirm@widget.com',1231043,'131-343-8335',68813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima E. Horne','9508 Aliquet St.','Villa Park','DE','58437','jemimah@emailathome.net',1231044,'565-767-7929',94175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall K. Fisher','3902 Elit. Ave','Clarksville','UT','74150',NULL,1231045,'195-741-1179',92449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan U. Cherry','P.O. Box 951, 378 Nunc Av.','Sheboygan','SC','67142','nolan.cherry@abc.edu',1231046,'393-397-0381',58442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely H. Boyer','P.O. Box 814, 858 Posuere Street','Buena Park','OR','55912','kboyer@widget.com',1231047,'165-468-6556',99070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry I. Schneider','Ap #257-1832 Mattis Avenue','Orlando','WI','73728',NULL,1231048,'742-707-1647',32009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye B. Horton','469-1916 Suspendisse Street','Anaheim','NH','56429','avyeh@abc.edu',1231049,'248-999-6968',72911,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron U. Mcdaniel','7223 Eu St.','Fort Lauderdale','IL','27892','cmcdaniel@yohaa.com',1231050,'545-461-2592',33737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy Z. Turner','Ap #377-3094 Dis St.','New York','DC','41468','tturner@widget.com',1231051,'362-717-1764',41775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena M. Murphy','168-6346 Dictum Rd.','Bay St. Louis','ME','59691','martenam@hitmail.com',1231052,'169-332-0471',32465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jesse M. Maldonado','6872 Non St.','Salinas','MA','41316','maldonado@hitmail.com',1231053,'376-483-3164',26377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia H. Ferguson','7378 Vel Ave','Thomasville','AZ','81325',NULL,1231054,'557-285-8231',79177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette E. Romero','876-1554 Enim. Av.','Darlington','OH','75656','romero@hitmail.com',1231055,'173-531-6254',67574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone F. Moody','979-3116 Porttitor Road','Stafford','TN','53128','moody@widget.com',1231056,'886-968-3080',41330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee V. Manning','P.O. Box 709, 6262 Ornare, St.','La Jolla','NC','43407','manning@email.net',1231057,'636-512-3797',89467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina B. Schroeder','4628 Purus. Road','Monterey Park','WV','47172','reginas@bpmpros.com',1231058,'513-276-8179',67184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem H. Wilkins','P.O. Box 427, 9363 Quisque Ave','Lower Burrell','IL','25263','kaseem.wilkins@email.net',1231059,'436-949-1259',53607,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris Y. Winters','186-7224 In Avenue','Holyoke','MN','70095',NULL,1231060,'359-785-6348',72561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta A. Rosario','9945 Adipiscing Ave','Provo','HI','65152',NULL,1231061,'252-787-6561',35241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele A. Knight','6319 Diam Road','Norman','NJ','38774','aknight@bpmpros.com',1231062,'389-505-7734',48925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana M. Bentley','1458 Dictum. St.','Peekskill','MD','05968',NULL,1231063,'736-265-1256',102354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek J. Ayala','173-475 Aliquet, Avenue','Little Rock','AZ','41556','dereka@yohaa.com',1231064,'415-252-3265',57397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado J. Cox','Ap #184-1680 Nibh Street','Charlotte Amalie','DC','23865',NULL,1231065,'412-737-9992',33669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik Q. Santiago','P.O. Box 393, 2643 Et St.','Rancho Santa Margarita','MA','56589','santiago@emailathome.net',1231066,'455-777-5044',18328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant G. Ramos','8481 Purus, Rd.','Morgan City','VT','65251','gramos@yohaa.com',1231067,'801-845-3120',81702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald E. Hunt','5929 Lobortis Av.','Scranton','MN','03889','fitzgeraldh@email.net',1231068,'415-605-6891',38194,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa H. Hendrix','Ap #117-968 Malesuada Ave','Michigan City','WA','31044','carissa.hendrix@yohaa.com',1231069,'835-349-9545',54903,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indigo R. Randolph','4604 Dictum St.','Thibodaux','ND','23667','indigor@emailathome.net',1231070,'863-356-7806',92472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel K. Bullock','P.O. Box 718, 1492 Rutrum Rd.','Fort Worth','NY','30154','lbullock@bpmpros.com',1231071,'813-685-9306',40600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar C. Fisher','793-9539 Congue, Road','Newton','MN','06137','caesar.fisher@xyz.edu',1231072,'393-215-7996',49496,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir Q. Fleming','Ap #944-9884 Tempor Rd.','Corpus Christi','OK','10727','fleming@hitmail.com',1231073,'965-267-3721',80876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler B. Riddle','Ap #477-6484 Orci St.','Hutchinson','LA','05426','chandlerr@aulnet',1231074,'244-118-3756',59319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma E. Rivas','P.O. Box 234, 6088 Dapibus Rd.','Turlock','NH','98994','palomar@email.net',1231075,'421-674-6829',70754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan B. Morrow','P.O. Box 486, 9633 Donec Road','Jenks','NH','18607','morrow@hitmail.com',1231076,'602-923-4061',95635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia L. Bush','228-1998 Cras Ave','Pittsfield','NH','17425','soniab@bpmpros.com',1231077,'233-744-6760',84699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin P. Dawson','P.O. Box 787, 1324 Odio Road','Lomita','VA','44361','devin.dawson@emailathome.net',1231078,'897-939-6732',59952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel F. Fletcher','4030 Hymenaeos. Rd.','Sunbury','SD','30355','fletcher@yohaa.com',1231079,'882-961-7646',34776,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista K. Beck','Ap #845-3338 Tincidunt St.','Diamond Bar','NM','48179','cbeck@hitmail.com',1231080,'425-217-1878',53666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee P. Marks','P.O. Box 964, 6814 Consectetuer Rd.','Rensselaer','SC','47086','marks@emailathome.net',1231081,'256-681-7979',88202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly E. Silva','752 Ipsum Road','Ann Arbor','TN','58752','kellys@widget.com',1231082,'461-186-6446',35211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila E. Hooper','P.O. Box 434, 7029 Vitae Avenue','Jeffersonville','DC','97156','ihooper@email.net',1231083,'818-378-3559',108575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus F. Nelson','627-850 Est. St.','Hornell','WV','15213',NULL,1231084,'469-377-5569',24932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey C. Vance','576-6848 Vitae Rd.','Orange','CO','05810','cvance@email.net',1231085,'234-694-8714',44788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven K. Holman','Ap #181-9328 Ullamcorper Road','San Luis Obispo','NM','73589',NULL,1231086,'409-634-1270',22121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia K. Maddox','6107 Tristique Avenue','Grambling','KS','13850','maddox@aulnet',1231087,'308-248-1015',37824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome I. Everett','9422 Blandit St.','San Marino','TX','20141',NULL,1231088,'437-568-3731',104433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim M. Hall','9359 Vel, Av.','Idaho Falls','VT','66008','hall@yohaa.com',1231089,'214-467-0038',54386,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar P. Dale','5477 Fames Rd.','Dickinson','TX','21968','briar.dale@hitmail.com',1231090,'679-582-8175',40897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana E. Simon','895-490 Imperdiet Avenue','York','UT','78390','shoshana.simon@email.net',1231091,'459-929-4102',48565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley Q. Ruiz','9813 Morbi Rd.','New Madrid','FL','17244',NULL,1231092,'284-211-1130',75016,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal X. Butler','Ap #493-6938 Mauris Avenue','Hanahan','HI','45662',NULL,1231093,'807-182-1913',29562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine U. Gutierrez','Ap #789-4841 Eu, Rd.','Jackson','GA','48783','jgutierrez@email.net',1231094,'446-344-3255',42398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper L. Shelton','P.O. Box 286, 7109 Augue. St.','Villa Park','WI','13161','piper.shelton@yohaa.com',1231095,'946-393-6469',82618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava A. Jefferson','279-5243 Nonummy Street','Oswego','MD','34957','cjefferson@widget.com',1231096,'119-965-3579',15489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda S. Vincent','Ap #584-7144 Dictum Road','Chester','OR','14458','hilda.vincent@abc.edu',1231097,'406-526-4917',62247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent N. Randall','P.O. Box 941, 896 Velit Ave','Walnut','MS','20934','vincent.randall@abc.edu',1231098,'484-799-1266',27073,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn Q. Hendrix','P.O. Box 148, 8381 Nunc St.','Grand Island','WY','47367','hendrix@aulnet',1231099,'302-696-3855',23622,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing F. Clark','6708 Euismod Rd.','Redding','WI','37451',NULL,1231100,'298-928-1977',43129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell V. Finch','P.O. Box 967, 4288 Sed Rd.','Muskogee','SD','78905','maxwellf@widget.com',1231101,'467-665-5946',97710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire E. Henson','P.O. Box 642, 1737 Neque Ave','Ann Arbor','NV','36914',NULL,1231102,'821-397-8524',66102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah K. Calhoun','Ap #757-2501 Erat Rd.','Moorhead','KS','99226','micah.calhoun@email.net',1231103,'242-162-3582',32411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo S. Odom','P.O. Box 721, 3663 Eu Av.','Plainfield','MA','70860','codom@email.net',1231104,'297-338-3007',71750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriel U. Wiley','Ap #897-4722 Egestas. Rd.','Niagara Falls','NH','94674','uwiley@abc.edu',1231105,'545-632-9693',80130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele H. Black','P.O. Box 102, 6978 Felis, St.','Milford','VT','49544',NULL,1231106,'228-763-3942',74005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard H. Moody','Ap #420-7529 Non, Ave','Ogden','LA','26475','howard.moody@emailathome.net',1231107,'911-138-7911',104522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy O. Hendricks','4512 Rutrum St.','Richmond','MN','11934','hendricks@widget.com',1231108,'572-263-1860',71347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle S. Crane','P.O. Box 260, 8447 Cursus, Av.','Cheyenne','AZ','50462','crane@aulnet',1231109,'496-977-0302',34126,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar U. Dudley','Ap #120-2898 Orci Rd.','New Orleans','GA','24675','dudley@hitmail.com',1231110,'137-534-3014',55676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius Q. Morrison','449-3677 Imperdiet Avenue','Victoria','MD','67381',NULL,1231111,'167-294-5389',49398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen U. Guy','332-9173 Duis St.','Somerville','NY','09366','allen.guy@abc.edu',1231112,'658-716-7103',60958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade V. Fuentes','Ap #259-7107 Ipsum. Ave','Bangor','MI','09618','sladef@aulnet',1231113,'985-634-3491',77038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus D. Jefferson','7313 Tellus Av.','Lander','NM','63854',NULL,1231114,'726-524-0874',32908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper H. Head','208 Nulla Road','Corvallis','NV','06822','head@xyz.edu',1231115,'208-671-1235',46933,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance U. Durham','P.O. Box 729, 3623 Eget Rd.','Methuen','MN','03609','constanced@aulnet',1231116,'523-722-3024',45748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana R. Aguirre','281-7513 Mollis Street','Newport','VT','34938','aguirre@xyz.edu',1231117,'648-261-8911',17677,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt J. Moody','P.O. Box 798, 9101 Fusce Rd.','Kingsport','WI','87222',NULL,1231118,'261-808-0798',83530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan T. Barr','P.O. Box 566, 3250 Placerat. Ave','Brookfield','IN','28616','bbarr@xyz.edu',1231119,'938-209-9089',89826,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis N. Skinner','469-5714 Tincidunt Avenue','Guthrie','WA','21049','pskinner@aulnet',1231120,'766-605-7046',24039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi W. Norris','937-4223 Mauris, Rd.','Oakland','KY','28449','norris@widget.com',1231121,'599-266-8615',81973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik U. Delgado','Ap #986-4414 Maecenas Avenue','Bellingham','VA','28757','malikd@emailathome.net',1231122,'207-706-9627',43644,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory A. Foreman','246 Iaculis Rd.','Kenner','MS','59721','foreman@hitmail.com',1231123,'607-327-9976',103999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory S. Vaughan','P.O. Box 705, 4592 Placerat, Road','Mason City','MS','94853','gregory.vaughan@aulnet',1231124,'685-283-4094',22143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil A. Barlow','Ap #754-3371 Diam. Avenue','Port Jervis','MD','82287','nbarlow@aulnet',1231125,'131-726-8093',28245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney F. Powell','P.O. Box 676, 7370 Non, Ave','Warren','LA','78961',NULL,1231126,'248-389-9058',26774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah G. Chambers','965-6759 Nullam Avenue','Plainfield','NJ','94273','judah.chambers@xyz.edu',1231127,'234-483-5715',92912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla Y. Hampton','P.O. Box 679, 4452 Ad Rd.','Pass Christian','NJ','25019','priscillah@xyz.edu',1231128,'393-527-8194',101479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla S. Anthony','Ap #261-9409 Ac Road','Taylorsville','TN','44960','canthony@yohaa.com',1231129,'981-373-8007',32200,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika C. Cortez','1141 Curabitur St.','New Madrid','MO','31995','alika.cortez@abc.edu',1231130,'492-489-4277',21668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olympia U. Sanders','P.O. Box 999, 409 Enim. Av.','Del Rio','SD','34465','sanders@abc.edu',1231131,'461-853-2426',77149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia S. Holden','Ap #619-962 Lorem, Street','Marietta','NH','32676','vholden@abc.edu',1231132,'142-403-1553',18525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick R. Bailey','418-7057 Tortor. Rd.','Waterloo','WA','59291',NULL,1231133,'868-801-2033',80354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha S. Patrick','337-2046 Rutrum Ave','Sherrill','NM','56205','patrick@hitmail.com',1231134,'597-356-1663',82479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie K. Puckett','P.O. Box 436, 1977 Vitae Rd.','Mayag?ez','NY','22189',NULL,1231135,'486-883-2493',17962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars T. Rodriquez','P.O. Box 400, 9831 Enim. Rd.','El Cerrito','OK','35168','larsr@aulnet',1231136,'348-724-6078',62686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya N. Cortez','794-5259 Phasellus Avenue','International Falls','CO','86412','mcortez@hitmail.com',1231137,'671-919-6422',64868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed A. Brock','Ap #913-3065 Ultricies Street','Sierra Vista','ND','73950','ahmed.brock@yohaa.com',1231138,'473-153-0627',25683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem Q. Atkins','Ap #272-4410 Parturient St.','Dearborn','CA','75358','atkins@bpmpros.com',1231139,'318-682-7447',23635,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason F. Ingram','6825 Sagittis. Rd.','New Brunswick','MO','79777','mason.ingram@bpmpros.com',1231140,'403-234-1932',78968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela K. Murray','446 Lorem Street','Lafayette','LA','93001','pamelam@hitmail.com',1231141,'989-719-0334',59757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery R. Rich','443-3440 Mi. Rd.','Oneida','IL','62256','emery.rich@widget.com',1231142,'367-346-9560',105342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing K. Hooper','P.O. Box 304, 7127 Risus St.','La Palma','NM','84246','whooper@yohaa.com',1231143,'503-871-1161',83416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan R. Brock','P.O. Box 567, 7504 Per Rd.','Crown Point','PA','35729','brock@bpmpros.com',1231144,'176-679-4495',75218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila J. Mclean','P.O. Box 251, 2615 Semper Ave','Buena Park','OH','44979',NULL,1231145,'809-875-4538',15254,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery Q. Gallegos','8025 Morbi Avenue','North Charleston','AL','16840',NULL,1231146,'448-329-2066',63430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden I. Bentley','Ap #783-2641 Donec Road','Monterey','PA','70186','brenden.bentley@bpmpros.com',1231147,'138-486-6058',30205,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady R. Mccarty','4173 Aliquam Rd.','Aguadilla','NC','29346','cassadym@hitmail.com',1231148,'456-159-8974',72396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel M. Ayers','P.O. Box 693, 4907 Elit. St.','Pottsville','NC','30959','samuela@bpmpros.com',1231149,'397-653-6124',17792,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter Q. Whitfield','P.O. Box 804, 1959 Sodales Avenue','Corvallis','MI','15646','wynter.whitfield@abc.edu',1231150,'696-993-6452',69637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia P. Roberson','P.O. Box 565, 7368 At Ave','Hammond','IA','75481','proberson@hitmail.com',1231151,'228-714-7173',71448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward E. Mcmahon','7708 Arcu Road','Cambridge','AL','35793',NULL,1231152,'442-554-3367',21905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience K. Knox','P.O. Box 556, 8432 Libero Av.','Highland Park','IN','28364','knox@xyz.edu',1231153,'268-509-0644',107698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alden B. Davenport','193-5344 Nec Ave','Kemmerer','NM','89318',NULL,1231154,'784-942-4515',28829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim D. Williams','P.O. Box 403, 9336 Hendrerit. St.','New Britain','MI','08898',NULL,1231155,'317-991-8423',107506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden D. Sherman','P.O. Box 533, 267 Vestibulum Av.','Independence','SD','24032','graiden.sherman@xyz.edu',1231156,'921-237-1380',92887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan U. Greene','3004 Nullam St.','Anaconda','DE','55958','agreene@bpmpros.com',1231157,'462-664-7884',18929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor C. England','806-6748 Auctor, Street','Omaha','OH','87743','castore@emailathome.net',1231158,'702-164-7374',31067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra F. Vargas','770-4819 Mauris St.','Rocky Mount','NE','21008','lvargas@bpmpros.com',1231159,'842-544-6173',60981,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal Q. Savage','8473 Quisque Ave','Villa Park','DC','91533',NULL,1231160,'644-529-7740',51758,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev T. Saunders','Ap #758-4275 Mollis. Street','Fredericksburg','NJ','78669','saunders@emailathome.net',1231161,'203-847-3760',63403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blake X. Clements','Ap #801-3344 Nibh Avenue','Darlington','MT','10788',NULL,1231162,'458-662-4098',93125,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy I. Welch','P.O. Box 492, 1432 Vitae St.','Syracuse','HI','72682',NULL,1231163,'471-829-4819',105196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara U. Roberts','P.O. Box 504, 8746 Quam Ave','Georgetown','VT','14386','roberts@emailathome.net',1231164,'969-331-1695',62529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan L. Kent','P.O. Box 929, 211 Molestie Street','Gardena','LA','28833','bkent@hitmail.com',1231165,'211-189-4295',96731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace J. Cervantes','2787 Et Rd.','Vincennes','AK','35808','wallacec@hitmail.com',1231166,'782-104-1120',69834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem E. Baxter','711-718 Donec Avenue','White Plains','MS','55880','jakeem.baxter@email.net',1231167,'689-471-4845',106840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole O. Nicholson','Ap #532-7202 Nulla Ave','Aliquippa','DC','61816','nnicholson@widget.com',1231168,'707-496-7772',65586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin M. Sanders','P.O. Box 172, 2076 Sem Rd.','Redondo Beach','NV','76738','colin.sanders@widget.com',1231169,'655-452-7584',38124,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane U. Paul','734-137 Laoreet, Rd.','Gadsden','SC','31808','lane.paul@yohaa.com',1231170,'546-291-5522',24457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice I. Petersen','P.O. Box 507, 9579 Ornare Road','Honolulu','DC','91722','beatricep@emailathome.net',1231171,'631-287-3788',48150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Athena L. Bernard','8337 Enim Av.','Dearborn','VA','34103','athenab@emailathome.net',1231172,'377-631-6584',94888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey R. Deleon','Ap #475-4800 Aliquam Street','Manitowoc','GA','15940','maceyd@widget.com',1231173,'144-421-9616',27278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo Z. Brady','Ap #608-6418 Nullam Street','Hialeah','WY','14630','yeo.brady@yohaa.com',1231174,'671-715-0350',15613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada D. Pennington','P.O. Box 347, 1501 Magnis Av.','Richland','TN','88003','pennington@abc.edu',1231175,'733-304-0280',74197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi Q. Burns','7792 Donec Av.','Oak Ridge','UT','68577',NULL,1231176,'587-751-1814',96154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur Y. Foster','P.O. Box 619, 8004 Feugiat Ave','Thibodaux','KY','26385','fleurf@xyz.edu',1231177,'953-439-1902',87034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo P. Patrick','Ap #444-7143 Consequat St.','Murrieta','WV','30057','bo.patrick@emailathome.net',1231178,'433-395-6347',37731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac Z. Zimmerman','Ap #989-7227 Mauris Ave','Charlotte','LA','39260','izimmerman@abc.edu',1231179,'317-649-8444',87335,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen A. Downs','8689 Eget, Street','West Palm Beach','NM','72155','downs@emailathome.net',1231180,'172-104-8687',61724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique Z. Delaney','P.O. Box 129, 4268 Vehicula St.','Las Vegas','AK','61143','dominique.delaney@bpmpros.com',1231181,'399-362-3641',41786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton U. Wiley','5995 Magna. St.','Franklin','WY','46092','elton.wiley@yohaa.com',1231182,'207-526-4525',102064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa C. Barrera','P.O. Box 983, 9000 Tempus Road','Elsmere','OR','71327','ubarrera@bpmpros.com',1231183,'311-517-0434',108714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin X. Blanchard','7834 Non St.','Kingston','AK','35892','mblanchard@emailathome.net',1231184,'924-755-8076',22765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo O. Woods','Ap #131-2171 Tempor Rd.','Saint Albans','AK','07542','woods@aulnet',1231185,'435-459-1149',32588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa G. Mcclure','4683 Ridiculus Rd.','Cranston','MO','25446',NULL,1231186,'201-454-8998',20369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle A. Finch','Ap #620-8039 Diam. Rd.','Columbus','MA','97812','finch@aulnet',1231187,'269-479-7246',31921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilary G. Knapp','856-2725 Gravida Av.','Thibodaux','MA','83470','knapp@email.net',1231188,'394-563-8336',78590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia W. Haley','P.O. Box 685, 6811 Donec Av.','Greenfield','MO','90373','octavia.haley@xyz.edu',1231189,'854-148-5014',61143,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael E. Cherry','P.O. Box 368, 4358 Augue Rd.','Beverly','WV','40630','cherry@abc.edu',1231190,'104-868-8064',29389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross Q. Wilder','4536 In St.','Passaic','SC','86231','rossw@hitmail.com',1231191,'395-496-7715',79621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius E. Dudley','P.O. Box 141, 3475 Sem St.','Ephraim','TN','65052','demetrius.dudley@email.net',1231192,'384-688-9846',73405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi H. Diaz','368-5639 Risus. Rd.','Mount Vernon','KY','16882','diaz@hitmail.com',1231193,'935-218-7966',91171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley K. Glenn','Ap #670-823 Egestas Rd.','Cincinnati','WA','25642','bradleyg@email.net',1231194,'525-459-5773',85017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hermione O. Atkinson','2649 Id, Road','Weirton','ND','88650','hatkinson@widget.com',1231195,'225-468-8047',70731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing X. Kane','4637 Dolor Av.','Houston','IA','20529','channing.kane@yohaa.com',1231196,'495-517-0548',52462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade E. Faulkner','Ap #963-3884 Egestas Rd.','Mankato','VT','22543','jfaulkner@emailathome.net',1231197,'273-567-9850',47575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica T. Spears','4361 Nisl. St.','Natchez','NE','02804','spears@bpmpros.com',1231198,'159-477-6234',37155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran G. Weeks','P.O. Box 353, 2876 Rutrum, Avenue','East Lansing','DC','71873','cweeks@bpmpros.com',1231199,'779-738-1158',49537,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing P. Flores','7065 Duis Street','Cary','WV','11108','flores@yohaa.com',1231200,'396-654-5383',64615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera J. Vinson','Ap #905-575 Justo Av.','Valencia','OR','67488',NULL,1231201,'697-884-4489',87922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan H. Goff','Ap #923-1730 Aliquet, Street','Gettysburg','SD','59327','morgan.goff@emailathome.net',1231202,'816-404-2877',45199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew C. Pace','958-3251 Quisque St.','Athens','UT','66626','matthew.pace@yohaa.com',1231203,'944-759-1633',62480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady V. Bradshaw','1127 Facilisis Av.','Shreveport','IN','39666',NULL,1231204,'338-923-3983',25474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle M. Montoya','Ap #784-5208 Non Ave','Hattiesburg','NC','96326','montoya@xyz.edu',1231205,'992-321-3536',62511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie P. Wilkinson','P.O. Box 581, 3631 Dictum Rd.','Pasadena','IA','94291','calliew@yohaa.com',1231206,'617-619-9302',100840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya K. Trujillo','P.O. Box 165, 4937 Mauris. Av.','Brookfield','NM','97882',NULL,1231207,'274-792-3012',55678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla I. Lang','Ap #971-3132 Ornare Road','Richland','AZ','66653','lang@bpmpros.com',1231208,'546-619-3116',30340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara P. Wiley','8866 Malesuada Rd.','Vacaville','NC','48025','dara.wiley@emailathome.net',1231209,'691-145-5075',54080,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan C. Moore','P.O. Box 615, 2856 Dolor. Av.','Minneapolis','MO','10759','moore@widget.com',1231210,'785-476-3109',38525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael R. Knight','5930 Justo St.','Appleton','TX','46488','knight@emailathome.net',1231211,'554-432-8694',23326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster B. Kerr','Ap #139-8863 Velit. Street','Portland','SD','66002','kerr@hitmail.com',1231212,'591-155-4862',70115,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis R. Orr','Ap #215-4707 Velit St.','Forrest City','DC','98764','lorr@abc.edu',1231213,'877-468-3237',26149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi S. Ballard','398-9090 Magna. Ave','Bossier City','MN','67465','yballard@abc.edu',1231214,'221-197-3666',96671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka Z. Hughes','Ap #556-2202 Ut Rd.','Atlanta','TN','24592',NULL,1231215,'957-277-1754',50637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille G. Clayton','P.O. Box 113, 1334 Arcu. Rd.','Texarkana','MT','34069','camillec@aulnet',1231216,'652-519-6978',78671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah B. Francis','553-1265 Sem Rd.','Layton','MT','05330','dfrancis@emailathome.net',1231217,'409-962-5701',80846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah J. Alvarado','520-8036 Phasellus Street','Peabody','WI','41557',NULL,1231218,'898-397-1697',53158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley C. Tate','894-2331 Felis Avenue','Stillwater','KY','39781',NULL,1231219,'338-226-3235',98927,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand H. Fields','245-936 Ac St.','Sioux City','AZ','33272','fields@aulnet',1231220,'954-383-4188',51466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny G. Hobbs','Ap #927-8888 Mauris Ave','Visalia','CA','12456','hobbs@yohaa.com',1231221,'729-773-0654',86387,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel D. Fuller','324-4595 Lacus Ave','West Hollywood','DC','23635','hilelf@hitmail.com',1231222,'282-812-5846',63484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace G. Bridges','115-1719 Aliquam Road','Sandy','IL','49662',NULL,1231223,'308-491-2028',107800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle M. Lawrence','Ap #919-528 Magna Rd.','Cedarburg','WA','18767','lyle.lawrence@yohaa.com',1231224,'431-639-0303',55242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen K. Estes','3952 Elit, Av.','Isle of Palms','NY','72674','colleen.estes@abc.edu',1231225,'541-374-3472',61190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram W. Ewing','P.O. Box 915, 3276 Ultrices Rd.','Vicksburg','SC','40822','avram.ewing@yohaa.com',1231226,'596-937-2105',67702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder B. Singleton','4176 In St.','New Kensington','AK','91635',NULL,1231227,'617-957-5502',92169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody K. George','P.O. Box 826, 732 Nec St.','Hattiesburg','OK','77969','cody.george@bpmpros.com',1231228,'695-312-1796',40043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla B. Wallace','954-4346 Malesuada Street','Powell','PA','49027','xyla.wallace@emailathome.net',1231229,'187-682-8039',82311,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran Z. Montoya','P.O. Box 444, 8428 Mauris Rd.','Madison','KS','07357','curranm@abc.edu',1231230,'475-462-0528',67409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda G. Schmidt','P.O. Box 124, 376 Ipsum Rd.','Everett','MD','71089','schmidt@aulnet',1231231,'436-812-2722',46119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael W. Chambers','P.O. Box 997, 4461 Est, Avenue','Hartland','AK','43414',NULL,1231232,'504-931-7519',44034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene Q. Duffy','Ap #250-4038 Interdum Road','Odessa','DC','13666','imogened@aulnet',1231233,'282-685-5152',83251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine A. Cohen','Ap #173-8562 Nam Road','Cincinnati','ID','40863','maxine.cohen@abc.edu',1231234,'521-602-2868',18043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor T. Ball','9179 In St.','Omaha','MI','62746','chancellorb@xyz.edu',1231235,'823-375-2454',84072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace N. Butler','Ap #228-1473 Est. Street','San Clemente','VA','30993','graceb@widget.com',1231236,'739-663-8471',97880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn P. Mcguire','P.O. Box 999, 385 Donec Ave','Pittsburgh','DE','02942',NULL,1231237,'936-675-1370',91208,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah R. Cherry','420-4956 Sed Ave','Idaho Falls','LA','46559','jcherry@hitmail.com',1231238,'592-437-0032',55289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay F. Estes','3421 Magna. Road','Cudahy','DC','50265','barclay.estes@widget.com',1231239,'921-881-0237',41763,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella N. Bowman','1020 Proin St.','Rolling Hills Estates','HI','41717','bowman@emailathome.net',1231240,'835-427-4055',24068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona W. Warren','6048 Iaculis Road','Easton','CT','86390','rhona.warren@hitmail.com',1231241,'572-366-7084',62506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria B. Acevedo','P.O. Box 912, 8859 Risus. Av.','Hoboken','TX','98985','victoria.acevedo@widget.com',1231242,'486-868-1338',45655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton V. Durham','1845 A, Street','Bay City','UT','29499','clayton.durham@abc.edu',1231243,'398-827-3041',33551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia A. Larson','878-8741 Sed, Ave','Marietta','OR','61580','larson@widget.com',1231244,'981-378-1954',19037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo G. Morton','P.O. Box 766, 9014 Nunc St.','Macomb','NJ','38699',NULL,1231245,'281-261-4385',47561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira K. Barton','Ap #202-8677 Libero. Ave','Sunbury','TX','45483','ibarton@yohaa.com',1231246,'173-364-4339',82396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton B. Justice','178-2361 Sem Rd.','Batavia','GA','08354','daltonj@yohaa.com',1231247,'737-811-1746',22365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim U. Lott','6844 Urna St.','Middletown','IN','39820','lott@yohaa.com',1231248,'755-238-9299',52361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odysseus A. Henderson','Ap #629-2014 Integer St.','Morgan City','MA','76906','odysseush@yohaa.com',1231249,'836-692-7206',63309,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel X. Mitchell','5320 Primis St.','Davenport','MS','05222','abel.mitchell@abc.edu',1231250,'913-596-1553',40673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael X. Harding','Ap #267-1241 Orci Road','Monongahela','CO','57263','harding@hitmail.com',1231251,'585-498-9941',63007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus U. Kirby','Ap #994-2843 Pretium Av.','Dayton','FL','20587','venus.kirby@yohaa.com',1231252,'841-336-7347',40486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan U. Small','Ap #590-2513 Lorem Road','Diamond Bar','NE','79209','teegans@email.net',1231253,'887-638-9646',107902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace G. Hanson','P.O. Box 716, 5973 Netus Street','Minnetonka','HI','73242','wallaceh@email.net',1231254,'542-439-0679',49179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon I. Moon','Ap #156-2659 Facilisi. St.','Narragansett','PA','96970','moon@xyz.edu',1231255,'323-775-0040',87874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella D. Beasley','796-7155 Id Ave','Avalon','TN','58855',NULL,1231256,'836-158-7248',47803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tobias C. Whitfield','P.O. Box 785, 7142 Risus. St.','Placentia','NE','33492','twhitfield@bpmpros.com',1231257,'357-183-0318',75243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura Z. Osborne','P.O. Box 722, 6804 Felis. Rd.','Geneva','MN','98732','laurao@yohaa.com',1231258,'234-482-4645',16475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian Q. Gibbs','Ap #708-6895 Curabitur St.','Poughkeepsie','LA','87085','luciang@yohaa.com',1231259,'817-142-4339',106901,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea Z. Hopper','Ap #635-8092 Sollicitudin Av.','Egg Harbor','IL','68046','rhopper@hitmail.com',1231260,'222-949-0915',38098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah F. Joseph','P.O. Box 735, 7071 Justo Avenue','Shamokin','IA','50028','judah.joseph@email.net',1231261,'165-396-2352',44184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki O. Serrano','5408 Eu Street','Dover','WV','75481','pakis@email.net',1231262,'593-309-7294',61604,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith U. Banks','Ap #253-216 Erat, Ave','Vail','WA','87063','banks@widget.com',1231263,'555-147-3571',89448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell H. Mathis','P.O. Box 667, 3850 Et Rd.','Ocean City','SC','79767','nmathis@aulnet',1231264,'821-485-3227',91457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber P. Skinner','7535 Dui. Road','Apple Valley','VA','51719','skinner@email.net',1231265,'785-568-5060',56284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula E. Frederick','P.O. Box 387, 1043 Posuere Road','Jeffersonville','FL','02864','ursula.frederick@hitmail.com',1231266,'673-468-8363',48842,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Farrah U. Henson','9722 Proin Ave','Bend','WV','34085',NULL,1231267,'362-631-9768',71869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter Z. Larson','183-867 Quisque Av.','Broken Arrow','AZ','93338','walter.larson@emailathome.net',1231268,'424-696-2262',15607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria P. Buckley','Ap #542-4781 Phasellus Rd.','Wichita Falls','NH','65269','dariab@bpmpros.com',1231269,'697-122-6179',50882,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gary J. Cooke','7764 Consectetuer, Street','West Allis','NH','58964','gcooke@aulnet',1231270,'691-551-2524',33666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes D. Carney','253-831 Laoreet, Rd.','North Las Vegas','DC','71029','carney@email.net',1231271,'994-685-0363',99620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd C. Randall','P.O. Box 196, 3892 Ligula. Avenue','Maywood','IN','43714',NULL,1231272,'844-738-3134',61591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus J. Ramirez','280-3962 Integer Rd.','Pasadena','IA','52405',NULL,1231273,'219-964-7910',28524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin Q. Hyde','P.O. Box 415, 7087 Scelerisque, St.','Laredo','NV','88340','jhyde@abc.edu',1231274,'846-966-9396',43305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra L. Perkins','P.O. Box 145, 3989 Hendrerit St.','Biddeford','MD','91780','audra.perkins@xyz.edu',1231275,'222-978-8338',81133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia Z. Hutchinson','965-3702 Feugiat St.','Lomita','AL','48130','eugeniah@emailathome.net',1231276,'912-143-9108',66291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia G. Mendez','P.O. Box 234, 2686 Metus St.','Orangeburg','CO','13752','jamalia.mendez@hitmail.com',1231277,'993-804-8567',77189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip F. Mcdonald','980-2941 Elit. St.','Oneonta','CT','21435','philip.mcdonald@email.net',1231278,'388-281-0848',51193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla A. Moses','P.O. Box 214, 4519 Ornare Street','Oneonta','CO','22644','cmoses@yohaa.com',1231279,'281-478-6586',54320,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith U. Kemp','4486 Gravida St.','Hermitage','AK','76509','griffith.kemp@yohaa.com',1231280,'864-382-3291',95031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle M. Young','6993 Amet Road','Titusville','CO','45933','jyoung@abc.edu',1231281,'684-571-8080',46249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady L. Barr','480-4349 Fermentum Rd.','Santa Clara','ME','46092',NULL,1231282,'925-519-0898',100929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney G. Williamson','Ap #895-5493 Mi, St.','Brown Deer','IA','60617','rooneyw@aulnet',1231283,'619-645-1641',61527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae K. Arnold','Ap #208-225 Ipsum. Avenue','Fort Dodge','AL','35306','harnold@email.net',1231284,'914-634-2793',50999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo W. Huber','932-4731 Curae; Rd.','Thiensville','AZ','00635',NULL,1231285,'932-956-5897',77384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel A. Bartlett','9565 Arcu. Rd.','Wichita','DC','09929','sbartlett@abc.edu',1231286,'984-587-7723',38431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn Z. Ellison','P.O. Box 845, 3682 Dui, St.','Lubbock','OR','81991','bellison@bpmpros.com',1231287,'821-804-3810',73669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman W. Gregory','3342 Cras Rd.','Ruston','TX','38487','gregory@hitmail.com',1231288,'677-769-8403',86131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric U. Hyde','P.O. Box 460, 4053 Ultricies Av.','San Marino','ID','08647',NULL,1231289,'236-803-5724',27319,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton W. Reed','Ap #763-928 Aliquam St.','South El Monte','CT','32240','ereed@widget.com',1231290,'998-124-8373',16747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla D. Shaw','P.O. Box 510, 8135 Id Rd.','Plantation','FL','33175','xylas@bpmpros.com',1231291,'417-305-3391',73316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly Q. Mcclure','9095 Neque Road','Albuquerque','SD','55708','mmcclure@xyz.edu',1231292,'126-767-3989',45965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar N. Stark','P.O. Box 442, 2111 Consequat Rd.','Lowell','DC','94340','bstark@emailathome.net',1231293,'159-285-8422',58591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter U. Burt','978-5476 In Avenue','Hollywood','LA','58443','burt@yohaa.com',1231294,'894-853-0378',92607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann H. Blackwell','P.O. Box 438, 1998 Leo St.','Gu?nica','KY','74623','ann.blackwell@hitmail.com',1231295,'177-861-7237',65659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett J. Mccall','Ap #395-8535 Nunc Rd.','Passaic','OH','07772','bmccall@emailathome.net',1231296,'596-573-3331',71074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko D. Schmidt','949-643 Feugiat. Road','Boulder Junction','IL','99807','mariko.schmidt@xyz.edu',1231297,'689-176-5589',100063,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric M. Boyd','Ap #622-3196 Vulputate Avenue','Bethany','MT','72972','cedric.boyd@abc.edu',1231298,'889-469-4450',101879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda V. Berger','446-772 Eros St.','Tupelo','WI','47120','berger@xyz.edu',1231299,'203-982-3418',99895,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie V. Vargas','Ap #678-1512 Ut Avenue','Urbana','AK','95843','mollie.vargas@email.net',1231300,'974-286-0784',32987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie C. Donaldson','7185 Dui. St.','Charleston','MO','43523','wylied@yohaa.com',1231301,'108-406-7144',32800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra P. David','4483 Ullamcorper St.','Shawnee','AL','18942','cassandrad@abc.edu',1231302,'395-605-5451',42231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle S. Middleton','4988 Sit Av.','Chattanooga','CO','93944','middleton@aulnet',1231303,'739-169-5391',96961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac A. Obrien','Ap #482-2992 Orci Road','Kemmerer','KY','41234','obrien@yohaa.com',1231304,'289-929-9974',38960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter C. Mckenzie','P.O. Box 928, 6753 Ac Street','San Diego','KY','67818','peterm@hitmail.com',1231305,'153-233-0610',68535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena V. Leon','9144 In St.','Indio','AK','81008',NULL,1231306,'891-795-9192',34760,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani G. Horn','9664 Sem, Road','Cape May','VT','39838','leilani.horn@aulnet',1231307,'149-928-9974',100853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle E. Hodges','Ap #433-1731 Tempor St.','Arlington','DE','00239',NULL,1231308,'178-217-0450',47443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giselle G. Lawrence','472-9655 Mauris. Avenue','Aspen','RI','92292','glawrence@xyz.edu',1231309,'533-501-7288',79105,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim A. Shepard','122-3193 Velit Road','Parkersburg','MI','24716','hashims@email.net',1231310,'119-543-0437',82668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos K. Lewis','364-7370 Libero. Road','Orem','KS','73097','carlos.lewis@bpmpros.com',1231311,'814-824-3653',25852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria V. Bray','P.O. Box 684, 145 Aliquam Rd.','New Iberia','WV','27601','victoriab@abc.edu',1231312,'798-513-4367',15154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire D. Burris','2462 Est St.','Spokane Valley','DE','78500','claire.burris@yohaa.com',1231313,'461-531-3925',46116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley C. Cline','P.O. Box 738, 5275 Magna. Road','Jeffersontown','NC','86154','lesleyc@emailathome.net',1231314,'766-237-6679',72598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra Y. Lara','P.O. Box 290, 950 Metus Ave','Decatur','VA','53930','alexandral@bpmpros.com',1231315,'195-851-9975',72534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry F. Ingram','P.O. Box 268, 6909 Eros Avenue','Chicopee','MD','33087',NULL,1231316,'927-123-8837',85664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry J. Finley','Ap #280-7406 Mauris Ave','Plantation','ME','71215',NULL,1231317,'394-321-3531',46726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora C. Vinson','494-9701 Ornare, St.','Worland','NY','01583','nora.vinson@email.net',1231318,'899-293-4137',80774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando A. Tanner','P.O. Box 330, 497 Nulla. Av.','Mankato','OH','37238','otanner@bpmpros.com',1231319,'812-601-7031',33841,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim X. Stanton','8908 Vel Ave','Moorhead','AK','58601',NULL,1231320,'425-207-3684',54694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ronan O. Sherman','911-9894 Et Rd.','Commerce','SD','80338','ronans@xyz.edu',1231321,'141-476-5829',62788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia X. Irwin','917-8576 Ipsum. Street','Union City','SD','67847',NULL,1231322,'386-336-6022',100482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko K. Downs','545-339 Nullam Ave','Santa Clarita','MD','27884','kameko.downs@emailathome.net',1231323,'732-918-2449',69119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru M. Delaney','8062 In, Rd.','Cortland','FL','07179','ndelaney@aulnet',1231324,'857-321-4122',59518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oprah L. Rich','Ap #791-6715 Eu Rd.','Cedarburg','NY','87584',NULL,1231325,'754-502-7322',64399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy Z. Maxwell','529-8007 Cursus. Road','Benton Harbor','ID','89577','maxwell@email.net',1231326,'252-816-3271',65489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka B. Head','P.O. Box 610, 3206 Neque. Avenue','Kokomo','AZ','25715',NULL,1231327,'383-544-2596',89416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga I. Reilly','137-1469 Neque St.','Hutchinson','NM','65391','nreilly@emailathome.net',1231328,'216-509-9432',20104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus V. Tanner','P.O. Box 704, 8156 Non, Rd.','Lynn','OK','34799',NULL,1231329,'292-407-8067',66703,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi P. Bates','370-5963 Non Avenue','Morgan City','WI','63007','ybates@hitmail.com',1231330,'897-198-3961',16756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella O. Welch','P.O. Box 598, 9478 Ornare. St.','Murrieta','TX','89253',NULL,1231331,'351-258-1464',49763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree J. Morris','8272 Mattis. Rd.','Needham','CO','72080','dmorris@widget.com',1231332,'116-441-4652',86994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton G. Skinner','7592 Nulla. St.','Oro Valley','MS','08865',NULL,1231333,'174-276-7108',66031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida T. Higgins','Ap #712-8023 Amet, Road','Pomona','NV','02810','higgins@email.net',1231334,'776-859-0257',54460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite Y. Mcclure','Ap #790-4385 Adipiscing St.','Flagstaff','MI','07300','mcclure@bpmpros.com',1231335,'312-997-8478',85251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter E. Merritt','P.O. Box 295, 2177 Laoreet St.','Santa Cruz','WY','48146',NULL,1231336,'547-768-7555',19150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria U. Hunter','4267 Proin St.','Fallon','AZ','86190','dhunter@widget.com',1231337,'105-759-4362',19662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz Q. Ross','P.O. Box 146, 5806 Ut St.','Columbia','WY','06982','cross@email.net',1231338,'283-298-8472',87250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt V. Hubbard','918-3083 Praesent Street','Miami','WV','98295',NULL,1231339,'287-371-4682',21826,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad V. Houston','Ap #762-1559 Arcu. Avenue','Boise','NY','63352','mhouston@bpmpros.com',1231340,'657-845-1155',85183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia V. Rivas','Ap #309-1288 Donec St.','Fairmont','WI','67020','jrivas@bpmpros.com',1231341,'473-139-8749',96154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam P. Kidd','644-4982 Sed Street','Aurora','TN','88745','akidd@xyz.edu',1231342,'766-248-2780',59021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton I. Barrett','7581 Aliquam Rd.','Savannah','KS','31960',NULL,1231343,'844-411-0349',67478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado Q. Rice','Ap #997-3412 Dis St.','Danbury','VA','24356','colorado.rice@xyz.edu',1231344,'326-161-4814',29951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy S. Herring','571-2321 Quam. St.','Altoona','MT','46260','herring@xyz.edu',1231345,'627-854-9143',16957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie E. Stark','1077 Sed Street','La Mirada','HI','21245','stark@xyz.edu',1231346,'973-935-7291',27454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara N. Mills','421-5148 Nunc Street','Oneonta','ID','42873','cara.mills@aulnet',1231347,'129-992-9366',64089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila Q. Sherman','P.O. Box 943, 7287 Nullam Rd.','Manhattan Beach','IA','58300','lsherman@email.net',1231348,'275-294-1850',34288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara S. Robles','600-1040 Fringilla Rd.','Madison','MO','70239',NULL,1231349,'639-704-8080',102698,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi D. Boyer','4027 Suscipit, Av.','Liberal','GA','74472','heidib@xyz.edu',1231350,'506-459-3297',27814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena D. Mclean','P.O. Box 154, 6046 Adipiscing St.','Bowie','VA','19183','adenam@bpmpros.com',1231351,'666-162-4207',65363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna R. Maxwell','389 Vivamus St.','Coatesville','AK','19771','ayanna.maxwell@abc.edu',1231352,'799-256-7529',18866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada V. Baxter','767-2393 Cursus. St.','Moreno Valley','NE','53573',NULL,1231353,'345-134-1809',60142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances N. Terrell','956-928 Facilisis. Avenue','Rockville','OH','25189','terrell@widget.com',1231354,'653-997-0312',33394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke R. Church','P.O. Box 466, 268 Vulputate St.','Marshall','LA','04629','clarkec@xyz.edu',1231355,'719-462-4594',100018,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna C. Odom','8241 Ornare, Av.','Vermillion','WV','45076','ayannao@aulnet',1231356,'549-511-3565',108394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel L. Joyce','P.O. Box 298, 8596 Tempor Rd.','White Plains','WI','99834',NULL,1231357,'812-451-7711',46296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston I. Pennington','Ap #217-7708 Libero St.','Stafford','KY','33722','prestonp@bpmpros.com',1231358,'667-488-7495',29538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika M. Pena','7935 In Road','Nichols Hills','NE','42026','apena@xyz.edu',1231359,'498-555-2931',83210,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver H. Bean','3674 Nulla. St.','Tampa','MA','06540','oliver.bean@hitmail.com',1231360,'843-583-3378',75591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orson T. Carson','7322 Augue Av.','Roanoke','VA','71242','carson@yohaa.com',1231361,'906-192-3396',82475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher N. Hunt','Ap #753-6505 Pharetra St.','Midwest City','NE','40422','fhunt@widget.com',1231362,'764-771-7621',17898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester T. Russell','531-4628 Penatibus Street','Wheeling','GA','74815','chester.russell@abc.edu',1231363,'348-913-6834',61528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus N. Lopez','382-6128 Risus. Road','Maywood','SC','91076',NULL,1231364,'993-231-1438',46138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan V. Downs','174-1465 Mauris Av.','Myrtle Beach','MD','18619','morgand@aulnet',1231365,'796-688-7299',84527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel B. Rivas','2150 Gravida. St.','Schaumburg','GA','86798','drivas@abc.edu',1231366,'561-529-1889',74698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden O. Vargas','919-872 Ac St.','Guayama','SC','05182','bvargas@widget.com',1231367,'872-432-8619',65053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite E. Wilkerson','Ap #127-576 Nunc Avenue','Azusa','WV','74579',NULL,1231368,'753-534-8657',48085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla W. Oneil','P.O. Box 100, 5554 Eleifend Rd.','Revere','AK','97271','poneil@xyz.edu',1231369,'842-594-0379',109569,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona I. Meyer','P.O. Box 914, 9708 Odio. Street','Durham','VA','91798','fionam@emailathome.net',1231370,'969-801-2043',47318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance I. Cruz','Ap #663-1562 Eleifend Av.','Torrance','NE','46137','ccruz@bpmpros.com',1231371,'926-986-7969',108413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter I. Foley','Ap #936-3560 Scelerisque Rd.','Glens Falls','NV','06352','carter.foley@emailathome.net',1231372,'581-516-3021',18142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan A. Bright','511-9146 Fusce Road','Yuma','ME','97503','teegan.bright@widget.com',1231373,'956-546-9623',83735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome T. Huff','4568 Egestas Rd.','West Palm Beach','CO','12142','huff@email.net',1231374,'903-398-9425',54537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla T. Sargent','P.O. Box 458, 6806 Eu Street','Saginaw','DC','20633','ulla.sargent@hitmail.com',1231375,'786-688-9868',45127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren T. Green','557-4802 Proin St.','Plymouth','VA','02233','warren.green@hitmail.com',1231376,'876-563-1400',45298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia Q. Trujillo','604-4525 Lobortis Street','Statesboro','AK','90003','patriciat@abc.edu',1231377,'347-113-6758',37846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite O. Vaughan','P.O. Box 162, 1058 Dapibus Av.','Midwest City','NY','64965','vaughan@yohaa.com',1231378,'179-316-4380',22753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaden I. Soto','4671 Nisi. Av.','New Albany','AK','61208','soto@aulnet',1231379,'705-313-1437',95057,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble W. Meyer','Ap #202-1722 Mollis St.','Madison','WY','01873','nmeyer@yohaa.com',1231380,'172-887-0992',54773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith G. Warren','P.O. Box 881, 6488 Cursus. Rd.','Tamuning','WY','94505','griffith.warren@yohaa.com',1231381,'479-551-2473',50873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Porter U. Maxwell','P.O. Box 282, 956 Sit Rd.','Corinth','AK','05409','maxwell@xyz.edu',1231382,'106-485-8351',90457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey E. Key','2394 Non, St.','Morrison','AK','25435','geoffreyk@widget.com',1231383,'976-977-4159',20293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tobias F. Larsen','Ap #889-9762 Est Av.','Rutland','TX','86001',NULL,1231384,'437-413-3998',30873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John F. Richmond','194-1691 Lacus. Street','Butte','WY','83269','john.richmond@email.net',1231385,'372-718-1314',47666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo N. Delaney','Ap #999-3007 Facilisis St.','Chester','CO','05199','bod@xyz.edu',1231386,'469-741-4585',106678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin I. Woods','7522 Elementum St.','Decatur','NV','78999','alvinw@bpmpros.com',1231387,'618-565-4384',86891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima I. Hall','771-5711 Arcu. Road','Manassas','NV','10289','hall@xyz.edu',1231388,'388-897-3517',101872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April R. Cotton','9703 Vulputate Rd.','Aberdeen','IN','82854',NULL,1231389,'983-801-7804',32053,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan X. Molina','P.O. Box 321, 2315 Magna. Ave','Phenix City','HI','59231','meganm@widget.com',1231390,'286-178-9786',78985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina W. Carey','1955 Bibendum Ave','La Verne','UT','56821','whileminac@widget.com',1231391,'855-964-5714',85010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir L. Francis','Ap #522-8718 Pretium Street','Greenfield','HI','14561','vladimir.francis@email.net',1231392,'494-248-1127',100404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana Q. Chen','P.O. Box 986, 7347 Eleifend Rd.','Norwalk','MN','66871','ichen@abc.edu',1231393,'343-736-9850',106571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese W. Sharp','627-4837 Mauris St.','Minnetonka','NH','08274','reeses@aulnet',1231394,'146-499-0359',30025,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict D. Berg','1166 Libero Avenue','Tulsa','MS','02522','berg@email.net',1231395,'449-855-5844',106688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato Y. Avery','P.O. Box 133, 221 At St.','Valdez','AK','58250','platoa@xyz.edu',1231396,'884-234-0885',83332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth R. Baird','Ap #967-1850 Orci St.','Ogden','AL','03351','ebaird@hitmail.com',1231397,'602-496-5296',21478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond U. Emerson','214-3586 Mollis. Street','Bremerton','CA','07310',NULL,1231398,'762-374-7693',99534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine Y. Wilson','Ap #741-5485 Cras Street','Danbury','TN','94001','shaine.wilson@bpmpros.com',1231399,'412-273-4561',32588,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee B. Hunter','P.O. Box 158, 6889 Dictum Road','Salem','RI','61355','lhunter@hitmail.com',1231400,'457-878-9514',17694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila F. Mayer','880-4798 Diam St.','Galesburg','WA','73035','mayer@hitmail.com',1231401,'481-847-6166',77172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna R. Avery','1064 Blandit Rd.','Norfolk','FL','58266','roanna.avery@email.net',1231402,'679-218-2920',71154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry F. Mills','P.O. Box 762, 1080 Mauris, Road','Seward','NY','81530','hmills@yohaa.com',1231403,'896-566-6739',80868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah H. Vasquez','180-9870 Erat Rd.','Pomona','TN','42924','marah.vasquez@hitmail.com',1231404,'655-452-8175',101476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar P. Keith','8174 Venenatis Road','West Palm Beach','ME','07061','keith@aulnet',1231405,'365-711-2554',60745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra B. Chase','Ap #338-989 Blandit Street','West Hollywood','DE','58865','chase@yohaa.com',1231406,'927-282-9022',72742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine C. Moore','P.O. Box 333, 1249 Est Av.','Peabody','MT','61529','shainem@aulnet',1231407,'485-302-5834',102138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris N. Page','Ap #178-1519 Donec Road','Rockville','KY','84055','mpage@yohaa.com',1231408,'675-159-3618',62561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon K. Grimes','6750 Eleifend St.','Huntington','NV','31879',NULL,1231409,'385-853-3583',104480,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy V. Hutchinson','P.O. Box 431, 1938 Suspendisse St.','El Cerrito','IA','86217','hutchinson@abc.edu',1231410,'197-383-1354',98099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett V. Rosario','Ap #767-2685 Sem Street','Somerville','CO','43729',NULL,1231411,'946-144-2254',65799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio K. Valentine','P.O. Box 279, 9686 Orci Ave','Sunbury','WV','06849','arseniov@xyz.edu',1231412,'679-625-5688',99981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime L. Ford','9335 Vel St.','Vicksburg','AK','90161','jford@emailathome.net',1231413,'846-804-6662',36235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan C. Burks','636-1093 Enim Rd.','Nenana','MI','41442','dburks@widget.com',1231414,'504-459-1638',41594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus N. Baxter','Ap #434-7486 Nonummy St.','Yakima','WI','48190','baxter@bpmpros.com',1231415,'633-246-4966',74811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent X. Holmes','169-6608 Aliquam Rd.','Albany','MI','42681','vincenth@aulnet',1231416,'772-305-4419',60763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa C. Landry','P.O. Box 575, 4449 Fermentum Avenue','Jonesboro','NJ','05447','nyssa.landry@xyz.edu',1231417,'128-801-0055',67679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon A. Henry','P.O. Box 995, 8790 Nec Avenue','Chula Vista','MT','14019','maconh@abc.edu',1231418,'566-595-3954',17196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo P. Tucker','Ap #162-2511 Cubilia Street','Rolla','AK','54578','bo.tucker@widget.com',1231419,'697-154-6599',58839,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani M. Fulton','P.O. Box 474, 5506 Magna Street','Palmdale','MS','59313','lfulton@xyz.edu',1231420,'982-579-5341',93876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall H. Best','6367 Non, Road','New Kensington','TN','55990','hallb@aulnet',1231421,'833-221-4683',38002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick K. Rodriguez','369-1179 Adipiscing St.','South Portland','AK','97643','chadwick.rodriguez@aulnet',1231422,'634-576-6970',73442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila W. Ingram','P.O. Box 793, 4177 Id Street','Pocatello','AK','12000','lingram@yohaa.com',1231423,'644-388-6543',61272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric C. Holman','5286 Semper Avenue','Charleston','GA','93045','cholman@email.net',1231424,'456-411-7495',24443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie L. Avery','890 Morbi St.','West Springfield','SC','92751','joliea@aulnet',1231425,'256-692-2332',26864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius S. Conner','Ap #347-6658 Ipsum Ave','Visalia','DC','97380',NULL,1231426,'242-398-9991',40997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric K. Hoover','P.O. Box 859, 3271 Rutrum Rd.','Sioux Falls','CT','27625',NULL,1231427,'115-257-5554',59769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle T. Merrill','P.O. Box 898, 7000 In, St.','Durham','OR','80817',NULL,1231428,'533-657-7052',71271,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra B. Petersen','5034 Cras Road','Huntington Beach','WV','21129','astra.petersen@email.net',1231429,'211-865-0298',15829,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya H. Goff','7008 Cras Road','Bandera','KY','74986','goff@email.net',1231430,'199-101-1976',15449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria W. Mccullough','P.O. Box 368, 2718 Malesuada Rd.','New Castle','IA','64239','mccullough@email.net',1231431,'226-225-2263',35235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary F. Whitehead','P.O. Box 492, 1900 Libero. Rd.','El Monte','OR','04568','hillaryw@email.net',1231432,'708-924-1493',88932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla Z. Pratt','P.O. Box 442, 2606 Arcu. Ave','Eugene','SD','58452','kpratt@xyz.edu',1231433,'922-739-6637',24587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine W. Christian','8127 Morbi Avenue','New Bedford','CA','30385','elainec@aulnet',1231434,'232-524-6076',78679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon M. Wilkerson','Ap #364-1137 Vehicula Street','Mequon','DC','21051','wilkerson@widget.com',1231435,'347-588-9026',24685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor U. Delaney','P.O. Box 672, 4680 Nonummy. St.','Tampa','WA','04535','delaney@widget.com',1231436,'697-944-4214',46367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan L. Bird','P.O. Box 559, 5135 Ornare, Street','Kearns','DE','05710','harlanb@yohaa.com',1231437,'456-943-9863',25820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey L. Sears','5462 Dictum Avenue','Council Bluffs','CA','51682',NULL,1231438,'354-399-8931',93710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter F. Solis','P.O. Box 840, 9801 Dignissim. Ave','Warren','OH','75837',NULL,1231439,'511-775-0648',72444,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer L. Ballard','Ap #531-6237 Nec Avenue','Pasadena','IA','01776','sawyer.ballard@yohaa.com',1231440,'605-225-9909',79828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob H. Rojas','Ap #448-7165 Molestie Av.','Half Moon Bay','UT','19610','jrojas@email.net',1231441,'497-102-2271',40301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul Y. Bean','P.O. Box 537, 6669 Mauris Av.','West Jordan','UT','77396','paul.bean@widget.com',1231442,'107-505-5067',48409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram Q. Short','Ap #416-7406 Eros Avenue','Santa Ana','TN','77044',NULL,1231443,'432-548-9424',66877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina X. Chan','Ap #559-9022 A St.','Bethany','TX','70648','whilemina.chan@widget.com',1231444,'783-224-6625',27577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan R. Arnold','Ap #883-1946 Dapibus St.','Blacksburg','ME','27097','kylana@aulnet',1231445,'736-429-5432',24351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey G. Russell','6947 Cursus. Av.','Agoura Hills','MS','59271','russell@hitmail.com',1231446,'182-755-3972',65257,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb T. Mckenzie','Ap #528-4053 At, St.','Hickory','ME','86545','mckenzie@yohaa.com',1231447,'828-809-6540',59275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent Z. Elliott','5198 Vel Av.','Beverly Hills','KS','63502','brent.elliott@xyz.edu',1231448,'367-859-6395',18946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola B. Weber','907-3518 Vulputate, St.','Clarksburg','NC','98762','iola.weber@hitmail.com',1231449,'375-542-3909',48894,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio K. Lloyd','389-5736 Phasellus Rd.','Roanoke','HI','87186','yoshio.lloyd@bpmpros.com',1231450,'948-323-8651',75378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel Z. Cooke','981-2399 Ipsum Ave','Sierra Vista','IA','57534','laurelc@xyz.edu',1231451,'722-679-9937',77368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney H. Villarreal','958-8672 Est. St.','Palm Springs','WA','28076','rvillarreal@xyz.edu',1231452,'611-333-9018',21993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina S. Mercado','P.O. Box 738, 6771 Eget, Rd.','Fort Wayne','NC','56485',NULL,1231453,'652-273-5145',33909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses H. Head','P.O. Box 555, 5733 Phasellus St.','Annapolis','HI','87344','mosesh@abc.edu',1231454,'839-482-6631',84519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney Y. Moss','P.O. Box 757, 866 Eleifend St.','Covington','ID','48536','moss@xyz.edu',1231455,'881-711-0016',75848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie J. Santana','943-5265 Aliquet. Rd.','Logan','ND','92931',NULL,1231456,'568-449-0691',74573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon G. Sanford','Ap #143-1056 Suspendisse Rd.','Waterloo','WY','62154','sanford@yohaa.com',1231457,'196-664-9130',83321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis J. Contreras','Ap #124-6444 Molestie St.','East St. Louis','AK','03675','dcontreras@aulnet',1231458,'821-916-5705',100565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('George Q. Mccarty','9822 Nulla. Av.','San Fernando','NH','80101',NULL,1231459,'568-142-1337',103148,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden L. Sampson','P.O. Box 676, 7686 Id, St.','Saratoga Springs','NJ','17008',NULL,1231460,'209-778-8299',73105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin O. Perry','4504 Est. Rd.','Peekskill','AK','86248','perry@yohaa.com',1231461,'949-869-7366',34192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah D. Merritt','473 Ac Avenue','Green Bay','MD','00858','merritt@aulnet',1231462,'673-578-3542',44672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September Y. Wilkerson','Ap #275-3622 Sed, Av.','Little Rock','AK','44654','septemberw@abc.edu',1231463,'514-187-5548',24558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor K. Conner','837-330 Dictum St.','Warwick','AL','07251',NULL,1231464,'917-521-5071',79380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark U. Anderson','P.O. Box 925, 3823 Mauris, St.','Methuen','OR','77985','anderson@aulnet',1231465,'337-254-6742',94315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor N. Gaines','563-5514 Dapibus Road','Laredo','MI','13591','gaines@emailathome.net',1231466,'576-714-8685',51805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny F. Pearson','Ap #828-3767 In St.','Ansonia','KS','78591','pearson@widget.com',1231467,'183-659-2731',51853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney U. Morrison','8271 Malesuada Road','Holyoke','OR','79627','bmorrison@widget.com',1231468,'586-785-9408',82953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross W. Clayton','981-6990 Mi Street','Springfield','WI','71041','ross.clayton@email.net',1231469,'778-255-8498',100243,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso P. Parsons','144-1958 Pellentesque Av.','West Palm Beach','AK','04075','aparsons@email.net',1231470,'117-795-9498',101335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna U. Patterson','823-3037 Integer Road','Taylorsville','TX','83687','patterson@xyz.edu',1231471,'764-871-5755',31103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith C. Harper','3946 Sed St.','Louisville','IA','10209',NULL,1231472,'668-434-7127',84628,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor G. Francis','Ap #239-2434 Cursus. Av.','Reedsport','AZ','38058','francis@xyz.edu',1231473,'458-126-4602',92439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper O. Alvarado','2146 Vitae Street','Caguas','MI','14947','cooper.alvarado@yohaa.com',1231474,'853-688-4800',48696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie P. Bird','Ap #149-4280 Amet, Street','Valdez','TX','39443','natalie.bird@aulnet',1231475,'492-244-8323',36557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi P. Grant','P.O. Box 548, 7237 Aliquam Road','Rolling Hills Estates','NV','47777',NULL,1231476,'222-513-7675',105031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir E. Spencer','2403 Sem, Street','Ocean City','WA','62536','spencer@aulnet',1231477,'304-126-2775',57125,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hollee A. Craft','5345 Euismod St.','Homer','CA','72318','holleec@hitmail.com',1231478,'663-494-7953',31799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn R. Clay','7605 Mauris Rd.','Warren','AK','47704','evelync@hitmail.com',1231479,'946-802-1314',29153,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard N. Battle','Ap #960-1224 Risus. Road','Fitchburg','TN','84732','bbattle@email.net',1231480,'537-473-2844',37145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas J. Stokes','9854 Semper Avenue','Fall River','NY','97216','lucass@email.net',1231481,'789-934-6719',17338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier L. Higgins','625-7408 Adipiscing St.','Des Moines','MO','16904','xhiggins@bpmpros.com',1231482,'222-901-9346',27845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy E. Maynard','Ap #763-369 Dictum Avenue','Thiensville','KS','84691','lacy.maynard@yohaa.com',1231483,'606-727-7286',79039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel V. Flores','3537 Mauris Av.','Stockton','NV','44652','darrelf@hitmail.com',1231484,'222-372-9536',35738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael W. Hogan','P.O. Box 239, 4902 At, Ave','Aurora','CT','69813','michael.hogan@emailathome.net',1231485,'565-697-9698',31429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton K. Huber','381-5600 Libero. Av.','Kennewick','MN','58427','ehuber@widget.com',1231486,'232-706-3932',77361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella V. Bernard','P.O. Box 596, 4088 Consectetuer, Rd.','Lebanon','UT','39498','bernard@yohaa.com',1231487,'816-157-7640',79944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan I. Franks','P.O. Box 728, 8989 Eget Road','Hoboken','ID','12842','ryanf@xyz.edu',1231488,'332-158-1159',96371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot O. Aguirre','9363 Egestas. Street','Peoria','AZ','48839',NULL,1231489,'214-448-5533',80731,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly Q. Thompson','Ap #952-7249 A Avenue','Weirton','TN','82231',NULL,1231490,'262-376-6142',82531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth K. Maddox','P.O. Box 797, 3606 Ac, Rd.','Opelousas','OK','57240','rmaddox@bpmpros.com',1231491,'572-634-8195',49423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana B. Rose','650-8087 Mollis Road','Lodi','ME','12769','illiana.rose@email.net',1231492,'109-582-1250',50480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith T. Mcdonald','2462 Nisl Road','Rawlins','IN','72793',NULL,1231493,'979-971-9291',55532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo L. Oneil','P.O. Box 298, 2588 Egestas Street','Jackson','AK','33715',NULL,1231494,'409-489-2591',97638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane H. Fletcher','Ap #550-2449 Sapien, Avenue','Saipan','OK','79303','fletcher@yohaa.com',1231495,'119-528-8070',73132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori M. Everett','6569 Non, Rd.','Mentor','MT','28246','everett@xyz.edu',1231496,'387-698-4302',36160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruce I. Alvarez','Ap #303-3892 Egestas Ave','Chickasha','AL','51480','alvarez@hitmail.com',1231497,'737-114-6120',62369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay S. Goodman','P.O. Box 300, 1216 Orci. Road','Nichols Hills','MI','45597',NULL,1231498,'188-815-8384',53927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan X. Jordan','Ap #948-2091 Vitae Av.','Oswego','DC','68003','bjordan@bpmpros.com',1231499,'601-688-3931',42111,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby S. Mcknight','Ap #814-9206 Montes, St.','Dickinson','OR','94252','mcknight@aulnet',1231500,'356-966-5458',59230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine T. Bonner','447-7741 Vitae, Ave','Azusa','FL','98182','sbonner@yohaa.com',1231501,'435-791-5570',19211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel N. Winters','228-7502 Enim St.','Plantation','MT','72060',NULL,1231502,'343-677-2788',39815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani H. Wilkins','8972 Purus Avenue','Alhambra','AK','75252','laniw@bpmpros.com',1231503,'559-584-7415',82834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet P. Hart','Ap #461-7808 Sit Avenue','Macon','HI','27202',NULL,1231504,'666-115-5083',54519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade D. Vazquez','Ap #888-2928 Venenatis Street','Flint','IN','47374','wvazquez@aulnet',1231505,'687-343-2678',79608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael C. Dotson','P.O. Box 361, 4956 Amet, St.','West Hartford','DC','48095','ldotson@hitmail.com',1231506,'471-157-2005',87185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose L. Ingram','Ap #905-8875 Placerat Ave','Rolla','FL','31979','ingram@abc.edu',1231507,'176-546-5038',28669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indigo X. Hensley','668-5938 Lorem Av.','Tampa','MT','78300','indigo.hensley@bpmpros.com',1231508,'381-466-8013',27814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby H. Chandler','P.O. Box 308, 4548 Fusce Rd.','Manassas Park','UT','35013','kchandler@xyz.edu',1231509,'414-704-0698',82305,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni V. Dickerson','P.O. Box 698, 9745 Montes, Road','Fort Lauderdale','VT','74219','dickerson@widget.com',1231510,'324-747-4405',24158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia U. Hatfield','Ap #868-462 Vulputate Rd.','Rye','MT','44918','hatfield@abc.edu',1231511,'238-453-1095',59066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal O. Baker','332-736 Enim Road','Aliquippa','CO','61805','amal.baker@widget.com',1231512,'724-953-3154',27925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn P. Wilson','P.O. Box 650, 4433 Fringilla St.','Manassas','UT','96367','jocelynw@emailathome.net',1231513,'263-987-8401',68511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael S. Montgomery','621-6250 Aliquam Rd.','La Crosse','FL','05501','montgomery@email.net',1231514,'868-132-9188',74867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel F. Allison','4971 Curabitur Rd.','Eatontown','FL','62963','steela@emailathome.net',1231515,'514-601-5036',15539,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie V. Leach','3665 Enim Road','Signal Hill','MS','74360',NULL,1231516,'657-909-3783',39420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan Y. Pena','790-4249 Posuere Street','Starkville','NM','00084','vaughan.pena@emailathome.net',1231517,'446-103-0014',89886,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle B. Ryan','9637 Quisque Rd.','Saint Joseph','MI','33904','ryan@widget.com',1231518,'103-547-0573',74285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee B. Marks','6610 Ante Rd.','Pass Christian','ME','10333',NULL,1231519,'734-234-4881',97835,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan G. Vargas','1336 Magna Ave','Greenville','MN','13675','ivargas@email.net',1231520,'718-282-5059',60067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian Q. Suarez','Ap #515-4080 In Street','Fort Smith','IL','75688','gillians@aulnet',1231521,'364-183-2647',84658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair F. Puckett','6220 Fringilla Rd.','West Palm Beach','MD','73830','puckett@aulnet',1231522,'409-335-6439',78084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa K. Johns','P.O. Box 976, 9058 Facilisis Rd.','San Juan Capistrano','TN','26199','johns@yohaa.com',1231523,'139-439-6743',34846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quintessa W. Goodman','614-3496 Erat Av.','La Habra Heights','NE','37063','qgoodman@bpmpros.com',1231524,'253-283-5212',16431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson F. Mayer','P.O. Box 279, 7587 Turpis. Avenue','Holyoke','RI','33161','mmayer@email.net',1231525,'225-388-3718',108325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan Z. Bond','P.O. Box 391, 5868 Velit Rd.','Gadsden','MT','24567','bond@xyz.edu',1231526,'729-854-0423',29669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Farrah D. Ellison','P.O. Box 594, 141 Eget Road','Greenville','UT','39363','farrah.ellison@aulnet',1231527,'922-651-4144',72847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine T. Sharp','5930 Aliquam St.','Kenosha','AK','30004','sharp@bpmpros.com',1231528,'941-334-4095',56729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter X. Wood','Ap #585-6114 Ligula Rd.','Seaford','MI','43783','carter.wood@emailathome.net',1231529,'797-738-0725',90744,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton G. Blake','P.O. Box 258, 7043 Lacus. St.','Slidell','OK','15968','daltonb@widget.com',1231530,'642-449-1772',69014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa J. Ray','Ap #706-8934 Morbi Av.','Princeton','TX','59274',NULL,1231531,'233-884-2233',19592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cathleen Q. Mcintosh','4918 Facilisi. Road','Coatesville','NH','30685','mcintosh@bpmpros.com',1231532,'613-926-2046',44866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia S. Barrera','452-4345 Ligula St.','Oak Ridge','ME','90920',NULL,1231533,'616-229-1553',71056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony X. Albert','Ap #604-2722 Adipiscing St.','Tucson','WV','36326','anthony.albert@abc.edu',1231534,'357-874-9931',58845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne B. Hurley','8086 Etiam Rd.','Lynn','NV','43406',NULL,1231535,'139-765-5519',65840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain Q. Goff','P.O. Box 691, 3371 Sit Street','Montgomery','NM','15868','caing@hitmail.com',1231536,'465-504-2787',40557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil U. Pierce','857-3890 Sit St.','Minneapolis','MO','18223','bpierce@xyz.edu',1231537,'292-556-9601',49007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa Q. Valentine','354-7194 Pede. Rd.','Texarkana','CT','68676','valentine@bpmpros.com',1231538,'801-992-4584',29581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore N. Mathis','P.O. Box 916, 1365 Blandit. Rd.','Minot','FL','39997',NULL,1231539,'564-474-3668',31754,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn I. Dickerson','2584 Malesuada Av.','Fayetteville','WI','53206','jdickerson@bpmpros.com',1231540,'296-943-3798',28706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile Z. Hutchinson','P.O. Box 221, 3463 Ultricies Avenue','Allentown','WI','97750','maileh@xyz.edu',1231541,'957-244-1865',76940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey U. Harding','630 Lorem, Av.','Sandpoint','WI','91721','maceyh@xyz.edu',1231542,'506-602-3256',53101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor Y. Gentry','884-2086 A Avenue','Corinth','NY','64156',NULL,1231543,'887-494-9942',31255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana O. Ward','Ap #605-2365 In Street','Tamuning','MI','06061','arianaw@widget.com',1231544,'227-115-4083',17850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona F. Mays','8728 Quisque Rd.','San Mateo','IA','18429','fmays@xyz.edu',1231545,'236-358-0604',18044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar J. Fitzpatrick','3805 Vulputate Rd.','Yukon','MN','24326','caesar.fitzpatrick@abc.edu',1231546,'279-183-7176',28595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly P. Neal','8035 Vel Av.','Wilson','MT','52534',NULL,1231547,'967-685-5937',78892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine H. Levy','2571 Quis, Avenue','Henderson','PA','76901','jlevy@email.net',1231548,'255-653-3108',74380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber J. Casey','9940 Dignissim Rd.','Farmington','TX','26644','amberc@bpmpros.com',1231549,'435-541-0053',49347,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble E. Henson','733-1776 Pharetra. Rd.','Wheeling','NJ','40767','nobleh@emailathome.net',1231550,'502-846-3874',101407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus H. Rodriguez','413-6545 Imperdiet St.','Richland','AZ','69910',NULL,1231551,'778-381-1264',29071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter B. Webb','756-9362 Nam Ave','Rolla','AK','14273','hwebb@yohaa.com',1231552,'285-963-2533',92691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher Z. Sloan','P.O. Box 282, 5480 Hendrerit Av.','Greenfield','WA','00614','asher.sloan@bpmpros.com',1231553,'898-184-0462',18438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma W. Mueller','5966 Cursus Rd.','Franklin','TX','17337','amueller@abc.edu',1231554,'498-878-7860',99805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley E. Powell','133 Leo Ave','Tamuning','KY','66258','bpowell@email.net',1231555,'982-721-6184',94905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope X. Armstrong','Ap #842-2878 Eu St.','Jackson','NC','01767','parmstrong@abc.edu',1231556,'116-198-7293',47151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross E. Riley','P.O. Box 285, 9219 Duis Av.','Reading','AK','64465','ross.riley@aulnet',1231557,'334-351-3580',85147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori B. Hughes','201-283 Nunc Street','Grand Junction','KS','31206','ohughes@xyz.edu',1231558,'772-906-2655',25326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hollee W. Mills','6901 Est St.','Fremont','FL','51264','hmills@widget.com',1231559,'485-153-2538',85141,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy H. Horn','9075 Quam Av.','Yakima','WY','30465','horn@emailathome.net',1231560,'692-131-5358',74724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter M. Coleman','1207 Tellus St.','Corona','RI','70943',NULL,1231561,'999-558-6526',30782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lamar A. Davis','P.O. Box 709, 1583 Semper Street','Geneva','NJ','32612','davis@widget.com',1231562,'656-556-9046',72283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes T. Fernandez','4394 Sit Rd.','Shawnee','WI','27280','fernandez@bpmpros.com',1231563,'543-808-4530',66712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz E. Kerr','733-4056 Porttitor St.','Wichita','MS','49776','fritzk@aulnet',1231564,'157-509-3078',72704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter D. Shelton','424-5029 Nunc Road','San Juan','AK','57596',NULL,1231565,'473-431-8302',52795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee A. Bennett','P.O. Box 407, 2412 Risus. Avenue','Lawndale','OH','76033',NULL,1231566,'621-904-3342',78591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin B. Hull','P.O. Box 302, 4236 A, Rd.','Derby','NV','23900',NULL,1231567,'134-664-6679',15546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen R. Bruce','Ap #107-934 Aliquet Rd.','Scarborough','HI','71705','cbruce@bpmpros.com',1231568,'715-849-4030',86983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany T. Wilder','116-6471 Donec St.','Coatesville','AK','22003','bwilder@emailathome.net',1231569,'819-625-3638',86906,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ocean N. Sykes','226-9381 Eleifend Av.','Port St. Lucie','DC','13845','sykes@xyz.edu',1231570,'959-768-2836',65221,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville H. Kerr','2511 Facilisis Road','Duquesne','AK','75767','kerr@widget.com',1231571,'152-657-5233',67623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn F. Osborn','Ap #984-8188 Est. Road','Bradford','RI','84569','caryn.osborn@widget.com',1231572,'337-499-9455',82325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee G. Townsend','772-9917 Augue Rd.','Costa Mesa','OR','58633','townsend@emailathome.net',1231573,'203-531-8398',87526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jesse M. Hamilton','Ap #472-8791 Sed Street','Darlington','DC','86745','hamilton@aulnet',1231574,'478-682-0119',61255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil G. Ross','Ap #943-4611 Non St.','Kokomo','KY','52048','bross@email.net',1231575,'884-253-7348',67860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix B. Sandoval','370-7855 Primis Rd.','Allentown','ID','55117',NULL,1231576,'356-131-2830',40432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel V. West','1997 Sodales Ave','Hermitage','DC','17463','swest@emailathome.net',1231577,'984-709-4124',54355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney N. Stephenson','297-1762 Aliquet. Ave','Dixon','CA','28745','britanneys@emailathome.net',1231578,'209-283-9923',19443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan L. Schroeder','264 Tincidunt Ave','Houston','MA','63925','schroeder@widget.com',1231579,'809-421-2495',46224,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel R. Silva','440-9598 Ac Road','Cleveland','KY','72145','steel.silva@abc.edu',1231580,'171-871-2014',54902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna T. Black','918-2627 Velit Avenue','Texarkana','IN','61634','bblack@widget.com',1231581,'889-851-7219',43371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris S. Hogan','489-4250 Est Rd.','Sunbury','KY','68820','fhogan@yohaa.com',1231582,'565-344-1048',43155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea P. Salinas','435-7434 Maecenas Street','Salinas','SD','18477',NULL,1231583,'308-763-9171',32081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric M. Wilkinson','P.O. Box 747, 320 Laoreet, Av.','Hickory','CA','89807','cwilkinson@email.net',1231584,'385-583-1551',83909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan X. Emerson','322-346 Quis Street','Kettering','WI','08097','edane@email.net',1231585,'805-189-5627',37311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet Y. Stanley','5837 Dolor St.','Hawaiian Gardens','ID','67458','stanley@hitmail.com',1231586,'358-938-4464',105062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon R. Perry','Ap #557-6782 Sed Rd.','Oneida','ME','60438','fperry@aulnet',1231587,'887-235-1736',32028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera D. Blanchard','8340 Molestie Av.','Green River','IA','97203',NULL,1231588,'446-335-9494',72617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt F. Sellers','978-923 Et Av.','Boulder Junction','PA','02409','merritts@emailathome.net',1231589,'703-249-3843',42926,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim X. Rutledge','P.O. Box 913, 4395 Sed, Rd.','Jenks','UT','64976','hashimr@emailathome.net',1231590,'576-289-3396',26805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope K. Aguilar','868-4505 Fringilla Av.','Keene','PA','63428','haguilar@abc.edu',1231591,'495-872-0513',96523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel Z. Blevins','364-8964 Nec St.','Portsmouth','DE','92056','ablevins@widget.com',1231592,'484-889-6517',26522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella Z. Bright','8729 Ligula. St.','Elizabeth City','LA','03522','ellab@xyz.edu',1231593,'727-476-7547',34494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera X. Suarez','P.O. Box 163, 5549 Donec St.','Costa Mesa','AK','35649','xaviera.suarez@emailathome.net',1231594,'272-809-1749',41148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia M. Pearson','950-7739 Fringilla Rd.','Ithaca','AL','07043','pearson@xyz.edu',1231595,'793-864-7629',51006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia R. Stewart','P.O. Box 518, 1947 Non Rd.','Marlborough','MD','42540','olivias@bpmpros.com',1231596,'794-486-2499',27293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian N. Stanley','P.O. Box 580, 3397 Ac Ave','Florence','WY','44787','christian.stanley@email.net',1231597,'438-122-4076',66650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly R. Moon','P.O. Box 821, 2545 Phasellus Rd.','Grambling','KY','30475','molly.moon@yohaa.com',1231598,'354-682-6120',31536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia S. Ramos','593-8885 Ultricies Road','Mobile','KY','67508','zeleniar@hitmail.com',1231599,'174-337-9285',46793,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair N. Monroe','P.O. Box 791, 7664 Risus. Road','New Iberia','KS','67135','monroe@widget.com',1231600,'633-717-9448',81008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan A. Hubbard','Ap #540-4698 Est. St.','Rome','IL','58526','edan.hubbard@hitmail.com',1231601,'752-495-0010',68520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madonna G. Valdez','371-4551 Curabitur Road','Shamokin','SC','01960',NULL,1231602,'587-348-5436',62925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane B. Meyers','154-9037 Vitae Rd.','New Brunswick','LA','12024','keanem@hitmail.com',1231603,'184-562-7193',67017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezra B. Wallace','P.O. Box 989, 1055 Iaculis, Rd.','Kemmerer','AZ','43456','ewallace@yohaa.com',1231604,'571-555-0258',53626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten Y. Cobb','P.O. Box 734, 6809 Proin St.','Cairo','OH','77611',NULL,1231605,'277-647-1022',47353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary T. Burns','Ap #308-4283 Diam Street','Plattsburgh','WA','68436','roaryb@emailathome.net',1231606,'157-225-8720',90641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem D. Fleming','6958 Dis Road','Port Washington','NH','28214','kaseem.fleming@widget.com',1231607,'258-754-5760',68626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady P. Gilmore','3008 Vitae Av.','Columbus','IN','07810',NULL,1231608,'732-257-0224',91610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley W. Barry','P.O. Box 251, 5664 Sapien, Road','Bayamon','AZ','30137','abarry@xyz.edu',1231609,'948-681-7377',77954,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda M. Cooke','667-6521 Sed Street','Marlborough','SC','80811','acooke@abc.edu',1231610,'959-907-5973',44261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie Z. Bright','645-5497 Integer Street','Rutland','ID','04984',NULL,1231611,'706-755-6622',65790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita V. Livingston','955 Etiam Rd.','Waterloo','ID','09639','livingston@email.net',1231612,'128-699-1755',54010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent Q. Sandoval','P.O. Box 549, 3459 Metus. Av.','Schenectady','IA','51250',NULL,1231613,'991-118-5177',96512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora G. Foreman','622 Aliquet. St.','Vernon','CA','88664','dforeman@bpmpros.com',1231614,'891-889-8807',55500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton D. Kirby','401-1794 Malesuada Ave','Medford','ID','37726','clinton.kirby@abc.edu',1231615,'481-371-0609',58999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden X. Palmer','P.O. Box 451, 9789 Pede. St.','Ketchikan','OR','93421',NULL,1231616,'258-638-8199',87739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita F. Walker','P.O. Box 493, 8387 Odio. Rd.','Carrollton','TN','59553','zwalker@hitmail.com',1231617,'185-333-8617',94802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna P. Porter','2369 Ullamcorper Ave','Forrest City','WV','04960','breannap@hitmail.com',1231618,'926-334-7560',60906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn G. Coffey','8171 Aenean Street','Irving','NC','96306','coffey@email.net',1231619,'804-896-4297',107716,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk A. Jones','P.O. Box 359, 688 Fusce Av.','Lexington','IL','95581','jones@abc.edu',1231620,'898-702-5989',34650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley E. Raymond','P.O. Box 456, 932 Felis Street','Hidden Hills','ND','90785','rileyr@widget.com',1231621,'477-375-9764',83441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato Y. Hawkins','P.O. Box 718, 3929 Dis St.','Fort Collins','CA','76576','kato.hawkins@yohaa.com',1231622,'462-738-9038',93405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana O. Fleming','885-8451 Justo. Ave','Moore','NV','67543',NULL,1231623,'219-572-2191',32675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin A. Avery','Ap #883-182 Penatibus Street','Ardmore','OR','30497','avery@xyz.edu',1231624,'131-241-7219',46965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron N. Burton','Ap #793-4719 Adipiscing St.','Bismarck','NY','33764','byronb@hitmail.com',1231625,'362-303-5432',84600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko B. Conner','Ap #187-4737 Magna. Street','Caguas','UT','54387','kamekoc@abc.edu',1231626,'152-324-6261',83806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos L. Guy','Ap #221-8874 Tellus. Rd.','Brunswick','HI','12466','xguy@widget.com',1231627,'854-806-1397',67261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin H. Tyson','Ap #107-8527 Quisque Street','Eau Claire','DE','30643','ktyson@abc.edu',1231628,'101-855-7619',16102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea O. Park','1114 Pretium Rd.','Topeka','NV','82416','aleap@email.net',1231629,'681-982-0775',63928,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry L. Neal','P.O. Box 147, 2689 Ac Ave','Rhinelander','VT','44327','neal@emailathome.net',1231630,'844-525-4164',106624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem M. Arnold','4338 Vulputate, Ave','Hampton','AZ','73948','jakeema@abc.edu',1231631,'581-276-5180',71013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin B. Page','P.O. Box 571, 1027 Pulvinar St.','Richmond','MI','40723','apage@bpmpros.com',1231632,'772-253-3289',56790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama A. Workman','P.O. Box 914, 8478 Nam Ave','Cerritos','MA','84034','ramaw@emailathome.net',1231633,'768-531-6930',31433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana P. Bauer','Ap #888-7340 Sapien, St.','Poughkeepsie','RI','25709','danab@abc.edu',1231634,'844-503-0437',44527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge M. Santana','P.O. Box 920, 9093 Libero. Av.','Reading','SC','52377',NULL,1231635,'187-822-4344',85629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato B. Christian','Ap #381-8565 Integer Avenue','Norfolk','HI','04856','christian@xyz.edu',1231636,'234-321-1425',94487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill P. Adkins','Ap #858-1736 Laoreet St.','Clairton','DE','37131','merrilla@xyz.edu',1231637,'198-232-4525',20037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane X. Callahan','601-3235 Semper. St.','Bradford','MD','55092',NULL,1231638,'335-323-4648',32921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad G. Jimenez','P.O. Box 345, 7539 Mollis Rd.','Nampa','TN','25970','mohammad.jimenez@xyz.edu',1231639,'174-308-6300',107802,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan E. Wiley','421-682 Eget Rd.','Mason City','NY','48864','wiley@email.net',1231640,'845-918-2268',69698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga O. Tyler','Ap #531-3341 Torquent Av.','Caguas','TN','41890','tyler@yohaa.com',1231641,'665-509-3285',63813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola C. Holt','Ap #481-2358 Praesent Road','Guthrie','VA','79121',NULL,1231642,'912-677-0874',26316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem Q. Bauer','Ap #192-8370 Suspendisse Rd.','Hammond','MT','46215','kadeemb@widget.com',1231643,'437-359-9269',24720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz F. Houston','7828 Lacus Rd.','Woodward','NH','94868',NULL,1231644,'581-124-7596',59389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey M. Franklin','4970 Sapien Rd.','Lancaster','MD','39128','casey.franklin@xyz.edu',1231645,'505-464-4668',56079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine C. Pate','215-1539 Ornare Av.','Bartlesville','AZ','49789',NULL,1231646,'907-513-8773',55734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace W. Briggs','2311 Malesuada. Av.','Pascagoula','ME','43498','grace.briggs@aulnet',1231647,'577-477-1284',25044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya K. Carney','Ap #951-730 Enim Rd.','Frisco','VA','36870','mayac@bpmpros.com',1231648,'378-755-1222',58275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa O. Nelson','9278 Tempor Av.','Fremont','MS','77670',NULL,1231649,'368-496-2617',86848,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine Z. Barrett','Ap #431-783 Elit Street','Knoxville','KY','88166','germaine.barrett@abc.edu',1231650,'837-206-4926',69897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Farrah I. Head','525-6765 Ornare Rd.','Wheaton','TN','17196',NULL,1231651,'453-291-2967',101546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh M. Gregory','8264 Duis Ave','Cypress','DE','11653','shaeleighg@email.net',1231652,'473-908-2282',60837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie F. Valenzuela','Ap #329-9211 Nec Ave','Gardena','AK','20431','shelliev@widget.com',1231653,'185-458-3666',98337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn J. Valdez','Ap #248-5950 Ut Av.','Brookfield','MA','42972',NULL,1231654,'405-599-8572',30755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella B. Trevino','447-6531 Dolor Av.','West Memphis','NV','97540',NULL,1231655,'513-828-3172',76854,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir V. Johnston','9486 Pharetra Road','Covington','IL','28028',NULL,1231656,'883-825-1179',64097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil S. Parks','P.O. Box 413, 1918 Eu Street','Murrieta','GA','44663',NULL,1231657,'792-675-4006',38675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar T. Martin','258-4961 Penatibus Street','Plano','MT','78122','qmartin@yohaa.com',1231658,'786-588-1635',84954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding Z. Collier','7926 Sem Ave','Anderson','ID','94122',NULL,1231659,'934-313-8617',85876,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler I. Bird','Ap #625-6025 Est Rd.','Eden Prairie','KY','53758','bird@abc.edu',1231660,'971-915-2281',100829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrienne Q. Snider','4783 Facilisis. Avenue','Healdsburg','MN','73309','snider@xyz.edu',1231661,'785-673-6741',16203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia D. Ware','P.O. Box 351, 8332 Id, Avenue','Visalia','ID','73247','oware@bpmpros.com',1231662,'647-423-9055',91510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron V. Patrick','3627 Primis Rd.','Needham','WI','98725','aaronp@yohaa.com',1231663,'151-815-5578',60429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim B. Hahn','4059 Mauris Road','Bowie','MA','03042','rhahn@email.net',1231664,'925-639-6110',87906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan P. Schneider','2037 Donec Rd.','Cody','KY','43994','mschneider@yohaa.com',1231665,'398-591-0549',28103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah F. Brady','P.O. Box 951, 8948 Dignissim Ave','Oak Ridge','VA','20474','lbrady@abc.edu',1231666,'468-667-1571',25454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe G. Chavez','213-289 Eu, Street','Macon','AK','90020','chloec@emailathome.net',1231667,'495-853-4106',86181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard W. Sharp','P.O. Box 813, 2745 Purus St.','Monterey Park','VA','91292','rsharp@aulnet',1231668,'323-717-4709',103826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye R. Lynn','Ap #926-3951 Nisi Road','Ocean City','OK','69361','alynn@bpmpros.com',1231669,'664-886-5030',90007,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heather S. Whitehead','440-9000 Molestie Rd.','West Covina','IA','09868','heatherw@email.net',1231670,'221-784-6792',85130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan N. Evans','255-7540 Nunc Street','Ontario','NV','89288',NULL,1231671,'147-278-9616',47492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade C. Stark','Ap #229-3885 Luctus St.','Stamford','KS','87177',NULL,1231672,'456-404-6816',59155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma U. Duffy','9337 In St.','Elko','MO','33782','gemmad@yohaa.com',1231673,'609-335-8762',51837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael Z. Howell','745-2906 Vestibulum Av.','Hazleton','NJ','02246','ihowell@yohaa.com',1231674,'139-639-9748',59968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin W. Burns','4421 Quisque Rd.','Hartford','CO','47818','aburns@emailathome.net',1231675,'243-856-7197',26777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda Z. Clemons','P.O. Box 126, 7866 Maecenas Street','Orangeburg','VT','03641','naydac@yohaa.com',1231676,'669-703-5693',88934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent X. Blake','8048 Cras Street','Lowell','WI','67567','vblake@abc.edu',1231677,'933-198-0693',33397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry O. Ewing','Ap #300-8518 Ligula. St.','Texarkana','CA','04662','ewing@aulnet',1231678,'239-272-1601',37395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra L. Kaufman','8314 Donec Ave','Winston-Salem','NM','51492',NULL,1231679,'969-283-1992',22455,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn G. Ford','Ap #305-7782 Fringilla Street','Leominster','GA','86338','ford@hitmail.com',1231680,'821-789-9610',72392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna R. Gates','4834 Dis Rd.','Torrington','NC','19267','bgates@yohaa.com',1231681,'991-773-7416',54720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer M. Shaw','1303 Ut Avenue','Nichols Hills','MI','36808','sawyers@bpmpros.com',1231682,'725-524-5918',85079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee K. Bentley','P.O. Box 526, 3435 Sit Avenue','Cortland','IN','75901',NULL,1231683,'701-535-9585',68058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia H. Huber','Ap #623-4194 Id, Rd.','West Jordan','AZ','32907','zhuber@aulnet',1231684,'909-719-1541',23802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('George Q. Poole','9266 Sodales St.','Pierre','NC','65878',NULL,1231685,'179-861-6326',69395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan T. Brown','512-8033 Elit Rd.','Orange','MD','02467','nbrown@bpmpros.com',1231686,'447-416-1868',40244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara V. Love','Ap #469-1155 Leo, Rd.','Baytown','UT','26038','love@hitmail.com',1231687,'606-944-3605',64622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau U. Herrera','Ap #258-6134 Tellus Avenue','Cypress','NH','46072','mherrera@widget.com',1231688,'102-708-5518',29462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille R. Hickman','472-7941 Eu Av.','Biloxi','NJ','11567','camilleh@abc.edu',1231689,'631-742-3499',15469,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava E. Sexton','881 Eu Street','Bethlehem','IA','30262','sexton@hitmail.com',1231690,'429-283-1562',99631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos V. Conley','Ap #392-5177 Consequat Street','Tulsa','DE','40881','carlosc@yohaa.com',1231691,'254-573-6658',31191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle B. Bolton','5726 Tincidunt, Street','Mentor','NE','40645','bolton@aulnet',1231692,'724-948-3966',76250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna L. Daniels','Ap #552-8622 Est Rd.','Sault Ste. Marie','ME','93433','ddaniels@xyz.edu',1231693,'178-802-7500',61680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell D. Perkins','Ap #468-4064 Aliquam Avenue','Canandaigua','VA','26320','perkins@bpmpros.com',1231694,'754-833-6443',108749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato M. Hill','Ap #269-902 Suscipit St.','Crown Point','NJ','57284','kato.hill@abc.edu',1231695,'605-368-1907',58614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona L. Burnett','3028 A Rd.','Pascagoula','NE','70205','kionab@yohaa.com',1231696,'934-494-8206',54019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice E. Rogers','942-4194 Tempor, Road','Sioux City','TX','31212','alice.rogers@xyz.edu',1231697,'528-553-9568',94147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olympia G. Knox','323-6398 Diam. Street','Ponce','FL','07049',NULL,1231698,'453-881-4433',107084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos U. Castillo','P.O. Box 582, 9657 Eu, Ave','La Mirada','SC','96704','acastillo@emailathome.net',1231699,'844-206-0864',41324,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos G. Rodriguez','P.O. Box 889, 6145 Aliquam Avenue','Boise','MA','11718','arodriguez@aulnet',1231700,'513-366-3614',66821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad V. Steele','P.O. Box 132, 6032 Vulputate, Rd.','Brunswick','VA','37759','steele@xyz.edu',1231701,'568-981-2566',33179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha T. Bass','Ap #690-5788 Tincidunt Avenue','Newport Beach','OH','63991','sbass@widget.com',1231702,'742-319-1094',64660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi S. Baird','232-9953 Mauris St.','Albany','SC','47301','lbaird@abc.edu',1231703,'403-144-3635',75956,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima E. Velasquez','3445 Massa. Avenue','Artesia','KS','32597','fatimav@emailathome.net',1231704,'438-579-7731',23828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alden P. Macdonald','Ap #845-7794 Lorem Av.','Las Vegas','OK','06538','macdonald@abc.edu',1231705,'237-575-9447',34752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler H. Valdez','5540 Lorem, Rd.','Gettysburg','MI','90241','valdez@xyz.edu',1231706,'895-718-3659',67818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia H. Hensley','P.O. Box 555, 1667 Nonummy Street','Odessa','MD','80071','hensley@bpmpros.com',1231707,'313-218-8262',100729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen L. Conley','Ap #475-8782 Nulla Rd.','Valdosta','WA','37518',NULL,1231708,'691-913-1309',73088,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oprah N. Day','1659 Nibh Road','Ansonia','OH','64918','day@emailathome.net',1231709,'771-539-5308',60984,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hermione M. Sykes','Ap #573-5687 Imperdiet Rd.','Brookings','MO','22087','hermione.sykes@aulnet',1231710,'906-676-1156',64885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira A. Keller','178-102 Odio Road','Chico','NM','12435','mkeller@yohaa.com',1231711,'514-411-1962',21721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon P. White','Ap #988-8355 Vestibulum Rd.','Bend','AK','63576','white@widget.com',1231712,'913-426-8369',44645,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica J. Curtis','4551 Sed St.','Nome','NH','65391',NULL,1231713,'749-431-6733',70594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper N. Wheeler','Ap #506-8053 Turpis Street','Ventura','MA','06062','piperw@xyz.edu',1231714,'354-194-4350',24348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler R. Guy','P.O. Box 718, 6020 Urna Road','West Bend','DE','56453','guy@abc.edu',1231715,'525-889-8832',31769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth H. Fleming','3308 Est Rd.','Yuma','DC','11997','fleming@widget.com',1231716,'643-986-5634',60233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt S. Schmidt','6714 Eu Rd.','Hartford','NC','67729','colts@yohaa.com',1231717,'829-693-8924',57009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil Y. Savage','Ap #150-4365 Urna. St.','Inglewood','AZ','77435','sybils@xyz.edu',1231718,'264-184-6764',79023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya D. Vaughan','P.O. Box 208, 7821 Sed Ave','San Francisco','FL','23990','tashyav@hitmail.com',1231719,'525-699-6733',67448,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita F. Rowland','683-4680 Mi Ave','Hialeah','RI','94317','zrowland@xyz.edu',1231720,'418-834-4331',23508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt Q. Justice','5561 Vestibulum Street','Aguadilla','GA','59779',NULL,1231721,'211-952-7350',93310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Taylor A. Hines','669-7639 Aliquam St.','Saint Joseph','MO','75234',NULL,1231722,'904-225-0767',21214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan X. Spears','1714 Vel, Street','Helena','ME','12490',NULL,1231723,'913-514-8253',46303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn C. Atkins','2827 Varius. Street','La Puente','IL','65477','atkins@abc.edu',1231724,'726-728-0694',63861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn W. Albert','6928 Rutrum Street','Port Huron','DC','69125','dalbert@email.net',1231725,'764-446-0188',30358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane O. Simon','Ap #848-6775 Nec, St.','Twin Falls','OK','80659',NULL,1231726,'775-548-8849',109728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana E. Rowe','Ap #734-7432 Orci Rd.','Fremont','NE','27818','dianar@xyz.edu',1231727,'567-343-6815',85549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline T. Kirby','6200 Pede Street','Waukegan','NY','98111','madaline.kirby@xyz.edu',1231728,'803-748-4627',52201,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran Z. Swanson','672-4022 Morbi Rd.','Rye','NE','13411','camerans@widget.com',1231729,'523-425-0735',58029,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael V. Dotson','7243 Varius St.','North Tonawanda','IN','08070',NULL,1231730,'412-664-8074',26988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas Q. Rowland','7915 Nibh Rd.','Flint','AK','68379','jonas.rowland@abc.edu',1231731,'377-318-4759',73137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy A. Nieves','3865 Vel St.','Brea','IN','53469','lucyn@emailathome.net',1231732,'497-325-0569',21269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth A. Hurst','Ap #972-8108 Fusce St.','Shreveport','SC','04867','garethh@yohaa.com',1231733,'327-724-0480',21756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian D. Williams','P.O. Box 797, 5155 Sed Road','Saratoga Springs','OR','55569',NULL,1231734,'427-755-4785',41778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn J. Matthews','171-9854 Quis Rd.','Newport News','TX','58013',NULL,1231735,'673-101-8553',46272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Helen P. Salas','4334 A, Road','Vicksburg','MN','03459','helen.salas@bpmpros.com',1231736,'361-528-8388',33394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan M. Haley','390-9458 Urna. Ave','Pasco','IN','78582','hhaley@abc.edu',1231737,'932-293-7215',70621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter U. Hewitt','151-5730 Sodales Av.','Monterey Park','ME','68847','wynter.hewitt@widget.com',1231738,'421-352-4551',87299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mara J. Phillips','P.O. Box 950, 9392 Facilisis St.','Houston','AL','30209','phillips@email.net',1231739,'247-567-8293',90999,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope O. Kirk','6503 Nunc Street','Hastings','AK','45849','hkirk@email.net',1231740,'861-775-4311',28630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona M. Alvarez','8006 Diam Road','Laguna Woods','GA','57781','alvarez@abc.edu',1231741,'376-353-3207',83315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail V. Whitney','9466 Sagittis Road','North Little Rock','IL','71186','gail.whitney@aulnet',1231742,'856-183-6189',60741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe H. Walters','P.O. Box 695, 7584 Feugiat Street','Norwich','MO','76757','bwalters@email.net',1231743,'834-799-8824',16897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel N. Hamilton','343 Mauris Street','Murfreesboro','AK','61099',NULL,1231744,'765-459-8388',29521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim Q. Booker','P.O. Box 306, 3687 Faucibus St.','Galveston','AL','00262','booker@hitmail.com',1231745,'363-937-3962',38260,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah K. Barnett','P.O. Box 933, 2979 Mauris St.','Ardmore','DE','10211',NULL,1231746,'584-856-8832',92371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra B. Jacobs','725-6344 Nec Rd.','Laramie','NM','75896','abraj@aulnet',1231747,'217-702-5573',59896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blake H. Miller','647-6074 Proin St.','Santa Barbara','IA','91777','blake.miller@hitmail.com',1231748,'664-871-4719',49941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah V. Hall','P.O. Box 229, 1100 Tincidunt St.','Lahaina','PA','09590','uriah.hall@aulnet',1231749,'468-132-8022',99423,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India G. Estrada','P.O. Box 446, 6591 Metus. Rd.','Dearborn','MT','24934','india.estrada@widget.com',1231750,'535-903-9347',54800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar H. Zimmerman','Ap #569-9239 Consequat Street','Oneonta','VA','43577','ozimmerman@aulnet',1231751,'602-137-9309',81808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie D. Michael','465-8973 Dolor Rd.','Yorba Linda','WA','83527','juliem@email.net',1231752,'295-707-7447',91243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ina N. Nichols','Ap #253-9148 Mi Street','Bartlesville','NH','56730','ina.nichols@emailathome.net',1231753,'367-463-0608',22051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira W. Mcdowell','820-5531 Duis Street','Albuquerque','WI','52109','ira.mcdowell@abc.edu',1231754,'839-107-4694',39654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra I. Fulton','P.O. Box 380, 1784 Donec Avenue','Muncie','CO','01664','abra.fulton@emailathome.net',1231755,'864-603-6091',81280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander Y. Miles','471-8599 Ut Avenue','Littleton','OK','87699','xander.miles@bpmpros.com',1231756,'454-227-7304',54153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara C. Mclean','P.O. Box 949, 1870 Auctor Street','Guayanilla','LA','00998','amclean@xyz.edu',1231757,'687-132-1689',106164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya J. Holt','887-2822 Luctus St.','Menomonee Falls','SD','14725','holt@email.net',1231758,'714-402-3425',19029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis A. Lowe','909-355 Interdum Avenue','Springfield','RI','57372',NULL,1231759,'108-812-1225',73540,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaye R. Carlson','Ap #664-6759 Faucibus Ave','Asbury Park','MT','39287','carlson@xyz.edu',1231760,'669-768-4896',23635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree S. Crawford','475-544 Libero Road','Ansonia','AZ','54984',NULL,1231761,'372-842-5190',109155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang C. Mullins','9985 Mauris Av.','Davenport','DE','14920','mullins@aulnet',1231762,'419-846-9201',92507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara V. Bush','345-2911 Tempor St.','Goose Creek','AK','26831','ciarab@abc.edu',1231763,'862-281-0270',67877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina J. Chan','P.O. Box 310, 3669 Sed, Street','Oxnard','MO','59576','schan@xyz.edu',1231764,'418-289-4604',103318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert M. Hunter','6991 Tristique Rd.','Two Rivers','AZ','74970','rhunter@xyz.edu',1231765,'838-579-2982',50521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared V. Farley','892-7436 Nulla St.','Two Rivers','OR','73058','farley@hitmail.com',1231766,'128-856-3355',39927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda Q. Rodgers','328-1590 Sem St.','Rialto','CT','83466',NULL,1231767,'615-643-4097',49052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal Q. Floyd','786-1527 Semper St.','Portsmouth','AL','11105','kfloyd@yohaa.com',1231768,'662-287-7301',51154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley T. Sykes','429-2760 Lectus St.','New Iberia','CT','17828','sykes@email.net',1231769,'934-506-7834',37358,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray Q. Mckee','799-6809 Volutpat Rd.','Port Jervis','DE','23640','gmckee@hitmail.com',1231770,'579-404-9096',105094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn E. Bolton','149 Nisl. Ave','City of Industry','DE','89721','flynn.bolton@widget.com',1231771,'286-334-1735',79669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius I. Lowe','598-5658 Vivamus Av.','Bessemer','LA','53132','lowe@yohaa.com',1231772,'955-141-2744',65776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea F. Anderson','Ap #631-4387 Urna Rd.','Wahoo','DE','45209','rheaa@abc.edu',1231773,'432-396-3476',34083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor T. Bernard','2048 Leo. St.','Northampton','MS','49044','bernard@yohaa.com',1231774,'674-508-7373',79390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne H. Cannon','217-3028 Aliquet. Street','Joplin','CA','52192','cannon@widget.com',1231775,'346-811-4281',67477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly F. Le','Ap #343-9839 Suspendisse Rd.','Stevens Point','MD','47300','mollyl@aulnet',1231776,'503-749-6590',89284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Summer I. Coffey','Ap #491-3806 Id Ave','Benton Harbor','OH','16254','summer.coffey@widget.com',1231777,'665-267-9165',81888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy M. Middleton','584 Donec Av.','Lynwood','ME','41242','lmiddleton@email.net',1231778,'968-325-7414',51971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima Z. Burch','Ap #554-2239 Malesuada Ave','Huntington','KS','77819','fatima.burch@hitmail.com',1231779,'153-922-2560',106535,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador J. Knapp','245-3566 Cursus Rd.','Urbana','ND','98275','salvador.knapp@email.net',1231780,'185-247-0683',34915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet E. Greer','Ap #525-4987 Nascetur Av.','South Burlington','NY','34022','juliet.greer@bpmpros.com',1231781,'308-484-4305',18184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William G. Velasquez','810-1675 Quis Street','Waterbury','IL','84529','velasquez@aulnet',1231782,'642-949-3338',83042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry T. Hayden','8162 Vivamus Street','New Brunswick','MD','38417','hayden@emailathome.net',1231783,'969-835-9299',69546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett K. Dunlap','8083 Facilisis Rd.','Albuquerque','CO','72455','dunlap@bpmpros.com',1231784,'397-184-0674',77755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter P. Hull','9250 Sagittis Av.','Springfield','MT','58435','winterh@bpmpros.com',1231785,'771-309-9183',31683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane R. Arnold','P.O. Box 815, 5181 Interdum. Avenue','Vermillion','NC','11479',NULL,1231786,'905-686-7957',23437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid G. Barron','1567 Pharetra St.','Attleboro','AK','96977','ibarron@widget.com',1231787,'225-216-6642',60133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla F. Snyder','P.O. Box 756, 2625 Sodales Street','Fountain Valley','NC','73979','hallas@bpmpros.com',1231788,'947-163-1788',59479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David Y. Brewer','P.O. Box 178, 2578 Augue Avenue','Hollister','SD','49022','dbrewer@yohaa.com',1231789,'992-839-8010',97505,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe I. Thomas','880-9541 Posuere Avenue','Janesville','WV','77526','zthomas@aulnet',1231790,'648-531-3702',94831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby S. Garrison','P.O. Box 508, 2322 Eu, Street','Gardena','KS','23500','garrison@xyz.edu',1231791,'127-676-1165',99059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naomi S. Rosario','197-3585 Sit St.','Lander','NV','87511','rosario@hitmail.com',1231792,'223-259-8250',50697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte G. Levine','7799 Nibh. Street','Ketchikan','MA','84373','clevine@emailathome.net',1231793,'225-337-4514',55370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada L. Wheeler','991 A St.','Annapolis','IN','74653',NULL,1231794,'291-504-9376',93418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris G. Solis','P.O. Box 254, 1500 Velit Street','Hastings','CT','43218','solis@bpmpros.com',1231795,'962-163-5664',109753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayley V. Burns','P.O. Box 509, 2987 Morbi Avenue','Frederick','NM','76019','hayleyb@widget.com',1231796,'337-209-2627',45435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity I. Chen','P.O. Box 120, 2778 Mi Street','Del Rio','MS','19286','uchen@aulnet',1231797,'306-634-7439',20340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha J. Obrien','Ap #893-1474 Eros Av.','Sierra Vista','VA','39649','mobrien@abc.edu',1231798,'836-233-7764',31787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia G. Huffman','Ap #333-9823 Neque St.','Fort Dodge','DE','05245','ahuffman@xyz.edu',1231799,'895-621-7634',55713,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan P. Welch','7590 Netus Road','Memphis','MI','71682',NULL,1231800,'206-785-1582',40962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani T. Mcknight','Ap #554-6930 Sit Rd.','Brunswick','KY','74156','jelani.mcknight@bpmpros.com',1231801,'848-155-7498',103962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan F. Buck','1913 Sapien Ave','Gloversville','NC','70448',NULL,1231802,'964-648-3538',36140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora C. Shaw','P.O. Box 898, 9313 Et Rd.','Utica','TX','58228','pandoras@emailathome.net',1231803,'776-731-2886',49304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb P. Joyce','Ap #610-9675 Risus. Street','Stockton','MN','20088','joyce@widget.com',1231804,'306-183-7130',17468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron K. Pace','1979 Amet St.','Little Falls','NY','52325',NULL,1231805,'433-264-8721',64176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim O. Jensen','820-9308 Leo. Rd.','Kearns','RI','48490','hashimj@emailathome.net',1231806,'726-259-3131',101537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir L. Gamble','3265 Consectetuer Av.','Jeffersonville','IL','78463',NULL,1231807,'402-484-0999',45761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar N. Duran','4873 Aliquam Av.','Passaic','NM','07144',NULL,1231808,'181-322-5699',84819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne R. Wagner','7922 Molestie St.','Cambridge','OK','42043','wagner@bpmpros.com',1231809,'857-356-3885',54794,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra K. Kaufman','979-7413 At Rd.','Hope','WA','61103','kitra.kaufman@aulnet',1231810,'347-104-3506',58283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester W. Conley','757-1428 Odio Ave','Moraga','OK','64525','conley@email.net',1231811,'639-886-9802',53884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle W. Wade','Ap #450-8097 Quis, St.','Ada','CT','88542','awade@emailathome.net',1231812,'177-707-5835',83354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan D. Reese','4034 Faucibus Ave','Savannah','OR','79537','hreese@hitmail.com',1231813,'482-699-3690',40780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah U. Heath','Ap #761-2431 Sit Av.','Decatur','OR','44613','heath@abc.edu',1231814,'351-643-1315',20971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor I. Michael','P.O. Box 697, 8184 Phasellus St.','Odessa','MD','16951','castor.michael@widget.com',1231815,'674-835-4776',24291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas E. Cervantes','223-8151 Integer Av.','Nevada City','SC','26133',NULL,1231816,'195-679-4038',84448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent V. Holt','1166 Ac Rd.','Henderson','MS','00832','brenth@yohaa.com',1231817,'546-855-3112',73821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine L. Montgomery','7692 Lacus. Ave','San Antonio','MO','82103','clementinem@abc.edu',1231818,'287-432-0274',73692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula W. Orr','101-8367 Praesent Avenue','East St. Louis','VT','33925',NULL,1231819,'139-326-6686',99617,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten N. Clayton','123-7671 Mauris. Av.','Suffolk','AK','92135','kirsten.clayton@hitmail.com',1231820,'152-281-4170',84553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly Q. Rivers','P.O. Box 613, 8229 Nec Avenue','Lock Haven','NJ','61453','kelly.rivers@bpmpros.com',1231821,'689-741-9323',56391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah E. Henson','5523 Duis St.','Cary','WA','47573','uriah.henson@hitmail.com',1231822,'729-297-0611',72769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine Y. Hampton','189-7638 Maecenas Street','Manchester','VT','84621',NULL,1231823,'205-934-0211',108268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emma P. Farmer','Ap #755-9629 Risus. Rd.','St. Marys','TN','70054','efarmer@aulnet',1231824,'776-881-7147',54755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis K. Thomas','6951 Morbi St.','Sierra Vista','MO','32579',NULL,1231825,'575-143-6307',24554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo X. Cohen','363 Malesuada Av.','Palos Verdes Estates','WI','85768','cohen@widget.com',1231826,'116-164-5697',45280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra A. Sheppard','P.O. Box 325, 6777 Morbi St.','Ada','AZ','07082','sheppard@bpmpros.com',1231827,'842-857-8223',102701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney G. Carver','760-499 Ornare Avenue','Liberal','WY','04101',NULL,1231828,'384-125-9828',21137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John Z. Cox','P.O. Box 996, 3576 Diam Road','Logan','OR','71575',NULL,1231829,'776-961-9959',89410,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby W. Powers','9228 Pede, Avenue','Fort Dodge','AK','56053','rpowers@email.net',1231830,'201-779-3653',75409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith O. Todd','218-367 Molestie Ave','Detroit','WI','08165','jtodd@xyz.edu',1231831,'318-429-0083',79105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene I. Ratliff','2310 Nunc Rd.','Haverhill','DE','33393','irene.ratliff@xyz.edu',1231832,'219-732-6735',89643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel E. Jones','3953 Mollis. Avenue','Stafford','NH','93437','hilel.jones@email.net',1231833,'777-298-0612',40767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon W. Mclaughlin','840-958 Magnis St.','Elko','PA','37221','simonm@abc.edu',1231834,'669-436-5235',105156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan F. Salazar','P.O. Box 131, 4268 Nullam Road','Juneau','TX','69897',NULL,1231835,'128-787-0236',66011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia M. Dale','Ap #680-4455 Id St.','San Juan Capistrano','ND','53913','olivia.dale@emailathome.net',1231836,'701-839-5266',58846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xantha Z. Dawson','954-4780 Ultrices. Rd.','Commerce','NJ','27281','xanthad@hitmail.com',1231837,'295-906-7342',70734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay B. Skinner','P.O. Box 774, 5284 Accumsan St.','Manitowoc','OH','29756','barclays@widget.com',1231838,'938-133-0387',86791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz I. Woodard','528-9164 Pellentesque Av.','Juneau','HI','94623','fritz.woodard@email.net',1231839,'471-318-3414',98355,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela Q. Cantu','8082 Varius. St.','Weymouth','LA','85374','angela.cantu@widget.com',1231840,'746-184-1159',69933,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia Z. Cervantes','P.O. Box 636, 6022 A, St.','Durham','NH','96071','azalia.cervantes@emailathome.net',1231841,'456-293-2874',16382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo P. Harris','Ap #408-7666 Dignissim. Rd.','Pendleton','WA','57144','eharris@email.net',1231842,'316-773-8651',63776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel N. Lindsay','P.O. Box 924, 4855 Nullam Avenue','Pendleton','IL','16373','dlindsay@email.net',1231843,'518-735-4072',84397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor G. Hardin','797 Vulputate Avenue','South Pasadena','VT','52594','eleanorh@hitmail.com',1231844,'222-673-3568',102431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noah E. Mckinney','Ap #715-4293 Odio Avenue','Las Vegas','MN','34697','mckinney@email.net',1231845,'392-413-9963',60901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elijah K. Cunningham','Ap #495-7116 Nec Av.','Cedar Rapids','CT','56991','elijah.cunningham@yohaa.com',1231846,'688-871-2932',103347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred K. Melton','2565 Ut, Av.','Oak Ridge','MD','58413','winifred.melton@aulnet',1231847,'213-372-0690',101319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya E. Harrell','2477 Mauris Road','Nacogdoches','NM','24569','tashya.harrell@hitmail.com',1231848,'412-723-0402',63337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel O. Chen','7717 Leo, St.','Tok','IA','91174','chen@xyz.edu',1231849,'621-662-8331',56629,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer R. Combs','9160 Semper Av.','Lawrence','VA','81891','combs@widget.com',1231850,'918-472-4486',37095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chastity J. Workman','Ap #366-1770 Malesuada Av.','Joliet','CT','09181',NULL,1231851,'973-992-3628',23657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August I. Hinton','Ap #903-2477 Per Road','Del Rio','FL','34534','augusth@xyz.edu',1231852,'726-798-7890',68511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara R. Tran','5890 Donec Street','Rehoboth Beach','NC','86359','darat@widget.com',1231853,'814-486-9658',49386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac L. Riddle','693-3365 Sed St.','Pasadena','NY','23410',NULL,1231854,'871-784-0799',51128,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie T. Riggs','P.O. Box 978, 5552 Duis Rd.','Mechanicville','NY','27651','keelier@email.net',1231855,'173-843-5375',20395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau L. Lynn','P.O. Box 266, 8619 Sed Street','Hartford','DC','72100','lynn@xyz.edu',1231856,'863-835-7882',31791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie G. Solis','Ap #485-7323 Sed Road','South Portland','NM','70152','ksolis@bpmpros.com',1231857,'364-126-9616',65348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot S. Washington','7471 Sed Av.','Dalton','NM','47565','washington@yohaa.com',1231858,'582-818-2108',26405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Owen U. Barton','Ap #976-5819 Mauris St.','Maywood','VA','54692','owenb@xyz.edu',1231859,'368-749-5578',87810,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha X. Nunez','Ap #847-7732 Cursus Ave','Idaho Falls','SD','76721',NULL,1231860,'425-683-4320',107414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda T. Sanford','Ap #475-2236 Cursus Rd.','Fontana','ID','03670','alfredas@emailathome.net',1231861,'402-726-3198',65366,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney N. Salas','P.O. Box 159, 1234 Eu Rd.','Stockton','MS','73876','csalas@aulnet',1231862,'556-958-6840',105901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant M. Slater','7585 Justo. Rd.','Fairbanks','HI','03720','slater@emailathome.net',1231863,'118-764-3591',35549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope G. Moore','P.O. Box 273, 5505 Est St.','Saint Louis','FL','41454','penelope.moore@xyz.edu',1231864,'275-393-9562',30399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore J. Hurley','Ap #137-1101 Quisque St.','Rohnert Park','HI','49580','hurley@emailathome.net',1231865,'135-319-4023',76642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan V. Morse','P.O. Box 844, 2163 Est St.','Shreveport','UT','19159','teaganm@aulnet',1231866,'739-765-0844',98115,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve N. Sears','185-5879 Tellus Rd.','Malibu','WA','71980','neve.sears@abc.edu',1231867,'149-879-5445',42109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Suki E. Barrett','Ap #265-3522 Hendrerit Av.','Ames','IN','27898',NULL,1231868,'888-928-7073',64900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado V. Underwood','6761 Ipsum Avenue','Seward','NC','61123',NULL,1231869,'813-692-5953',76191,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lareina Z. Chandler','9114 Nec Road','Laguna Niguel','TN','65082','lareinac@bpmpros.com',1231870,'294-575-7450',103285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope H. Larson','123-2055 Sed, St.','Somerville','VA','79445','hlarson@xyz.edu',1231871,'527-612-0978',46975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin G. Stuart','Ap #714-5077 Malesuada Road','Artesia','OK','68137','colins@widget.com',1231872,'673-201-7127',26960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa M. Mosley','Ap #790-9385 Rhoncus Rd.','Flint','MI','11279','ursam@xyz.edu',1231873,'417-191-1918',25825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine G. Morton','Ap #475-8334 Risus. Street','Jersey City','FL','62073','morton@yohaa.com',1231874,'353-671-7618',65697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis Q. Pollard','8774 Facilisis Road','Paramount','NJ','04271','dpollard@widget.com',1231875,'589-805-1711',55579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall H. Frank','P.O. Box 967, 1639 Facilisis Rd.','Houma','TX','43548','rfrank@yohaa.com',1231876,'829-408-1023',91212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem F. Leonard','Ap #601-4002 Proin Av.','Mayag?ez','MT','35089','leonard@yohaa.com',1231877,'627-546-8540',70080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia J. Guerra','Ap #481-7396 Malesuada Avenue','Camden','WY','56682','olivia.guerra@aulnet',1231878,'662-398-7455',105869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian N. Marks','8533 Vestibulum Avenue','Sheboygan','NE','62637','vmarks@hitmail.com',1231879,'496-653-8726',62778,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis A. Collier','Ap #323-8008 Nunc St.','Mandan','DC','69931','phyllisc@hitmail.com',1231880,'669-966-6194',109399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen M. Camacho','Ap #714-4599 Mi. Street','Camden','WA','09078','colleenc@yohaa.com',1231881,'911-689-5451',77775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane R. Morgan','P.O. Box 684, 1101 Et Ave','Pasco','KS','28437','morgan@abc.edu',1231882,'515-436-9155',73068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher H. Potts','2191 Mauris Road','Charlottesville','AK','71854','asher.potts@emailathome.net',1231883,'608-459-8924',105167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila M. Wheeler','P.O. Box 375, 5680 Metus St.','Narragansett','HI','36008','iwheeler@aulnet',1231884,'863-561-7206',33966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey D. Brennan','Ap #825-984 Convallis St.','Staunton','CO','34260','gbrennan@yohaa.com',1231885,'379-132-5022',44333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett N. Welch','Ap #514-1237 Aliquam St.','Flagstaff','IL','38672',NULL,1231886,'834-113-1446',67906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan W. Williams','741-9898 Rutrum Avenue','Areceibo','DC','43481','morganw@yohaa.com',1231887,'255-998-0002',63427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack B. Torres','1658 Dictum Av.','Saukville','IA','30964','jtorres@widget.com',1231888,'213-428-8276',43297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana N. Noel','422-2648 Ullamcorper, St.','Fort Dodge','IN','52993','rnoel@emailathome.net',1231889,'858-171-4092',39107,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell O. Swanson','P.O. Box 794, 6867 Sagittis Rd.','Little Falls','CT','43906','nell.swanson@xyz.edu',1231890,'899-657-6381',45796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan P. Hahn','P.O. Box 998, 8231 Magnis Street','Council Bluffs','RI','94538',NULL,1231891,'434-324-9816',29624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand M. Quinn','P.O. Box 466, 3869 Et St.','College Station','MD','17001','armand.quinn@email.net',1231892,'639-174-2082',98881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph A. Sherman','Ap #953-7085 Quis Rd.','Missoula','LA','72199','sherman@hitmail.com',1231893,'302-841-8151',32806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline B. Haley','P.O. Box 425, 8059 Massa. St.','New York','IA','65948',NULL,1231894,'138-431-1710',104589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi D. Cortez','P.O. Box 317, 7997 Sollicitudin Rd.','Fountain Valley','NJ','91157','malachic@bpmpros.com',1231895,'106-235-5746',65861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite M. Phelps','Ap #282-5131 Litora Avenue','Santa Rosa','MI','09090','phelps@widget.com',1231896,'257-353-4979',77724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor F. Mckenzie','Ap #263-2621 Ut Street','Fairfax','ME','80289','eleanorm@widget.com',1231897,'389-437-6900',95203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samantha N. Alvarado','Ap #131-9420 Sed Rd.','Haverhill','HI','69740','samanthaa@bpmpros.com',1231898,'931-211-6573',58588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price H. Hickman','7098 Enim. Road','Austin','MO','89155',NULL,1231899,'229-223-1441',26317,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla L. Tillman','7378 Nunc Rd.','East Rutherford','IA','30739',NULL,1231900,'655-267-2805',16612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome F. Watts','P.O. Box 139, 3627 Nullam Avenue','Rock Springs','VA','26956','jerome.watts@bpmpros.com',1231901,'786-341-5087',102436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe Y. Erickson','P.O. Box 939, 1537 Pharetra. St.','Delta Junction','WI','85902','signe.erickson@yohaa.com',1231902,'969-655-9965',18688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jarrod Y. Faulkner','6637 Cum Rd.','Sacramento','AK','25424','jarrod.faulkner@yohaa.com',1231903,'125-312-1876',90494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole I. Foley','Ap #732-987 Velit Ave','Catskill','NJ','63889','nfoley@yohaa.com',1231904,'314-339-5516',51764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven E. Gentry','391-4033 Hendrerit Rd.','Beverly Hills','AK','62125','sgentry@yohaa.com',1231905,'915-328-4679',32247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker O. Moran','3749 Pellentesque, Avenue','Nashville','ID','37453','moran@bpmpros.com',1231906,'776-367-8906',51872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile J. Huffman','P.O. Box 441, 1689 Purus Road','Yakima','CT','32579','maile.huffman@emailathome.net',1231907,'123-898-1669',66237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile Y. Mcgee','162-4276 Lobortis. St.','Gainesville','MI','51993','mailem@email.net',1231908,'563-696-4845',63974,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio B. Ingram','9562 Est. St.','Bristol','IN','64190','aingram@emailathome.net',1231909,'381-636-8953',47139,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob W. Shaffer','120-6017 Aliquam Avenue','Houston','AL','25080','jacob.shaffer@emailathome.net',1231910,'281-462-9977',99607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma F. Chase','P.O. Box 789, 9019 Fringilla St.','Kenner','SC','70306','gemma.chase@abc.edu',1231911,'497-678-9498',52676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Minerva H. Noel','Ap #836-8422 Id, Av.','New Rochelle','NH','32912','mnoel@widget.com',1231912,'329-726-2041',58794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica W. Boyle','P.O. Box 998, 6083 Morbi Ave','Oneonta','SD','41374','erica.boyle@abc.edu',1231913,'397-516-2424',58789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine X. Newton','9362 Mauris. Ave','Lynwood','WA','57581','maxinen@emailathome.net',1231914,'729-248-9005',38705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah S. Roy','892-4181 Sem Rd.','Carrollton','NC','52710','jroy@aulnet',1231915,'402-121-2791',87589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir A. Pratt','Ap #554-9936 Luctus. Rd.','Brookings','ME','07960','amir.pratt@widget.com',1231916,'781-183-1034',93971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison P. Miller','Ap #942-9058 Maecenas Road','Gloversville','MI','83780','gmiller@aulnet',1231917,'651-332-3144',37831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quintessa B. Walker','Ap #552-9272 Proin Rd.','Eufaula','MI','87070',NULL,1231918,'851-402-7330',66892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis U. Madden','6423 Fringilla Rd.','Azusa','MT','85844','pmadden@email.net',1231919,'542-627-6688',50741,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius L. Conner','5804 Pellentesque, Avenue','Lake Forest','MS','59257','darius.conner@widget.com',1231920,'832-387-4492',23011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas Y. Berg','P.O. Box 476, 1071 Fusce Street','Benton Harbor','MD','81640','berg@aulnet',1231921,'998-721-0065',62331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn P. Ramsey','Ap #286-1303 Fermentum Av.','North Tonawanda','NM','08290','ramsey@aulnet',1231922,'931-829-6496',67955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra B. David','Ap #477-7875 Semper Avenue','Charlottesville','NM','21520','leandra.david@email.net',1231923,'821-751-6792',40259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana V. Weeks','6835 Molestie St.','Charleston','MT','67849','weeks@yohaa.com',1231924,'993-975-0501',30448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond K. Britt','889-4921 Aliquam St.','Mesa','PA','22699','britt@xyz.edu',1231925,'549-543-4274',85474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville X. Mayer','589-6848 Est Ave','Pittsfield','MA','13946','nevillem@bpmpros.com',1231926,'636-186-5280',54849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai E. Jarvis','P.O. Box 731, 7270 Mauris St.','Hollywood','ID','65389','kjarvis@widget.com',1231927,'325-962-0565',83334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie D. Mcclure','288-1114 Libero St.','Hampton','VA','12888','jmcclure@hitmail.com',1231928,'267-593-4634',29866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis W. Barlow','P.O. Box 564, 6804 Penatibus Rd.','Fresno','OR','66478','alexis.barlow@emailathome.net',1231929,'366-524-0254',101432,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia B. Todd','4920 Gravida Avenue','Miami Gardens','WV','27093','virginiat@aulnet',1231930,'632-568-1104',30752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia P. Bird','Ap #368-9804 Curae; St.','Kenner','ID','14241',NULL,1231931,'346-887-3454',76634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara V. Villarreal','216-201 Accumsan Avenue','Vineland','MA','64389','larav@yohaa.com',1231932,'632-877-7541',19769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa S. Mathis','Ap #456-5033 Tellus. Rd.','Walla Walla','MT','94269','ursa.mathis@abc.edu',1231933,'648-381-1579',28787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar F. Avila','5551 Mollis. Rd.','Bossier City','MD','34124','briar.avila@hitmail.com',1231934,'641-605-4334',59509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir J. Chang','355-3481 Eget Street','Abilene','FL','58693','chang@widget.com',1231935,'817-458-9634',109373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra M. Sosa','7213 Libero. St.','Fresno','ID','21537',NULL,1231936,'407-788-4242',32982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna P. Lowery','586-8654 Mollis. Street','Lakeland','ME','65487',NULL,1231937,'925-423-0005',45030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome N. Pratt','P.O. Box 677, 5241 Mauris Street','Mentor','FL','59815','pratt@widget.com',1231938,'303-328-6507',73216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock Y. Dickson','254-2716 Non Avenue','Mankato','SD','91151','dickson@xyz.edu',1231939,'977-289-4080',72965,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric F. Sanders','P.O. Box 690, 409 Sed St.','Morgan City','TN','60162','usanders@emailathome.net',1231940,'314-391-4708',93942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon L. Weiss','Ap #887-8230 Ipsum Ave','Schaumburg','NE','31502','weiss@email.net',1231941,'765-188-2796',64844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yolanda J. Logan','7192 Risus. Rd.','El Segundo','MN','21964','ylogan@hitmail.com',1231942,'115-392-7996',33846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando W. Maldonado','652-4323 Luctus Rd.','Two Rivers','MD','87218',NULL,1231943,'284-308-6993',99197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger C. Ballard','9000 Eu Rd.','Cambridge','LA','29647',NULL,1231944,'479-397-6274',92005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto F. Hernandez','P.O. Box 737, 9627 Eu Street','Sharon','NC','03532','otto.hernandez@hitmail.com',1231945,'271-641-9485',73324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev L. Ballard','Ap #959-7697 Mus. Rd.','Statesboro','NC','35639','ballard@emailathome.net',1231946,'263-444-0939',47820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa Y. Lang','199-9982 Venenatis Rd.','Albuquerque','AK','74500','clang@widget.com',1231947,'241-413-7567',61517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos V. Owen','240 Mollis. St.','Rome','FL','11509','amoso@emailathome.net',1231948,'169-184-1244',104072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst R. Cantu','435-4329 Nullam St.','Mount Pleasant','DC','35157','acantu@emailathome.net',1231949,'657-726-7009',39958,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin F. Higgins','1374 Etiam Rd.','Rock Island','IL','86620','higgins@bpmpros.com',1231950,'235-992-6632',56214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India J. Fuller','8952 Lobortis Av.','Kingsport','LA','10038','india.fuller@abc.edu',1231951,'791-714-3044',80234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel Y. Shaffer','890-9583 Ac Street','Carson','ND','06116','ariel.shaffer@hitmail.com',1231952,'346-137-7510',70324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato G. Lynn','P.O. Box 177, 6512 Praesent Road','Lockport','WI','64260',NULL,1231953,'487-633-6704',37722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris V. Lindsay','P.O. Box 301, 4752 Dolor, St.','Fulton','IA','27491','blindsay@emailathome.net',1231954,'763-141-7734',63301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham T. Sweeney','Ap #198-5149 Purus, Road','Oneida','KS','60798','gsweeney@bpmpros.com',1231955,'381-943-0938',80919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda F. Farley','5030 Magna. St.','Moscow','MT','19015','melindaf@email.net',1231956,'295-924-0172',38424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan C. Mayo','630-2703 Scelerisque Street','Malibu','NE','03223','mayo@abc.edu',1231957,'339-534-4574',86150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn Z. Price','P.O. Box 642, 5592 Neque. Street','Juneau','FL','75079','katelyn.price@abc.edu',1231958,'303-642-0755',47258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan C. Witt','P.O. Box 115, 468 Lacus. Ave','Chicago Heights','NM','84559','witt@email.net',1231959,'639-932-4735',67513,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah X. Benjamin','9706 Purus. St.','Rolla','AK','26384','tallulahb@xyz.edu',1231960,'839-803-7969',56467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene Z. Durham','P.O. Box 895, 3220 Auctor, St.','Bethlehem','UT','92618','irene.durham@xyz.edu',1231961,'193-833-6353',45315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt T. Estrada','Ap #682-6841 Etiam Rd.','Salinas','NE','32735','estrada@emailathome.net',1231962,'444-447-2808',34633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie N. Cruz','491-301 Venenatis Rd.','Amesbury','CA','66609','kyliec@xyz.edu',1231963,'435-789-1273',24368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani H. Cruz','631 Vehicula. Road','Utica','CO','15691','cruz@bpmpros.com',1231964,'452-395-8738',93583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian E. Lee','111-5198 Orci. Street','Sedalia','TX','90606','lee@aulnet',1231965,'308-661-9558',42840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe D. Merrill','256-3954 Magna St.','Phoenix','FL','04295','signem@aulnet',1231966,'902-309-8798',43439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas P. Montgomery','Ap #834-4084 Lacus. Street','Aliso Viejo','WY','16221','jonas.montgomery@widget.com',1231967,'517-428-6385',21065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina J. Guerrero','6394 Mauris St.','Eau Claire','ND','64436','reginag@widget.com',1231968,'268-311-0528',33890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madonna T. Padilla','P.O. Box 146, 7815 Aliquam Rd.','Bridgeport','AL','68033','padilla@email.net',1231969,'579-637-9579',19095,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander G. Scott','3466 Eget Rd.','Amesbury','CA','14250','alexander.scott@xyz.edu',1231970,'154-402-3650',73429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra O. Sanford','424-4966 Nam Av.','Ventura','KY','42766',NULL,1231971,'917-172-4837',60583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate C. Rowland','Ap #183-4599 Vitae, Rd.','Baton Rouge','MN','77920','rowland@hitmail.com',1231972,'686-693-6740',66842,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya A. Schmidt','P.O. Box 693, 2440 A Rd.','San Antonio','PA','26894','rschmidt@xyz.edu',1231973,'724-401-0036',88444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel I. Robles','372-2354 Pretium Rd.','La Palma','WI','71097','srobles@xyz.edu',1231974,'992-716-0161',33408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa Z. Shepard','532-2341 Convallis Rd.','Newton','RI','79340','ashepard@emailathome.net',1231975,'438-421-0461',70521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham U. Estrada','Ap #333-7357 Aliquet. St.','Areceibo','OR','54723',NULL,1231976,'174-513-8339',92695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea K. Bird','P.O. Box 815, 4618 Lacus. Road','Vernon','AZ','71635','bird@yohaa.com',1231977,'459-533-0459',91624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis Q. Short','P.O. Box 415, 2661 Dui. Avenue','Cranston','DE','19090','traviss@email.net',1231978,'736-185-5185',72670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna K. Jackson','P.O. Box 319, 2340 Arcu Street','Bayamon','NJ','72491','hannaj@hitmail.com',1231979,'592-227-2128',46013,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell Y. Harmon','792-1768 Nibh Av.','Hickory','AL','68730','bellh@bpmpros.com',1231980,'222-624-8410',71024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel X. Velazquez','9773 Sed Street','City of Industry','GA','57703','hilelv@bpmpros.com',1231981,'677-781-8422',45328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim K. Glass','277-2554 Mauris. Ave','Omaha','AZ','29187','nglass@bpmpros.com',1231982,'981-568-2480',109143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand I. Gallagher','Ap #135-4178 Vitae Rd.','Bell','ID','28558',NULL,1231983,'736-627-1853',44826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger H. Jarvis','Ap #261-4629 Facilisis Av.','Goose Creek','HI','45174','ginger.jarvis@email.net',1231984,'723-468-0852',77175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia Z. Mckee','869-8667 Varius St.','The Dalles','AK','21677','aurelia.mckee@widget.com',1231985,'842-574-9329',30809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador V. Cummings','3449 Erat, Av.','Texas City','AK','92014','cummings@abc.edu',1231986,'382-966-1035',16736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy A. Russell','P.O. Box 705, 5410 Turpis Rd.','Asheville','MN','50642','murphy.russell@hitmail.com',1231987,'767-149-0061',33483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi F. Nixon','P.O. Box 543, 1148 Pede. Rd.','Kalispell','DC','65315','wnixon@yohaa.com',1231988,'168-826-8768',97520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran B. Yates','838-1496 Elit, Rd.','Lewiston','IA','48414','curran.yates@xyz.edu',1231989,'829-888-7155',105574,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran V. Hickman','5645 Dignissim. Road','Bessemer','DC','66451','cameran.hickman@bpmpros.com',1231990,'403-785-7646',53859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra Z. Cervantes','452-6947 Non Street','Santa Clara','IN','46103','lysandrac@yohaa.com',1231991,'665-968-7434',33551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price P. Boyd','Ap #952-5648 Volutpat. Street','Westfield','KY','65601','priceb@emailathome.net',1231992,'715-489-2579',16614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audrey F. Hoover','2235 Iaculis, Rd.','Saipan','ME','35511','audrey.hoover@bpmpros.com',1231993,'172-353-6816',29781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan D. Henson','Ap #901-3326 Et Rd.','Brea','OK','07242','meghan.henson@hitmail.com',1231994,'853-935-1878',87482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent X. Kidd','P.O. Box 349, 4037 Facilisis Avenue','Niagara Falls','DC','82699','kidd@email.net',1231995,'842-695-5397',36769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon Z. Long','3174 Quis St.','Weirton','WI','57036','long@xyz.edu',1231996,'496-381-4409',17372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen S. Warren','628-4337 Tincidunt Ave','Frederick','MO','43600','gwarren@bpmpros.com',1231997,'737-133-3137',73111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden Q. Rice','389-4316 Faucibus Ave','North Charleston','VA','45289','grice@xyz.edu',1231998,'891-537-5608',93551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadassah L. Mendez','P.O. Box 514, 975 Donec Road','Kansas City','RI','63009','hadassah.mendez@abc.edu',1231999,'398-188-5250',99855,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy S. Stephens','P.O. Box 758, 8690 Libero Rd.','Dickinson','FL','94768','stephens@email.net',1232000,'878-177-0656',95243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa T. Norman','807-442 Libero Rd.','New Iberia','MT','78563','carissa.norman@widget.com',1232001,'332-119-0861',59593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colby I. Rose','P.O. Box 243, 258 Nulla. Rd.','Los Alamitos','WV','49918','colby.rose@abc.edu',1232002,'582-823-8329',30571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula Q. Burke','5151 Donec Avenue','Hermosa Beach','WY','56460','ursula.burke@xyz.edu',1232003,'463-212-3936',86777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret S. Ward','4414 Lacus. Av.','Akron','OR','13158','margaretw@email.net',1232004,'895-832-1522',104437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla P. Mason','Ap #653-190 Accumsan St.','Irving','MI','18922',NULL,1232005,'281-976-8179',84763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec R. Cotton','182-9803 Mauris Ave','Sheridan','OK','14632','alec.cotton@abc.edu',1232006,'665-746-6124',47330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley B. Howard','1869 Dui Rd.','Jeffersonville','AK','89311','yardleyh@abc.edu',1232007,'874-131-5141',92349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden H. Gomez','692 Lorem Street','Galesburg','MD','88727','mgomez@email.net',1232008,'768-846-2593',28124,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar H. Roman','Ap #330-4261 Lobortis Road','West Hartford','AL','42721','bryarr@emailathome.net',1232009,'558-316-1624',33901,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean I. Rosario','Ap #400-301 Quisque Rd.','Durant','NJ','69402',NULL,1232010,'324-872-0982',69390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau U. Patterson','P.O. Box 756, 983 Lacinia Rd.','Pueblo','AK','65124','bpatterson@hitmail.com',1232011,'627-951-7327',43278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy W. Bates','Ap #539-2694 Enim. Ave','Richmond','HI','24490',NULL,1232012,'615-342-1018',50997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel R. Osborn','Ap #638-5041 Sed Ave','Columbia','CA','31455','hilelo@abc.edu',1232013,'856-571-7129',33561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana O. Stanley','355-3082 A Rd.','San Rafael','VT','95926',NULL,1232014,'483-238-7084',39386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruce L. Hyde','P.O. Box 448, 8931 Malesuada Street','Eugene','ND','59055',NULL,1232015,'983-365-5032',27243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio K. Powell','9009 Velit St.','Marlborough','UT','19625',NULL,1232016,'621-228-3548',26987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry J. Cohen','P.O. Box 150, 7393 Sem Road','Franklin','VT','79288',NULL,1232017,'814-534-6620',38297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn J. Walters','Ap #987-5250 Volutpat St.','Spokane','AZ','98068','qwalters@xyz.edu',1232018,'357-271-6153',86989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa A. Harris','906-4639 Ante. Street','Brownsville','UT','92181',NULL,1232019,'259-416-5872',106384,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan S. Mack','Ap #701-2868 Eget Avenue','Boston','NV','47139',NULL,1232020,'321-571-8964',90920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana T. Mosley','813-1602 Euismod St.','Costa Mesa','MN','01548',NULL,1232021,'788-109-4893',91465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy P. Prince','780-6011 Phasellus Road','South Burlington','NE','01303','maggyp@xyz.edu',1232022,'853-631-5490',42658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter C. Gould','Ap #663-4935 Non St.','Bayamon','ME','98990','walterg@yohaa.com',1232023,'394-246-7863',39266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle O. Gordon','Ap #273-8079 Urna Ave','Goose Creek','SD','23312','michelle.gordon@xyz.edu',1232024,'303-606-7515',48779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy P. Schmidt','P.O. Box 244, 8879 Eleifend St.','Sandy','LA','19533','sschmidt@widget.com',1232025,'856-258-7645',28817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby N. Allison','P.O. Box 107, 214 Magna Av.','Elmira','DC','55265','libby.allison@xyz.edu',1232026,'709-655-7135',87600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer X. Ayala','822-8739 Pharetra. St.','Madison','SD','97853','payala@widget.com',1232027,'119-829-4842',108056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston T. Rivas','Ap #852-8405 Suspendisse Av.','Bay St. Louis','NY','45343','preston.rivas@email.net',1232028,'397-317-1366',36859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander F. Stewart','2933 Etiam Rd.','Ketchikan','NJ','67022','stewart@email.net',1232029,'666-986-7174',47933,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict Z. Banks','5419 Magnis St.','South Burlington','MO','90227','benedict.banks@email.net',1232030,'121-386-8854',66468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando Z. Cannon','P.O. Box 145, 5691 Aliquam Street','Beaver Falls','VT','35036','orlando.cannon@email.net',1232031,'355-385-5614',60168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles A. Short','5047 Elit, Avenue','Davenport','WY','04898','myless@widget.com',1232032,'502-237-6651',33038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denise P. Duran','775-3723 Tincidunt. Avenue','Jamestown','OR','74488','denised@aulnet',1232033,'377-889-9165',91153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana Z. Patel','Ap #331-9137 Vel Avenue','Arcadia','AL','71045','patel@widget.com',1232034,'534-802-6906',21787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada W. Conway','4956 Proin Avenue','Sun Valley','MN','47095',NULL,1232035,'209-753-1333',18101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon Q. Graves','2655 Quisque St.','Ansonia','OR','65230','fallong@xyz.edu',1232036,'149-561-5458',74558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena Y. Daugherty','674-9214 Adipiscing Rd.','Hastings','MS','23988','xenad@aulnet',1232037,'229-269-7392',87824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem K. Blevins','542-8388 Sagittis Street','Ontario','CT','69482','kaseem.blevins@bpmpros.com',1232038,'462-581-7594',95034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler P. Patton','P.O. Box 929, 1011 Orci, Av.','Green Bay','MA','56016','patton@widget.com',1232039,'598-859-3400',103522,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe U. Lopez','412-533 Nunc. Street','Hidden Hills','IL','60727','zoel@aulnet',1232040,'834-333-0924',46184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daquan G. Livingston','P.O. Box 236, 3405 Dolor St.','Irwindale','MO','75545','daquanl@yohaa.com',1232041,'363-107-3394',40975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl P. Travis','6438 Neque Road','Malibu','VT','32210','carlt@hitmail.com',1232042,'765-392-6023',50996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila V. Frederick','Ap #526-8750 Aliquam Rd.','Cleveland','KY','23555','lfrederick@widget.com',1232043,'866-532-8235',42528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee R. Tillman','149-6869 Eleifend St.','Dixon','MT','80103','tillman@bpmpros.com',1232044,'769-536-0688',99226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron E. Holder','9213 Congue. Street','Mechanicville','KY','55793','cameron.holder@xyz.edu',1232045,'815-371-2248',42534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ali E. Morin','Ap #183-5396 Risus. Av.','West Hollywood','WA','24789','amorin@widget.com',1232046,'583-497-6788',16869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll I. Navarro','302-1103 A, Street','Buffalo','KS','20555','dnavarro@emailathome.net',1232047,'345-827-1257',107351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy Z. Mcpherson','984-5796 Vel Street','Sandy','GA','53974','hmcpherson@bpmpros.com',1232048,'639-874-6918',33436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael E. Nguyen','P.O. Box 768, 5524 Turpis Street','La Ca?ada Flintridge','OK','98141',NULL,1232049,'225-755-6282',39617,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yetta L. Chase','Ap #746-1187 Mus. Av.','Saint Paul','MN','17415','ychase@hitmail.com',1232050,'757-882-5361',78150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas Y. Keith','207-4953 Nec Rd.','Ypsilanti','TN','22040','jonas.keith@xyz.edu',1232051,'566-213-0056',51347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte B. Russo','1571 Magnis Street','West Covina','KY','31014','crusso@hitmail.com',1232052,'319-465-9862',94672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie L. Rowland','198-6687 Habitant Avenue','Menomonee Falls','CA','40971','mrowland@xyz.edu',1232053,'986-305-6695',59611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan I. Small','4078 Consectetuer Rd.','North Chicago','AL','55100','megan.small@email.net',1232054,'208-497-9274',99840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray M. Hudson','227-4584 Lorem. St.','Winston-Salem','VT','93949','gray.hudson@abc.edu',1232055,'159-357-6546',89794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy R. Bradley','P.O. Box 432, 6641 Cras Rd.','Laramie','MT','49033','cassidy.bradley@bpmpros.com',1232056,'173-133-2809',49662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko D. Madden','2252 Ridiculus Rd.','Coral Springs','WY','40995','kmadden@widget.com',1232057,'908-306-5098',49767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona H. Talley','3051 Sem Road','Beverly','MO','61855',NULL,1232058,'955-545-3759',44506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra D. Stanton','P.O. Box 352, 7978 Nec, Rd.','Kenner','CT','62833','lysandra.stanton@bpmpros.com',1232059,'789-744-1895',75003,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem Y. Huff','P.O. Box 204, 9736 Dictum Street','Carson','MD','58110','kaseemh@bpmpros.com',1232060,'954-744-3885',82730,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn I. Brady','482-8752 At Rd.','Hermitage','NE','96144','brady@abc.edu',1232061,'266-219-8532',50135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace C. Romero','299-4430 Nec Av.','Port Jervis','NY','11617','candace.romero@yohaa.com',1232062,'753-928-1389',102662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste H. Charles','337-8466 Arcu Avenue','Santa Ana','MS','15637','celeste.charles@widget.com',1232063,'345-908-8260',76437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima O. Welch','9368 Leo, St.','Bessemer','ID','06258','iwelch@abc.edu',1232064,'812-636-0368',38087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara G. Jenkins','P.O. Box 199, 5079 Nec, Avenue','Gatlinburg','WI','26323','tjenkins@xyz.edu',1232065,'582-493-9389',83903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jorden Z. Solomon','P.O. Box 937, 2407 Nisl. Street','Jacksonville','AZ','01128','jorden.solomon@yohaa.com',1232066,'542-123-4253',75370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac J. Foreman','393-4982 Posuere St.','Medford','IL','24736','isaacf@aulnet',1232067,'855-406-4288',67693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy E. Carson','Ap #845-6155 Varius Rd.','Tamuning','DE','48372','icarson@aulnet',1232068,'209-154-3598',97255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana K. Nixon','Ap #278-2790 Pede, Av.','Chicago Heights','AK','19458',NULL,1232069,'822-931-9843',57694,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram I. Cortez','Ap #612-6969 Ad Av.','Grand Island','RI','78598','hiramc@widget.com',1232070,'156-887-8188',20995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria N. Curry','9110 Montes, Road','Fayetteville','NV','92940','dcurry@email.net',1232071,'891-696-2840',83832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile O. Stout','2131 Pellentesque St.','Rutland','GA','45145',NULL,1232072,'449-529-4880',31097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma G. Kane','P.O. Box 129, 8116 Sodales St.','Dodge City','SD','00656',NULL,1232073,'892-341-6691',66145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina S. Cooke','578 Cursus Ave','Santa Clara','AZ','28629',NULL,1232074,'794-384-4085',87903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh Y. Lamb','P.O. Box 785, 9396 Aliquam Road','Saratoga Springs','OH','70209',NULL,1232075,'838-533-8173',36261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel Z. Stephenson','1569 Non Road','Reedsport','AZ','86643','lstephenson@yohaa.com',1232076,'764-757-5018',104552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah H. Melendez','P.O. Box 520, 2949 Tortor St.','Manhattan Beach','ME','43929','deborah.melendez@emailathome.net',1232077,'674-447-0956',21986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm A. Lee','425-3420 Lorem, St.','Jenks','TN','20264','mlee@aulnet',1232078,'294-867-1042',21153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida D. Stevens','P.O. Box 559, 5489 Phasellus Road','Kankakee','UT','65895','zenaida.stevens@abc.edu',1232079,'159-344-0002',31539,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan G. Hughes','199-7356 Hendrerit Street','Mankato','NM','41816','hughes@email.net',1232080,'713-762-9050',33367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla J. Duke','Ap #585-528 Mauris, Ave','Woburn','NC','20472','kyla.duke@emailathome.net',1232081,'398-901-7727',91216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robin Z. Potts','481-7069 Vivamus Avenue','White Plains','WI','65485','potts@abc.edu',1232082,'968-366-2670',49425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa E. Pennington','P.O. Box 298, 4490 Fames Rd.','Malden','NY','68424',NULL,1232083,'919-878-1344',15576,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine J. Houston','Ap #179-6193 Eu St.','Perth Amboy','IA','92751',NULL,1232084,'275-185-9620',107961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience Z. Leach','261-1457 Ipsum. Avenue','Terre Haute','IL','58750',NULL,1232085,'502-686-7716',51565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada J. Reese','224-2632 Lorem Street','Pittsburgh','KS','51119','jreese@emailathome.net',1232086,'969-571-1678',54270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon U. Larson','P.O. Box 584, 5655 Velit Street','Los Alamitos','ND','92753','talon.larson@xyz.edu',1232087,'973-943-3235',98982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna H. Hampton','P.O. Box 410, 1904 Curabitur Avenue','Eau Claire','VT','55957','hampton@email.net',1232088,'712-784-6370',66805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze L. Mccoy','Ap #305-8719 Vestibulum Avenue','Seattle','NH','47803','mccoy@abc.edu',1232089,'852-673-3560',101830,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt L. Bishop','7528 Quisque Rd.','Newburyport','NM','45550',NULL,1232090,'431-716-8730',27323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis D. Rivas','P.O. Box 357, 7191 Ultrices, St.','Stillwater','DC','74929',NULL,1232091,'571-811-5264',23294,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander F. Kerr','734-4663 Phasellus Street','Midland','WY','16990','xkerr@aulnet',1232092,'911-591-3019',46889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven K. Gates','Ap #665-1076 Vulputate Av.','York','KS','37943','gates@yohaa.com',1232093,'945-866-2566',71304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios Y. Lawrence','398-6862 Ante. Av.','Yazoo City','WV','23560','remediosl@bpmpros.com',1232094,'515-559-2145',84629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain I. Castaneda','568-5394 Sollicitudin Ave','Nashville','TX','89513','cainc@emailathome.net',1232095,'274-688-1383',67930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald H. Walsh','Ap #442-7767 Est St.','Suffolk','VT','75055','emeraldw@hitmail.com',1232096,'668-833-4215',72200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla E. Watkins','738-9808 Quam Av.','Bayamon','CA','90475','xyla.watkins@widget.com',1232097,'532-299-9323',72001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira F. Vega','711-7612 Suspendisse Av.','Saratoga Springs','ME','44845','vega@widget.com',1232098,'222-753-8527',99654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe M. Burnett','Ap #438-9186 Et St.','Bandon','AZ','44799','kburnett@abc.edu',1232099,'535-766-4183',77478,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo O. Berg','P.O. Box 675, 2392 Curabitur St.','Rancho Cordova','AL','08652','cberg@emailathome.net',1232100,'442-986-7421',71257,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar G. Kinney','9537 Arcu. Rd.','Roanoke','TN','56136','bryar.kinney@email.net',1232101,'902-246-3349',21623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler G. David','7600 Risus. Road','North Charleston','KS','03109','tdavid@bpmpros.com',1232102,'823-514-6372',83867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell S. Rich','4318 Mauris Ave','Columbia','IN','95556','rich@yohaa.com',1232103,'977-848-1905',74676,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes Y. England','Ap #854-5342 Sapien. Road','Harrisburg','RI','01596','holmese@widget.com',1232104,'143-929-7689',77498,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila H. Jennings','P.O. Box 455, 1166 Sociosqu Ave','Trenton','HI','05807',NULL,1232105,'304-356-2759',55826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop C. Ward','572-1697 Torquent Road','Moraga','VA','19714',NULL,1232106,'623-926-2724',64509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana Y. Hutchinson','P.O. Box 615, 8263 Non, Road','Indio','CA','02411','thutchinson@yohaa.com',1232107,'336-859-7759',69488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sara C. Holloway','P.O. Box 135, 3124 Ultrices Avenue','Bethlehem','NM','71473','sarah@emailathome.net',1232108,'985-222-0707',67544,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeline D. Pennington','P.O. Box 265, 599 Interdum. St.','Elizabeth City','HI','84856','madeline.pennington@hitmail.com',1232109,'429-315-5365',30650,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca S. Frank','8667 Eleifend. St.','Clarksburg','AK','32561','rebecca.frank@email.net',1232110,'156-789-6111',82854,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine G. Sims','Ap #449-591 Amet Rd.','Nacogdoches','HI','29062','jsims@yohaa.com',1232111,'634-681-3799',100981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin Q. Buckner','2222 Rutrum, Avenue','Nampa','MN','08581',NULL,1232112,'587-741-1091',52653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris J. Battle','249-6365 Egestas St.','Kahului','AZ','54652','maris.battle@bpmpros.com',1232113,'344-822-5626',87374,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chantale E. Robertson','Ap #434-9194 Eget Av.','York','NE','53418','crobertson@aulnet',1232114,'262-415-2377',21371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zane V. Hicks','9964 A, St.','Arlington','MO','59595',NULL,1232115,'946-753-8944',33077,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley Y. Cervantes','730-3261 Aliquam St.','Minneapolis','OH','16565',NULL,1232116,'161-907-7605',71365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola U. Alvarado','Ap #202-3285 Sem, St.','Bossier City','SD','59266','ialvarado@yohaa.com',1232117,'833-803-8005',78320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda G. Brock','P.O. Box 747, 2994 Amet St.','Saint Albans','TN','62512','abrock@hitmail.com',1232118,'888-621-4242',45850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene Z. Santos','962-500 Lobortis Avenue','Fitchburg','ND','59912','irenes@email.net',1232119,'534-313-8333',78056,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar Z. Morrow','6865 In Rd.','Hidden Hills','HI','53758','qmorrow@xyz.edu',1232120,'759-993-3245',27977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly M. Warner','P.O. Box 556, 9119 Magnis Ave','Myrtle Beach','MS','72425','shelly.warner@abc.edu',1232121,'284-834-7361',74271,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle T. Pacheco','P.O. Box 551, 3562 Euismod Rd.','Hermosa Beach','AL','48920','pacheco@emailathome.net',1232122,'446-521-4642',17024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Athena Q. Frederick','264-6541 Aliquam St.','Ogdensburg','ND','62011','athena.frederick@abc.edu',1232123,'942-488-9183',92395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine V. Leon','604-8515 Viverra. Av.','Texarkana','OR','45517','leon@aulnet',1232124,'638-671-9598',84254,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha O. Cherry','524-5464 Sed Ave','Stanton','AK','78223','sachac@widget.com',1232125,'832-561-0319',102137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha Q. Sears','P.O. Box 997, 7031 Mollis Avenue','Minot','MN','56125','aretha.sears@bpmpros.com',1232126,'549-481-7418',88764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton S. Schneider','264-6548 Amet Rd.','Manhattan Beach','FL','65512',NULL,1232127,'747-297-5773',28171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade X. Carlson','Ap #453-6229 Amet Avenue','Webster Groves','NH','76542','carlson@abc.edu',1232128,'154-892-9884',71132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison S. Rush','Ap #626-9143 Sagittis Avenue','East St. Louis','WI','58634','madisonr@email.net',1232129,'376-421-1221',27637,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron S. Nielsen','340-4223 Venenatis Rd.','Boulder','TX','88536','cnielsen@bpmpros.com',1232130,'361-547-8680',102506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict B. Craig','410 Placerat, Av.','Grand Junction','HI','31069','craig@hitmail.com',1232131,'924-641-7944',92727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno W. Duran','P.O. Box 197, 6131 Eu, Road','Waterloo','VT','19040','bruno.duran@abc.edu',1232132,'211-134-7844',90135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda P. Sullivan','221-5065 Arcu. St.','Mankato','ID','17726','wsullivan@bpmpros.com',1232133,'868-988-0128',16530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn U. Dillon','818-2776 Ac St.','Taylorsville','WA','18836','quinn.dillon@xyz.edu',1232134,'653-521-4095',39592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane H. French','P.O. Box 751, 6833 Aliquam Rd.','Lima','MT','47766','danef@aulnet',1232135,'793-446-8762',92658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison B. Reeves','881-6287 Nulla St.','Joliet','NJ','12359','madisonr@email.net',1232136,'126-818-1639',51126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne F. Chen','588-9977 Ridiculus Avenue','Newburyport','MD','09911','achen@widget.com',1232137,'362-487-1053',78452,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow B. Deleon','P.O. Box 726, 3377 Lacus. Road','Macomb','ID','69268','wdeleon@yohaa.com',1232138,'271-543-9390',51219,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth B. Haynes','P.O. Box 559, 502 Luctus Rd.','Grafton','GA','47006',NULL,1232139,'275-456-9988',46678,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca S. Tate','8269 Parturient Street','Visalia','TX','25309','rtate@aulnet',1232140,'101-728-2638',71601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine K. Moreno','458-7626 Donec Road','Morgan City','DC','09424','geraldinem@email.net',1232141,'825-835-5638',48694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra Y. Miles','806-7023 Enim. Street','North Charleston','FL','30739','petram@email.net',1232142,'354-188-9245',102631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross H. Garza','P.O. Box 701, 2331 Arcu. Avenue','Monongahela','MN','63494','ross.garza@widget.com',1232143,'234-498-4874',24172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain A. Whitehead','574-2588 Pharetra Street','Malden','FL','64327','whitehead@abc.edu',1232144,'722-966-3548',51833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran M. Farrell','Ap #332-5420 Justo Street','Sandy','SC','92466','cameranf@abc.edu',1232145,'795-517-4727',47090,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia S. Meyers','P.O. Box 253, 1553 Erat Avenue','Port Arthur','MA','24817','octaviam@abc.edu',1232146,'384-978-4959',80768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna A. Ortega','4066 Etiam Street','Danbury','WI','60012','ortega@bpmpros.com',1232147,'504-323-6295',87167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart R. Bean','637-3950 Vestibulum Av.','Oxnard','KY','33293','bean@xyz.edu',1232148,'316-829-0427',88502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa N. Everett','P.O. Box 663, 1979 Dapibus Street','Michigan City','HI','53187','charissa.everett@hitmail.com',1232149,'481-706-5265',89882,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey O. Gill','P.O. Box 201, 9447 Aliquam Rd.','Florence','OR','97050','gill@widget.com',1232150,'248-639-2457',80894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan M. Guerrero','P.O. Box 228, 3318 Metus. Ave','Carson','IL','94291','conan.guerrero@bpmpros.com',1232151,'442-691-1294',77285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy J. Dudley','7862 Rhoncus. Rd.','Gettysburg','UT','01941','dudley@abc.edu',1232152,'372-516-6756',103679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan K. Manning','Ap #835-7355 Fusce St.','Fairfield','NC','54256','roganm@emailathome.net',1232153,'298-579-9856',72036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett N. Farley','4088 Porttitor Av.','Syracuse','NJ','88153',NULL,1232154,'679-299-9569',62252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane D. Kennedy','682-5567 Eget Rd.','Dover','NH','11700','kane.kennedy@xyz.edu',1232155,'854-434-6326',95942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula J. Lloyd','596-6542 Curabitur St.','Sunnyvale','GA','71293','ulloyd@yohaa.com',1232156,'904-868-2918',44912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson E. Horne','Ap #834-273 Erat Avenue','Wynne','LA','58930','jackson.horne@xyz.edu',1232157,'234-237-9951',107925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg H. Andrews','597-4507 At Rd.','Williston','LA','71830','oandrews@emailathome.net',1232158,'861-194-1311',48805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan I. Foreman','Ap #624-7816 Sollicitudin Street','Biddeford','CT','56028','foreman@yohaa.com',1232159,'858-618-6128',66023,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae X. Warren','P.O. Box 522, 5696 Morbi Street','Springdale','AZ','15062','hanae.warren@email.net',1232160,'191-849-5672',96437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph K. Ball','491-2327 Integer Avenue','Lowell','VA','91317','ball@hitmail.com',1232161,'389-471-2297',103051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie U. Wong','P.O. Box 141, 9944 Quam. St.','La Puente','MS','30331','wong@yohaa.com',1232162,'648-938-3185',48435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph H. Gallegos','P.O. Box 218, 3300 Elementum, Street','Duarte','FL','65605','ralphg@hitmail.com',1232163,'137-785-6239',44653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher R. Larsen','4424 Neque Av.','Chandler','AL','27794',NULL,1232164,'365-868-5371',17517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma A. Hunter','Ap #917-6417 Vitae, Rd.','Hampton','TX','86913',NULL,1232165,'808-163-9305',85219,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa T. Newman','9848 Scelerisque St.','San Angelo','IN','67416','risan@xyz.edu',1232166,'217-597-3045',18978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet P. Munoz','406-2116 Magna. Rd.','Hermosa Beach','CO','30508','scarlet.munoz@abc.edu',1232167,'124-332-7380',51675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace L. Moses','P.O. Box 793, 7705 Sit Street','Fairfax','CO','21862','gracem@yohaa.com',1232168,'461-585-7264',72624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe Z. Massey','174-5273 Pede St.','Keene','TX','92314',NULL,1232169,'376-647-1328',74472,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney G. Hale','P.O. Box 346, 1699 Porttitor Avenue','Northampton','LA','29812','shale@abc.edu',1232170,'236-413-0602',106284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward P. Butler','5367 Aliquet, Rd.','Kemmerer','AZ','61273','edward.butler@yohaa.com',1232171,'355-589-1204',46589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melvin O. Lowery','Ap #291-9786 Malesuada Av.','Corpus Christi','AK','03274','lowery@aulnet',1232172,'558-814-3934',34469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory N. Whitfield','P.O. Box 691, 3500 Ut Rd.','Santa Fe','UT','98691','whitfield@bpmpros.com',1232173,'976-525-2485',53178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare P. Barrera','P.O. Box 638, 5209 Ut St.','East St. Louis','IL','11000','clareb@email.net',1232174,'702-678-0023',62467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cathleen X. Sweeney','Ap #949-9365 Ligula. Avenue','Ogden','NE','73994','sweeney@bpmpros.com',1232175,'195-797-3744',88823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia H. Richards','P.O. Box 364, 5893 Ac Rd.','Paterson','ID','79252','prichards@widget.com',1232176,'257-343-9493',28834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ian X. Santos','P.O. Box 171, 2465 Nulla Rd.','Hayward','ME','63433','santos@widget.com',1232177,'696-844-1961',49502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay N. Jones','277-8832 Erat Street','Niagara Falls','IN','69022','mjones@bpmpros.com',1232178,'566-262-9150',19647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria K. Cook','9110 Facilisis. Ave','Williston','KY','93990','dcook@hitmail.com',1232179,'903-259-8650',76965,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie T. Miller','1619 Suspendisse Av.','Rockford','NM','54744','nataliem@bpmpros.com',1232180,'244-235-4504',52775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira L. Baird','P.O. Box 164, 4683 Magnis Ave','Watervliet','AL','66321','mirab@emailathome.net',1232181,'265-319-5439',20162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko L. Hopper','4148 Aliquam Rd.','Concord','WV','84251','hopper@email.net',1232182,'994-111-6415',102884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew X. Walls','243-4310 Ut Road','Simi Valley','AZ','93688',NULL,1232183,'949-943-0536',107592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely X. Cash','8931 Malesuada St.','Juneau','FL','00600','kcash@xyz.edu',1232184,'179-874-7680',74920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira G. Holcomb','381-1538 Sed Avenue','Lexington','CT','30731','iholcomb@widget.com',1232185,'533-513-3860',58999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani C. Charles','481-5626 Arcu Rd.','Reedsport','OR','87118','lanic@yohaa.com',1232186,'951-593-9052',101280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora J. Hanson','825-1564 Erat Rd.','Santa Clarita','HI','94781','hanson@aulnet',1232187,'909-959-3423',68677,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder M. Monroe','8409 Pulvinar St.','Minneapolis','IA','18468','rmonroe@email.net',1232188,'847-947-9329',82397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quail B. Downs','Ap #821-1263 Dis St.','Pittsfield','NY','96904','quail.downs@xyz.edu',1232189,'473-319-2561',102360,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus Q. Carney','Ap #153-4738 Posuere Road','Hampton','TX','55341','xanthusc@xyz.edu',1232190,'356-729-9491',19313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi Z. Guy','Ap #397-9146 Facilisis Rd.','Escondido','ME','29775','malachig@email.net',1232191,'126-473-0020',60953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista N. Dudley','441-1523 Venenatis Rd.','Biloxi','OK','14034','dudley@bpmpros.com',1232192,'719-736-1082',26692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur P. Fletcher','P.O. Box 996, 1805 Eget Rd.','Newton','ME','03018','arthur.fletcher@email.net',1232193,'152-862-5976',22523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana F. Vance','8564 Iaculis St.','Rockford','WV','52223','lvance@hitmail.com',1232194,'635-441-6267',92999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt N. Lamb','956-7253 Auctor, St.','North Las Vegas','PA','74326','merrittl@email.net',1232195,'659-295-6442',78505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing M. Blankenship','P.O. Box 640, 6795 Turpis Rd.','Jersey City','NV','39404','blankenship@emailathome.net',1232196,'821-481-5841',36508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery X. Jefferson','118-1519 Maecenas Rd.','Hickory','NM','12841','jefferson@widget.com',1232197,'456-286-5660',61519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia S. Everett','Ap #396-3058 Praesent Ave','Youngstown','KY','92114',NULL,1232198,'167-413-5991',72572,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy C. Compton','9568 Vitae Rd.','Daly City','MA','46976','compton@hitmail.com',1232199,'297-704-3556',24373,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada F. Mcconnell','239-107 Quam St.','Stevens Point','WI','32588','mcconnell@emailathome.net',1232200,'565-763-4668',32935,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo H. Kelly','692-2891 Ac St.','Thousand Oaks','SD','72814','ckelly@bpmpros.com',1232201,'494-958-7102',96945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius B. Bishop','518-6445 Eros. Rd.','Shreveport','CT','92474','octaviusb@yohaa.com',1232202,'389-783-7415',75772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel N. Powers','Ap #841-3801 Mauris. Av.','Thousand Oaks','IN','49431',NULL,1232203,'906-395-0887',41959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi Y. Ewing','235-8253 Ac St.','Winooski','WI','22561','whoopi.ewing@aulnet',1232204,'103-908-2042',99568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colby E. Austin','P.O. Box 422, 3206 Enim Street','Malden','MO','43375','austin@email.net',1232205,'947-149-9582',73131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy N. Kemp','Ap #687-8186 In Rd.','Saint Albans','AL','52706','dkemp@email.net',1232206,'272-218-1681',31911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle U. Hayden','527-4155 Amet, Avenue','Wheeling','CT','13066',NULL,1232207,'863-144-1523',35382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand K. Joseph','P.O. Box 789, 7766 Eget, Av.','Lake Charles','ID','34157','ajoseph@abc.edu',1232208,'314-186-0292',94190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran B. Lucas','164-9123 Ullamcorper, St.','Newark','TN','08542','curranl@yohaa.com',1232209,'791-914-0900',34092,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden A. Francis','P.O. Box 622, 8840 Aliquam Av.','Malden','NC','44253','arden.francis@yohaa.com',1232210,'806-597-4014',19987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing G. Logan','579-7017 Mollis Av.','Hartford','CO','73028','channing.logan@abc.edu',1232211,'382-188-5850',101630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mara Z. Kent','P.O. Box 155, 8827 Sem. St.','Logan','NJ','71745',NULL,1232212,'874-156-1347',35095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi D. Roach','P.O. Box 466, 3152 Eu Street','Fort Smith','MN','07679',NULL,1232213,'525-398-3545',102931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan D. Evans','501-3299 Scelerisque St.','Grand Rapids','TX','38435',NULL,1232214,'215-649-8382',101035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald V. Roberts','901 Vestibulum St.','Bradford','HI','53027',NULL,1232215,'861-583-9469',47862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis P. Simpson','788-3997 Felis, St.','Jeffersontown','OR','90953','simpson@yohaa.com',1232216,'171-942-3343',89239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin D. Grant','Ap #137-3805 Egestas St.','Bossier City','SD','52052','austing@bpmpros.com',1232217,'106-187-9283',71667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur J. Nolan','Ap #561-2442 Justo St.','Del Rio','NV','33886','fnolan@aulnet',1232218,'948-945-9228',65451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair D. Collins','Ap #853-8953 Nunc Av.','Albuquerque','KY','97521','blair.collins@xyz.edu',1232219,'417-356-2011',39762,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith U. Bell','8540 Pellentesque Street','Brockton','MA','40169','bell@emailathome.net',1232220,'822-964-7993',31596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren J. Howell','101-1921 Aenean Ave','Olean','VA','37777','warrenh@emailathome.net',1232221,'947-869-7325',41561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana L. Stephenson','4003 Ut, Street','Biloxi','GA','83366','stephenson@xyz.edu',1232222,'144-839-5154',99776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker K. Pittman','683-1575 Vitae Avenue','New Haven','MN','69952','tuckerp@email.net',1232223,'319-354-1926',16264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sebastian X. Bernard','953-7626 Erat Av.','New Haven','NJ','04973','sebastian.bernard@yohaa.com',1232224,'926-246-5096',102382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric Y. Ewing','7716 Quisque Road','Cary','DC','73803','cedric.ewing@abc.edu',1232225,'391-684-3078',69938,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim F. Rodriguez','666-9758 Est. Avenue','Slidell','MN','64847','rahimr@email.net',1232226,'742-933-6259',42030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence W. Rivers','P.O. Box 819, 5257 Ut Rd.','Monterey','MA','82457','florence.rivers@emailathome.net',1232227,'395-936-9785',105069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth G. Hudson','P.O. Box 859, 7913 Suspendisse Street','Clemson','NY','08190','hyacinth.hudson@email.net',1232228,'647-843-8787',63802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora M. Fry','Ap #886-9980 Tempor Ave','San Francisco','OK','30749','nora.fry@yohaa.com',1232229,'949-587-3391',26759,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard Q. Whitfield','P.O. Box 686, 591 Magnis Street','San Juan Capistrano','MT','28569','whitfield@abc.edu',1232230,'308-248-6340',78090,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga U. Craft','781-4575 Eu St.','Manassas','MD','95913','inga.craft@aulnet',1232231,'573-782-9295',69742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona G. Mcguire','P.O. Box 199, 9751 Aliquam Av.','Kingsport','UT','29224','ionam@abc.edu',1232232,'238-612-3932',35455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew U. Stewart','P.O. Box 628, 2833 Vel Rd.','Batavia','OH','56486',NULL,1232233,'801-949-6510',68386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana U. Fuller','Ap #507-6715 In St.','Nampa','AZ','71138',NULL,1232234,'615-516-4650',35040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris U. Bright','Ap #858-6203 Nunc Road','Buena Park','IA','32304','marisb@abc.edu',1232235,'533-258-6731',45783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe N. Conway','643-7239 Suspendisse Street','St. Petersburg','MI','76608','sconway@email.net',1232236,'113-656-8035',85933,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru B. Morrow','Ap #148-1533 Mattis. Av.','Urbana','NC','12788','nmorrow@widget.com',1232237,'597-509-1650',76427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan K. Livingston','216-396 Ligula St.','Beckley','FL','80792','livingston@widget.com',1232238,'571-977-4776',52687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus B. Moody','715-3658 Egestas St.','Trenton','SD','95986',NULL,1232239,'778-259-1266',22238,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guy M. Durham','Ap #735-795 Est Avenue','West Hartford','ME','28813',NULL,1232240,'709-588-6378',78105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana T. Kelley','P.O. Box 453, 6510 Vitae Ave','Quincy','CO','41569','kelley@xyz.edu',1232241,'484-294-6713',25885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera U. Clay','Ap #239-4250 Ullamcorper Ave','Raleigh','NE','67119','verac@emailathome.net',1232242,'789-173-1657',50372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla M. Bullock','150-9601 Est. Street','San Bernardino','GA','74942','priscilla.bullock@abc.edu',1232243,'252-831-8030',83771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha C. Santiago','Ap #420-2315 Sed Avenue','South Pasadena','MA','65130',NULL,1232244,'273-334-0649',89626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon N. Vega','Ap #394-6764 Vestibulum Ave','Columbus','ND','00676','quon.vega@email.net',1232245,'806-989-2222',102209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip S. Clayton','P.O. Box 273, 8447 Vel St.','Scottsdale','MT','24024','pclayton@abc.edu',1232246,'702-518-4967',35704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier D. Winters','2532 In St.','Eden Prairie','AZ','89681','xavierw@bpmpros.com',1232247,'195-565-6154',79313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia J. Byrd','940-8204 Mi St.','Lynwood','RI','85864','lavinia.byrd@xyz.edu',1232248,'556-541-0157',45493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna Z. Chapman','548-3976 Lobortis, Street','Reno','MI','22007',NULL,1232249,'973-438-9899',104436,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason G. Payne','359-1803 Praesent Av.','North Platte','SC','27640',NULL,1232250,'748-611-0499',42315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth F. Wilder','909-5638 Diam. Ave','Richmond','FL','92710',NULL,1232251,'462-209-7207',85436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton A. Pratt','169-3959 Sed Ave','Richland','WI','16819','uptonp@widget.com',1232252,'731-192-2019',41379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo A. Potts','P.O. Box 818, 1904 Nulla Rd.','Fort Wayne','UT','85502','bpotts@abc.edu',1232253,'512-243-2434',58386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan T. Holt','6402 In St.','Norwalk','SC','13411',NULL,1232254,'972-213-3285',65613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean A. Valdez','496-194 Ac Road','New Albany','FL','90013',NULL,1232255,'525-497-5108',58055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven Z. Gross','8321 Feugiat Street','Paterson','MA','04324','gross@hitmail.com',1232256,'436-888-3280',93171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla R. Case','P.O. Box 471, 1594 Quis St.','Frederiksted','MD','82687','xylac@aulnet',1232257,'112-557-2456',81226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi N. Price','P.O. Box 817, 9216 Nisi. Avenue','Daly City','GA','60543','price@yohaa.com',1232258,'321-342-7990',53126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly C. Mueller','Ap #371-2929 Ante. Road','Santa Ana','CO','32593','mueller@bpmpros.com',1232259,'136-366-5082',23179,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade M. Foster','Ap #361-3534 Felis Avenue','Council Bluffs','NJ','68001',NULL,1232260,'695-621-9975',16275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson C. Salinas','Ap #826-763 Faucibus St.','Clairton','CA','60338','madeson.salinas@xyz.edu',1232261,'431-935-6555',61319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton N. Bowen','Ap #428-177 Risus. Avenue','Columbia','DC','24795','bowen@widget.com',1232262,'234-574-5081',71482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma C. Parks','Ap #667-6886 Arcu Av.','Cohoes','WY','17742','parks@widget.com',1232263,'538-672-1466',61348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn C. Reese','P.O. Box 686, 2580 Vulputate, Rd.','Rhinelander','IN','26343','karyn.reese@xyz.edu',1232264,'186-525-0062',61290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily Z. Sharp','P.O. Box 777, 619 Vulputate Rd.','Dayton','MD','62998','sharp@emailathome.net',1232265,'243-329-7538',71807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis C. Barr','P.O. Box 228, 4728 Et Av.','Brunswick','VT','38390','alexis.barr@xyz.edu',1232266,'299-432-6613',36471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joan V. Daniels','8419 Id, Street','Carson','WI','08141','joan.daniels@yohaa.com',1232267,'972-192-9341',16294,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle K. Duncan','Ap #259-2630 Risus. Ave','The Dalles','CA','00619','bduncan@aulnet',1232268,'752-733-7246',73759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate Q. Roy','P.O. Box 439, 8015 Cras St.','Opelousas','NV','61562','roy@xyz.edu',1232269,'282-943-6764',107561,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica P. Bentley','P.O. Box 978, 9228 Fusce Av.','Egg Harbor','LA','97459','angelica.bentley@hitmail.com',1232270,'122-304-2469',35201,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia E. Gamble','3202 Maecenas Road','East St. Louis','AL','26815','eugenia.gamble@bpmpros.com',1232271,'761-674-7941',36912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa D. Robinson','392-4553 Nibh. St.','Stillwater','CO','10236','robinson@hitmail.com',1232272,'253-824-4962',104565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney E. Gay','271-2107 Libero St.','Santa Clarita','MT','64774',NULL,1232273,'112-364-1976',96231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane U. Sharpe','6464 Enim. St.','Fairfax','IA','13179','jane.sharpe@aulnet',1232274,'557-168-1946',21930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadley R. Gutierrez','Ap #122-4306 Primis Av.','Pass Christian','WY','29432','hadley.gutierrez@aulnet',1232275,'612-279-1373',45577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney K. Wheeler','P.O. Box 801, 1750 Blandit Street','Muncie','SD','76205','cwheeler@bpmpros.com',1232276,'748-361-4495',90443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin D. Weber','Ap #444-2538 A Avenue','Morgantown','DC','90476',NULL,1232277,'783-431-6001',54728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr F. Perry','525-5905 Sociis Ave','Sister Bay','TX','02692','zephr.perry@emailathome.net',1232278,'179-762-1918',108149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai K. Woodward','Ap #882-3857 Ipsum Ave','Warren','KY','17220','dai.woodward@xyz.edu',1232279,'823-892-6538',65677,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell N. Pace','9775 Dui, Ave','Holyoke','MT','41723',NULL,1232280,'546-628-8170',90509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fuller Q. Holder','442-7079 Proin Avenue','Akron','IN','85127','holder@xyz.edu',1232281,'951-597-0259',50030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward E. Woodard','4913 Convallis Road','Hastings','CO','11759','edward.woodard@abc.edu',1232282,'363-158-1078',21458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley Z. Golden','5121 Et, Rd.','East Rutherford','ME','74685',NULL,1232283,'751-787-0837',109404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith V. Leach','P.O. Box 464, 8463 Enim Rd.','Sandy','LA','76740','leach@widget.com',1232284,'436-286-9739',76416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla Q. Oneal','529-7170 Egestas St.','Newburyport','UT','29495','mikayla.oneal@emailathome.net',1232285,'346-672-8687',55545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice B. Morin','Ap #885-5480 Lorem Street','Clairton','KY','28247','candice.morin@aulnet',1232286,'743-999-6604',47445,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana T. Cortez','8911 Phasellus Av.','Clearwater','NV','71953','tatyanac@xyz.edu',1232287,'878-543-8417',20821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade N. Rowe','Ap #975-7598 Pede, Ave','Montebello','SD','34405','rowe@aulnet',1232288,'568-337-7895',38998,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster I. Fitzpatrick','2130 Dolor St.','San Fernando','NH','19193','buckminsterf@aulnet',1232289,'635-281-9046',97369,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elijah L. Montgomery','Ap #870-7727 Eleifend Ave','Shreveport','OH','21141',NULL,1232290,'435-979-0500',76898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh N. Richmond','3535 Nonummy Road','Citrus Heights','OK','59911','karleighr@yohaa.com',1232291,'136-269-7666',87542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark W. Ratliff','Ap #436-822 Purus. Street','Anchorage','KY','06155',NULL,1232292,'177-213-3820',59555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sloane G. Richard','P.O. Box 931, 7874 Ac Rd.','Plantation','IA','62969','sloaner@yohaa.com',1232293,'124-102-2145',106396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie L. Moreno','Ap #606-9252 Rutrum Road','Richland','MS','75148','maisiem@hitmail.com',1232294,'117-242-2425',75216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville P. Bonner','P.O. Box 845, 1403 Arcu Ave','Pembroke Pines','ME','87863','neville.bonner@widget.com',1232295,'102-229-3606',23516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa S. Cantrell','483-9476 Quisque Street','Grand Island','ID','61459','cantrell@xyz.edu',1232296,'413-524-6430',23155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma E. Molina','9245 Tellus Ave','York','HI','56062',NULL,1232297,'207-149-2927',67449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau O. Battle','P.O. Box 951, 3281 Convallis Rd.','West Lafayette','TX','05861','mbattle@yohaa.com',1232298,'925-132-1714',78509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan F. Burton','8403 Ac St.','Orangeburg','WV','96286',NULL,1232299,'873-165-4786',97310,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison H. Smith','562-3115 Nisl Street','Moore','IN','29215',NULL,1232300,'503-376-3417',33584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph B. Jefferson','919-5678 Metus Street','Roanoke','MA','70599','jefferson@emailathome.net',1232301,'815-317-5938',50928,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson O. Nicholson','Ap #165-4725 Sed St.','Wisconsin Dells','WY','48019','jnicholson@abc.edu',1232302,'608-514-7313',39142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indigo Q. Cortez','P.O. Box 413, 219 Et, Av.','Somersworth','MA','45584','indigo.cortez@email.net',1232303,'693-302-7155',65268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy U. Shaw','952-9125 Mauris, St.','New Rochelle','IA','74219','mshaw@abc.edu',1232304,'893-586-7885',21615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca P. Battle','102-9260 Quis, Av.','San Rafael','WV','27891','francescab@email.net',1232305,'201-104-4802',85863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sharon V. Russo','215-7411 Dictum Av.','San Marino','CT','05032','russo@hitmail.com',1232306,'924-135-0395',38658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet Z. Snider','9684 Pellentesque, Rd.','Louisville','HI','02963','violets@hitmail.com',1232307,'466-759-1526',79331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya G. Kirkland','P.O. Box 910, 2420 In Rd.','Saint Louis','OK','92595','maya.kirkland@widget.com',1232308,'558-825-5736',45197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt Z. Dudley','309-2107 Penatibus Ave','Hattiesburg','CT','86479',NULL,1232309,'975-433-3578',37619,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron O. Kim','Ap #236-5158 Eget Ave','Santa Fe Springs','ME','51337','ckim@email.net',1232310,'717-782-1144',81922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae Y. Gates','317-5877 Integer Av.','Azusa','MD','78029','desiraeg@yohaa.com',1232311,'467-275-8660',97955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson P. Luna','Ap #859-7134 Massa. Av.','Ames','CA','43921','cluna@email.net',1232312,'952-429-4033',80283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne O. Hodge','P.O. Box 685, 8560 Fermentum Avenue','Omaha','MO','58702',NULL,1232313,'735-686-9054',22499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana T. Russell','253-2129 Feugiat Street','La Palma','SD','36784','tana.russell@bpmpros.com',1232314,'597-222-8178',35033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony H. Eaton','P.O. Box 209, 3032 Eu, St.','Hermitage','IN','15941','eeaton@yohaa.com',1232315,'737-324-5553',81149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger X. Cooke','P.O. Box 831, 5327 Iaculis Rd.','East St. Louis','WA','23438',NULL,1232316,'571-217-5310',104661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odysseus Q. Horton','Ap #745-1159 Integer Rd.','Rehoboth Beach','NE','44667',NULL,1232317,'207-687-7943',42480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie G. Harrell','4372 Risus. Av.','Laramie','MA','16211','mharrell@abc.edu',1232318,'778-598-1468',40264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani P. Guerra','1045 Malesuada Avenue','Green Bay','SD','23985','lguerra@widget.com',1232319,'617-775-5244',53054,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha H. Butler','Ap #778-5665 At Ave','Oak Ridge','OR','56780','butler@bpmpros.com',1232320,'776-383-0676',101400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen I. Byrd','Ap #346-9552 Dictum. Street','Duluth','AK','71838','byrd@bpmpros.com',1232321,'718-494-7767',54295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jarrod I. Jarvis','Ap #813-8569 Nascetur Rd.','DeKalb','AK','03385',NULL,1232322,'313-932-3250',17332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste L. Short','3303 Dui. Street','Vacaville','MD','61502','cshort@abc.edu',1232323,'942-473-7668',107191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler A. Gilbert','3851 Commodo Rd.','Chattanooga','DC','05581','tyler.gilbert@emailathome.net',1232324,'843-137-1745',59642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie H. Chandler','Ap #136-296 Dolor. St.','Charleston','VT','05710','achandler@abc.edu',1232325,'403-245-2814',68064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila A. Valenzuela','701-1670 Eu St.','White Plains','OK','65461',NULL,1232326,'282-684-7389',24697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur R. Harding','Ap #366-3893 Venenatis Street','Amesbury','WI','67122','harding@abc.edu',1232327,'594-776-3601',103699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla A. Bond','Ap #676-7747 Ipsum Rd.','Hidden Hills','WA','96354','ubond@email.net',1232328,'587-182-7571',36494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato E. Douglas','P.O. Box 694, 8022 Lectus. Street','Thousand Oaks','IA','27614','pdouglas@email.net',1232329,'178-656-6364',107015,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius F. Madden','868-1453 Cursus. Av.','Mequon','MT','85702','madden@widget.com',1232330,'416-595-0406',96096,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe V. Boyd','P.O. Box 419, 4567 Augue Rd.','Hartland','GA','75350','phoebeb@email.net',1232331,'153-579-9740',32101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal A. Page','4462 Conubia Av.','Joplin','UT','20417','kamal.page@widget.com',1232332,'953-168-3162',21574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger C. Oneill','5735 Dictum St.','La Jolla','NH','02695','gingero@xyz.edu',1232333,'737-433-6485',83184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt Z. Cunningham','Ap #210-1158 Ut Rd.','South Gate','VA','41253','wyattc@abc.edu',1232334,'949-676-0187',69822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra H. Franklin','769-1043 Quis Rd.','Turlock','UT','78029','franklin@aulnet',1232335,'374-213-8998',29713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonya T. Mcknight','P.O. Box 397, 4411 Aliquet, Avenue','Fairfax','AK','97976',NULL,1232336,'196-379-4922',106884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter D. Carey','7511 Semper. Ave','Omaha','UT','11630','dexterc@yohaa.com',1232337,'428-938-5555',21451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy J. Schmidt','690-2254 Placerat. St.','Dunkirk','MT','30951','schmidt@emailathome.net',1232338,'693-921-9595',24239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julian E. Barrett','Ap #643-9514 Egestas. Av.','Amesbury','IL','71111','barrett@hitmail.com',1232339,'274-867-7877',47112,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine L. Deleon','Ap #332-1490 Felis. Street','Burbank','TX','12483','deleon@hitmail.com',1232340,'606-779-5363',36850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry O. Ayers','P.O. Box 348, 5421 Nisi. Street','Narragansett','NE','37850','henrya@abc.edu',1232341,'344-849-5291',76036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars W. Hickman','155-7107 Nec, Rd.','Kearns','KY','89726',NULL,1232342,'677-922-7613',102005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict O. Horne','683-3177 Curabitur Av.','Sun Valley','OK','02391','horne@xyz.edu',1232343,'218-796-6174',96501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner U. Rasmussen','697-701 Elit. St.','Rolling Hills','IA','03906','tannerr@widget.com',1232344,'398-517-2138',48067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton F. Frost','9544 Arcu. St.','El Cerrito','IA','09679','frost@widget.com',1232345,'161-791-5413',75291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gloria N. Miles','9138 Orci. Ave','Opelousas','VA','12242','miles@email.net',1232346,'219-226-1061',71587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa X. Gomez','Ap #276-4206 Vestibulum Ave','Dearborn','AK','92514',NULL,1232347,'767-987-0031',23650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi R. Franks','Ap #690-3724 Amet, Rd.','Brockton','TX','81283','whoopif@bpmpros.com',1232348,'797-555-3313',57276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John N. Levy','P.O. Box 488, 5067 Felis Av.','Santa Fe Springs','CA','96287','jlevy@hitmail.com',1232349,'561-268-6120',67734,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy A. Harvey','Ap #443-7761 Cras Avenue','Rockville','SD','91487','harvey@abc.edu',1232350,'765-236-4940',28779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim S. Bradford','Ap #248-4256 Primis Rd.','Dothan','NE','34526','bradford@hitmail.com',1232351,'114-879-0154',21765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher F. Kennedy','832 Tristique Rd.','Belpre','NM','87681','asher.kennedy@xyz.edu',1232352,'244-745-1221',39322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hermione R. Phillips','P.O. Box 718, 6468 Scelerisque, Av.','Rockville','NJ','29307','phillips@aulnet',1232353,'199-233-9781',19137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle H. Ellis','9691 Felis Avenue','San Diego','DE','92174','ellis@xyz.edu',1232354,'105-805-7280',36953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra J. Shields','Ap #953-4430 Nascetur Avenue','New London','WA','00893',NULL,1232355,'978-174-9886',30966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martina K. Parker','9030 Sed Rd.','Latrobe','ME','07348',NULL,1232356,'428-725-5338',39521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale Y. Perkins','Ap #819-6256 Tincidunt, Road','Clarksburg','NV','93591','dperkins@email.net',1232357,'939-368-0835',32973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita L. Hines','407-5149 Commodo St.','Agoura Hills','DE','76860','nitah@emailathome.net',1232358,'462-492-6696',61516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna R. Cross','P.O. Box 107, 7799 Malesuada Rd.','Littleton','KY','44610',NULL,1232359,'581-943-3449',23487,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael P. Meyer','884-4757 Erat Av.','Hialeah','UT','25379',NULL,1232360,'191-672-5248',81903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen U. Scott','211-2913 Sollicitudin Rd.','Newton','WY','80815',NULL,1232361,'385-475-9565',86317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn L. Holland','P.O. Box 346, 7135 Eu, Street','New Orleans','MD','37227','autumn.holland@widget.com',1232362,'233-518-8938',57783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla F. Gutierrez','Ap #107-755 Aliquam Av.','Tupelo','IN','67705','gutierrez@abc.edu',1232363,'133-276-6934',95617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie H. Frank','719-4891 Cras Ave','Chattanooga','OH','93560','mfrank@yohaa.com',1232364,'476-409-6742',81193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary O. Rivas','1135 Nec St.','Rocky Mount','KY','54754','rivas@email.net',1232365,'212-258-8997',65375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius V. Compton','Ap #966-4769 Magna. St.','Orange','SD','13668','octaviusc@widget.com',1232366,'523-635-8836',89635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David I. Hale','P.O. Box 447, 5730 Aliquam Rd.','Plattsburgh','KY','16739','david.hale@widget.com',1232367,'598-912-5563',53124,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka E. Washington','Ap #238-8898 Sem. Street','Newport Beach','NE','84701','washington@aulnet',1232368,'531-939-8413',16485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer K. Owen','Ap #876-9623 Penatibus Rd.','Brea','AL','53048','powen@hitmail.com',1232369,'849-381-2191',75405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin Q. Langley','P.O. Box 546, 8555 Ut St.','Oxford','LA','36599','austin.langley@abc.edu',1232370,'638-487-6778',96238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles M. Armstrong','P.O. Box 626, 7540 Metus Rd.','Culver City','CA','44680','mylesa@aulnet',1232371,'271-718-1957',80322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon O. Myers','P.O. Box 748, 2230 Eu, Ave','Clarksville','IA','35289','myers@xyz.edu',1232372,'961-132-8599',62285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie E. Rice','Ap #782-1074 Imperdiet, Road','Rolla','MS','72318','kelsier@aulnet',1232373,'608-569-6005',67460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand B. Kidd','P.O. Box 465, 6863 Leo, Street','Westfield','DC','60643','armand.kidd@bpmpros.com',1232374,'963-661-1207',42519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram V. Doyle','7534 Ipsum Ave','Alexandria','CT','03489',NULL,1232375,'644-949-1052',30183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon X. Dunn','P.O. Box 982, 4940 Est Road','Tuscaloosa','UT','93607',NULL,1232376,'197-631-6807',100485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill B. Barnett','6598 Penatibus Street','North Charleston','CT','05395','mbarnett@widget.com',1232377,'756-565-1382',102884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki S. Freeman','7012 Iaculis Avenue','Little Falls','AZ','67788','freeman@aulnet',1232378,'317-893-4499',71551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton V. Rush','P.O. Box 937, 1879 Dui Rd.','Canton','ND','75743','elton.rush@widget.com',1232379,'622-849-6321',89992,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette K. Armstrong','P.O. Box 753, 3685 Amet, Av.','Hastings','NC','34109','carmstrong@widget.com',1232380,'943-574-3130',61840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah H. Coleman','Ap #367-369 Tellus St.','Thibodaux','AK','69703','lcoleman@emailathome.net',1232381,'903-856-3207',55308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett X. Salas','P.O. Box 771, 2095 Euismod Avenue','Stillwater','AZ','06075','hammett.salas@bpmpros.com',1232382,'879-782-5488',82871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila D. Mcbride','P.O. Box 267, 3881 Ultrices Road','Eatontown','WA','98804',NULL,1232383,'979-758-3308',93167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy N. Ramos','Ap #993-7155 Tellus Street','Raleigh','FL','16104','timothy.ramos@bpmpros.com',1232384,'919-899-5479',96729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone R. Sharpe','P.O. Box 592, 9101 Elit. Rd.','Tonawanda','NE','77683','ssharpe@xyz.edu',1232385,'798-708-6971',53638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene G. Burgess','1592 Lorem, Avenue','Marshfield','DC','02069','joleneb@yohaa.com',1232386,'838-207-0778',49035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda N. Mcbride','Ap #414-4385 Iaculis St.','Nanticoke','IA','42555','mmcbride@email.net',1232387,'625-453-6596',46946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly S. Lucas','P.O. Box 495, 2011 Nullam St.','Sutter Creek','SC','02654',NULL,1232388,'201-835-2878',57985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan U. Maxwell','757-2529 Urna. St.','Pocatello','DC','90002','nathan.maxwell@abc.edu',1232389,'767-877-7020',100368,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail J. Townsend','P.O. Box 163, 6005 Est. Rd.','Newark','SC','92993','atownsend@xyz.edu',1232390,'996-654-5212',44049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius F. Emerson','Ap #209-6520 Laoreet St.','Phenix City','FL','90693','ignatius.emerson@hitmail.com',1232391,'687-583-2477',83265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone A. Adams','P.O. Box 751, 4491 Justo Street','San Antonio','TX','03704','adams@yohaa.com',1232392,'598-185-5787',32536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly X. Larson','7275 Quis Rd.','San Rafael','DE','92343','kimberlyl@bpmpros.com',1232393,'724-164-8623',39310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko A. David','Ap #160-2097 Molestie Ave','Bessemer','WY','13106','ydavid@email.net',1232394,'559-274-2371',22967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne I. Kennedy','184-4990 Velit Ave','Vineland','DC','16839',NULL,1232395,'136-596-5608',18500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela D. Valencia','658-1363 Eu Road','Sierra Vista','OK','83709','pamela.valencia@aulnet',1232396,'739-776-1627',41973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo I. Lynn','752-8752 Metus Rd.','Truth or Consequences','KY','06599','elmo.lynn@widget.com',1232397,'398-938-6047',79593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra Z. Larsen','113-5423 Vestibulum St.','Provo','OR','04310','myral@hitmail.com',1232398,'809-208-0367',51041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck B. Kirkland','P.O. Box 787, 1072 Sit St.','Fountain Valley','RI','50664','beck.kirkland@aulnet',1232399,'175-985-0831',35405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara P. Sloan','Ap #897-3884 Sed Road','Palo Alto','NC','41091','sloan@abc.edu',1232400,'756-732-5156',109954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna F. Rich','508 Lacus. Rd.','Wilkes-Barre','MN','15810','vannar@widget.com',1232401,'919-285-7588',27085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica T. Hunter','Ap #234-3347 Fringilla, Road','Cedar City','WV','42458','hunter@yohaa.com',1232402,'368-388-3631',31378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista H. Witt','P.O. Box 116, 8342 Odio. Road','Morrison','DC','15858','witt@aulnet',1232403,'317-676-8642',38728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston K. Hancock','Ap #993-8078 Enim. Road','San Angelo','AL','17133','hancock@email.net',1232404,'982-398-9747',47149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas P. Baxter','P.O. Box 576, 7996 Eget Road','Raleigh','MT','52870','silasb@xyz.edu',1232405,'904-985-2831',66615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha W. Trujillo','374-3992 Dignissim Avenue','Lansing','TN','37780',NULL,1232406,'661-665-5497',42256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giselle V. Terrell','Ap #878-7639 Dictum Av.','Cody','DC','03831','gisellet@xyz.edu',1232407,'622-283-8473',104540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Minerva F. Chaney','P.O. Box 291, 8628 Vehicula St.','Sacramento','CA','27621','minerva.chaney@emailathome.net',1232408,'563-184-3761',32251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda D. Levy','190-7586 Turpis Ave','Inglewood','KS','32160','hlevy@bpmpros.com',1232409,'782-354-3386',23346,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall H. Ross','999-368 Nec Street','Revere','CO','44386','kendallr@emailathome.net',1232410,'546-338-4828',36376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy I. James','Ap #566-6011 Praesent Street','Williston','MT','64808','james@email.net',1232411,'385-721-9694',61370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden S. Dotson','P.O. Box 782, 9863 Congue Ave','Needham','IN','72346','brenden.dotson@aulnet',1232412,'244-428-1590',35772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate S. Knight','269-4817 Non, Ave','Kemmerer','WV','20602','tknight@bpmpros.com',1232413,'948-283-5116',87114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden Z. Rice','Ap #161-396 Scelerisque Street','Bradford','IL','29640','crice@hitmail.com',1232414,'343-282-3748',104556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila S. Marsh','Ap #821-6042 Vulputate Street','Hamilton','UT','11031','lilam@aulnet',1232415,'672-824-0053',96029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing U. Dunlap','377-1579 Augue Av.','Clarksville','CO','93015',NULL,1232416,'146-617-5315',60912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan I. Watts','P.O. Box 258, 394 Convallis St.','Newport News','MS','59353','watts@widget.com',1232417,'468-415-0315',81965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia E. Burton','Ap #643-2905 Fusce St.','Oklahoma City','RI','24084','burton@aulnet',1232418,'447-815-1202',65661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl G. Riddle','549-9696 Cum Avenue','West Allis','CO','85810',NULL,1232419,'905-442-2573',88280,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin H. Melendez','Ap #527-2845 Sem Road','White Plains','WI','04590','melendez@bpmpros.com',1232420,'412-416-8580',23897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah W. Hopper','P.O. Box 371, 4451 Semper St.','Port Arthur','RI','79684','latifahh@hitmail.com',1232421,'275-586-9027',67847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur Q. Sawyer','Ap #989-3263 Et Street','Pasco','IN','04084','asawyer@yohaa.com',1232422,'769-844-3303',47511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth X. Boone','Ap #148-1770 Orci Avenue','Bay City','AZ','32147','gboone@xyz.edu',1232423,'322-981-7340',75639,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah Z. Haley','3363 Gravida. Rd.','Hampton','MA','44027',NULL,1232424,'332-964-1522',36417,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin H. Peters','Ap #254-2305 Augue Street','Canton','AZ','49093','kirestinp@widget.com',1232425,'122-353-3264',82746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd Y. Park','P.O. Box 690, 7263 Sodales Road','Tupelo','TN','84534',NULL,1232426,'638-659-9122',46323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade B. Reese','2475 Etiam Rd.','Tamuning','GA','17516','slader@emailathome.net',1232427,'169-523-2881',95410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow D. Hawkins','3361 Mauris Street','Ashland','KY','25186',NULL,1232428,'938-545-4977',32520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary J. Mccoy','6248 Felis Rd.','Shelton','AZ','08430','mccoy@hitmail.com',1232429,'958-643-4969',52789,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah E. Page','Ap #229-8495 Tellus Road','Fajardo','WA','99208','lpage@hitmail.com',1232430,'748-797-3398',42566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah R. Rice','199 Lorem, Rd.','Savannah','NH','80190','mrice@widget.com',1232431,'121-905-7745',26745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya Y. Larson','Ap #788-4477 Cursus. St.','Claremont','NM','16606','rlarson@hitmail.com',1232432,'807-838-7335',20792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl E. Bradley','P.O. Box 650, 8120 Cras Rd.','Somerville','ME','97013','pbradley@emailathome.net',1232433,'629-437-3651',103491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen Z. Norton','P.O. Box 240, 3931 Tincidunt Ave','Frankfort','RI','14111','snorton@hitmail.com',1232434,'235-855-2815',59936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora K. Olsen','313-1405 Diam Road','Moline','MD','17031',NULL,1232435,'243-478-2324',30849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid Q. Barrett','P.O. Box 814, 969 Ante Ave','Kankakee','AK','47854','barrett@email.net',1232436,'986-239-5077',52013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena O. Cochran','P.O. Box 625, 9530 Lectus, Street','Duarte','ME','42689',NULL,1232437,'645-531-6601',84335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer D. Thomas','Ap #204-3143 Neque. St.','Sunbury','OH','03745','pthomas@xyz.edu',1232438,'536-171-6002',81749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert L. Hurley','Ap #594-4464 Sagittis Road','Delta Junction','NC','30243','berth@xyz.edu',1232439,'198-524-5942',19037,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan T. Joyner','P.O. Box 522, 3126 Id, Avenue','Quincy','AL','64005','keeganj@widget.com',1232440,'348-347-7613',77874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly S. Martinez','737-9980 Tincidunt St.','Newport','FL','10385','kmartinez@xyz.edu',1232441,'491-648-9856',65421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin F. Bender','2868 Aliquam Rd.','Paramount','KY','91933','mbender@aulnet',1232442,'163-602-6664',69587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani H. Austin','275-8749 Adipiscing Ave','West Lafayette','CA','41343','jaustin@abc.edu',1232443,'377-339-8415',20303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius Q. Aguilar','2032 Ac St.','Pittston','HI','14789','aguilar@abc.edu',1232444,'813-241-8747',76947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas E. Stuart','P.O. Box 591, 7974 Tortor Rd.','Cudahy','MI','63488','silas.stuart@email.net',1232445,'268-182-2211',16088,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary R. Torres','4314 Enim, Av.','High Point','AL','24110','torres@widget.com',1232446,'569-486-2943',35058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela I. Knowles','P.O. Box 474, 6737 Tempus St.','Anderson','ID','20554','knowles@xyz.edu',1232447,'766-325-7129',20813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan H. Dunlap','Ap #259-9280 Nunc Ave','South Gate','NJ','86217','mdunlap@emailathome.net',1232448,'863-628-9536',77598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Larissa S. Moon','6868 Lobortis. Avenue','Oneonta','NJ','44133','lmoon@xyz.edu',1232449,'864-641-8137',22350,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sharon U. Bradshaw','305-9295 Donec Ave','Fort Lauderdale','HI','84529',NULL,1232450,'753-616-2671',90268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aiko W. Stark','Ap #437-6367 Et, Avenue','Bangor','NJ','81366','aikos@widget.com',1232451,'896-658-2745',51783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady E. Mosley','P.O. Box 146, 4878 Sem. Rd.','Perth Amboy','MA','06188','cassady.mosley@abc.edu',1232452,'455-341-9981',76685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine A. Nixon','P.O. Box 735, 8424 Parturient Street','El Paso','PA','14721','nixon@yohaa.com',1232453,'809-355-5954',103009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India O. Newton','Ap #372-6606 Dolor Road','Shawnee','AL','78092','indian@email.net',1232454,'714-624-8783',89416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden S. Stout','618-8817 Sodales Rd.','Topeka','UT','80868','gstout@aulnet',1232455,'862-675-2980',89370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge O. Hernandez','832-8399 Erat. Street','Michigan City','ME','22112',NULL,1232456,'182-843-5177',30643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis Y. Powers','Ap #358-4509 Inceptos St.','San Fernando','CO','40872','lpowers@widget.com',1232457,'995-977-8193',45337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando M. Boyd','645-9794 Rhoncus. Av.','Waukegan','VT','97047','oboyd@xyz.edu',1232458,'929-915-8827',18983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee J. Carey','2723 Mattis Street','Batavia','IN','27497',NULL,1232459,'203-895-8863',83164,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee M. Mcguire','Ap #968-7150 In Av.','St. Marys','SD','08936','mcguire@widget.com',1232460,'424-636-4213',21991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama U. Parrish','950-977 Velit Street','Tonawanda','VA','77686','ramap@bpmpros.com',1232461,'613-136-6621',103765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil A. Howell','4814 Sapien. St.','Knoxville','AK','93370','gilh@hitmail.com',1232462,'238-709-9036',82950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia V. Silva','988-3391 Imperdiet St.','Kearney','SC','82485','asilva@emailathome.net',1232463,'856-995-6946',18308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley T. Eaton','Ap #846-3122 Malesuada St.','Sunbury','SD','64246','reaton@yohaa.com',1232464,'623-588-3730',85259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae U. Ochoa','Ap #486-593 Hendrerit Avenue','Bristol','IL','09264','rochoa@xyz.edu',1232465,'512-244-6229',18855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly U. Acosta','Ap #900-6284 Non, Ave','Bentonville','KS','50160','acosta@xyz.edu',1232466,'535-946-1997',31044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade F. Randall','9851 Cum Ave','Joliet','NE','61787','cader@yohaa.com',1232467,'794-847-2428',71614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron J. Reeves','P.O. Box 566, 5786 Auctor Avenue','Sturgis','MO','04366',NULL,1232468,'144-848-6958',50414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby Z. Payne','341-3750 Integer Rd.','Kingston','SC','25639','rpayne@xyz.edu',1232469,'906-159-9975',102067,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen H. Hurst','228-6485 Ut, St.','Murfreesboro','MD','19344','hurst@yohaa.com',1232470,'984-989-0399',49067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada H. Maxwell','Ap #326-2189 Fames St.','Seattle','MD','88408','nevadam@emailathome.net',1232471,'843-837-8168',69148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kristen Y. Stevenson','P.O. Box 393, 4893 Class Rd.','Ruston','NH','95074','kristens@hitmail.com',1232472,'573-325-1629',91660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly J. Sharpe','705-1677 Leo. Ave','Longview','WY','53858','shelly.sharpe@widget.com',1232473,'833-416-6307',109641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve U. Reed','P.O. Box 620, 3091 Mauris Rd.','Latrobe','ID','21284',NULL,1232474,'234-176-3820',34318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery F. Sanford','P.O. Box 794, 1698 Nulla. Rd.','Cohoes','KY','69680','emerys@hitmail.com',1232475,'965-108-0744',70657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie U. Irwin','5660 Eu, Street','Spokane','WY','16482','irwin@xyz.edu',1232476,'452-448-9587',72334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary B. Chase','Ap #123-7810 Amet Av.','Sanford','AL','06613','mchase@widget.com',1232477,'206-558-9968',61027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene C. Mckay','P.O. Box 439, 5947 Rhoncus Ave','Ontario','MD','47143','mckay@abc.edu',1232478,'867-964-4114',26849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana P. Gibbs','Ap #471-7044 In Avenue','Sioux Falls','SC','16963','rana.gibbs@widget.com',1232479,'107-865-7282',54694,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana O. Patterson','P.O. Box 206, 9806 Morbi St.','South Pasadena','NE','39156',NULL,1232480,'211-317-0728',19968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin M. Caldwell','P.O. Box 155, 8883 Sed Av.','Chicopee','FL','75705','caldwell@xyz.edu',1232481,'852-162-2893',72691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee R. Daugherty','P.O. Box 602, 2046 Semper Road','Catskill','NM','79355','cdaugherty@bpmpros.com',1232482,'151-902-9732',68563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan E. Maldonado','8153 Nec Av.','Cape May','WV','19447','duncan.maldonado@yohaa.com',1232483,'473-878-8690',72433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mia V. Hobbs','464-1823 Ornare. Ave','Champaign','ID','13623','mia.hobbs@aulnet',1232484,'172-444-2121',95617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton L. Delacruz','200-3683 Nulla. Rd.','Norfolk','MT','75098','clinton.delacruz@hitmail.com',1232485,'723-794-1383',70323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca L. Leon','1999 Enim, Ave','Ithaca','DE','78355','bianca.leon@xyz.edu',1232486,'865-737-9073',27953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree N. Castaneda','P.O. Box 217, 5792 Aliquet Street','Sandy Springs','AL','10098','bcastaneda@aulnet',1232487,'355-219-8478',62105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine Q. Cobb','P.O. Box 368, 6048 Est Road','Cleveland','MA','49160','cobb@aulnet',1232488,'259-504-6235',80805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady E. Higgins','2014 Orci Rd.','Watertown','WI','19713','higgins@aulnet',1232489,'639-755-5069',84709,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah I. Frazier','Ap #741-295 Nisl. Road','Gilette','NE','47866','frazier@hitmail.com',1232490,'579-209-8654',76540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blake J. Hester','Ap #517-1615 Nunc Ave','Ithaca','FL','73020','bhester@widget.com',1232491,'887-467-6664',41551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor Y. Webster','303-1093 Mauris Road','Yuma','OH','84158','cwebster@emailathome.net',1232492,'279-166-4230',101560,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison E. Macdonald','P.O. Box 526, 8796 Dictum. Rd.','Jefferson City','OH','32826','macdonald@hitmail.com',1232493,'185-264-2297',61548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn K. Russo','Ap #571-8644 Tristique Road','Pocatello','WY','67509','russo@xyz.edu',1232494,'436-411-6849',21763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson O. Nguyen','1226 Placerat Rd.','Shamokin','NV','26443',NULL,1232495,'294-137-7797',56324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon J. Dudley','P.O. Box 463, 4887 Erat Ave','Lexington','LA','92018','quond@abc.edu',1232496,'452-656-6934',82054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil D. Crane','Ap #970-1773 Metus Rd.','Mandan','LA','72364',NULL,1232497,'484-846-3910',99346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura P. Kirk','Ap #150-1849 Ante. Ave','Dothan','AK','39712','kirk@bpmpros.com',1232498,'277-561-2066',18027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador X. Rivas','Ap #402-9900 Justo Street','Durango','MD','45285',NULL,1232499,'197-275-6359',55563,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz L. Mitchell','511-6841 Libero Road','Thomasville','SC','18663','cruzm@aulnet',1232500,'848-936-0017',58977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan X. Nunez','973-7152 Sem Street','Pulaski','MA','20749','nnunez@abc.edu',1232501,'403-342-1772',98731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine I. White','P.O. Box 512, 9493 Ante, Rd.','Moore','MA','80901','shainew@yohaa.com',1232502,'741-153-3934',82912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden P. Pennington','5118 Proin Ave','Gadsden','DC','73902','bpennington@yohaa.com',1232503,'994-168-1733',22765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra O. Robles','607-8703 Aliquam Avenue','West Springfield','MO','63547',NULL,1232504,'559-553-5116',104712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima A. Booker','Ap #723-7705 Ante Av.','Sunnyvale','IL','70143','jemimab@abc.edu',1232505,'681-231-5841',21782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk A. Sims','P.O. Box 776, 7995 Dolor. Avenue','Nome','MI','72342','kirks@xyz.edu',1232506,'596-276-2178',19444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden D. Alvarado','P.O. Box 759, 7959 Ac Av.','Clarksburg','MS','91363','camdena@aulnet',1232507,'606-292-2784',104249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra Z. Gibbs','P.O. Box 473, 2192 Ut Road','Dover','DE','65257','gibbs@bpmpros.com',1232508,'512-227-3285',20321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha Z. Austin','9111 Risus. Road','Plattsburgh','CA','34971','marthaa@hitmail.com',1232509,'596-358-3610',16004,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona O. Valencia','Ap #523-7657 Tortor Rd.','Visalia','MN','59584',NULL,1232510,'566-153-2006',87673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel U. Pruitt','219-2255 Fermentum Rd.','Trenton','NJ','06456','pruitt@aulnet',1232511,'142-507-5697',80511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea L. Hull','P.O. Box 939, 8580 Tincidunt St.','Mesquite','AK','60277','althea.hull@abc.edu',1232512,'734-875-3818',59164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle E. Mcneil','Ap #495-2743 Molestie St.','Sister Bay','LA','41812','briellem@emailathome.net',1232513,'289-913-6989',88526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline G. Salazar','361-4909 Ante. Road','Ada','OR','18250','acqueline.salazar@emailathome.net',1232514,'163-343-1668',68687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India I. Salinas','Ap #601-464 Eleifend, Rd.','Wichita','TX','52861',NULL,1232515,'123-285-3384',107844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane O. Fry','3314 Et, St.','Reedsport','MN','47343',NULL,1232516,'629-722-9405',89191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila H. Gordon','Ap #949-7133 Tincidunt, Av.','Portland','TN','29276','gordon@abc.edu',1232517,'519-239-8618',17040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane U. Frost','P.O. Box 155, 4907 Ante Ave','Palm Springs','AL','82811','danef@yohaa.com',1232518,'188-697-7276',100161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone X. Henry','Ap #783-3990 Donec Ave','Sandy Springs','SD','80863','simoneh@widget.com',1232519,'775-853-4502',94252,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita S. Sanchez','Ap #701-9458 Enim St.','Harrisburg','MA','22602','nita.sanchez@emailathome.net',1232520,'576-341-0034',76333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve M. Parrish','P.O. Box 628, 7395 Non, Rd.','Stafford','IL','60392','evep@emailathome.net',1232521,'105-672-7218',46395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jesse Z. Giles','828-5635 Sem St.','Orlando','MD','69739',NULL,1232522,'223-227-7085',37379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur O. Haney','Ap #407-7666 Sed Ave','Yukon','DE','56125','ahaney@yohaa.com',1232523,'956-188-2050',22098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle I. Mcconnell','1155 Dictum Avenue','Peabody','MA','45701',NULL,1232524,'424-928-5364',71965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe Q. Armstrong','P.O. Box 225, 712 A Rd.','Concord','AL','46382','phoebea@email.net',1232525,'294-527-5450',84095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian I. Koch','8589 Tincidunt Rd.','Asheville','FL','30224','koch@abc.edu',1232526,'863-173-4241',84142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby V. Reese','916-675 Id, St.','Stafford','UT','09949','shelby.reese@abc.edu',1232527,'374-237-2096',42126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett A. Spence','7760 Phasellus Rd.','Ocean City','DC','05696',NULL,1232528,'591-518-8315',66712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado G. Hickman','P.O. Box 563, 9549 Fusce Ave','Pueblo','KY','54059','colorado.hickman@email.net',1232529,'746-337-7545',93370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell J. Berger','Ap #436-2547 Metus. Rd.','Port St. Lucie','VT','29873','berger@email.net',1232530,'923-679-8055',70753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra K. Calhoun','6040 Orci St.','Passaic','ME','18150','acalhoun@yohaa.com',1232531,'138-422-7886',87256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha I. Cline','905-9835 Tellus. Street','Paducah','ND','05214','tasha.cline@aulnet',1232532,'475-504-8346',40272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery A. Cummings','709-6546 Phasellus Road','Slidell','NH','22837','ecummings@hitmail.com',1232533,'242-627-0309',80206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall Y. Mckinney','385 Donec Av.','Dallas','KY','12475','kendallm@xyz.edu',1232534,'758-574-6353',57155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey L. Ingram','P.O. Box 557, 8399 Nisi St.','St. Marys','MS','85908','stacey.ingram@hitmail.com',1232535,'474-233-6053',53412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden W. Pittman','585-2058 Dolor. St.','Gardner','AZ','59234','bpittman@bpmpros.com',1232536,'233-617-7494',60038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah W. Ratliff','Ap #630-6786 Sit Rd.','Alexandria','CT','19578',NULL,1232537,'703-946-5533',109881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis M. Roman','420-339 Nulla Rd.','Benton Harbor','WV','05424','dennis.roman@xyz.edu',1232538,'993-706-6522',22871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keiko C. Murphy','Ap #586-9906 Pellentesque, Rd.','Turlock','VT','87092',NULL,1232539,'517-511-1168',78616,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley T. Chan','1832 Quisque Av.','El Paso','ME','26224',NULL,1232540,'934-385-0361',61083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer J. Reed','Ap #331-9945 Et, Rd.','Glendora','CA','48874',NULL,1232541,'209-243-3284',68262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan B. Leon','880-8949 Aliquet Street','Vernon','CT','20869','leon@email.net',1232542,'744-854-9973',31717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith T. Riggs','4650 Amet Street','Moorhead','FL','14336','riggs@aulnet',1232543,'424-498-8831',89058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter D. Todd','1859 Est Rd.','Minneapolis','FL','71322','dextert@yohaa.com',1232544,'866-508-8486',35808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge K. Young','608-7069 Ut Street','San Antonio','MN','68349',NULL,1232545,'763-538-0378',88924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois Z. Juarez','734-7489 Per Rd.','Prescott','IL','73831','loisj@hitmail.com',1232546,'382-954-5825',33668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden Z. Gilmore','9351 Lorem, Av.','Fredericksburg','ME','19566','gilmore@email.net',1232547,'841-178-1635',32248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine R. Sykes','P.O. Box 432, 6246 Aliquet. Avenue','Statesboro','KY','71281',NULL,1232548,'747-697-6667',42536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir M. Guthrie','P.O. Box 623, 2209 Interdum. Street','Corona','WV','23205','zahir.guthrie@emailathome.net',1232549,'587-224-7123',91041,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade C. Clements','Ap #999-8118 In Rd.','Providence','NH','58982','sadec@hitmail.com',1232550,'388-765-9997',29082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron Y. Bruce','P.O. Box 814, 8380 Non, Street','Nampa','SC','36295','cbruce@hitmail.com',1232551,'377-556-1210',35371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen J. Riggs','286-1749 In Av.','Great Falls','AL','76213','riggs@email.net',1232552,'508-786-2323',74580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison V. Holden','P.O. Box 676, 902 Cras St.','Lubbock','TX','82869','holden@emailathome.net',1232553,'182-681-3665',20791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan R. Wiggins','Ap #692-6048 Vitae, Road','Rancho Cucamonga','IA','19191','twiggins@bpmpros.com',1232554,'961-143-6330',16790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery C. Meyer','2017 Quis, Rd.','Wynne','IA','01222','amery.meyer@bpmpros.com',1232555,'233-439-4337',109947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman A. Butler','Ap #834-1311 Vel St.','Douglas','NH','81893','normanb@bpmpros.com',1232556,'116-359-6981',41063,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel H. Thomas','721-2060 Eu, St.','Watervliet','MO','06498','thomas@abc.edu',1232557,'382-307-6662',71090,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem W. Henson','P.O. Box 734, 3408 Nulla Street','Juneau','MD','98594','henson@hitmail.com',1232558,'993-284-5911',72044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha E. Harper','P.O. Box 179, 1192 Libero Av.','Connellsville','SC','19008','sharper@xyz.edu',1232559,'603-506-7802',93841,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe L. Grimes','Ap #422-5616 Id, Ave','Palo Alto','MI','21540','grimes@aulnet',1232560,'559-163-6683',67724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee K. Montgomery','1063 Cursus. St.','Rock Springs','MI','19991','sydneem@hitmail.com',1232561,'146-201-1063',84104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo C. Collier','Ap #363-1552 Nunc St.','Redondo Beach','CO','56866','giacomoc@email.net',1232562,'867-813-0141',35913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine Y. Knowles','P.O. Box 429, 7694 Elementum, Ave','San Mateo','NC','71038','blainek@abc.edu',1232563,'895-662-5756',97593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine C. Rivas','P.O. Box 542, 9803 Eget Street','Blacksburg','TX','56428','vrivas@bpmpros.com',1232564,'557-352-9134',101795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas U. Bradley','8227 Laoreet, Av.','Champaign','VA','01886','silas.bradley@abc.edu',1232565,'539-476-0111',20807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica O. Knowles','Ap #999-1651 Lacus. Road','Louisville','UT','72774','ericak@abc.edu',1232566,'762-292-5765',98861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rowan Y. Richards','404-6488 Vitae Street','Catskill','KY','27390','rowan.richards@yohaa.com',1232567,'175-747-9485',36750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan C. Campos','P.O. Box 489, 1891 Diam. Avenue','Merced','RI','16334','jcampos@hitmail.com',1232568,'635-701-5565',108607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah F. Best','372-1219 Auctor, St.','Henderson','OR','51667','josiahb@yohaa.com',1232569,'992-626-4369',97049,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin W. Joyner','P.O. Box 844, 7642 Lorem Rd.','Hoboken','CT','81732','joyner@hitmail.com',1232570,'391-392-9183',60568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette I. Fulton','P.O. Box 683, 3645 A Av.','Easton','MS','69441','jenette.fulton@hitmail.com',1232571,'285-585-7767',99550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh J. Best','Ap #821-2017 Adipiscing Road','Turlock','MI','96856','karleigh.best@email.net',1232572,'298-483-7675',52834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane H. Eaton','Ap #970-7245 Morbi Street','Hartford','RI','24411',NULL,1232573,'368-566-8595',31566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle O. Case','1472 Praesent Road','Rialto','MT','88310',NULL,1232574,'863-989-7354',26113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin S. Grant','8471 Faucibus. St.','Dana Point','IN','02451',NULL,1232575,'483-478-6775',65772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal Z. Cherry','887-5467 Purus Street','Hermosa Beach','OR','00903','acherry@abc.edu',1232576,'454-747-1258',104333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis M. Hoover','575-8811 Nisi. Rd.','Saint Albans','MD','18719','francis.hoover@widget.com',1232577,'723-286-8230',60725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael K. Vargas','6771 Porttitor Road','Whittier','KY','16227',NULL,1232578,'109-972-2898',85469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna U. Dixon','Ap #256-5242 Nec St.','Bethlehem','AK','43950','donna.dixon@emailathome.net',1232579,'277-387-2584',55192,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney E. Gamble','8830 Odio Rd.','San Angelo','OH','71485','sigourneyg@xyz.edu',1232580,'971-998-6163',54888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria W. Cooke','P.O. Box 847, 1960 Placerat, St.','Roswell','SC','41822','dcooke@abc.edu',1232581,'418-388-1777',103553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda J. Buckner','P.O. Box 371, 3782 Tempus Street','Jeffersonville','CT','96747','heddab@email.net',1232582,'671-988-1663',53798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna I. Bryan','Ap #449-5428 Dui, Street','Valparaiso','OH','84570','gbryan@abc.edu',1232583,'318-988-8660',47340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric T. Guerrero','P.O. Box 470, 7060 Nec Rd.','Salisbury','SC','41036','eguerrero@hitmail.com',1232584,'607-926-7146',93117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau E. Nolan','664 Velit. St.','Macon','AL','72447','bnolan@xyz.edu',1232585,'651-312-9035',91816,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly L. William','P.O. Box 551, 4711 Nec St.','Chelsea','MA','49912','karly.william@bpmpros.com',1232586,'461-921-2321',50688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis E. Peterson','Ap #516-7685 Donec Ave','Reading','WI','37577','louis.peterson@xyz.edu',1232587,'591-861-8810',37826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton Q. Dillon','742 Ipsum. Avenue','Oneonta','MA','14608','dillon@abc.edu',1232588,'466-216-1931',89859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark V. Fowler','P.O. Box 154, 5834 Orci, Rd.','Avalon','TX','21146',NULL,1232589,'855-212-3285',35115,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally Z. Pickett','8002 Metus. St.','Oshkosh','WA','97860','cpickett@bpmpros.com',1232590,'185-769-2814',33343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden S. Farmer','616-7849 Non Road','Latrobe','MA','34431','gfarmer@xyz.edu',1232591,'302-486-0453',41168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy M. Roberson','P.O. Box 659, 4902 Sed St.','Odessa','FL','68292','roberson@emailathome.net',1232592,'725-926-3124',70090,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda W. Raymond','581-5937 In Rd.','Macomb','DC','33391','rhondar@email.net',1232593,'695-329-2556',75382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato F. Barnes','P.O. Box 140, 3326 Malesuada. Av.','Honolulu','NH','79003','barnes@emailathome.net',1232594,'405-191-2195',81402,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn I. Colon','Ap #802-314 Fusce Street','New Orleans','TN','42912','jcolon@yohaa.com',1232595,'126-421-4217',58975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery E. Fields','759-7064 Sit Rd.','Aurora','MT','30673','fields@widget.com',1232596,'686-612-0424',79354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilary D. Cline','964-9407 Nulla. Rd.','Sandpoint','OH','23554','hilary.cline@bpmpros.com',1232597,'227-814-4254',81759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson J. Whitfield','Ap #712-6157 Cubilia St.','Seattle','NY','31455',NULL,1232598,'901-238-9514',95715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie O. Vazquez','7557 Nascetur Av.','Asbury Park','MN','20184',NULL,1232599,'439-931-9547',62581,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes Y. Thomas','3807 Eleifend Rd.','Brockton','OR','77240','xerxes.thomas@bpmpros.com',1232600,'469-803-7967',104081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran R. Conway','Ap #624-9925 Venenatis St.','Clairton','MI','16194','cameranc@emailathome.net',1232601,'535-894-6063',108172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fuller X. Butler','Ap #226-4996 In Street','Columbia','OK','18635','butler@email.net',1232602,'829-364-0686',77752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan Q. Arnold','Ap #413-4753 Magna, St.','Chico','MS','24733','arnold@xyz.edu',1232603,'478-298-3624',44319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony Z. Butler','Ap #504-2990 Magna. St.','Cincinnati','SC','27651','anthony.butler@aulnet',1232604,'485-753-8512',37363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon O. Prince','Ap #987-245 Augue Av.','Butler','MI','20657','gannonp@abc.edu',1232605,'309-785-4473',20770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara H. Morin','6299 Faucibus Road','East St. Louis','LA','40572',NULL,1232606,'638-478-4478',98146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire F. Morrison','5628 Litora Rd.','Rolla','IL','57972','morrison@abc.edu',1232607,'139-394-1419',95814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe S. Noble','669-1442 Semper Av.','Trenton','MO','70028','knoble@bpmpros.com',1232608,'101-141-4445',95914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah S. Kirby','560-566 Dui. St.','San Fernando','DE','68349','lkirby@yohaa.com',1232609,'468-578-5199',70314,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira L. Lane','P.O. Box 210, 2018 At St.','Miami Beach','NY','74043',NULL,1232610,'483-851-2297',59495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda B. Ramos','440-2922 Sed Street','New Orleans','MO','17591','vedar@widget.com',1232611,'634-917-7779',19083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin N. Reid','Ap #155-7732 Ullamcorper, Rd.','Aurora','MI','95802','reid@emailathome.net',1232612,'494-938-8556',41865,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine I. Mercer','8179 Eros. Road','Tempe','MD','43712','gmercer@hitmail.com',1232613,'394-533-8267',32322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio V. Floyd','836-7681 Semper, Rd.','Seattle','NC','04357',NULL,1232614,'161-354-8967',33680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn J. Hunt','P.O. Box 164, 4096 Non, Ave','Norwalk','VT','57152','gwendolyn.hunt@emailathome.net',1232615,'509-671-9237',34098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau K. Irwin','527 Vitae Avenue','Pasadena','WI','60205','beaui@hitmail.com',1232616,'122-283-2492',47818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David C. Miles','Ap #861-1929 Faucibus Ave','Laughlin','NM','63223','dmiles@email.net',1232617,'539-551-7429',92929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean E. Clark','951-5258 Purus Av.','Scottsdale','SC','49402','dclark@bpmpros.com',1232618,'726-355-7154',69025,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby K. Hood','Ap #641-4187 Sed Rd.','Savannah','NE','36975','hood@yohaa.com',1232619,'478-205-3591',86766,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten I. Moon','Ap #560-6902 Sollicitudin St.','Elkhart','CO','60706','moon@yohaa.com',1232620,'673-151-2555',28193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra X. Pollard','P.O. Box 573, 4467 Nam Road','Virginia Beach','AK','12282','pollard@aulnet',1232621,'989-652-7029',76552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie U. Knapp','Ap #584-6084 Dolor Street','Torrington','AK','11024','knapp@xyz.edu',1232622,'306-386-9476',66665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur E. Mccormick','3486 Nunc St.','Geneva','NC','59930','amccormick@emailathome.net',1232623,'243-674-2028',109365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses R. Mcneil','P.O. Box 477, 6047 Faucibus Ave','Glendora','MD','08667','mosesm@email.net',1232624,'608-742-2145',33968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga F. Gilmore','6314 Lacus. Avenue','Newport News','CA','44115','nomlanga.gilmore@xyz.edu',1232625,'972-722-5056',46070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa V. Charles','P.O. Box 199, 2887 Nunc Av.','Carson','WI','09944','nyssa.charles@bpmpros.com',1232626,'259-231-9515',74574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle Y. Conner','3543 Dictum Road','DuBois','WY','14484','noellec@bpmpros.com',1232627,'489-806-6287',29685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine R. Strong','678 Nunc Rd.','Annapolis','GA','48899','jermaines@bpmpros.com',1232628,'348-787-7582',42931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery A. Charles','8617 Adipiscing Rd.','Rhinelander','MO','59683',NULL,1232629,'574-597-3751',55239,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric S. Velez','4941 Aliquam, Avenue','Clarksville','MT','28704','cvelez@bpmpros.com',1232630,'773-121-4702',22737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga E. Robertson','P.O. Box 871, 4302 Ipsum Avenue','Bismarck','OR','23351',NULL,1232631,'156-739-7592',44903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley K. Hester','Ap #842-1623 Sociis St.','Pittsfield','ND','44067','hester@abc.edu',1232632,'419-476-1149',81520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira A. Chang','159-7828 Maecenas Rd.','Ypsilanti','VT','55490','ichang@hitmail.com',1232633,'568-988-3634',86180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Summer L. Horton','736-1995 Eget, Rd.','Sutter Creek','RI','69524','summer.horton@xyz.edu',1232634,'124-683-5708',49715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley C. Hanson','Ap #631-4444 Morbi Av.','Arcadia','IA','06775',NULL,1232635,'499-424-0055',93176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie E. Hurley','334-6787 Dolor Av.','Stillwater','TX','17723','hurley@aulnet',1232636,'698-998-3113',36380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan B. Ware','P.O. Box 364, 2588 Lectus Road','Mayag?ez','NV','40357',NULL,1232637,'172-779-6679',91055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy A. Franklin','P.O. Box 937, 6609 Tellus. Street','Franklin','HI','78218','timothy.franklin@widget.com',1232638,'676-658-3279',101339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kristen S. Strickland','Ap #182-4460 Dui. St.','Santa Fe Springs','AK','20908','strickland@hitmail.com',1232639,'327-894-4417',81649,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne P. Perry','989-7902 Parturient Rd.','Bandon','CA','13933','wynnep@xyz.edu',1232640,'932-259-9523',108546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaden R. Church','944-4980 Magna. Avenue','New Haven','WA','05518','jadenc@hitmail.com',1232641,'542-584-6425',104223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn Y. Woods','Ap #451-632 Odio, St.','Tuscaloosa','KS','28123','karynw@hitmail.com',1232642,'732-384-7663',21298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine A. Warner','4242 Non, Avenue','Blacksburg','NE','41693','warner@email.net',1232643,'516-881-0183',95940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah F. Bentley','P.O. Box 612, 4430 Magna. Avenue','Berkeley','MO','06348',NULL,1232644,'142-568-3584',76834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim N. Rowland','Ap #792-8556 Nonummy Av.','Springfield','KY','81188','nissimr@widget.com',1232645,'436-488-9463',104610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn P. Rollins','P.O. Box 487, 4571 Ipsum Rd.','Santa Barbara','GA','55537','rollins@email.net',1232646,'726-262-5495',96426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik U. Tyler','439-2968 Vitae Ave','Layton','SD','00956','tyler@yohaa.com',1232647,'594-319-3719',35009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin B. Kent','8838 Cubilia Road','Bremerton','IL','70100',NULL,1232648,'206-855-2871',32186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin D. Figueroa','Ap #803-1240 Vel Road','Asbury Park','NC','92563','justinf@xyz.edu',1232649,'774-871-6259',21661,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony G. Blankenship','550-7504 Etiam Road','Albuquerque','IN','98181','ebony.blankenship@bpmpros.com',1232650,'754-428-2989',35511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani H. Stanley','Ap #548-3173 Quis Avenue','Vallejo','WY','29927','imanis@xyz.edu',1232651,'209-854-2715',85684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity Y. Kline','P.O. Box 269, 3273 Nibh Road','Salt Lake City','ND','66696','amityk@abc.edu',1232652,'614-723-6869',72492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder J. Kim','413-3866 Aliquam St.','Mesa','NE','23090','kim@xyz.edu',1232653,'786-301-0237',24158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma S. Newman','P.O. Box 687, 1774 Lorem St.','Guthrie','AL','52275','wnewman@aulnet',1232654,'366-953-2523',98663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra Z. Bailey','Ap #389-8567 Ante, Ave','Quincy','WI','95058','bailey@emailathome.net',1232655,'324-591-5427',22174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko Y. Boyd','6385 Non St.','Santa Rosa','NM','39649',NULL,1232656,'344-167-4265',88015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett O. Reid','Ap #239-3711 Mauris Street','Riverton','CA','79208','reid@abc.edu',1232657,'948-292-2697',95453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley Q. Farrell','P.O. Box 884, 3152 Quam. St.','San Mateo','AK','16186','kimberleyf@hitmail.com',1232658,'485-333-4257',94523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira R. Kelley','690-8112 In, Ave','La Habra','MT','57864','indira.kelley@hitmail.com',1232659,'941-336-5699',101053,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris T. Parker','870-9658 Erat St.','Provo','MT','08456','iparker@abc.edu',1232660,'322-273-4089',87089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby R. White','170-8603 Nonummy Rd.','Sierra Vista','WA','45744','qwhite@aulnet',1232661,'202-533-6050',32214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato Y. Beasley','Ap #442-6858 At St.','Alexandria','MN','33489',NULL,1232662,'235-446-7794',94913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn A. Kim','1118 Mi, Rd.','Modesto','NV','59743','kim@widget.com',1232663,'282-295-5392',27754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May O. Clark','P.O. Box 567, 6226 Felis Ave','New Britain','MS','02461',NULL,1232664,'305-486-5811',35277,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio J. Giles','2285 Arcu. Rd.','Covina','WI','52572','arseniog@aulnet',1232665,'729-949-3880',51202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman N. Cotton','2853 Justo Street','Yukon','KY','51937','norman.cotton@widget.com',1232666,'295-567-3513',106220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir A. Carey','P.O. Box 881, 7934 Eleifend Av.','Las Cruces','OK','02664','zahirc@widget.com',1232667,'692-896-2636',31895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor D. Walton','P.O. Box 823, 9468 Enim St.','Greenfield','ND','38340','iwalton@aulnet',1232668,'105-706-5927',70448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina T. Holt','4056 A, Road','La Palma','AZ','38122','kholt@xyz.edu',1232669,'957-157-4280',86094,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon O. Evans','1530 Feugiat Av.','Riverton','LA','80324','evans@xyz.edu',1232670,'337-533-1389',94722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite X. Riddle','P.O. Box 419, 9526 Elit Rd.','Wilkes-Barre','KY','71852','ariddle@bpmpros.com',1232671,'377-514-9561',97493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah S. Bryant','Ap #428-4547 Malesuada Av.','San Rafael','OK','04476',NULL,1232672,'438-606-0290',86213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith Q. Craft','750-2063 Mauris Street','Washington','CA','80585','meredith.craft@email.net',1232673,'162-491-9060',39463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn A. Calhoun','Ap #503-6635 Non Road','West Allis','DC','25605','lcalhoun@widget.com',1232674,'291-253-5535',65035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne U. Mejia','8620 Rutrum Ave','Binghamton','MA','34627','wynnem@hitmail.com',1232675,'288-707-7130',82522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee G. Hatfield','1434 Rutrum Road','Warner Robins','NJ','63147','rhatfield@aulnet',1232676,'609-318-1888',72446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand R. Coffey','P.O. Box 116, 3651 Dictum St.','Ithaca','UT','44117','acoffey@emailathome.net',1232677,'365-864-1823',77570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde G. Clements','368 Pellentesque Road','Hartford','WY','49273','cclements@hitmail.com',1232678,'696-412-8083',35627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell N. Meadows','Ap #619-558 Enim, Av.','Baytown','MO','41180','maxwellm@hitmail.com',1232679,'464-159-4713',92191,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia A. Miller','Ap #963-450 Et Street','Eau Claire','NE','01752','zelenia.miller@xyz.edu',1232680,'943-307-3677',57358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah G. Bradford','572-9600 Vulputate, Ave','Somersworth','MS','00402','tbradford@abc.edu',1232681,'255-108-4157',89001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan F. Love','148-3640 Odio. Rd.','Sacramento','NH','03703','edanl@xyz.edu',1232682,'216-372-4798',96715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy Q. Mclaughlin','9580 Amet, St.','San Clemente','KY','15476','joym@aulnet',1232683,'747-258-7869',45117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish E. Smith','8783 Eu Road','Carbondale','VA','60182','hsmith@yohaa.com',1232684,'739-404-0299',16977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas Y. Mckenzie','3407 Id Avenue','Danbury','DE','20837','silasm@emailathome.net',1232685,'945-218-0594',73269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille P. Hester','P.O. Box 197, 4591 Ante Street','Citrus Heights','VT','08438','camille.hester@bpmpros.com',1232686,'366-312-3394',95155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana L. Taylor','P.O. Box 309, 5923 Accumsan Street','Downey','KY','28727',NULL,1232687,'356-622-8432',83930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve O. Mueller','P.O. Box 336, 8592 Tempus Rd.','Bellingham','MO','84703',NULL,1232688,'531-896-4182',69482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace H. Hunt','6775 Magna St.','Olympia','VT','94922','candace.hunt@hitmail.com',1232689,'504-757-7354',86284,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy Z. Duran','675-8842 Rhoncus. Road','Minnetonka','MO','44739',NULL,1232690,'762-265-9227',66856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn H. Carter','930-8293 Nunc Road','Richmond','NV','02547','rcarter@bpmpros.com',1232691,'387-958-1140',50223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia X. Rollins','P.O. Box 130, 3590 Eu Avenue','Lomita','WV','58551','mrollins@abc.edu',1232692,'209-496-4445',69828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone Y. Merrill','160 Cras Road','Green River','AK','59885','tmerrill@hitmail.com',1232693,'741-952-8904',48755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry X. White','Ap #103-4390 Sed, Av.','Waltham','UT','94954','jerryw@widget.com',1232694,'839-671-5324',41778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald Q. Tucker','Ap #871-7524 Integer Av.','Bell','TX','76261','fitzgeraldt@aulnet',1232695,'326-256-8364',81033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas Z. Sherman','Ap #126-6241 Orci Ave','Chesapeake','VT','75241','thomass@bpmpros.com',1232696,'513-838-9947',42943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra Z. Conner','2157 Tellus, St.','San Bernardino','NH','71798','aconner@aulnet',1232697,'324-575-7586',64857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah I. Bell','Ap #155-1204 Nullam St.','Menomonee Falls','AK','65736','rajahb@email.net',1232698,'535-859-3231',89796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne I. Rivers','Ap #182-9672 A, Av.','Cedar City','DE','13079','drivers@bpmpros.com',1232699,'716-342-1904',34369,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani Z. Melton','757-2337 Urna. Road','Wahoo','SD','92716','jelani.melton@yohaa.com',1232700,'896-603-8549',62412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen S. Hubbard','Ap #734-4635 Laoreet St.','Yukon','MI','28021','khubbard@emailathome.net',1232701,'838-634-1469',106944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman M. Welch','P.O. Box 692, 4808 Fringilla Road','Staunton','LA','76704','cwelch@abc.edu',1232702,'826-665-1092',58568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus L. Fields','4149 Egestas Street','Oakland','AK','94072',NULL,1232703,'753-236-8922',27152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward L. Cleveland','Ap #253-5319 Egestas Av.','West Hartford','AK','10704','cleveland@yohaa.com',1232704,'886-549-6854',88971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae X. Pollard','825-6957 Pellentesque Avenue','Augusta','WI','01611','pollard@emailathome.net',1232705,'326-203-5412',43856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani C. Nolan','5538 Sagittis Road','Fremont','KS','33233','noelanin@bpmpros.com',1232706,'495-537-1483',15225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca F. Mccarthy','7175 Mauris Street','Salinas','IA','60663','mccarthy@widget.com',1232707,'187-427-9707',101180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson H. Lloyd','6806 Interdum. Av.','Little Rock','DC','98924',NULL,1232708,'992-499-1318',44368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander A. Stark','Ap #248-7780 Aliquam Street','Jackson','AK','20119',NULL,1232709,'144-135-3344',85565,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge B. Fernandez','P.O. Box 547, 4789 Phasellus St.','New Kensington','NC','77997',NULL,1232710,'106-241-1854',38179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel Z. Walsh','P.O. Box 358, 3789 Donec St.','Bradbury','SC','40717','awalsh@widget.com',1232711,'705-812-9511',59305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar S. Mejia','Ap #454-7751 Cubilia Rd.','Rancho Santa Margarita','ND','49590','mejia@yohaa.com',1232712,'308-114-8258',92153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn H. Watson','2396 Sed Rd.','Brown Deer','ND','43027','watson@emailathome.net',1232713,'187-217-0184',19661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August W. York','1763 Quisque Ave','Elmira','ME','58132','august.york@yohaa.com',1232714,'445-244-8546',69233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses Z. Kim','6148 Donec Rd.','Laconia','PA','08753','moses.kim@widget.com',1232715,'667-902-4267',33366,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava V. Erickson','773-6902 Nulla Avenue','Urbana','OR','47055','chava.erickson@emailathome.net',1232716,'809-466-3787',21471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma G. Lopez','P.O. Box 432, 7698 Justo. Av.','Johnstown','CT','87734','ilopez@aulnet',1232717,'781-589-9553',46209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry K. Bray','Ap #485-4592 Pellentesque Rd.','Rochester','SC','96574','henryb@email.net',1232718,'319-199-5895',50598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly S. Stanley','P.O. Box 775, 6104 Maecenas Avenue','Rockford','FL','92789','kellys@email.net',1232719,'364-573-4720',64375,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette X. Mccall','Ap #711-4196 Elit Rd.','Phoenix','MA','60953',NULL,1232720,'743-917-3808',72008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor D. Waller','P.O. Box 324, 9649 Mi Rd.','New Bedford','WA','33794',NULL,1232721,'758-402-3187',21725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart R. Mckenzie','6706 Mauris Rd.','Bangor','SD','48372','mckenzie@bpmpros.com',1232722,'842-327-1672',104078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka Q. Carney','P.O. Box 711, 1960 Nec St.','San Bernardino','MS','27866','vielka.carney@xyz.edu',1232723,'348-199-3174',87705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas S. Pickett','495-8963 Dictum Av.','Murray','CT','59287',NULL,1232724,'153-492-3817',17330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart U. Church','817-7746 Tristique Avenue','Slidell','ID','37896','stewart.church@hitmail.com',1232725,'184-237-4388',37528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander G. Mccall','P.O. Box 341, 6560 Amet Ave','Meadville','AK','30868','alexander.mccall@bpmpros.com',1232726,'665-749-7762',28140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy J. Bullock','Ap #520-4531 Dignissim Ave','Peabody','OR','85616','kennedyb@widget.com',1232727,'475-139-7795',69753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len S. Savage','P.O. Box 722, 6336 Ante. Avenue','Pueblo','DC','81667','savage@yohaa.com',1232728,'373-758-7975',82996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve H. Bruce','P.O. Box 474, 8649 Aliquam Avenue','Boston','CO','25217','bruce@emailathome.net',1232729,'985-267-8256',28505,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca W. Copeland','P.O. Box 388, 2470 Tincidunt Street','Chelsea','OR','85011','fcopeland@yohaa.com',1232730,'329-214-3712',109042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel D. Strong','632 Massa St.','Hoover','DE','21759','nathaniels@bpmpros.com',1232731,'461-593-4147',64047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton T. Velez','Ap #419-6474 Fermentum Rd.','Pomona','KY','40771',NULL,1232732,'532-892-3957',20622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary O. Langley','497-767 Nec Rd.','Wausau','SC','14764',NULL,1232733,'546-978-7791',72678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay R. Shepard','P.O. Box 756, 8063 Gravida Road','Middlebury','DC','95119','kays@emailathome.net',1232734,'975-412-4892',70892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula F. Franklin','9615 Eu St.','Lodi','CO','68118','ufranklin@yohaa.com',1232735,'739-727-2683',24709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga H. Flowers','Ap #548-6759 Porttitor St.','Rocky Mount','LA','43511',NULL,1232736,'731-569-2965',71606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette S. Stephens','P.O. Box 539, 3962 Sem. St.','New Castle','WY','36680','jeanette.stephens@bpmpros.com',1232737,'292-923-4817',89796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah J. Fields','P.O. Box 539, 3315 Porttitor St.','Bethlehem','WI','97034',NULL,1232738,'715-907-9394',33714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent Z. Cline','332-6267 Euismod Rd.','Kennewick','PA','76264',NULL,1232739,'309-114-9118',63510,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir S. Erickson','Ap #214-9198 A, Rd.','Basin','ME','14081','erickson@aulnet',1232740,'356-655-6695',98373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra K. Higgins','P.O. Box 328, 1538 Iaculis Ave','San Diego','ME','76380','ahiggins@aulnet',1232741,'473-738-2838',65700,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan K. Hays','3922 Porttitor Av.','Lynchburg','VT','60757','dhays@xyz.edu',1232742,'387-424-6975',33572,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith B. Stanton','591-4454 Sapien. St.','Elmira','KY','24494','lilliths@emailathome.net',1232743,'243-539-9646',69295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran T. Camacho','8894 Erat St.','Cary','ID','57430','camacho@hitmail.com',1232744,'879-494-6475',51352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady Z. Adkins','P.O. Box 728, 9129 Maecenas St.','Carrollton','MO','72820','gadkins@emailathome.net',1232745,'351-239-4231',84465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden C. Poole','P.O. Box 465, 8951 In Ave','Duquesne','CO','66638','poole@aulnet',1232746,'568-829-9684',99594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria Q. Luna','Ap #849-250 Lobortis Street','South Gate','ID','37493','daria.luna@aulnet',1232747,'232-691-4293',95039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn T. Robbins','436-6091 Gravida Street','Birmingham','GA','45072','qrobbins@emailathome.net',1232748,'576-607-3077',43759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine D. Buckner','4502 Mauris Avenue','Danville','HI','30424','maxineb@widget.com',1232749,'923-281-7405',87868,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain N. Dyer','Ap #633-3503 Amet, Avenue','Manchester','MS','76506','cdyer@hitmail.com',1232750,'121-954-2339',95244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy P. Kirby','P.O. Box 138, 6838 Orci Ave','Rosemead','NY','18084','ivyk@yohaa.com',1232751,'681-612-6758',24081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana Y. Rose','Ap #942-726 Nullam Street','Pascagoula','WI','67775','rose@emailathome.net',1232752,'851-431-0426',34057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando H. Hernandez','P.O. Box 968, 5129 Tellus. St.','San Dimas','VT','83940','ohernandez@hitmail.com',1232753,'626-476-8178',72576,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus U. Holt','P.O. Box 361, 699 Orci Av.','Gloucester','IL','11504','venus.holt@yohaa.com',1232754,'555-272-6484',72265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leroy F. Ferrell','P.O. Box 271, 5755 Vel Ave','Brunswick','MS','72583','ferrell@email.net',1232755,'298-744-8255',80859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko H. Wiggins','Ap #569-9706 Accumsan Street','Macomb','OK','11093','wiggins@aulnet',1232756,'787-875-5284',54414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah C. Williams','806-2006 Libero Avenue','Twin Falls','IA','07028',NULL,1232757,'213-899-7742',103136,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris I. Quinn','539-6670 Lobortis, Ave','Springfield','IL','50157',NULL,1232758,'386-498-2989',74940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald O. Erickson','3220 Cursus, St.','Rapid City','KY','20296','emerald.erickson@yohaa.com',1232759,'313-141-6804',26840,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance C. Everett','206-1935 Id Rd.','Hope','AK','33553','everett@aulnet',1232760,'851-173-0136',109263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn D. Byers','P.O. Box 872, 9733 Eu Road','Natchitoches','WI','96139',NULL,1232761,'794-544-5266',48329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda I. Farley','728-8091 Ut Road','Paterson','NV','59255','afarley@widget.com',1232762,'486-189-5321',67463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing X. Perry','P.O. Box 448, 4072 Sit Avenue','Plano','CA','69619',NULL,1232763,'975-461-5491',89870,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake I. Daugherty','P.O. Box 299, 9381 Fusce Avenue','Lawrence','NM','65535','ddaugherty@bpmpros.com',1232764,'355-329-6802',39826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle B. Galloway','617-4912 Rhoncus. Rd.','Nogales','SC','47303','galloway@yohaa.com',1232765,'948-293-4121',107267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem G. Gill','800-2157 Vel Rd.','Oxford','KY','11458','hakeem.gill@widget.com',1232766,'762-601-8032',33085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris E. Heath','506-4129 Lacus. Ave','Palmdale','HI','53674','maris.heath@bpmpros.com',1232767,'123-895-4053',21534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone G. Mcfarland','579-7446 Penatibus Avenue','Scarborough','WY','27870','stone.mcfarland@hitmail.com',1232768,'555-688-3738',90877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah W. Conley','P.O. Box 303, 7867 Semper Av.','Memphis','PA','76894','sarahc@email.net',1232769,'775-221-7181',97578,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda R. Ballard','Ap #693-226 Suspendisse Street','Opelousas','VT','63539',NULL,1232770,'434-219-3390',62032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama J. Cross','P.O. Box 864, 4772 Consequat, Street','Minneapolis','MO','32406','rama.cross@widget.com',1232771,'146-471-5898',40574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt T. Underwood','P.O. Box 676, 3775 Ac St.','Chicago','MO','03936','wunderwood@xyz.edu',1232772,'442-488-8683',64427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia U. Dudley','Ap #611-2987 Mauris St.','Pasadena','GA','75578','dudley@aulnet',1232773,'504-956-3341',18426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine O. Mccall','139-9990 Lacus. Av.','Torrington','NM','89454','gmccall@hitmail.com',1232774,'923-537-4837',38259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee H. Wilkins','4553 Phasellus Rd.','Hickory','FL','01669','wilkins@widget.com',1232775,'605-107-3691',21555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina W. Lang','3742 Aenean Road','Nogales','ME','73514','slang@abc.edu',1232776,'782-643-0537',102694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta B. Pitts','Ap #870-6625 Elementum Rd.','West Springfield','OH','02686',NULL,1232777,'391-983-5246',92466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby T. Golden','6906 Neque St.','Oak Ridge','KY','32383','quemby.golden@aulnet',1232778,'652-282-2795',44417,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai X. West','806-4227 Et Ave','Grand Forks','NV','96328',NULL,1232779,'612-263-3546',40381,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor O. Cochran','730-8693 Neque St.','Rome','MS','03190',NULL,1232780,'419-121-2946',58554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara S. Garner','974-6569 Ipsum. Rd.','Sandy','ND','18621','garner@widget.com',1232781,'813-232-2624',68340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly A. Cardenas','Ap #903-9805 Nam Rd.','Austin','UT','51469','cardenas@xyz.edu',1232782,'192-804-0452',15950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese O. Roberts','Ap #143-3979 Sodales Avenue','Glendale','WV','80231','rroberts@bpmpros.com',1232783,'602-793-5066',53998,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin K. Wallace','4857 Adipiscing Ave','Norman','NH','94432','wallace@emailathome.net',1232784,'456-616-6959',63121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian E. Morrison','P.O. Box 495, 8688 A, Av.','Santa Clarita','MI','08493','lucianm@emailathome.net',1232785,'826-373-8995',97835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin J. Lambert','Ap #218-305 Proin St.','New York','NH','02801','justinl@bpmpros.com',1232786,'495-211-4933',103527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale U. Summers','P.O. Box 864, 5652 Pede Road','Port Jervis','WY','54757','summers@aulnet',1232787,'658-953-1736',80427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan Q. Bailey','696-3208 Lectus Avenue','Natchez','MT','44609','nathan.bailey@hitmail.com',1232788,'456-115-0672',53882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell C. Tucker','Ap #743-8516 Tristique Avenue','Catskill','ME','80034','btucker@widget.com',1232789,'744-201-2152',98743,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle H. Jackson','211-3185 Odio Road','Bremerton','TN','23913','jackson@emailathome.net',1232790,'148-893-9931',26231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad Z. Hendricks','476-2571 Odio. Av.','Parker','NE','37050','shadh@widget.com',1232791,'164-113-9058',16900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara D. Austin','P.O. Box 839, 3122 In Road','Jeffersonville','ID','71818','taraa@bpmpros.com',1232792,'978-943-0659',84310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar T. Shields','7699 Pede Av.','Florence','AK','48156','shields@aulnet',1232793,'347-235-0393',55802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson K. Strong','192-541 Risus. St.','Burbank','WY','04042','madeson.strong@emailathome.net',1232794,'208-546-5815',36878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany R. Stephens','P.O. Box 194, 7719 Nec Ave','Gardner','GA','16820','brittanys@abc.edu',1232795,'863-171-5270',22561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler I. Moss','7468 Velit Rd.','Eureka','AZ','30882','smoss@abc.edu',1232796,'565-552-7688',28963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen F. Mcguire','4667 Aliquam Rd.','Kent','MD','64078','amcguire@yohaa.com',1232797,'156-403-8589',50550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane G. Silva','9046 Quam. Avenue','Beaumont','IA','71998','ksilva@hitmail.com',1232798,'496-302-9422',41457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney G. Carver','P.O. Box 558, 3584 Quis Ave','Allentown','LA','60642','scarver@hitmail.com',1232799,'631-137-2492',102882,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine F. Hughes','411-2957 In Rd.','Methuen','TX','28689','hughes@email.net',1232800,'332-863-8001',64705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle L. Fulton','Ap #298-3919 Nam Ave','Bristol','NV','43262','ufulton@hitmail.com',1232801,'952-283-0468',67457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois B. Whitley','Ap #696-705 Eu Street','Clarksburg','VT','41984','loisw@hitmail.com',1232802,'256-108-2812',48214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odette X. Brock','8607 Dis St.','Greenville','MO','64898','brock@yohaa.com',1232803,'997-413-0228',58332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent S. Wong','3800 Lorem Ave','Asheville','VT','28465','brentw@email.net',1232804,'855-754-4956',15084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa W. Velazquez','8891 Eu, St.','Macon','NV','55248','nyssa.velazquez@widget.com',1232805,'195-671-1455',92725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper M. Barnes','403-9309 Nec Ave','Kennewick','FL','75831','jasperb@abc.edu',1232806,'289-275-8449',97970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice R. Jenkins','P.O. Box 973, 2757 Sed Rd.','Midland','IA','40925',NULL,1232807,'856-946-1100',74629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len N. Weber','P.O. Box 207, 9392 Urna Road','Gu?nica','CA','34984',NULL,1232808,'919-776-7128',45362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine Y. Talley','602-2786 Interdum. Av.','North Las Vegas','ND','74918','gtalley@email.net',1232809,'803-722-5982',24528,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk K. Campbell','450-8747 Eu St.','Schaumburg','WV','63437',NULL,1232810,'456-268-9805',88728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya W. Rhodes','499-9289 Laoreet Avenue','Orange','TN','79943',NULL,1232811,'481-737-9959',93470,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee P. Jordan','504-1517 A Street','Saint Joseph','VT','78958',NULL,1232812,'892-372-0089',22649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee X. Webb','Ap #452-6806 Porttitor Road','Worcester','TN','78247','halee.webb@aulnet',1232813,'296-987-2692',81669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar U. Conway','Ap #165-5879 Nibh. St.','Corinth','MN','30909','conway@emailathome.net',1232814,'257-343-2304',108153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma R. Myers','850-160 Est. Av.','Charlotte Amalie','VA','38569','myers@abc.edu',1232815,'579-626-8691',20986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul B. Mathews','Ap #667-926 Fringilla, Street','Commerce','MN','36675',NULL,1232816,'345-714-3302',19837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zane C. Gould','P.O. Box 932, 1599 Aliquam Avenue','Temecula','NV','03430','zgould@aulnet',1232817,'215-459-0633',19080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad C. Michael','P.O. Box 429, 9042 Molestie Avenue','Hammond','IN','82386',NULL,1232818,'726-832-1912',75407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper R. Morin','2884 Consectetuer Street','Duquesne','WY','39257','kasperm@hitmail.com',1232819,'596-169-7538',82042,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah Y. Baker','Ap #613-4620 Varius Rd.','Stevens Point','KY','33263','delilahb@yohaa.com',1232820,'521-917-0867',48097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yolanda B. Nolan','P.O. Box 214, 2616 Sit Ave','Natchitoches','OH','04538',NULL,1232821,'802-323-2403',45105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda R. Cameron','Ap #920-5191 Cum Av.','Pullman','AZ','74879','cameron@email.net',1232822,'417-319-5418',105626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark H. Christensen','5788 Consequat, Street','Brunswick','NC','35472',NULL,1232823,'851-892-5134',83981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott O. Nicholson','Ap #155-7722 Sem Av.','Asheville','WY','68703','scott.nicholson@yohaa.com',1232824,'276-126-8284',51726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine C. Wade','Ap #851-4747 Nunc Rd.','Hope','VT','85554',NULL,1232825,'457-634-6604',95943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha G. Ware','233-4784 Sed Av.','Amesbury','WY','81877','tasha.ware@email.net',1232826,'432-899-3239',99645,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda T. Joyce','3999 Libero Road','Forrest City','KS','35774','joyce@xyz.edu',1232827,'962-605-8847',34774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mia E. Cantrell','Ap #374-8256 Ipsum Rd.','Bowling Green','IN','67192','cantrell@abc.edu',1232828,'977-838-4433',38916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan L. Bright','Ap #118-7786 Dui Street','Garland','KS','68825','rbright@abc.edu',1232829,'128-995-6241',81647,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina Y. Hurst','138-8098 Cursus Rd.','Bayamon','AK','31890','regina.hurst@yohaa.com',1232830,'626-644-5392',78855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter J. Hicks','813-4542 Aenean Av.','Redding','TN','88120','hunterh@hitmail.com',1232831,'121-756-3908',45224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Z. Castro','703-4681 Accumsan Rd.','Pembroke Pines','MN','21210',NULL,1232832,'441-571-1264',36436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga O. Glass','Ap #308-898 Convallis Rd.','Torrance','VT','34066',NULL,1232833,'386-737-1172',52075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary Q. Patel','P.O. Box 910, 5562 Odio St.','Perth Amboy','CT','01136','patel@widget.com',1232834,'203-598-1252',50196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan T. Lowery','836-3113 Velit. Street','Marshfield','OK','84886',NULL,1232835,'123-235-6248',64557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery X. Brennan','Ap #964-9004 Ornare. Rd.','Ardmore','RI','40735','zachery.brennan@hitmail.com',1232836,'622-655-8804',25783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie Q. Forbes','Ap #773-536 Sit Road','Clovis','OK','41792','jolie.forbes@hitmail.com',1232837,'637-259-8046',103119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith B. Byers','Ap #548-8273 Etiam Road','Costa Mesa','ID','98549','byers@abc.edu',1232838,'442-979-1389',52305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith I. Mccarthy','928-1434 Consequat, Ave','Aspen','MA','68666','griffithm@email.net',1232839,'206-647-5266',68182,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len Y. Mckenzie','868-8913 Euismod St.','Nome','RI','19988','lenm@widget.com',1232840,'545-751-3088',40404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely V. Leonard','819 Eu St.','Fresno','AZ','67238','keelyl@aulnet',1232841,'227-183-4575',101198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda U. Harmon','904-467 Fames Avenue','Kankakee','ND','70947','rharmon@widget.com',1232842,'276-404-4869',54414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy I. Jones','P.O. Box 337, 7911 Amet Av.','Idaho Springs','DC','89659','hjones@xyz.edu',1232843,'697-774-1776',75400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela B. Leblanc','953-8795 Nec St.','Lahaina','GA','34724','leblanc@emailathome.net',1232844,'474-972-6448',39715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl X. Hogan','3076 Nunc Avenue','Westminster','KS','74568',NULL,1232845,'141-478-8659',45991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron E. Hendricks','Ap #241-1564 Sociosqu Rd.','McAlester','CO','46321','aaron.hendricks@bpmpros.com',1232846,'889-831-3081',83138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gary B. Bowen','P.O. Box 644, 1030 Lacinia Rd.','Salt Lake City','PA','86823','gbowen@widget.com',1232847,'255-135-9752',87145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah M. Gomez','Ap #162-9296 Ante Road','Portsmouth','ND','42839','gomez@bpmpros.com',1232848,'654-809-8447',33881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph Y. Aguilar','190-7908 Dapibus Road','West Hollywood','DC','87120','zeph.aguilar@email.net',1232849,'159-613-4213',88318,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy Z. Clements','9967 Tincidunt St.','Mason City','LA','32091','clements@xyz.edu',1232850,'814-819-7810',46342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira S. Dudley','1835 Pede, Av.','Livonia','AK','64597','dudley@abc.edu',1232851,'898-979-3513',44972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace J. Kirk','Ap #990-1503 Tempus Avenue','Lomita','UT','94558','wallacek@hitmail.com',1232852,'157-955-9233',94511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen D. Murphy','Ap #762-1063 Accumsan St.','Charleston','OR','65659','kmurphy@abc.edu',1232853,'218-365-2191',55791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa G. Kirk','428-3267 Semper St.','Watertown','CO','86742','hkirk@xyz.edu',1232854,'402-611-8751',105233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani J. Garrett','Ap #892-9914 Nec, Av.','Bay St. Louis','ID','37113',NULL,1232855,'866-368-8787',66559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid M. Thomas','9981 Etiam Street','Bartlesville','MT','51354','thomas@xyz.edu',1232856,'166-553-0888',82211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke M. Page','681-1645 Non St.','Murfreesboro','MT','00761','lukep@hitmail.com',1232857,'126-283-6456',41363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hector Z. Mack','242-3941 Curabitur Street','Seattle','SD','36037','hectorm@widget.com',1232858,'799-815-9076',65438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances V. Fox','7272 Turpis. Av.','Broken Arrow','ID','06040','frances.fox@abc.edu',1232859,'754-534-3158',28347,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis T. Olsen','P.O. Box 951, 7349 Donec St.','Uniontown','OR','93500',NULL,1232860,'651-314-7471',70871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora S. Barr','116-7387 Vulputate, Ave','Manhattan Beach','WI','79462','dora.barr@emailathome.net',1232861,'973-633-8476',94329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine L. Santana','P.O. Box 666, 5840 Nunc Av.','Newport News','NY','67637','jermaine.santana@bpmpros.com',1232862,'109-173-6054',59322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona H. Castaneda','Ap #593-8291 Fringilla Avenue','Syracuse','FL','87645','fiona.castaneda@abc.edu',1232863,'372-372-3540',70323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst B. Kline','250-6383 Eleifend Rd.','Beloit','OK','88475','kline@email.net',1232864,'211-493-7651',32152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander T. Burt','3871 Ullamcorper. Rd.','Fayetteville','DC','22311',NULL,1232865,'368-871-9192',98038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence Z. Roberson','P.O. Box 571, 7582 Semper Ave','Reading','KY','46979','lawrence.roberson@bpmpros.com',1232866,'491-659-4394',61911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd J. Ochoa','328-2090 Semper, Rd.','La Jolla','RI','10267',NULL,1232867,'237-528-1876',32469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan R. Anderson','P.O. Box 273, 1606 Aliquet Ave','Hot Springs','MI','23034','reagan.anderson@hitmail.com',1232868,'392-529-0571',54543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith P. Roach','118-4910 Adipiscing Av.','Galveston','GA','69583','keith.roach@abc.edu',1232869,'627-918-4474',18894,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe L. Merritt','P.O. Box 441, 1969 Quam Road','Gilette','MD','63323','keefe.merritt@abc.edu',1232870,'916-633-5519',16407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena B. Hines','Ap #620-4471 Magnis St.','Mission Viejo','WV','33596','zena.hines@bpmpros.com',1232871,'929-935-5780',44959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra I. Barnett','590-5121 Convallis Rd.','Torrington','CT','05348','allegra.barnett@bpmpros.com',1232872,'945-864-7093',92656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca D. Hall','865-8817 Felis Road','South Pasadena','MD','53259','rhall@bpmpros.com',1232873,'608-543-4172',29198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie Z. Langley','P.O. Box 364, 3212 Enim Avenue','Middletown','DE','55109','mlangley@hitmail.com',1232874,'468-966-5199',38562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes K. Bush','833-5461 At, Rd.','La Palma','CO','20476','mbush@bpmpros.com',1232875,'685-954-9104',47869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne P. Greer','9760 Id, Rd.','Canton','LA','88581','wynneg@bpmpros.com',1232876,'629-288-7821',91141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan G. Clemons','Ap #489-7747 Pede St.','Bossier City','MA','75964','jclemons@xyz.edu',1232877,'446-175-2639',59801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra H. Carr','Ap #953-4749 A, Street','Calumet City','ME','89455','carr@abc.edu',1232878,'419-866-7300',108112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt L. Alvarado','Ap #224-4932 Ac St.','Duncan','CA','41521',NULL,1232879,'187-407-1629',19395,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena A. Alexander','802-1913 Vulputate St.','Costa Mesa','VA','06848','galena.alexander@emailathome.net',1232880,'471-567-8640',46426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael J. Bauer','785-903 Urna St.','Taunton','NE','49545','michaelb@hitmail.com',1232881,'494-764-2211',103743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars G. Clemons','Ap #332-2969 Luctus Street','Augusta','AK','56005','lclemons@hitmail.com',1232882,'542-945-6199',51561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter I. Avery','Ap #926-4402 Amet St.','DeKalb','FL','10177','bavery@emailathome.net',1232883,'273-724-6693',89857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon E. Davis','704-4598 Amet, Street','Beloit','NJ','76597','tdavis@email.net',1232884,'774-957-7713',58335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell G. Parker','151-1870 Accumsan Avenue','Twin Falls','OR','35201','caldwell.parker@bpmpros.com',1232885,'808-673-6203',19403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke N. Poole','Ap #464-3684 Aliquam Road','Chico','MN','11056',NULL,1232886,'458-267-8494',81210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvonne T. Rosa','P.O. Box 585, 9582 Felis. Rd.','Yonkers','WV','48250',NULL,1232887,'317-676-8326',88285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara M. Bruce','P.O. Box 437, 4311 Sem. Avenue','Kona','VA','87625','cbruce@widget.com',1232888,'886-293-7685',18216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno U. Dillon','566-2593 Arcu Road','Latrobe','VT','80367','brunod@widget.com',1232889,'993-889-9727',58976,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum M. Farmer','654-8721 Non Rd.','Monongahela','CT','08088','cfarmer@xyz.edu',1232890,'456-449-2281',17470,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno M. Strickland','5701 Sapien St.','Parker','IN','83693','brunos@hitmail.com',1232891,'592-437-9719',105029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley D. Rogers','P.O. Box 900, 2127 Lacus. Avenue','Chula Vista','UT','19302','haley.rogers@xyz.edu',1232892,'196-588-8248',102609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy W. Ramos','3908 Feugiat. Rd.','Kokomo','AL','11403','lucy.ramos@bpmpros.com',1232893,'444-643-2010',102286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin T. Lott','Ap #243-1477 Aliquam St.','Athens','DC','17139',NULL,1232894,'633-976-6288',45420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya G. Weiss','7015 Eget Rd.','Oil City','MO','50301','weiss@yohaa.com',1232895,'215-178-3769',51655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne H. Rogers','P.O. Box 558, 2468 Sapien Av.','Rapid City','MO','07158','rogers@abc.edu',1232896,'559-675-6539',44522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April S. Townsend','2875 Urna Ave','Lynwood','GA','92632','aprilt@hitmail.com',1232897,'558-304-2617',46026,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela I. Collins','P.O. Box 773, 2668 Phasellus Street','Utica','OR','93186','collins@widget.com',1232898,'929-477-6719',56952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere T. Rivas','P.O. Box 244, 2195 Dui. Avenue','Frederiksted','VA','60653','guinevere.rivas@email.net',1232899,'849-768-1468',39118,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador S. Rocha','373-5236 Mauris Rd.','Meriden','MN','32002',NULL,1232900,'755-605-3744',34815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst M. Finch','P.O. Box 162, 6299 Facilisis. St.','New Rochelle','ME','88020','amethyst.finch@hitmail.com',1232901,'223-888-4838',72200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia V. Garcia','713-6844 Ornare, Rd.','Johnson City','PA','14293',NULL,1232902,'314-437-2257',20644,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara R. Montoya','514-5756 Neque Avenue','Rensselaer','DE','85200',NULL,1232903,'594-717-1544',87490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo V. Cooper','573-7971 Aliquam Av.','West Jordan','WY','16801','yeo.cooper@email.net',1232904,'102-605-2124',84991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ocean M. Sears','611-8659 Donec St.','Santa Cruz','CA','00426','osears@abc.edu',1232905,'428-521-0253',59188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage F. Pearson','Ap #316-5755 Justo. Rd.','Ann Arbor','SD','90591',NULL,1232906,'117-446-8668',107311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron L. Chan','Ap #573-4228 Vestibulum Av.','Gloversville','RI','54145','chan@xyz.edu',1232907,'846-864-2090',86692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois S. Weaver','P.O. Box 768, 9878 Tellus St.','Sanford','IL','03568','lweaver@hitmail.com',1232908,'704-559-3135',40481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim A. Nguyen','Ap #779-7323 Laoreet Rd.','Uniontown','MO','71885',NULL,1232909,'443-157-5068',38489,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra N. Hunter','Ap #473-7451 A, St.','Fallon','DC','61943','ahunter@aulnet',1232910,'728-262-1187',33755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy L. Moon','9329 Gravida St.','Dayton','MO','75491','moon@xyz.edu',1232911,'696-968-7859',15364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam T. Ratliff','364-7422 Netus Street','Lawndale','ID','70655',NULL,1232912,'257-744-6014',100656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan X. Gross','Ap #274-3556 Vitae, St.','Baltimore','MS','77247',NULL,1232913,'903-151-7934',22516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kuame Z. Torres','6004 Dictum Street','Hollister','NE','52810','ktorres@yohaa.com',1232914,'635-435-6317',28444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara P. Bonner','Ap #232-8941 Enim Rd.','Saint Albans','AK','52915','bbonner@widget.com',1232915,'736-371-6063',52398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience N. Boone','P.O. Box 998, 8110 Lorem St.','North Charleston','DE','11574','boone@email.net',1232916,'591-226-5962',15598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin K. Mcdonald','9144 Ultrices Ave','Somerville','AK','70312','galvinm@xyz.edu',1232917,'569-119-0316',102017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor D. Goodwin','Ap #620-7763 Dictum Ave','Houston','MT','55826','goodwin@xyz.edu',1232918,'349-819-8288',78632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis P. Lane','Ap #439-5676 Vel Av.','Kennesaw','WV','40006','alexis.lane@xyz.edu',1232919,'933-372-0808',29729,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha V. Pennington','210-1136 Ac Street','Canton','MO','40490',NULL,1232920,'596-539-7017',105579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler C. Morin','102 Semper Road','Muncie','KY','46300','chandlerm@widget.com',1232921,'441-409-0539',40554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva B. Browning','Ap #504-3701 Nullam Street','Bay City','ME','74321','haviva.browning@widget.com',1232922,'722-172-4715',40175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine N. Lowery','Ap #288-9413 Duis Rd.','Flint','NC','06071','jessamine.lowery@emailathome.net',1232923,'493-125-1966',83672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson Z. Day','Ap #260-4338 Non, Ave','Brooklyn Park','ME','06703','samson.day@email.net',1232924,'885-287-2024',18737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone T. Brown','234 Consectetuer Road','Bristol','IL','35976','sbrown@widget.com',1232925,'657-936-4541',87304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena E. Hendrix','347-9886 Dapibus Street','Nogales','AK','21267','hendrix@email.net',1232926,'244-702-6461',102673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk R. Flynn','941 Porttitor Ave','Yakima','DC','83956','flynn@aulnet',1232927,'284-908-3794',60364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve P. Carver','9169 Curae; Street','Sedalia','NJ','59257',NULL,1232928,'653-472-6615',16183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina M. House','Ap #117-9882 Sed Ave','Tacoma','VA','46606','house@xyz.edu',1232929,'864-517-8985',69320,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April P. Bryant','P.O. Box 498, 3206 Ullamcorper. Rd.','Pasco','MN','32289','april.bryant@yohaa.com',1232930,'896-759-2771',79913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie G. Patton','7056 Nisl. Av.','Healdsburg','VT','56919','maisie.patton@emailathome.net',1232931,'248-128-6036',44261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden L. Harding','P.O. Box 181, 7092 Elementum, St.','Woodward','WA','85041','charding@hitmail.com',1232932,'152-399-3270',39772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brooke O. Nielsen','P.O. Box 207, 809 Molestie St.','Columbia','GA','11597',NULL,1232933,'639-691-9802',26278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quail J. Evans','1865 At, Avenue','Yuma','WI','15836','qevans@yohaa.com',1232934,'186-749-6197',16328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina H. Perkins','Ap #373-3826 Mattis Rd.','Lawndale','ID','28533','rina.perkins@xyz.edu',1232935,'471-456-2068',30201,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan E. Mcleod','341-8087 Et, Street','Yakima','NH','87905',NULL,1232936,'549-919-3755',88422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare Y. Jordan','P.O. Box 175, 4189 Dui. St.','Merced','KY','94071','jordan@aulnet',1232937,'977-527-4368',24214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia W. Hart','1784 Neque Av.','Westlake Village','VA','46505','hart@bpmpros.com',1232938,'103-201-8535',105279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona T. Cook','P.O. Box 683, 8567 Placerat Road','Appleton','MI','32388','monac@bpmpros.com',1232939,'984-987-1879',49675,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck I. Lindsay','P.O. Box 598, 1679 Tortor, Ave','Dearborn','GA','60203','beckl@email.net',1232940,'682-666-5536',48757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree S. Montgomery','P.O. Box 989, 9043 Elit. St.','Bridgeport','NE','70531',NULL,1232941,'844-426-0925',53940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis T. Cummings','942-273 Arcu. Av.','Macon','WA','49920','louisc@widget.com',1232942,'562-406-8228',31752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth P. Harmon','883-4566 Ut Rd.','Simi Valley','SD','73913',NULL,1232943,'944-506-8026',45166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy M. Kim','P.O. Box 266, 4963 Dolor Av.','Johnson City','AZ','84658','jkim@yohaa.com',1232944,'672-626-0229',41244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal P. Mcfarland','P.O. Box 995, 9820 Vel, St.','Chula Vista','FL','24808','mcfarland@email.net',1232945,'566-148-6647',102320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mara F. Morton','616 Arcu. Street','Glen Cove','UT','02764','maram@abc.edu',1232946,'256-103-6174',89838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana N. Stephenson','P.O. Box 586, 6089 Vitae, Rd.','Hutchinson','KS','27029','istephenson@bpmpros.com',1232947,'884-149-0427',65342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade I. Cummings','7187 Nisi. St.','Myrtle Beach','WY','45817','wadec@bpmpros.com',1232948,'621-509-8138',35050,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla Z. Bell','P.O. Box 648, 3792 Ullamcorper, St.','Elizabeth City','MI','43089',NULL,1232949,'997-527-9278',51425,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony P. Powers','Ap #201-8001 Ac Av.','Rancho Santa Margarita','OK','12866','anthony.powers@bpmpros.com',1232950,'945-843-3603',101959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience H. Dominguez','6269 Lacus. Avenue','Saint Paul','MN','14716',NULL,1232951,'103-697-1814',36608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael P. Horne','9974 Velit St.','Yazoo City','SD','53315',NULL,1232952,'897-498-6573',79328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari C. Johnson','Ap #506-9612 Ultrices. Street','Prescott','IN','08361','mari.johnson@aulnet',1232953,'787-574-9625',33526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania W. Villarreal','5062 Cras Road','Oswego','MO','22593','zephaniav@abc.edu',1232954,'421-698-3457',47684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis Y. Albert','3326 Interdum. St.','Normal','IL','97059','albert@yohaa.com',1232955,'319-652-6214',68610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk J. Blankenship','841-7927 Curabitur Road','Hagerstown','ND','94181','blankenship@emailathome.net',1232956,'342-552-1138',51226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid Y. Gamble','899-7419 Elit. Road','Oneida','OK','36030','gamble@aulnet',1232957,'213-464-9251',50303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth T. Weiss','Ap #341-6866 Duis Street','Yukon','DC','89625','seth.weiss@email.net',1232958,'756-878-2431',73545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina Z. Farmer','Ap #968-5213 Tortor. Street','Kalamazoo','HI','36025','serina.farmer@abc.edu',1232959,'752-518-3875',43348,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen X. Peck','5497 Egestas Avenue','Delta Junction','NY','07951','aileenp@xyz.edu',1232960,'664-239-3801',31743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thaddeus T. Smith','205-7327 Risus. Av.','Kahului','AK','67475','smith@xyz.edu',1232961,'426-981-0293',26036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery H. Lee','P.O. Box 184, 2608 Lacus, Road','Lafayette','GA','22580','zlee@aulnet',1232962,'966-493-2723',19324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter E. Paul','229-6260 Augue. Street','Lakewood','ID','48861',NULL,1232963,'452-427-7190',100680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic Y. Gates','P.O. Box 809, 2894 Cras St.','Middletown','WA','17966','dominic.gates@abc.edu',1232964,'827-389-6064',34338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy C. Hickman','P.O. Box 489, 7959 Laoreet Ave','Chickasha','HI','19737','mhickman@widget.com',1232965,'794-622-8105',33654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori K. Walters','Ap #330-1202 Ullamcorper Road','Miami','OH','99409','walters@widget.com',1232966,'237-932-5524',79598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna W. Waller','504-2450 Nec Av.','Salisbury','OK','32032','waller@aulnet',1232967,'532-779-6002',76961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur I. Morton','P.O. Box 795, 4678 Donec Rd.','Las Vegas','HI','90633','fleur.morton@emailathome.net',1232968,'665-297-8765',94444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero M. Ryan','7108 Cras Rd.','Atlanta','AK','57276','ryan@aulnet',1232969,'339-506-0258',25771,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton R. Joseph','693-2149 Congue St.','Watertown','MS','53400','fulton.joseph@hitmail.com',1232970,'787-917-4225',59454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila P. Hensley','421-849 Interdum. Avenue','Riverton','AL','41605','sheilah@yohaa.com',1232971,'207-884-7012',40039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna T. Steele','476-1828 Curae; Street','Monrovia','RI','75027','hannas@hitmail.com',1232972,'723-831-7145',31081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley L. Sampson','P.O. Box 245, 9629 Velit Ave','Lakeland','NH','33319',NULL,1232973,'446-279-9097',33236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira J. Downs','9130 Euismod St.','Reedsport','WV','46840','downs@emailathome.net',1232974,'382-226-8437',53193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna D. Riggs','919-1942 Proin St.','Kalispell','OH','61808','glennar@email.net',1232975,'758-949-1759',29781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha O. Ortega','Ap #823-6684 Molestie. Rd.','Bay St. Louis','OK','49601','ortega@xyz.edu',1232976,'619-378-2273',108521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela D. Fields','Ap #556-4427 Augue. Avenue','Hermosa Beach','IA','09949','gfields@hitmail.com',1232977,'651-279-5477',83601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely S. Carlson','1485 Lectus Road','Huntington Park','NE','99939',NULL,1232978,'934-899-8167',79494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson L. Macias','Ap #635-9710 Et St.','Ann Arbor','MI','97297','cmacias@widget.com',1232979,'227-262-9517',85450,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph K. Little','8351 Dolor, St.','Claremore','MN','48298',NULL,1232980,'117-741-4565',56207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne E. Nieves','Ap #462-4006 Euismod Rd.','Santa Ana','IL','76125','daphne.nieves@bpmpros.com',1232981,'414-432-1725',40472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel S. Byrd','1021 Sed Av.','Durango','NH','37835','steelb@bpmpros.com',1232982,'547-189-4225',51540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio Y. Rocha','P.O. Box 956, 7679 Pellentesque Rd.','Sturgis','TN','43781','yoshio.rocha@emailathome.net',1232983,'616-264-2526',89323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy E. Dale','P.O. Box 757, 6604 Lobortis St.','Coatesville','ND','52196','joyd@aulnet',1232984,'977-584-7579',21685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice W. Macias','P.O. Box 108, 7767 Molestie Ave','Camden','OR','48391','alice.macias@abc.edu',1232985,'587-555-0497',17098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine C. Mitchell','2559 In St.','West Hollywood','WI','09144','nadinem@aulnet',1232986,'174-222-9774',87029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter M. Hahn','P.O. Box 441, 7841 Molestie St.','Falls Church','KS','22932',NULL,1232987,'277-251-3822',72415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel J. Nunez','6208 Montes, St.','Brooklyn Park','WV','23946','ariel.nunez@abc.edu',1232988,'249-558-2732',18316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine G. Luna','1735 Lacus. Rd.','Waterloo','WY','19501',NULL,1232989,'896-511-4662',96590,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly D. Mendez','Ap #732-6216 Donec Av.','Flagstaff','NY','67777','holly.mendez@email.net',1232990,'479-365-7862',57613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felicia H. Jordan','250-9147 Vestibulum St.','Butte','UT','53610','fjordan@xyz.edu',1232991,'588-857-0227',20530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma N. Willis','9618 Amet Rd.','Miami','IL','39085','uwillis@widget.com',1232992,'346-495-2719',88483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory O. Duncan','Ap #937-4187 Bibendum St.','Winooski','OR','95035','gregoryd@bpmpros.com',1232993,'111-366-7519',41934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris B. Willis','Ap #156-4153 Quis, Street','Buena Park','WY','71677','dorisw@yohaa.com',1232994,'612-622-9987',61706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra U. Quinn','9492 Auctor Ave','West Jordan','MA','50167','allegraq@xyz.edu',1232995,'425-196-2585',70622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson I. Guthrie','P.O. Box 185, 7167 Adipiscing Road','Sandy','WA','36196','guthrie@aulnet',1232996,'354-789-7740',49577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison Y. Mason','580-3490 Sed Avenue','Guayanilla','NY','57993',NULL,1232997,'181-435-0238',109562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney J. Strong','533-3929 Mauris Rd.','Moscow','AL','67125',NULL,1232998,'119-199-3344',66931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon O. Doyle','9990 Posuere St.','Montpelier','GA','74671','doyle@emailathome.net',1232999,'584-985-8948',45931,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar T. French','P.O. Box 834, 8948 Pellentesque St.','Cedar Falls','OK','93678','french@abc.edu',1233000,'441-834-8287',27358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora L. Mckinney','P.O. Box 302, 877 Suspendisse Avenue','Denver','AZ','78162',NULL,1233001,'841-282-0249',55289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald O. Norton','P.O. Box 521, 2035 Penatibus Street','Del Rio','OH','72841','emeraldn@email.net',1233002,'914-755-9459',82540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann D. Travis','Ap #882-8633 Ac Rd.','Pierre','KY','03375','atravis@widget.com',1233003,'227-241-8047',65293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia G. Reeves','538-2534 Aenean Rd.','Bayamon','LA','61674','aureliar@email.net',1233004,'141-377-4182',37241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric T. Best','P.O. Box 564, 4952 Ornare Av.','Healdsburg','AL','38200','ebest@emailathome.net',1233005,'975-926-2036',35868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum L. Whitaker','P.O. Box 848, 8590 Tellus St.','Davis','KY','30079',NULL,1233006,'379-254-1803',95316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn B. Barnes','Ap #974-405 Dis St.','Rancho Santa Margarita','SC','12553','gbarnes@emailathome.net',1233007,'623-892-0561',47789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew E. Joyner','588-5272 Rutrum Rd.','Saint Cloud','MT','34446','matthew.joyner@abc.edu',1233008,'199-613-4144',80324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite A. Mckenzie','P.O. Box 763, 6114 Quis St.','Lancaster','IN','76711',NULL,1233009,'358-358-8703',100528,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome P. Sims','Ap #325-5396 Nullam Rd.','Sonoma','WY','22509','jerome.sims@emailathome.net',1233010,'411-678-8367',19569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori Y. Bonner','Ap #772-3869 Ligula. Avenue','Chelsea','WY','90323','ori.bonner@aulnet',1233011,'933-344-8226',67810,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon P. Greene','Ap #887-3802 Orci Road','Biloxi','NM','66267','vgreene@hitmail.com',1233012,'681-514-7675',100992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter L. Christian','P.O. Box 608, 9766 Curabitur Rd.','New Kensington','MI','01967','wynterc@bpmpros.com',1233013,'225-716-2399',107472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeline W. Jones','536-1939 Cursus Rd.','Huntington Park','AZ','45756','mjones@hitmail.com',1233014,'724-859-6648',107936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadley Y. Sherman','5838 Posuere, Street','Williamsport','DC','51356','sherman@hitmail.com',1233015,'832-504-8897',65518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura K. Cox','557-5756 Dictum Rd.','Moorhead','KY','52703',NULL,1233016,'169-801-3041',99907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Helen L. Vaughan','5371 Imperdiet St.','Plano','CO','63428',NULL,1233017,'699-906-9869',35523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie K. Joyce','985-8585 Malesuada Av.','Kearns','TN','94468',NULL,1233018,'887-586-4833',85432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera Y. Hancock','272-7482 Cras Av.','Orem','DC','09294','hancock@widget.com',1233019,'753-549-0255',29020,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy X. Taylor','5194 Risus Street','Carson City','GA','88498',NULL,1233020,'528-994-1480',61727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn A. Murphy','1796 Non Rd.','Kennesaw','DC','32610','brynnm@bpmpros.com',1233021,'561-413-2016',34510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari G. Kirby','1448 Nam Rd.','Vallejo','MO','92195','marik@bpmpros.com',1233022,'357-414-4557',93123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena M. Turner','1286 Ac Rd.','Parkersburg','NM','55864','martenat@xyz.edu',1233023,'174-609-3407',101881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile Q. Finley','Ap #940-7878 Eu Avenue','Boise','VA','59504','mailef@aulnet',1233024,'479-544-0523',109761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray X. Britt','Ap #500-3313 Posuere, Road','Blythe','ME','20989','grayb@abc.edu',1233025,'695-164-5175',75717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica Q. Wong','Ap #470-4836 Phasellus St.','Boston','TX','29359',NULL,1233026,'439-934-9974',20697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan S. Acevedo','101-829 Sapien, Avenue','Tempe','MA','23152','acevedo@email.net',1233027,'502-941-7747',79396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby T. Bruce','389-1042 Scelerisque St.','Saginaw','KS','77600','cbruce@bpmpros.com',1233028,'854-455-2960',82414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn K. Reid','P.O. Box 127, 9758 Auctor Av.','Middlebury','KY','62949','autumnr@emailathome.net',1233029,'641-494-8490',60604,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn E. Burris','Ap #942-7493 Natoque Av.','Pittsfield','WI','37590','kylynnb@yohaa.com',1233030,'649-281-6744',40045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth T. Leon','5525 Sem Rd.','Marietta','MT','24047','garethl@xyz.edu',1233031,'807-862-8808',67354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy A. Ellison','Ap #797-5153 Tincidunt Rd.','Corona','OK','25049','quincye@xyz.edu',1233032,'197-895-6664',66615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell C. Franks','P.O. Box 546, 1908 Sodales Rd.','Olympia','IL','97512','nfranks@bpmpros.com',1233033,'663-651-4550',31808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter S. Knowles','4341 A, Av.','Honolulu','WA','51241',NULL,1233034,'104-369-6256',77192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne S. Curry','P.O. Box 959, 4527 Fusce Rd.','Asbury Park','RI','67029','anne.curry@hitmail.com',1233035,'372-375-6352',73005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur G. Solomon','3668 Amet St.','Miami Gardens','FL','20867','asolomon@yohaa.com',1233036,'761-798-8253',95189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana B. Valdez','7771 Nibh Avenue','Bremerton','WY','59751','tatianav@hitmail.com',1233037,'848-615-7844',76480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah A. Alford','5427 Mauris. Avenue','Isle of Palms','WA','04940','alford@aulnet',1233038,'826-111-8713',62794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka Z. Phillips','6156 Hendrerit Road','Somerville','VA','34855','phillips@xyz.edu',1233039,'341-333-8348',36185,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey O. Wright','747-5192 Curae; Avenue','Nichols Hills','OK','66891','dacey.wright@widget.com',1233040,'746-996-2291',75436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley W. William','402-8967 In Avenue','Oxford','AZ','75732','hwilliam@bpmpros.com',1233041,'634-381-3765',15174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeline Q. Osborn','640-6367 Accumsan Ave','Trenton','WA','99874','madelineo@aulnet',1233042,'617-351-6309',20852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston B. Kline','Ap #442-8676 Feugiat St.','Corona','WY','90699','prestonk@email.net',1233043,'564-282-4311',78980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan T. Barry','4174 Tincidunt Rd.','Richmond','MO','67176','dolan.barry@widget.com',1233044,'246-203-5216',81991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima V. Stevenson','8818 Aliquet, St.','City of Industry','MA','11378','jemimas@yohaa.com',1233045,'287-802-4117',82423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere K. Shields','902-4650 Ut Street','Irvine','PA','10131','gshields@aulnet',1233046,'511-707-5089',35199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst X. Pace','540-8537 Libero. Rd.','Mount Pleasant','ME','16536','amethystp@aulnet',1233047,'768-379-0765',93633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard B. Lancaster','627 Lacinia St.','Richmond','IN','89980',NULL,1233048,'644-321-1570',68116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith C. Rasmussen','Ap #459-9783 Ullamcorper Road','Shawnee','LA','65154','rasmussen@widget.com',1233049,'136-689-8190',78051,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie F. Benson','625-1628 Vestibulum Av.','Warren','WY','31397','nbenson@yohaa.com',1233050,'553-698-2771',99357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam O. Colon','5728 Et, Street','Beacon','CA','01384',NULL,1233051,'515-369-4282',69670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa T. Aguirre','1144 Mattis. Rd.','Abilene','GA','29740','melyssaa@emailathome.net',1233052,'888-439-8668',25195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula K. Osborne','334-9142 Mi Road','Basin','GA','48668','uosborne@widget.com',1233053,'418-207-5363',108784,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi C. Coffey','754-2453 Ante Av.','Thibodaux','WY','11060','emic@widget.com',1233054,'629-948-2457',94477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran V. Carroll','7270 Tellus. Road','Cypress','MD','24626','ciaran.carroll@email.net',1233055,'723-885-7896',24361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah W. Case','P.O. Box 195, 8551 Morbi Road','Green River','AK','40074',NULL,1233056,'691-424-2180',15819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sharon C. Miranda','5806 Enim, Av.','Carolina','WY','37591','sharon.miranda@bpmpros.com',1233057,'698-158-1905',29754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney E. Hammond','3043 Nulla Street','Malden','NH','72776','chammond@xyz.edu',1233058,'525-684-4993',24960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis P. Harding','2428 Ac Rd.','Rockford','HI','76383','harding@bpmpros.com',1233059,'661-213-7711',36646,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon O. Case','8370 Suscipit St.','Cape May','MO','20437','brandon.case@yohaa.com',1233060,'166-423-3436',31173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian I. Slater','913-1957 Lorem Avenue','Miami Beach','TX','38069','brians@abc.edu',1233061,'597-554-8861',40874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron L. Small','4816 Metus Ave','Oxford','IL','82855','asmall@emailathome.net',1233062,'752-602-3576',47396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie N. Fox','325-4360 Fermentum Street','Benton Harbor','AK','32615','kfox@widget.com',1233063,'561-323-8342',94579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom E. Thornton','Ap #508-5150 Magnis St.','Bellflower','OH','78901','thornton@abc.edu',1233064,'516-187-2101',54014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko G. Freeman','246-4223 Natoque St.','Cairo','NM','38307','hfreeman@yohaa.com',1233065,'318-725-7120',37269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton Q. Brock','1658 Praesent Road','Newport News','KS','49962','dbrock@hitmail.com',1233066,'893-524-4078',89435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet U. Bush','7182 Aliquet Road','Zanesville','IA','99493','sbush@aulnet',1233067,'491-771-9324',86218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan Q. Buchanan','8528 Et Avenue','Altoona','CT','10329',NULL,1233068,'379-619-6876',94634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden G. Weeks','513-3085 Mauris Street','Fort Lauderdale','HI','38049','aweeks@aulnet',1233069,'479-759-3789',69653,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall K. Noel','Ap #469-8662 Ac Rd.','Alpharetta','UT','13642','kendalln@xyz.edu',1233070,'792-171-7290',16696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney P. Berger','P.O. Box 953, 3741 Aliquam Ave','Orlando','LA','23037','rooneyb@abc.edu',1233071,'679-471-4512',90492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric V. Fleming','404-1081 Consectetuer Road','Indio','IN','66780','cfleming@widget.com',1233072,'728-407-7782',39927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis B. Hicks','1992 Risus. Ave','Belleville','IN','68674',NULL,1233073,'454-425-2750',59982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia R. Sims','P.O. Box 663, 875 Eros Av.','Schaumburg','MO','77046','eugenias@email.net',1233074,'721-174-4097',86840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal F. Potter','3921 Eu Rd.','La Ca?ada Flintridge','AL','85872',NULL,1233075,'677-349-3577',109319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott S. Oneal','771-242 Cum St.','Atlanta','NC','64059','poneal@emailathome.net',1233076,'822-509-6489',15580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas Z. Pacheco','Ap #895-5857 Eleifend Road','Clemson','NY','29794','lpacheco@bpmpros.com',1233077,'743-665-0747',32976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger F. Osborne','P.O. Box 398, 7777 Arcu. Road','Vacaville','HI','89319','osborne@xyz.edu',1233078,'104-857-3224',105714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle D. Carroll','993-2417 Pede Av.','Marlborough','KS','53533','carroll@xyz.edu',1233079,'853-866-6130',55498,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane J. Kaufman','Ap #305-4855 Vel Rd.','Steubenville','HI','57800','keane.kaufman@xyz.edu',1233080,'444-397-1638',88664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon F. Stanley','Ap #410-9935 Sem Road','Bridgeport','NH','71339','stanley@bpmpros.com',1233081,'241-684-8809',61900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman G. Russo','249-383 Malesuada Ave','Bandera','MT','04186',NULL,1233082,'526-766-3501',56520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis Y. Collier','P.O. Box 571, 6696 Et, Avenue','Owensboro','OH','27822','bevisc@aulnet',1233083,'119-535-2005',69634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis A. Robinson','7166 Aenean Avenue','Westlake Village','DE','89351',NULL,1233084,'144-346-1996',36246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary V. Pratt','Ap #615-616 Et Av.','Midland','MT','60149','pratt@abc.edu',1233085,'501-545-7809',95736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline B. Mccarthy','5509 Lorem Street','Chicago Heights','MS','06952',NULL,1233086,'977-927-9724',64596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara L. Joseph','P.O. Box 109, 4732 Vulputate, Rd.','Gu?nica','VT','31747','barbaraj@email.net',1233087,'791-778-6965',78224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan E. Armstrong','Ap #852-9829 Consequat, Rd.','Pasadena','TX','74515','rogan.armstrong@hitmail.com',1233088,'354-154-6223',29531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone V. Suarez','P.O. Box 615, 4084 Curabitur Avenue','Ocean City','MD','28393','ssuarez@abc.edu',1233089,'919-263-2169',51465,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa N. Daniels','541-169 Velit St.','Hackensack','AK','47376','daniels@hitmail.com',1233090,'779-688-8400',75711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios A. Acevedo','Ap #610-3348 Nulla Street','Vacaville','AZ','17255','remedios.acevedo@emailathome.net',1233091,'632-401-9898',50244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika A. Washington','P.O. Box 620, 1798 Ipsum Avenue','Mount Vernon','DE','28735','awashington@widget.com',1233092,'192-723-0230',31610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence O. Valdez','Ap #266-8103 Lobortis Av.','Morrison','PA','94613','fvaldez@emailathome.net',1233093,'549-531-2533',97671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel B. Graves','Ap #439-1399 Malesuada Street','Centennial','NV','39923','nathaniel.graves@hitmail.com',1233094,'637-176-6168',81917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle O. Cobb','Ap #674-8135 Urna Rd.','Culver City','AL','58098',NULL,1233095,'112-649-6253',50424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell C. Conway','Ap #720-9207 Aliquet Road','Enfield','KS','36895','caldwellc@aulnet',1233096,'984-996-5442',80951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel B. Mays','P.O. Box 298, 1624 Leo Ave','San Marino','VA','28554','mays@hitmail.com',1233097,'451-334-2298',84898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona L. Blevins','630-4372 Vel Rd.','North Little Rock','SD','76594','iblevins@aulnet',1233098,'159-509-7330',78660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin K. Snider','2236 Ligula Avenue','Mount Vernon','KS','96643','gsnider@yohaa.com',1233099,'393-798-6486',32553,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra F. Barrera','P.O. Box 396, 1636 Nunc Road','Akron','DC','41647','debra.barrera@abc.edu',1233100,'382-584-2729',33357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney J. Mcbride','Ap #373-9991 Ornare Rd.','Orlando','NY','75227','mcbride@xyz.edu',1233101,'975-266-6408',36845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eliana L. Rojas','7988 Libero. Road','Worcester','MD','07175',NULL,1233102,'608-496-8024',79005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas O. Lane','420-2301 Felis, Av.','Pittsfield','DC','51668','nicholasl@email.net',1233103,'834-532-8287',43925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne Z. Collins','Ap #724-5184 Nulla Ave','Stafford','AZ','27278','annec@emailathome.net',1233104,'937-772-2030',48162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy Q. Robertson','Ap #960-6800 Mauris Avenue','Chattanooga','NC','69596',NULL,1233105,'866-703-4747',95710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora F. Rojas','716 Proin Rd.','Mason City','MS','66463','orar@widget.com',1233106,'323-109-5898',44345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope A. Dunlap','7987 Est Avenue','Springfield','ME','91917',NULL,1233107,'654-986-2871',58606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly I. Charles','Ap #882-5176 Neque Avenue','Michigan City','ND','09390','charles@hitmail.com',1233108,'318-863-8590',56278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla X. Ellison','P.O. Box 146, 3541 Tempus Road','Salt Lake City','VA','61761','mellison@yohaa.com',1233109,'162-471-2430',16003,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca L. Carson','289-8513 Consectetuer Road','Memphis','IL','10672','fcarson@yohaa.com',1233110,'444-516-8961',51701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen K. Clements','3733 Diam Street','Rensselaer','FL','78700','allenc@email.net',1233111,'878-113-4640',69478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher R. Nieves','1159 Morbi Ave','Beckley','FL','91058','fletcher.nieves@emailathome.net',1233112,'839-816-6289',80771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem S. Greene','788-4019 Aliquam Ave','Benton Harbor','NY','84575',NULL,1233113,'624-564-3700',20391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan T. William','467-318 Dis Road','Selma','DC','89063','rwilliam@xyz.edu',1233114,'639-364-6270',23781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis D. Bailey','9063 Pretium St.','Gloucester','KY','14702','bailey@widget.com',1233115,'719-173-0994',79697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra S. Chen','Ap #545-5071 Sodales Avenue','Pulaski','MD','77492',NULL,1233116,'295-914-9860',98389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary O. Hodges','324-5274 Semper Rd.','Winnemucca','OR','14781',NULL,1233117,'274-478-3922',90850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren R. Fox','P.O. Box 553, 3368 Facilisis Ave','Lawrence','PA','48163',NULL,1233118,'955-238-5168',17573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent V. Chase','Ap #539-2127 Et Rd.','Rancho Santa Margarita','WY','73622',NULL,1233119,'886-831-9785',93625,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kessie W. Hansen','Ap #433-328 Molestie Rd.','Cody','TX','87151','hansen@abc.edu',1233120,'884-779-5104',94329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner R. Woodard','Ap #926-9207 Enim Road','Corinth','IN','11299','tannerw@widget.com',1233121,'451-345-9145',41054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell C. William','8511 Leo. Avenue','Gastonia','IN','40182',NULL,1233122,'412-368-3828',97838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa J. Guzman','796-3144 Ornare Avenue','Fort Wayne','NE','89839','hguzman@widget.com',1233123,'112-434-7911',95596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India S. Acevedo','P.O. Box 538, 2754 Eleifend Road','Kalamazoo','IL','87366','indiaa@abc.edu',1233124,'396-418-7525',59588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor I. Morin','P.O. Box 708, 285 Cursus Rd.','Canandaigua','DC','48325',NULL,1233125,'783-989-3970',62994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa Z. Mercer','309-9082 Nulla Street','Gatlinburg','VA','02040','mercer@hitmail.com',1233126,'477-169-0483',57325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim Y. Herman','8844 Rutrum St.','Fitchburg','HI','50100','kim.herman@bpmpros.com',1233127,'406-433-0490',56554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet T. Shannon','P.O. Box 802, 8889 Feugiat Road','Corpus Christi','OK','98649','harriet.shannon@bpmpros.com',1233128,'841-256-5996',46877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven U. Odonnell','Ap #179-9006 Lobortis. Rd.','Peru','UT','55344',NULL,1233129,'194-944-0996',98279,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity F. Gardner','634 Vitae St.','Manassas Park','MT','20215','unity.gardner@xyz.edu',1233130,'741-251-5459',68036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine F. Wade','Ap #609-6508 Metus. Av.','Merced','NV','08528','jermaine.wade@xyz.edu',1233131,'734-585-7452',102613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter M. Decker','Ap #931-234 Enim St.','Douglas','MS','03812','decker@aulnet',1233132,'431-175-5602',20002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon Z. Maddox','353-9491 Nunc Av.','Charleston','GA','66179','macon.maddox@xyz.edu',1233133,'182-423-4970',70292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reed Q. Gillespie','Ap #211-6880 Cras Avenue','Bayamon','MD','65632','reedg@emailathome.net',1233134,'802-884-2167',21519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko Q. Rose','650-444 Vel St.','Toledo','OR','13179',NULL,1233135,'802-614-3976',23104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth E. Goodman','323 Sed St.','Fajardo','CA','93095','hyacinth.goodman@email.net',1233136,'413-493-5448',95683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop M. Mosley','6536 Luctus St.','Thibodaux','WI','25555','hopm@emailathome.net',1233137,'965-406-6340',96858,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing T. Horton','351-3588 Elit Av.','La Habra','CO','04230','wingh@yohaa.com',1233138,'895-751-1568',99060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell T. Stanton','876-1780 Eu, Street','Temple City','DE','25639','bell.stanton@bpmpros.com',1233139,'969-755-4056',73323,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden M. Key','P.O. Box 343, 6826 Sed Road','Rancho Santa Margarita','CT','23958','key@bpmpros.com',1233140,'688-648-3038',26527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara T. Lester','P.O. Box 307, 4008 Quisque St.','Lander','MO','69892',NULL,1233141,'842-521-0794',89581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica X. Grant','Ap #292-9182 Mauris Av.','Sutter Creek','MI','93553','egrant@hitmail.com',1233142,'446-298-6187',101825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece S. Delaney','Ap #364-4848 Arcu. Rd.','Duquesne','MO','97480',NULL,1233143,'144-591-6883',18754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill Y. Bradley','Ap #598-9195 Dui Street','Eden Prairie','TX','37635','mbradley@bpmpros.com',1233144,'126-261-6602',63178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruth O. Mclaughlin','Ap #953-355 Donec Ave','Charlotte','MO','33971','ruthm@widget.com',1233145,'506-623-8824',65129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana A. Nunez','Ap #618-9803 Nisi. Street','Bessemer','MT','09632','dianan@email.net',1233146,'604-101-7335',33789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael S. White','9208 In Rd.','Vancouver','KY','40960','white@hitmail.com',1233147,'834-285-5966',83113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Trevor H. Willis','P.O. Box 852, 3851 Sed Rd.','Sunbury','NJ','97638',NULL,1233148,'608-533-6181',29147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope W. Solis','P.O. Box 492, 3878 Sociis Av.','Harrisburg','IL','80088','solis@aulnet',1233149,'717-415-7584',80911,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari V. Mcneil','Ap #438-3109 Mollis. Rd.','South Bend','SD','04495','mcneil@abc.edu',1233150,'574-291-5153',74951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary I. Rhodes','P.O. Box 185, 8419 Sapien. Road','Syracuse','MS','28932',NULL,1233151,'438-802-0016',28252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl U. Acosta','P.O. Box 276, 1461 Eros Ave','El Cerrito','IN','71809',NULL,1233152,'843-271-0811',95312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fredericka Z. Sampson','2385 Mollis. Av.','Montebello','TX','17624','fredericka.sampson@xyz.edu',1233153,'815-799-9060',29465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia I. Chan','P.O. Box 406, 5756 Euismod Rd.','Waco','CA','92209','kalia.chan@hitmail.com',1233154,'934-749-5385',55462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence P. Knapp','4514 Orci. Ave','Chickasha','AL','98548','lawrence.knapp@hitmail.com',1233155,'768-762-1360',94814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne I. Wright','9676 Nisl. Rd.','Orange','MT','68848','wynne.wright@aulnet',1233156,'793-679-4456',68876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee R. Galloway','Ap #155-6796 Condimentum. Street','DeKalb','VA','44913','galloway@xyz.edu',1233157,'952-744-2137',73174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula E. Hutchinson','5349 Fermentum Av.','Bellingham','MO','75369','hutchinson@email.net',1233158,'961-356-4108',57222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole F. Dudley','Ap #103-9882 Eget St.','La Jolla','TX','31206','cole.dudley@abc.edu',1233159,'765-626-8712',104914,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly K. Cantu','Ap #281-5791 Ligula. Road','Evanston','GA','00231','carly.cantu@aulnet',1233160,'648-314-8396',31365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana D. Villarreal','Ap #642-4710 In St.','Brookfield','SD','06106','arianav@yohaa.com',1233161,'448-997-2000',54595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow P. Parks','Ap #322-7055 Id, Rd.','Danbury','TX','62768',NULL,1233162,'875-314-2004',24508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baker N. Knapp','P.O. Box 157, 8446 Sapien. St.','Savannah','IA','17389','bknapp@hitmail.com',1233163,'147-923-2364',59178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa O. Travis','P.O. Box 814, 6281 Nulla Road','Columbia','TX','10037','melissat@abc.edu',1233164,'416-564-4866',36529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen R. Benjamin','675-3856 Risus. Avenue','Glens Falls','MI','24544','cullen.benjamin@bpmpros.com',1233165,'672-998-4528',54578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia Q. Ingram','982-4966 Donec Rd.','Mount Pleasant','NM','08433','ingram@hitmail.com',1233166,'988-561-5599',26725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden O. Robles','P.O. Box 198, 7752 Sollicitudin Street','Lynn','CA','71070','camden.robles@yohaa.com',1233167,'514-592-0525',21554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn F. Irwin','Ap #374-5013 Molestie Street','Vacaville','MA','55526','birwin@emailathome.net',1233168,'697-101-5025',64842,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada P. Bush','8774 Interdum Rd.','Sitka','MT','45681','jada.bush@emailathome.net',1233169,'243-893-4035',75911,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton G. Randall','545-7943 Amet St.','West Covina','IN','78124',NULL,1233170,'715-858-6511',70674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell F. Park','819-6573 Ipsum. Rd.','Seattle','IN','51539',NULL,1233171,'764-479-3289',84542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming I. Christensen','Ap #445-3299 Hendrerit Av.','Akron','FL','44605','wyomingc@xyz.edu',1233172,'245-809-3786',106680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine S. Mcpherson','P.O. Box 224, 6585 Suspendisse Av.','Miami Gardens','MT','79313','nmcpherson@yohaa.com',1233173,'129-264-0633',55911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark K. Whitfield','P.O. Box 588, 3640 Lacus, Rd.','Bremerton','ND','29299',NULL,1233174,'603-633-8968',77914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida C. Craig','177-7505 Mauris St.','Montgomery','NY','31351','zenaidac@bpmpros.com',1233175,'641-354-8866',90891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan L. Lewis','Ap #520-9163 Faucibus. Ave','Attleboro','NV','17348','elewis@email.net',1233176,'709-341-4943',87132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika O. Ball','P.O. Box 648, 3163 Pharetra. Rd.','Modesto','AK','68286','anikab@widget.com',1233177,'535-335-4759',79014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis L. George','4247 Iaculis Road','Waco','AL','51417','alexisg@bpmpros.com',1233178,'445-198-5211',81806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas R. Owens','P.O. Box 112, 8084 Id, Ave','Hialeah','AL','02553','owens@widget.com',1233179,'171-426-3249',57333,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie D. Bender','1572 Eros Ave','Lancaster','TX','21551','mbender@hitmail.com',1233180,'718-216-2588',102625,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst W. Good','6450 Semper, St.','Montpelier','OH','13845','good@aulnet',1233181,'191-372-0836',21664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart Y. Hewitt','709-9587 A Rd.','Farmington','NM','30643','shewitt@xyz.edu',1233182,'599-591-7628',62414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia O. Hicks','356-3119 Ornare Av.','Saint Albans','WI','58989','lhicks@yohaa.com',1233183,'533-133-5233',98028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh J. Craig','6889 Auctor. Rd.','Lafayette','MI','29025',NULL,1233184,'924-878-1704',51609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances U. Rhodes','5792 Lobortis Road','Medford','NM','09281',NULL,1233185,'284-676-0648',90186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton F. Wade','3723 Etiam Street','La Habra Heights','KY','89510','wade@xyz.edu',1233186,'539-748-1157',30376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo Z. Colon','2379 Nec Road','Worcester','FL','65764','cleo.colon@hitmail.com',1233187,'626-779-6433',66421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn I. Williamson','Ap #659-1922 Pede, St.','Tupelo','NE','76232','williamson@emailathome.net',1233188,'906-633-3019',59558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin A. Gaines','616-4870 Non, Street','Simi Valley','FL','70647','jing@abc.edu',1233189,'889-896-4287',40636,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent T. Odom','Ap #434-3071 Bibendum St.','Benton Harbor','WV','14685','vincento@xyz.edu',1233190,'333-222-9174',49489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle Q. Coffey','931-8708 Sed Av.','Burbank','IA','29133','kylec@widget.com',1233191,'729-162-2832',108696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau J. Morrison','1642 Lacus. Av.','Phoenix','LA','43766',NULL,1233192,'779-153-0681',95047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto B. Lewis','Ap #164-2912 Donec Rd.','Marshfield','AZ','45888','ottol@emailathome.net',1233193,'555-335-3973',64269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan J. Lang','208-6854 Sed St.','Calabasas','FL','24869','lang@emailathome.net',1233194,'758-303-4487',47484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis W. Bright','P.O. Box 698, 6779 Mauris Rd.','North Pole','SC','93427','louisb@hitmail.com',1233195,'486-145-2587',105421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark H. Kirk','P.O. Box 565, 2354 Ut, Rd.','Hawthorne','FL','92795','mkirk@emailathome.net',1233196,'313-609-5448',107564,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon Y. Mcdaniel','P.O. Box 227, 7026 Euismod St.','Haverhill','NC','88780','deacon.mcdaniel@abc.edu',1233197,'677-899-3999',55640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy K. Rosales','584-4809 Magnis Road','Memphis','ND','31619','hedyr@abc.edu',1233198,'491-177-7661',74360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile B. Bentley','703-2466 Convallis Av.','Salt Lake City','GA','88229','maileb@widget.com',1233199,'949-439-3161',90711,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felicia K. Fields','973-2126 Dolor, Road','Vincennes','NY','81070','felicia.fields@emailathome.net',1233200,'391-339-5799',101787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby S. Burch','P.O. Box 833, 7523 Volutpat Road','Natchez','SC','43225',NULL,1233201,'306-696-8364',28804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaye B. Griffin','9467 Cursus. Rd.','Temecula','VT','55509','kaye.griffin@emailathome.net',1233202,'923-553-1127',108618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix K. Hebert','8407 A, Avenue','Akron','HI','15770',NULL,1233203,'331-334-4897',16206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley U. Ball','P.O. Box 538, 4532 Donec Ave','Cary','ID','48154',NULL,1233204,'834-165-3088',97900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana X. Matthews','Ap #993-2791 At, Rd.','Truth or Consequences','MS','70119','rmatthews@yohaa.com',1233205,'373-117-1824',93542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April S. Foster','Ap #762-4844 Tempor Av.','Eufaula','OR','24294','april.foster@widget.com',1233206,'414-797-8049',98493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix S. Keith','583-6711 Rhoncus. Av.','Yakima','IL','08423','mannix.keith@hitmail.com',1233207,'618-123-7195',39532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca D. Maxwell','6633 Arcu. St.','Springfield','ID','24654','maxwell@email.net',1233208,'697-968-7610',57901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith A. Vasquez','Ap #737-2220 Commodo Street','Oro Valley','NV','70005','faithv@aulnet',1233209,'751-347-2050',88202,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May F. Alvarado','584-1915 Aliquam Avenue','St. Petersburg','ID','72053','alvarado@abc.edu',1233210,'168-819-0663',85792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin N. Frye','Ap #797-2706 Elit Street','Yigo','KS','58331',NULL,1233211,'495-554-3724',53749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly D. Phillips','Ap #832-3778 Aliquam St.','Hutchinson','NJ','90249','sphillips@bpmpros.com',1233212,'681-175-5388',25836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil N. Ford','Ap #958-774 Ac, St.','Grambling','RI','30121',NULL,1233213,'471-152-0366',79837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme U. Lara','557-8482 Ipsum Av.','Yorba Linda','MN','23054','jayme.lara@abc.edu',1233214,'386-657-6177',57140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt D. Gregory','4533 Mollis Av.','Plainfield','ID','24456','hyatt.gregory@xyz.edu',1233215,'863-381-8565',33114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona X. Flores','415-6015 Ante Ave','Chula Vista','IL','50474','ramona.flores@emailathome.net',1233216,'931-793-9838',54037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie P. Fowler','Ap #155-3163 Ut Rd.','Santa Clarita','MA','69829','fowler@yohaa.com',1233217,'394-225-8278',27641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum O. Morin','P.O. Box 137, 5500 Nonummy Avenue','Oro Valley','CO','57427',NULL,1233218,'347-631-7646',98925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius A. Hull','Ap #638-580 Mauris St.','Plano','NY','74822',NULL,1233219,'349-686-1268',96269,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna T. Kirkland','7640 Vitae, Avenue','Bay City','KS','00737',NULL,1233220,'221-455-2138',41690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy E. Langley','Ap #245-236 Bibendum Rd.','North Charleston','VA','21821','lacyl@hitmail.com',1233221,'568-788-0433',67313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil V. Cummings','P.O. Box 718, 3857 Per Ave','Parkersburg','TX','71093','cummings@bpmpros.com',1233222,'824-493-0720',35990,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan U. Head','Ap #568-3588 Quis Rd.','Natchez','GA','01682','kylan.head@yohaa.com',1233223,'686-501-8938',88096,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle Z. Vega','3844 Dolor. Street','Waukegan','LA','91021','kylev@email.net',1233224,'289-548-0980',89206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila Q. Hopkins','Ap #650-1328 Tincidunt St.','Temple City','ME','74175','shopkins@hitmail.com',1233225,'297-386-7348',42782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail B. Tanner','Ap #828-3441 Phasellus Road','El Paso','MA','79953','gtanner@yohaa.com',1233226,'128-325-5023',51580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan R. Carey','1946 Interdum St.','Hartford','MN','74182','mcarey@bpmpros.com',1233227,'287-599-3229',90537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek D. Burks','391-7811 Magnis Av.','Franklin','AK','59323','derekb@hitmail.com',1233228,'616-794-1935',29656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry Y. Juarez','P.O. Box 504, 3927 Quisque Rd.','Greensburg','RI','81330','kerryj@xyz.edu',1233229,'765-371-9741',78882,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela V. Ratliff','950 Sapien Street','Somerville','TX','23381','pamelar@emailathome.net',1233230,'525-692-0291',38407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt L. Martinez','P.O. Box 251, 5949 Velit Street','Jackson','WV','82405','mmartinez@yohaa.com',1233231,'987-412-0031',45531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve O. Fitzpatrick','3267 Neque Av.','Chino Hills','FL','64482','evef@xyz.edu',1233232,'633-222-8620',82953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin W. Hobbs','P.O. Box 274, 7161 Malesuada Ave','Youngstown','FL','35999',NULL,1233233,'482-924-1450',29520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda W. Bates','Ap #759-2167 Cursus Rd.','Spokane Valley','WA','19044',NULL,1233234,'944-336-2504',17254,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle E. Hooper','P.O. Box 569, 9619 Aliquet Rd.','Rocky Mount','ID','10430','lhooper@abc.edu',1233235,'575-429-6659',29525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madonna E. Harvey','688-3307 Dolor Av.','Hornell','DC','44765','madonnah@email.net',1233236,'396-772-1907',71155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason T. Preston','5212 Donec St.','Wilkes-Barre','IL','63587','mason.preston@widget.com',1233237,'154-683-1503',75369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr K. Haney','P.O. Box 397, 3183 Cursus St.','Fernley','ID','59513','zephr.haney@hitmail.com',1233238,'202-265-7489',108961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose Q. Duran','P.O. Box 456, 6783 At Rd.','Corry','OR','98758','rosed@aulnet',1233239,'362-573-6374',91369,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard U. Hammond','293-2868 Justo Rd.','La Crosse','NM','39137','leonardh@widget.com',1233240,'986-357-7203',70346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven K. Rojas','P.O. Box 802, 8084 Dapibus St.','Muskegon','WY','60799','rojas@widget.com',1233241,'827-803-0507',92421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aline K. Bradshaw','2017 Sem. Av.','Bakersfield','WI','59965','alineb@xyz.edu',1233242,'935-927-7980',15900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola T. Barr','6349 Ornare. St.','Thiensville','OK','73069','barr@bpmpros.com',1233243,'156-659-1508',36369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora G. Petty','846-3818 Metus. St.','Grand Rapids','NC','34318','aurora.petty@emailathome.net',1233244,'477-433-0911',55367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew Q. Alexander','4495 Urna. Ave','Sunnyvale','DC','59273','drew.alexander@widget.com',1233245,'705-543-2865',97451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine Z. Page','5843 Justo Avenue','Georgetown','OR','66081','justinep@widget.com',1233246,'918-379-7230',60975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah Z. Montoya','Ap #203-797 Donec St.','Palm Springs','CO','81747','delilah.montoya@bpmpros.com',1233247,'838-847-1169',58995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara Y. Ward','4714 Semper Rd.','Port Washington','NY','36435','barbara.ward@email.net',1233248,'519-393-1779',99393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thaddeus U. Mckay','Ap #382-396 Tristique Ave','Fullerton','IL','90827','tmckay@email.net',1233249,'353-863-1552',48947,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan G. Clark','P.O. Box 618, 4670 Ligula. Ave','Salt Lake City','VT','19100','clark@hitmail.com',1233250,'928-282-0441',22130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie L. Hartman','Ap #613-3517 Maecenas Rd.','Poughkeepsie','DE','02612','anjolie.hartman@abc.edu',1233251,'724-752-8339',92546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan X. Beach','289-284 Et Rd.','Abilene','RI','91294',NULL,1233252,'817-631-2921',38310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite B. Bird','2818 Nunc St.','Mission Viejo','IN','22901',NULL,1233253,'222-603-3674',97228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea A. Ramirez','P.O. Box 926, 8038 Neque Road','Cranston','UT','15348',NULL,1233254,'341-562-0743',46120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran F. Shepherd','P.O. Box 702, 9635 A Rd.','Farmer City','NJ','48264','ciarans@abc.edu',1233255,'603-943-4144',93841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor E. Serrano','954-2636 Vitae Ave','Mesquite','NM','29368','victors@emailathome.net',1233256,'623-335-2776',100021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille S. Bird','2381 Nonummy Avenue','Mission Viejo','HI','77060','bird@emailathome.net',1233257,'197-859-0825',22116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin S. Edwards','6617 Felis, Road','Lowell','ND','27905','edwards@emailathome.net',1233258,'712-712-4073',23304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite Q. Mercado','4129 Arcu Rd.','Moultrie','KS','88750',NULL,1233259,'642-223-3945',48868,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana S. Ferguson','231-6222 Dapibus Avenue','Worcester','AZ','32810','iferguson@widget.com',1233260,'672-223-3456',56600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam U. Camacho','Ap #950-3360 Risus Road','Simi Valley','CA','19441','acamacho@xyz.edu',1233261,'363-844-0763',34048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic Q. Webster','738-5118 Risus. St.','Warren','NC','77587','dominic.webster@xyz.edu',1233262,'139-302-0550',36406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen L. Herman','P.O. Box 794, 4626 Urna, Road','Liberal','MS','18285',NULL,1233263,'874-813-0141',82134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri Y. Conrad','733-9758 Ligula. Rd.','Jackson','MS','93301','conrad@aulnet',1233264,'698-472-1842',21082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena U. Gibbs','Ap #131-1477 Varius Rd.','Batavia','OR','25419','serenag@xyz.edu',1233265,'722-329-7908',94173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor X. Burnett','Ap #204-9867 At Rd.','Hartford','DE','82917',NULL,1233266,'327-158-3770',84806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine O. Wyatt','627-5733 Sit St.','Cape Girardeau','OH','86979','wyatt@abc.edu',1233267,'887-214-2636',55787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon E. Potter','Ap #331-8420 Pharetra Ave','Corona','TX','59846','brandon.potter@email.net',1233268,'716-693-7170',88630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma F. Navarro','203-1313 Eros Road','Bowie','LA','23673',NULL,1233269,'519-335-8286',54278,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona E. Nolan','767-7316 Ligula Road','Rolla','TX','28141','kionan@aulnet',1233270,'825-335-4603',107483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya K. Aguilar','Ap #131-217 Non, Ave','Wheeling','RI','65584','tanya.aguilar@xyz.edu',1233271,'736-552-8862',67898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim N. Murray','403 Consectetuer, Rd.','Gloversville','MO','48014','nasimm@aulnet',1233272,'774-156-6018',98945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma E. Holman','1326 Ut St.','Port Arthur','MO','85819','aholman@emailathome.net',1233273,'622-299-4051',86690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila O. Duran','6561 Enim Street','Thibodaux','CT','89058','duran@hitmail.com',1233274,'631-603-7127',74377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory S. Dodson','6841 Consequat Av.','Fond du Lac','IN','18416','dodson@xyz.edu',1233275,'422-386-3466',32817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina Y. Walker','P.O. Box 244, 4238 Eleifend, Street','Yuma','DE','47265','rwalker@bpmpros.com',1233276,'782-204-4807',43399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau M. Gray','929-5958 Est Street','Montpelier','CA','21868','mgray@hitmail.com',1233277,'225-807-9113',16236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa I. Booth','3420 Quam. Rd.','Rawlins','GA','73335','booth@email.net',1233278,'523-435-7164',29093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale N. Mckee','Ap #160-6091 Ipsum. Ave','Atlanta','UT','01185','pascale.mckee@xyz.edu',1233279,'522-944-2880',21942,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan F. Lamb','Ap #993-8765 Amet St.','Garland','AK','94106','lamb@widget.com',1233280,'382-713-6668',61661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal O. Stanley','2484 Curabitur Road','Lexington','MT','82822','kamal.stanley@emailathome.net',1233281,'333-961-0323',102754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra T. Waters','Ap #897-4677 Gravida Rd.','Akron','ND','19802','sandra.waters@yohaa.com',1233282,'725-967-8279',66323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri M. Duran','P.O. Box 222, 6683 At St.','South Portland','AK','68387','yurid@hitmail.com',1233283,'399-915-9718',108604,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad N. Rodriguez','6865 Nunc St.','East Rutherford','GA','08095',NULL,1233284,'824-653-6440',55835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton H. Cooper','P.O. Box 793, 9575 Posuere St.','Bremerton','PA','94203','cooper@hitmail.com',1233285,'398-223-8754',35828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin Q. Marquez','5885 Ligula Ave','Spokane Valley','WY','01440','marquez@abc.edu',1233286,'972-201-0232',23800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann O. Sullivan','P.O. Box 932, 3110 Tempus Avenue','Torrington','TX','82593','asullivan@email.net',1233287,'135-916-1161',56230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William N. Johnson','P.O. Box 359, 3345 Ullamcorper. Road','Detroit','GA','05897','johnson@abc.edu',1233288,'482-526-3315',65989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall Z. Orr','775-5353 In St.','Murray','AZ','24930','randallo@bpmpros.com',1233289,'827-309-7241',76407,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus E. Miller','P.O. Box 211, 4890 Varius. Street','Ocean City','UT','98013','linus.miller@yohaa.com',1233290,'144-872-1708',20360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane S. Allison','5060 Vulputate Rd.','West Hollywood','AZ','65494','kanea@emailathome.net',1233291,'306-701-0972',21347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy Y. Duran','3047 Orci Ave','Texarkana','NM','52009','kennedy.duran@aulnet',1233292,'548-978-5495',66112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose T. Gonzalez','P.O. Box 859, 4890 Adipiscing, Avenue','Salt Lake City','SD','49091','rose.gonzalez@yohaa.com',1233293,'191-649-5280',82905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius G. Mckenzie','P.O. Box 476, 8429 Dictum Avenue','Aliso Viejo','IL','01450','omckenzie@xyz.edu',1233294,'543-644-1936',33425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne X. Peck','P.O. Box 453, 2763 Scelerisque Street','Chino','SD','04915','peck@widget.com',1233295,'466-918-5627',72499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla U. Hodges','Ap #597-4644 Rhoncus. St.','Suffolk','WV','78282','kylah@hitmail.com',1233296,'298-664-5731',57230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kieran B. Terrell','8048 Non, Street','La Puente','NV','43640','kterrell@widget.com',1233297,'568-788-5550',24642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery G. Gallagher','P.O. Box 812, 9769 Ac Av.','Lakewood','NY','11864','gallagher@widget.com',1233298,'505-174-7623',27447,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter G. Guthrie','810-5656 Sed Ave','Norwalk','NH','23044',NULL,1233299,'908-514-4872',64249,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra Q. Mcintosh','8058 Suspendisse Avenue','Oneida','ME','01713','amcintosh@email.net',1233300,'128-518-4697',21916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone I. Maddox','535 Nulla Rd.','Fullerton','UT','53773','maddox@abc.edu',1233301,'955-357-1189',66573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan I. Waters','8342 Magnis Av.','Danville','MN','76181','waters@emailathome.net',1233302,'569-854-2709',99473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla W. Salazar','543 Euismod Street','Saint Albans','NM','83311','csalazar@email.net',1233303,'921-277-0514',98179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier V. Leon','Ap #737-4015 Sed Ave','Tustin','MO','13297','xavierl@widget.com',1233304,'609-631-7177',85392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana Q. Fischer','745-5134 Egestas Av.','Brookings','MA','93707','fischer@yohaa.com',1233305,'905-615-2449',73847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen J. Riggs','9463 Nisi. St.','Sutter Creek','MI','50250','riggs@hitmail.com',1233306,'621-422-8823',26880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie C. Santiago','6754 Diam. St.','Boulder Junction','WA','80716',NULL,1233307,'842-815-9470',46689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark R. Diaz','881-2494 Tristique Avenue','Lawton','OR','65646',NULL,1233308,'463-215-9298',83174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale B. Suarez','Ap #238-609 Varius. St.','Commerce','AK','72247','pascales@email.net',1233309,'994-357-4723',105793,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire R. Dejesus','Ap #397-2434 Nibh St.','Juneau','MS','55327','dejesus@yohaa.com',1233310,'676-569-7161',98511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana V. Lane','Ap #142-8640 Erat. Ave','Diamond Bar','ME','83239','tatyana.lane@aulnet',1233311,'667-233-6924',26418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko Z. Mccoy','9825 Vulputate, St.','Spokane','KY','54822',NULL,1233312,'256-213-9362',17168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lamar L. Lara','P.O. Box 719, 3852 Aliquam Rd.','Cerritos','MT','83747','lamar.lara@emailathome.net',1233313,'561-727-8398',82812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy T. Barnett','P.O. Box 882, 691 Mauris Rd.','Dover','NV','08391','lucy.barnett@xyz.edu',1233314,'139-601-3272',78561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato J. Beck','P.O. Box 592, 6597 Ac, St.','Fremont','MA','91909','platob@yohaa.com',1233315,'392-432-0414',85924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter K. Murray','975 Turpis. Ave','Santa Rosa','VA','20170','wmurray@widget.com',1233316,'471-301-4445',65145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone Y. Riley','Ap #170-4615 Tempus, Ave','Franklin','UT','71502',NULL,1233317,'783-154-3548',19848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya P. Herman','Ap #518-9203 Integer St.','Brookings','NE','49521','tashyah@emailathome.net',1233318,'224-906-0594',30508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil F. Dillon','501 Dolor Rd.','Sioux Falls','IA','40184','gdillon@bpmpros.com',1233319,'137-259-4490',55779,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacey V. Alvarez','P.O. Box 948, 6118 Luctus Road','Pullman','OR','01342','laceya@yohaa.com',1233320,'537-574-6221',77747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter C. Dickerson','5638 Tellus Street','New York','WY','72822','dexterd@email.net',1233321,'167-301-9572',39879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis K. Lucas','Ap #799-6471 Auctor Av.','Union City','OH','67749','alucas@widget.com',1233322,'673-739-9408',16352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie H. Bolton','Ap #612-4463 Ultricies Rd.','Greenfield','KY','02779','sbolton@hitmail.com',1233323,'619-282-8217',77339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt R. Mcmahon','9537 Magna Ave','Fresno','NY','98829','colt.mcmahon@emailathome.net',1233324,'206-268-0872',81687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera M. Hall','P.O. Box 366, 6697 Elit Rd.','San Diego','ID','81880',NULL,1233325,'719-816-9840',75080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine I. Decker','7700 Nec, Rd.','Costa Mesa','WA','73481','catherined@abc.edu',1233326,'661-632-5231',29048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio D. Melton','258-9305 Tempor Av.','Yigo','AL','97060','clio.melton@xyz.edu',1233327,'543-213-8554',82109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus W. Mcconnell','P.O. Box 986, 9879 Cursus St.','Hollywood','DC','16503',NULL,1233328,'674-217-3302',94391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn O. Merritt','675-4122 Luctus St.','Huntington Beach','NM','73199','kylynn.merritt@aulnet',1233329,'703-477-5949',44142,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry D. Compton','Ap #585-302 Sed, Av.','Berlin','FL','88251','jerryc@yohaa.com',1233330,'551-254-6312',47270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan Q. Cook','917 Elementum Road','Covina','MS','58606','kcook@widget.com',1233331,'532-677-6030',74024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah V. Cannon','P.O. Box 691, 7418 Et Ave','Jenks','MI','94842','mcannon@hitmail.com',1233332,'558-981-5672',73588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Athena G. Fischer','P.O. Box 779, 1357 Egestas Road','Brown Deer','MA','86171','afischer@email.net',1233333,'124-573-5521',35412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa V. Hartman','P.O. Box 858, 1197 Egestas. Ave','Centennial','NJ','01887',NULL,1233334,'969-183-5651',39788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael M. Eaton','916-3472 Risus, Rd.','Hayward','PA','36737','raphaele@emailathome.net',1233335,'626-685-6781',56174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz S. Garcia','P.O. Box 931, 2525 Ullamcorper Rd.','Lakewood','TN','50397','fritzg@yohaa.com',1233336,'225-751-3369',30758,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila P. Chambers','884-825 Ipsum. Rd.','La Mirada','SC','69729','chambers@xyz.edu',1233337,'217-442-1924',48141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor N. Hensley','P.O. Box 177, 660 Ridiculus Rd.','Idabel','WV','74833',NULL,1233338,'653-879-1112',26514,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma M. Norris','6820 Ultricies St.','Olympia','CO','57834','norris@bpmpros.com',1233339,'318-675-9518',81923,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay Y. Bartlett','Ap #943-8362 Sed Rd.','Pendleton','VA','02050','bartlett@email.net',1233340,'995-203-8877',60123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma E. Norton','P.O. Box 792, 2169 Porttitor Ave','Port Orford','OK','65768','wnorton@hitmail.com',1233341,'818-703-9167',21508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana O. Lowe','Ap #718-9457 Velit. Street','Shreveport','MN','11977','illiana.lowe@abc.edu',1233342,'746-564-2671',97667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa Y. Watson','280-7213 Velit Rd.','Covina','VT','38550','hayfaw@abc.edu',1233343,'537-374-7370',19959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie X. Dawson','7420 Nunc St.','Oxnard','KY','58051','kellie.dawson@widget.com',1233344,'817-979-6970',86610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava U. Sanders','P.O. Box 150, 2755 Dictum Road','Costa Mesa','VA','29287','ava.sanders@abc.edu',1233345,'339-256-0267',38570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon A. Richards','5582 Pellentesque Rd.','Vergennes','TN','05197',NULL,1233346,'216-949-8655',88597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott N. Burke','178-8785 Enim Rd.','Steubenville','VT','70975','burke@abc.edu',1233347,'264-389-2391',15160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joshua U. Mills','477-2112 Eu Ave','Montpelier','MO','35215','mills@aulnet',1233348,'282-445-7349',74164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory Q. Britt','276-4833 Magna, Ave','Philadelphia','NM','17752','gbritt@email.net',1233349,'968-249-5943',41123,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh X. Ferguson','Ap #164-1257 Aenean Road','Ventura','IL','82800','ferguson@xyz.edu',1233350,'653-612-7603',69620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine W. Moore','Ap #604-3112 Rutrum Avenue','Elsmere','NY','80872',NULL,1233351,'773-436-9476',20262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonya Q. Alvarado','750-5750 Mauris Rd.','Delta Junction','IN','92683','sonya.alvarado@hitmail.com',1233352,'556-239-5654',27107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham E. Cardenas','6029 In St.','Santa Fe','IN','56205',NULL,1233353,'573-829-4434',107698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena L. Wolf','Ap #371-5749 Eros. Road','Rawlins','CO','44990','zena.wolf@bpmpros.com',1233354,'296-769-5880',43579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chantale H. Hudson','Ap #363-7814 Odio. Road','Fontana','NJ','75510',NULL,1233355,'501-797-4669',65059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit V. Barrera','P.O. Box 909, 9322 Ante Rd.','Seal Beach','FL','70145','barrera@widget.com',1233356,'766-367-9643',44206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava V. Gallegos','Ap #412-8609 Augue Road','Roseville','ID','45725','avag@email.net',1233357,'872-637-8947',76237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad Y. Bullock','5526 Lectus Road','Sanford','MI','21485',NULL,1233358,'958-535-6983',95180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley Q. Schneider','Ap #505-5965 Purus Ave','Clovis','ID','60691','shelley.schneider@yohaa.com',1233359,'177-126-5502',70351,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt L. Merritt','P.O. Box 381, 1201 At Road','San Marino','PA','98968','wmerritt@aulnet',1233360,'651-728-7533',24119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah R. Long','P.O. Box 339, 6102 Eu St.','Chester','NH','34932','jlong@widget.com',1233361,'902-562-1809',52628,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia M. Douglas','P.O. Box 427, 9530 Neque Av.','Eufaula','NY','22356','ignaciad@xyz.edu',1233362,'389-291-7538',54537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma V. Schwartz','710-8675 Metus St.','Lake Charles','AZ','63186','schwartz@email.net',1233363,'644-933-1248',87072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora E. Parsons','8556 Aenean Rd.','Needham','IN','75252','pandorap@emailathome.net',1233364,'772-326-6189',42428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan C. Hester','647 Risus St.','Duquesne','KY','93641',NULL,1233365,'276-533-5761',51947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama J. Ballard','1796 Egestas. St.','Ashland','WV','23132','ballard@abc.edu',1233366,'597-614-1675',33103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine I. Bryan','347-9588 Commodo Avenue','Manhattan','AK','01624','jbryan@abc.edu',1233367,'857-344-8670',36722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh K. Lang','9849 Orci. Rd.','Lynchburg','CT','63623','leighl@emailathome.net',1233368,'786-262-8962',86689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daquan T. Anderson','899-6937 Enim Rd.','Uniontown','NC','79942','daquana@emailathome.net',1233369,'566-353-3232',29220,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery X. Hoffman','Ap #727-533 Faucibus Road','West Haven','NH','24203','zachery.hoffman@bpmpros.com',1233370,'246-713-9643',99433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila A. Knowles','761 Lacus Avenue','Henderson','NM','53145','knowles@widget.com',1233371,'676-991-5617',69782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September W. Dunn','791-9490 Et St.','Garland','OK','37181','september.dunn@xyz.edu',1233372,'337-803-7933',74047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth F. Booker','P.O. Box 200, 4572 Egestas Road','Lafayette','UT','54591','kennethb@widget.com',1233373,'683-911-7135',30456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga U. Stevenson','6497 Nostra, Avenue','Forrest City','AK','56132','stevenson@abc.edu',1233374,'682-749-0301',33002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis T. Kelley','Ap #285-4867 Facilisis St.','Murfreesboro','FL','28675',NULL,1233375,'817-499-1382',90699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric Z. Greer','Ap #639-804 Ante Av.','Helena','SD','96825','ugreer@hitmail.com',1233376,'501-318-6078',58580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani G. Benjamin','P.O. Box 702, 2850 Mattis Road','Worcester','IL','09305','lbenjamin@abc.edu',1233377,'232-733-0407',64043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina Z. Mccarthy','P.O. Box 883, 735 Dignissim. Rd.','Laguna Niguel','NE','86885','rina.mccarthy@aulnet',1233378,'292-423-1551',19672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm O. Valencia','Ap #835-1446 Curabitur Rd.','Sacramento','OH','25702','malcolm.valencia@xyz.edu',1233379,'598-781-0131',83730,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill U. Graham','957-7678 Blandit Street','Tallahassee','RI','41866','sybill.graham@abc.edu',1233380,'678-267-8579',76762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa J. Bradford','P.O. Box 478, 7222 Ipsum Rd.','Las Vegas','ME','13064','alexa.bradford@email.net',1233381,'922-501-6674',32216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt V. Goodwin','P.O. Box 411, 8968 Ut Rd.','Green Bay','RI','11124','hoytg@emailathome.net',1233382,'289-211-6112',95989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage A. Owens','6826 Rhoncus. St.','Liberal','AK','47029','sageo@bpmpros.com',1233383,'142-661-5726',52884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana Q. Romero','413-8593 Condimentum Rd.','Highland Park','GA','25273','janar@email.net',1233384,'393-445-9055',97037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline G. Dejesus','6480 Nascetur St.','North Las Vegas','ID','62054','sopoline.dejesus@yohaa.com',1233385,'672-902-2457',58107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason A. Gentry','P.O. Box 800, 5372 Cum St.','El Cerrito','ND','91453',NULL,1233386,'408-181-9922',54098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona W. White','9488 Risus Street','Lincoln','CO','34223','ramonaw@email.net',1233387,'469-719-6186',28131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona J. Sullivan','152-1073 Ac Rd.','Newark','WA','07141','ramona.sullivan@widget.com',1233388,'475-734-4431',76574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance U. Rodgers','P.O. Box 275, 3411 Consectetuer Ave','Lakewood','ID','14222','rodgers@aulnet',1233389,'464-739-4739',37223,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter W. Booker','Ap #976-5417 Duis Av.','Scottsdale','DC','43367','pbooker@abc.edu',1233390,'681-945-7842',70120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebekah V. Collins','Ap #561-1502 Iaculis Street','Hammond','MS','65408','rcollins@yohaa.com',1233391,'866-557-4012',95483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lamar L. Howard','P.O. Box 911, 9125 Ullamcorper Rd.','Warner Robins','MA','97452','lhoward@email.net',1233392,'962-837-3848',93504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby R. Berger','P.O. Box 573, 1616 Blandit Rd.','Goose Creek','MA','81578','libby.berger@hitmail.com',1233393,'122-193-8202',20260,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah W. Baxter','Ap #334-6367 Non St.','Oklahoma City','SC','28209','josiah.baxter@email.net',1233394,'878-909-9028',38544,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic H. Bell','P.O. Box 875, 2357 Facilisis St.','Redding','CT','96314','bell@email.net',1233395,'715-593-4024',22354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson I. Estes','Ap #547-4465 Posuere Street','Sault Ste. Marie','LA','45931','jameson.estes@xyz.edu',1233396,'457-162-5640',83150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith U. Huber','P.O. Box 874, 652 Vitae Ave','Rialto','LA','71116','meredithh@aulnet',1233397,'158-405-4769',56149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden D. Aguirre','9177 Libero Rd.','Cohoes','AK','81738','brenden.aguirre@aulnet',1233398,'941-656-4970',52782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin J. Patrick','178-6194 Vulputate, Av.','South Gate','AK','03294','justinp@abc.edu',1233399,'123-974-5399',43844,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve S. Yang','P.O. Box 227, 5355 Nonummy Ave','Lahaina','HI','26339','yang@emailathome.net',1233400,'624-657-5300',79134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Z. Atkinson','Ap #957-7225 Elit St.','Rome','CA','33550','atkinson@emailathome.net',1233401,'991-525-1727',26231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis U. Raymond','975 Nullam Ave','San Juan Capistrano','MN','21744','raymond@bpmpros.com',1233402,'201-399-3427',74879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena I. Austin','P.O. Box 912, 6625 Dui. Street','Sturgis','ND','17139','zena.austin@aulnet',1233403,'974-184-3746',33917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix V. Hood','P.O. Box 762, 7820 Pede, Rd.','Edmond','NY','31749','mannix.hood@email.net',1233404,'979-953-0373',27098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster I. Woods','P.O. Box 458, 8890 Donec Road','Galveston','CT','71702','woods@yohaa.com',1233405,'553-532-3843',41448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn K. Porter','Ap #167-1552 Quisque Ave','Texas City','MS','67738',NULL,1233406,'541-194-4258',32530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena M. Dominguez','4645 Vitae Avenue','Pico Rivera','NJ','40876','zenad@emailathome.net',1233407,'649-405-4048',61841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia J. Heath','Ap #452-5566 Mattis Road','Modesto','IL','85135','heath@bpmpros.com',1233408,'902-652-9564',68343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle B. Garrett','764-1373 At Ave','Abilene','CT','36822','agarrett@email.net',1233409,'968-969-5115',86087,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli I. Wilkerson','647-428 Mi Street','Rye','KY','48385','owilkerson@emailathome.net',1233410,'217-276-1356',69350,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik I. Chapman','Ap #250-4422 Eleifend St.','York','RI','16564','malikc@widget.com',1233411,'841-158-2333',79456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone G. Allison','Ap #876-3199 Urna, St.','Cortland','AK','82998','allison@bpmpros.com',1233412,'553-494-4516',99392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia O. Battle','8172 Ligula. St.','Dover','ME','57375',NULL,1233413,'575-429-6690',22866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten U. Carr','202 Felis Rd.','Vicksburg','VT','12468','kirsten.carr@xyz.edu',1233414,'296-654-0850',69059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare P. Barnes','Ap #157-468 Adipiscing. Rd.','Greensboro','VT','78090','barnes@emailathome.net',1233415,'459-655-2083',104377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel N. Guzman','P.O. Box 903, 158 Nulla. Road','St. Petersburg','WV','80469','hilelg@email.net',1233416,'551-919-5647',87747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon S. Becker','P.O. Box 350, 8452 Magna Road','Garland','DC','18399','dillonb@email.net',1233417,'969-411-3298',107504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary T. Morrow','410-1440 Quam. Ave','Opelousas','NM','78197','hillarym@xyz.edu',1233418,'697-556-8662',103692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson X. Cabrera','Ap #731-4854 Pede Ave','Bloomington','AZ','65744',NULL,1233419,'932-528-9758',58246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson K. Baxter','836-9580 Tellus St.','Waterloo','MT','50726','carson.baxter@email.net',1233420,'571-502-9308',31955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane Q. Pearson','P.O. Box 575, 9471 In Ave','Gadsden','KY','83243','lane.pearson@xyz.edu',1233421,'161-632-0430',95133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herrod A. Valenzuela','Ap #741-4017 Vitae, Rd.','Paramount','ID','52245','hvalenzuela@aulnet',1233422,'689-651-2913',52874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry G. Gross','869-9155 Risus Street','Vallejo','NV','86538','jerry.gross@widget.com',1233423,'885-475-0353',38217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall Q. Nichols','152 Metus St.','Gadsden','DE','04562','mnichols@email.net',1233424,'226-115-5520',69850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada X. Madden','Ap #490-3325 Sem St.','Nacogdoches','KS','41156',NULL,1233425,'728-945-9595',25179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance R. Middleton','Ap #602-3887 Facilisis St.','Cerritos','WY','30672','constance.middleton@abc.edu',1233426,'838-557-4913',69612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney R. Whitfield','251-7741 Neque Rd.','Weirton','OR','78809','chaney.whitfield@email.net',1233427,'582-319-8662',76624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon F. Morrison','4752 Turpis Rd.','Corry','IL','23130','tmorrison@email.net',1233428,'912-969-0000',96121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia C. Padilla','5958 Eleifend Rd.','Ogdensburg','LA','57759','octaviap@hitmail.com',1233429,'263-265-3512',69138,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla P. Gardner','208-4200 Purus St.','Statesboro','UT','25672',NULL,1233430,'433-596-7600',32825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare T. Glenn','441-7195 Diam Ave','New Brunswick','MO','31966','glenn@bpmpros.com',1233431,'649-172-5773',49961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona O. Heath','430-4258 Adipiscing Ave','Oak Ridge','PA','22764','rhona.heath@email.net',1233432,'721-469-4319',23220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad L. Franks','P.O. Box 720, 4688 Nunc Ave','Galveston','AZ','80202','tad.franks@aulnet',1233433,'967-787-0564',99623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra Z. Johnson','462-5075 Nam Av.','Kansas City','CA','18798',NULL,1233434,'902-968-6557',24911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan Z. Delaney','8333 Vulputate Ave','Little Rock','MD','83964',NULL,1233435,'834-734-8216',103853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles R. Finch','7877 Tellus Rd.','Pass Christian','NM','11710',NULL,1233436,'106-699-9624',57684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith D. Leon','262-164 Et, St.','Agat','CA','75287','leon@abc.edu',1233437,'997-104-5935',69713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra A. York','P.O. Box 709, 7452 Eu, Rd.','Nashua','TX','95260','lyork@hitmail.com',1233438,'558-545-4580',62335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric B. Nichols','P.O. Box 958, 1982 Magna. Rd.','Enfield','NY','46442','nichols@yohaa.com',1233439,'813-362-7062',71770,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem C. Garza','P.O. Box 516, 6640 Ridiculus Avenue','Elmira','MA','07454','kadeem.garza@yohaa.com',1233440,'997-701-9617',87596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quail J. Webb','957-2877 Sapien Street','Newport','MA','87485','quailw@aulnet',1233441,'841-737-4474',31661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana Y. Burke','900-3606 Convallis St.','Rockville','TN','25203',NULL,1233442,'799-639-3777',40744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack L. Clemons','933-3748 Lectus Street','Paterson','SD','63899','jackc@aulnet',1233443,'203-893-4327',28999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter K. Langley','7069 Sed Ave','Ypsilanti','ID','94031',NULL,1233444,'521-431-6199',70416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian I. Cash','9208 Fusce St.','Little Falls','NV','50899','cash@email.net',1233445,'304-446-4894',63073,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey L. Hewitt','Ap #989-2815 Aenean Ave','Peabody','TN','39390','ahewitt@emailathome.net',1233446,'389-584-8292',26533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee Q. Pena','P.O. Box 601, 9073 Curabitur St.','Northampton','NE','33573','rpena@abc.edu',1233447,'974-254-6475',81696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey V. Sears','407-6805 Donec Rd.','Los Alamitos','VT','47481','sears@hitmail.com',1233448,'165-938-0827',41182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma Z. Dunlap','9823 Nulla St.','Newport News','ID','72896','dunlap@xyz.edu',1233449,'645-841-2341',55480,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin D. Guthrie','579-8313 Eget Street','Lawton','KY','51433','guthrie@emailathome.net',1233450,'321-965-7060',57533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso W. Craig','P.O. Box 877, 8704 A, Rd.','Jeannette','MD','75036','alfonso.craig@hitmail.com',1233451,'561-891-7655',81175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter D. Mcconnell','P.O. Box 553, 3778 Sit Av.','Athens','LA','79344','carterm@yohaa.com',1233452,'481-841-6414',15727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira S. Weber','470 Tempor Rd.','Gatlinburg','UT','99936','weber@xyz.edu',1233453,'872-319-4045',83893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade D. Mullins','P.O. Box 617, 1803 Amet Street','North Little Rock','MA','27616','slade.mullins@abc.edu',1233454,'654-535-8442',66963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia H. Rocha','706-7711 Imperdiet, Road','Manhattan','ID','61199','virginia.rocha@yohaa.com',1233455,'816-479-9037',65789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill C. Anderson','662-2453 Mi Av.','Saipan','IA','59420','sybilla@hitmail.com',1233456,'619-436-8047',25778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby Q. Madden','Ap #599-3756 Donec Rd.','Bethlehem','FL','46105',NULL,1233457,'626-346-6725',95696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Minerva Z. Griffin','Ap #335-4944 Etiam Avenue','Gloversville','SD','94240','minervag@hitmail.com',1233458,'556-173-3190',107604,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick V. Mills','3862 Turpis Avenue','Union City','MD','74214','chadwick.mills@yohaa.com',1233459,'749-894-4927',49050,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy K. Parks','P.O. Box 275, 7353 Nisi. Av.','Athens','WY','37312',NULL,1233460,'627-476-1605',74599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean Z. Garrison','114-9138 Magnis St.','Kettering','GA','17455','dean.garrison@xyz.edu',1233461,'867-494-7708',46672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Andrew Y. Hutchinson','9487 Quisque Av.','Seward','KY','81323','andrew.hutchinson@abc.edu',1233462,'279-656-3967',78938,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon O. Robinson','P.O. Box 646, 1451 Dis Av.','Santa Fe','NV','90372','robinson@bpmpros.com',1233463,'706-975-5219',34657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray W. Patterson','771-3321 Aliquam Rd.','Kemmerer','LA','95885','rayp@abc.edu',1233464,'358-154-9294',66549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar T. Haney','Ap #117-5871 Dapibus St.','Baton Rouge','RI','13709','bryar.haney@xyz.edu',1233465,'685-934-9878',30446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani S. Duran','790-7367 Morbi Rd.','Bethlehem','SC','52665',NULL,1233466,'475-151-9938',90942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden Z. Nielsen','Ap #705-5750 Mauris Avenue','Burlingame','MI','26378','nielsen@bpmpros.com',1233467,'144-419-4694',71922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett K. Finch','354-8840 Odio Avenue','Appleton','WV','37363','garrettf@hitmail.com',1233468,'743-787-1065',80929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois H. Atkinson','Ap #462-2704 Feugiat Street','Baltimore','ND','65203','latkinson@emailathome.net',1233469,'667-309-0961',101522,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny P. Phillips','8185 Nunc Ave','Barrow','NJ','69475','destiny.phillips@widget.com',1233470,'196-453-1821',94180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo Z. Richards','Ap #751-8999 Nam St.','Juneau','NM','29888','cleor@emailathome.net',1233471,'354-459-7029',99899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden S. Benson','Ap #850-8594 Dignissim Av.','Hazleton','NV','14334',NULL,1233472,'223-486-7365',53764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan H. Huber','P.O. Box 130, 3492 Donec Rd.','Portland','UT','49964','rogan.huber@hitmail.com',1233473,'298-421-7074',53114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher V. Andrews','P.O. Box 508, 9832 Massa. Rd.','Carson City','MS','35974','andrews@abc.edu',1233474,'839-137-4681',79652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle C. Obrien','300 Lorem, Ave','Chicopee','AL','19403','kyleo@aulnet',1233475,'991-585-3981',47722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie N. Wright','P.O. Box 337, 4432 Eleifend Rd.','Trenton','DE','19228','juliew@widget.com',1233476,'722-723-1085',108844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim I. Perry','3821 Phasellus Ave','El Paso','AK','97109','perry@yohaa.com',1233477,'123-995-2685',88903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill I. Gilbert','P.O. Box 280, 2303 Volutpat St.','Saint Paul','AZ','12700','sybillg@xyz.edu',1233478,'919-933-9271',98696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley R. Payne','P.O. Box 406, 879 Ipsum St.','Bell','NE','68871','lesleyp@hitmail.com',1233479,'682-592-5235',65944,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa K. Parrish','P.O. Box 323, 4720 Tortor, Road','Berlin','NJ','18977','cparrish@hitmail.com',1233480,'948-521-0125',56755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle Z. Bryan','617-2393 Mi Av.','LaGrange','SD','42750','lyle.bryan@emailathome.net',1233481,'728-677-1971',30971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe P. Rich','Ap #468-6921 Massa Av.','Wilmington','WY','86928',NULL,1233482,'779-408-9751',88087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton Y. Evans','Ap #912-9152 Auctor St.','Calumet City','IA','25511','eevans@abc.edu',1233483,'531-309-6176',101686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin R. Potts','Ap #864-603 Malesuada. St.','Chicopee','PA','05330','potts@hitmail.com',1233484,'943-573-7823',16835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley Y. Anthony','Ap #796-7663 Eget Ave','Diamond Bar','NM','37643','wesleya@yohaa.com',1233485,'184-127-5092',104912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan Z. Munoz','2969 Ut Ave','Jeannette','MT','76010','brennanm@aulnet',1233486,'885-293-5952',61372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden T. Church','601-3749 Etiam Street','Billings','MN','97774',NULL,1233487,'785-569-6622',68015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven B. Hudson','1186 Magnis Rd.','Vancouver','HI','31980','stevenh@yohaa.com',1233488,'758-126-5735',48204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda O. Serrano','P.O. Box 581, 2311 Donec Ave','Newton','KY','59881','vserrano@yohaa.com',1233489,'862-521-5461',31971,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko N. Moore','P.O. Box 459, 1824 Vestibulum Rd.','Berlin','WA','27287','ymoore@abc.edu',1233490,'178-941-3609',22940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel G. Acosta','6052 Nulla Rd.','Brockton','UT','99662',NULL,1233491,'491-207-9910',41890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard E. Buckner','P.O. Box 234, 5214 Lectus Av.','Shelton','WA','81270','buckner@xyz.edu',1233492,'943-333-4304',43188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae P. Lancaster','9519 Et Rd.','Knoxville','WV','70078','lancaster@bpmpros.com',1233493,'296-381-5138',76668,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki C. Walton','Ap #653-2748 Eu St.','Eatontown','ME','33613','walton@xyz.edu',1233494,'782-978-2687',93945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia M. Moody','Ap #981-7823 Leo. Rd.','Danbury','NJ','92135','claudiam@email.net',1233495,'849-622-6098',81587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley N. Myers','P.O. Box 958, 8723 Urna Street','Narragansett','WA','56259','riley.myers@yohaa.com',1233496,'585-425-9466',66924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey G. Kirby','4401 Est. St.','Klamath Falls','SC','33928',NULL,1233497,'754-692-1336',47283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester Z. Gilmore','709-3918 Sed Avenue','Newport News','MN','22465','sylvesterg@abc.edu',1233498,'484-137-7388',81926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan B. Mccullough','P.O. Box 626, 8928 Mauris Avenue','Lakewood','IL','70193','mccullough@bpmpros.com',1233499,'668-942-0897',34057,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard X. Moss','2542 Donec Street','Cincinnati','WV','40358','rudyardm@emailathome.net',1233500,'478-734-5387',50207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas D. Pickett','8108 Sem Rd.','North Adams','AL','17721','nicholasp@xyz.edu',1233501,'857-604-4778',47577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia D. Nichols','5849 Odio Road','Erie','MD','03895','nichols@aulnet',1233502,'668-744-4048',61777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste H. Mclean','6551 Magnis Ave','Centennial','KS','69069','celestem@hitmail.com',1233503,'559-105-8892',35137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra B. Mendez','Ap #876-3191 Ut Av.','Grass Valley','TN','14273','audra.mendez@email.net',1233504,'344-793-7075',98293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn C. Rush','P.O. Box 471, 2201 Quam. Road','Sandy','IN','14629',NULL,1233505,'804-247-9497',66091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar K. Gallagher','Ap #407-5471 Felis St.','North Tonawanda','PA','02517','gallagher@widget.com',1233506,'337-141-2872',48743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick X. West','973-4100 Ipsum Street','Saratoga Springs','IA','07909','west@widget.com',1233507,'527-765-8051',102781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady H. Griffith','P.O. Box 620, 6092 Mollis Street','Lander','NE','89796','gradyg@hitmail.com',1233508,'606-224-8887',100708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira V. Simmons','P.O. Box 908, 5400 In St.','Eureka','MS','01081',NULL,1233509,'887-484-5074',106298,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya W. Chase','Ap #893-2316 In St.','San Luis Obispo','RI','29820','chase@bpmpros.com',1233510,'812-799-1836',101785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley W. Carney','Ap #872-3329 Aliquet. Street','Jeffersontown','OR','53272','bcarney@widget.com',1233511,'203-124-6237',18661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan Y. Johnson','5480 Odio. Rd.','Waltham','NV','91826','meghan.johnson@yohaa.com',1233512,'254-365-5670',44152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy C. Golden','Ap #947-7845 Adipiscing St.','Connellsville','RI','37338','wgolden@aulnet',1233513,'255-309-6642',44538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole Q. Elliott','Ap #238-6234 Molestie Rd.','Everett','CA','87614','elliott@hitmail.com',1233514,'153-208-5182',89254,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn C. Huffman','Ap #718-3377 Proin Ave','Jackson','TN','93180','evelynh@hitmail.com',1233515,'895-858-9575',79714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona M. Pierce','Ap #446-9029 Magna, St.','El Segundo','AK','91385','kiona.pierce@abc.edu',1233516,'666-462-1101',85735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli L. Morrison','1558 Adipiscing. Road','Mesa','MI','76635','morrison@xyz.edu',1233517,'874-431-0661',93053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott Y. Conner','Ap #107-2217 Mauris Avenue','West Memphis','VT','38904','scott.conner@xyz.edu',1233518,'641-524-9549',40687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia C. Carroll','P.O. Box 548, 2795 At Road','New Iberia','MO','48077','acarroll@bpmpros.com',1233519,'173-723-2461',19553,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy I. Chambers','139-6569 Lorem Street','Kansas City','NE','04642',NULL,1233520,'711-793-4247',81796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burke T. Velez','P.O. Box 385, 4034 In St.','Lander','LA','99993','bvelez@bpmpros.com',1233521,'646-366-1585',93512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan N. Gay','739-3550 Nascetur Street','Great Falls','AK','37727','gay@bpmpros.com',1233522,'722-468-6247',95827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin R. Hall','P.O. Box 323, 9714 In Ave','Laurel','WV','90638',NULL,1233523,'466-298-4561',93699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel R. Weaver','223-495 Eget Street','Middletown','ME','33833',NULL,1233524,'573-939-1266',97443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily S. Rogers','796-784 Sed Ave','Radford','VA','21364','rogers@yohaa.com',1233525,'398-861-7098',48617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim F. Kirk','3609 Aliquam Street','Areceibo','IN','00233','nkirk@aulnet',1233526,'369-889-6667',57855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses I. Pope','2669 Fusce Road','International Falls','CT','14824','mpope@bpmpros.com',1233527,'948-375-2531',34692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton Y. Santiago','Ap #873-5428 Ridiculus Rd.','Bossier City','OH','89294','santiago@widget.com',1233528,'229-277-3526',24992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison I. Santana','295-1404 Vivamus Rd.','Vermillion','AK','74564','santana@hitmail.com',1233529,'859-988-1554',24903,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra F. Bruce','Ap #234-5592 Sed Avenue','Saint Cloud','LA','43728','sandra.bruce@yohaa.com',1233530,'383-142-0291',96833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura Z. Moreno','P.O. Box 877, 6766 Sem Ave','Philadelphia','AL','39182','laura.moreno@hitmail.com',1233531,'901-284-2352',70683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai L. Hobbs','545-8189 Non St.','Morrison','LA','37776','hobbs@bpmpros.com',1233532,'959-861-9531',91601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester K. Hopper','4823 Fringilla Av.','Wahoo','ID','83217','shopper@emailathome.net',1233533,'985-681-4665',71301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carol T. Spears','P.O. Box 426, 1474 Ut Ave','Bend','GA','45729','carols@email.net',1233534,'146-931-5110',85868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon I. Marks','P.O. Box 915, 1809 Vulputate, Road','Frisco','IL','49495','marks@bpmpros.com',1233535,'224-261-1917',21837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle V. Rice','P.O. Box 951, 7525 Et Street','El Cerrito','TX','12951',NULL,1233536,'457-571-7318',47927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elliott K. Mann','P.O. Box 587, 6516 Eu Street','Homer','MS','33245','mann@hitmail.com',1233537,'207-654-1358',82133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill B. Padilla','542-5856 Ut, Street','Plymouth','AK','56789','merrillp@abc.edu',1233538,'935-232-7969',39734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden Z. Prince','P.O. Box 774, 7009 Tristique Road','Layton','ID','25371','brendenp@email.net',1233539,'161-196-2380',43315,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana O. Vega','Ap #401-1144 Curabitur Rd.','Medford','CA','30265','illiana.vega@xyz.edu',1233540,'537-608-6048',51776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado R. Vargas','P.O. Box 270, 5147 Cum Av.','Rutland','MT','64395','coloradov@hitmail.com',1233541,'651-298-7963',17501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber K. Ewing','P.O. Box 912, 497 Aptent St.','Goose Creek','CA','61425','amber.ewing@aulnet',1233542,'811-472-5602',74824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris R. Mcpherson','P.O. Box 950, 916 A Av.','Chula Vista','TX','96658','mcpherson@emailathome.net',1233543,'174-895-1666',42051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie X. Velazquez','Ap #118-4291 Odio Rd.','North Chicago','WI','86373','nvelazquez@emailathome.net',1233544,'932-906-8000',79921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott Z. Parsons','7895 Augue Rd.','Cicero','MN','07095','parsons@bpmpros.com',1233545,'724-116-1177',106356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel Z. Rowland','Ap #483-222 Duis Rd.','Fountain Valley','IA','76083',NULL,1233546,'279-993-9190',41974,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim G. Santos','P.O. Box 932, 1852 Magna Rd.','Thousand Oaks','KY','69645',NULL,1233547,'729-909-8027',28762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke L. Sanford','Ap #426-2571 Accumsan Rd.','Thiensville','IN','66926','clarke.sanford@email.net',1233548,'672-492-3011',18415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla E. Small','Ap #528-3077 Id, Ave','Fairfield','TN','19975','halla.small@hitmail.com',1233549,'902-674-0753',91279,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole V. Hurst','P.O. Box 693, 9844 Tincidunt Street','Newport News','CT','98018','nichole.hurst@bpmpros.com',1233550,'184-996-5706',61266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh H. Washington','P.O. Box 432, 7271 Aliquam Road','Cerritos','AK','19618','leighw@xyz.edu',1233551,'826-811-8064',86708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya G. Avila','Ap #577-3865 Nisl Avenue','Oneonta','VT','98508','mavila@emailathome.net',1233552,'326-143-8537',75576,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yetta K. Burch','Ap #888-1226 Cras St.','Chino Hills','MD','35624','yburch@widget.com',1233553,'332-558-5014',75877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James H. Carney','Ap #165-4103 Curabitur Street','Fort Smith','WV','30266',NULL,1233554,'981-223-6702',94593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian M. Navarro','1414 Ultrices. Av.','Beaver Falls','MA','71925','dnavarro@abc.edu',1233555,'152-641-6528',38838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel M. Wolf','P.O. Box 460, 9114 Aliquam St.','Wahoo','DC','52434','axelw@bpmpros.com',1233556,'559-501-0417',20245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isadora H. Mcmahon','4560 Gravida Rd.','Santa Clarita','VA','80785',NULL,1233557,'139-474-3244',47312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa B. Manning','Ap #357-5380 Non, St.','El Cerrito','AK','98778','ursam@aulnet',1233558,'564-594-9772',109225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra I. Page','242-2720 Dictum Street','Beckley','MI','57446','page@yohaa.com',1233559,'225-799-2822',71867,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber P. Lindsey','4788 Amet Street','Lexington','KS','30575','lindsey@xyz.edu',1233560,'411-933-4023',45141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye O. Mayer','P.O. Box 344, 9139 Ridiculus Rd.','Glendale','FL','50590',NULL,1233561,'267-577-4008',23580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter K. Conley','394 Pellentesque Ave','Hickory','AK','44620','dexterc@abc.edu',1233562,'789-895-4422',103942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth V. Dodson','P.O. Box 856, 8577 Risus Rd.','Rye','SD','81426','garth.dodson@widget.com',1233563,'257-836-6311',95403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona U. Fuller','Ap #291-794 A, Rd.','Murfreesboro','AZ','88570','iona.fuller@bpmpros.com',1233564,'907-254-9995',44908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burton E. Peck','3631 Pretium St.','Murfreesboro','NE','16544','burtonp@bpmpros.com',1233565,'403-493-0184',20589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert R. Hunt','357-1837 Sit Rd.','Huntington Beach','HI','71687','roberth@xyz.edu',1233566,'332-645-0371',62019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee O. Merrill','P.O. Box 567, 6812 Turpis. St.','Montpelier','SD','03984','lee.merrill@hitmail.com',1233567,'662-904-5486',98623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi J. Rios','5775 Cursus. Road','Laguna Niguel','DE','78079','rios@yohaa.com',1233568,'467-834-0255',90875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot K. Hamilton','P.O. Box 331, 1613 Ultricies Avenue','Moreno Valley','FL','38207','ahamilton@email.net',1233569,'276-644-4785',16948,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest V. Blair','P.O. Box 289, 4342 Parturient Rd.','Johnstown','MN','63091','forrest.blair@hitmail.com',1233570,'308-575-0285',15242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naomi A. Cardenas','3523 Gravida St.','Paducah','CA','50656',NULL,1233571,'966-287-9344',61186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly B. Garrett','P.O. Box 735, 448 Donec St.','Janesville','NE','69119','mgarrett@hitmail.com',1233572,'866-823-9199',68385,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola B. Haynes','P.O. Box 819, 7503 Sed Ave','Fullerton','MO','01861','haynes@widget.com',1233573,'181-957-7797',106237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla N. Porter','Ap #573-8658 Eget St.','Parma','KS','83785',NULL,1233574,'656-647-5943',80629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius Q. Buckley','P.O. Box 824, 9820 Aliquet. Av.','Rehoboth Beach','KS','64448','ignatiusb@aulnet',1233575,'234-791-3378',39097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney Y. Dale','Ap #136-1871 Et Street','Rutland','TX','10984','cdale@email.net',1233576,'433-577-2686',109946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan G. Kirkland','P.O. Box 526, 640 Elit, Ave','San Juan','MT','33054','lkirkland@bpmpros.com',1233577,'138-462-8391',19681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olympia B. Roach','246-137 Arcu Street','Little Falls','NY','12856','olympiar@bpmpros.com',1233578,'901-949-3112',64440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden O. Hancock','Ap #210-4453 Pellentesque, St.','Vallejo','IN','95707',NULL,1233579,'655-566-4057',32293,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melvin S. Wood','564-5307 Primis Road','Thiensville','NY','94289',NULL,1233580,'997-552-0174',34409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew K. Curry','P.O. Box 701, 5734 Suspendisse St.','Hackensack','FL','80074','drew.curry@emailathome.net',1233581,'354-351-7027',30817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander J. Cotton','2530 Porttitor Road','Newark','TX','20249',NULL,1233582,'457-883-2072',90402,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa O. Mann','3514 Vitae, Rd.','Thibodaux','DC','79091','risam@email.net',1233583,'226-162-7490',76480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr Y. Roth','402-5833 Pellentesque, Rd.','Berkeley','CA','20109','zephrr@widget.com',1233584,'202-337-3981',53456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder B. Cain','6121 Pellentesque Avenue','Marietta','MS','50052','cain@hitmail.com',1233585,'164-174-1079',58709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle P. Robles','Ap #239-4303 Erat. Rd.','Normal','DE','69210','robles@yohaa.com',1233586,'373-436-4105',35526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross R. Justice','655-8766 Blandit Street','West Valley City','RI','93753','rossj@emailathome.net',1233587,'173-446-7721',100344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem C. Powers','7053 Phasellus Street','Leominster','AZ','00660','hakeemp@abc.edu',1233588,'135-343-6762',64523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack R. Marks','517-1305 Lacus. Avenue','North Las Vegas','ID','21532','jackm@hitmail.com',1233589,'293-228-4601',59776,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa Z. Harding','Ap #567-8826 Libero Avenue','Billings','WY','28859','harding@bpmpros.com',1233590,'482-575-7021',83302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny E. Gallagher','P.O. Box 235, 6590 Nec, Ave','Springfield','ND','65683','destinyg@bpmpros.com',1233591,'544-925-4091',19393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor T. Glenn','4695 Molestie Rd.','Hattiesburg','DE','92599','glenn@hitmail.com',1233592,'168-513-8053',59143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo P. Gonzalez','3653 Ut Rd.','Baltimore','NM','94104','kibog@widget.com',1233593,'454-469-1114',108608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum I. Wiley','Ap #302-1208 Duis Rd.','El Monte','FL','87872',NULL,1233594,'987-441-7109',41782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter G. Griffin','Ap #938-8551 Facilisis Road','Fort Lauderdale','DE','34812','carter.griffin@bpmpros.com',1233595,'795-772-0128',41268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria O. Petty','7424 Bibendum St.','Jamestown','MI','78231','demetria.petty@abc.edu',1233596,'713-993-3595',77611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace L. Peck','P.O. Box 993, 3995 Orci, Avenue','Enfield','SD','28996',NULL,1233597,'238-951-7431',15821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur R. Nelson','P.O. Box 925, 3532 Molestie Road','Frederick','VA','78296','fleur.nelson@yohaa.com',1233598,'393-521-3721',34044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy F. Frank','3534 In, Avenue','Grand Island','AL','31489','kennedy.frank@emailathome.net',1233599,'318-948-2814',37901,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor K. Mcmahon','Ap #411-205 Vitae St.','Oswego','HI','26757','victorm@hitmail.com',1233600,'247-566-4047',102629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev E. Cabrera','Ap #700-8850 Sed Ave','Easton','AL','22948','lev.cabrera@yohaa.com',1233601,'607-844-2096',24415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa A. Hartman','P.O. Box 563, 2703 Feugiat. Rd.','Redding','FL','10942',NULL,1233602,'882-588-2325',53762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell N. Cook','Ap #569-1289 Ligula. Rd.','Port Huron','AK','25445',NULL,1233603,'488-371-7680',108626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur K. Marks','7541 Neque. Ave','Greenville','MA','13855','marks@yohaa.com',1233604,'409-948-8658',51236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn K. Phillips','5516 Non Av.','Alameda','OR','08050','caryn.phillips@hitmail.com',1233605,'446-886-8706',71720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver L. Camacho','P.O. Box 567, 4622 Non, Street','Wilkes-Barre','MO','24733',NULL,1233606,'784-239-9168',99775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble M. Hernandez','5481 Enim Rd.','Spokane','CT','05307','nobleh@yohaa.com',1233607,'781-159-4724',81435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola N. Barlow','8019 Feugiat Ave','Cohoes','MN','38769','idola.barlow@abc.edu',1233608,'491-278-2842',38065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille Q. Leblanc','Ap #426-2634 Nullam Avenue','Joplin','IN','77306','leblanc@widget.com',1233609,'276-567-6358',29908,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos K. Bowers','P.O. Box 985, 5647 Lorem Rd.','Rapid City','KY','68736','xenosb@emailathome.net',1233610,'244-319-7863',30680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace I. Delaney','Ap #331-9362 Vitae Street','Saginaw','ID','53621','cdelaney@abc.edu',1233611,'568-602-8216',17631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina F. Anderson','Ap #172-5733 Fusce Street','Dothan','KY','50513','randerson@email.net',1233612,'235-794-2051',40068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble H. Ryan','511-789 Rutrum Av.','Zanesville','NE','81241','nobler@abc.edu',1233613,'765-909-6939',19169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney I. Boone','Ap #165-7144 Eros Avenue','Bethlehem','NE','04395','sigourney.boone@xyz.edu',1233614,'637-302-2019',18144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda C. Shelton','870-8133 Pharetra Avenue','Woodruff','WA','43157',NULL,1233615,'543-189-3816',103283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan Z. Malone','P.O. Box 995, 3234 Ut Road','Jamestown','TX','76429','duncan.malone@yohaa.com',1233616,'677-129-1194',15386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna Y. Burks','1162 Lacus. Ave','Bellflower','WA','39577','brenna.burks@yohaa.com',1233617,'229-287-8997',23731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara O. Potter','Ap #122-2623 Donec Av.','Hartford','VA','84824',NULL,1233618,'492-522-6084',20879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena D. Davis','Ap #118-8171 Velit Avenue','Isle of Palms','AZ','94288','davis@xyz.edu',1233619,'103-405-9255',47473,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob K. Bauer','Ap #301-2442 Enim, Street','Fairfield','ID','21425','jbauer@xyz.edu',1233620,'705-817-2121',51151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell S. Rich','P.O. Box 611, 998 Morbi Av.','Pascagoula','SC','03635','rrich@emailathome.net',1233621,'251-965-6729',101863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina H. Blair','P.O. Box 638, 6569 Sociis Av.','Cedar City','DC','90794','justina.blair@bpmpros.com',1233622,'539-691-5552',48603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan G. Buck','Ap #656-359 Arcu St.','Monterey Park','HI','34534','reaganb@bpmpros.com',1233623,'439-869-4599',29342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor N. Cervantes','5099 Eu Street','La Ca?ada Flintridge','KY','93167','icervantes@widget.com',1233624,'611-154-0309',89251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin T. Shaw','3126 Integer Street','Laguna Beach','DC','64013','marvin.shaw@emailathome.net',1233625,'429-282-2966',108180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea X. Patton','Ap #600-1699 Ipsum Road','Agoura Hills','MN','65429','apatton@xyz.edu',1233626,'533-963-1543',58148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris L. Arnold','972-997 Sem, Ave','Bismarck','MT','97562','arnold@abc.edu',1233627,'183-625-5877',48354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl U. Brennan','P.O. Box 508, 8498 Nec St.','Moreno Valley','MA','91799','cbrennan@aulnet',1233628,'452-434-9595',56235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida U. Davis','Ap #266-4493 A Street','Sheridan','NY','02004','naida.davis@email.net',1233629,'893-245-5895',56545,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade W. Barr','Ap #456-5962 At, Street','Duquesne','NH','23425','sadeb@aulnet',1233630,'629-523-6782',68716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando A. Robles','824 Integer Av.','Binghamton','NE','70782','orobles@aulnet',1233631,'136-698-5309',20526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ronan I. Phelps','P.O. Box 442, 266 Nulla Rd.','Vacaville','IL','75656',NULL,1233632,'448-574-0726',23968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa D. Long','623-7275 In Street','Mesquite','WI','28403','hayfa.long@xyz.edu',1233633,'251-698-0730',58430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke O. Patterson','Ap #284-5231 Amet, Street','Christiansted','SC','79198','luke.patterson@xyz.edu',1233634,'792-852-3504',41233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko T. Joseph','116-4500 Gravida St.','Wynne','HI','02871','hjoseph@widget.com',1233635,'171-762-5249',86972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaitlin A. Harper','9329 Tortor Av.','Bayamon','AZ','01411','kaitlinh@hitmail.com',1233636,'709-817-8830',59818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda L. Knox','3992 Felis St.','Wahoo','OK','72822','lknox@email.net',1233637,'975-245-1367',32076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance G. Castillo','4956 Sed, Ave','Buena Park','SC','70658',NULL,1233638,'841-248-5521',81973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie M. Rollins','Ap #137-4101 Donec Road','Indianapolis','SD','62032','lrollins@bpmpros.com',1233639,'791-632-7703',49440,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evan B. Holloway','Ap #704-5896 Lectus Street','Dalton','OK','58111',NULL,1233640,'254-944-5862',72338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison Z. Marshall','P.O. Box 848, 2304 Maecenas Avenue','Murrieta','MO','27476','madisonm@hitmail.com',1233641,'698-842-7852',80820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe H. Huffman','776-273 Ut St.','Flagstaff','NH','00738','huffman@abc.edu',1233642,'205-793-5342',37356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana Y. Hopkins','P.O. Box 170, 9170 Class Avenue','Laurel','TN','41642','ariana.hopkins@yohaa.com',1233643,'481-586-2897',32688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison K. Allen','737-3560 Nulla. Rd.','Moline','SC','61803','allen@widget.com',1233644,'556-936-4126',15915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia F. Huber','Ap #108-9166 Id Rd.','Wheaton','OK','55617','ceciliah@email.net',1233645,'511-967-8032',34558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison F. Weeks','422-8725 Fringilla Road','Arcadia','LA','00555','madison.weeks@xyz.edu',1233646,'273-684-5514',67869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine T. Park','9049 Mollis Rd.','Bayamon','ME','46747','jessamine.park@emailathome.net',1233647,'793-401-6680',36925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma Q. Crane','765-7980 Nec, Ave','Alameda','OK','19055','ifeoma.crane@emailathome.net',1233648,'793-586-8965',77351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine X. Montoya','Ap #911-5390 Ornare, Av.','Texas City','NY','30949','jmontoya@aulnet',1233649,'996-799-2850',90312,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno L. Montgomery','607-1203 Iaculis Street','Sunbury','MN','19640',NULL,1233650,'699-696-3845',77072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvonne L. Monroe','7600 Nam Street','Marlborough','HI','17288','yvonne.monroe@xyz.edu',1233651,'354-313-2718',22174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin Q. Gilbert','P.O. Box 224, 4469 Pellentesque Street','Lower Burrell','AK','25633','gilbert@aulnet',1233652,'922-376-5987',77903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber T. Mullins','796-3217 Aliquam Avenue','Narragansett','VA','99124','amullins@abc.edu',1233653,'858-889-0556',60247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden D. Henson','5177 Eleifend, St.','Bartlesville','HI','81191','henson@bpmpros.com',1233654,'114-699-3873',101879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay N. Stewart','9317 In Street','Philadelphia','AL','00448','fstewart@aulnet',1233655,'758-869-1291',68149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl X. Stark','2000 Viverra. St.','Winnemucca','AK','71792',NULL,1233656,'746-612-4983',29698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye H. Gamble','P.O. Box 579, 7362 Dui. St.','Gettysburg','IA','30201','avyeg@abc.edu',1233657,'994-741-3527',64446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne R. Cherry','8624 Dui Rd.','Milwaukee','CO','46270',NULL,1233658,'391-591-8559',101859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel R. Crawford','2674 Hendrerit Road','Milford','KY','93827','arielc@emailathome.net',1233659,'545-575-6236',24726,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi B. Craft','599-8577 Volutpat Street','Narragansett','MA','73566','whoopic@bpmpros.com',1233660,'494-938-4030',41919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil K. Rogers','568-2738 Magna. Avenue','Pawtucket','AK','42425','rogers@emailathome.net',1233661,'192-586-4148',38868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby N. Whitaker','1750 Nisi. Ave','Rehoboth Beach','KY','07132','ruby.whitaker@email.net',1233662,'475-984-1327',84334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada P. Delgado','Ap #315-5732 Est St.','Fremont','DC','54051',NULL,1233663,'284-669-5536',96106,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew P. Hines','P.O. Box 830, 7148 Cursus Rd.','Richmond','AZ','20174','matthew.hines@emailathome.net',1233664,'226-411-9804',49717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding F. Casey','1503 Eu Rd.','Dothan','WY','70282','hcasey@xyz.edu',1233665,'399-712-3533',60594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby Z. Hale','P.O. Box 815, 7938 Nam Ave','Pico Rivera','NJ','58838','chale@xyz.edu',1233666,'211-401-0123',80130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory E. Pierce','P.O. Box 477, 8607 Quam. St.','East Lansing','GA','85834','malloryp@email.net',1233667,'774-885-2952',23117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph U. Moon','2653 Cras Road','La Verne','AK','38927','ralphm@hitmail.com',1233668,'611-198-3868',18661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard I. Harding','4517 Lectus. St.','Monterey Park','KS','74517','leonard.harding@hitmail.com',1233669,'401-162-2610',22698,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon Y. Pearson','341-9787 Feugiat Street','Livonia','HI','58932','timonp@abc.edu',1233670,'441-851-9121',98077,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham Y. Cooke','2252 Vel Avenue','Dana Point','ID','77682','grahamc@widget.com',1233671,'476-711-7057',108418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn D. Avila','642-6602 Parturient Road','Edmond','MO','73640','qavila@bpmpros.com',1233672,'333-709-4291',41746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby G. Summers','974-3055 Sociis Avenue','Rockville','NH','08481','ksummers@bpmpros.com',1233673,'233-566-1755',106144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie G. Olsen','Ap #430-4870 Scelerisque Rd.','Valdosta','KY','97695','olsen@hitmail.com',1233674,'287-411-8769',61845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany L. Madden','Ap #695-8123 Convallis Street','Corpus Christi','AK','30728','brittanym@abc.edu',1233675,'524-702-0218',17848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe N. Sharpe','5088 Tempor Road','Nichols Hills','ND','81795','psharpe@hitmail.com',1233676,'878-622-9921',109910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia W. Eaton','Ap #110-9032 Donec St.','Berkeley','WY','65157','jeaton@aulnet',1233677,'853-722-3523',64810,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith N. Hewitt','503-7024 Elit, Ave','Bay City','MN','40815','jhewitt@aulnet',1233678,'164-917-5489',15022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle N. Cote','P.O. Box 628, 3114 Vel, Rd.','Jacksonville','AK','46696','cote@email.net',1233679,'502-565-3829',39279,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Andrew G. Strong','8088 Nunc St.','Plymouth','TN','24079',NULL,1233680,'638-389-4369',84085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius S. Clements','Ap #940-4163 Penatibus Street','Paducah','OK','56370','clements@abc.edu',1233681,'459-188-2777',23347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giselle V. Nieves','Ap #510-879 Eget, Av.','Bridgeport','ME','17163','gnieves@bpmpros.com',1233682,'644-993-0812',73524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone S. Wise','Ap #147-5027 Vehicula. Rd.','Atlanta','MO','80907','tyronew@hitmail.com',1233683,'161-605-6076',103165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus O. Underwood','P.O. Box 211, 5480 Et Avenue','Roseville','FL','66956','venusu@xyz.edu',1233684,'855-925-6392',51717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quentin I. Tanner','5531 Velit Av.','Pico Rivera','CO','88265','quentin.tanner@xyz.edu',1233685,'962-657-0595',27743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris K. Mccall','978-539 Blandit Road','Bismarck','TN','92081','dorism@bpmpros.com',1233686,'346-217-8648',29473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima H. Hoffman','Ap #426-3600 Nibh St.','Westminster','KY','19812','ihoffman@xyz.edu',1233687,'894-241-4572',34595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique J. Beasley','Ap #458-4969 Est. Rd.','Gardena','PA','12322','dominique.beasley@abc.edu',1233688,'235-138-2786',43012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle N. Taylor','6425 Suspendisse Avenue','Jonesboro','MO','87718','taylor@widget.com',1233689,'142-366-7786',15655,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKenzie R. Joyner','Ap #471-1085 Neque St.','Mankato','IL','77865','joyner@widget.com',1233690,'675-716-9826',71890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia P. Erickson','653-9132 Lacinia Ave','Sutter Creek','AK','37305','erickson@yohaa.com',1233691,'361-946-6625',59995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira B. Cook','Ap #299-2312 Et Rd.','Wichita Falls','TN','81218',NULL,1233692,'624-995-8314',106146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca L. Webb','Ap #352-6231 Semper St.','College Park','MO','39021','webb@email.net',1233693,'331-865-7595',99490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava W. Alvarado','254-1252 Eget Avenue','San Diego','MN','95125','ava.alvarado@emailathome.net',1233694,'247-487-2410',16129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster X. Montoya','6315 Non Rd.','New Britain','AK','82472','montoya@aulnet',1233695,'195-609-2489',81481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezekiel T. Casey','301-5145 Sed Street','Ann Arbor','WI','09381','ecasey@widget.com',1233696,'864-858-4587',15932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita S. Reid','408-2120 Malesuada Avenue','Sheboygan','NV','58457','reid@emailathome.net',1233697,'839-794-5520',24538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden C. Ryan','8440 Sed Rd.','Lakewood','IL','17392','branden.ryan@aulnet',1233698,'348-132-0923',68238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga P. Meyer','941-5639 Eget Ave','Williston','PA','05113','olgam@hitmail.com',1233699,'506-755-8868',93518,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek K. Contreras','4465 Diam Av.','Mesa','MD','31581','contreras@yohaa.com',1233700,'193-444-0285',23480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori X. Dickerson','P.O. Box 950, 7476 Malesuada St.','Vernon','WA','35576','ori.dickerson@xyz.edu',1233701,'258-252-6057',43003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes J. Fischer','728-6595 Rhoncus Rd.','Huntington','NY','55891','hfischer@abc.edu',1233702,'468-517-7783',83441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma A. Campbell','906-9535 Ipsum. Road','Peru','NJ','20485',NULL,1233703,'377-636-1529',39138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett Z. Ford','2330 Nec Road','Steubenville','ME','07419','brett.ford@hitmail.com',1233704,'467-185-7483',76368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ian O. Navarro','6496 Magna Av.','Easthampton','IN','10691','inavarro@bpmpros.com',1233705,'333-389-0875',76980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton A. Hatfield','Ap #469-4922 Convallis Av.','Laguna Beach','IL','57267',NULL,1233706,'869-202-3804',87867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby K. Watkins','910-1702 Semper Road','Canandaigua','IA','57315','rwatkins@emailathome.net',1233707,'584-343-4548',56495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn F. Downs','Ap #439-5497 Rhoncus. St.','Beaver Falls','IN','53811','katelyn.downs@emailathome.net',1233708,'227-601-9524',24653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius N. Estes','Ap #624-7251 Consequat Rd.','Hammond','WV','29683',NULL,1233709,'495-622-2312',101021,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy A. Morrow','Ap #495-4486 Semper Avenue','Fallon','AK','94024','jeremy.morrow@abc.edu',1233710,'707-202-7239',75108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla N. Carpenter','Ap #309-7158 Erat Av.','Birmingham','ND','63067','kyla.carpenter@hitmail.com',1233711,'282-899-9917',40009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima X. Mullins','160-5982 Tincidunt Av.','Winooski','IA','94467',NULL,1233712,'535-627-4164',30274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita L. Carson','290-6097 Mauris Av.','Roanoke','IN','55859',NULL,1233713,'327-753-3897',109378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty E. Cox','Ap #537-1701 Nunc Road','Torrance','OH','99354',NULL,1233714,'215-432-1845',80680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie R. Farmer','3994 Eget Rd.','Slidell','MA','35795','jolie.farmer@xyz.edu',1233715,'731-252-6958',30361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter R. Good','7937 Cursus Av.','Vincennes','MA','20223','hunterg@abc.edu',1233716,'803-377-4926',76947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado N. Clements','562 Volutpat. Rd.','Pittsburgh','OH','64196','coloradoc@xyz.edu',1233717,'219-591-8285',82091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina J. Robinson','Ap #960-3815 Amet, Avenue','Cairo','SD','54318','reginar@email.net',1233718,'415-625-1150',59332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances E. Massey','Ap #613-3540 Donec Road','Basin','MT','31085','frances.massey@abc.edu',1233719,'404-819-3345',70251,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko B. Manning','P.O. Box 487, 4836 Ultrices St.','Rhinelander','AL','55986','ymanning@bpmpros.com',1233720,'173-476-1855',39178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery V. Bell','3392 Convallis Rd.','Rhinelander','CO','87062','bell@abc.edu',1233721,'662-369-5062',27117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane Q. Rowe','Ap #654-8715 Magna. Av.','Gaithersburg','MO','69247','keane.rowe@yohaa.com',1233722,'411-972-2407',57306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry O. Wooten','P.O. Box 150, 6374 Tincidunt Av.','Valdez','ND','17376','pwooten@yohaa.com',1233723,'624-934-8161',69659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa A. Underwood','Ap #768-6944 Dui. Avenue','Santa Monica','SC','48965','nyssau@aulnet',1233724,'342-866-8006',30239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes T. Sawyer','8533 Velit. Ave','Norman','KY','13688',NULL,1233725,'585-119-2968',89949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison M. Sutton','568-9372 Consectetuer Rd.','Athens','IN','63077','msutton@xyz.edu',1233726,'666-252-1603',73555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie K. Dawson','1102 Facilisis St.','Orlando','FL','28395',NULL,1233727,'793-559-1753',97185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy G. Horton','243-4591 Erat St.','Mount Pleasant','AZ','21840','buffyh@aulnet',1233728,'336-129-5887',69567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry L. Byers','Ap #361-7129 Ultricies Rd.','Chula Vista','MI','47078',NULL,1233729,'829-266-1947',87918,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan I. Kinney','3244 Lorem Rd.','Corvallis','MS','60035','harlan.kinney@email.net',1233730,'843-725-6412',68389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley H. Peters','1363 Elit. St.','Tempe','MA','63850','apeters@bpmpros.com',1233731,'864-448-7012',87040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely Z. Gonzalez','Ap #442-1629 Nibh. Road','Scarborough','DC','51825','keely.gonzalez@yohaa.com',1233732,'776-631-9787',97036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa Q. Watts','Ap #619-6732 Hendrerit Street','Garland','WV','11872','wwatts@aulnet',1233733,'798-565-0040',92295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan R. Preston','772-9915 Sociosqu Ave','Urbana','KS','24345','epreston@widget.com',1233734,'319-907-4724',91520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra Q. Humphrey','329-8902 Laoreet St.','Murray','AL','35760','myrah@yohaa.com',1233735,'206-415-3227',108950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene U. Chaney','252-8225 Id Rd.','Pocatello','MA','45871','jolenec@email.net',1233736,'632-738-0523',88154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan T. Boyd','Ap #303-8755 Lobortis Street','Wheaton','MD','84929',NULL,1233737,'892-433-0700',41556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady B. Hunter','9706 Gravida. Rd.','Sanford','LA','35304','gradyh@email.net',1233738,'796-776-8101',33302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe H. Dunlap','933 Metus Rd.','Mason City','IA','12775','dunlap@widget.com',1233739,'316-796-3630',71493,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julian U. Barron','P.O. Box 985, 8351 Lobortis Av.','Olympia','OR','08710','julianb@bpmpros.com',1233740,'496-703-4987',79822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia H. Santos','P.O. Box 432, 6634 Cum Av.','Boulder Junction','LA','04912',NULL,1233741,'623-119-7211',36432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zane X. Winters','P.O. Box 854, 6617 Sem Av.','Duncan','GA','58162','zwinters@email.net',1233742,'175-707-7265',57554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September R. Powers','Ap #993-5195 A Ave','Roseville','TN','04353','september.powers@hitmail.com',1233743,'525-509-2079',40109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn S. Logan','136-9958 Mauris Street','Wheaton','AK','86791','logan@widget.com',1233744,'155-571-0792',93549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad C. Everett','2671 Orci Av.','Blythe','FL','13681','mohammade@yohaa.com',1233745,'361-576-9239',48625,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar Q. Vance','536 Nunc, Rd.','North Tonawanda','OR','80291','vance@aulnet',1233746,'551-777-8244',33280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora D. Rose','P.O. Box 758, 8758 Vivamus Avenue','Norwalk','NY','37118','prose@hitmail.com',1233747,'419-961-6475',78686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn W. Webster','955 Aliquam Ave','Oxford','AZ','64498','dawn.webster@hitmail.com',1233748,'311-152-0571',33941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn S. Travis','Ap #730-1538 Iaculis, St.','Irving','OH','70645','caryn.travis@hitmail.com',1233749,'144-364-3153',83382,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree X. Klein','Ap #341-5699 Sed Road','Fontana','WI','69849','desireek@yohaa.com',1233750,'485-528-8822',23514,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer V. Mooney','Ap #489-5582 Consectetuer St.','Guthrie','OH','68337',NULL,1233751,'277-663-1810',88789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil W. Ferrell','Ap #185-735 Nonummy Avenue','Huntington Park','MT','27485','gil.ferrell@bpmpros.com',1233752,'824-991-6537',59368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie G. Sawyer','P.O. Box 954, 362 Scelerisque St.','San Bernardino','AZ','57984','jsawyer@email.net',1233753,'461-294-1947',62384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean Z. Madden','P.O. Box 277, 4872 Rhoncus. Road','Gainesville','DE','15273','smadden@widget.com',1233754,'357-627-8119',25804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra P. Reid','Ap #785-6948 A, Street','San Diego','WV','16222','leandrar@email.net',1233755,'506-764-3812',24059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian F. Cohen','2449 Velit Avenue','Edina','MD','19120','damian.cohen@xyz.edu',1233756,'854-104-6700',30991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney J. Calhoun','Ap #331-1922 Orci Road','Lock Haven','CA','44763','wcalhoun@xyz.edu',1233757,'894-648-7424',40167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden L. Holman','2938 Eu Rd.','Waltham','LA','86561','holman@hitmail.com',1233758,'937-417-7825',68717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naomi Z. Sanders','449-3422 Euismod St.','Woburn','FL','51047','naomi.sanders@email.net',1233759,'609-546-8536',55041,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis Z. Downs','2490 Mauris St.','Chicago','ME','38123','lewisd@bpmpros.com',1233760,'338-198-9426',47082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella A. Austin','352-9073 Arcu Rd.','Fulton','ID','67996','austin@widget.com',1233761,'129-458-4564',105688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William H. Bauer','208-6975 Ipsum St.','Merced','MD','67325','williamb@yohaa.com',1233762,'322-452-7192',74969,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leroy P. Nielsen','3801 Curabitur Ave','San Juan Capistrano','DC','78055','leroyn@emailathome.net',1233763,'898-421-4666',60602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki S. Lawson','959-6649 Erat. St.','Brownsville','TN','05374','paki.lawson@bpmpros.com',1233764,'539-328-6581',36911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason S. Rosales','618-4390 Molestie Street','Signal Hill','NE','31836','rosales@bpmpros.com',1233765,'311-741-0787',39817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru M. Welch','P.O. Box 433, 793 Molestie Ave','North Little Rock','WV','45487','nehruw@abc.edu',1233766,'324-635-3753',60169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen T. Chandler','P.O. Box 303, 8736 Pellentesque St.','Johnson City','NJ','54500','gretchen.chandler@xyz.edu',1233767,'987-302-8361',29564,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson Q. Lee','634-8133 Nibh Ave','Murfreesboro','SD','46090','lee@yohaa.com',1233768,'692-689-8907',43762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine L. Spencer','P.O. Box 447, 944 Fringilla Road','Kent','WI','75022','nadine.spencer@aulnet',1233769,'213-814-4923',100009,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel F. Berger','Ap #889-3331 Massa Avenue','Rawlins','IL','23208',NULL,1233770,'321-544-2577',68792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela L. Bentley','Ap #469-706 Neque. St.','Fredericksburg','IN','57271',NULL,1233771,'589-701-2545',25089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon R. Duffy','P.O. Box 708, 4522 Nibh. Street','San Jose','CA','38196','dduffy@abc.edu',1233772,'478-858-6688',31802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna H. Hickman','8825 Magna. Ave','Yazoo City','CA','86990','glenna.hickman@emailathome.net',1233773,'819-556-3421',19476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephanie Y. Baker','399-9810 Lobortis Road','Arcadia','IN','34420',NULL,1233774,'421-331-7961',45770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker J. Dunn','853-6795 Libero Street','Opelousas','DC','45789','tuckerd@emailathome.net',1233775,'201-631-8715',75996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary Z. Perez','561-2715 Vestibulum Avenue','North Tonawanda','KY','55991','roary.perez@xyz.edu',1233776,'781-891-4212',106735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae P. Spencer','Ap #816-5632 Magna Rd.','Tyler','IA','67813','desirae.spencer@bpmpros.com',1233777,'815-695-4859',26411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer C. Christian','Ap #164-6251 Sit St.','Elkhart','UT','10787','christian@hitmail.com',1233778,'602-516-0114',16343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando D. Hansen','P.O. Box 525, 5982 Lorem Rd.','Urbana','NE','43353','orlando.hansen@widget.com',1233779,'142-743-1681',85428,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin T. Mosley','2515 Ligula. St.','Moultrie','CO','02326',NULL,1233780,'853-267-3316',60718,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver Q. Macdonald','299-3693 Sed Rd.','Glen Cove','CO','23125','macdonald@hitmail.com',1233781,'543-305-5628',15264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton M. Lamb','P.O. Box 573, 6606 Quam St.','Kahului','PA','86709','fultonl@hitmail.com',1233782,'835-378-6731',57743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall L. Woods','9319 Metus. Rd.','Minneapolis','AK','52220',NULL,1233783,'892-875-3121',85519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma W. Juarez','9401 In St.','Tok','LA','99214','almaj@abc.edu',1233784,'537-627-7051',57943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah P. Holcomb','P.O. Box 323, 9544 Dignissim. Rd.','Burlingame','CO','47837','marah.holcomb@emailathome.net',1233785,'252-699-1268',43013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey T. Beasley','265-9535 Nonummy Rd.','Kona','MI','58505','beasley@abc.edu',1233786,'433-695-1833',22210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa J. Day','P.O. Box 105, 7719 Adipiscing Street','Lakewood','FL','66514',NULL,1233787,'211-553-1472',49666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman L. Morse','3834 At Av.','Cheyenne','WA','45631','morse@widget.com',1233788,'384-795-7500',75158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani Y. Reid','Ap #440-858 Lacus. Avenue','Ketchikan','FL','18554','reid@xyz.edu',1233789,'286-579-1648',35218,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy V. Thornton','873 Rhoncus Rd.','Miami Beach','KY','86047','lthornton@bpmpros.com',1233790,'993-412-9689',90952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah S. Hawkins','Ap #676-1152 Elit Avenue','Easton','MA','76452',NULL,1233791,'591-594-8057',80139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy M. Newman','P.O. Box 794, 379 Morbi St.','Salem','MD','83859',NULL,1233792,'313-813-3061',27632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla V. Spears','582-5932 Malesuada. Rd.','Laughlin','IA','77250',NULL,1233793,'211-523-2455',61299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana Q. Palmer','960-999 Malesuada Rd.','Reedsport','MO','72450','dpalmer@yohaa.com',1233794,'802-912-3446',101747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan K. Duffy','P.O. Box 683, 5234 Eget, Avenue','La Crosse','NJ','02485',NULL,1233795,'946-747-6690',29809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin B. Palmer','643-9097 Risus. Avenue','Lawrenceville','ID','80193',NULL,1233796,'689-525-2738',52326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colby O. Tyson','Ap #913-5700 Sed Rd.','Billings','MO','79569','colby.tyson@abc.edu',1233797,'753-342-7679',51813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika U. Stein','815-4004 Vitae, Av.','Waycross','OH','24693','astein@xyz.edu',1233798,'253-815-0578',35497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan P. Skinner','751-5104 Orci. Ave','Port Arthur','MT','28642','ivan.skinner@abc.edu',1233799,'336-599-2143',78160,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter W. Cote','182-7800 Bibendum St.','Stockton','SD','31250','cote@xyz.edu',1233800,'994-339-6389',56889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher C. Forbes','1123 Est Rd.','Miami Beach','MN','30693','fforbes@widget.com',1233801,'819-808-1321',16873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle Z. Baldwin','196-8474 Amet, Road','Saint Joseph','CA','51691','kyle.baldwin@hitmail.com',1233802,'385-194-9021',53543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan L. Figueroa','150-6755 Eu, Street','Oro Valley','DC','24786','figueroa@widget.com',1233803,'577-753-8567',71505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses A. Valencia','520-5220 Leo. St.','Seattle','MT','67991','ulyssesv@bpmpros.com',1233804,'778-245-9087',67904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette D. Le','P.O. Box 825, 6441 Eu Road','Montebello','IL','73840','le@widget.com',1233805,'843-511-6655',83444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad H. Garza','327-3029 Blandit. Av.','Montgomery','AK','30514',NULL,1233806,'565-307-8274',103108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezekiel Q. Blevins','5608 Est. Road','El Segundo','LA','98402','ezekielb@widget.com',1233807,'663-119-5392',31731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian R. Young','Ap #828-148 Eu Street','Chattanooga','OR','03902',NULL,1233808,'514-177-1876',38975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga L. Tanner','P.O. Box 200, 2054 Pede. Avenue','Sitka','VA','67471','tanner@widget.com',1233809,'474-888-9650',66315,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith U. Palmer','P.O. Box 980, 4868 Tincidunt Rd.','Frisco','CA','08166','fpalmer@bpmpros.com',1233810,'648-912-8098',84592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla H. Stephenson','P.O. Box 910, 1748 Aliquam Rd.','Fall River','UT','93792','stephenson@hitmail.com',1233811,'968-506-4273',44267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis B. Burke','268-5709 Eget, Avenue','Hazleton','CA','93297','pburke@xyz.edu',1233812,'199-957-4648',95990,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava E. Clements','P.O. Box 334, 2965 Dolor, Street','Lower Burrell','MI','55549','chavac@yohaa.com',1233813,'847-836-7932',64113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn J. Blackburn','Ap #915-5533 Pharetra Street','Radford','DC','66112','quinn.blackburn@emailathome.net',1233814,'763-509-3451',46284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik W. Gray','P.O. Box 663, 6879 Ornare Road','Rensselaer','NE','60737','tarik.gray@yohaa.com',1233815,'841-613-0124',73879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby Y. Mcmillan','3322 Nec Avenue','Houston','AL','74321','quemby.mcmillan@yohaa.com',1233816,'495-289-2305',58581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin X. Ramos','Ap #849-1806 Mi Rd.','Lawndale','NY','64939','dramos@abc.edu',1233817,'362-756-8450',89617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marny G. Marsh','P.O. Box 812, 8249 Id Street','Palm Springs','NM','24089','marny.marsh@bpmpros.com',1233818,'128-399-0568',101995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim S. Tucker','7331 Egestas. Rd.','Salt Lake City','CO','71694','chaim.tucker@bpmpros.com',1233819,'193-106-9359',48234,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian F. Koch','P.O. Box 666, 5164 Mattis Ave','Moraga','NH','67949','akoch@email.net',1233820,'633-736-7316',84534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru C. Leblanc','673-7301 Pretium St.','Houma','IL','84352','nehru.leblanc@aulnet',1233821,'392-935-5702',26664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna W. Todd','6792 Mi. Road','La Verne','HI','65464','todd@widget.com',1233822,'999-229-3127',87590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena B. Stanton','9692 Aliquam St.','Brea','ME','81007','zena.stanton@xyz.edu',1233823,'744-133-0569',96344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa Q. Cotton','Ap #654-3183 Donec St.','Ogden','NV','91573','risac@email.net',1233824,'681-324-4674',33085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem B. Harvey','Ap #776-8012 Mauris Rd.','Covington','LA','93685','hakeemh@emailathome.net',1233825,'269-849-1735',49675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb O. Wise','Ap #729-9787 Dis Road','Fernley','MI','88372','calebw@yohaa.com',1233826,'968-227-9670',52791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk T. Mcconnell','789-9417 Velit. Rd.','Vallejo','MN','96775','bmcconnell@yohaa.com',1233827,'148-107-1341',16456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor K. Cochran','P.O. Box 572, 3384 Egestas. Ave','Leominster','IN','71668',NULL,1233828,'445-484-4906',43967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly I. Roberts','Ap #991-7322 Nunc Avenue','Two Rivers','MT','83855','kellyr@emailathome.net',1233829,'524-869-2526',62438,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery U. Frye','P.O. Box 589, 673 Tellus St.','St. Marys','NE','08181','emeryf@hitmail.com',1233830,'947-462-2204',92631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan I. Bowman','P.O. Box 443, 5058 Sed Road','Dunkirk','WA','43851',NULL,1233831,'134-171-4426',84149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian O. Bryan','482 Sagittis St.','Narragansett','WY','23638','damian.bryan@emailathome.net',1233832,'123-227-5246',84844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum K. Summers','Ap #255-6109 Venenatis St.','Quincy','AK','00424','tsummers@bpmpros.com',1233833,'152-275-3029',42578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla A. Mathis','281-5790 Non Rd.','Wilson','ME','48048',NULL,1233834,'563-625-6000',18750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree I. Valdez','558-9400 Vulputate, Rd.','Sanford','OK','06445','dvaldez@abc.edu',1233835,'594-157-5822',95926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis X. Foreman','P.O. Box 543, 7011 Augue St.','Monroe','AL','71178','eforeman@yohaa.com',1233836,'624-228-1757',74484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip M. Benson','644-5825 Sed Road','Moultrie','CO','19580',NULL,1233837,'769-493-5107',101033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra N. Johnson','P.O. Box 445, 9063 Tristique Rd.','Healdsburg','WY','07116','leandra.johnson@email.net',1233838,'707-466-7592',74510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele N. Weiss','P.O. Box 934, 9762 Imperdiet Road','Bellflower','IA','23431','aweiss@emailathome.net',1233839,'658-355-6113',82000,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany I. Mcmahon','7329 Est Rd.','Yukon','WA','09842','brittanym@yohaa.com',1233840,'286-443-1686',43156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida Q. Stewart','125-1528 Est. St.','Seattle','VT','85784','zstewart@email.net',1233841,'627-814-2563',39368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan O. Barton','P.O. Box 221, 9287 Arcu. Avenue','La Jolla','DC','09184','ivan.barton@aulnet',1233842,'969-597-4116',81845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel Y. York','Ap #719-9656 Pellentesque St.','Port Washington','SD','99409','ryork@hitmail.com',1233843,'694-564-0514',81898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna K. Bishop','393-1200 Odio St.','Taunton','AL','89789','dbishop@aulnet',1233844,'388-873-2362',108259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman R. Potter','P.O. Box 157, 8754 Consectetuer Av.','La Habra Heights','ME','40920',NULL,1233845,'709-998-7700',25941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan C. Good','3724 Erat St.','Thousand Oaks','UT','38762','good@yohaa.com',1233846,'865-835-8346',22097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles D. Ochoa','458-7197 Amet Road','Milwaukee','FL','05233','charles.ochoa@email.net',1233847,'906-861-6054',47189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika K. Blackburn','Ap #567-1022 Non Ave','Anderson','VA','08014','alika.blackburn@email.net',1233848,'357-363-0336',49428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek S. Burton','P.O. Box 227, 9521 Nunc St.','Olean','NC','58267','tburton@xyz.edu',1233849,'382-639-8018',47056,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay S. Marquez','404-8856 Aliquet Ave','Lubbock','MS','18877','kmarquez@emailathome.net',1233850,'235-426-0658',74620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren Z. Richard','Ap #703-241 Id Street','Baytown','AL','47766','orichard@email.net',1233851,'634-778-1942',71130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena F. Bowers','P.O. Box 997, 1883 Ac Av.','South Gate','ND','60418','adenab@widget.com',1233852,'374-818-5867',97344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze L. Wilcox','Ap #875-9088 Dolor St.','Stafford','TX','52623',NULL,1233853,'232-416-2348',34240,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia B. Mayo','Ap #375-6043 Interdum. Rd.','Costa Mesa','DC','05758','aureliam@hitmail.com',1233854,'473-515-8211',72498,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby V. Vasquez','8185 Id, Rd.','Atlantic City','MD','62163','vasquez@aulnet',1233855,'748-686-8373',35941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anastasia I. House','P.O. Box 518, 6321 Fermentum Avenue','Reedsport','KY','75438','anastasia.house@emailathome.net',1233856,'602-341-9268',75356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris W. Chase','P.O. Box 233, 6162 Ac Rd.','Jeffersontown','NM','96962','chase@aulnet',1233857,'402-903-2532',93804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso M. Beck','963-8393 Fusce Street','Livonia','CO','76063','abeck@xyz.edu',1233858,'136-447-3506',18597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison W. Tillman','894-1886 Cras Avenue','Ogden','TN','94061','harrisont@email.net',1233859,'235-372-6190',76784,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley R. Preston','Ap #776-6000 Ac Rd.','Texas City','NY','47642','preston@emailathome.net',1233860,'804-949-2118',44752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair Z. Ware','Ap #393-3290 Amet, Ave','Cranston','AK','76614','aware@aulnet',1233861,'367-172-0112',45249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre Q. Casey','Ap #351-7832 At St.','Duquesne','NJ','60537','deirdre.casey@widget.com',1233862,'252-519-6917',20430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree J. Winters','P.O. Box 826, 2400 Sociis St.','Naperville','CA','61331','desiree.winters@aulnet',1233863,'878-131-5501',57060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie M. Sullivan','9285 Eleifend. Av.','Yukon','VT','48235','sullivan@yohaa.com',1233864,'468-546-3594',22926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy G. Holden','P.O. Box 533, 9922 Vestibulum Rd.','Aliquippa','LA','26274','holden@widget.com',1233865,'509-868-3156',82955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie U. Buck','P.O. Box 144, 1341 Fames Rd.','Dallas','NE','80216',NULL,1233866,'582-992-8601',90149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael N. Smith','247-5162 Sit Avenue','Harrisburg','GA','77867','smith@aulnet',1233867,'175-566-4583',26339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby X. Hurley','565-2899 Pellentesque Street','Powell','ND','84661',NULL,1233868,'529-505-0615',28775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda G. Soto','P.O. Box 284, 6422 Consectetuer Street','Mount Pleasant','OK','47421','soto@xyz.edu',1233869,'193-623-0271',96405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad A. Peck','642-8994 Sem. Rd.','Kankakee','SD','54391','peck@email.net',1233870,'723-816-3394',71477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren L. Morrow','491-9372 Pretium Road','Portsmouth','AK','83138',NULL,1233871,'531-353-1795',21532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria R. Abbott','P.O. Box 356, 179 Vestibulum Rd.','Minneapolis','OK','77461','victoria.abbott@email.net',1233872,'699-229-4835',64360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eliana P. Bridges','904-7504 Ipsum St.','Hampton','FL','87264','ebridges@xyz.edu',1233873,'726-326-4569',46708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis W. Lynn','484-7548 Aliquam Rd.','Perth Amboy','KS','42939','travis.lynn@widget.com',1233874,'204-831-1566',20311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony K. Moses','P.O. Box 456, 8534 Sit St.','Pass Christian','SD','11463','ebonym@yohaa.com',1233875,'403-607-5387',104123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine Z. Hess','985-2733 Tristique St.','Newcastle','ME','27638','jhess@widget.com',1233876,'292-605-2127',63811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel L. Ingram','441-9471 Eu Av.','Shelton','LA','73790','aingram@aulnet',1233877,'528-621-1353',55529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer Y. Boone','557-4363 Sem Rd.','Sioux Falls','VT','25199','sboone@bpmpros.com',1233878,'999-428-9590',93986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph G. Hinton','P.O. Box 323, 678 Nascetur Rd.','Moultrie','PA','68084',NULL,1233879,'284-284-4023',71509,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna L. Jennings','Ap #955-4134 Erat, Avenue','Temecula','GA','99968',NULL,1233880,'143-236-3207',43620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo X. Conway','957-5744 Vel Ave','Akron','VA','14303','cleoc@widget.com',1233881,'362-315-4518',89175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille C. Meyer','6998 Diam Av.','Lawton','IA','35016',NULL,1233882,'557-884-1055',70042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil K. Randall','P.O. Box 958, 2776 Aliquam Avenue','South Bend','WA','26351','basil.randall@aulnet',1233883,'478-925-8199',35310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaden U. Kim','P.O. Box 477, 1638 Curabitur Street','Davis','ME','33450',NULL,1233884,'802-381-1159',37164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna L. Solomon','P.O. Box 519, 6118 Ut Road','Jordan Valley','VT','21755','jsolomon@xyz.edu',1233885,'216-917-1973',25092,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia I. Ferrell','7080 Elit. St.','Livonia','AK','40813','flaviaf@widget.com',1233886,'188-699-2910',21697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron K. Rocha','Ap #640-8936 Sociosqu St.','Sedalia','ME','47488','cameron.rocha@yohaa.com',1233887,'392-481-0892',83393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla U. Dunlap','P.O. Box 615, 1564 Nec, St.','Stillwater','DC','56094','dunlap@bpmpros.com',1233888,'583-784-1631',63582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan G. Harvey','P.O. Box 865, 6982 Sed Rd.','Crown Point','MA','58715','harlanh@aulnet',1233889,'819-392-9851',65043,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone A. Emerson','854-3242 Arcu. Rd.','Farmington','OH','18577','emerson@emailathome.net',1233890,'483-292-3933',91558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan I. Ingram','185-4026 Vitae Ave','North Las Vegas','WA','67475','susani@xyz.edu',1233891,'143-426-4278',39925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan B. Chambers','816-3652 Dolor Rd.','Sacramento','VT','84341','brennan.chambers@bpmpros.com',1233892,'718-861-1965',33907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade L. Hendricks','Ap #618-2017 Ligula Rd.','Vineland','LA','23107','jhendricks@yohaa.com',1233893,'559-377-0381',36517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly L. Pierce','5692 Adipiscing St.','Pittsfield','MA','35407','kelly.pierce@hitmail.com',1233894,'718-564-5802',97207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato A. Buck','Ap #155-6395 Non, Rd.','Staunton','WV','33478',NULL,1233895,'976-795-2587',52982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes G. Wiley','116-7321 Nullam St.','Ypsilanti','CA','05439','xerxesw@hitmail.com',1233896,'917-884-4786',47532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia T. Hansen','P.O. Box 201, 4420 Posuere Road','Escondido','CT','25120',NULL,1233897,'661-577-2617',54263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa T. Harvey','576-1419 Mi Av.','Lodi','NY','77092',NULL,1233898,'224-784-1614',37054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson Q. Clay','220-3588 Tristique Rd.','Torrington','NC','30107','clay@yohaa.com',1233899,'301-424-1173',88802,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance A. Savage','Ap #604-5741 Ante Avenue','Bangor','OH','34364','vances@abc.edu',1233900,'573-883-2173',40021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane B. Pruitt','P.O. Box 712, 5644 Auctor Rd.','Placentia','ID','90724',NULL,1233901,'199-662-3546',72675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig W. Williamson','2127 Nunc Ave','Fairbanks','WV','61940','craig.williamson@bpmpros.com',1233902,'114-523-4805',36518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir V. Blackwell','9970 Ante. Street','Austin','MT','88165','kasimir.blackwell@email.net',1233903,'369-361-6139',65890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany D. Alston','P.O. Box 266, 6623 Urna. Rd.','Lebanon','WY','55734','brittany.alston@aulnet',1233904,'999-259-5202',49495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn X. Cox','P.O. Box 815, 7540 Ut St.','Dalton','WI','90246','evelyn.cox@bpmpros.com',1233905,'181-971-1396',72545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne Z. Taylor','7018 Aptent St.','Gainesville','VT','14484','waynet@aulnet',1233906,'509-207-2052',37184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner X. Cox','4728 Ac St.','Irvine','VA','22633','tanner.cox@email.net',1233907,'172-532-4522',86965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo A. Phelps','P.O. Box 557, 1252 Et, Rd.','Hickory','KS','29941','gphelps@email.net',1233908,'575-656-1975',55895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher E. Rowland','P.O. Box 108, 1502 Sed, Rd.','Kalispell','MT','88607',NULL,1233909,'559-134-6998',94084,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry G. Hendricks','318-7335 Ipsum St.','Ontario','ID','71969','phendricks@xyz.edu',1233910,'567-126-1508',64104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xantha J. Morse','Ap #582-2691 Nam St.','Bay City','RI','08889',NULL,1233911,'749-317-3335',106477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison M. Hart','361 Non, St.','Bossier City','MI','53323','ghart@aulnet',1233912,'202-286-1178',62966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra B. Daniels','564-8744 Semper Rd.','Lincoln','KY','74928','daniels@xyz.edu',1233913,'352-554-7399',61453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes Z. Rose','P.O. Box 798, 5846 Scelerisque St.','Lowell','IN','63648','mercedesr@xyz.edu',1233914,'676-828-3811',33138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent R. Avila','Ap #576-8395 Tristique Av.','Racine','IA','58222','brent.avila@bpmpros.com',1233915,'861-436-2646',54737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile P. Roberson','587-6293 Nec Av.','West Warwick','AK','38997','roberson@bpmpros.com',1233916,'229-181-4267',95280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie G. Hill','5349 Placerat St.','Agoura Hills','DC','11085','chill@bpmpros.com',1233917,'975-797-7057',60258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Renee G. Herrera','Ap #914-3474 Eu Rd.','St. Marys','RI','99400','renee.herrera@yohaa.com',1233918,'686-661-2570',70688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay B. Powers','804-7177 Mollis St.','West Hartford','OH','49648','gayp@hitmail.com',1233919,'249-735-3966',69311,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India E. Michael','P.O. Box 926, 5188 Tortor, Road','Lufkin','OH','32282','michael@xyz.edu',1233920,'921-271-8051',21330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana Q. Sandoval','4486 Orci Road','Sandpoint','AL','50504','danas@yohaa.com',1233921,'823-126-1321',36874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall L. Pugh','P.O. Box 172, 6506 Tempor Avenue','Palo Alto','UT','84745','hall.pugh@widget.com',1233922,'349-273-1983',43913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar N. Jacobson','9523 Enim, St.','Connellsville','GA','89938','bjacobson@abc.edu',1233923,'413-946-8631',93490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn D. Wilkins','Ap #243-6206 Phasellus St.','Selma','CT','36815','fwilkins@hitmail.com',1233924,'853-265-0119',90359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith Q. Berg','5183 Risus. St.','Cedar Falls','LA','17321','laith.berg@yohaa.com',1233925,'903-488-7052',25688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani B. Juarez','P.O. Box 212, 9437 Eu, St.','Centennial','VT','21049','juarez@xyz.edu',1233926,'461-374-7625',76978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip T. Roman','9709 Nisi Street','Geneva','VA','09732',NULL,1233927,'847-874-8111',96200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan J. Gross','P.O. Box 218, 5898 Tristique St.','Jacksonville','WV','86096','gross@yohaa.com',1233928,'728-666-4492',70976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis L. Hansen','1182 Metus Ave','Sugar Land','WV','31010','alexish@emailathome.net',1233929,'619-393-1597',103479,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid D. Murray','Ap #522-4331 Convallis Ave','Fajardo','IL','27659','murray@hitmail.com',1233930,'671-389-5727',43804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler G. Kennedy','677-8381 At St.','Vallejo','CO','38355','kennedy@xyz.edu',1233931,'915-685-8754',65291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry V. Dominguez','P.O. Box 592, 8907 Justo Ave','Kingsport','FL','29567','dominguez@emailathome.net',1233932,'924-949-5344',25224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos Q. Taylor','686-8783 In St.','Marshfield','GA','34364','xtaylor@abc.edu',1233933,'933-866-7153',57947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail O. Pierce','P.O. Box 727, 7635 Imperdiet Rd.','Orlando','KY','54198','abigailp@hitmail.com',1233934,'664-596-3621',84308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana E. Kent','Ap #845-8465 Turpis Street','Warner Robins','MT','82846','kent@emailathome.net',1233935,'935-599-0954',71546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Suki I. Medina','Ap #619-3368 Ipsum St.','Durango','MD','97780',NULL,1233936,'627-652-1512',65409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora D. Morales','400-3650 Donec Street','West Lafayette','VA','38326','oram@aulnet',1233937,'207-824-3855',56280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora Z. Porter','P.O. Box 149, 6277 Sit Road','McAlester','ME','26765',NULL,1233938,'182-398-0214',22081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby N. Webster','935-707 Suspendisse Ave','Midwest City','WY','36663',NULL,1233939,'328-411-6097',41502,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis J. Castaneda','3580 Sit St.','Sandy','KY','92506','bevisc@yohaa.com',1233940,'263-596-4374',15236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder T. Harrington','4610 Ut Rd.','Hanahan','WY','76965','harrington@email.net',1233941,'326-942-2918',53301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda X. Lynch','246-4796 Dictum Road','Saint Louis','AZ','02889','imelda.lynch@emailathome.net',1233942,'855-271-0122',25308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline N. Avila','250-9472 Pede Rd.','Paramount','KS','33545','evangeline.avila@widget.com',1233943,'525-379-4494',74977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester T. Olsen','314-2918 Fusce Ave','Ocean City','MD','76710','olsen@aulnet',1233944,'456-881-1605',24586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica T. Bell','773-4595 Lorem Ave','Princeton','WY','39716','bell@widget.com',1233945,'526-873-7638',34843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman I. James','P.O. Box 731, 2802 Interdum. Rd.','Lowell','MI','44684','hermanj@aulnet',1233946,'391-817-6993',70780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel U. Dunn','P.O. Box 188, 2653 Natoque Ave','Cerritos','SC','22867','darrel.dunn@emailathome.net',1233947,'552-842-6693',76540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney G. Owens','P.O. Box 732, 6863 Dapibus Avenue','Carolina','SC','64987','rowens@yohaa.com',1233948,'855-406-1588',32460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla V. Butler','P.O. Box 644, 7792 Curabitur Av.','Boston','IA','14578','butler@aulnet',1233949,'556-301-6168',77751,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith V. Norman','Ap #801-6273 Phasellus Av.','Reedsport','ME','68082',NULL,1233950,'652-107-3170',44200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn Z. Terrell','2060 Sed Rd.','Hartford','MS','23300',NULL,1233951,'318-574-6743',30870,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis F. Cohen','P.O. Box 894, 6188 Ornare Rd.','Oxnard','OH','17041','louisc@yohaa.com',1233952,'442-761-2348',30515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney I. Douglas','Ap #464-948 Tempor, Road','North Las Vegas','IN','95313','sydney.douglas@aulnet',1233953,'455-807-5677',20503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim F. Mccarthy','Ap #595-2737 Diam. Av.','Binghamton','WV','20025','chaim.mccarthy@bpmpros.com',1233954,'438-893-6091',83658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orson U. Solomon','P.O. Box 976, 2789 Et Road','Meridian','MT','48379','solomon@emailathome.net',1233955,'495-834-6372',47308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim B. Guerrero','3622 Donec Street','Overland Park','TX','38403','guerrero@abc.edu',1233956,'441-381-8632',39057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May M. Valdez','683 Elementum Rd.','Bay St. Louis','CA','77761',NULL,1233957,'612-956-9840',79529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey W. Goodman','8142 Magnis St.','Agawam','MA','47995','agoodman@xyz.edu',1233958,'762-824-0196',32989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn F. Bolton','Ap #397-4877 Faucibus St.','Merizo','CT','59607','quinnb@emailathome.net',1233959,'692-354-1872',17264,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra F. Snyder','914-1012 Odio Avenue','West Hartford','ID','38098','snyder@email.net',1233960,'795-387-5417',40384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda H. Ward','Ap #166-7400 Metus Av.','Union City','WI','24352','vedaw@hitmail.com',1233961,'441-246-4239',82390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby Z. Patton','191-4589 Tellus. Rd.','Saginaw','FL','10534','kirby.patton@abc.edu',1233962,'997-448-4848',26186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh V. Sosa','8823 Sed Rd.','Dearborn','AK','81853','shaeleighs@abc.edu',1233963,'907-396-0308',94550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane S. Ellis','Ap #864-5127 Massa St.','Charlotte','NC','73055','thanee@yohaa.com',1233964,'908-815-1111',64071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz J. Weiss','P.O. Box 237, 3397 Odio Street','Omaha','AL','62136','cweiss@email.net',1233965,'392-209-9251',50609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad X. Donovan','P.O. Box 130, 4313 Sem St.','Galesburg','FL','15788','mohammadd@abc.edu',1233966,'924-216-3253',55608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha U. Jennings','Ap #680-9245 Ac Ave','Warren','ND','81207','arethaj@email.net',1233967,'185-119-2256',63658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye Y. Woods','Ap #898-1910 Sem Rd.','Joplin','NE','24605',NULL,1233968,'813-908-9171',57573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith Y. Rice','5460 Proin Ave','Cypress','NY','09541','faithr@abc.edu',1233969,'903-594-7846',88907,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie X. Hancock','Ap #974-995 Arcu Ave','Jordan Valley','UT','50050','khancock@email.net',1233970,'502-515-0088',105757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dante T. Hodges','Ap #832-5089 Lacus. Av.','Gloucester','SC','62412','danteh@yohaa.com',1233971,'573-185-5995',17139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona Z. Hale','Ap #840-6159 Erat. Av.','Hampton','NY','47409','rhale@email.net',1233972,'923-405-3809',85473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena T. Hyde','Ap #813-6458 Donec Av.','Kingsport','NM','23560','hyde@yohaa.com',1233973,'171-993-2076',92414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney O. Mcdonald','619-8957 Erat St.','Bay City','LA','97321','rooney.mcdonald@emailathome.net',1233974,'893-863-7650',78511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy M. Pugh','P.O. Box 903, 3965 Eget Road','Hackensack','MN','88986',NULL,1233975,'307-291-0627',43982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raja Z. Smith','226-9353 Libero Rd.','Liberal','AK','56234','rsmith@widget.com',1233976,'311-528-6286',95740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden E. Holland','P.O. Box 949, 8882 Et, Street','Moreno Valley','CA','11967','brandenh@bpmpros.com',1233977,'392-513-9305',69055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner K. Delaney','Ap #909-9551 Adipiscing Ave','Pittsfield','TX','96308',NULL,1233978,'366-567-9799',26563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery R. Lang','P.O. Box 951, 4249 Interdum. Ave','Pascagoula','TX','62668','amery.lang@abc.edu',1233979,'167-433-8908',83729,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham V. Ryan','Ap #992-863 Phasellus Street','Northampton','WA','78740','aryan@hitmail.com',1233980,'409-476-7096',19528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula U. Maldonado','Ap #985-6913 Ante. Road','Charleston','WI','92161','ursulam@emailathome.net',1233981,'812-322-6084',24020,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry D. Cameron','6106 Cum Ave','Barrow','NE','65544','cameron@hitmail.com',1233982,'762-944-1653',47588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis U. Cantrell','8461 Nibh Avenue','Midwest City','NY','62749',NULL,1233983,'395-871-9653',85094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa B. Valdez','P.O. Box 392, 2304 Etiam Rd.','Bell Gardens','IL','88851',NULL,1233984,'601-995-7656',40842,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin A. Wynn','P.O. Box 830, 4333 Molestie Avenue','Diamond Bar','CT','37925','bwynn@aulnet',1233985,'786-387-2729',57939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella S. Mcfarland','Ap #328-4989 Ut Rd.','San Antonio','AK','25352','stellam@aulnet',1233986,'388-175-3525',51436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal V. Ingram','Ap #417-6496 Nullam St.','Fayetteville','NJ','60086','ingram@emailathome.net',1233987,'449-737-6020',78501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome B. Maxwell','3782 Adipiscing St.','Boston','MI','73880','jeromem@hitmail.com',1233988,'998-634-5062',82044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim S. Kirby','547-9708 Non, Avenue','Gold Beach','ME','80153','rkirby@xyz.edu',1233989,'134-133-5660',76832,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay J. Golden','P.O. Box 584, 8323 Ipsum Av.','Hoboken','AK','41122','fgolden@xyz.edu',1233990,'486-421-4520',30123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane V. Buck','P.O. Box 383, 3167 Nonummy. Rd.','East St. Louis','TX','89330',NULL,1233991,'553-939-3697',26934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe H. Rios','P.O. Box 390, 3511 Enim. Av.','Egg Harbor','NY','47137','crios@emailathome.net',1233992,'568-122-9602',38522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon J. Bates','Ap #308-7082 Semper. Av.','Riverton','NV','17564','bates@abc.edu',1233993,'703-271-3012',77017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian X. Mcbride','337-4536 Tempor Rd.','Virginia Beach','MO','02629','christianm@hitmail.com',1233994,'394-996-1774',86373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone K. Peters','285-9275 Ut Street','Montebello','MN','95107',NULL,1233995,'926-211-0161',101400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden R. Mendoza','P.O. Box 404, 6407 Conubia Road','Hartford','NE','09494',NULL,1233996,'692-528-6487',71914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane N. Stuart','P.O. Box 302, 8390 Pharetra Rd.','Dixon','NV','10519','lstuart@widget.com',1233997,'114-606-2348',88786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray J. Mcbride','8974 Vulputate, Rd.','West Springfield','AZ','26287','mcbride@abc.edu',1233998,'349-341-7113',45078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson E. Snow','6078 Faucibus St.','Chelsea','HI','15198','jsnow@yohaa.com',1233999,'827-652-5865',71227,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver Z. Obrien','2393 Scelerisque St.','Guayama','AZ','22424','oliver.obrien@hitmail.com',1234000,'944-826-5927',61922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter B. Gallagher','Ap #687-987 Magna St.','Sunnyvale','MS','53175',NULL,1234001,'699-644-4609',73766,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter C. Pate','P.O. Box 138, 838 Quam St.','Ventura','OH','14068',NULL,1234002,'344-833-5769',59743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa C. Welch','P.O. Box 406, 6937 In, Rd.','Helena','ME','09124','welch@aulnet',1234003,'292-436-2787',64953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence Z. Norris','P.O. Box 353, 3029 Eu Rd.','Falls Church','NM','07906','lawrencen@bpmpros.com',1234004,'131-223-5687',50436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya X. Keith','6691 Ac, St.','San Rafael','WY','25095',NULL,1234005,'896-599-6129',85575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy N. Savage','P.O. Box 263, 9744 Sapien Rd.','Cicero','AK','05031',NULL,1234006,'227-914-4130',48831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt C. Austin','Ap #876-4557 Hendrerit Av.','New Kensington','AZ','10716','maustin@hitmail.com',1234007,'858-975-9994',27315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis M. Knight','Ap #620-3811 Dui Rd.','Corona','MI','42663','francisk@widget.com',1234008,'479-227-1030',18845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra E. Hutchinson','Ap #623-5085 Mauris Avenue','Duarte','DC','67209','debrah@widget.com',1234009,'863-243-3705',96454,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur X. Malone','P.O. Box 243, 9936 Et, St.','Princeton','OR','93450',NULL,1234010,'651-523-7751',66385,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry K. Mercado','499-2064 Eros. St.','Hamilton','NJ','36020','kerry.mercado@yohaa.com',1234011,'572-232-6643',50964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena X. Jacobson','476-2730 Mauris St.','New Brunswick','TX','46083','adena.jacobson@abc.edu',1234012,'204-685-6173',86712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine D. Norton','P.O. Box 792, 2425 Mauris St.','Hartford','FL','09956','cnorton@widget.com',1234013,'139-234-7194',45811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan C. Pittman','P.O. Box 176, 5556 Ultrices. Road','El Segundo','TX','02602','meghanp@bpmpros.com',1234014,'668-698-7324',63144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo V. Tate','6763 Ultricies Rd.','Apple Valley','CT','36306','ctate@aulnet',1234015,'667-924-7826',72171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra C. Sears','9537 Donec Avenue','Salem','NJ','69223','lsears@bpmpros.com',1234016,'854-521-2125',100141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon N. Stevenson','821-6164 Ac Rd.','Frederick','RI','34504','brandon.stevenson@bpmpros.com',1234017,'728-672-0922',26192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia A. Sloan','Ap #408-2256 Elit Ave','Stanton','DE','93238','kalias@email.net',1234018,'833-551-1221',42274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal K. Howard','633-381 Aliquam Street','Waterloo','WA','00904','jamalh@hitmail.com',1234019,'333-165-5157',54566,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios S. Thornton','P.O. Box 300, 6522 Molestie. Road','Manchester','SD','79289',NULL,1234020,'385-517-5731',98598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya H. Shields','P.O. Box 942, 981 Nascetur Ave','Bridgeport','DC','94173','tashya.shields@widget.com',1234021,'454-638-1556',42808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik E. Reid','515-3488 Magna. Rd.','LaGrange','MD','51255','tarik.reid@email.net',1234022,'329-783-3204',86058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine B. Blankenship','P.O. Box 396, 4431 Libero. Av.','Pasadena','SC','12773','blankenship@widget.com',1234023,'929-358-9312',67718,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt H. Pierce','478-6454 Metus. Av.','Methuen','PA','58370',NULL,1234024,'245-174-3222',74683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael E. Maynard','581-1169 Tempus, Street','Shelton','WV','78626',NULL,1234025,'197-242-2265',61577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah D. Santiago','128-6974 Eleifend Road','San Diego','NV','55023','uriahs@aulnet',1234026,'641-648-7909',26020,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge P. Lancaster','Ap #954-7260 Nunc Street','Ansonia','WY','52407','medgel@widget.com',1234027,'422-173-7204',27595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett G. Juarez','3366 Consequat St.','Gettysburg','NH','62448','barrettj@emailathome.net',1234028,'788-522-6398',21344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey O. Terrell','P.O. Box 594, 7356 Amet Avenue','Baltimore','MD','93456',NULL,1234029,'904-683-0146',62929,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato O. Livingston','P.O. Box 891, 4251 Non, Road','Columbia','MA','82685','livingston@widget.com',1234030,'142-946-5286',56250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fuller Y. Greene','Ap #389-3415 Vitae Avenue','Norton','GA','69041',NULL,1234031,'727-768-7143',52752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward V. Albert','3686 Urna Road','Elko','IN','98375','ealbert@emailathome.net',1234032,'389-453-0399',20158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August K. Garner','375-2398 In Rd.','Sacramento','AK','32621','august.garner@abc.edu',1234033,'107-387-6497',83773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Taylor U. Mills','P.O. Box 508, 5729 Neque Avenue','Monroe','PA','83316','tmills@widget.com',1234034,'148-155-2419',93452,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany O. Nixon','108-2617 Ut Street','Littleton','MN','26400','bnixon@xyz.edu',1234035,'827-875-8201',77894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David M. Bush','P.O. Box 466, 1047 Ligula. Av.','Hammond','MA','81917',NULL,1234036,'418-245-0108',53141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck B. Black','Ap #746-9957 Dui, St.','Morrison','CT','54846','beckb@xyz.edu',1234037,'754-263-3073',38045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel Q. Diaz','Ap #291-5145 Sit Street','Edina','WA','05850','rdiaz@aulnet',1234038,'606-451-5228',45298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec O. Clemons','P.O. Box 702, 7302 Mi Road','Urbana','UT','87083','alecc@xyz.edu',1234039,'844-541-8003',38586,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet O. Cooley','P.O. Box 287, 7984 Eget Road','Gilbert','UT','77455','harrietc@emailathome.net',1234040,'448-392-7325',55290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay R. Tran','P.O. Box 224, 4899 Et St.','Hannibal','KY','28995','tran@abc.edu',1234041,'451-809-0917',44770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper T. Galloway','512-3404 Luctus Street','Oak Ridge','NJ','90719',NULL,1234042,'715-175-8749',75371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani Y. Palmer','Ap #729-2601 Mi. St.','Bossier City','DC','74775','lpalmer@xyz.edu',1234043,'584-208-1740',59195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart C. Whitehead','P.O. Box 490, 6908 Est, Rd.','Rancho Santa Margarita','CT','25509','whitehead@xyz.edu',1234044,'474-868-9671',52494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin W. Cunningham','4960 Quisque St.','Somerville','AL','70453','ccunningham@abc.edu',1234045,'914-942-3372',43536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma M. Walton','Ap #707-1294 Pede. St.','Stockton','NY','65235','ifeoma.walton@widget.com',1234046,'799-714-6640',104624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana G. Daniels','Ap #550-2635 Tortor. St.','Huntsville','DC','89945','ddaniels@xyz.edu',1234047,'382-981-6942',68453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon N. Ford','Ap #874-6881 Phasellus Rd.','La Verne','LA','53133','timon.ford@abc.edu',1234048,'288-469-3409',53528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India Z. Dorsey','564-793 Rhoncus. Rd.','Dearborn','ME','76520','indiad@hitmail.com',1234049,'763-842-2015',66095,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden Y. Humphrey','8929 Turpis Ave','East St. Louis','ME','67035','bhumphrey@bpmpros.com',1234050,'788-854-1482',73948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone D. Greene','Ap #458-429 Sed Rd.','Falls Church','IA','63831',NULL,1234051,'966-744-5086',58996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero C. Stokes','P.O. Box 164, 7237 Aliquet, Street','San Jose','MN','76640','nstokes@email.net',1234052,'572-437-1826',100933,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden J. Farmer','441-4005 Id St.','Oneida','MN','98575','arden.farmer@emailathome.net',1234053,'216-697-0342',34522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie C. Sykes','539-3312 Ipsum St.','Vincennes','UT','38027',NULL,1234054,'693-718-3054',55431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne Q. Oconnor','Ap #417-7425 Vel, Rd.','Darlington','TN','77706','woconnor@hitmail.com',1234055,'723-426-0334',54091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara V. Todd','536-1613 Sem Rd.','Cudahy','TN','69537',NULL,1234056,'344-167-4825',36948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha Q. Wilkerson','460-4611 Eleifend Av.','Waycross','VT','75544','mwilkerson@widget.com',1234057,'272-526-5820',90504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine A. Lawson','Ap #716-3767 A, Rd.','Cerritos','CA','94269','josephinel@aulnet',1234058,'804-986-4110',109904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heather U. Barrett','411 Et Rd.','Bay St. Louis','MS','68277','heatherb@xyz.edu',1234059,'795-686-0846',42999,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn I. Rivas','420-636 Vestibulum. St.','Waterbury','DC','68426','kylynnr@emailathome.net',1234060,'704-408-0840',77636,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart Y. Norton','101-6196 Curabitur Rd.','Oneonta','LA','57615','norton@email.net',1234061,'142-755-1531',51377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea B. Delacruz','1203 Quam. Avenue','Gulfport','IN','94650','rdelacruz@emailathome.net',1234062,'412-927-1926',25042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael H. Barron','Ap #281-5191 Sagittis. Av.','Janesville','GA','47742',NULL,1234063,'492-814-7318',42344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine K. Lopez','Ap #357-4330 Vivamus Rd.','Concord','MS','65413','germainel@xyz.edu',1234064,'255-657-3611',16390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique H. Alvarado','Ap #773-1505 Eget Rd.','Hastings','AK','55120','dominique.alvarado@emailathome.net',1234065,'634-799-3566',34219,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana F. Salas','Ap #705-3838 Phasellus Av.','Daly City','MA','40195','salas@widget.com',1234066,'417-951-6599',18171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis G. Mueller','486-2889 Volutpat. Rd.','Wichita Falls','CO','51792',NULL,1234067,'998-315-1668',34701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane G. Serrano','590-9435 Purus. Rd.','Vincennes','WI','08050',NULL,1234068,'853-852-0672',49368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo O. Briggs','1018 Ornare, Avenue','International Falls','IN','26516',NULL,1234069,'523-508-8830',102650,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando E. Russell','998-907 Vestibulum, St.','Council Bluffs','SD','08934','armandor@xyz.edu',1234070,'642-164-5724',68577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill M. Jennings','Ap #248-4410 Vel Street','Villa Park','DC','96705','mjennings@aulnet',1234071,'739-381-3448',27728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia S. Farrell','P.O. Box 212, 425 Nullam Ave','Slidell','IN','49946','ofarrell@widget.com',1234072,'642-481-6619',24285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel G. Sharpe','7156 Pede. St.','Sturgis','CO','91375','lionel.sharpe@abc.edu',1234073,'461-125-2633',45399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem H. Jensen','P.O. Box 413, 4095 Magna. St.','DuBois','IN','39030','jensen@bpmpros.com',1234074,'406-766-7919',75407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden Y. Foreman','P.O. Box 678, 8581 Fringilla Ave','Haverhill','WY','23763','foreman@emailathome.net',1234075,'704-201-8776',87195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad K. Mcleod','927-6879 Eu Avenue','Myrtle Beach','NV','58581','tmcleod@emailathome.net',1234076,'345-149-1590',48773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg D. Nelson','Ap #103-1853 Non Street','Statesboro','WA','44402',NULL,1234077,'184-439-4885',53947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard T. Mendoza','1465 Enim. Street','Mentor','MD','20575','richardm@widget.com',1234078,'916-215-5574',103267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy N. Finch','P.O. Box 823, 6213 Fusce St.','Idaho Falls','ND','08639','maggy.finch@xyz.edu',1234079,'305-321-4350',101490,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett V. Langley','106-8976 Mauris Av.','Lakewood','SD','42851','langley@widget.com',1234080,'592-896-0175',66168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth L. Mccarty','641-9091 Mauris St.','North Charleston','NM','43095','mccarty@bpmpros.com',1234081,'847-438-1352',61886,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon A. Rojas','271-4767 Integer Road','Rutland','SC','41585','rojas@widget.com',1234082,'571-428-7679',104500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis L. Cochran','176-3482 Fringilla Avenue','Weirton','IN','01143','dennisc@widget.com',1234083,'628-209-5282',94642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk U. Dejesus','P.O. Box 404, 3924 A Road','Pasco','MA','65377','kdejesus@abc.edu',1234084,'522-259-3598',88866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray Q. Castaneda','237-8041 Rhoncus. Road','New Bedford','MO','99964','rcastaneda@yohaa.com',1234085,'332-763-8121',80137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton M. Baxter','P.O. Box 448, 5994 Pede. St.','Lake Charles','NE','05395','dbaxter@yohaa.com',1234086,'359-692-3542',82267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry K. Holman','653 Nec Rd.','Perth Amboy','WA','49640','perryh@email.net',1234087,'389-715-7748',28491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice J. Gilmore','1417 Scelerisque St.','Bowling Green','IA','99623','agilmore@email.net',1234088,'698-627-5090',87246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole Q. Lopez','2373 Tristique Rd.','Fremont','CA','13433','lopez@hitmail.com',1234089,'496-756-5182',79179,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester T. Cherry','363-7257 Natoque Av.','Sturgis','IN','39653','sylvesterc@hitmail.com',1234090,'187-484-1396',60876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary E. Vargas','3441 Massa St.','Weymouth','GA','09622','roary.vargas@aulnet',1234091,'688-997-6350',63314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma E. Witt','P.O. Box 616, 4892 Aliquet Av.','Cody','MS','64873','velma.witt@email.net',1234092,'506-295-1828',38022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan T. Sheppard','1450 In Av.','New Britain','AL','11938','rsheppard@hitmail.com',1234093,'416-767-3758',100611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella S. Brady','Ap #491-6091 Magna Av.','Hastings','LA','34056','ibrady@emailathome.net',1234094,'195-412-1785',67599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India L. Haley','P.O. Box 601, 3621 Volutpat. Rd.','Port Orford','WY','37071','ihaley@aulnet',1234095,'228-223-5356',23248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady Q. Carlson','P.O. Box 698, 9930 Mollis Rd.','Edmond','HI','23050','gradyc@abc.edu',1234096,'222-359-4829',27027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa F. Moon','9601 Purus. Av.','Fort Collins','WV','28610','rmoon@emailathome.net',1234097,'926-939-1650',28919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona D. Harvey','6644 Amet, St.','Hartland','NV','84916','fionah@bpmpros.com',1234098,'878-871-4754',95731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase Y. Walker','525-7047 Odio Street','Menomonee Falls','ID','88263','chase.walker@yohaa.com',1234099,'281-168-8393',22630,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn Y. Rosario','186 Curabitur Ave','Wisconsin Dells','HI','77065','jocelyn.rosario@abc.edu',1234100,'992-311-2161',19443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi K. Carey','P.O. Box 991, 3096 Diam. Rd.','Watertown','UT','07685','yoshic@email.net',1234101,'651-653-8621',94088,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy W. Fields','919-659 Malesuada Road','Lynchburg','VA','76384','stacyf@bpmpros.com',1234102,'979-621-2820',59609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall H. Contreras','P.O. Box 331, 9094 A Rd.','Laredo','DC','03489','kcontreras@yohaa.com',1234103,'875-844-4747',66688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan A. Robinson','741-4640 Nunc Avenue','Liberal','WI','13926','quinlanr@widget.com',1234104,'406-371-1256',104442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma M. Gallagher','200-897 Ornare, St.','Scarborough','TN','79292','agallagher@emailathome.net',1234105,'319-715-9961',29724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby C. Pierce','Ap #148-1603 Lorem St.','Berlin','DC','97276',NULL,1234106,'579-788-4034',15640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan E. Mcfadden','525-3761 Vestibulum Street','Sitka','MT','67865','aidan.mcfadden@aulnet',1234107,'142-512-2097',24827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth C. Doyle','576-1734 Nec Av.','Manhattan Beach','AL','50228','doyle@abc.edu',1234108,'194-235-6569',72712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley S. Potter','1950 Adipiscing, Avenue','Sheridan','CA','67592','potter@aulnet',1234109,'625-434-7572',33370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald D. Wall','6176 Nisi Rd.','Idaho Springs','UT','75361','emeraldw@hitmail.com',1234110,'122-384-7281',105092,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna F. Silva','P.O. Box 732, 519 Turpis St.','Pasco','NJ','40616','gsilva@emailathome.net',1234111,'187-109-3930',26519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor B. Cash','172-1482 Molestie St.','Kent','RI','38289','castor.cash@xyz.edu',1234112,'995-983-9922',96467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel Z. Franklin','P.O. Box 351, 4694 Nulla Rd.','Gloversville','LA','17956','franklin@email.net',1234113,'235-131-9249',29476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason A. Cooper','9813 Posuere Rd.','Williamsburg','AK','36017','mason.cooper@aulnet',1234114,'803-526-0391',44194,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey G. Le','397-4144 Aenean St.','West Sacramento','KS','36372','caseyl@email.net',1234115,'491-393-6296',68273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum W. Ruiz','P.O. Box 450, 5091 Ac Street','Minneapolis','OK','03439','tatum.ruiz@bpmpros.com',1234116,'813-303-4051',41030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah V. Stephenson','Ap #520-121 Ut Ave','Scranton','TX','54967','jstephenson@hitmail.com',1234117,'407-219-4119',34566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius M. Burks','657-6721 Suscipit Avenue','Altoona','CA','91255','octavius.burks@xyz.edu',1234118,'213-519-7281',58844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia R. Burt','P.O. Box 987, 2434 Nec Street','La Jolla','NJ','65367','amelia.burt@aulnet',1234119,'514-727-1469',82974,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona E. Brown','3685 Lectus. Street','Laguna Niguel','WY','49696','kbrown@widget.com',1234120,'223-974-2479',79085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell P. Merrill','Ap #135-7704 Malesuada St.','Walnut','VT','84134','caldwell.merrill@aulnet',1234121,'721-954-8371',89407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai L. Bryant','P.O. Box 565, 9041 Lacus. Ave','Rolling Hills Estates','NV','48132',NULL,1234122,'367-998-8417',84497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian N. Stuart','1140 Cras Avenue','Providence','AK','71246','stuart@bpmpros.com',1234123,'169-486-0748',77010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy J. Barlow','244-4355 Et Avenue','Edina','CT','11693','troy.barlow@aulnet',1234124,'949-109-3844',77872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt I. Guzman','Ap #568-3972 Suspendisse Road','Westlake Village','ND','83295',NULL,1234125,'898-738-7461',45342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn Z. Mercer','101-4098 Ante. Avenue','Yorba Linda','MT','26109',NULL,1234126,'495-294-9316',86457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha B. Sampson','P.O. Box 213, 4276 Dui Road','Grass Valley','CT','66382','sasha.sampson@yohaa.com',1234127,'582-887-0700',25172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn W. Padilla','9997 Sit Rd.','Warner Robins','WY','32169','padilla@abc.edu',1234128,'897-146-2349',54570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden L. Williams','P.O. Box 326, 1519 Mauris St.','Northampton','FL','12945',NULL,1234129,'214-912-9682',104583,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi J. Clements','9765 In, St.','Flagstaff','WA','54515','eclements@email.net',1234130,'811-423-7139',29221,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton J. Robles','Ap #378-6681 Quis, St.','Port Jervis','CO','08462','acton.robles@hitmail.com',1234131,'178-889-2110',42053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura L. Baker','5395 Consectetuer, Av.','Tok','ME','09119','laurab@bpmpros.com',1234132,'156-454-2421',84275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish U. Fulton','1057 Viverra. Avenue','Las Cruces','NM','52803','hamish.fulton@aulnet',1234133,'825-831-4667',100941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck B. Battle','647-981 Felis Road','Egg Harbor','MA','00753',NULL,1234134,'667-493-2226',107663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler W. Holden','8371 Arcu Rd.','Tustin','IN','58129',NULL,1234135,'305-762-4106',49199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena A. Woodward','273-9157 Mi Avenue','Valdez','CO','41890','woodward@yohaa.com',1234136,'129-335-9953',25084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena M. Bradford','366-9844 Dolor. St.','Tuscaloosa','MS','66608',NULL,1234137,'599-528-7537',61847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler P. Bryan','P.O. Box 591, 2893 Cursus St.','Marshfield','TN','31298','bryan@yohaa.com',1234138,'996-496-8146',73663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby C. Gamble','Ap #318-6395 Montes, Road','Saint Joseph','SC','61793','quembyg@hitmail.com',1234139,'182-988-3731',96228,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard M. Robinson','Ap #338-5448 Hendrerit St.','Fayetteville','MO','20392','rudyardr@aulnet',1234140,'286-278-0664',50333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul F. Mathis','Ap #465-4635 Eleifend Road','Fairfax','ND','11642','amathis@xyz.edu',1234141,'145-222-3093',81600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani B. Rowe','469-7236 Interdum Road','Zanesville','SD','41863','rowe@widget.com',1234142,'516-552-6839',101085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith P. Harrington','Ap #539-5630 Lectus St.','Winston-Salem','VT','74226','faith.harrington@aulnet',1234143,'289-606-1578',51427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan H. Schroeder','3386 Nunc St.','Huntsville','NH','57254','brendans@email.net',1234144,'776-495-3559',80163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando N. Patterson','766-2685 Eu Av.','Methuen','NY','24971','armandop@aulnet',1234145,'236-812-2075',68461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen G. Jarvis','7465 Arcu St.','Albany','CO','61863','jarvis@abc.edu',1234146,'351-474-9551',91901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn J. Tanner','3629 Egestas St.','Indianapolis','WY','02628','tanner@widget.com',1234147,'715-141-2876',91860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayley Z. Cantrell','5519 Aliquam Ave','San Juan','AL','43253','hayleyc@hitmail.com',1234148,'526-498-9029',40841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir X. Richardson','P.O. Box 863, 3656 Neque St.','Port Washington','OR','72616','amir.richardson@emailathome.net',1234149,'971-496-8847',106649,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira G. Padilla','P.O. Box 622, 6287 At Rd.','Cheyenne','MA','18381','mpadilla@aulnet',1234150,'108-978-4642',70390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan O. Webb','3355 Sit Rd.','Brunswick','VA','03794','vaughan.webb@hitmail.com',1234151,'634-834-5313',88301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee Z. Spence','221 Vitae Av.','Houston','NJ','77647','sspence@xyz.edu',1234152,'917-581-8543',31351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan O. Key','625-8449 Cursus Road','Dayton','NE','16383','key@yohaa.com',1234153,'932-958-4393',102209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden C. Mcneil','Ap #805-4911 Aliquam St.','Berlin','LA','91908','hmcneil@email.net',1234154,'392-324-2726',22406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron Z. Wood','P.O. Box 768, 7054 Eleifend Rd.','Redding','MT','85177','cameronw@yohaa.com',1234155,'185-377-6908',84642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis V. Lang','9908 Ut, Rd.','Boulder City','VT','62941','lang@yohaa.com',1234156,'559-268-7954',68738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely K. Mathis','837 Torquent Av.','Fremont','MA','57034','keelym@widget.com',1234157,'338-584-4002',89963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen H. Reese','163 Magna Street','Mequon','OK','03538','reese@email.net',1234158,'332-765-5139',65879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi T. Bennett','Ap #518-7008 Interdum. St.','San Diego','KS','06909','heidib@yohaa.com',1234159,'538-771-4469',67940,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio C. Williamson','5703 Dignissim. St.','Cape May','KY','13543','yoshiow@xyz.edu',1234160,'244-288-0651',22453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aiko B. Ray','P.O. Box 699, 1232 Tellus Ave','Bentonville','MO','87090','aray@abc.edu',1234161,'644-788-9769',51439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora M. Bradford','Ap #875-5844 Nibh. Av.','Minneapolis','MT','03880','dorab@aulnet',1234162,'982-526-2141',95967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brooke G. Caldwell','Ap #723-792 Urna Street','Decatur','NV','03417','caldwell@bpmpros.com',1234163,'398-289-7059',32648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla A. Byrd','558-4914 Mollis Street','Wichita Falls','GA','72985','xylab@email.net',1234164,'493-791-9706',93062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan A. Mcmahon','P.O. Box 675, 9982 Sagittis Ave','Gainesville','DE','30412','kylan.mcmahon@email.net',1234165,'598-981-6815',69323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chanda K. Deleon','345-5832 Scelerisque Av.','Kenner','VA','00041',NULL,1234166,'554-142-9325',32883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere T. Case','P.O. Box 358, 2375 Egestas Road','Merizo','NV','43754','case@xyz.edu',1234167,'895-449-3903',43173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic M. Sykes','P.O. Box 266, 4372 Lacinia St.','Hornell','MS','04958','dominic.sykes@widget.com',1234168,'703-598-9473',51502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina R. Mills','P.O. Box 742, 5679 Odio Rd.','Independence','VT','36741','rina.mills@widget.com',1234169,'799-493-9918',50865,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana T. Cotton','802-3598 Est Av.','Needham','MO','39875',NULL,1234170,'617-307-7097',104864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom I. Michael','P.O. Box 742, 6672 Nec Av.','Mandan','MO','99138','michael@emailathome.net',1234171,'914-631-8376',53537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato J. Goff','Ap #888-8036 Proin Avenue','Rocky Mount','NJ','04404','goff@email.net',1234172,'643-667-1970',43792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia S. Mitchell','P.O. Box 283, 9492 Ac Avenue','Rancho Palos Verdes','CA','62776','lavinia.mitchell@emailathome.net',1234173,'282-824-3804',91736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana C. Kaufman','7670 Massa. St.','Boise','UT','60717','shana.kaufman@emailathome.net',1234174,'185-713-8852',37354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie S. Dyer','P.O. Box 468, 5410 Justo St.','Galesburg','HI','12473',NULL,1234175,'381-375-9887',83413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima Y. Acosta','Ap #293-3791 Nunc Street','Sunbury','NM','82694',NULL,1234176,'168-358-5235',22598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase U. Grimes','5366 Cursus, Road','Nogales','MA','23942',NULL,1234177,'212-618-4432',23596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah R. Mcmillan','P.O. Box 565, 4168 Nam Av.','Holyoke','IL','66090','mcmillan@abc.edu',1234178,'943-155-6730',39517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar J. Gentry','P.O. Box 174, 7398 Auctor Avenue','Arcadia','NJ','80457','omar.gentry@emailathome.net',1234179,'558-402-4651',52987,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka R. Dunlap','P.O. Box 129, 5365 Lacus Rd.','Alhambra','CO','74455',NULL,1234180,'913-472-8723',54656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas V. Johns','518-3329 Mi Ave','Laramie','MO','61535','silas.johns@aulnet',1234181,'991-904-2741',69778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto Z. Henry','4002 Lectus. Av.','New York','IN','73829','henry@yohaa.com',1234182,'973-572-5728',109892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay C. Gonzalez','Ap #692-6866 Fringilla St.','Hot Springs','MN','79952','barclay.gonzalez@xyz.edu',1234183,'773-756-1377',23227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha C. Mcgee','P.O. Box 834, 422 Vitae Avenue','Pine Bluff','MS','97177','amcgee@yohaa.com',1234184,'121-803-5587',108173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline B. Juarez','P.O. Box 852, 358 Magna St.','Gold Beach','NC','17105','madalinej@xyz.edu',1234185,'373-493-2067',72852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael P. Marquez','Ap #786-1378 Mollis. St.','Santa Rosa','NJ','22139','jmarquez@abc.edu',1234186,'446-628-9211',36429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya V. Wiggins','389-5822 Mollis Rd.','Berlin','CA','68090','rwiggins@emailathome.net',1234187,'331-676-1941',33064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya K. Fisher','718-7888 Orci, Street','Palm Springs','AL','00679','fisher@hitmail.com',1234188,'771-901-4766',86473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick Y. Rodgers','349-3383 In St.','Needham','WI','94005','chadwick.rodgers@hitmail.com',1234189,'785-455-3557',48647,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy C. Hyde','P.O. Box 356, 3304 Tellus Street','Idabel','NV','57252','dorothyh@aulnet',1234190,'458-143-3987',67121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett X. Kim','P.O. Box 194, 2204 Neque Avenue','Bartlesville','ME','91449',NULL,1234191,'893-251-1935',104259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy M. Dillon','253-7078 Sociis Ave','Houma','IN','64966','dillon@aulnet',1234192,'406-208-3684',71812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare N. Wood','P.O. Box 871, 9685 Nullam Street','Irving','AK','35290','clarew@widget.com',1234193,'257-663-7710',52138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline Z. Lloyd','Ap #589-7537 Risus. Rd.','Meriden','MD','43779',NULL,1234194,'161-327-8906',84129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie D. Raymond','P.O. Box 415, 8200 Ipsum Street','Nome','VT','22176','callier@emailathome.net',1234195,'946-117-2441',53846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana D. Rose','751-8455 Nam Rd.','Half Moon Bay','AK','92125','irose@aulnet',1234196,'492-348-2655',19406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera L. Oneil','Ap #973-421 Aliquet. Rd.','South El Monte','OH','75277',NULL,1234197,'403-795-0432',19510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma C. Simmons','Ap #356-249 Quisque Rd.','Cary','IL','99174','uma.simmons@abc.edu',1234198,'443-845-5405',100532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton Y. Schultz','P.O. Box 267, 2122 Ornare Ave','Moultrie','MS','72761',NULL,1234199,'936-388-1346',88515,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana R. Cherry','Ap #189-6713 Lacus. Avenue','Orange','IN','70943','illana.cherry@abc.edu',1234200,'715-652-9400',84210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah N. Park','P.O. Box 753, 8695 Ac Av.','Sandpoint','TN','14785','jpark@xyz.edu',1234201,'738-454-0069',61121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero F. Barr','Ap #209-6176 Auctor. Ave','Thousand Oaks','TX','60174','barr@email.net',1234202,'869-608-9510',71680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah C. Wynn','734-7787 Sit St.','Alhambra','TN','68538','rinahw@email.net',1234203,'713-673-1701',45416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran X. Colon','5450 Nulla St.','Danville','IA','30327','ccolon@yohaa.com',1234204,'381-253-4107',50570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard O. Pruitt','Ap #150-128 Mauris, Avenue','Vermillion','AZ','37168','pruitt@hitmail.com',1234205,'586-867-9293',55047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming U. Brooks','931-8193 Amet, Av.','Biddeford','WI','03131','wyomingb@widget.com',1234206,'301-896-5535',94234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll G. Vang','P.O. Box 124, 8732 Nec, St.','Hopkinsville','WV','95498',NULL,1234207,'631-931-7363',100249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul T. Stephens','5280 Nunc Av.','Savannah','AK','45394','abdul.stephens@email.net',1234208,'844-707-7018',86802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene C. Kelly','772 Quisque Rd.','Saint Joseph','RI','50825','ikelly@xyz.edu',1234209,'465-858-1299',21779,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance X. Beard','810-8321 Magna Rd.','Temple City','RI','59910','vance.beard@email.net',1234210,'836-201-9581',94341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross X. Ballard','4356 Lacinia. St.','Moore','FL','09375','rossb@emailathome.net',1234211,'366-351-8609',72479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura S. Russell','3267 Leo. Rd.','Hammond','TN','43083','russell@yohaa.com',1234212,'912-548-1731',73349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena N. Cleveland','401-1808 Diam Ave','West Bend','CA','96139','adenac@widget.com',1234213,'213-235-6737',60972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin C. Wagner','Ap #348-8739 Ante St.','West Memphis','NM','75261','marvinw@abc.edu',1234214,'491-514-5582',41763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita T. Aguirre','5109 Pellentesque Avenue','Bandera','MS','43930','chiquitaa@aulnet',1234215,'557-697-7381',107094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ian F. Bennett','P.O. Box 518, 1110 In Street','Casper','KS','83127','ianb@xyz.edu',1234216,'168-626-2130',63074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette M. Collier','Ap #397-5124 Donec Street','Sun Valley','SC','12296','colette.collier@yohaa.com',1234217,'324-483-0082',30306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher R. Ford','P.O. Box 139, 7424 Sed Rd.','Sault Ste. Marie','ME','18620','christopherf@yohaa.com',1234218,'927-341-6236',45542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai M. Weiss','P.O. Box 858, 7484 Neque Street','Farrell','VT','27745','dweiss@yohaa.com',1234219,'576-494-6442',81904,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael A. Watson','Ap #492-1704 Integer Avenue','Omaha','IN','13041','rafael.watson@emailathome.net',1234220,'887-354-7573',107649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron R. Miles','Ap #942-4861 Justo Rd.','Dallas','LA','65889',NULL,1234221,'821-708-0617',37601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana F. Calderon','9838 Aliquam Ave','Gilbert','NJ','82469','tatianac@widget.com',1234222,'157-939-0108',30549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael Y. Witt','P.O. Box 304, 9343 At Av.','Sierra Madre','CT','78951',NULL,1234223,'421-578-4184',34839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone J. Dennis','735-1074 Pellentesque St.','Homer','WA','09377','tdennis@yohaa.com',1234224,'429-859-2286',46324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari O. Boyd','2558 Nisi Street','Mechanicville','HI','68689','mboyd@abc.edu',1234225,'627-461-3453',81562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick J. Calderon','652-3335 A Ave','Salinas','MT','75934','pcalderon@xyz.edu',1234226,'624-341-6000',65094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len F. Galloway','Ap #467-2332 Vel Rd.','Austin','AK','51126',NULL,1234227,'261-794-0347',58681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie Z. Petty','P.O. Box 534, 5069 Sem, St.','Santa Fe Springs','VT','92644','kyliep@bpmpros.com',1234228,'871-942-7357',81795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne E. Joseph','P.O. Box 793, 2605 Eget St.','Hammond','ID','14007','joseph@widget.com',1234229,'752-523-5732',19088,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria T. Alvarado','6194 Nisl Rd.','Pittsburgh','AK','46757','valvarado@aulnet',1234230,'268-934-1863',54120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay R. Pitts','Ap #221-6651 Neque. Ave','Chula Vista','AZ','16853','gayp@hitmail.com',1234231,'511-779-6028',108746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance K. Chaney','P.O. Box 696, 5644 Vehicula. Avenue','Racine','SC','84791','vancec@xyz.edu',1234232,'645-256-8345',56489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana L. Giles','9853 Quis Rd.','Hoover','UT','64152','ranag@yohaa.com',1234233,'723-887-3928',95486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia J. Gonzalez','Ap #547-8450 Nisi St.','Davenport','KS','14589','mgonzalez@hitmail.com',1234234,'732-454-2415',58484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima H. Holden','Ap #224-9155 Senectus Av.','Huntington Beach','NY','95210','ima.holden@emailathome.net',1234235,'899-622-9862',47229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price U. Santos','P.O. Box 327, 401 Phasellus Street','San Diego','ME','07892','psantos@bpmpros.com',1234236,'114-814-4354',39846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice P. Murray','197-7255 Dolor Rd.','Little Falls','LA','76474','murray@widget.com',1234237,'377-491-2036',51985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker Q. Battle','994-1893 Nullam Ave','Oak Ridge','CO','46423','tuckerb@aulnet',1234238,'997-275-5647',78320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil B. Hendrix','Ap #881-1733 Vitae Rd.','West Palm Beach','TX','92749','sybilh@bpmpros.com',1234239,'263-161-3448',21324,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander T. Moon','6442 Pellentesque St.','Lockport','MO','43003','xander.moon@yohaa.com',1234240,'387-204-4104',56007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal H. Vega','2655 Nisl. Avenue','Rancho Palos Verdes','WY','45819',NULL,1234241,'311-648-3687',19081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam M. Schneider','764-8086 Ut Street','Frederiksted','ND','61416','adam.schneider@emailathome.net',1234242,'326-647-1955',63683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer O. Finch','P.O. Box 929, 3973 Molestie St.','Lakeland','NC','32893','finch@abc.edu',1234243,'311-647-1932',91837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo I. Sanders','9369 Porttitor St.','Cruz Bay','WA','45718','yeos@abc.edu',1234244,'108-429-4841',109996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald H. Lindsey','P.O. Box 507, 9675 Semper. Rd.','Covington','KS','27062','flindsey@xyz.edu',1234245,'882-889-3197',20070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah B. Vang','850-9689 Orci, Rd.','Knoxville','IN','68086','hannahv@emailathome.net',1234246,'158-941-7290',61250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred O. Snider','Ap #139-2370 Rhoncus. Ave','Waterbury','UT','11079','winifred.snider@bpmpros.com',1234247,'266-315-1549',100122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine J. Woodard','7686 Laoreet Av.','New Iberia','MT','46088',NULL,1234248,'296-203-7241',53520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel I. Mueller','426-5495 Imperdiet St.','Carrollton','IN','81628','axel.mueller@email.net',1234249,'616-803-9056',49177,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen T. Strickland','P.O. Box 221, 6559 Quis Rd.','Hartford','MO','75256',NULL,1234250,'884-591-3943',22431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery L. Adkins','P.O. Box 293, 4247 Dapibus Av.','Eugene','KY','82167','adkins@xyz.edu',1234251,'424-308-7091',17198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine C. Hines','Ap #457-3211 Nec Road','Reedsport','NM','98680','ghines@yohaa.com',1234252,'848-363-5713',86370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne U. Hobbs','7503 Eget Av.','Eureka','MA','17317',NULL,1234253,'285-269-0963',55280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian S. Higgins','P.O. Box 891, 8892 Mollis Rd.','Aguadilla','PA','17835','higgins@aulnet',1234254,'253-438-5075',102665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa J. Trujillo','P.O. Box 864, 8091 Egestas Street','Dixon','OR','43561',NULL,1234255,'496-649-9864',96549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem U. Berry','P.O. Box 632, 3113 Senectus Avenue','Covington','MI','18661','berry@email.net',1234256,'233-629-2781',74491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal M. Middleton','833-6731 Aliquam Ave','Homer','MD','80008','kmiddleton@email.net',1234257,'761-993-5217',21383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia S. Sweet','P.O. Box 527, 2163 Amet, Rd.','Kearns','IN','68459','zia.sweet@yohaa.com',1234258,'558-228-1216',63476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis P. Hardy','850-7932 Penatibus Street','Kenosha','IA','58727','hardy@abc.edu',1234259,'287-645-8639',98684,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai K. Mckenzie','1728 Iaculis, Avenue','El Segundo','ID','63059','kmckenzie@emailathome.net',1234260,'932-641-3148',106162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo X. Conway','Ap #444-5489 Velit Ave','Lodi','KY','57820',NULL,1234261,'889-812-4618',88479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie T. Mosley','Ap #760-5595 Ac Av.','Chicopee','CO','48405','maisie.mosley@xyz.edu',1234262,'335-225-9354',17370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia U. England','Ap #205-7708 Dapibus Avenue','Cleveland','TX','94042','patricia.england@hitmail.com',1234263,'547-783-8078',54093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi L. Fleming','P.O. Box 476, 4865 Sed, Rd.','Roseville','NE','35239','emif@widget.com',1234264,'373-729-4123',30333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen O. Cohen','P.O. Box 385, 497 Vehicula. Rd.','Duluth','OR','27963',NULL,1234265,'304-576-2057',34755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios J. Burgess','560 Donec Street','Salisbury','WV','10323','remedios.burgess@abc.edu',1234266,'211-541-8983',38885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker A. Valenzuela','P.O. Box 543, 4895 Fringilla. Ave','Keene','MI','38059',NULL,1234267,'474-594-9347',44487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon O. Campbell','Ap #358-7683 Molestie St.','Pueblo','RI','27366','deaconc@email.net',1234268,'517-891-3943',41602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett P. Black','P.O. Box 325, 2715 Non St.','Rawlins','NE','32650','black@yohaa.com',1234269,'117-534-3246',34706,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe M. Whitaker','P.O. Box 802, 2527 Vivamus St.','Des Moines','AK','55488','signe.whitaker@widget.com',1234270,'148-156-5808',29195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine J. Lyons','299 Sociis Rd.','Memphis','WA','18314','lyons@xyz.edu',1234271,'853-667-5721',44251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna F. Compton','6304 Vel Rd.','Woodward','IL','83865','compton@aulnet',1234272,'696-172-3480',106183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith D. Fleming','172-6861 Nibh. Road','Wilmington','TN','17991','laithf@aulnet',1234273,'757-444-4167',72888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivana O. Savage','Ap #904-5311 Gravida St.','Albany','WI','85992','ivana.savage@email.net',1234274,'985-732-1855',109692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde P. Glass','P.O. Box 683, 2846 Consectetuer St.','Sturgis','NE','50835','glass@yohaa.com',1234275,'828-703-4445',37885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August G. Bowen','8942 Sociosqu Road','Murfreesboro','AL','80676','abowen@hitmail.com',1234276,'769-242-0123',72295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses D. Snow','P.O. Box 246, 2037 Ornare, Avenue','Norton','AL','06197','moses.snow@hitmail.com',1234277,'863-533-6747',104381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa O. Brooks','Ap #344-8979 Velit. Avenue','Thomasville','MI','41748','mbrooks@bpmpros.com',1234278,'935-708-1308',27541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai B. Mcguire','Ap #566-6683 A, Ave','Farmington','SC','26768',NULL,1234279,'516-452-0502',104152,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo B. Best','P.O. Box 811, 3747 Convallis Rd.','Rocky Mount','IA','05232','bob@bpmpros.com',1234280,'991-517-8699',33147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan D. Callahan','P.O. Box 694, 8717 A, St.','Grafton','MN','72188',NULL,1234281,'412-412-7296',100714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana C. Maldonado','P.O. Box 837, 8978 Placerat Ave','Jacksonville','MS','90862',NULL,1234282,'152-473-7845',30819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel B. Cooke','P.O. Box 126, 4552 Dictum Ave','Hickory','TX','31521','cooke@emailathome.net',1234283,'494-545-8286',25642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris H. Compton','937-1576 Magnis Road','Longview','WV','89710','dcompton@abc.edu',1234284,'332-736-1810',21986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan E. Page','895-2906 Nonummy Avenue','Saratoga Springs','SD','70259','vaughan.page@hitmail.com',1234285,'971-212-9470',45305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler K. Cash','Ap #146-7496 Tristique Av.','Attleboro','WA','74154',NULL,1234286,'415-385-4974',54188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn T. Key','P.O. Box 352, 5132 Orci, Rd.','Pittsfield','KS','22507',NULL,1234287,'753-267-4429',54178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda V. Guerra','Ap #908-5234 Sodales Av.','Parkersburg','FL','52175','wguerra@xyz.edu',1234288,'773-536-6921',57835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith W. Bowman','Ap #921-3298 Amet, Rd.','Duncan','SD','98351','judith.bowman@hitmail.com',1234289,'427-201-6453',52670,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart W. Hopkins','Ap #840-9874 Dapibus Rd.','Hot Springs','OR','51550','stewarth@bpmpros.com',1234290,'802-339-4391',92210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane F. Hopper','P.O. Box 799, 4197 Tincidunt, Av.','Roswell','NJ','37888','khopper@xyz.edu',1234291,'448-341-5790',31534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart Z. Chaney','P.O. Box 822, 4957 Neque Rd.','East Rutherford','NH','13150','stewartc@aulnet',1234292,'938-487-6281',19465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn F. Dejesus','P.O. Box 142, 123 Et Road','Huntington Beach','TX','43667','qdejesus@xyz.edu',1234293,'817-856-2338',72553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea Q. Bender','6092 Pharetra Street','Paterson','CA','45119',NULL,1234294,'685-366-0516',88721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell Q. Williams','Ap #801-1348 Ante. St.','Yazoo City','NC','73328','katell.williams@emailathome.net',1234295,'538-214-4804',53495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton E. Austin','8574 Luctus Avenue','Chino','MT','52010','austin@emailathome.net',1234296,'453-316-1274',76510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason B. Kane','P.O. Box 315, 4312 Orci. Ave','Billings','AK','59502','mkane@yohaa.com',1234297,'623-985-2903',32041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel V. Shaw','5856 Proin Street','Anaconda','WI','08734','steel.shaw@aulnet',1234298,'685-848-0465',78178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy A. Moon','6306 Lacinia Rd.','Arlington','FL','24465','macy.moon@aulnet',1234299,'338-707-3811',106418,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence N. Silva','P.O. Box 353, 2730 At, Rd.','Ontario','DE','34359','lawrence.silva@aulnet',1234300,'725-164-8611',65210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor M. Garrison','P.O. Box 203, 6435 Volutpat St.','Chicago Heights','MD','57582','egarrison@email.net',1234301,'842-666-6394',105283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha M. Mcknight','2274 Rutrum Avenue','Bremerton','WI','17692','amcknight@yohaa.com',1234302,'542-626-7833',59849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia X. Garcia','Ap #160-7412 Interdum Road','Ketchikan','AK','02310','garcia@widget.com',1234303,'913-455-0818',86207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana F. Daniels','P.O. Box 719, 9353 Aliquam Rd.','Oil City','PA','76689',NULL,1234304,'999-903-3674',67943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sloane H. Durham','Ap #482-386 Sociis Rd.','Orem','CO','86462','durham@emailathome.net',1234305,'142-142-9433',30767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni S. Quinn','P.O. Box 385, 4928 Velit St.','Miami','OR','84571','quinn@abc.edu',1234306,'934-186-1271',88490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo Y. Huber','Ap #308-2116 Rhoncus. St.','Peoria','NV','22416',NULL,1234307,'188-922-0171',50701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John D. Flowers','P.O. Box 855, 9467 Facilisis Ave','Richmond','AK','68690','jflowers@yohaa.com',1234308,'207-295-1172',41927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin R. Henderson','5960 Velit Ave','Kenosha','VT','65501','henderson@emailathome.net',1234309,'471-491-1107',46386,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia O. Hubbard','1566 Felis. Avenue','Waycross','ND','18955','chubbard@abc.edu',1234310,'506-644-6837',20322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith U. Ratliff','P.O. Box 452, 4519 Tellus Avenue','Coatesville','LA','05614',NULL,1234311,'669-275-7183',18834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius C. Blackburn','5795 Egestas Av.','San Angelo','CA','23843','dariusb@email.net',1234312,'405-872-6881',66230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem X. Boyle','1646 Quam Road','Bentonville','SC','51673','boyle@widget.com',1234313,'968-398-7759',59578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona R. Rose','8450 Sem Av.','Superior','CA','15081','idona.rose@bpmpros.com',1234314,'249-636-3652',59948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane K. Slater','P.O. Box 538, 2378 Mi Street','Altoona','ID','38954','gslater@email.net',1234315,'936-276-7111',96200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa I. Hall','Ap #902-5058 Fusce Street','Warner Robins','ME','68896',NULL,1234316,'742-777-9536',85694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena P. Rhodes','2680 Tempor St.','Hartford','NC','65651','jenar@xyz.edu',1234317,'442-116-2939',94139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley M. Fuentes','P.O. Box 365, 9815 Donec Av.','Helena','HI','83649','wesleyf@widget.com',1234318,'201-642-7679',66574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell J. Wade','7964 Donec Street','Astoria','CA','43221',NULL,1234319,'687-607-6618',53534,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael J. Mendoza','732-8629 Penatibus Ave','Mandan','NV','67510','rmendoza@hitmail.com',1234320,'833-519-0267',104915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby J. Mcdowell','Ap #935-9723 Faucibus St.','Winston-Salem','NY','14082','rubym@yohaa.com',1234321,'693-535-0441',86541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brody S. Short','P.O. Box 596, 6470 Quis, Road','Riverside','MS','14229','bshort@aulnet',1234322,'312-905-4405',100837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene R. Mclean','612-8855 Erat, Rd.','Idabel','CT','61875','jmclean@widget.com',1234323,'205-517-4219',76811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde O. Hicks','P.O. Box 363, 4807 Quam. St.','Milwaukee','TX','98150',NULL,1234324,'126-232-6480',81953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra J. Watts','8930 Dui Road','Hopkinsville','CT','60260','watts@yohaa.com',1234325,'276-289-7929',71294,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy Q. Rosario','Ap #771-576 Malesuada Av.','West Allis','NC','71241','rosario@emailathome.net',1234326,'512-698-7775',84280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne I. Holland','491 Ridiculus Street','Barrow','MT','44082','wynne.holland@abc.edu',1234327,'207-448-5073',90910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena H. Brooks','Ap #572-7198 Risus. St.','West Warwick','MS','05149','brooks@email.net',1234328,'232-438-6862',103325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter S. Mckinney','P.O. Box 182, 7778 Et Ave','Rolling Hills Estates','NM','02707','hunter.mckinney@bpmpros.com',1234329,'857-189-3280',24254,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn A. Frank','8498 Elit, Avenue','New Iberia','SC','55826',NULL,1234330,'207-983-7916',46081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma K. Lewis','Ap #608-489 Enim. St.','New Iberia','KS','18663','lewis@email.net',1234331,'591-697-5802',90121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin D. Weaver','Ap #332-5704 Congue Rd.','DeKalb','SD','14023','dweaver@hitmail.com',1234332,'797-287-8744',76209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars L. Patton','Ap #618-1576 Nullam Rd.','Bell Gardens','TN','63188','lpatton@aulnet',1234333,'202-998-1750',71369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden G. Holmes','Ap #544-8120 At, St.','DeKalb','AK','96559','aholmes@abc.edu',1234334,'738-949-8370',32112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay U. Allison','P.O. Box 140, 6002 Sollicitudin Rd.','Pasco','NE','63250','gallison@aulnet',1234335,'801-548-4873',38206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota L. Guthrie','P.O. Box 386, 8325 Vestibulum Road','Cruz Bay','LA','98851','lacotag@email.net',1234336,'103-813-3518',54406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore R. Combs','P.O. Box 444, 9449 Lorem Rd.','Fairbanks','OH','02390','combs@emailathome.net',1234337,'243-255-0673',30980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline P. Cleveland','P.O. Box 321, 9350 Odio. Road','Gardena','NY','36038','sopolinec@emailathome.net',1234338,'539-682-8368',107269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine D. Cummings','Ap #993-7700 Dui Road','Westlake Village','ID','85812','geraldine.cummings@hitmail.com',1234339,'951-599-1710',29264,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle D. Stanton','353-4836 Morbi St.','Woburn','IL','59235','nstanton@bpmpros.com',1234340,'257-218-6187',101838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy B. Ramsey','P.O. Box 753, 7020 Tempus, Rd.','Kenner','AL','24373','ramsey@aulnet',1234341,'619-776-8954',18134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady Y. Decker','P.O. Box 976, 5984 Diam. Avenue','Coral Springs','OH','74098','decker@hitmail.com',1234342,'573-192-8786',74277,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian R. Cline','Ap #123-3959 Quam Road','New Castle','AL','72447',NULL,1234343,'546-919-0108',96179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tobias M. Manning','P.O. Box 981, 1625 Conubia Ave','Reading','AL','05178',NULL,1234344,'615-252-1711',95650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity S. Barr','P.O. Box 424, 3506 Vivamus Rd.','Fulton','KY','30435','charity.barr@bpmpros.com',1234345,'604-219-3614',52705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane G. Neal','5230 Non, Ave','Fort Lauderdale','CT','42155','dane.neal@email.net',1234346,'299-749-1610',19820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shafira N. Conrad','P.O. Box 539, 8566 Consequat Road','Trenton','MI','52804','shafirac@aulnet',1234347,'951-249-9990',75253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava R. Carson','P.O. Box 253, 7810 Mi, Road','Irving','NC','00562','carson@aulnet',1234348,'467-427-5675',70472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin F. Mcgowan','6615 Posuere Ave','Bismarck','CT','54585','marvin.mcgowan@emailathome.net',1234349,'533-779-5112',80860,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray F. Wooten','5926 Vivamus Rd.','Hartford','NE','66851','wooten@yohaa.com',1234350,'401-954-1211',90836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew B. Dorsey','P.O. Box 257, 4100 Ut St.','Philadelphia','WI','54010','drew.dorsey@bpmpros.com',1234351,'963-363-2263',62261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa H. Klein','148-7881 Nam Ave','Jackson','HI','21176',NULL,1234352,'387-351-5227',55690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang Y. Carlson','P.O. Box 855, 4079 Suspendisse Rd.','Moreno Valley','VT','13135','wangc@hitmail.com',1234353,'303-699-8403',82376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric D. Branch','P.O. Box 105, 8918 Eget, Street','Fairmont','TX','74888','ebranch@abc.edu',1234354,'114-326-9167',77389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell J. Blackwell','Ap #287-4182 Vel, St.','Milwaukee','GA','05780','maxwell.blackwell@yohaa.com',1234355,'669-684-9008',40256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark X. Lopez','329-7909 Justo Rd.','San Jose','MN','65271','mlopez@yohaa.com',1234356,'952-522-1040',28786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper K. Sparks','469-331 Proin Road','New Rochelle','NC','10785','jasper.sparks@bpmpros.com',1234357,'956-908-4295',46855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee M. Michael','9555 Neque Rd.','Titusville','HI','80721','hmichael@emailathome.net',1234358,'709-305-8956',51062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline Y. Mcbride','Ap #715-7974 In Avenue','Bell','NH','81861','smcbride@xyz.edu',1234359,'693-493-6974',99740,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna H. Chan','P.O. Box 486, 6963 Ipsum Ave','Savannah','CO','62843','gchan@xyz.edu',1234360,'715-408-6903',104777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina V. Romero','P.O. Box 483, 6971 Turpis. Avenue','Glens Falls','TX','98061','serinar@bpmpros.com',1234361,'815-629-9376',44402,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shafira G. Warren','P.O. Box 899, 6932 Velit. Ave','Corry','KS','17616','warren@hitmail.com',1234362,'777-693-2221',66475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko W. Schroeder','P.O. Box 561, 5111 Felis Ave','Corinth','MD','75983','schroeder@emailathome.net',1234363,'609-487-9791',107388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara N. Hall','103-9707 Nunc St.','Laguna Hills','MT','96062','chall@hitmail.com',1234364,'156-656-9339',25627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory C. Carter','Ap #770-7320 Dignissim Rd.','Westlake Village','PA','21118',NULL,1234365,'281-237-8837',37372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan J. Pugh','651-4300 Sed Avenue','Areceibo','LA','18430','pugh@aulnet',1234366,'558-739-8766',71001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra V. Jensen','P.O. Box 761, 1249 Auctor St.','Narragansett','KY','76685','abra.jensen@xyz.edu',1234367,'116-675-3141',93833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany K. Stanton','P.O. Box 839, 5683 Dictum Road','Irvine','NV','92669',NULL,1234368,'345-461-9342',60015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera H. Hodges','Ap #277-6436 Tristique Street','Wheaton','AL','58441','verah@bpmpros.com',1234369,'101-455-6156',61184,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aiko Y. Stevens','111-6026 Quis, Street','Woonsocket','GA','24383','stevens@email.net',1234370,'724-835-1898',17670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson N. Jacobs','475-6492 Dui. Road','Rawlins','MA','64689',NULL,1234371,'163-797-5317',37449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand G. Lowe','9850 Penatibus St.','Guayama','ID','98274','armandl@widget.com',1234372,'734-641-9195',84331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon L. Pickett','8162 Proin Av.','Franklin','WY','38638',NULL,1234373,'565-139-3933',100497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay M. Garza','P.O. Box 723, 2025 Molestie. Rd.','Albuquerque','ND','66604','kay.garza@email.net',1234374,'333-898-8371',45506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burke F. Little','Ap #925-5179 Tempus, Av.','Virginia Beach','NM','27293',NULL,1234375,'897-231-0388',81711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah A. Bean','P.O. Box 525, 4657 At Rd.','West Memphis','ME','06823','micahb@email.net',1234376,'127-925-1651',109245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia S. Bernard','Ap #911-7158 Nibh. St.','West Valley City','ME','71878',NULL,1234377,'603-739-7548',30329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow D. Berg','4753 Volutpat. St.','East St. Louis','NV','57145','willowb@bpmpros.com',1234378,'323-283-3662',46881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia F. Parrish','540-484 Pharetra. Rd.','Huntington','KY','98646','cecilia.parrish@hitmail.com',1234379,'782-114-1075',77343,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett Z. Rodgers','P.O. Box 900, 1576 Blandit Rd.','Lafayette','ME','76565',NULL,1234380,'202-994-9071',23003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine T. Mitchell','Ap #493-9039 Mi Road','Vincennes','KS','72249',NULL,1234381,'805-907-8008',21745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruth E. Weber','2182 Penatibus Rd.','Zanesville','NY','59996','weber@xyz.edu',1234382,'221-202-6923',94287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl R. Hodges','Ap #525-5793 Eget, Street','Corpus Christi','LA','94154','darylh@hitmail.com',1234383,'151-372-3730',84398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy O. Harrell','P.O. Box 217, 754 Nunc. Av.','Sitka','NJ','94298','lacy.harrell@aulnet',1234384,'453-404-6750',64996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney G. Bartlett','2697 Nulla. Road','East St. Louis','AZ','89999','sydney.bartlett@abc.edu',1234385,'419-355-5848',66076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah O. Hickman','Ap #134-7540 Ipsum Street','Athens','TX','94674','hickman@aulnet',1234386,'674-983-2377',42888,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David V. Mcfarland','355-3228 Lorem, St.','Yonkers','KS','10304',NULL,1234387,'989-563-4556',100761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia F. Harvey','P.O. Box 165, 136 Commodo Avenue','Irving','LA','63484','harvey@abc.edu',1234388,'799-788-2416',106440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael W. Good','P.O. Box 608, 7403 Nisl Ave','Binghamton','NY','90964','good@hitmail.com',1234389,'459-248-8370',90282,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra T. Payne','Ap #547-8139 Mi St.','Parma','AK','72263','sandrap@yohaa.com',1234390,'238-597-6454',85472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima N. Leonard','683-3141 Sem Street','Two Rivers','DE','26399','fatimal@aulnet',1234391,'663-892-3880',43433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila B. Lowery','Ap #896-3264 Scelerisque St.','Staunton','NE','67384','ilowery@bpmpros.com',1234392,'774-447-1385',41711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm P. Miles','Ap #816-2562 Facilisis St.','Coral Springs','ND','21889','malcolmm@yohaa.com',1234393,'274-957-2944',50827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper R. Berger','P.O. Box 919, 8656 Fringilla Ave','Stamford','OK','36168','cooperb@yohaa.com',1234394,'948-222-0893',95975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest F. Stanley','4085 Sed Avenue','Newburyport','CT','90604',NULL,1234395,'311-215-9271',48749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin T. Benson','Ap #757-9392 Dolor. Road','Marlborough','NM','76676','benson@abc.edu',1234396,'371-591-6056',46187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae R. Sharpe','575-2948 Quisque Avenue','Allentown','IL','85762',NULL,1234397,'439-619-1008',26665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie L. Lee','P.O. Box 156, 2686 Erat Road','Mequon','NJ','87173','mckenziel@email.net',1234398,'836-265-7849',99926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy A. Rogers','272-6819 Turpis Street','Naperville','IL','84762','rogers@hitmail.com',1234399,'846-672-8466',43016,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio E. Martin','P.O. Box 750, 6714 Arcu. Road','Paducah','VA','12407',NULL,1234400,'271-916-6984',50328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson R. Brennan','955 Dis Rd.','Alpharetta','AK','77008','jackson.brennan@aulnet',1234401,'349-156-1577',34275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa R. Mckenzie','7071 Fusce St.','Modesto','MI','46413','mmckenzie@abc.edu',1234402,'214-148-0536',83062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred M. Harper','P.O. Box 852, 1011 Nulla St.','Charlotte Amalie','NM','03349','winifredh@xyz.edu',1234403,'863-187-1251',98170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya P. Richmond','P.O. Box 116, 2200 Nullam St.','Commerce','TX','41054','tashya.richmond@widget.com',1234404,'504-367-3445',85820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos Q. Morris','P.O. Box 752, 5744 Volutpat Road','Fort Dodge','OR','50801','morris@xyz.edu',1234405,'956-451-6280',79528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezra L. Lyons','P.O. Box 237, 6119 Molestie St.','Eden Prairie','UT','69020','elyons@hitmail.com',1234406,'923-888-1498',77808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ria I. Tran','4038 Aliquam Rd.','Ocean City','SD','04460','rtran@yohaa.com',1234407,'463-555-6335',68110,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah K. Lamb','850-4359 Dui Street','Saint Louis','NJ','43648','slamb@aulnet',1234408,'218-572-9366',87567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel I. Cooper','Ap #451-409 Accumsan Ave','Bartlesville','HI','82226',NULL,1234409,'975-183-5645',109713,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo T. Cook','P.O. Box 165, 1241 Augue Road','Seattle','MN','66758','cook@yohaa.com',1234410,'976-941-9235',100008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan X. Campos','Ap #189-7398 Ac Road','Rancho Santa Margarita','DC','69436','roganc@aulnet',1234411,'285-251-0010',43798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenna F. Molina','P.O. Box 289, 1152 Molestie Ave','Redondo Beach','IA','46016','jenna.molina@abc.edu',1234412,'543-628-7888',97559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary E. Stafford','772-2746 Convallis, Rd.','La Crosse','WV','22679','stafford@email.net',1234413,'786-239-8575',54505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev H. Hensley','136-7782 Id, Street','Sharon','SC','74406','lev.hensley@yohaa.com',1234414,'275-862-0909',63611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall Y. Kirkland','P.O. Box 961, 2010 Aliquam Avenue','Oswego','WY','70754','kirkland@bpmpros.com',1234415,'351-436-3974',99002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah K. Garner','992-7496 Cursus, Av.','Marshall','WV','99779','garner@email.net',1234416,'524-784-2105',22218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reed Y. Watson','315-1184 Phasellus Street','Parker','HI','17417','rwatson@xyz.edu',1234417,'286-619-3935',21910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona D. Bright','P.O. Box 852, 3360 Eu St.','La Puente','AK','32340','idonab@email.net',1234418,'868-944-5648',67078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea Q. Howard','4343 Lacus. Rd.','Naperville','UT','33346','howard@hitmail.com',1234419,'682-767-5529',19285,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett Y. Hardy','105-4085 Quisque St.','Vergennes','RI','60494','hardy@aulnet',1234420,'841-533-2998',62163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody O. Rosario','489-3739 Sed St.','Sioux Falls','MI','26286','crosario@xyz.edu',1234421,'782-632-0643',76665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana D. Campos','Ap #716-1245 Non, Avenue','Charlotte','CO','52778',NULL,1234422,'165-857-3894',66267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger E. Richards','476-8406 Lorem Avenue','Anaheim','CO','24176',NULL,1234423,'955-911-7671',66406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru C. Mann','849-2392 Mollis. Street','Narragansett','ID','30754',NULL,1234424,'932-897-8086',88299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani I. Phelps','399-6138 Non Street','Orange','DC','49879','leilani.phelps@email.net',1234425,'734-675-5623',80204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne L. Zimmerman','9271 Natoque Ave','Alameda','DC','84408','zimmerman@aulnet',1234426,'496-369-7362',98713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana H. Larsen','469-2306 Fusce Rd.','Zanesville','FL','34618',NULL,1234427,'127-523-7924',40264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla D. Powell','221-8383 Nec, Street','Pine Bluff','NE','72706','ulla.powell@yohaa.com',1234428,'325-452-8746',80582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle Y. Brown','P.O. Box 796, 1098 Enim. Av.','Manchester','VA','49912','michelleb@hitmail.com',1234429,'628-943-3042',87575,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha L. Swanson','178-8378 Purus Avenue','Lowell','TX','78228','sachas@bpmpros.com',1234430,'241-869-7111',29722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee X. Hoffman','915-3161 Sem Street','San Angelo','WY','80369','hoffman@aulnet',1234431,'688-829-6984',21032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelda F. Mckee','P.O. Box 984, 3514 Non St.','Los Angeles','VT','87578','zmckee@bpmpros.com',1234432,'938-527-3459',51076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva L. Harris','Ap #956-318 Volutpat. Avenue','Sandpoint','WA','80678','harris@abc.edu',1234433,'247-285-6020',61232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca W. Wilkins','600-3650 Dictum Road','Wichita','MO','47027','wilkins@yohaa.com',1234434,'796-843-0286',37600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir S. Norris','Ap #114-230 Lacus Rd.','Troy','NH','07655','norris@hitmail.com',1234435,'773-478-2112',52013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir Q. Whitney','886-2961 Erat Rd.','Waterloo','VT','46754','whitney@xyz.edu',1234436,'409-182-4607',89266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton E. Best','2368 Ipsum. St.','Palo Alto','DE','09294','clayton.best@emailathome.net',1234437,'961-401-2094',70121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie J. Lowe','537-9451 Eget, Ave','La Habra','IN','42152','lowe@widget.com',1234438,'447-317-6179',36299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia U. James','P.O. Box 610, 7697 Placerat, St.','Moraga','AZ','38171','ojames@xyz.edu',1234439,'334-672-9886',17116,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nash G. Mooney','P.O. Box 696, 1330 Massa. St.','Culver City','HI','26864','nash.mooney@bpmpros.com',1234440,'136-361-9429',48728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman J. Mcleod','Ap #318-3592 Metus. Street','Palm Springs','VA','13649','cmcleod@abc.edu',1234441,'505-542-8128',70770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy Y. Robles','482-6374 Dictum Road','Waterloo','ND','54578','ivy.robles@abc.edu',1234442,'218-713-2531',82559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah H. Watts','P.O. Box 661, 1312 Vehicula Ave','Miami Beach','AZ','77122',NULL,1234443,'601-818-5217',98239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas P. Sutton','1146 Ut Av.','Mission Viejo','CT','67414','jsutton@email.net',1234444,'238-498-4792',39391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark A. Harris','6703 Tincidunt Av.','West Palm Beach','PA','36703','clark.harris@emailathome.net',1234445,'645-168-8076',61743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsey U. Marshall','P.O. Box 837, 8490 Dui, Ave','Bakersfield','OR','40087',NULL,1234446,'881-426-5953',109380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felicia M. Andrews','679-3548 Turpis Rd.','Jeannette','MN','17467',NULL,1234447,'645-436-8523',65305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth N. Pruitt','P.O. Box 987, 3456 Sapien. Ave','Elkhart','NY','08125','pruitt@emailathome.net',1234448,'694-249-6755',48880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruth X. Stevenson','795-3822 Iaculis Rd.','Irwindale','PA','34342','rstevenson@widget.com',1234449,'578-273-4210',107483,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle I. Lynn','P.O. Box 219, 531 Lectus Road','Newburyport','VA','61705',NULL,1234450,'158-637-8092',40582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin G. Fuentes','Ap #337-3013 Fermentum Av.','San Fernando','MD','37498',NULL,1234451,'204-353-9898',103994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor F. Best','798-2627 Integer Road','Anaheim','AZ','48276','thorb@hitmail.com',1234452,'775-879-1221',30712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia C. Tyler','179-3739 Ultrices Avenue','Rock Springs','UT','91530','cecilia.tyler@emailathome.net',1234453,'807-573-3525',92241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda Z. Morales','P.O. Box 717, 5351 In Rd.','Hilo','RI','65956',NULL,1234454,'587-395-8771',42263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tobias C. Pickett','P.O. Box 949, 9166 Consectetuer Road','Cheyenne','NY','43608','tobiasp@emailathome.net',1234455,'656-243-4472',35099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena M. Kane','Ap #751-5839 Placerat St.','Palo Alto','ND','29372',NULL,1234456,'172-737-8802',38989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan M. Mcclure','6544 Hymenaeos. St.','Fairmont','NV','20303','reganm@emailathome.net',1234457,'341-658-7214',20921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton J. Jarvis','6419 Odio. Street','Marietta','AL','21514',NULL,1234458,'655-989-9447',28575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville P. Summers','P.O. Box 207, 9815 Sed Av.','Gastonia','AZ','02033','nsummers@email.net',1234459,'658-203-1811',38725,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie K. Thornton','1391 Lorem, Av.','Mount Vernon','AZ','33123','melaniet@hitmail.com',1234460,'427-883-5028',37729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon J. Baldwin','782-677 Lorem, Ave','Bangor','OR','74217','baldwin@yohaa.com',1234461,'442-868-6502',78246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna X. Barton','854-7733 Purus, St.','Mechanicville','NJ','30214','gbarton@widget.com',1234462,'522-863-7313',106067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria Q. Lucas','Ap #178-6757 Duis Rd.','Santa Clara','WA','52982','lucas@hitmail.com',1234463,'297-729-5922',49903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris I. Mcleod','3171 Donec St.','Rialto','MS','23868','mcleod@yohaa.com',1234464,'257-477-1491',109967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra G. Hayes','6633 Eu Av.','Marshfield','AK','70213','xhayes@xyz.edu',1234465,'601-416-1638',91297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard Y. Sampson','175-1200 Ut Ave','City of Industry','WV','93574','rudyards@bpmpros.com',1234466,'898-408-7249',94268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose Q. Price','Ap #508-3348 Dolor Rd.','Trenton','NE','42745','rosep@email.net',1234467,'421-219-5172',53017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton G. Craig','6599 Etiam Avenue','Little Falls','MI','36241',NULL,1234468,'516-158-1600',31777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig M. Russell','Ap #873-408 Phasellus St.','Newport News','OR','17954','craigr@widget.com',1234469,'396-712-7609',45645,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck M. Warren','9447 Adipiscing Ave','Rockville','NC','25447','beck.warren@bpmpros.com',1234470,'332-752-3225',20959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton Z. Mcfadden','7459 Vitae, Ave','Akron','NC','43726','uptonm@xyz.edu',1234471,'361-994-2603',15866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery O. Mitchell','P.O. Box 394, 7983 Viverra. Rd.','Scottsdale','ID','92736',NULL,1234472,'553-823-8170',99134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar X. Hartman','454-5820 Eget St.','Midland','OK','99281','oscar.hartman@yohaa.com',1234473,'918-571-3931',28796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett A. Colon','8604 Eget Rd.','New Albany','LA','99539','bcolon@widget.com',1234474,'558-659-4074',49067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie N. Sharpe','Ap #856-7521 At Avenue','Farrell','RI','18008','melodie.sharpe@xyz.edu',1234475,'637-286-7352',51819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian T. Odonnell','772-4474 Vulputate, Rd.','Wheeling','NH','38146','odonnell@yohaa.com',1234476,'355-983-0788',26108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilary N. Baird','651-2376 Cum Ave','Louisville','LA','98736','baird@widget.com',1234477,'973-238-0101',103691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor B. Ware','Ap #113-6891 Nec Avenue','Santa Clarita','NY','95794','vware@bpmpros.com',1234478,'522-504-6326',63175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela L. Russo','667-7241 Ullamcorper, Ave','Augusta','NY','23129',NULL,1234479,'914-545-9495',88322,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick H. Douglas','Ap #843-8033 Mauris St.','Culver City','MN','19132','douglas@yohaa.com',1234480,'362-385-7207',83253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler M. Ferrell','6301 Nonummy Rd.','Morgantown','MS','69990','tylerf@abc.edu',1234481,'804-131-2587',48669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle B. Rodriguez','401-7966 Pellentesque Ave','Thibodaux','CO','58827','brieller@aulnet',1234482,'728-632-7629',39133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila P. Reed','Ap #128-2507 Curabitur Rd.','Ashland','LA','44403','aquilar@emailathome.net',1234483,'332-169-6903',70189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor V. Goff','582-6479 Dignissim St.','Butler','NV','99043',NULL,1234484,'547-788-8474',48705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell Y. Sheppard','4627 A, St.','Fargo','GA','35844','sheppard@hitmail.com',1234485,'759-204-8826',75359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory C. Herman','9253 Consectetuer Street','Goose Creek','CT','49732','herman@bpmpros.com',1234486,'417-893-7041',100288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne O. Garcia','9759 Suspendisse Avenue','Webster Groves','HI','50534',NULL,1234487,'518-759-4398',25392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi G. Crawford','Ap #484-3325 Turpis Rd.','Lynwood','MA','62312','crawford@hitmail.com',1234488,'957-475-1255',69728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius R. Hardin','2365 Aliquam Rd.','Augusta','MS','90647','hardin@xyz.edu',1234489,'989-275-8114',35074,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim U. Velazquez','P.O. Box 683, 7281 Hendrerit Road','Saint Cloud','NV','06106','velazquez@bpmpros.com',1234490,'854-733-9077',27796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor I. Colon','P.O. Box 332, 4718 Enim, St.','Fulton','VA','41957','colon@aulnet',1234491,'154-908-7416',56503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sebastian O. Hernandez','514 Elit Rd.','Powell','AZ','32346','sebastian.hernandez@bpmpros.com',1234492,'532-347-7485',31355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek U. Moon','P.O. Box 342, 2314 Nunc Rd.','Seattle','FL','25767','moon@email.net',1234493,'205-646-9946',52414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth O. Clemons','324-3003 Nec Av.','Morgan City','MT','77993','elizabeth.clemons@aulnet',1234494,'752-866-4123',20864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa L. Allen','P.O. Box 554, 171 Ullamcorper St.','Hollister','PA','28395',NULL,1234495,'499-141-8162',40321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy I. Moon','4916 Vulputate Rd.','Sioux City','SD','17110','stacym@aulnet',1234496,'959-689-5945',86513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lareina A. Curtis','Ap #252-6233 Eu St.','Fort Worth','WV','70998','lareina.curtis@yohaa.com',1234497,'218-168-6571',63878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton G. Randolph','670-644 Dui, Avenue','Weirton','SC','77458','randolph@bpmpros.com',1234498,'447-556-6242',98188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis K. Hurley','Ap #332-1889 Nisi St.','Waycross','VT','69146','davis.hurley@emailathome.net',1234499,'596-943-4080',45171,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail F. Hanson','Ap #144-682 In, Av.','Duarte','IA','14083','gail.hanson@abc.edu',1234500,'331-836-7792',88280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan C. Flynn','768-5336 Gravida Ave','Stevens Point','SC','18223','ryanf@xyz.edu',1234501,'417-657-4841',70652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine J. Gibbs','397-3232 Vel, Rd.','Pullman','AK','84792','gibbs@bpmpros.com',1234502,'926-443-9903',94967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda L. Lawrence','9526 Venenatis Av.','Lebanon','HI','93652','imeldal@aulnet',1234503,'122-425-9691',72759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger Z. Cleveland','Ap #259-3946 Nunc Rd.','Helena','WI','16619','tcleveland@widget.com',1234504,'472-494-7286',93649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phelan L. Simpson','468-6403 Nec St.','West Haven','NH','53279','phelans@email.net',1234505,'889-362-6554',87751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry P. Brown','P.O. Box 829, 9812 Sem, Avenue','La Jolla','HI','86730','brown@abc.edu',1234506,'919-899-0517',29637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil X. Cardenas','Ap #321-2095 Arcu. Street','McKeesport','AZ','28404','ncardenas@yohaa.com',1234507,'245-255-9540',27626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox H. Richard','P.O. Box 412, 1638 Augue. Avenue','Pottsville','NJ','65293','knoxr@abc.edu',1234508,'708-843-9969',65816,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca R. Alvarado','9153 Blandit Av.','Passaic','DC','88115','biancaa@email.net',1234509,'744-114-8980',106655,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik Y. Rocha','1070 Sed Av.','Mequon','OK','42720',NULL,1234510,'643-116-5279',27101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orson F. Sparks','P.O. Box 669, 1962 In Ave','Topeka','NH','33975','sparks@abc.edu',1234511,'696-349-3658',98029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon A. Rose','P.O. Box 772, 4219 Sed Rd.','Dickinson','ME','98522','rose@email.net',1234512,'598-294-3336',107709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart W. Kent','2440 Phasellus Street','Weirton','AK','33943','kent@email.net',1234513,'806-156-8653',109321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya R. Monroe','P.O. Box 739, 6993 Nam Rd.','Kearns','NV','69792','tashyam@yohaa.com',1234514,'736-642-6975',68115,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake O. Sosa','P.O. Box 119, 108 Praesent Rd.','Hackensack','OR','26195','dsosa@abc.edu',1234515,'988-724-2669',72117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah E. Lambert','Ap #835-8689 Fermentum Road','Valparaiso','TN','55081','hannahl@yohaa.com',1234516,'377-366-9992',75056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline G. Clarke','693-737 Consectetuer Ave','Branson','MS','38383','madaline.clarke@aulnet',1234517,'476-753-9288',31475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen U. Boone','P.O. Box 547, 9505 Rutrum Street','Johnstown','DE','69597','stephen.boone@emailathome.net',1234518,'882-357-9198',48250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila N. Rhodes','297-1162 Ante Av.','Hannibal','OK','80350','sheila.rhodes@email.net',1234519,'947-828-0850',109391,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie I. Turner','1192 Quisque Ave','Lynwood','FL','50639','kturner@bpmpros.com',1234520,'774-768-5314',57452,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda M. Wilkins','430-8919 Rutrum Rd.','Auburn Hills','HI','43193','awilkins@bpmpros.com',1234521,'833-607-4669',21059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quail N. Gregory','8179 In Road','Slidell','KY','34798','qgregory@aulnet',1234522,'118-402-7624',20152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon Z. Benson','558-6222 Dui Av.','Phoenix','MS','86220',NULL,1234523,'118-137-5392',109074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde B. Pearson','P.O. Box 206, 6057 Nam Ave','Huntington Park','NY','16692','charde.pearson@abc.edu',1234524,'913-932-9694',109794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra Z. Quinn','P.O. Box 219, 2431 Lacus. Rd.','Beloit','ID','80597',NULL,1234525,'399-203-0440',23014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim C. Leblanc','P.O. Box 308, 7357 Lacus. Street','Bozeman','LA','68648','hashiml@widget.com',1234526,'346-546-5586',103429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn A. Odom','P.O. Box 936, 4878 Quis St.','Chula Vista','DC','51419','fodom@xyz.edu',1234527,'168-414-8594',18469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet Z. Bender','8760 Nulla Ave','West Allis','CA','29654',NULL,1234528,'896-803-6431',37543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity Q. Boyer','Ap #932-972 Mauris. Avenue','Kent','VA','97827','uboyer@xyz.edu',1234529,'573-378-1718',35758,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina L. Valentine','P.O. Box 454, 9324 Diam St.','Savannah','KS','29627','kvalentine@hitmail.com',1234530,'545-927-2954',82949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel Y. Dickerson','681-1680 Aenean St.','Lewiston','AZ','31550','ndickerson@email.net',1234531,'378-723-7400',49861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan C. Hoffman','P.O. Box 558, 8228 Arcu. Ave','Huntsville','DE','10251','logan.hoffman@abc.edu',1234532,'813-192-7144',74477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John Z. Hutchinson','P.O. Box 454, 5638 Ipsum Avenue','Bismarck','VA','03324','jhutchinson@abc.edu',1234533,'686-499-4801',20289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason R. Mercado','Ap #145-9752 Fermentum St.','Richmond','MI','39342','jasonm@aulnet',1234534,'767-443-7421',41451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel I. Fisher','P.O. Box 695, 9911 Est Avenue','Pembroke Pines','OK','15254',NULL,1234535,'697-454-6074',55638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren S. Madden','P.O. Box 902, 7554 Interdum. Av.','Barre','NV','27142','wmadden@aulnet',1234536,'596-183-4471',55411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor W. Marks','Ap #626-9611 Malesuada St.','Nacogdoches','MS','04421','ivorm@aulnet',1234537,'674-161-1435',99152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia I. Pollard','P.O. Box 902, 4137 Dui Street','Princeton','MS','90995','pollard@hitmail.com',1234538,'427-901-0601',28313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt A. Riley','959-7961 Ante Rd.','Littleton','TX','35526',NULL,1234539,'522-959-8599',34167,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn I. Bradford','962-3731 Felis Av.','Plainfield','VA','73409','abradford@xyz.edu',1234540,'936-568-4162',82246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith X. Crosby','320-1767 Consequat Street','New Madrid','GA','16580','meredithc@widget.com',1234541,'999-936-4938',24037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair U. Chapman','Ap #507-6849 Consectetuer Road','Westlake Village','OH','93900',NULL,1234542,'482-482-3177',25053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando F. Navarro','P.O. Box 827, 2115 Nunc Av.','Port St. Lucie','IL','97281',NULL,1234543,'282-674-0643',91042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles X. Carpenter','P.O. Box 421, 6361 Sed Av.','Brockton','DC','47534','ccarpenter@yohaa.com',1234544,'726-918-5815',65012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah I. Vang','P.O. Box 134, 8727 Adipiscing St.','Gloversville','MD','53290','lilah.vang@email.net',1234545,'835-661-5780',75259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron E. Meyer','446-6102 Facilisis Rd.','Poughkeepsie','MA','89533',NULL,1234546,'834-679-1396',23441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone S. Palmer','4812 Tincidunt Street','Steubenville','LA','02911','stone.palmer@widget.com',1234547,'965-348-6055',31767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet V. Lindsey','Ap #776-2959 Pede Road','Sonoma','NY','06109',NULL,1234548,'221-195-3339',54400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor P. Kaufman','914-4432 Commodo St.','Virginia Beach','NC','24431','victor.kaufman@emailathome.net',1234549,'631-861-8551',105235,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah J. Burke','7026 Sed Rd.','Nichols Hills','LA','22705','tallulahb@emailathome.net',1234550,'358-423-4094',97687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jescie B. Allison','P.O. Box 815, 7251 Sed Avenue','Rome','PA','10442',NULL,1234551,'348-507-9293',41529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas D. Solis','P.O. Box 792, 7713 Consectetuer Av.','Grand Island','NV','39549','silass@aulnet',1234552,'983-331-7377',75728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia X. Burks','P.O. Box 927, 8493 Hendrerit Avenue','Eau Claire','OH','21750','octavia.burks@xyz.edu',1234553,'299-282-4122',67538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso E. Walters','P.O. Box 395, 476 Auctor, St.','Clemson','ID','95016','awalters@widget.com',1234554,'776-976-1675',89176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena I. Rosario','Ap #840-7975 Nisi Ave','Norman','DE','37232','arosario@hitmail.com',1234555,'358-125-0001',76252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh L. Richards','9650 Libero Rd.','Flagstaff','IN','99973','richards@hitmail.com',1234556,'697-822-6341',46939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane N. Davis','636-9620 A, St.','Sitka','LA','67256','keaned@abc.edu',1234557,'239-827-6583',99836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane F. Leblanc','Ap #144-8263 Nulla. Ave','Anderson','NY','07064','germanel@yohaa.com',1234558,'321-451-1878',50273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas G. Cooley','854-4864 Pharetra Ave','Douglas','VT','50158','lucasc@aulnet',1234559,'213-433-7839',81089,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar B. Ramirez','724-6782 Tincidunt. Avenue','Selma','NE','44395','briar.ramirez@hitmail.com',1234560,'544-666-9096',105465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor Q. Marks','Ap #233-2631 Cras Street','Augusta','TN','30975','emarks@widget.com',1234561,'371-725-2901',106917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa X. Simmons','Ap #692-7188 Mollis Road','Fairfax','SD','69109',NULL,1234562,'285-456-0813',83133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla R. Lowery','Ap #419-8019 Sed Road','City of Industry','AL','84743',NULL,1234563,'944-239-5855',79335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie K. Ward','P.O. Box 935, 8831 Eu Rd.','Pascagoula','IN','21316',NULL,1234564,'151-105-1336',38332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna X. Ferguson','467-7162 Etiam Street','Hope','KY','62994','vanna.ferguson@abc.edu',1234565,'302-463-4666',20748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila H. Francis','P.O. Box 624, 8129 Auctor, Rd.','Medford','WY','31093','afrancis@widget.com',1234566,'988-291-5529',34203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma G. Mayo','Ap #109-4743 A, Av.','San Rafael','NJ','58299',NULL,1234567,'383-372-4620',29167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan J. Wolf','Ap #523-4464 Eu Rd.','Cody','MS','01369','wolf@xyz.edu',1234568,'659-943-1146',91152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge Y. Norton','644-2266 Turpis Rd.','Vail','AK','55067',NULL,1234569,'427-187-9391',59889,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma H. Robbins','P.O. Box 242, 1233 Sed Rd.','Manchester','PA','89535','gemmar@email.net',1234570,'603-131-0179',61700,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan Z. Boyd','P.O. Box 110, 3284 Aliquam Av.','La Jolla','DC','97477','mboyd@emailathome.net',1234571,'913-616-6576',82246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani F. Middleton','P.O. Box 225, 5854 Tempor Ave','Hudson','DE','33821','jelanim@yohaa.com',1234572,'308-312-8384',101485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy Q. Cabrera','1796 Quam, Ave','Lafayette','WY','34927','lcabrera@abc.edu',1234573,'311-431-2624',63192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko Z. Frederick','P.O. Box 253, 9174 Nec Av.','Staunton','WY','93338','mariko.frederick@widget.com',1234574,'456-677-0072',85589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette G. Richards','P.O. Box 260, 9555 Pede, St.','Goose Creek','KY','39533','yvette.richards@xyz.edu',1234575,'962-328-8959',19737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon U. Crane','P.O. Box 890, 625 Placerat, Avenue','Escondido','AZ','48878','dillon.crane@email.net',1234576,'402-374-5924',101992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna Z. Gilbert','3347 Odio Rd.','Malden','SC','02566','gilbert@abc.edu',1234577,'554-385-5119',82093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom D. Combs','991-854 Convallis St.','Altoona','PA','56168',NULL,1234578,'735-289-4739',98707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo P. Sykes','Ap #713-916 Fermentum St.','Columbus','ND','45791','sykes@emailathome.net',1234579,'861-696-7752',60281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah J. Cleveland','1355 Nec St.','Charlotte Amalie','NC','84309',NULL,1234580,'988-265-1247',108460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa E. Finley','995-6840 Non, St.','Kearns','WA','66840','carissaf@hitmail.com',1234581,'351-238-3034',39719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Porter G. Doyle','599-7527 Sem Rd.','Santa Fe','NV','42808','pdoyle@xyz.edu',1234582,'759-909-0484',55230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl R. Torres','8705 Suspendisse St.','Perth Amboy','LA','19844','ctorres@emailathome.net',1234583,'226-992-9818',105773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila J. Payne','734-8573 Etiam Avenue','Jacksonville','NY','91511','payne@abc.edu',1234584,'456-582-5824',78788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle Q. Fulton','727 A, St.','Waltham','IL','64583','ifulton@yohaa.com',1234585,'736-872-3305',97546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee I. Robbins','Ap #209-2695 Urna, St.','Ontario','CO','30304','rrobbins@widget.com',1234586,'989-625-3067',50748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy G. Ellison','Ap #952-2722 Eu St.','College Station','AK','18459','maggy.ellison@widget.com',1234587,'864-744-3776',85469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt D. Holland','543-7471 A, Ave','Valencia','MI','55963','hholland@xyz.edu',1234588,'424-388-9313',22767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla V. Wooten','3788 Ridiculus Road','Butler','IA','23838','uwooten@bpmpros.com',1234589,'425-867-1969',99559,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele E. Barlow','P.O. Box 923, 2926 Nibh. Avenue','Narragansett','TX','15538','abarlow@aulnet',1234590,'576-892-6698',70282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee M. Ramirez','Ap #696-7409 Donec Av.','Somerville','NH','46152','kyleer@bpmpros.com',1234591,'791-367-1688',49270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe Y. Morgan','899-1818 Facilisis Road','Bend','NV','19356','phoebem@yohaa.com',1234592,'518-318-5856',65341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish X. Kelley','4552 Diam St.','Malibu','ID','38620',NULL,1234593,'566-217-9488',16538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla S. Harmon','P.O. Box 238, 9006 Litora Ave','Fulton','WY','26555','oharmon@abc.edu',1234594,'286-742-8598',19095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage B. Ortiz','8236 Integer St.','South Gate','WA','29001','sageo@yohaa.com',1234595,'867-476-9491',46930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee E. Bolton','6673 Tellus Avenue','La Puente','WV','83256','kylee.bolton@bpmpros.com',1234596,'367-444-1717',86600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila X. Phillips','1246 Porttitor Street','Thousand Oaks','VT','39967','lphillips@bpmpros.com',1234597,'393-919-6539',84049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa M. Booth','P.O. Box 832, 6233 Quisque Ave','Laramie','SC','67906','carissab@xyz.edu',1234598,'964-357-1767',38953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison Z. Ramos','174-5228 Libero Av.','North Little Rock','VT','68435',NULL,1234599,'443-307-5637',49092,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee P. Kane','Ap #275-779 Convallis Street','Aspen','IN','17885',NULL,1234600,'322-765-0716',51060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden T. Franklin','595-410 Vel Av.','Warwick','PA','06614',NULL,1234601,'501-732-4965',78833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca B. Calhoun','8230 Ornare Road','Dover','DE','01301','rcalhoun@bpmpros.com',1234602,'174-514-4976',53045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May Y. Gibbs','P.O. Box 441, 4281 Magnis St.','Logan','DC','36037','mayg@bpmpros.com',1234603,'448-412-9363',38076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances Q. Bell','Ap #380-5248 Dolor. Road','North Adams','OH','81818','bell@abc.edu',1234604,'955-394-7166',59965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darryl S. Alvarez','601-4735 Tellus St.','Waco','UT','59741','darryla@emailathome.net',1234605,'659-515-7185',42945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene T. Carson','377-2470 Vitae St.','Somerville','UT','76326','jolenec@emailathome.net',1234606,'177-726-1419',70429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yolanda W. Joseph','Ap #283-8010 Aliquam, Rd.','Cambridge','MT','37714','yjoseph@yohaa.com',1234607,'141-218-8449',96080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard L. Whitehead','135-887 Enim Rd.','West Sacramento','ID','79016','lwhitehead@yohaa.com',1234608,'821-962-0798',30845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James A. Tanner','658-3092 Mollis. Av.','Sacramento','NC','92861','jtanner@abc.edu',1234609,'878-709-5616',55187,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca P. Madden','Ap #655-3104 Tempor Rd.','Beaumont','ID','89582','biancam@xyz.edu',1234610,'444-323-9225',104086,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fredericka J. Dale','117 Enim Ave','Davis','NV','68147','fredericka.dale@yohaa.com',1234611,'205-441-7620',77583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaye F. England','840-438 Lectus Rd.','Crown Point','RI','36995','kayee@yohaa.com',1234612,'143-248-5883',71346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara G. Hester','167-2912 Ante Ave','Troy','VT','63500',NULL,1234613,'595-638-7863',87272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris J. Parsons','Ap #225-8106 Enim. St.','Belleville','GA','14077','iris.parsons@aulnet',1234614,'677-173-6104',17556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine U. Ryan','P.O. Box 689, 6395 Non Rd.','Rhinelander','SC','05719','nadiner@email.net',1234615,'897-575-6472',74296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sloane Q. Ramos','711-765 Nec Rd.','Monterey Park','KY','11116','sloaner@xyz.edu',1234616,'926-814-3889',47021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey Y. Cooke','Ap #131-5072 Tellus. Avenue','Bakersfield','OK','02914','cooke@aulnet',1234617,'131-157-8701',74877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriel Z. Bowen','363 Dapibus Street','Dixon','NE','57328','ubowen@widget.com',1234618,'611-923-1398',33982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill J. Walker','339-4064 Arcu. Av.','Revere','FL','74732','merrillw@emailathome.net',1234619,'151-671-6047',49012,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth O. Macias','3173 Arcu Rd.','Grambling','ME','17115','garth.macias@email.net',1234620,'688-984-0411',21462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar U. Lyons','152-9058 Dolor. Avenue','Schenectady','WY','37955','caesarl@aulnet',1234621,'161-749-6326',91552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt W. Rutledge','Ap #154-2580 Id Road','Winooski','CT','13941','hyattr@bpmpros.com',1234622,'807-968-6173',59698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham H. Atkins','P.O. Box 984, 1922 Non, Av.','Sandy Springs','AZ','15529','aatkins@yohaa.com',1234623,'572-478-3460',67697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham A. Goff','810-2035 Quis, Road','Ketchikan','RI','88094','goff@xyz.edu',1234624,'624-205-5738',34625,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph T. Stout','7241 Vivamus Street','Muncie','CA','52170','zstout@hitmail.com',1234625,'981-443-7532',25646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom Z. Mcconnell','865 Ornare, Rd.','Waco','CA','69144','bmcconnell@hitmail.com',1234626,'563-561-6059',87562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady A. Durham','Ap #287-6886 Ipsum Road','Cicero','AK','16785','bdurham@abc.edu',1234627,'931-494-9545',70312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline I. Huffman','405-942 Eget Ave','Watervliet','NE','65271','acqueline.huffman@widget.com',1234628,'967-998-2811',57446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline A. Osborne','760-8661 Eget St.','Pulaski','AK','67722','madaline.osborne@bpmpros.com',1234629,'104-962-8591',56181,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan W. Ford','3704 Vitae Avenue','Catskill','IN','01967',NULL,1234630,'741-941-3464',45067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle L. Humphrey','Ap #597-3303 Nec Rd.','Redding','MN','77879','humphrey@email.net',1234631,'847-598-4388',94284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden D. Ford','Ap #476-3458 Sed Ave','Grafton','WI','43911','kadenf@bpmpros.com',1234632,'891-738-2266',79614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor N. Kaufman','Ap #731-5523 Ac, Av.','El Cerrito','CT','05659','ikaufman@emailathome.net',1234633,'671-562-2094',44497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley Z. Byers','Ap #995-4104 Elementum Rd.','Citrus Heights','OH','88093','lbyers@emailathome.net',1234634,'743-413-8741',89514,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana C. Macias','P.O. Box 151, 3041 Non, Ave','Moultrie','AZ','76154','macias@hitmail.com',1234635,'348-992-3042',90924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa P. Greene','Ap #459-6006 Ligula. Avenue','Rolling Hills Estates','MN','55122','wgreene@yohaa.com',1234636,'387-526-5178',36895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi A. Burnett','Ap #671-4031 Augue. Rd.','Farmington','AK','48494','emib@aulnet',1234637,'527-805-3319',69841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana V. Roach','4551 Lorem Avenue','Hazleton','MI','71776','tatiana.roach@emailathome.net',1234638,'626-278-8593',106609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest W. House','Ap #740-5469 Semper Road','McKeesport','NV','00671','house@yohaa.com',1234639,'558-274-2421',20512,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran A. Jordan','4637 Mattis. Avenue','Erie','NE','07807',NULL,1234640,'875-111-8272',67875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian R. Maxwell','P.O. Box 383, 3596 Ullamcorper, Av.','Bowie','GA','79187','maxwell@xyz.edu',1234641,'984-858-9788',15099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari O. Cannon','P.O. Box 249, 5163 Volutpat. Ave','Jackson','MS','66846',NULL,1234642,'124-118-9669',48100,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra J. Robles','784 Sit Avenue','Nome','DE','57014',NULL,1234643,'708-401-7124',29632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sharon C. Cash','5519 Auctor. Ave','Tustin','SC','46251','sharonc@hitmail.com',1234644,'953-323-1632',45599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie V. Kane','8097 Nam Road','Marshall','ND','54559','kyliek@email.net',1234645,'275-471-6039',34461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma M. Fowler','989 Arcu. Av.','Moore','IA','87093','wilma.fowler@aulnet',1234646,'548-566-9930',70009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet M. Golden','825 Ligula Street','Moraga','ND','23761','hgolden@hitmail.com',1234647,'572-826-6723',77709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran R. Nelson','P.O. Box 308, 6403 Curae; St.','Gainesville','AK','77591','cameran.nelson@yohaa.com',1234648,'363-734-5502',44163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran Z. Lawrence','Ap #200-2409 Maecenas St.','Norwalk','KY','35803',NULL,1234649,'504-767-5910',67243,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton W. Forbes','8166 Consequat Av.','Alamogordo','MN','12106','clinton.forbes@abc.edu',1234650,'797-137-4142',80355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva U. Hendricks','P.O. Box 814, 612 Vulputate, Rd.','Topeka','NM','07110','haviva.hendricks@hitmail.com',1234651,'327-915-9524',85848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha L. Norman','P.O. Box 974, 7016 Metus St.','Fairfax','RI','36044','marthan@widget.com',1234652,'365-582-4064',79942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe L. Stone','5437 Rutrum Rd.','Norfolk','AK','32056','sstone@abc.edu',1234653,'762-187-5367',90865,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra F. Head','P.O. Box 877, 7687 In Street','Olympia','OR','78610',NULL,1234654,'767-438-5161',63975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emi I. Stevenson','Ap #535-5454 Lobortis Street','Northampton','KY','06584','emi.stevenson@email.net',1234655,'205-973-3018',32897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan S. Wilder','P.O. Box 227, 1326 Nibh. Av.','Miami','NM','99505',NULL,1234656,'191-395-2685',80258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus W. Hurley','Ap #868-2828 Tellus Road','Muskegon','WY','60350','xanthus.hurley@aulnet',1234657,'866-956-2515',31660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery W. Carney','Ap #745-480 Eu, Rd.','Fullerton','NH','57017','carney@bpmpros.com',1234658,'478-344-2905',62325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara R. Bridges','Ap #265-8549 Orci Street','Ephraim','VT','42509','dara.bridges@widget.com',1234659,'627-105-2495',54193,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen X. Buck','Ap #539-4643 Class St.','Buffalo','ND','52904','buck@bpmpros.com',1234660,'503-131-0353',84712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn D. Vasquez','P.O. Box 785, 2530 Lorem, St.','North Little Rock','ID','90142','jocelynv@bpmpros.com',1234661,'256-669-6997',36377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan Y. Bullock','P.O. Box 565, 779 Lacus. St.','Chickasha','IN','50540','bullock@email.net',1234662,'793-848-4081',16113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma G. Villarreal','P.O. Box 444, 887 Vitae, St.','Forest Lake','VT','14274','selma.villarreal@aulnet',1234663,'815-517-4568',79400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane R. Best','7238 Ac Avenue','Atlantic City','CT','40281','kane.best@xyz.edu',1234664,'719-291-7515',104843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia V. Chang','1204 Facilisis Ave','Arcadia','VA','91805','patriciac@widget.com',1234665,'835-106-9269',16156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron N. Casey','Ap #934-3274 Non Avenue','Greenville','TN','74166','byronc@email.net',1234666,'972-817-8138',58813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas M. Scott','1424 Nunc Avenue','Tamuning','NC','08646','scott@abc.edu',1234667,'154-751-9326',41059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig C. Vincent','3368 Scelerisque Av.','Tempe','VA','79090','vincent@widget.com',1234668,'964-679-9440',54502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline B. Floyd','2570 Cursus Ave','Menomonee Falls','SD','60178',NULL,1234669,'279-275-6325',49395,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori L. Bartlett','Ap #271-657 Cursus Avenue','Jenks','DC','94865',NULL,1234670,'135-314-4990',46399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra S. Mccormick','P.O. Box 143, 5498 Amet Rd.','Sugar Land','ID','49233',NULL,1234671,'209-245-4588',64856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price W. Strong','Ap #849-1075 Ante. Rd.','Parma','UT','12851',NULL,1234672,'285-395-4308',105300,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler M. Pruitt','599-998 Tellus. Rd.','Tallahassee','ME','28130','skylerp@widget.com',1234673,'993-188-3738',26198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn B. Pennington','Ap #831-915 Phasellus Rd.','Superior','LA','73301','flynn.pennington@email.net',1234674,'443-435-4128',100262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel A. Oconnor','P.O. Box 206, 8569 Justo Road','Newport','WA','21204','lionelo@emailathome.net',1234675,'607-949-3848',106862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli W. Phelps','2753 Libero Road','Sanford','WI','53506',NULL,1234676,'737-297-8927',42633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra E. Dickson','9074 Scelerisque Avenue','Frederiksted','IN','07973','adickson@emailathome.net',1234677,'334-908-5263',22650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan W. Mccarthy','P.O. Box 151, 7007 Morbi Rd.','Biddeford','WV','23931','mccarthy@yohaa.com',1234678,'905-349-1467',82116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley U. Barrera','Ap #906-2849 Dolor Rd.','Sacramento','WV','85219','hbarrera@abc.edu',1234679,'341-256-4955',55938,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton D. Durham','6046 Magna Street','Vermillion','NH','34123','clayton.durham@email.net',1234680,'745-779-8844',43464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila W. Walter','P.O. Box 993, 7481 Cursus St.','Indianapolis','VA','58582',NULL,1234681,'706-552-2200',26795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir L. James','818-5588 Non Road','Hermitage','SC','76124','kasimirj@emailathome.net',1234682,'708-414-8650',100795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie A. Branch','149-9768 Dictum. Rd.','Princeton','TX','68834','lbranch@emailathome.net',1234683,'159-767-0719',54333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola I. Yang','476-6622 Lectus St.','San Marino','MS','31699',NULL,1234684,'535-584-2413',38501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray R. Ellison','3897 Integer Street','Greensboro','KS','12666','gray.ellison@email.net',1234685,'826-879-2377',70929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter X. Vang','P.O. Box 256, 3659 Dapibus Street','Kennesaw','DE','45858','dvang@abc.edu',1234686,'524-349-0283',73823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall F. Bridges','P.O. Box 480, 3076 Vestibulum St.','Fredericksburg','NJ','74529','bridges@email.net',1234687,'487-802-1511',93199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica L. Martinez','Ap #649-6885 Aliquet Ave','Saint Paul','AK','66830','angelicam@xyz.edu',1234688,'469-847-6497',16493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney V. Valentine','894-1581 Eu, Rd.','Virginia Beach','MO','58714',NULL,1234689,'655-115-8524',18739,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dakota B. Chase','5455 A St.','Milwaukee','DC','19584','dchase@aulnet',1234690,'466-822-3328',28377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby P. Carson','9476 Et, Road','Redlands','TN','40711','scarson@hitmail.com',1234691,'669-105-6888',37738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady C. Bray','857-8436 Sed Avenue','North Pole','NJ','46686','bbray@emailathome.net',1234692,'497-967-0627',67854,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden U. Long','4356 At Rd.','Moscow','DC','88213',NULL,1234693,'882-521-2279',42667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herrod A. Dean','Ap #778-4719 Mauris. Street','Costa Mesa','NC','81260','herrodd@hitmail.com',1234694,'584-365-7950',30661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emmanuel L. Ballard','693-5586 Lacinia Street','Atlantic City','MA','09090','ballard@emailathome.net',1234695,'352-735-0097',15719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina E. Sloan','Ap #557-1569 Ultricies Av.','Brea','DC','57366','sloan@aulnet',1234696,'457-708-3433',66414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian O. Coleman','Ap #590-9259 In St.','Great Falls','AZ','27684','damianc@email.net',1234697,'942-408-1175',69491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan C. Tillman','Ap #988-1355 Lorem, St.','Hickory','NE','51189',NULL,1234698,'864-805-2043',32248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna T. Sexton','3897 Aenean Ave','Scottsdale','NE','99964','brennas@yohaa.com',1234699,'283-169-4499',75712,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal Z. Hall','9773 Fusce Rd.','Nogales','MT','33322','amal.hall@widget.com',1234700,'329-748-0449',97297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe V. Wagner','P.O. Box 515, 2028 Felis Avenue','Pocatello','IL','70313',NULL,1234701,'747-176-8148',68882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart L. Simpson','308-7556 Vitae Av.','Laramie','OH','91571','simpson@hitmail.com',1234702,'985-623-6084',27704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz S. Grimes','P.O. Box 949, 9949 Ligula. St.','Huntington','DC','86088','grimes@bpmpros.com',1234703,'659-545-1778',83359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay W. Fox','Ap #243-8870 Suspendisse Ave','Peabody','CO','26913','macaulay.fox@xyz.edu',1234704,'192-651-1953',77474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn J. Byers','P.O. Box 900, 1125 Interdum. Road','San Antonio','AZ','18544','finnb@yohaa.com',1234705,'558-659-2004',16054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary R. Pollard','P.O. Box 919, 2975 Duis Av.','Eufaula','SC','83502','pollard@hitmail.com',1234706,'147-606-2554',74591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus Q. Tyson','302-5057 Sed Rd.','Greenfield','CT','91675','tyson@hitmail.com',1234707,'378-326-9211',90673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda L. Orr','P.O. Box 596, 2510 Eu Rd.','Harrisburg','RI','95387','naydao@yohaa.com',1234708,'163-342-5665',98368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September R. Reese','P.O. Box 850, 557 Dictum Rd.','Chicago','ME','10205','reese@bpmpros.com',1234709,'693-656-9965',73018,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett M. Benjamin','P.O. Box 779, 2696 Nec Av.','Edmond','NJ','95916','hammett.benjamin@xyz.edu',1234710,'222-815-4603',77056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price G. Stanley','3655 Rhoncus Avenue','Rensselaer','VA','17356','prices@emailathome.net',1234711,'958-571-7512',15239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad J. Franks','P.O. Box 785, 2187 Purus St.','Chicago Heights','MT','46963','shad.franks@yohaa.com',1234712,'311-278-6494',19064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra B. Obrien','473-682 Ac Avenue','North Tonawanda','FL','68715',NULL,1234713,'679-899-0686',29875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn F. Camacho','P.O. Box 787, 8036 Habitant Av.','Oklahoma City','FL','31109','quync@widget.com',1234714,'815-584-3833',60262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius Q. Albert','8639 Gravida St.','West Lafayette','AK','78601','darius.albert@emailathome.net',1234715,'712-794-2426',83055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra A. Acevedo','P.O. Box 264, 2695 Proin Street','Cleveland','AL','07885','acevedo@widget.com',1234716,'587-399-9921',49898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla C. Sanford','P.O. Box 263, 707 Mauris Av.','Cerritos','LA','34441','kylas@widget.com',1234717,'427-815-1131',25724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nash M. Fry','Ap #894-9468 Ut, St.','Palmdale','AK','43187','nash.fry@emailathome.net',1234718,'629-957-8729',99499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty A. Brock','584-5548 Nibh. Road','Aurora','MA','45598','libertyb@hitmail.com',1234719,'776-306-2531',45458,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith F. Burris','P.O. Box 476, 6505 Odio Street','Peru','WV','36481','keith.burris@bpmpros.com',1234720,'171-756-0523',23787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance K. Hubbard','Ap #309-8031 Erat. Rd.','Signal Hill','NC','66293','lance.hubbard@email.net',1234721,'785-766-4124',74977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared S. Rosario','P.O. Box 225, 8224 Semper Street','Rocky Mount','LA','00167','jrosario@aulnet',1234722,'461-246-8013',34637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva V. Sargent','Ap #900-8610 Egestas. Rd.','Pico Rivera','AK','33043','haviva.sargent@bpmpros.com',1234723,'201-662-7175',34413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan K. Walker','P.O. Box 228, 3716 Libero Ave','Saratoga Springs','AK','09942','twalker@emailathome.net',1234724,'186-297-7584',82957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada X. Bradley','765-7815 Ut, St.','Monterey Park','UT','93992','bradley@email.net',1234725,'845-931-0278',94771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan O. Hammond','579-5058 Nam Rd.','Santa Clarita','IL','14707',NULL,1234726,'701-545-4765',18763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett W. Hewitt','966-2791 Nulla. Av.','Twin Falls','MO','70094','garretth@aulnet',1234727,'893-504-0585',44055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem I. Blackwell','P.O. Box 753, 2984 Tristique Rd.','Oneida','OH','13293',NULL,1234728,'488-382-8949',54297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall S. Howard','P.O. Box 755, 260 A Rd.','Fargo','MN','18532',NULL,1234729,'826-215-4062',102663,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel I. Chan','P.O. Box 406, 1417 Quis Rd.','Burbank','AK','54363','axel.chan@hitmail.com',1234730,'895-722-8452',57617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe J. Lynn','Ap #765-3291 Nunc Ave','Rolling Hills Estates','CA','16260',NULL,1234731,'634-539-2600',17858,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin M. Griffin','1330 Non Avenue','Newport','NV','39420','martin.griffin@hitmail.com',1234732,'157-111-4643',99939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda Y. Hood','594-9308 Magna St.','Dover','MD','99828','amanda.hood@emailathome.net',1234733,'249-397-3187',93802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna S. Carney','Ap #445-6736 Duis Rd.','Akron','WA','36125','dcarney@emailathome.net',1234734,'954-204-3016',32512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa A. Holmes','Ap #584-1746 Primis Rd.','Jackson','WA','84610','wholmes@yohaa.com',1234735,'846-701-8142',28830,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon I. Townsend','821-9229 Nam Road','Berlin','KY','29913','mtownsend@xyz.edu',1234736,'635-472-0829',104062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius C. Christensen','923-4206 Consectetuer St.','Rock Springs','OK','04333',NULL,1234737,'347-872-2523',49507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia H. Fischer','613-5394 Ultrices Rd.','San Mateo','MS','22327','kfischer@hitmail.com',1234738,'751-907-8791',42713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai R. Ingram','9710 Dui. Ave','Dallas','KY','10662','dingram@emailathome.net',1234739,'905-781-7805',79681,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana U. Johns','814-4541 Est Ave','Anaheim','PA','09929',NULL,1234740,'792-697-3871',74051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly H. Mueller','P.O. Box 858, 8394 Orci, St.','Hastings','NY','37646','mueller@yohaa.com',1234741,'676-368-9653',55199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett B. Hogan','910-2198 Lorem St.','Kettering','OR','33270','ghogan@hitmail.com',1234742,'827-594-7526',31404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon P. Albert','Ap #403-5240 Rhoncus Road','Worland','ID','97231','rhiannon.albert@aulnet',1234743,'512-338-7325',97385,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael B. Dale','Ap #456-6655 Id Street','Eufaula','OR','99796','jaeld@aulnet',1234744,'938-549-7885',25394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel Z. Blanchard','P.O. Box 798, 5256 Montes, Street','Odessa','DC','93182','ablanchard@bpmpros.com',1234745,'989-818-3570',50559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo M. Morgan','256-251 Neque Ave','Lakeland','WV','17000','lmorgan@hitmail.com',1234746,'394-273-0813',56942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia V. Henry','197-7735 Sed St.','Rocky Mount','IN','23330',NULL,1234747,'432-725-8088',99117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera I. Carter','P.O. Box 328, 6167 Lacinia Rd.','Kearney','LA','61484','vcarter@emailathome.net',1234748,'825-366-9917',102315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier U. Lynch','P.O. Box 732, 2700 Nisi Ave','Erie','WV','32994','lynch@bpmpros.com',1234749,'489-205-3612',71327,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan N. Allison','229-2703 Proin Rd.','Kennewick','TX','84416','allison@yohaa.com',1234750,'401-791-8042',81012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty H. Malone','1189 Nunc Rd.','Canandaigua','CO','51929','liberty.malone@bpmpros.com',1234751,'371-902-0700',79095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Y. Marshall','125-406 Dui. St.','Beckley','TN','93554','marshall@abc.edu',1234752,'574-854-8658',53140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel B. Wise','P.O. Box 429, 7099 Elit Rd.','Lynchburg','MD','28712','lwise@bpmpros.com',1234753,'467-942-7955',71781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni Z. Howard','P.O. Box 399, 9753 Ut Road','Bloomington','OH','04132','britanni.howard@yohaa.com',1234754,'946-414-2650',74755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard F. Mason','P.O. Box 942, 4521 Orci St.','Forrest City','IL','91005','mason@emailathome.net',1234755,'238-284-5078',78001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl H. Singleton','Ap #617-4394 At, Road','Reno','MT','73474',NULL,1234756,'589-617-8014',23244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah T. Dominguez','P.O. Box 531, 5161 Dictum St.','Michigan City','AZ','58331','tallulah.dominguez@xyz.edu',1234757,'805-395-8127',30252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin G. Cameron','3935 Sed Road','Lake Forest','AZ','69994','cameron@aulnet',1234758,'728-809-4288',31607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia X. Brewer','P.O. Box 413, 7221 Nunc Rd.','Jackson','KY','39898','brewer@hitmail.com',1234759,'884-612-4118',61182,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir R. Reid','Ap #126-3298 Ac Av.','Natchez','ME','71911',NULL,1234760,'801-694-2166',46867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn V. Lindsey','716-1607 Sagittis. Street','Austin','OK','05686','quinn.lindsey@aulnet',1234761,'698-408-0022',28732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah M. Turner','424-7434 In Rd.','San Angelo','AZ','73488','savannah.turner@yohaa.com',1234762,'265-854-1612',74084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin T. Kidd','P.O. Box 823, 8560 Turpis. Road','Memphis','DC','24198','kidd@hitmail.com',1234763,'687-843-5067',80714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan I. Barton','P.O. Box 423, 9539 Gravida. Rd.','Gardner','DC','34258','barton@hitmail.com',1234764,'457-135-8874',98845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene O. Diaz','3895 Fermentum Street','Sheboygan','WI','29512','imogened@email.net',1234765,'937-873-6751',72869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig B. Vance','866-5752 Donec Road','Minot','OR','76106','hedwig.vance@hitmail.com',1234766,'718-756-6282',21032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine R. Herrera','Ap #225-6824 Malesuada Street','Akron','WY','72949',NULL,1234767,'245-964-6193',58512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador N. Miranda','P.O. Box 241, 3814 Enim, St.','Vacaville','IA','23405','miranda@hitmail.com',1234768,'544-699-5522',79619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole D. Mcdonald','Ap #401-2705 Elementum St.','Springdale','MO','76609','colem@widget.com',1234769,'205-659-2488',107919,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin R. Bray','3569 Nec, Ave','Tustin','MN','31809',NULL,1234770,'571-592-0669',102154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace T. Reynolds','7961 Massa. Av.','Cincinnati','NV','40263',NULL,1234771,'444-492-3415',57775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reed J. Davenport','P.O. Box 528, 5222 Pretium Road','Youngstown','KY','89639',NULL,1234772,'993-347-6390',92337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna G. Levy','Ap #655-1472 Id Ave','Saint Louis','CA','49938','levy@yohaa.com',1234773,'668-562-7084',58930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose H. Henry','Ap #856-7027 Maecenas Avenue','Clovis','MN','54794','rose.henry@widget.com',1234774,'633-392-7625',86193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron F. Woods','898-3464 Ac, Road','Arcadia','OR','18173','bwoods@emailathome.net',1234775,'978-602-8036',79941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard L. Davidson','Ap #717-6141 Ultrices St.','Cape Coral','NH','39348','davidson@yohaa.com',1234776,'523-491-9928',15444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox R. Jefferson','P.O. Box 889, 9119 Ut Ave','Rosemead','NV','14044','knoxj@abc.edu',1234777,'493-916-4063',21455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia B. Dale','5922 Tempor Ave','Highland Park','UT','60851','sdale@yohaa.com',1234778,'366-705-0066',54163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato U. Flowers','P.O. Box 908, 6250 Varius St.','Plattsburgh','NC','56317','pflowers@yohaa.com',1234779,'278-535-2393',52879,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge V. Yang','Ap #317-4744 Integer Street','Newport News','DE','72439','myang@xyz.edu',1234780,'857-125-5608',109949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul K. Castillo','P.O. Box 169, 4467 Ante St.','Seaford','KS','40723','castillo@bpmpros.com',1234781,'263-119-0346',15989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden A. Hurst','253-7745 Nibh Rd.','New Iberia','ID','51801','hurst@bpmpros.com',1234782,'724-987-9060',54527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista L. Olsen','248-7700 Etiam St.','Sonoma','KY','57818','calista.olsen@xyz.edu',1234783,'811-544-3312',50132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah U. Garza','P.O. Box 624, 1707 Dictum St.','Oak Ridge','PA','04962','rajahg@emailathome.net',1234784,'881-691-0454',91869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell E. Pruitt','3671 Orci, St.','Billings','FL','86137',NULL,1234785,'624-813-9720',97179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nigel I. Mcleod','P.O. Box 724, 6981 Nisi. Street','Camden','NC','89466','nigelm@xyz.edu',1234786,'695-329-1311',29228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko A. Davis','664-1024 Proin Av.','Hidden Hills','KS','98788','hirokod@aulnet',1234787,'245-849-1793',24140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony G. Jensen','619-5380 Sodales Ave','Moscow','GA','54452','ajensen@hitmail.com',1234788,'331-476-2264',107240,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly B. Rhodes','151-9394 Dictum Street','Moline','NY','80135',NULL,1234789,'687-818-2955',38349,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb F. Allison','346-218 Nascetur Ave','Muskegon','KS','94385','caleba@emailathome.net',1234790,'511-108-9262',35401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara L. Sharpe','Ap #125-6256 Velit. Av.','West Springfield','IA','65750','ciara.sharpe@abc.edu',1234791,'145-556-6636',94202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden B. Stevenson','Ap #648-5627 Ad Ave','Colorado Springs','NY','98753','astevenson@bpmpros.com',1234792,'414-559-0156',86715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart P. Foley','Ap #280-8856 Interdum. St.','Cedarburg','SD','46434','stuartf@emailathome.net',1234793,'298-613-1711',96688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie P. Shepard','P.O. Box 545, 3180 Dictum St.','Sitka','OH','56392','mshepard@aulnet',1234794,'837-935-6477',29485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi A. Stewart','Ap #270-8545 Sapien. Ave','Shelton','ND','33689','whoopis@yohaa.com',1234795,'983-719-7443',103215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan C. Bonner','P.O. Box 870, 6779 Fermentum Avenue','Pottsville','AZ','76210','dbonner@abc.edu',1234796,'801-883-6023',63973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston L. Ramsey','Ap #326-7919 Ac Av.','New London','CO','19886','ramsey@bpmpros.com',1234797,'297-998-8804',97550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray J. Sparks','1621 Metus Rd.','Kansas City','LA','95636',NULL,1234798,'725-435-1358',29197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes Q. Workman','678-4850 Lobortis. Road','Boston','MS','80775','hayesw@bpmpros.com',1234799,'512-237-5636',103019,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonya B. Leon','Ap #563-8772 Risus Rd.','Columbia','DC','69840','sleon@yohaa.com',1234800,'626-138-2657',43021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya F. Hale','106-4322 Vulputate Avenue','Yukon','MT','66436','tashya.hale@yohaa.com',1234801,'377-803-9301',20096,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon J. Torres','Ap #330-1913 Rutrum Street','Stockton','IL','79045','torres@aulnet',1234802,'572-859-7516',104710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare Z. Sanders','395-9922 Sed Ave','Vail','NH','87666','clare.sanders@hitmail.com',1234803,'713-285-0437',108455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie Y. Harrell','5600 Donec St.','Valdosta','IL','14093',NULL,1234804,'869-631-8593',70276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Georgia I. Park','Ap #335-9643 Vel Street','Vail','FL','44768','park@bpmpros.com',1234805,'862-722-2511',25816,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna S. Hines','P.O. Box 819, 3631 Magna St.','Quincy','AK','28472','bhines@yohaa.com',1234806,'332-193-7240',90291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile X. Burns','Ap #290-6738 Sed Rd.','New Madrid','AL','03931','maile.burns@emailathome.net',1234807,'504-735-7385',70544,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elijah J. Lara','698-1950 Ut Rd.','Terre Haute','UT','88892',NULL,1234808,'824-338-0647',19581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon Q. Everett','P.O. Box 513, 4435 Ante, Av.','Fernley','CT','04683',NULL,1234809,'586-411-7487',26170,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy E. Kramer','741 Nisl. Av.','Moorhead','SD','16626','kramer@aulnet',1234810,'295-554-0851',73108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka J. Wright','2290 Sed, Street','San Gabriel','NC','28329',NULL,1234811,'192-702-2565',74408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra T. Brennan','Ap #590-1012 Vitae St.','Aberdeen','MD','03621',NULL,1234812,'151-143-7449',16706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine Q. Lee','954-6668 Ipsum. Rd.','Buffalo','MO','90994','lee@xyz.edu',1234813,'626-686-6293',86253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson T. Fox','442-4651 Phasellus Av.','San Mateo','KS','88079','fox@xyz.edu',1234814,'964-599-0757',15954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan T. Brock','Ap #652-2494 Adipiscing Road','Warren','WY','38617',NULL,1234815,'786-651-1592',39332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene G. Wolf','P.O. Box 115, 5003 Quisque St.','Merizo','NY','64292',NULL,1234816,'819-696-2563',19824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan H. Medina','Ap #149-6842 Quisque Rd.','Myrtle Beach','AK','79633','medina@aulnet',1234817,'826-736-3325',100969,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee Y. Vang','449-1348 Maecenas Rd.','Signal Hill','MI','59528','rvang@bpmpros.com',1234818,'353-288-8242',69649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason M. Rice','853-2220 Tortor Ave','Pico Rivera','HI','61911',NULL,1234819,'641-893-9717',109552,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lester O. Yang','P.O. Box 749, 4467 At, Ave','Laughlin','NV','79741','lester.yang@widget.com',1234820,'763-303-0959',88225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga T. Pope','608-4900 Donec Ave','Highland Park','IN','85065','opope@hitmail.com',1234821,'807-579-7727',85545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan N. Parrish','930-1719 Tellus Road','New Haven','MS','75861',NULL,1234822,'927-735-1048',90488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paula N. Mueller','P.O. Box 307, 7963 Pede, Road','Gatlinburg','DE','66941','pmueller@hitmail.com',1234823,'804-721-4656',76324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes L. Maldonado','3510 In St.','Minneapolis','AK','37333','xerxesm@emailathome.net',1234824,'928-108-4805',45523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero Z. Barker','Ap #807-7298 Sodales St.','Richland','PA','76613','barker@abc.edu',1234825,'947-975-0734',74774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle Y. Woods','4944 A, St.','Artesia','MS','20858',NULL,1234826,'529-824-5111',31162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle Q. Jenkins','Ap #553-695 Mattis. Avenue','Oklahoma City','MI','98418',NULL,1234827,'367-787-6112',37850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius K. George','P.O. Box 749, 7279 Purus. Av.','Paterson','HI','63051','dariusg@email.net',1234828,'571-737-5231',48883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine P. Gates','P.O. Box 916, 4792 Scelerisque Rd.','Bay City','NY','89053','gates@xyz.edu',1234829,'205-675-3128',54322,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke U. Wynn','861-9904 Cursus Street','Hawaiian Gardens','PA','36126','lwynn@bpmpros.com',1234830,'379-485-0693',89882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra F. Dawson','8887 Magna. St.','Medford','KY','74018','cdawson@widget.com',1234831,'631-368-2077',17192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fredericka J. Norris','Ap #388-6298 Eros. Av.','Shawnee','IN','62937','frederickan@emailathome.net',1234832,'956-687-8451',61626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic N. Sweet','7204 Ac Rd.','Independence','MO','33579','dominics@hitmail.com',1234833,'863-558-1068',107837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar D. Hernandez','P.O. Box 225, 2886 Elit Ave','Murray','AK','50083','hernandez@email.net',1234834,'654-416-9640',89829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar T. Todd','8953 Quam Street','Ypsilanti','WA','50256',NULL,1234835,'355-711-0526',60748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya N. Camacho','504-5437 Magna Street','Roanoke','LA','24085','tashya.camacho@abc.edu',1234836,'332-696-3163',78627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha D. Workman','Ap #465-4021 Condimentum. St.','Cambridge','TX','23658','sworkman@widget.com',1234837,'634-965-5609',84722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa K. Day','Ap #341-3520 Luctus. St.','Duncan','ND','56270','day@hitmail.com',1234838,'928-653-5271',98591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shay P. Barlow','P.O. Box 206, 4907 Donec Street','Mobile','ME','05152','shay.barlow@aulnet',1234839,'533-452-9144',53248,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim H. Mayer','6035 Tincidunt Rd.','Tampa','VA','41131','cmayer@emailathome.net',1234840,'747-191-3264',33462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan Q. Valencia','P.O. Box 547, 1294 Sed St.','Sedalia','MD','34075',NULL,1234841,'307-155-0553',93347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colby A. Singleton','Ap #314-8587 Rutrum Ave','Steubenville','OR','16341',NULL,1234842,'527-734-7987',58004,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva H. Castaneda','660-7737 Facilisis St.','West Bend','TX','56573','hcastaneda@aulnet',1234843,'914-432-0748',74903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin C. Melendez','393-7801 Primis Ave','Olean','WV','81447','gmelendez@yohaa.com',1234844,'911-825-1662',52348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo A. Bentley','P.O. Box 289, 4540 Aenean Ave','Laconia','NE','47729','cairob@email.net',1234845,'277-188-9130',91426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton F. Gates','P.O. Box 672, 812 Aliquam Road','Gary','TX','37985','actong@emailathome.net',1234846,'615-882-8708',93629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel Q. Tate','5666 Suspendisse Street','New Madrid','AZ','30214',NULL,1234847,'903-575-9531',58276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa G. Daniel','P.O. Box 544, 446 Nulla Rd.','Henderson','KS','37678','alisa.daniel@email.net',1234848,'993-806-3703',46482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady U. Jones','P.O. Box 329, 3318 Turpis. Ave','Covington','PA','09547','gjones@yohaa.com',1234849,'326-218-0143',102941,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem G. Padilla','P.O. Box 290, 8802 Eu St.','Blythe','MN','25825','jakeem.padilla@widget.com',1234850,'573-798-9079',35499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice D. Hardin','490-2700 Diam St.','Kearney','NY','13839','chardin@emailathome.net',1234851,'764-237-9259',47704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica O. Taylor','Ap #170-3711 Lectus Street','Boulder Junction','MT','17021','ericat@xyz.edu',1234852,'951-625-8518',94493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar E. Parrish','Ap #551-8815 Elementum Rd.','Kearney','NH','08026','parrish@email.net',1234853,'257-118-7325',97705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman S. Griffin','1831 Massa. St.','Overland Park','NY','02763','griffin@widget.com',1234854,'766-381-0928',78139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely F. Booth','Ap #197-6252 Tincidunt, Rd.','Opelousas','WY','64867','kbooth@email.net',1234855,'731-407-6877',92939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena M. Massey','Ap #930-1491 Nascetur Rd.','Fort Smith','AK','05260','zena.massey@bpmpros.com',1234856,'237-868-2658',67606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin J. Mays','7950 Imperdiet St.','Sandy Springs','NH','87787','dustin.mays@email.net',1234857,'314-338-0148',51449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian G. Harrington','617 Et Ave','Waterloo','WI','74473',NULL,1234858,'242-964-4961',16865,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shea X. Monroe','527-4410 Mollis. Ave','Wichita','IN','23608','monroe@abc.edu',1234859,'173-315-2876',89268,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana U. Spence','Ap #592-2618 Mi Rd.','Alamogordo','AK','31855','janas@bpmpros.com',1234860,'555-637-9412',42168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka B. Terry','7160 Nulla Ave','Eden Prairie','NH','52255','vielkat@yohaa.com',1234861,'442-907-4611',71193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance V. Eaton','Ap #932-6052 Neque St.','Lafayette','SC','35298',NULL,1234862,'455-896-7941',75457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine F. Frazier','P.O. Box 941, 7766 Integer Rd.','Reno','TX','66902','frazier@email.net',1234863,'292-656-4422',61409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline D. Hewitt','284-3097 Vivamus Ave','Hollister','DE','04361','madalineh@aulnet',1234864,'364-565-0115',79794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya E. Rhodes','172-9111 Diam St.','Norwich','IN','42147','rhodes@widget.com',1234865,'508-873-2483',73345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian H. Valenzuela','303-8612 Faucibus. Ave','Rolla','IA','59402',NULL,1234866,'641-259-9212',82699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana I. Miranda','Ap #312-2335 Hendrerit Rd.','Binghamton','MN','78238','amiranda@emailathome.net',1234867,'732-482-4304',73211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen I. Parks','Ap #289-8813 Lorem Street','Escondido','MI','91260','parks@xyz.edu',1234868,'508-249-5210',67348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille E. Jackson','666-5086 Nullam St.','Casper','TN','24716','jackson@widget.com',1234869,'987-596-6361',65744,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer C. Crosby','P.O. Box 349, 8508 Libero. Ave','Rawlins','VA','77202','palmer.crosby@yohaa.com',1234870,'129-116-5022',46299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon W. Hester','5036 In Rd.','Fountain Valley','GA','96584',NULL,1234871,'315-517-3280',92439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee A. Espinoza','115-7416 Non St.','Bethany','WI','10506','rylee.espinoza@bpmpros.com',1234872,'192-306-7231',60239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom H. Coffey','178-5959 Felis, Rd.','Salinas','CO','05225','coffey@aulnet',1234873,'833-824-1209',61191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evan Z. Burks','414-7625 Integer Street','Montgomery','MI','56262','burks@aulnet',1234874,'588-312-1453',81204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely E. Everett','P.O. Box 328, 7019 Iaculis, Road','Hot Springs','NJ','08354','keelye@abc.edu',1234875,'617-106-3264',75483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton I. Salas','Ap #627-4829 Consequat St.','Opelousas','TN','46044',NULL,1234876,'409-927-0223',63332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt D. Schneider','934-7164 Cursus. Rd.','Youngstown','MT','33770','wschneider@emailathome.net',1234877,'725-234-0601',101339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma K. Hooper','Ap #537-8947 Ultrices Street','Attleboro','MA','97621','hooper@abc.edu',1234878,'402-236-3704',46369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil G. Lara','Ap #770-2302 Arcu. Avenue','Darlington','HI','67255','lara@emailathome.net',1234879,'987-498-5249',16541,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan J. Garcia','Ap #119-8073 In, Av.','DuBois','RI','91768','jordang@emailathome.net',1234880,'124-101-4090',43838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth I. Vance','Ap #542-980 Id Street','East Lansing','MT','29920','hvance@emailathome.net',1234881,'799-713-7231',35517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage N. Castaneda','6629 Dui, St.','Fullerton','MO','76329','gagec@widget.com',1234882,'323-382-2525',43961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah L. Warner','Ap #311-416 Pharetra. Street','Parker','AK','58435',NULL,1234883,'755-977-2684',40339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna O. Wise','P.O. Box 399, 2129 Pretium Avenue','Newport','NV','69327','bwise@widget.com',1234884,'753-417-3945',74353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daquan X. Wolfe','977-8889 Quam Avenue','Las Vegas','IA','83452',NULL,1234885,'771-433-8401',52644,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime A. Perez','651 Ullamcorper, Ave','Orangeburg','ME','83692','perez@hitmail.com',1234886,'937-315-2575',50691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen O. Melton','679-7721 Dui St.','Westlake Village','NV','98171',NULL,1234887,'874-812-0262',91289,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan E. Stafford','Ap #307-5585 Non Rd.','Worland','UT','41530','harlan.stafford@email.net',1234888,'712-696-3074',46568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('George D. Pearson','405-720 Posuere Rd.','Astoria','NH','49980',NULL,1234889,'621-333-9382',50653,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah S. Perkins','7189 Lorem Road','Alhambra','DC','16620','perkins@bpmpros.com',1234890,'629-772-8051',15237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee H. Alexander','P.O. Box 968, 6348 Diam Rd.','Kettering','SD','94510','alexander@abc.edu',1234891,'331-851-5324',57165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa L. Lang','Ap #952-1815 Nisl. Rd.','Roswell','VA','71665','rlang@abc.edu',1234892,'386-527-3879',31256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming P. Gaines','P.O. Box 516, 3730 Luctus Av.','Santa Monica','MD','33704','wyoming.gaines@aulnet',1234893,'571-756-1834',74151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy U. Hebert','809-5700 Purus Ave','Laguna Beach','ID','64898',NULL,1234894,'603-274-8390',27817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay T. Kirk','Ap #444-6392 Tristique Avenue','West Sacramento','DC','41706','kirk@xyz.edu',1234895,'604-207-3801',32168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell I. Crane','P.O. Box 801, 6257 Cras Ave','Newburgh','DC','34075','bell.crane@widget.com',1234896,'782-396-5038',96370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael A. Bennett','967-9840 Mauris Street','Jeannette','OR','98623','jaelb@yohaa.com',1234897,'699-482-6771',86728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice P. Banks','Ap #191-3734 Libero. St.','Abilene','AK','89478','beatrice.banks@aulnet',1234898,'292-791-1718',66223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor H. Wilkins','5546 Sit St.','Bozeman','NV','57895','thor.wilkins@abc.edu',1234899,'843-652-7317',60228,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria H. Wiley','P.O. Box 793, 8802 Nibh Av.','Easton','ND','20877','vwiley@email.net',1234900,'673-426-0877',29060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy Q. Martin','3302 Tristique Rd.','International Falls','DE','47770','martin@email.net',1234901,'858-626-9674',80891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith L. Dunn','P.O. Box 435, 259 Auctor, St.','Middlebury','IL','44282',NULL,1234902,'952-819-4453',23542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gary U. Schneider','P.O. Box 724, 2587 Vivamus St.','Elsmere','AK','36870','schneider@aulnet',1234903,'153-115-8342',89446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida W. Mckay','Ap #351-5104 Tristique Road','Troy','WI','00036',NULL,1234904,'817-979-9938',41089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel B. Bruce','1408 Duis Ave','Camden','NJ','43364','bruce@xyz.edu',1234905,'468-149-7366',46839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie E. Young','932-6026 Proin Av.','Worland','TX','41795',NULL,1234906,'259-627-6773',25039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper L. Whitehead','Ap #858-7652 Imperdiet Avenue','Titusville','RI','60902',NULL,1234907,'707-967-4840',72093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste S. Hebert','P.O. Box 581, 3366 Integer Road','Rohnert Park','ME','14575','celeste.hebert@hitmail.com',1234908,'588-385-1426',45141,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla X. Pope','Ap #520-5117 Id St.','Saginaw','AL','39153','pope@bpmpros.com',1234909,'729-317-5927',56802,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly T. Hatfield','Ap #242-2744 Ut, St.','Forest Lake','NM','66605','karlyh@email.net',1234910,'859-588-7953',105583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee K. Berg','P.O. Box 631, 5964 Rhoncus. Rd.','Shamokin','PA','36102','rylee.berg@bpmpros.com',1234911,'808-657-1358',47062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock H. Curry','Ap #364-7479 Nunc, Street','Signal Hill','VT','61708','brockc@xyz.edu',1234912,'901-808-3555',103384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brody G. Hayden','Ap #293-8997 Sociosqu Rd.','Duluth','MO','39701','brodyh@aulnet',1234913,'501-501-3097',73429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane O. Cross','9055 Sociis Rd.','Derby','LA','66760','kcross@aulnet',1234914,'741-991-9410',90283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra M. Wilkinson','Ap #397-1379 Adipiscing Rd.','Gallup','DE','51617',NULL,1234915,'588-228-1290',81982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen M. Buck','9910 Ut, St.','Missoula','OH','04759',NULL,1234916,'822-779-4913',20320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius D. Deleon','662-4816 Vivamus Street','Glens Falls','NM','37632','ignatiusd@hitmail.com',1234917,'493-314-9823',92093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin W. Oliver','P.O. Box 130, 1972 Consectetuer Avenue','Edmond','NC','21569','jino@bpmpros.com',1234918,'292-584-6076',106108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela U. Wiley','Ap #491-5764 Etiam Rd.','Northampton','MN','14545','amela.wiley@abc.edu',1234919,'105-296-5802',100180,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage W. Terrell','Ap #459-5244 Amet Av.','El Monte','TN','38842','sterrell@emailathome.net',1234920,'388-383-4790',74412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery N. Goodman','769-1227 Volutpat. Street','Agawam','DE','97125','amery.goodman@email.net',1234921,'978-357-6300',31121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia U. Castaneda','925-7588 Sapien. Rd.','Peru','NC','85972','ziac@xyz.edu',1234922,'208-276-4330',80156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan W. Coffey','Ap #480-8508 Maecenas Road','Wheaton','KY','04389','hcoffey@bpmpros.com',1234923,'352-561-6460',83972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena K. Cannon','826-6684 Massa. Street','Valdosta','HI','51555','amenac@abc.edu',1234924,'936-398-7683',18114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian T. Gutierrez','P.O. Box 960, 8370 Gravida Rd.','Kahului','PA','90251','jgutierrez@email.net',1234925,'817-753-9406',24185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara D. Whitehead','9076 Volutpat. Road','South El Monte','AK','46186',NULL,1234926,'202-383-0583',64655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand E. Ingram','P.O. Box 590, 7409 Aliquet Road','Lafayette','MI','45991','ingram@bpmpros.com',1234927,'287-499-7827',53792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin Y. Carr','P.O. Box 848, 9742 Integer Rd.','Dickinson','ME','83038','carr@bpmpros.com',1234928,'129-217-5062',99708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William H. Bell','P.O. Box 524, 8216 Eu, St.','Geneva','IA','65248','williamb@hitmail.com',1234929,'377-307-4240',41554,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick E. Goff','268-6150 Diam Road','Pittsfield','NC','92567','goff@yohaa.com',1234930,'816-293-4909',34931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly M. Zimmerman','Ap #859-7533 Quis Road','Canton','AK','67860','kzimmerman@xyz.edu',1234931,'527-344-4369',47757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora O. Small','P.O. Box 964, 2064 Ut, Av.','Placentia','SD','83651',NULL,1234932,'512-148-3928',38573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Suki P. Peterson','P.O. Box 859, 4346 Ut Rd.','Compton','SD','65748','suki.peterson@email.net',1234933,'499-912-9692',65903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen U. Blake','700-3817 Ut Av.','Malibu','MT','34690','blake@email.net',1234934,'439-738-6506',27994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary R. Thomas','330-7755 Eleifend Avenue','Sierra Madre','WA','49073','thomas@xyz.edu',1234935,'764-103-7314',100200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler A. Bowers','Ap #413-9599 Enim Avenue','Chickasha','NJ','58398','cbowers@widget.com',1234936,'472-236-1499',93756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava S. Hampton','4343 Ad Rd.','Kingsport','MN','63169','ava.hampton@email.net',1234937,'198-846-0596',78082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu P. Mckay','9691 Nec, Ave','Waterloo','MA','81128','hu.mckay@aulnet',1234938,'545-444-3389',54237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil C. Swanson','Ap #640-5491 Non, Street','Hilo','NV','92784','swanson@emailathome.net',1234939,'813-467-8011',54437,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming V. Bell','3420 Ipsum. Avenue','Durango','NY','04334',NULL,1234940,'504-995-2319',28146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl H. Blankenship','540-3669 Blandit St.','Farmington','MA','06311','blankenship@abc.edu',1234941,'646-259-1454',88634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim X. Goodwin','P.O. Box 654, 4794 Ullamcorper Road','Medford','CO','55361','nissimg@email.net',1234942,'773-419-5796',33139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn Z. Brady','1344 Aliquet Rd.','Taunton','CA','68143',NULL,1234943,'789-857-1880',53902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith C. Andrews','P.O. Box 782, 6564 Dui, Rd.','North Pole','NY','75833',NULL,1234944,'187-867-6148',22388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emmanuel M. Waters','Ap #724-4508 Luctus Avenue','Salem','MN','08983',NULL,1234945,'817-995-6623',90840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melvin W. Cotton','880-1256 Et St.','Weirton','NV','06115',NULL,1234946,'199-907-8025',74463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack L. Spencer','174-2314 Sed St.','Orange','WV','59355','jacks@emailathome.net',1234947,'561-651-5573',73287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade G. Snow','Ap #561-7942 Aliquet. Ave','Westlake Village','NJ','53202','wsnow@yohaa.com',1234948,'658-129-6791',46486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim Y. Lowery','P.O. Box 127, 1330 Dolor, Road','South Gate','NE','19462','lowery@xyz.edu',1234949,'775-334-3520',39463,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon P. Cunningham','Ap #618-1730 Commodo Ave','Portland','NJ','12321',NULL,1234950,'894-579-7031',66827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah U. Burnett','844-1063 Mollis Road','Vernon','MD','05217','marahb@widget.com',1234951,'649-443-9126',29737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko S. Rivera','Ap #247-2383 Egestas. Avenue','Toledo','WY','35441','rivera@xyz.edu',1234952,'759-308-6415',68962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop S. Drake','396-9228 Phasellus St.','Victoria','MO','44680','hopd@email.net',1234953,'122-881-0897',44548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen W. Frederick','Ap #531-5955 Massa. Rd.','Ansonia','SD','36771',NULL,1234954,'462-594-3853',80119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac Z. Brock','8866 Duis Road','Winston-Salem','MS','51044','ibrock@emailathome.net',1234955,'723-969-1185',63411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina X. Boone','3950 Mauris Rd.','Woodruff','MD','37292','ninab@email.net',1234956,'407-879-1650',91836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall J. Wolf','259-915 Ullamcorper, Ave','Westminster','DC','57894','wolf@aulnet',1234957,'197-594-3735',57062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred G. Mcdaniel','Ap #130-2694 Ac Rd.','Auburn Hills','GA','38995','mcdaniel@aulnet',1234958,'891-887-2716',64825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada Z. Carlson','P.O. Box 322, 3128 Eu, Ave','Selma','IN','49887','carlson@xyz.edu',1234959,'883-673-4507',45023,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel V. Hart','3030 Tellus Rd.','Enid','AK','88173','dhart@yohaa.com',1234960,'162-841-0073',64095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora G. Hood','Ap #486-4787 Interdum Ave','Corpus Christi','ID','23011','dorah@aulnet',1234961,'285-346-0861',104607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan L. Juarez','Ap #319-6118 Lacus. Avenue','Highland Park','ND','98011','harlan.juarez@emailathome.net',1234962,'123-317-5546',56895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika J. Pena','1021 Arcu. St.','Cairo','NH','90859',NULL,1234963,'761-874-1058',70398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden E. Fletcher','8878 Mi Road','San Clemente','CO','23292','afletcher@bpmpros.com',1234964,'378-244-2216',54142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain H. Buckley','Ap #924-6808 Faucibus St.','Waukegan','SD','92615','cainb@yohaa.com',1234965,'818-196-1304',75292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian B. Barton','162-3418 Velit St.','Wausau','WY','85678','cbarton@widget.com',1234966,'385-103-1993',41396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel X. Ray','6077 Ad Av.','West Sacramento','IA','26314','arielr@xyz.edu',1234967,'872-701-2015',33500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice N. Lowe','299-8729 Auctor Rd.','Beacon','FL','41378','alicel@xyz.edu',1234968,'683-565-2654',85751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana Y. Beach','116-2156 Pretium Rd.','Poughkeepsie','ID','45897',NULL,1234969,'265-758-2225',98436,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott Q. Barrett','Ap #302-6954 Cum St.','Allentown','ID','49595','scott.barrett@yohaa.com',1234970,'483-547-2055',35954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert C. Bean','Ap #246-1989 Parturient St.','Fairmont','ME','67017',NULL,1234971,'603-985-3226',44699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel N. Buck','Ap #358-2699 Pede. St.','Greensboro','MI','83941','samuelb@email.net',1234972,'958-562-4478',84769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail B. Henry','Ap #526-6920 Lorem. Rd.','Cypress','PA','24207','abigailh@bpmpros.com',1234973,'258-217-6790',28388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris W. Thomas','4852 Magnis Street','Shelton','MO','77429','marist@abc.edu',1234974,'849-665-4752',53312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan M. Carroll','390-4430 Sit Av.','Pittsburgh','ID','78045','carroll@yohaa.com',1234975,'575-425-0894',72410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len A. Perry','Ap #406-6642 Commodo Av.','Toledo','NC','90168',NULL,1234976,'215-789-0041',104815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme O. Mcmahon','Ap #956-2042 Orci. Street','Batavia','IN','99589','jaymem@widget.com',1234977,'758-864-5436',70333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina N. Riddle','P.O. Box 400, 7075 Tincidunt Road','Norfolk','IN','57657','rinar@emailathome.net',1234978,'237-895-7583',18870,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran Q. West','P.O. Box 354, 1155 Aliquam Ave','Denver','NM','97544','ciaran.west@widget.com',1234979,'202-448-2340',97171,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor X. Gillespie','Ap #545-385 Felis. Street','Parkersburg','RI','39726','eleanor.gillespie@emailathome.net',1234980,'372-573-9112',63182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard J. Finley','429-9294 Phasellus Rd.','Santa Cruz','TX','60300','lfinley@aulnet',1234981,'237-508-0819',21831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felix P. Dillard','7875 Nunc Rd.','Chesapeake','HI','00056','felix.dillard@hitmail.com',1234982,'297-201-8517',74154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr P. Sheppard','6494 Malesuada St.','Baytown','ME','58068',NULL,1234983,'164-783-3933',96507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos O. Johns','287-5434 Tincidunt Rd.','Miami','AK','47496','xenosj@bpmpros.com',1234984,'565-528-1015',22135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn Y. Strickland','199-8317 Sociis Road','Thousand Oaks','KS','35083','strickland@bpmpros.com',1234985,'589-144-5726',91796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana W. Cooke','4908 Mauris St.','Kahului','IA','29662',NULL,1234986,'272-529-4338',93318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau N. Carter','Ap #807-5500 Vulputate, Rd.','San Diego','NJ','96415','beauc@bpmpros.com',1234987,'278-349-8793',21578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton X. Cooley','361-9291 Neque. Road','Brigham City','AK','65151','cooley@email.net',1234988,'677-745-0949',84082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram U. Delgado','Ap #179-7907 Aliquet Road','Blacksburg','ME','41016','hiramd@bpmpros.com',1234989,'378-845-5806',96738,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem P. Mayo','657-2562 Ut Av.','Bellingham','OK','07359',NULL,1234990,'566-745-5891',84477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot P. Robbins','P.O. Box 490, 1751 At, Road','Middletown','AZ','74882','robbins@bpmpros.com',1234991,'232-608-3428',43123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara A. Willis','Ap #781-1184 Nec, Ave','Sandpoint','FL','26901','daraw@email.net',1234992,'884-925-6339',87634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota B. Rowland','P.O. Box 146, 5360 Fermentum Ave','Plantation','SD','09826',NULL,1234993,'827-701-6362',75534,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis K. Conrad','358-7728 Ut Avenue','Mequon','KY','19718','conrad@aulnet',1234994,'635-563-1738',22489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade S. Bennett','P.O. Box 401, 2587 Scelerisque Street','Monterey Park','NM','93312','wbennett@xyz.edu',1234995,'222-866-2284',18169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden C. Dotson','9537 Sit Street','Minneapolis','WV','59868','dotson@xyz.edu',1234996,'209-413-5981',38980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor S. Williamson','3310 Elit. St.','DeKalb','ID','80466','chancellorw@emailathome.net',1234997,'443-363-2054',75149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joshua U. Grant','4485 Auctor, Rd.','Rialto','VT','16224',NULL,1234998,'371-916-2325',74893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton C. Blake','744-3295 Mi, Rd.','York','MS','31847','blake@hitmail.com',1234999,'173-454-3795',24855,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai G. Butler','Ap #225-1844 Ultricies St.','Frisco','AL','91489','butler@xyz.edu',1235000,'847-404-1995',95381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith N. Brock','Ap #833-4385 Ut Street','Hermitage','WV','96398',NULL,1235001,'778-625-0281',33841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah B. Pacheco','Ap #384-433 Pede, Av.','Fort Lauderdale','CT','00307',NULL,1235002,'796-574-0991',42926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela M. Fuentes','Ap #869-8190 Egestas St.','Blythe','DC','33033','fuentes@aulnet',1235003,'542-237-6117',26229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica K. Solomon','3483 Erat St.','Concord','MI','53896','angelica.solomon@aulnet',1235004,'201-645-7684',39035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo Z. Merritt','5123 Arcu. Ave','Laguna Beach','AL','18023','yeom@yohaa.com',1235005,'403-124-0885',64774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine Z. Holmes','Ap #715-5134 Congue Road','Farmer City','MO','54572',NULL,1235006,'697-999-9230',17001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara O. Norris','Ap #411-5299 Pede, St.','Charleston','AK','50204','caran@widget.com',1235007,'777-464-3643',93303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip V. Hendricks','584-2036 Neque St.','Victoria','VT','97548','phendricks@emailathome.net',1235008,'743-521-8841',62623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara I. Jensen','P.O. Box 598, 9671 Eu Av.','Michigan City','CA','98586','jensen@widget.com',1235009,'134-887-3071',105410,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale L. Gay','7650 Dolor. Av.','Pendleton','WV','54893','dgay@emailathome.net',1235010,'753-466-7445',89934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie Y. Erickson','915-6283 Porttitor Rd.','Boulder','ND','67411','erickson@xyz.edu',1235011,'315-977-3330',95467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina Q. Mckinney','Ap #784-3830 Pede, Av.','Taylorsville','ND','33790',NULL,1235012,'212-527-4947',49268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson F. Sparks','9421 Cras Rd.','Glens Falls','MI','33727','samsons@aulnet',1235013,'107-228-4710',35890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany Z. Madden','6747 Est, Road','Amesbury','KS','69632',NULL,1235014,'106-716-4393',90231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mollie X. Herring','898-9822 Lectus Rd.','Sheboygan','OR','01871','herring@emailathome.net',1235015,'504-519-2357',86119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie O. Arnold','173-9541 Eu, Road','Sunnyvale','WI','75577','jarnold@aulnet',1235016,'448-853-3725',21059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna V. Frazier','543-7685 Nec, Street','Salisbury','NH','56322','rfrazier@bpmpros.com',1235017,'901-348-0014',83383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin U. Avery','Ap #537-6694 Phasellus Road','Weirton','WI','51308','gavery@hitmail.com',1235018,'731-631-9890',94569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava O. Huber','661-8137 Faucibus Rd.','Waltham','CO','09660',NULL,1235019,'178-709-4493',39681,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler C. Glass','Ap #501-2795 Interdum Av.','Youngstown','AK','15824','tyler.glass@email.net',1235020,'495-464-1735',30699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve L. Underwood','Ap #300-611 Ante Street','Clearwater','ND','74199','eveu@yohaa.com',1235021,'914-409-7739',59380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle Q. Mayo','P.O. Box 322, 7477 Etiam Rd.','Monterey Park','MN','11985',NULL,1235022,'175-999-3091',91549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus H. Brooks','458 Lacus. Ave','Cincinnati','WI','57728',NULL,1235023,'827-426-8258',66738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus R. Peters','6850 Sem St.','Aspen','MI','65350','linus.peters@widget.com',1235024,'124-906-7483',43719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris C. Solis','3271 Fermentum Rd.','Sugar Land','TX','85191','boriss@aulnet',1235025,'737-849-1407',32633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James N. Olson','880-4603 Id Av.','Sheboygan','OH','58244','olson@xyz.edu',1235026,'436-163-8110',66169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo S. Shelton','P.O. Box 487, 3272 Lorem, Rd.','Nampa','IA','95154','cleo.shelton@emailathome.net',1235027,'498-734-8067',28970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn R. Rhodes','721-1319 Vestibulum Rd.','North Pole','CT','42647','rosalyn.rhodes@aulnet',1235028,'892-289-9238',39033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita K. Long','P.O. Box 851, 9054 Nunc. Street','Lexington','MT','64306','zorita.long@hitmail.com',1235029,'145-846-0360',64755,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen U. Sears','P.O. Box 844, 6773 Lacus. Road','El Cerrito','NC','16880',NULL,1235030,'397-433-1782',23069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen P. Duffy','590-4582 Arcu. St.','Middlebury','LA','07523',NULL,1235031,'504-792-0332',26121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria F. Livingston','3066 Phasellus Av.','Sutter Creek','GA','72452','dlivingston@abc.edu',1235032,'215-565-8440',62545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan U. Heath','227-4357 Interdum. Rd.','Butte','WV','15397',NULL,1235033,'841-965-4202',81921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall F. Flynn','3053 Felis Ave','Hagerstown','KS','43545','kendall.flynn@emailathome.net',1235034,'175-859-9554',103355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara F. Kelley','Ap #818-3939 Magna. St.','Cruz Bay','SC','11355','tamara.kelley@abc.edu',1235035,'801-985-8347',101031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa V. Dixon','P.O. Box 556, 7645 Quisque Ave','Merced','IA','18329','alexa.dixon@emailathome.net',1235036,'785-685-5604',21530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima Z. Dejesus','4167 Felis Rd.','Cranston','TX','42113','dejesus@emailathome.net',1235037,'945-914-3729',47164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha U. Whitney','P.O. Box 945, 9367 Sed Road','Lakeland','PA','62604','whitney@hitmail.com',1235038,'718-764-6870',75811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa Z. Wilkins','8186 Turpis Avenue','Hazleton','PA','25691','wilkins@aulnet',1235039,'952-433-2095',83125,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah T. Garrison','Ap #506-1456 Ipsum Street','Overland Park','GA','97312','sarahg@hitmail.com',1235040,'113-964-3075',23256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole U. Cobb','Ap #108-7992 Ligula. Rd.','Fernley','MN','68065','cobb@aulnet',1235041,'488-492-3557',71969,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn R. Fletcher','605-9884 Cras Rd.','Bandera','NH','07366','ffletcher@bpmpros.com',1235042,'332-711-0014',73706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela F. Cannon','946 Diam. Road','Two Rivers','MD','42672','pamela.cannon@aulnet',1235043,'419-143-2132',35084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma Q. Hart','2632 Dolor St.','Coos Bay','HI','15900','ifeoma.hart@aulnet',1235044,'278-419-3136',47001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob O. York','3156 Lorem Road','Klamath Falls','CO','23854','jacoby@bpmpros.com',1235045,'455-462-2021',53385,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy A. Hurley','P.O. Box 375, 5820 Donec Avenue','Jeffersonville','IL','39562','hhurley@aulnet',1235046,'527-972-3435',60561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy W. Oconnor','7596 Magna. St.','Bangor','VA','33527','maggyo@emailathome.net',1235047,'584-826-5146',62549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett B. Baxter','Ap #279-7057 Ornare, Ave','Sun Valley','CA','05538','sbaxter@yohaa.com',1235048,'156-639-3668',96109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis J. Mcconnell','261-3207 Convallis Rd.','Cape Girardeau','ME','44940','alexism@hitmail.com',1235049,'588-644-1745',59379,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley I. Hensley','Ap #919-6336 Et Avenue','Bentonville','CA','49294','ainsleyh@email.net',1235050,'244-623-2673',58396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron Y. Todd','P.O. Box 284, 3142 Duis Street','Vallejo','CO','28268','byront@yohaa.com',1235051,'463-607-2304',107818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter L. Saunders','145-437 Varius Ave','Naperville','IL','32551','peters@hitmail.com',1235052,'721-283-7999',36989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena F. Herrera','Ap #687-9568 Semper Street','Aberdeen','OH','93136','herrera@aulnet',1235053,'697-417-5002',104822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir E. Dyer','837-9116 Phasellus Ave','Appleton','MS','18611','dyer@widget.com',1235054,'748-436-7533',67519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig M. Merritt','Ap #551-5627 Felis Av.','Baton Rouge','KS','73191','hmerritt@abc.edu',1235055,'714-552-9976',58736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk A. Atkins','Ap #944-5292 Urna, Rd.','Columbia','MI','75358',NULL,1235056,'551-265-7166',26193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko P. Forbes','Ap #100-9628 Eu, Street','Bozeman','WA','35511','hforbes@bpmpros.com',1235057,'861-321-5852',16565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton D. Sharpe','Ap #208-4607 Cursus, St.','Fort Dodge','CT','09644',NULL,1235058,'356-126-4469',44890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria I. Cole','171-1653 Sodales St.','Clearwater','GA','30839','demetriac@abc.edu',1235059,'684-831-9663',29284,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve M. Fuller','400 Dignissim Rd.','Manchester','IL','43296',NULL,1235060,'381-338-6226',28465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana N. Finch','5191 Lobortis Rd.','Chicago Heights','KS','85350','tatiana.finch@aulnet',1235061,'689-317-2410',23448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo T. Gaines','P.O. Box 997, 2756 Rutrum St.','Norwalk','SD','10096','giacomo.gaines@emailathome.net',1235062,'357-936-1534',104583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie A. Kirkland','3444 Neque Av.','Atwater','TX','41032','joliek@abc.edu',1235063,'233-868-5511',79555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola C. Keith','Ap #719-8246 Fermentum Avenue','Jacksonville','MS','34786','keith@bpmpros.com',1235064,'819-143-9004',67993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon G. Mayo','658-551 A, St.','Vineland','IA','70815',NULL,1235065,'692-502-5534',66884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato C. Stephens','661-5191 Nec Rd.','Oxnard','ID','54934','honoratos@aulnet',1235066,'749-442-8523',16065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon O. Romero','Ap #721-1209 Urna. Rd.','Ada','IA','51216',NULL,1235067,'341-191-3322',96302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine W. Mathews','214-348 Risus. Road','Beverly Hills','SD','17769','jermaine.mathews@xyz.edu',1235068,'176-326-2166',66481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana K. Stevenson','526-8086 Aliquam Rd.','Peabody','NJ','49857','stevenson@hitmail.com',1235069,'627-703-9282',61080,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani A. Thompson','863-2266 Lorem Ave','Peabody','KS','98138','lanit@aulnet',1235070,'186-613-3142',59761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gwendolyn Y. Kerr','4204 Non Road','Chula Vista','MD','05445',NULL,1235071,'368-167-6288',72328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann W. Haney','535-6984 Etiam Ave','Rock Springs','MN','83399',NULL,1235072,'745-903-0707',16146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina Q. Moran','584-7784 Urna St.','Somerville','AK','45539','whileminam@emailathome.net',1235073,'839-674-5876',70699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn P. Harrell','P.O. Box 761, 647 Ante St.','Phenix City','IL','23178','quyn.harrell@hitmail.com',1235074,'618-547-0216',28164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet S. Elliott','400-6899 Non Rd.','Martinsburg','AK','35768','scarlete@aulnet',1235075,'947-656-0031',47057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn M. Reed','P.O. Box 937, 6784 Nunc St.','Malibu','IL','31266',NULL,1235076,'135-973-5396',50334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominic S. Reilly','P.O. Box 169, 5401 Ipsum. Rd.','Hidden Hills','AL','25966',NULL,1235077,'324-359-3328',75861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burton A. Jefferson','Ap #247-7502 Sem Street','Tustin','ID','24250','burton.jefferson@bpmpros.com',1235078,'217-441-7000',47109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey Z. Vega','7798 Vitae, Road','Newton','OK','61694','dvega@email.net',1235079,'219-221-9740',63106,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin P. Berg','Ap #838-6671 Tempor Street','Tucson','SD','53915','justin.berg@abc.edu',1235080,'609-719-9409',34740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall S. Wiley','893-3376 At, St.','Sandy','OH','54208','kendall.wiley@abc.edu',1235081,'214-724-4433',99892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae C. Floyd','9570 At Street','Fort Collins','CO','95660','hanaef@hitmail.com',1235082,'181-893-2756',29440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivien O. Wynn','9384 Ut Road','Fargo','CO','48007','vivien.wynn@email.net',1235083,'664-773-7620',99179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia O. Mayer','Ap #668-3600 Quisque Rd.','Turlock','MN','50499','virginia.mayer@emailathome.net',1235084,'507-261-8436',18138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly X. Nash','610-7535 Molestie Street','Yonkers','GA','63024','kelly.nash@yohaa.com',1235085,'524-121-2910',46314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram J. Morton','473-5467 Nunc Street','Redlands','WY','13687','morton@yohaa.com',1235086,'703-326-3565',56903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora U. May','P.O. Box 155, 5348 Dolor. St.','Iowa City','MS','43867','nmay@xyz.edu',1235087,'546-358-5838',52803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida V. Greer','Ap #846-1660 Ut Avenue','Reedsport','VT','37381','greer@email.net',1235088,'249-795-9524',52412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra U. Frye','Ap #383-6187 Nulla. Ave','Downey','DE','04142',NULL,1235089,'524-663-3663',31137,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity O. Sims','229-8460 Ultricies St.','Woonsocket','MN','62266','unitys@xyz.edu',1235090,'409-823-4948',73153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick U. Dale','671-2395 Donec St.','Pittsburgh','RI','25987','cdale@emailathome.net',1235091,'245-554-2767',87547,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney J. Mcmillan','P.O. Box 462, 8949 Nec Av.','Lock Haven','AK','82807','mcmillan@yohaa.com',1235092,'885-939-4936',81794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos M. Horn','4092 Egestas. St.','Tamuning','AL','58876','horn@aulnet',1235093,'167-846-3393',85523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha L. Moses','758 Facilisis Rd.','Pottsville','WA','89954','tasham@widget.com',1235094,'742-457-1417',88195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna C. Ramsey','Ap #675-2524 Molestie Rd.','Greenfield','MT','42121','jramsey@bpmpros.com',1235095,'285-936-3934',46837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen C. Delacruz','P.O. Box 265, 6303 Morbi Avenue','Valdosta','SD','31374','karend@yohaa.com',1235096,'505-681-5278',26136,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle L. Gross','Ap #656-5861 Pede. Rd.','Reno','SC','60992','gross@xyz.edu',1235097,'376-872-4620',99074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen A. Wallace','804-9049 Cursus Street','Alhambra','MD','26487','wallace@aulnet',1235098,'471-657-4399',16769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler X. Wilkins','3459 Lorem Avenue','Cumberland','LA','35617',NULL,1235099,'356-194-1588',108375,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle X. Perkins','1691 Diam Avenue','Boise','SC','04517','danielle.perkins@email.net',1235100,'179-805-3037',33435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity A. Medina','Ap #833-1169 Sem Av.','Newburgh','OH','43147','medina@widget.com',1235101,'766-835-5399',55725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gloria Q. Nunez','Ap #265-1495 Ac Street','Gu?nica','WY','65618','glorian@aulnet',1235102,'866-622-3669',106377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark K. Vang','P.O. Box 352, 8868 Sit Rd.','North Pole','MN','42917','mvang@emailathome.net',1235103,'736-503-0344',103848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze X. Henry','777-9242 Dui, Street','Forest Lake','AK','48991','bhenry@widget.com',1235104,'919-645-1482',92137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah T. Ortiz','Ap #201-4343 Maecenas St.','Visalia','UT','81139','deborah.ortiz@email.net',1235105,'231-141-6957',56874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish G. Avery','9915 Libero. Ave','Schaumburg','NY','59588','havery@xyz.edu',1235106,'793-716-8118',91377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery P. Hopper','Ap #765-4562 In Av.','Georgetown','OR','35395',NULL,1235107,'974-776-5823',16647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla V. Dominguez','918-5128 Non, Ave','Ardmore','NC','34579',NULL,1235108,'975-958-6251',26468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raja D. Knapp','5798 Non Ave','Kalispell','ME','41975','rknapp@bpmpros.com',1235109,'323-311-7055',81593,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya V. Bishop','141-124 Nunc Av.','Bowling Green','AL','30471',NULL,1235110,'457-781-9906',19811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane T. Donovan','Ap #340-1750 Felis Street','Waterloo','IA','37568','donovan@xyz.edu',1235111,'141-507-1871',93011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael W. Salazar','Ap #744-3789 Nullam St.','Dana Point','WY','27264',NULL,1235112,'833-873-3805',75806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela L. Moran','893-5096 Quisque Rd.','West Lafayette','NJ','54381','moran@hitmail.com',1235113,'546-388-1515',52682,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan A. Baldwin','449-1308 Malesuada Ave','Sheridan','IL','85949','brennan.baldwin@hitmail.com',1235114,'331-886-1643',34983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis P. Spence','Ap #622-5732 Ac Avenue','Casper','WI','23718','lewiss@widget.com',1235115,'757-188-8649',44969,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanisha N. Gilbert','P.O. Box 285, 1073 Sagittis St.','Saint Paul','SC','73896','tanishag@emailathome.net',1235116,'605-463-3502',36415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan O. Davenport','P.O. Box 844, 7649 Nec Rd.','Corpus Christi','AK','85858','idavenport@xyz.edu',1235117,'856-461-8331',95423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya B. Higgins','Ap #204-2136 Placerat Rd.','Parker','WV','98873','freya.higgins@hitmail.com',1235118,'733-598-9687',102145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey T. Wilkerson','2845 Suspendisse Road','Astoria','MI','13203','caseyw@aulnet',1235119,'181-465-6144',26090,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed X. Frye','6980 Ante. Rd.','Woburn','IL','29651','afrye@xyz.edu',1235120,'972-379-4158',94762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar H. Fowler','Ap #772-2557 Turpis Street','Binghamton','NM','84314','oscarf@yohaa.com',1235121,'976-947-2266',59502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius I. Mcdaniel','Ap #848-2175 Tellus, Avenue','Corvallis','NH','14308','darius.mcdaniel@emailathome.net',1235122,'723-799-6459',82259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance E. Mullins','499-1445 Sodales Street','Berlin','IN','88502','constancem@bpmpros.com',1235123,'911-634-3329',87324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon M. Watts','Ap #595-8496 Enim Rd.','Camden','WY','23411','watts@yohaa.com',1235124,'114-124-6689',108173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett T. Wilcox','P.O. Box 166, 5287 Amet, Avenue','St. Marys','NM','63186','wilcox@hitmail.com',1235125,'708-712-7454',27930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Helen D. Harrington','5145 Nascetur Road','Evanston','AK','92198','helenh@aulnet',1235126,'517-287-0591',47481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig T. Richard','P.O. Box 683, 6880 Eu St.','Loudon','MO','57559','hedwigr@email.net',1235127,'748-355-5325',101450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter G. Ramirez','P.O. Box 184, 6776 Cursus Rd.','Chicopee','OR','25483','cramirez@xyz.edu',1235128,'133-872-1266',74153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore N. Cotton','6390 Nullam Avenue','La Jolla','SC','94467',NULL,1235129,'115-418-6968',27487,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon U. Jordan','737 Nibh Road','La Habra','WA','46856','timonj@yohaa.com',1235130,'303-104-5454',31036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem Z. Benson','485-5083 Et Avenue','Stillwater','MA','34470','kbenson@widget.com',1235131,'327-539-5421',99589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim B. Maldonado','P.O. Box 942, 5958 At Rd.','Marshall','LA','76710',NULL,1235132,'282-418-9575',105262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary V. Mitchell','633 Nunc St.','Santa Fe Springs','WV','43481','zmitchell@bpmpros.com',1235133,'263-372-3131',27584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah Q. Valencia','710-6677 Aliquam Avenue','La Habra','NH','57600',NULL,1235134,'292-355-5369',62982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery Q. Cabrera','740-9457 Nulla St.','Meridian','ME','93250',NULL,1235135,'951-243-4979',44460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan V. Wallace','318-1178 Vitae, St.','Raleigh','WV','36239','wallace@hitmail.com',1235136,'681-532-6740',87989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady C. Bowers','9217 Nec St.','Biloxi','KY','01234','cassadyb@xyz.edu',1235137,'967-926-9790',56433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru N. Jennings','Ap #588-2035 Vitae Rd.','North Adams','MI','72983','njennings@email.net',1235138,'228-186-9129',102693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna J. Workman','2924 Ac Rd.','Bridgeport','MO','12480','briannaw@xyz.edu',1235139,'779-192-9005',19692,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson Z. Rosario','4536 Metus. Avenue','Redding','MI','58889','rosario@widget.com',1235140,'228-296-0052',17346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix P. Dennis','699-4964 Magna Road','Galveston','NY','02061','dennis@aulnet',1235141,'941-179-2753',88581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda U. Knox','494-1579 Mauris Ave','Savannah','CO','75288',NULL,1235142,'349-391-2695',48106,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel D. Savage','3640 Lobortis Street','Benton Harbor','KS','19826',NULL,1235143,'545-379-2083',43916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella V. Dudley','Ap #922-3507 Sem Ave','Williston','TN','14233',NULL,1235144,'251-605-8831',97649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe E. Hutchinson','4343 Lacinia Ave','Kokomo','NY','61563','chloe.hutchinson@abc.edu',1235145,'196-413-4739',72056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara T. Gay','P.O. Box 320, 1747 Fusce Rd.','Watertown','ID','89251','gay@aulnet',1235146,'715-712-1235',104351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ocean O. Johnson','990-3470 Ut Av.','Manhattan Beach','HI','41830','ojohnson@emailathome.net',1235147,'182-806-4175',55611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree J. Cabrera','7578 Lorem Rd.','Ithaca','GA','79224','bree.cabrera@xyz.edu',1235148,'408-417-5971',55872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus A. Vang','P.O. Box 755, 8725 Viverra. St.','Rochester','NY','83953','venus.vang@emailathome.net',1235149,'288-696-9035',16052,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana L. Phelps','421-6805 Accumsan Rd.','Natchez','CA','71555',NULL,1235150,'519-797-2832',104649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin Y. Rivers','738-1501 Nunc Rd.','Springfield','AK','13885',NULL,1235151,'441-869-5567',60126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley K. Yates','440-2777 Orci Ave','Rutland','CA','12035','yates@aulnet',1235152,'912-363-1226',95835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane I. Harper','Ap #630-1650 Nunc Road','Brunswick','WI','08520','thane.harper@widget.com',1235153,'657-578-7308',71096,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah L. Larson','929 Praesent Avenue','Florence','MT','66856','larson@email.net',1235154,'709-864-4112',103108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn V. Franklin','547-7280 Accumsan Rd.','Edmond','IL','74041','jaquelynf@widget.com',1235155,'998-697-4518',83759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden Q. Cameron','824-195 Nulla Rd.','Sedalia','IA','55630','cameron@email.net',1235156,'672-569-1675',34555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon Y. Hoover','Ap #905-320 Aliquet, Rd.','Barrow','OH','07953','simon.hoover@bpmpros.com',1235157,'694-365-8349',105491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly E. Lyons','P.O. Box 252, 5738 Rutrum Avenue','Oswego','AK','76673','carly.lyons@email.net',1235158,'637-221-4952',37473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir E. David','257-7704 Vitae Ave','Joplin','KY','49815','zahird@widget.com',1235159,'499-126-1566',56437,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colby R. Spence','3576 Turpis. St.','Steubenville','GA','68972',NULL,1235160,'955-504-3060',34166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark V. Pittman','Ap #380-1492 Quis, Avenue','Saginaw','DC','30208','clarkp@emailathome.net',1235161,'372-236-5309',52246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra P. Barber','576-7079 Libero Ave','Bossier City','TN','03533',NULL,1235162,'743-124-1507',103583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal I. Pruitt','6216 In Av.','McAllen','KS','49020','amalp@widget.com',1235163,'484-858-0504',85977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila M. Ingram','P.O. Box 869, 2412 Sed Rd.','Ames','RI','19859','ingram@aulnet',1235164,'989-364-1221',90468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique O. Mcconnell','P.O. Box 459, 5613 Duis St.','Evanston','ID','06816','mcconnell@widget.com',1235165,'666-646-8100',45782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius D. Chambers','Ap #456-7980 Enim. Ave','Pierre','SC','01207','demetrius.chambers@abc.edu',1235166,'224-881-3362',61547,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina V. Everett','4968 Arcu. Road','Coatesville','NJ','26327','everett@bpmpros.com',1235167,'558-361-6487',94793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan C. Hobbs','614-1055 Vitae St.','Saukville','MO','04931','dhobbs@emailathome.net',1235168,'369-727-0877',48847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline F. Hutchinson','683-305 Libero Av.','Paducah','HI','77481','madalineh@aulnet',1235169,'524-783-5095',105250,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell H. Farmer','Ap #250-6336 Risus. Ave','Sandy','SD','07974','maxwellf@email.net',1235170,'456-879-6621',84010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace R. Perry','982 A Avenue','Reading','MS','20071','candace.perry@widget.com',1235171,'878-315-9029',79454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek V. Campbell','Ap #364-1157 Metus Street','Methuen','IN','74605','tanek.campbell@aulnet',1235172,'786-555-7696',83182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine K. Marsh','P.O. Box 714, 9957 Senectus Ave','San Marino','WI','22607','catherinem@hitmail.com',1235173,'303-189-4332',21308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz U. Sparks','P.O. Box 612, 1365 Rutrum Road','Irvine','ID','22545','fritzs@bpmpros.com',1235174,'243-555-5440',92832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth X. Curtis','Ap #712-5122 At St.','South Portland','ID','57479','sethc@emailathome.net',1235175,'125-378-7233',81378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama N. Garrison','818-6319 Eu Rd.','Bellflower','MS','77125','rgarrison@bpmpros.com',1235176,'795-711-9887',28978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy V. Booker','587-9613 Sem Road','Roswell','KY','87754',NULL,1235177,'971-675-3953',89335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere Y. Berry','4304 Ultrices St.','Milford','DE','93171','berry@emailathome.net',1235178,'857-445-3018',55448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau T. Hunter','8081 Tincidunt Av.','Gilette','WV','57706',NULL,1235179,'114-208-8332',81647,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah P. Johnston','P.O. Box 643, 4561 Amet Rd.','Thiensville','MD','38985','isaiahj@email.net',1235180,'792-706-9047',56634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina D. Banks','Ap #209-977 Eget, Rd.','Santa Ana','OR','17946','rbanks@abc.edu',1235181,'932-634-3392',61723,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy Y. Alvarado','P.O. Box 507, 5676 Lobortis St.','Santa Rosa','NH','31349','halvarado@aulnet',1235182,'396-228-7511',109362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar M. Hale','766-4435 Sed Road','Latrobe','FL','76908','hale@aulnet',1235183,'258-445-5723',45621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason I. Herring','1589 Massa Av.','Clovis','HI','70698','jasonh@widget.com',1235184,'399-214-9584',26445,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars L. Noel','2224 Consequat, St.','Riverside','NY','82749','lnoel@widget.com',1235185,'809-738-6490',52284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem U. Walter','150-4211 Malesuada Rd.','Needham','VT','56238','kadeem.walter@emailathome.net',1235186,'178-987-6153',73223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell A. Hester','6568 Dolor. Road','Sunnyvale','IL','86921','khester@widget.com',1235187,'645-453-2419',30796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric M. Maddox','9213 Tortor St.','Bradbury','IL','19448','emaddox@xyz.edu',1235188,'131-396-7310',72873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason P. Case','P.O. Box 384, 3771 Pellentesque Rd.','Derby','HI','50060','masonc@abc.edu',1235189,'608-649-8355',83370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver I. Medina','2047 Volutpat. Ave','Dayton','AK','37862','oliver.medina@abc.edu',1235190,'979-929-7947',90024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond J. Floyd','8384 Risus. St.','Houma','PA','98151','raymondf@abc.edu',1235191,'848-135-0289',16652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori T. Hicks','P.O. Box 913, 7196 Nascetur St.','Bayamon','VT','63061','orih@yohaa.com',1235192,'223-161-1051',42972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary I. Byrd','P.O. Box 692, 7603 Integer Rd.','Bowling Green','NV','40613','hillary.byrd@widget.com',1235193,'775-898-8680',82606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine A. Chan','116-8410 Adipiscing, Street','Hawthorne','ND','20671','jermaine.chan@widget.com',1235194,'384-959-8577',39059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn Z. Reeves','9748 Quisque Avenue','Cudahy','IN','66619','reeves@yohaa.com',1235195,'776-804-2002',98130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois P. Walton','842-6521 Blandit. Rd.','Fairfield','SC','06572','lwalton@abc.edu',1235196,'282-968-7729',89343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny R. Conley','756-6941 Sit St.','Newport News','NV','39445','destinyc@yohaa.com',1235197,'918-201-0787',62887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca H. Reyes','2464 Vitae, Avenue','Biloxi','GA','85178',NULL,1235198,'113-615-5255',42713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances B. Hughes','1272 Eu Rd.','Vineland','RI','82161',NULL,1235199,'678-581-8513',18680,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish Q. Tran','P.O. Box 758, 729 Sit Street','Northampton','NV','32715','hamish.tran@emailathome.net',1235200,'886-565-0459',107182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris A. Duffy','Ap #720-3960 Malesuada St.','Powell','MA','96938','marisd@aulnet',1235201,'754-631-1951',55158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa K. Buchanan','719-5288 Vestibulum Road','Athens','ME','73170','abuchanan@widget.com',1235202,'108-753-3934',100880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby I. Mooney','Ap #560-1242 Non Ave','Burlingame','GA','55939','rmooney@widget.com',1235203,'119-228-8802',87151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda R. Newman','659 Elit. Street','Bakersfield','OK','87893','hedda.newman@yohaa.com',1235204,'497-398-2000',107851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler F. Briggs','3452 Lectus. Rd.','Plymouth','DC','20338','tyler.briggs@abc.edu',1235205,'118-558-1870',17204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma A. Calderon','P.O. Box 110, 7249 Eu St.','Nome','UT','03124','scalderon@email.net',1235206,'463-572-9391',29094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naomi E. Combs','P.O. Box 412, 3759 Arcu. Street','Grand Forks','LA','21325','naomic@emailathome.net',1235207,'449-813-4844',36043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley J. Malone','Ap #634-817 Senectus Ave','Rialto','WA','25056','malone@aulnet',1235208,'473-822-6341',40094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum M. Klein','3443 Morbi St.','Savannah','MD','18321','tklein@emailathome.net',1235209,'837-575-7579',36340,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan I. Horne','8727 Varius. Road','New Kensington','VT','71852','brennanh@abc.edu',1235210,'795-978-6351',26101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle C. Snow','Ap #656-3697 Libero Avenue','Taylorsville','MN','39400','aristotle.snow@yohaa.com',1235211,'464-158-0366',83203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney V. Richardson','5831 Aliquam Rd.','Nanticoke','MN','36180','crichardson@emailathome.net',1235212,'231-367-6734',89287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel L. Castro','P.O. Box 322, 6738 Cras Road','Sierra Vista','DC','64490','ncastro@yohaa.com',1235213,'681-712-0786',66275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton I. Bolton','3195 Sit Street','New Orleans','WI','87523','clayton.bolton@aulnet',1235214,'964-122-1033',16818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron Q. Dickson','Ap #101-3524 Parturient Rd.','West Allis','RI','72859',NULL,1235215,'473-447-4696',81896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan S. Allison','167-6993 Nulla Street','Baytown','AK','87559',NULL,1235216,'518-892-2397',22458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel U. Hardin','Ap #506-6509 Orci. Road','Stamford','MT','63940','rhardin@hitmail.com',1235217,'501-918-8100',61889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi O. Rutledge','857-5915 Consectetuer St.','Stamford','IA','85649','yoshi.rutledge@yohaa.com',1235218,'681-291-1099',32620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan R. Atkinson','802-280 Elementum Av.','Nashville','NM','98174','atkinson@email.net',1235219,'814-404-5946',16482,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima F. Mcdowell','4437 Bibendum. Rd.','Kankakee','CT','78027','imam@emailathome.net',1235220,'935-326-7661',34006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik W. Moon','864-5105 Nascetur St.','Barre','OR','81950',NULL,1235221,'187-913-2499',21892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian H. Brock','P.O. Box 901, 8060 Sem, Ave','Milwaukee','OR','42134',NULL,1235222,'194-172-0942',47807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine K. Delgado','Ap #281-902 Sem Road','Scarborough','CA','81034','delgado@widget.com',1235223,'268-253-2243',36032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha O. Mcgee','2145 Cras Av.','Cincinnati','ND','44183','mcgee@aulnet',1235224,'386-893-6189',61725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock V. Harding','926-5354 Lorem Street','Dodge City','VA','51606','brockh@email.net',1235225,'899-286-9885',15529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga M. Jefferson','277-1517 Habitant Av.','Port Huron','CO','04355','nomlanga.jefferson@widget.com',1235226,'162-862-9478',36052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle F. Hancock','Ap #310-7168 Nullam Av.','Artesia','MA','55659','michelleh@email.net',1235227,'115-187-8488',94067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merritt B. Montoya','758-8719 Dui, St.','Agoura Hills','WI','34799','montoya@abc.edu',1235228,'559-564-5414',100724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenia T. England','147 Viverra. Avenue','Vallejo','AK','07310','zeniae@aulnet',1235229,'881-835-7921',63904,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida Z. Delacruz','393-8879 Etiam Street','Chattanooga','CO','16823','ndelacruz@widget.com',1235230,'334-125-8605',69278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt C. Noble','P.O. Box 547, 1369 Consectetuer Avenue','Galesburg','SD','99515','coltn@xyz.edu',1235231,'438-673-7075',79710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan G. Buckner','902-6924 Lorem Av.','Idabel','ME','28217','quinlanb@email.net',1235232,'723-262-8445',55791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa C. Bryant','944-213 Diam Street','Pittsburgh','TN','25843',NULL,1235233,'151-884-9458',100572,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta I. Graves','157-6976 Dictum. Rd.','Santa Barbara','AL','84609',NULL,1235234,'543-504-3972',53108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey H. Bowman','Ap #341-9166 Turpis Rd.','Belleville','KS','33317','daceyb@widget.com',1235235,'926-569-9722',77048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem B. Lee','464-727 Lorem, Rd.','Worland','ND','05939','akeem.lee@email.net',1235236,'356-373-7427',30735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas V. Whitley','7616 Sit Rd.','Bristol','HI','28128','jwhitley@hitmail.com',1235237,'722-657-2845',73614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel I. Reeves','832-7626 Elementum Street','San Gabriel','OH','96015','sreeves@emailathome.net',1235238,'344-965-6128',16259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason Q. Hubbard','4828 Aliquet St.','Kokomo','IL','09798','mason.hubbard@abc.edu',1235239,'401-924-3208',95246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale T. Boyer','P.O. Box 888, 2323 At, Ave','Houma','TN','09019','boyer@xyz.edu',1235240,'818-319-1334',73444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato L. Garrison','P.O. Box 899, 1705 Cum Road','Holyoke','PA','60670','honorato.garrison@aulnet',1235241,'781-599-7089',60438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carol C. Hewitt','Ap #295-1754 Magna. Ave','Roanoke','CO','87948',NULL,1235242,'618-309-8986',21909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel O. Macias','Ap #489-7221 Sem Avenue','Corinth','NC','72069','nathanielm@widget.com',1235243,'107-626-9257',41559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma J. Harrington','9931 Aenean Avenue','Valdez','NE','70568','irma.harrington@yohaa.com',1235244,'775-785-4480',51658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna E. Mclean','Ap #773-1888 Proin St.','Littleton','NC','15096','mclean@aulnet',1235245,'665-349-9253',83554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca C. Holder','856-921 Adipiscing St.','Shawnee','NJ','24740','francesca.holder@aulnet',1235246,'837-402-6416',84616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau L. Bowen','Ap #512-5601 Duis Rd.','Sierra Madre','IA','89913','mbowen@hitmail.com',1235247,'754-591-9936',56936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jesse E. French','Ap #261-9196 Blandit Road','Commerce','NY','91680','jessef@xyz.edu',1235248,'794-457-9488',57380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle X. Knight','P.O. Box 796, 2300 Donec Av.','Pembroke Pines','WV','56957',NULL,1235249,'637-331-6886',42656,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew T. Leblanc','Ap #448-8596 Venenatis St.','Passaic','DC','12278','matthew.leblanc@xyz.edu',1235250,'226-753-0847',82511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria A. Goodman','Ap #708-9169 Morbi Av.','Hamilton','AK','28430','daria.goodman@aulnet',1235251,'709-825-6876',86130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire L. George','406-5710 Orci, Ave','Corry','AL','02631','claire.george@xyz.edu',1235252,'162-761-5951',92914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee O. Russo','P.O. Box 117, 8278 Magna. St.','Lawrence','LA','38241',NULL,1235253,'873-944-6052',19238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda W. Harmon','159-3387 Ac St.','La Habra Heights','CA','45684','bharmon@email.net',1235254,'926-708-6423',64578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel O. Landry','445-1065 Euismod Avenue','Steubenville','MI','55291',NULL,1235255,'986-802-5192',67714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn B. Macdonald','Ap #851-9734 Ipsum. St.','Bellingham','HI','65220','macdonald@aulnet',1235256,'513-598-2098',32915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine T. Bray','9569 Lacus. Rd.','Portland','MN','50746','bray@bpmpros.com',1235257,'378-421-5703',17615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock W. Finch','718 Sollicitudin St.','Centennial','NM','33808','brock.finch@aulnet',1235258,'974-601-4435',108864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar J. Mcgowan','Ap #145-548 A, Ave','Saint Louis','AK','69093','caesar.mcgowan@bpmpros.com',1235259,'902-886-4868',44110,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora H. Herman','Ap #453-7371 Fusce St.','Fernley','MI','48918','herman@hitmail.com',1235260,'112-914-7901',99409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas F. Becker','104-4832 Dolor Rd.','Cary','MD','89538','nicholas.becker@aulnet',1235261,'547-559-4742',82571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana P. Herring','9124 Lorem Rd.','Waterloo','IN','43681','herring@bpmpros.com',1235262,'635-589-2342',95824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chanda C. Morris','Ap #541-2058 Lacus, St.','Williamsport','IN','50393','cmorris@yohaa.com',1235263,'985-629-1083',59861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn I. Mcknight','456-3231 Ultrices Street','Tyler','VT','16876','mcknight@xyz.edu',1235264,'279-255-7848',100206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith J. Cochran','Ap #230-433 Quis, Av.','Bowie','NE','48864','cochran@widget.com',1235265,'732-802-9666',60655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April J. Kaufman','Ap #110-4634 Integer Ave','Kalamazoo','DC','68517','aprilk@hitmail.com',1235266,'572-203-9149',93053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur H. Mills','Ap #551-7906 Lorem St.','Jefferson City','MT','67435','amills@abc.edu',1235267,'943-425-5385',58026,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter H. Koch','Ap #517-2649 Tristique St.','Eatontown','WI','42510','dkoch@hitmail.com',1235268,'956-909-3238',67040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity A. Hogan','808-916 Eu Avenue','Spokane','ID','23766','hogan@email.net',1235269,'487-333-1325',75224,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie E. Harper','P.O. Box 307, 7641 Placerat Av.','Kona','AL','21445','leslieh@yohaa.com',1235270,'213-509-8420',89930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine K. Macias','Ap #880-7652 In Avenue','San Clemente','CA','13535','josephinem@hitmail.com',1235271,'982-204-7035',61960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy H. Mckinney','Ap #276-1077 Non, St.','Franklin','AK','13327','lucym@xyz.edu',1235272,'963-854-0587',80401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne E. Gill','868-1066 Congue, Avenue','City of Industry','AZ','10524','gill@xyz.edu',1235273,'952-825-6797',48105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale A. Kirk','P.O. Box 663, 7864 Integer Av.','Pass Christian','MS','50361','kirk@yohaa.com',1235274,'996-848-6623',57091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen U. Benson','8489 Gravida Rd.','Idaho Falls','AZ','79054','cbenson@xyz.edu',1235275,'292-381-8656',46815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette R. Wallace','Ap #503-1386 Bibendum St.','Flint','IN','34804','colette.wallace@xyz.edu',1235276,'968-251-4402',25112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila L. Wagner','P.O. Box 510, 389 Mi Av.','Slidell','VA','11855','leila.wagner@yohaa.com',1235277,'759-728-8782',35131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi I. Little','3460 Ante, Rd.','Glendora','UT','76588','wlittle@xyz.edu',1235278,'664-349-2111',109182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace G. Albert','4811 Purus Avenue','Littleton','ID','51698','wallacea@emailathome.net',1235279,'446-214-5375',74989,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren T. Palmer','1937 Sollicitudin Rd.','Santa Clara','OK','22508','palmer@yohaa.com',1235280,'667-403-1234',94805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah J. Eaton','P.O. Box 241, 1603 Massa. St.','Radford','VA','63885','rajahe@xyz.edu',1235281,'393-951-3634',97616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver S. Wells','P.O. Box 922, 4384 Et, St.','Clemson','AK','99462',NULL,1235282,'347-631-5919',70927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper L. Hodges','P.O. Box 775, 6112 At, Road','Egg Harbor','NC','76375','kasper.hodges@aulnet',1235283,'837-175-6161',26107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reed S. Burris','P.O. Box 602, 9364 Duis Rd.','Georgetown','IA','95072','rburris@aulnet',1235284,'447-275-2508',82278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith V. Benton','Ap #794-7394 Quis St.','Peru','KS','62667',NULL,1235285,'631-177-2524',20670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey T. Frye','Ap #526-5723 Quisque Road','Butler','ID','59821','geoffreyf@hitmail.com',1235286,'589-219-1873',52274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela L. Rutledge','P.O. Box 474, 5077 Tincidunt, St.','Sault Ste. Marie','VT','13773',NULL,1235287,'695-175-1853',88307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emma E. Park','Ap #778-6323 Morbi Rd.','Signal Hill','DC','02515','emmap@email.net',1235288,'499-985-0501',59156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk G. Le','287-7363 Cursus Street','Alpharetta','WI','14516','kirk.le@aulnet',1235289,'133-422-3163',82420,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell E. Marks','195-3212 Placerat, St.','Saratoga Springs','KS','24649','marks@abc.edu',1235290,'266-398-6200',55038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott D. Holmes','739-948 Elementum, Avenue','Port St. Lucie','SD','14348','prescott.holmes@aulnet',1235291,'187-244-4421',81671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Farrah D. Donaldson','579-6837 A Ave','Miami Gardens','ID','01816','donaldson@emailathome.net',1235292,'255-243-4859',38509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah Y. Booker','P.O. Box 301, 221 Ipsum Street','Garland','PA','94106','savannahb@aulnet',1235293,'923-287-3297',24976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada J. Moreno','576-643 Ornare Ave','Haverhill','PA','57552','kiayadam@aulnet',1235294,'758-781-8671',104499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick B. Underwood','705-2857 Ullamcorper, Rd.','Pittsburgh','GA','94741',NULL,1235295,'494-253-8336',18637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine Z. Snow','P.O. Box 229, 3295 Ac Ave','Jefferson City','SD','09293','bsnow@abc.edu',1235296,'945-448-4902',45485,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly J. Wolf','429-6119 At, Av.','Hanahan','MO','35934','holly.wolf@hitmail.com',1235297,'238-173-4119',26751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian L. Cruz','2050 Mus. St.','Arvada','DE','50533',NULL,1235298,'127-631-3486',101801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette V. Simmons','P.O. Box 596, 8040 Non, St.','Douglas','LA','45906','ysimmons@xyz.edu',1235299,'531-657-1885',48745,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine G. Craig','P.O. Box 770, 1827 Lacinia St.','Carson City','IA','69615','mcraig@widget.com',1235300,'612-142-6098',101616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder G. Giles','Ap #203-6058 Sit Rd.','Nogales','TX','17187','ryderg@aulnet',1235301,'893-414-4660',73785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm N. Simpson','9331 Odio St.','Raleigh','KY','99170','malcolm.simpson@widget.com',1235302,'888-668-8092',58288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra N. Warren','742-436 Nec, Rd.','Marquette','MT','80689','kyraw@emailathome.net',1235303,'759-648-1160',31915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge Q. Gamble','P.O. Box 465, 8502 Fermentum Street','Las Vegas','CT','68248','mgamble@email.net',1235304,'828-687-1263',53955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona P. Guy','P.O. Box 283, 9680 Non, Ave','Guayama','NM','76835','fionag@bpmpros.com',1235305,'284-112-6998',38245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila R. Chandler','P.O. Box 898, 2404 Ipsum Rd.','La Palma','CA','70647','lchandler@bpmpros.com',1235306,'573-767-7783',83775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samantha Z. Charles','Ap #388-8664 Leo. Street','Stevens Point','GA','22103','samantha.charles@widget.com',1235307,'841-423-0897',74199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean J. Blanchard','172-5784 Orci Street','Warren','MD','65198','blanchard@widget.com',1235308,'392-132-4544',56563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory B. Combs','958-5185 Pharetra Street','Princeton','AK','45400',NULL,1235309,'699-981-9224',88891,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani F. Tyson','503-3784 Praesent St.','Pasco','MD','49085',NULL,1235310,'596-285-0750',103244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry S. Jones','6261 Ante Road','Lewiston','GA','84729',NULL,1235311,'738-387-7052',21952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo C. Rivera','Ap #927-9859 Nulla Rd.','Winston-Salem','TN','06391','echor@abc.edu',1235312,'121-858-0458',62807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice O. Briggs','Ap #631-4060 Volutpat. Av.','Enfield','MT','39736','briggs@yohaa.com',1235313,'138-258-9070',67749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton B. Strong','Ap #758-8606 Morbi Avenue','Gadsden','KS','86816','denton.strong@bpmpros.com',1235314,'653-682-8407',62247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul B. Serrano','P.O. Box 423, 6982 Integer Ave','Rensselaer','CA','48624','pserrano@email.net',1235315,'541-104-7855',42874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy U. Foley','3256 Mi St.','Sitka','WV','77071','lacy.foley@aulnet',1235316,'944-498-4988',79884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma E. Hewitt','841-3053 Eget Avenue','New Kensington','ND','62930','paloma.hewitt@aulnet',1235317,'103-957-3458',53120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett C. Olson','237-978 Nam St.','Rolling Hills','WI','60822',NULL,1235318,'854-966-9122',72411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa A. Bishop','P.O. Box 374, 8620 Nulla Ave','Hamilton','MN','43503','risab@emailathome.net',1235319,'436-291-0660',90423,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya K. Duran','901-978 Euismod Street','Leominster','FL','68902',NULL,1235320,'516-852-0421',20380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett W. Buck','P.O. Box 494, 7064 Tincidunt. Road','Ogden','KS','57016',NULL,1235321,'928-545-3963',51683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah L. Horn','513-9288 Ipsum Rd.','McAllen','VT','24371','tamekahh@widget.com',1235322,'498-417-8611',68337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda Y. Hyde','475-4697 Eu Avenue','Pascagoula','UT','70404','hyde@widget.com',1235323,'776-164-4812',61579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian B. Hardin','7293 Erat Av.','Rockford','ME','00627',NULL,1235324,'678-145-7521',17743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basia H. Daniel','Ap #669-4947 Nunc Rd.','Lynwood','NY','03503','basia.daniel@yohaa.com',1235325,'232-719-8555',32526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora F. Nelson','462-3430 Mi Av.','Chino','AK','60964','onelson@widget.com',1235326,'578-619-3291',99601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana B. Perry','979-2715 Turpis Road','San Antonio','ME','44604',NULL,1235327,'678-156-6769',18078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn X. Carson','1125 Feugiat Av.','East Rutherford','IN','04108','carson@yohaa.com',1235328,'569-127-8325',105905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander Y. Cannon','P.O. Box 983, 6129 Phasellus Rd.','West Covina','WI','27732','alexander.cannon@aulnet',1235329,'832-401-3282',70955,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis O. Sanford','270-6195 Sagittis Avenue','Miami Beach','DC','19747','bevis.sanford@xyz.edu',1235330,'479-312-6110',53123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed Z. Gay','Ap #324-1106 Nam St.','Aliquippa','MI','69078','ahmedg@yohaa.com',1235331,'816-396-5071',31178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane O. Dawson','Ap #134-7104 Ut Rd.','Boulder','IN','75634','tdawson@abc.edu',1235332,'704-629-8153',37890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek K. Kerr','939 Mauris Ave','Fairmont','NE','64871','derekk@hitmail.com',1235333,'345-826-1781',70460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea X. Murray','721-919 Ac Avenue','Calabasas','ND','22487',NULL,1235334,'268-503-3284',18330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman Q. Mayo','Ap #131-1590 Suspendisse Street','Vincennes','OR','34466',NULL,1235335,'844-103-6159',53554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia L. Hendrix','P.O. Box 905, 2260 Est Avenue','Moreno Valley','WA','66500','ignaciah@xyz.edu',1235336,'167-911-9236',52113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone U. Lindsey','P.O. Box 479, 9312 Non Avenue','Flint','KS','25391','simone.lindsey@abc.edu',1235337,'992-168-9799',17372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig K. Lang','P.O. Box 431, 100 Enim St.','Kenosha','SC','10635',NULL,1235338,'127-928-0869',74084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan Q. Smith','P.O. Box 882, 4327 Amet, Road','Escondido','ID','03414','kylans@bpmpros.com',1235339,'141-277-1951',90104,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel K. Bishop','P.O. Box 629, 3048 Erat Avenue','Burlingame','MN','61175',NULL,1235340,'689-739-8079',17303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand V. Blankenship','P.O. Box 430, 846 Vestibulum. St.','Fall River','WV','40812','ferdinand.blankenship@abc.edu',1235341,'987-567-2060',23973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt D. Wilkinson','3056 Erat St.','Corvallis','DC','46680','wilkinson@abc.edu',1235342,'762-959-7164',44913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana I. Carter','901-3105 Donec Rd.','Harrisburg','TN','92848','carter@bpmpros.com',1235343,'529-391-2500',76089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina Y. Jacobson','240-1966 Velit. Rd.','New London','AZ','80583','njacobson@yohaa.com',1235344,'423-952-1523',21200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erich S. Hays','Ap #455-4977 Arcu Av.','Wheeling','NV','51542','ehays@yohaa.com',1235345,'236-568-4105',83240,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald U. Wyatt','673-2750 Malesuada Road','Chesapeake','AK','54716','fitzgeraldw@xyz.edu',1235346,'368-495-9533',89142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna M. Workman','471-3849 Etiam Avenue','Saint Cloud','AZ','04068','jannaw@widget.com',1235347,'785-154-4484',21348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria W. Schneider','556-7992 Congue Av.','Newport Beach','VA','98302',NULL,1235348,'471-255-2086',67246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick Q. Burks','749-7597 Sit Avenue','Santa Rosa','HI','17815',NULL,1235349,'218-688-7449',66196,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine C. Morrison','Ap #129-7118 Vehicula Ave','Cincinnati','PA','90417','elaine.morrison@email.net',1235350,'323-441-0397',89296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma I. Orr','697-1100 Mauris Road','Brooklyn Park','OH','42242','gorr@xyz.edu',1235351,'751-984-3243',67343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet I. Burke','Ap #426-1529 Et Av.','Bay St. Louis','AK','70413','harriet.burke@aulnet',1235352,'766-417-3907',36236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason U. Buckley','P.O. Box 623, 511 Turpis Street','Rolla','WV','94064','jbuckley@aulnet',1235353,'588-245-6619',76376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron W. Padilla','Ap #526-541 Dui Av.','Richmond','AZ','02397','cpadilla@widget.com',1235354,'462-851-0046',79706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence I. Mccray','P.O. Box 420, 1068 Vitae Street','Sitka','TN','82185','lawrence.mccray@hitmail.com',1235355,'582-854-6046',23806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney U. Delaney','P.O. Box 256, 1162 Odio Av.','Florence','NE','33725',NULL,1235356,'811-393-0566',71274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August R. Faulkner','438-3424 Vulputate, Rd.','Miami Gardens','NV','06949',NULL,1235357,'766-686-8899',47743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus Y. Mcconnell','Ap #654-3864 Parturient Av.','Berlin','WY','51468','linus.mcconnell@widget.com',1235358,'508-274-7506',53536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina T. Luna','Ap #312-9988 Nisi St.','Frankfort','TX','80032','whileminal@xyz.edu',1235359,'501-108-2820',54809,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter V. Nguyen','Ap #795-3535 Mauris St.','El Cerrito','AL','87978',NULL,1235360,'901-512-5107',16377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius L. Schwartz','753-7091 Donec Rd.','Shreveport','MO','53631','dschwartz@xyz.edu',1235361,'609-611-1216',57522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carissa M. Joyner','9134 Egestas, Street','Santa Barbara','DE','91506',NULL,1235362,'971-131-0020',28922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper V. Craft','486-7734 Aliquam Road','Nome','KS','43944','kasperc@bpmpros.com',1235363,'551-522-5625',79575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem V. Moran','Ap #950-2227 Morbi Av.','Worland','ME','76019',NULL,1235364,'165-516-9465',31467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill W. Campbell','Ap #384-6288 Libero Ave','Grambling','IL','68934','campbell@xyz.edu',1235365,'155-119-5345',96351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor A. Blanchard','3970 Mauris, St.','Yonkers','NV','99426','castor.blanchard@email.net',1235366,'319-825-2262',87930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery H. Parks','885-9298 Neque Av.','Morrison','PA','30129','zachery.parks@hitmail.com',1235367,'646-965-7809',23404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy W. Conley','P.O. Box 511, 7759 Duis Avenue','Manchester','KS','00640',NULL,1235368,'961-506-4712',72148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte R. Cooke','Ap #486-2976 Cras Road','Pierre','VT','27337','ccooke@email.net',1235369,'178-938-4459',30112,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola T. Conrad','744-7898 Amet Road','Ypsilanti','DE','01929','nola.conrad@widget.com',1235370,'357-325-2547',15122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley E. Payne','5706 Ornare Avenue','Fort Collins','LA','34104','wesleyp@yohaa.com',1235371,'397-223-9554',90624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck N. Suarez','P.O. Box 331, 5047 Amet Av.','Centennial','FL','53597','beck.suarez@email.net',1235372,'793-199-2221',88702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora O. Meyer','P.O. Box 917, 3464 A Rd.','Glendale','DC','39982','nmeyer@hitmail.com',1235373,'581-273-2724',108553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona T. Mcmahon','952-7378 Massa. Street','Jersey City','TX','09238','imcmahon@xyz.edu',1235374,'221-601-8830',75028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore Q. Keller','228-3354 Aliquam St.','Pocatello','CA','91990','lenore.keller@email.net',1235375,'238-459-9608',65754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima E. Sutton','314 Lacus. Road','Lake Forest','DC','82801','ima.sutton@abc.edu',1235376,'192-105-9408',54543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla G. Wallace','P.O. Box 516, 3830 Ornare Road','Macomb','ID','45828','wallace@yohaa.com',1235377,'721-722-7266',80751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama C. Mack','855-8533 Eleifend Rd.','Longview','IA','56091','rmack@xyz.edu',1235378,'821-551-1729',108997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara R. Mccall','2185 Lorem, St.','Newark','DE','63768','tamara.mccall@xyz.edu',1235379,'378-551-5055',34944,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin D. Ratliff','Ap #978-3156 Iaculis Rd.','Sheridan','RI','95959','erinr@yohaa.com',1235380,'628-997-4570',70383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth U. Manning','9398 Penatibus Street','West Hartford','NM','46786','gmanning@widget.com',1235381,'482-345-0447',101185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena X. Knapp','448-4970 Ut Av.','San Jose','IA','93030','aknapp@hitmail.com',1235382,'826-208-4524',104103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phillip V. Duke','3646 Feugiat. Ave','Nenana','ID','00579','pduke@xyz.edu',1235383,'873-955-5753',26514,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca Q. Moran','8896 Sapien. Road','Chester','NY','28239','moran@aulnet',1235384,'387-375-5600',33994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina O. Navarro','P.O. Box 580, 8116 At Ave','Morrison','MD','03222','reginan@yohaa.com',1235385,'562-859-0246',103585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle D. Pace','Ap #278-1324 Morbi Road','Taunton','OR','16219','joelle.pace@emailathome.net',1235386,'543-104-8639',98405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg V. Lott','4979 Mauris Street','Muskegon','NY','54695','lott@email.net',1235387,'317-362-5639',65062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy L. Delgado','6063 Dui, Avenue','Cincinnati','HI','81356','troy.delgado@yohaa.com',1235388,'727-448-0752',39380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana E. Mccullough','288-3010 Nunc Rd.','Hartford','GA','44226','dana.mccullough@yohaa.com',1235389,'673-409-6487',37966,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah M. Baker','Ap #442-1297 Aliquet, Rd.','Bethlehem','NJ','73927',NULL,1235390,'244-727-0267',86820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena Z. Klein','524-1636 Fringilla Rd.','Cicero','TX','46720','jenak@abc.edu',1235391,'747-992-6177',58269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez F. Key','P.O. Box 785, 5437 Nunc St.','Plainfield','HI','09156','ikey@widget.com',1235392,'876-524-4150',44619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon T. Schroeder','6842 Aliquet Street','Garden Grove','FL','86577','schroeder@abc.edu',1235393,'583-271-8222',81332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden U. Sargent','Ap #520-9322 Aliquet St.','Vincennes','MI','60157','haydens@widget.com',1235394,'725-218-3982',32705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis W. Lawrence','Ap #273-5045 Semper, Road','Escondido','NC','10470','bevisl@yohaa.com',1235395,'628-353-4718',79043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William W. Brewer','Ap #597-9642 Quis Rd.','Indio','PA','48859','brewer@bpmpros.com',1235396,'421-958-1016',94264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve N. Jones','393-2102 Per Rd.','Brookings','UT','66205','evej@aulnet',1235397,'155-575-3335',52323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn F. Cole','Ap #225-2550 Volutpat. Ave','Bradford','MN','36792','kcole@yohaa.com',1235398,'997-153-5379',76056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk A. Hughes','583-3178 Tempus, Rd.','Yuma','ND','10346','hughes@hitmail.com',1235399,'148-146-0986',45258,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith Y. Landry','3710 Nisi Avenue','New Iberia','IL','25437','llandry@hitmail.com',1235400,'562-276-9716',97930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter M. Kerr','P.O. Box 434, 8016 Suspendisse St.','Winnemucca','LA','60586','baxterk@hitmail.com',1235401,'124-596-6626',58833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest I. Dennis','8325 Elit, Ave','Sherrill','TN','85742','fdennis@widget.com',1235402,'891-594-8424',20445,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang R. Myers','7467 Massa. Avenue','Huntsville','NY','43411',NULL,1235403,'186-275-2246',27681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanisha O. Tillman','P.O. Box 654, 2658 Lobortis Av.','Dalton','MT','15869','ttillman@widget.com',1235404,'372-367-5328',76127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience U. Huffman','626-2116 Dolor, Road','Moline','GA','74480',NULL,1235405,'359-622-8893',36591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole W. Curtis','Ap #633-369 Vel, Ave','Yorba Linda','FL','36301','cole.curtis@bpmpros.com',1235406,'792-142-6734',67371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew U. Steele','Ap #502-7621 Tempor, St.','Flint','AZ','20857','dsteele@emailathome.net',1235407,'268-961-0126',95577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus K. Branch','P.O. Box 431, 639 Integer Avenue','Sharon','SD','86406','lbranch@aulnet',1235408,'363-532-4025',31515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko A. Burt','993-1943 Odio. St.','Nacogdoches','LA','10506',NULL,1235409,'913-376-7182',30254,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle I. Pennington','720-685 Elit, Av.','Saipan','ND','04825',NULL,1235410,'422-335-5102',39702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney K. Lamb','5283 Feugiat Street','Beckley','CO','88329','lamb@yohaa.com',1235411,'802-444-5770',44507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana P. Carrillo','P.O. Box 623, 9788 Praesent St.','Greenfield','KY','47536',NULL,1235412,'965-867-1117',95614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Taylor E. Solis','9629 Eu St.','Astoria','VT','28563','solis@hitmail.com',1235413,'326-813-3991',26411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia X. Dixon','622 Et, St.','Waukegan','RI','87489','ameliad@bpmpros.com',1235414,'336-658-3495',93671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker Y. Little','P.O. Box 948, 4819 Eu Rd.','Gardner','OK','43120','little@bpmpros.com',1235415,'611-946-6049',60635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson I. Long','P.O. Box 470, 6659 Aliquam St.','Joliet','LA','06050',NULL,1235416,'281-891-8474',60519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin Y. Hahn','147-9960 Cum Avenue','Lynchburg','MN','87784','chahn@aulnet',1235417,'745-926-7265',76879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilary D. Avila','P.O. Box 362, 3233 At Road','Guayanilla','KY','89867','havila@xyz.edu',1235418,'553-397-2220',55332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney B. Mercer','P.O. Box 974, 538 Vivamus Rd.','Flagstaff','IL','66546','whitney.mercer@emailathome.net',1235419,'404-956-1433',80611,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie C. Hewitt','P.O. Box 969, 6847 Non St.','Hopkinsville','WA','20387','mhewitt@bpmpros.com',1235420,'824-328-1842',44429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet A. Osborn','P.O. Box 193, 1562 Dui St.','Fort Wayne','AK','05326','scarlet.osborn@aulnet',1235421,'704-628-8569',45864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry Q. Faulkner','Ap #476-919 Lectus Avenue','Richmond','MT','50756','bfaulkner@abc.edu',1235422,'283-986-5043',68210,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay X. Hahn','Ap #192-6315 Dictum Rd.','Charlottesville','MT','09960','barclay.hahn@email.net',1235423,'726-808-7853',101462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr M. Patton','335-7435 Nam St.','Superior','LA','80990','zephrp@aulnet',1235424,'951-676-5852',80622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda P. Mendoza','P.O. Box 208, 4197 Rutrum. Street','Jefferson City','ME','75366','amanda.mendoza@xyz.edu',1235425,'356-216-7922',87932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese L. Mcdaniel','P.O. Box 884, 5403 Lorem. St.','Camden','WY','31816',NULL,1235426,'273-538-6454',51917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael E. Pacheco','Ap #470-4992 Pretium Street','Paducah','IN','29360','pacheco@aulnet',1235427,'277-459-8874',44650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emma S. Summers','6647 Nam Rd.','Sturgis','MS','13396','summers@widget.com',1235428,'433-551-1951',91070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona H. Underwood','P.O. Box 505, 3042 Nunc St.','Rialto','IA','70993','iunderwood@emailathome.net',1235429,'481-713-2733',77294,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance L. Kane','Ap #204-6167 Quis, Road','Tulsa','NV','88269','vancek@aulnet',1235430,'353-643-3655',48771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace A. Watts','316-8388 Facilisis. Road','Covina','LA','93772','wallace.watts@email.net',1235431,'142-304-9472',25767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felix M. Snyder','224-2525 Per Av.','Waycross','ME','75268',NULL,1235432,'142-193-3962',52916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad N. Leon','9679 Consectetuer Road','Connellsville','MN','44552','hleon@abc.edu',1235433,'188-983-0923',38396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille M. Wood','P.O. Box 161, 849 Nisi Road','Indianapolis','AZ','51096','cwood@aulnet',1235434,'648-637-5106',20924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily I. Weiss','216 Odio Avenue','Fremont','TN','21486','weiss@widget.com',1235435,'686-241-0038',76900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem H. Stein','P.O. Box 889, 6298 Eros St.','Columbia','ND','57878','kstein@widget.com',1235436,'355-941-1901',17821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella R. Yates','5217 Lobortis Av.','Ashland','GA','40395','iyates@emailathome.net',1235437,'173-819-3044',28104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady I. Key','164-8897 Malesuada Avenue','Commerce','AZ','27868','grady.key@aulnet',1235438,'255-238-0474',61226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brody Q. Shelton','8832 Ac Road','Escondido','IN','49562',NULL,1235439,'459-375-7984',20826,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson M. Craig','466-8319 Sit Road','Orem','LA','66116','emerson.craig@email.net',1235440,'779-138-2139',28610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock F. Johnson','Ap #288-356 Lectus Ave','Arcadia','NM','95662','johnson@xyz.edu',1235441,'779-458-4967',20746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia F. Pollard','547-8973 Aliquet St.','Brea','OK','37833',NULL,1235442,'596-265-6120',20255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna D. Santiago','947-7580 Amet Rd.','Pulaski','MI','15943','vannas@widget.com',1235443,'877-363-4370',59764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos N. Castro','Ap #865-5263 Imperdiet Avenue','West Valley City','SC','29535','acastro@hitmail.com',1235444,'588-365-5280',73218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis C. Bruce','Ap #663-2498 Magnis Street','East Rutherford','MS','20949','lewis.bruce@hitmail.com',1235445,'485-973-2387',74432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa G. Rosales','967-1773 Eget, Avenue','Waco','NJ','01432','orosales@emailathome.net',1235446,'382-776-6498',87061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen J. Moran','Ap #920-3420 Tincidunt Road','Watervliet','UT','49050','stephenm@emailathome.net',1235447,'583-765-5411',94288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron P. Bailey','6119 At Ave','Bowling Green','NJ','53948','bbailey@abc.edu',1235448,'844-993-2797',36133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gloria J. Thompson','808-625 Phasellus St.','Bend','PA','31695','thompson@xyz.edu',1235449,'634-488-3706',61379,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa S. Greer','P.O. Box 627, 3077 Mauris Street','Little Falls','ME','10751','greer@widget.com',1235450,'447-972-3507',46085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna V. Fuentes','Ap #588-9421 Sem, Ave','New Iberia','CT','55666','breannaf@abc.edu',1235451,'518-856-7270',95688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha E. Roman','1004 Commodo St.','San Dimas','MT','17922','sacha.roman@aulnet',1235452,'699-231-9255',106458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester B. Gould','9107 Tincidunt. St.','Burbank','WV','74845',NULL,1235453,'648-807-7118',31546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin T. Herring','P.O. Box 441, 423 Parturient Street','Eufaula','HI','18692',NULL,1235454,'538-186-9837',15654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith E. Logan','2351 Curabitur Avenue','Easton','AL','28269','keith.logan@bpmpros.com',1235455,'139-473-1807',87579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger M. Charles','P.O. Box 186, 6011 Tortor Ave','Winooski','AL','04532','tcharles@bpmpros.com',1235456,'703-832-1043',101153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay R. Bryant','P.O. Box 412, 9757 Nunc Street','Clarksville','MI','43348',NULL,1235457,'981-784-4156',39761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet E. Woodward','8968 Est, St.','Hawaiian Gardens','WY','16931','vwoodward@bpmpros.com',1235458,'376-265-2235',90146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine L. Bowen','940-4944 Nec St.','Maywood','RI','76293','bowen@email.net',1235459,'225-591-6558',99938,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd R. Jones','P.O. Box 264, 5970 Integer Rd.','Montgomery','CO','84060','tjones@hitmail.com',1235460,'354-588-0896',53733,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra H. Marks','8936 Tortor St.','Nenana','CT','71280','kyram@bpmpros.com',1235461,'787-813-2611',78018,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter I. Buchanan','6731 Eleifend Ave','Charleston','WA','57174','winterb@hitmail.com',1235462,'303-472-1634',98791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena A. Mcclain','P.O. Box 100, 9120 Curabitur Rd.','Sandpoint','VT','82930','adenam@abc.edu',1235463,'205-418-8909',64893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace K. Griffin','138-4952 Erat. Avenue','McAllen','AZ','99272','grace.griffin@hitmail.com',1235464,'313-427-8356',36578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani T. Maxwell','P.O. Box 383, 8850 Dolor, Avenue','Monterey','LA','47437','leilanim@hitmail.com',1235465,'709-112-4392',83202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara Y. Trevino','Ap #169-4216 Nam Rd.','St. George','MD','76514','trevino@widget.com',1235466,'142-752-8742',29105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadassah W. Langley','577 Risus. Road','Tupelo','MO','35682','hadassahl@bpmpros.com',1235467,'334-739-9141',106284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana F. Little','Ap #325-8273 Velit. Avenue','Chicago','AK','59395','danal@widget.com',1235468,'178-302-0419',74055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila P. Cain','2272 Donec Ave','Montebello','NE','65271',NULL,1235469,'311-818-5487',62135,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('George M. Underwood','Ap #597-3526 Ut Rd.','Farmington','KY','80255',NULL,1235470,'537-847-6642',21585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith O. Wynn','P.O. Box 717, 4224 Pharetra. Avenue','Parker','ID','53843',NULL,1235471,'109-636-4831',57766,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert N. Francis','P.O. Box 904, 2121 Dictum Street','Catskill','NH','83747','robert.francis@abc.edu',1235472,'681-791-3268',25041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda O. Woodward','P.O. Box 927, 5966 Suspendisse Street','Chicago','SD','34128',NULL,1235473,'965-546-2456',79115,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio U. Mathis','893-8546 Id, Rd.','Indianapolis','SC','62806','cmathis@bpmpros.com',1235474,'925-989-4357',84114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice K. Holden','P.O. Box 557, 5663 Ac, St.','Lynwood','ME','18581',NULL,1235475,'487-403-2817',33266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott X. Kent','357-9304 Sem Avenue','Lodi','SC','19937','kent@abc.edu',1235476,'518-896-2085',99543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne C. Drake','P.O. Box 762, 6780 Eu Ave','Garden Grove','AK','80800','anne.drake@emailathome.net',1235477,'837-356-1523',69836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster M. Schneider','Ap #111-8254 Mauris St.','Merced','PA','71751','bschneider@abc.edu',1235478,'652-499-6567',22438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya R. Benton','P.O. Box 303, 9636 Tincidunt Av.','Oxford','ID','92073','benton@abc.edu',1235479,'836-498-7873',55095,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae N. Buckley','P.O. Box 373, 743 Faucibus. St.','Evanston','NE','78171','hanaeb@abc.edu',1235480,'355-181-4781',79972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile C. Lloyd','Ap #353-8323 Ut Rd.','Rolla','NH','19987','maile.lloyd@aulnet',1235481,'268-413-5049',90553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna M. Burt','Ap #918-3231 Sit Rd.','Compton','FL','70989','donnab@xyz.edu',1235482,'977-245-5581',70101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan J. Beck','4555 Proin St.','Somerville','MI','65353','beck@bpmpros.com',1235483,'452-351-0745',43947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena K. Hoover','951-2763 Hendrerit. Ave','North Tonawanda','SC','20686','zenah@bpmpros.com',1235484,'949-302-6616',45088,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty Q. Craig','P.O. Box 243, 3743 Interdum Rd.','Leominster','CO','93614','libertyc@xyz.edu',1235485,'301-341-5511',25570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton L. Rosales','P.O. Box 606, 6542 Aliquet St.','Bentonville','OK','86770','hamiltonr@hitmail.com',1235486,'485-685-8353',99009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar Z. Leach','171-3294 Mollis Street','Laguna Woods','NY','39116','leach@hitmail.com',1235487,'896-281-7766',22646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb Z. Zamora','9811 Commodo Rd.','South Burlington','ME','87140','zamora@email.net',1235488,'253-832-4595',45751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada Y. Charles','7487 Lorem Street','Columbus','MS','30249','nevada.charles@hitmail.com',1235489,'964-178-2524',109070,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios O. Hopper','Ap #161-9257 Consequat St.','Anaconda','AL','43384','remedios.hopper@yohaa.com',1235490,'624-597-5668',37666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler F. Dunn','8319 Quis Ave','Sonoma','MS','49474',NULL,1235491,'802-365-7244',90483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett P. Calhoun','5947 Iaculis St.','Rocky Mount','NV','48413','calhoun@widget.com',1235492,'461-842-0785',55458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton X. Weaver','P.O. Box 523, 4420 Et, St.','Berlin','KS','83432','aweaver@aulnet',1235493,'945-316-1571',40003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy R. Murray','Ap #527-6865 Justo. Rd.','New Orleans','WV','21515','kennedym@hitmail.com',1235494,'947-993-2083',72436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian W. Jennings','Ap #781-7428 Luctus, St.','Cedar Rapids','HI','15446','jennings@emailathome.net',1235495,'163-919-8020',28150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chanda T. Higgins','Ap #942-372 Et Avenue','Chula Vista','OH','91017','chanda.higgins@email.net',1235496,'554-516-5264',50314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy N. Kent','890-8146 In Avenue','Staunton','SD','56347','tkent@emailathome.net',1235497,'455-909-5260',70202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian Y. Jacobson','310-8824 Suspendisse Avenue','Port St. Lucie','CO','95641',NULL,1235498,'989-445-3448',88884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela J. Vinson','480-3703 Egestas. Road','Saint Cloud','NC','79064',NULL,1235499,'716-696-0303',99380,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme R. Delgado','P.O. Box 812, 5696 Blandit St.','Glendale','GA','81661','jaymed@xyz.edu',1235500,'736-442-9470',95023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios S. Haley','801-7802 Per Rd.','Jackson','NH','72864','rhaley@widget.com',1235501,'526-262-4034',65411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden J. Kirby','P.O. Box 258, 4959 Massa. Av.','Little Rock','WV','56638','brandenk@widget.com',1235502,'593-129-1806',106724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley M. Carr','4256 Nibh Rd.','Mandan','WI','45230','hedleyc@xyz.edu',1235503,'904-864-1660',90650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine L. Beach','Ap #970-9574 Tempus Rd.','Durham','TN','89725','beach@yohaa.com',1235504,'166-979-7338',15467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi U. Terrell','961-4017 Neque. Avenue','Springfield','WA','77857','terrell@yohaa.com',1235505,'783-758-7285',76006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne Q. Hawkins','695-2491 Phasellus Street','Pittsfield','NM','59637',NULL,1235506,'584-276-9247',64747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn E. Diaz','6922 Blandit Rd.','Vincennes','IL','99855','diaz@abc.edu',1235507,'818-577-9945',102390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie Q. Blanchard','3576 Sem. Road','Union City','MT','44963','blanchard@aulnet',1235508,'949-421-2789',79673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra H. Gonzalez','384-2053 Magna St.','Revere','GA','77211','pgonzalez@emailathome.net',1235509,'275-224-5458',30815,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena W. Randall','P.O. Box 784, 1207 In St.','Lafayette','AK','28895','galenar@yohaa.com',1235510,'217-493-4160',67791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian S. Shields','Ap #661-6952 Placerat. Rd.','Peabody','ME','41379','christians@email.net',1235511,'375-483-7741',103221,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace M. Cummings','P.O. Box 900, 6526 Vivamus St.','Saint Louis','MT','81632','candace.cummings@hitmail.com',1235512,'903-387-6603',61079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden K. Koch','283 Lorem Ave','Salt Lake City','CO','84733','kadenk@aulnet',1235513,'997-297-4151',92183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan D. Cooke','Ap #250-3768 Mauris Ave','Hayward','AK','12507','dolan.cooke@aulnet',1235514,'431-337-4348',64526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila I. Barron','174-9504 Montes, Street','Caguas','ID','37640','aquila.barron@aulnet',1235515,'357-697-8243',73334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren D. David','405-5163 Urna Street','Watertown','MA','67594','david@bpmpros.com',1235516,'345-502-1990',36647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson V. Griffin','4173 Tincidunt, Rd.','St. Marys','MI','31848','griffin@xyz.edu',1235517,'608-123-6738',96847,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David W. Russell','P.O. Box 385, 6602 In Street','Seal Beach','IN','78019','david.russell@widget.com',1235518,'858-567-5891',76011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden N. Anderson','106-847 Vulputate Av.','Narragansett','KS','68136','eanderson@email.net',1235519,'246-105-5611',70617,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell F. Foster','Ap #922-1462 Ligula. Street','Bozeman','WA','29187',NULL,1235520,'324-479-4749',61266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley B. Barr','124-6640 Magnis Road','Arlington','WV','80819','kbarr@bpmpros.com',1235521,'997-211-5900',81023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer E. Ward','704-3331 Convallis Avenue','Merizo','OH','67757','jennifer.ward@abc.edu',1235522,'667-555-7753',80476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane J. Gonzalez','Ap #165-2842 Nunc Street','Seaford','OR','45903','laneg@aulnet',1235523,'752-329-7735',69565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor G. Soto','Ap #574-5105 Sagittis St.','Dallas','NJ','33479','thor.soto@aulnet',1235524,'484-145-2640',58746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah A. Mcgowan','299-6727 Ac Rd.','Wausau','PA','39163','smcgowan@hitmail.com',1235525,'643-937-0813',61892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin Y. Hawkins','2342 Aenean Avenue','Kettering','IN','21235',NULL,1235526,'353-617-9105',33780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd N. Rollins','3661 Faucibus Road','Vergennes','VA','36548','trollins@email.net',1235527,'873-408-5603',67947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin D. Hays','9354 Cras Street','Pottsville','ME','37441','chays@emailathome.net',1235528,'106-984-1140',89129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle C. Brady','822-7253 Venenatis Street','Saratoga Springs','OR','15642','belleb@xyz.edu',1235529,'184-191-0742',107281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus T. Figueroa','6880 Ut Road','Pendleton','KY','12063',NULL,1235530,'627-836-2453',60430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela S. Sexton','886 Magnis Ave','San Luis Obispo','ME','02944','gsexton@hitmail.com',1235531,'251-514-3079',44774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa R. Lynch','Ap #439-2416 Donec Avenue','El Segundo','ME','72585','charissa.lynch@abc.edu',1235532,'539-781-2045',18241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian J. Lucas','P.O. Box 140, 133 Nullam St.','Lynchburg','MA','75857','lucas@yohaa.com',1235533,'433-973-5528',71829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori Q. Hogan','3191 Justo Avenue','Bellingham','WY','57325','ohogan@email.net',1235534,'812-655-9421',16625,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley W. Jacobs','132-1394 Egestas, St.','Eureka','AL','08455','riley.jacobs@abc.edu',1235535,'782-693-2482',101536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela Y. Herring','2602 Et Av.','Beverly Hills','CO','33673','amelah@xyz.edu',1235536,'518-197-2564',90145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni A. Frost','970-2157 Elementum Road','Fulton','RI','87620','britannif@emailathome.net',1235537,'394-712-7089',68695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir J. Johns','719-1595 Nascetur Av.','Santa Clarita','NC','48525','johns@yohaa.com',1235538,'256-459-1629',80022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry G. Vega','Ap #331-2030 Justo. Road','Winnemucca','WV','67905',NULL,1235539,'431-687-0371',108925,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Trevor R. Bryant','6164 Elit. St.','Juneau','MT','58924','tbryant@abc.edu',1235540,'724-267-3250',35639,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir J. Peterson','644-6433 Maecenas Rd.','Manhattan','MT','01559','vladimir.peterson@email.net',1235541,'684-308-4657',100905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin D. Rocha','Ap #117-1513 Aenean Rd.','Zanesville','NM','10421','rocha@abc.edu',1235542,'171-765-9623',50851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Renee H. Chapman','125-4611 Sollicitudin Avenue','Twin Falls','AZ','63484','renee.chapman@emailathome.net',1235543,'906-187-6416',26922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere N. Ayala','1132 Molestie St.','Casper','FL','01108','ayala@hitmail.com',1235544,'647-937-5452',24466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred S. Gould','5922 Enim Ave','Texas City','WV','05166','wgould@aulnet',1235545,'386-241-8445',16478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee G. Berger','Ap #738-1201 Nec, St.','Geneva','MN','40246',NULL,1235546,'413-609-7506',106817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly Z. Christian','P.O. Box 458, 2720 In Street','Sister Bay','CO','50391','kchristian@abc.edu',1235547,'648-961-5703',37349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Athena F. Wyatt','P.O. Box 123, 4097 Justo. St.','Irving','MA','50411','athenaw@abc.edu',1235548,'803-451-3219',104028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno E. Figueroa','834-4490 Tempus Street','Miami','TN','25275','bruno.figueroa@hitmail.com',1235549,'697-599-8592',88064,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze S. Castro','4555 Sem, Road','Powell','ID','81073','blaze.castro@bpmpros.com',1235550,'502-161-7107',18815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay H. Patton','184-709 Scelerisque Av.','Taunton','WI','27708','macaulay.patton@yohaa.com',1235551,'883-384-4551',78134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore S. Sweeney','5984 Molestie Rd.','Irwindale','MA','36998',NULL,1235552,'769-647-9753',31083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell I. Strickland','P.O. Box 518, 6781 Nulla Rd.','Shawnee','MI','89716',NULL,1235553,'705-574-1210',107143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra D. Hodge','646-7767 Tristique Street','Plymouth','AK','57736','petrah@widget.com',1235554,'553-368-7328',69944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley O. Velasquez','Ap #993-6611 Sem Road','Christiansted','NJ','68416','hvelasquez@abc.edu',1235555,'253-716-9736',28987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi S. Kline','221-7852 Adipiscing Road','West Valley City','CT','78047',NULL,1235556,'454-616-3322',23627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane G. Terrell','1650 Consequat Road','Shreveport','ID','14031','lane.terrell@email.net',1235557,'935-772-0336',79387,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha Y. Stephens','9760 Blandit Rd.','New Bedford','HI','01063','marthas@hitmail.com',1235558,'577-661-1373',51297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo B. Murray','7517 Sed Street','Attleboro','LA','97978','cairo.murray@aulnet',1235559,'285-523-2992',25244,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon L. Ball','P.O. Box 716, 111 Consectetuer St.','Hot Springs','NM','93491','deaconb@email.net',1235560,'479-555-0872',86164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia W. Lara','567-7338 Et Rd.','Hoboken','GA','84278',NULL,1235561,'779-148-6037',93675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice P. Wolfe','657-663 Posuere Rd.','Pullman','DE','35910','bwolfe@emailathome.net',1235562,'298-877-9165',33379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander A. Flores','Ap #810-7839 Phasellus Street','Artesia','MD','56881',NULL,1235563,'802-909-7766',101061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo C. Ellison','P.O. Box 376, 8406 Luctus Rd.','Pottsville','CA','54500','eellison@widget.com',1235564,'493-294-1938',82889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan Q. Lynn','Ap #598-3847 Nec Av.','Sitka','TX','98342','alanl@widget.com',1235565,'854-346-4405',58142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison E. Harper','6701 Aliquet Avenue','Rockford','MO','30390','garrison.harper@aulnet',1235566,'225-501-8244',80369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian F. Kemp','Ap #607-2055 Aliquet. Av.','McAllen','LA','80421','vkemp@abc.edu',1235567,'812-937-4473',79471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor J. Shepherd','Ap #600-1767 Praesent Street','Cleveland','CT','42033','cshepherd@yohaa.com',1235568,'555-367-2047',54991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn C. Battle','563-2296 Vivamus Av.','Auburn','AK','17969',NULL,1235569,'903-458-6248',38122,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven R. Mckay','3705 Nec Rd.','Martinsburg','HI','29141','stevenm@email.net',1235570,'948-948-1839',62258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh K. Howell','4976 Porta Street','Gilbert','NY','14597',NULL,1235571,'503-797-4812',22899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent B. Mullen','Ap #848-757 Enim Street','Simi Valley','TN','48863','vmullen@yohaa.com',1235572,'551-963-6601',68661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn Q. Hickman','Ap #559-3182 Nisi St.','Davis','KY','19267','bhickman@emailathome.net',1235573,'121-582-5541',37162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper U. Flores','710-7893 Lobortis Ave','Chattanooga','FL','54464','jasperf@abc.edu',1235574,'632-762-3438',20272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana H. Woodward','P.O. Box 869, 9970 Pellentesque Street','Marietta','NE','78023',NULL,1235575,'597-229-9912',53471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah L. Baxter','Ap #577-3305 Ac St.','Signal Hill','ME','91069',NULL,1235576,'284-682-7107',18184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen L. Walton','9921 Nunc Avenue','Arvada','NC','49688','colleen.walton@bpmpros.com',1235577,'895-704-1612',57301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher E. Flores','P.O. Box 816, 2303 Lobortis Rd.','Bismarck','OH','37486','fletcherf@email.net',1235578,'265-959-7628',42039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessica S. Blackburn','1721 Ornare, Road','Tallahassee','WY','06329','jblackburn@aulnet',1235579,'168-785-1700',63434,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg I. Hampton','764-6727 Ut Av.','San Diego','NM','67764','olegh@widget.com',1235580,'184-253-8479',35829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella S. Bowen','P.O. Box 644, 3363 Quis Rd.','Lebanon','KY','98956',NULL,1235581,'721-815-9777',30926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla K. Ramsey','P.O. Box 123, 3091 Dictum Av.','Commerce','NY','96994','kyla.ramsey@abc.edu',1235582,'951-672-4963',81488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana W. Branch','506-6837 Erat. Av.','Hartford','MS','16202',NULL,1235583,'207-258-7391',44071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik A. Keller','1252 Arcu. Rd.','Johnson City','CT','40001','malikk@email.net',1235584,'733-953-6684',49549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn N. Hess','P.O. Box 529, 1534 Scelerisque, St.','Moultrie','KY','48198','hess@bpmpros.com',1235585,'301-933-8855',60236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo V. Alvarez','990-4856 Et Road','Guayama','MN','88927','alvarez@yohaa.com',1235586,'126-336-2681',62081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima Z. Perkins','3057 Magna. Ave','Chicopee','DC','57245','perkins@aulnet',1235587,'248-852-4840',28759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell I. Winters','P.O. Box 606, 1949 Imperdiet Road','Rocky Mount','ME','57505','bwinters@emailathome.net',1235588,'851-999-8513',51827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie N. Hill','2575 Sed Road','Santa Fe Springs','UT','61457','kylie.hill@xyz.edu',1235589,'318-893-8928',93891,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah E. Wilkerson','Ap #754-2011 Vitae Rd.','Yakima','NV','42704','rwilkerson@email.net',1235590,'362-579-3622',77467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia M. Benjamin','Ap #622-5710 Nam St.','DuBois','IA','82034','laviniab@email.net',1235591,'839-191-6709',54603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest B. Carney','Ap #364-2457 Nunc St.','Dana Point','UT','15607','forrestc@abc.edu',1235592,'733-572-6722',56590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean W. Daugherty','4902 Et, Road','Modesto','MO','76618','dean.daugherty@xyz.edu',1235593,'289-953-1193',88732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noah B. Landry','101-3509 Cursus Ave','North Tonawanda','WA','46012','noahl@bpmpros.com',1235594,'621-819-7729',96873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale Q. Duran','Ap #179-5471 Ipsum. Ave','Wheeling','CA','07843','daled@aulnet',1235595,'856-587-3061',86910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy Q. Bennett','175-1059 Nec, Street','Webster Groves','DC','25522','tbennett@aulnet',1235596,'476-232-7180',33304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet Y. Charles','Ap #598-5529 Cras Street','Seward','NY','82608','charles@emailathome.net',1235597,'231-606-7375',67518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucius T. Mays','Ap #572-9715 Proin Ave','El Monte','CA','71854','lmays@email.net',1235598,'563-793-3091',55241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle Z. Nixon','Ap #491-9918 Nunc Street','Irving','WV','04776','noellen@abc.edu',1235599,'621-284-9863',98718,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia H. Hunt','682-3833 Sociis St.','Agat','CA','03108','lydia.hunt@abc.edu',1235600,'885-516-6096',95192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis S. Webster','P.O. Box 580, 5472 Ligula. Road','Frederick','FL','22736',NULL,1235601,'834-729-2348',47660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanae E. Livingston','1925 Imperdiet Rd.','Tuscaloosa','WV','29351','livingston@aulnet',1235602,'635-318-7806',19995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt Y. Bird','953-4315 Semper Rd.','Wilson','TX','83302','hyatt.bird@hitmail.com',1235603,'764-498-6073',102338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina Z. Whitaker','9729 Eu St.','Laredo','MD','37525','reginaw@yohaa.com',1235604,'856-123-4623',42836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor Q. Battle','Ap #261-654 In, Av.','Normal','CA','59087','eleanor.battle@aulnet',1235605,'513-479-4029',81056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jarrod Z. England','Ap #965-1715 Erat Street','Dodge City','DE','22971','jarrode@bpmpros.com',1235606,'169-673-9524',66608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine G. Grant','P.O. Box 731, 9457 Feugiat Rd.','St. Petersburg','NC','83905','jessamineg@email.net',1235607,'977-937-5194',78237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chastity F. Trujillo','655-8922 Amet Street','Palm Springs','KS','99672','ctrujillo@aulnet',1235608,'688-566-5030',30673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor V. Long','P.O. Box 232, 7166 Sit Rd.','Laurel','PA','04603','long@abc.edu',1235609,'386-965-4219',42026,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade L. Barker','296-367 Ac Rd.','Gainesville','LA','13927',NULL,1235610,'622-918-8833',22706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna J. Gilbert','6629 Ac Road','West Bend','CA','42723',NULL,1235611,'116-888-0898',84207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya C. Compton','310-5779 Duis Rd.','San Luis Obispo','AZ','11753','rayac@aulnet',1235612,'577-593-3813',77187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly J. Dixon','837-1001 Suspendisse Road','The Dalles','AZ','18420',NULL,1235613,'284-651-1544',50702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani A. Solomon','730-5415 Nulla St.','Tamuning','MT','52461','leilani.solomon@emailathome.net',1235614,'892-176-6367',97268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher G. Dale','466-1877 Fermentum St.','Passaic','CO','63326','adale@widget.com',1235615,'888-771-7553',94246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre S. Boyer','9821 Sociis Street','High Point','GA','84241','dboyer@email.net',1235616,'683-352-0201',106718,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato I. Peck','151-3009 Lobortis Avenue','Plattsburgh','WY','26611','peck@yohaa.com',1235617,'953-636-8989',36766,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rowan F. Bartlett','Ap #727-7317 Rhoncus. Ave','Truth or Consequences','PA','72799','rowanb@xyz.edu',1235618,'402-364-8007',16122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shafira G. Moody','103-4469 Tempus, Ave','Warren','OH','41424','shafiram@bpmpros.com',1235619,'215-526-8997',106388,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa Z. Hensley','P.O. Box 580, 7300 Amet St.','Oakland','NE','23465','alexah@xyz.edu',1235620,'891-105-5303',40362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite F. Bond','P.O. Box 959, 5434 Nam Rd.','Irving','MS','04627','abond@yohaa.com',1235621,'193-983-0985',43911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven O. Walters','274 Felis, St.','Lubbock','AL','44344','steven.walters@abc.edu',1235622,'717-527-8251',34574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kieran T. Willis','Ap #481-7872 Egestas. Av.','Racine','HI','27262','willis@bpmpros.com',1235623,'617-425-9527',82833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebekah X. Tran','Ap #272-7364 Ligula Av.','Homer','NM','83300','rtran@bpmpros.com',1235624,'774-381-6155',76181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma J. Frank','882-1041 Sed St.','Westlake Village','AK','63456','pfrank@bpmpros.com',1235625,'857-521-8114',41462,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle X. Barry','972-5696 Curabitur Road','Miami','TN','94858','nelleb@widget.com',1235626,'405-263-7935',26574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely K. Austin','700-4263 Orci St.','Narragansett','NY','46631','kaustin@bpmpros.com',1235627,'699-905-1778',81184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent V. Holland','P.O. Box 893, 5300 Tristique Rd.','McAllen','NE','19365',NULL,1235628,'907-697-4016',86629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy L. Lawson','721-4209 Rutrum. Avenue','Lawndale','NH','18138','troy.lawson@widget.com',1235629,'594-591-0975',16208,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing T. Chase','P.O. Box 919, 6537 Erat Ave','Laughlin','NJ','10028','chase@aulnet',1235630,'257-651-1521',65615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison O. Parks','856-5677 Mi. Av.','Manhattan Beach','PA','32952','addisonp@hitmail.com',1235631,'982-248-8999',64000,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo B. Carson','Ap #265-7279 Lacus. Av.','Tuscaloosa','AK','75417','cleo.carson@abc.edu',1235632,'461-443-6814',94206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent J. Hodge','591-4369 Montes, Rd.','Yigo','OR','74359','hodge@abc.edu',1235633,'867-338-6702',75277,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter M. Pitts','6225 Aliquam St.','Raleigh','HI','28316','cpitts@yohaa.com',1235634,'742-728-4412',26661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane K. Espinoza','P.O. Box 106, 7297 Nulla Road','Fallon','TN','05124','thanee@yohaa.com',1235635,'531-373-9004',60592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen P. Murphy','P.O. Box 693, 3723 Dolor Avenue','Carbondale','ND','44459','cmurphy@xyz.edu',1235636,'674-214-3963',106147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora L. Ruiz','P.O. Box 159, 3913 Nonummy Rd.','Aurora','OR','38682','ruiz@xyz.edu',1235637,'143-726-8302',41389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan G. Mcclure','Ap #402-8441 Maecenas Road','Portland','MD','19958','mmcclure@hitmail.com',1235638,'541-684-2090',50603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon Q. Fisher','9852 Orci Av.','Edina','NV','27308','fisher@email.net',1235639,'394-258-2165',56525,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha N. Klein','6776 Etiam Road','Asheville','ND','91304','marthak@abc.edu',1235640,'135-965-2800',19780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric Q. Owens','P.O. Box 221, 3703 Ante Road','Modesto','WV','66657','cedrico@emailathome.net',1235641,'962-196-9602',61615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle O. Gay','P.O. Box 897, 3758 Faucibus. St.','Forest Lake','AK','97453',NULL,1235642,'211-173-1780',59677,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne Y. Garner','Ap #387-6902 Nunc Rd.','Overland Park','GA','27815','wgarner@xyz.edu',1235643,'379-491-5736',68071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy A. Pennington','1765 Dolor. St.','Placentia','MO','16419','cassidy.pennington@email.net',1235644,'392-839-7787',39942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko X. Bond','Ap #305-3801 Turpis. Street','Orange','HI','70787','bond@widget.com',1235645,'206-497-2269',17361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy H. Reyes','P.O. Box 442, 1041 Mauris Av.','Santa Rosa','NM','80850','reyes@yohaa.com',1235646,'647-844-2314',79488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel S. Jarvis','5535 Vitae, Street','Beloit','FL','95643','jarvis@xyz.edu',1235647,'639-793-4778',106231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar L. Ball','5129 Erat Av.','Detroit','DC','26746','ball@hitmail.com',1235648,'302-665-5338',94946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel S. Marsh','Ap #529-4988 Cras Ave','Naperville','MD','55671','arielm@xyz.edu',1235649,'318-629-1947',44638,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reed D. Livingston','8822 Scelerisque St.','San Gabriel','NJ','27203','rlivingston@hitmail.com',1235650,'861-993-8558',84998,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn L. Dunlap','9304 Tortor, St.','Turlock','CA','83115',NULL,1235651,'946-223-3226',17628,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruth V. Chase','P.O. Box 999, 4143 Malesuada. Rd.','Charlotte','WI','01895','rchase@hitmail.com',1235652,'902-957-1704',107380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona A. Bolton','7043 Cursus Street','Tamuning','WV','16617','bolton@bpmpros.com',1235653,'707-307-3831',16441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton M. Craig','Ap #139-6765 Sapien. Rd.','San Jose','VT','80997','craig@aulnet',1235654,'615-412-6190',15814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane A. Clemons','415-9190 Ultrices Road','Areceibo','MD','29410','dane.clemons@hitmail.com',1235655,'508-113-3240',52035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry K. Bailey','948-6001 Dolor, St.','Two Rivers','IN','61790','henry.bailey@xyz.edu',1235656,'302-719-7321',72138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meredith Z. Carson','731-3937 Malesuada St.','Saukville','NY','94666','meredithc@email.net',1235657,'457-768-3871',31314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane U. Foley','6421 Donec Rd.','Newport Beach','DE','99069','thanef@bpmpros.com',1235658,'535-172-7485',96761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles A. Emerson','668-7467 Sem St.','Rome','MD','57457','memerson@bpmpros.com',1235659,'426-952-0337',90211,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson Q. Gould','Ap #739-7977 Turpis Rd.','Woodruff','KY','79126','cgould@aulnet',1235660,'584-909-8518',99804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas R. Nieves','559-6527 Metus. St.','Agoura Hills','HI','59739','jnieves@bpmpros.com',1235661,'855-439-3482',106726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie W. Carr','Ap #285-8439 Nunc Av.','Tampa','OK','99859','acarr@hitmail.com',1235662,'688-534-9723',32971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chanda E. Mcdaniel','P.O. Box 805, 5582 Duis Ave','Mesa','WY','78368','chanda.mcdaniel@yohaa.com',1235663,'217-896-3392',26536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl I. Madden','695-8839 Laoreet St.','Lakewood','MI','48417','daryl.madden@widget.com',1235664,'875-993-7880',34371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryder I. Garcia','Ap #545-367 Egestas. Av.','Bowie','DE','63601','rgarcia@aulnet',1235665,'119-895-8876',86417,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda Y. Powell','545-9444 Laoreet St.','Valdez','WY','18572','linda.powell@widget.com',1235666,'274-393-1970',91309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle O. Murphy','Ap #563-4613 In Road','San Jose','AL','93712','joellem@emailathome.net',1235667,'385-568-8619',68313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivien J. Adams','5238 Neque Rd.','Bandera','MA','20990','viviena@xyz.edu',1235668,'362-591-0578',47778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram I. Bowen','398-4638 Proin St.','Yuma','ID','60590','bowen@emailathome.net',1235669,'581-743-2432',109000,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy I. Coleman','Ap #558-3104 Dapibus Street','Akron','TN','07077',NULL,1235670,'668-159-8911',59680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael L. Herrera','2561 Est Rd.','Syracuse','MN','45946','lherrera@bpmpros.com',1235671,'755-412-2261',22797,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden F. Gill','Ap #616-6169 Aliquam Avenue','Davenport','LA','86232',NULL,1235672,'279-934-3455',82390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara U. Peters','9188 Quisque St.','Wheaton','NM','88496','peters@bpmpros.com',1235673,'129-347-1305',78371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox G. Bond','672 Inceptos Street','Auburn','AK','96455',NULL,1235674,'304-106-0307',67405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel D. Stein','P.O. Box 381, 6974 Magna Road','Kansas City','IN','28424','stein@emailathome.net',1235675,'989-284-2902',43809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna W. Allison','5997 Nisl. Av.','Franklin','DC','61714','brenna.allison@aulnet',1235676,'657-146-0644',99828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma D. Hurst','P.O. Box 638, 1167 Vitae Rd.','Altoona','NH','76337','hurst@widget.com',1235677,'143-601-6466',28024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn A. Bryant','P.O. Box 413, 1649 Justo Rd.','Falls Church','WV','59625','carolyn.bryant@email.net',1235678,'964-116-7163',71371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere S. Bradley','1471 Mauris St.','Saipan','VA','24159','guinevere.bradley@yohaa.com',1235679,'213-718-1197',98017,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry H. Jennings','472-3821 Donec Av.','Minot','DC','00224','barry.jennings@bpmpros.com',1235680,'574-696-3045',34945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle C. Fletcher','294-6149 Mauris Ave','Poughkeepsie','NY','85685','ifletcher@widget.com',1235681,'919-493-0994',106629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana E. White','461-339 Volutpat Street','New Brunswick','NM','26601','white@widget.com',1235682,'396-216-5186',17656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine Z. Bond','P.O. Box 226, 3068 In St.','Jeannette','NE','19345','sbond@abc.edu',1235683,'947-343-4580',76674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reuben R. Norman','Ap #924-8020 Natoque Ave','Simi Valley','AZ','64373',NULL,1235684,'719-767-9003',70840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan G. Hill','3505 In St.','Spokane Valley','NH','43769','hill@abc.edu',1235685,'297-668-5341',40330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie Q. Cook','P.O. Box 425, 8018 Feugiat St.','Citrus Heights','IN','84627',NULL,1235686,'496-693-1616',103489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie F. Summers','3248 Phasellus St.','College Park','WA','09118','summers@abc.edu',1235687,'571-321-8892',109296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith R. Hall','Ap #757-2369 Nibh St.','Odessa','NH','52861',NULL,1235688,'979-551-7716',68580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman O. Shannon','P.O. Box 347, 2541 Metus St.','Santa Fe','AL','50202','cshannon@xyz.edu',1235689,'264-144-5952',77785,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May F. Todd','5453 Mi Ave','Waukegan','AK','88624',NULL,1235690,'755-972-3757',44363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay P. Frazier','469-7668 Sem. Avenue','Davis','FL','21309',NULL,1235691,'134-798-6600',51014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix R. Scott','410-1132 Duis St.','Rohnert Park','PA','91112','mannixs@emailathome.net',1235692,'513-556-2449',20331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared L. Walton','P.O. Box 333, 9082 Enim. Ave','Hopkinsville','NJ','38130','jared.walton@yohaa.com',1235693,'344-866-3115',75334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda R. Kerr','P.O. Box 251, 2156 Ac Road','Durham','MA','01830',NULL,1235694,'961-314-0893',16906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey R. Watts','854-8863 Convallis Rd.','Laguna Woods','AL','42343','caseyw@email.net',1235695,'284-254-3783',67152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ronan O. Reeves','P.O. Box 776, 1639 Vestibulum Ave','Mission Viejo','NJ','51703','ronan.reeves@xyz.edu',1235696,'257-331-4947',76358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane F. Coffey','405 Augue Avenue','Oakland','WY','53869','dane.coffey@abc.edu',1235697,'931-355-9880',38660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon B. Hood','P.O. Box 675, 7283 Adipiscing Ave','Christiansted','MD','35699','rhiannonh@abc.edu',1235698,'558-599-7447',37783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin M. Rogers','Ap #571-9031 Integer Street','Rochester','DC','53799','rogers@email.net',1235699,'498-847-2360',91778,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana B. Schultz','Ap #441-8410 Amet Rd.','Beacon','VA','03767',NULL,1235700,'557-855-6929',48545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly E. Anderson','P.O. Box 260, 4604 Nibh. Av.','Rensselaer','NV','40654','anderson@aulnet',1235701,'412-878-7233',37533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo P. Glover','3287 Adipiscing Road','Costa Mesa','WI','70955','leo.glover@xyz.edu',1235702,'911-452-5393',24691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darryl M. Prince','822 Molestie Street','Saint Joseph','FL','37504','darrylp@aulnet',1235703,'601-292-2374',105008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell I. Hickman','P.O. Box 716, 1564 Auctor. Rd.','Idaho Falls','MT','70218','bell.hickman@hitmail.com',1235704,'813-514-7159',69162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton N. Hall','5056 Quisque Av.','La Jolla','WA','37854','claytonh@abc.edu',1235705,'885-767-0283',103313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos W. Stephenson','P.O. Box 223, 3873 Convallis St.','Athens','WY','90127','astephenson@abc.edu',1235706,'972-867-5245',63429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward L. Vincent','959-8825 Tristique Av.','Melrose','CA','01002','vincent@aulnet',1235707,'229-202-9684',107012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica M. Beard','9256 Ligula Avenue','San Clemente','HI','79930','erica.beard@abc.edu',1235708,'141-364-2744',86559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly G. George','595-2350 Neque. Rd.','Fajardo','MN','60740','beverlyg@aulnet',1235709,'781-722-0943',80589,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas L. Ramirez','Ap #174-7220 Et St.','Yigo','NY','10371','thomasr@xyz.edu',1235710,'122-702-5335',36456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn X. Sharpe','758-6668 In Rd.','Bakersfield','SD','43354',NULL,1235711,'736-757-5680',108409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus F. Macdonald','P.O. Box 788, 9707 Sapien. Road','Latrobe','MO','30573','macdonald@hitmail.com',1235712,'937-664-3208',101020,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa X. Solomon','P.O. Box 277, 8017 Non Road','Deadwood','WI','44274',NULL,1235713,'857-785-2486',85204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan Q. Huff','Ap #984-7277 Elit, Street','Niagara Falls','FL','12566',NULL,1235714,'832-698-3746',37274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus Z. Drake','Ap #130-299 Nonummy Ave','Charleston','AL','12635','edrake@widget.com',1235715,'293-134-6229',105316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell E. Middleton','P.O. Box 283, 5890 Dui Av.','Saint Paul','ID','23746','middleton@widget.com',1235716,'472-575-5081',38043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany F. Christian','819-6795 Mattis. Av.','Martinsburg','AL','28242','bethany.christian@aulnet',1235717,'998-371-8443',61665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric T. Mccall','2138 Faucibus Ave','Mentor','IA','80412','emccall@widget.com',1235718,'437-637-4644',61290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney W. Thompson','196-6106 Urna. St.','Culver City','AK','38918',NULL,1235719,'531-878-3058',84278,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia F. Deleon','P.O. Box 276, 3404 Sed St.','Mesa','IA','37565','deleon@aulnet',1235720,'584-915-8932',16680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby T. Austin','5863 Proin Street','Hoboken','AK','60634','austin@abc.edu',1235721,'491-949-3418',37316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry L. Charles','869-7467 Egestas Avenue','Rancho Cordova','SD','81841','bcharles@yohaa.com',1235722,'586-977-9263',74739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell W. Cherry','116-3285 Vestibulum Road','San Jose','UT','63654','cherry@emailathome.net',1235723,'507-193-9798',104239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie O. Chambers','456-6708 Egestas Street','Rialto','MA','20094',NULL,1235724,'759-266-2591',41349,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriel F. Alvarez','817 Praesent St.','Logan','HI','98151','ualvarez@aulnet',1235725,'252-627-6532',83664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Signe W. Chapman','3582 Aenean St.','Palos Verdes Estates','AK','53273','signe.chapman@xyz.edu',1235726,'198-314-4761',53915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles Q. Hickman','7933 Curabitur Street','Indio','VA','57933','hickman@xyz.edu',1235727,'351-661-3917',47045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma L. Johnston','9937 Velit Rd.','Monroe','DE','57033','velmaj@xyz.edu',1235728,'826-242-2082',57781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Porter G. Hahn','Ap #591-6528 Vivamus Street','Hollister','MA','54311',NULL,1235729,'445-261-3125',34489,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn R. Shannon','9895 Commodo St.','Lubbock','NM','09895',NULL,1235730,'336-471-9970',39772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy W. Fry','Ap #793-3510 Ullamcorper Rd.','Tok','ND','28538','timothyf@bpmpros.com',1235731,'424-669-0309',35980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross M. Adkins','857-7726 Primis Street','Anaheim','NM','24353','radkins@widget.com',1235732,'982-315-9740',25180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine I. Woodward','579 Gravida Avenue','Frederiksted','DE','15107','justine.woodward@xyz.edu',1235733,'644-933-1545',63629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel N. Avery','Ap #705-8526 Lacinia Rd.','Liberal','MS','67872','avery@aulnet',1235734,'181-725-7578',31166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran R. Hancock','P.O. Box 761, 9357 Malesuada Road','Pine Bluff','MD','86054','hancock@emailathome.net',1235735,'937-918-7434',18976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria F. Dejesus','5601 Mauris Rd.','Ames','CA','76795','adria.dejesus@email.net',1235736,'491-984-6855',72949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity A. Schwartz','372-138 Orci. Av.','Taunton','GA','28805','amity.schwartz@email.net',1235737,'602-103-9965',95050,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dante L. Burgess','441-7853 Nibh. Avenue','Rockford','ND','83511',NULL,1235738,'427-938-0319',46983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy E. Lara','Ap #365-5869 Aliquam Rd.','Burlingame','ND','31524','lara@hitmail.com',1235739,'147-564-4934',47269,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris R. Guy','2217 In, Avenue','Manitowoc','MS','61445','iguy@bpmpros.com',1235740,'607-202-8582',106084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad K. Mcdowell','8024 Feugiat St.','Dover','ND','11937','rashadm@emailathome.net',1235741,'273-743-4536',51853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott R. Huffman','P.O. Box 279, 3708 Risus. Street','Evansville','WI','68989','scott.huffman@widget.com',1235742,'917-199-7322',104098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keaton I. Singleton','1690 Diam Street','Medford','HI','53009',NULL,1235743,'908-899-5095',87864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima Z. Ramos','5833 Sed Street','North Chicago','DE','67153','framos@bpmpros.com',1235744,'564-554-3422',15461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo O. Davidson','130-7959 Scelerisque Rd.','Milford','UT','09067',NULL,1235745,'221-694-1574',104320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline Y. Porter','400-5037 Sapien Avenue','Salem','LA','26526',NULL,1235746,'594-724-3175',78675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine P. Wiggins','Ap #787-6624 Lobortis Ave','Auburn','CA','44161','jessaminew@abc.edu',1235747,'797-381-9043',36587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chantale X. Thompson','Ap #229-5712 Tempus, Av.','Bay St. Louis','VA','03948',NULL,1235748,'119-817-0970',19231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell H. Hudson','P.O. Box 993, 2251 Montes, Road','Palos Verdes Estates','CT','00803','caldwell.hudson@email.net',1235749,'753-862-6787',88361,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael V. Small','P.O. Box 139, 6619 Vel Street','Eden Prairie','AK','16626','small@email.net',1235750,'521-373-1448',41021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand B. Moreno','6046 Mollis Rd.','Santa Ana','WV','26318','ferdinand.moreno@hitmail.com',1235751,'981-734-7610',93036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby R. Kent','925-7042 Amet Av.','Sedalia','RI','79096','kent@hitmail.com',1235752,'405-495-0288',99874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele S. Short','530-1622 Nulla. Road','Racine','MD','11191','ashort@email.net',1235753,'387-792-1871',23030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary Z. Anderson','Ap #340-2056 Nec Av.','Boise','PA','12333','manderson@yohaa.com',1235754,'625-802-5946',94412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey X. Savage','4842 Pellentesque Av.','Peru','NJ','64256','casey.savage@emailathome.net',1235755,'589-842-2224',89781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel K. Stuart','P.O. Box 994, 8707 Nullam St.','Beacon','VT','40615','daniel.stuart@aulnet',1235756,'962-452-1034',42627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara C. Valencia','895-8491 Purus Av.','Pottsville','UT','70521','lara.valencia@abc.edu',1235757,'247-119-4616',80515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme Z. Barry','P.O. Box 869, 7582 Sapien. Avenue','Melrose','OR','63033',NULL,1235758,'665-803-9123',94459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda N. Webb','Ap #916-9561 Vel, Avenue','Midwest City','PA','53316','heddaw@aulnet',1235759,'451-116-8287',50306,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan F. Bradford','Ap #440-512 Nisi. St.','Duarte','IN','07950',NULL,1235760,'366-717-7326',64424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blossom X. Goodman','P.O. Box 772, 4948 Cubilia Rd.','Sierra Madre','CT','45842','blossom.goodman@emailathome.net',1235761,'803-169-8865',29353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shay R. Copeland','Ap #272-9999 Pharetra Rd.','Orange','WA','00545','scopeland@widget.com',1235762,'598-391-3691',57179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane P. Rice','443-5258 Non, Avenue','Shelton','NH','50950','laner@aulnet',1235763,'606-194-2946',65024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes Z. Roberson','Ap #445-5127 Pharetra Rd.','Sherrill','RI','35185','roberson@hitmail.com',1235764,'246-742-7459',51401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter X. Mcdonald','3216 Morbi Road','Tyler','MI','24498','wynterm@hitmail.com',1235765,'906-621-1953',78169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra Q. Stanton','P.O. Box 387, 1935 Massa. Av.','Needham','GA','61996','alexandras@emailathome.net',1235766,'485-492-9120',28442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quyn U. Herrera','288-1245 Mi Street','Perth Amboy','MT','78830','herrera@bpmpros.com',1235767,'726-212-5124',45112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane L. Madden','131-2610 Duis Avenue','Portsmouth','ID','76754','jane.madden@xyz.edu',1235768,'585-312-4329',58617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell U. Hodge','P.O. Box 297, 9527 Dolor. Avenue','Little Falls','ID','45622',NULL,1235769,'477-862-1836',30668,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard Q. May','185-9830 Sed St.','Norfolk','IA','51307','leonardm@emailathome.net',1235770,'939-317-2783',70691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester T. Acosta','904-5812 Sit Rd.','Saint Joseph','WY','34586','cacosta@emailathome.net',1235771,'994-823-2394',28507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone S. Saunders','854-4042 Eu, Av.','Springfield','OR','75000','simone.saunders@bpmpros.com',1235772,'686-581-3135',61058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence Q. Alexander','317-6532 Curabitur Av.','Sierra Vista','CA','80355','florence.alexander@aulnet',1235773,'456-943-4227',51450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra W. Guthrie','205-2142 Justo Road','Spartanburg','LA','49329',NULL,1235774,'775-131-0734',21741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith L. Curtis','222-9661 Ut, Rd.','Scottsdale','ID','60309','lillith.curtis@bpmpros.com',1235775,'728-404-4444',34813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl H. Tucker','Ap #599-7160 Lacus. St.','Barrow','OH','98558','tucker@emailathome.net',1235776,'968-697-0905',52945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola P. Atkinson','5386 Ut, Avenue','Barrow','NM','67457','iola.atkinson@hitmail.com',1235777,'313-208-9676',80740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar G. Obrien','794-3066 Sem St.','Colorado Springs','NC','29097','qobrien@xyz.edu',1235778,'554-767-9659',38737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem Y. Mcguire','P.O. Box 369, 3968 Integer Street','Jenks','AK','75804',NULL,1235779,'892-446-1020',82972,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart Z. Willis','3900 Lorem Rd.','South Portland','CA','57914','stewart.willis@yohaa.com',1235780,'595-985-0196',43253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst I. Vance','755-501 Nunc Av.','Titusville','NY','71928','avance@bpmpros.com',1235781,'934-438-2233',53038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan S. Wheeler','P.O. Box 157, 6742 Amet Av.','Guayama','SC','41912','dwheeler@email.net',1235782,'931-975-2025',41188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillian R. Stein','239-7129 Fringilla Av.','Indio','HI','00042',NULL,1235783,'155-996-8601',87317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn A. Patel','Ap #802-4178 Ante Rd.','Biddeford','WA','15215','flynnp@emailathome.net',1235784,'368-313-3182',94898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas P. Griffin','Ap #243-6561 Phasellus St.','Green River','WA','81906','thomasg@widget.com',1235785,'213-581-8941',29299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan Z. Fry','Ap #476-7559 Sem. Ave','Diamond Bar','NH','54036','duncanf@yohaa.com',1235786,'944-266-6474',55454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin O. Mcfarland','Ap #647-5933 Bibendum Avenue','Chicago Heights','AK','67912','cmcfarland@widget.com',1235787,'158-993-1588',108944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi K. Fields','1702 Scelerisque Av.','San Clemente','NV','77713','lfields@xyz.edu',1235788,'505-701-5097',34091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall A. Morin','946-9775 Fringilla Street','Cincinnati','WA','49327','kmorin@email.net',1235789,'131-546-2567',70617,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari U. Maldonado','7057 Augue St.','Kalamazoo','CA','25520','mari.maldonado@xyz.edu',1235790,'553-256-2109',45536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kieran C. Marsh','Ap #928-3850 Sapien. St.','South Pasadena','OK','87703','marsh@emailathome.net',1235791,'324-786-8421',65230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan W. Berger','9631 Elit, Rd.','Sherrill','NJ','45273','dylanb@xyz.edu',1235792,'145-367-6453',44150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney M. Mccoy','Ap #399-6984 Aliquet Av.','Cicero','IL','85231','whitneym@widget.com',1235793,'505-549-8175',68780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius W. Spence','723-3245 Euismod Rd.','Terre Haute','AK','26012',NULL,1235794,'344-748-2981',25330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby R. Noble','Ap #157-9867 Fringilla Rd.','Tok','PA','73809','noble@abc.edu',1235795,'922-275-9242',30434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia H. Hale','7759 Dolor St.','Montpelier','MO','35813','fhale@hitmail.com',1235796,'205-287-3049',109330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey F. Hamilton','Ap #147-6250 Lorem Ave','Oak Ridge','WY','42788','mhamilton@xyz.edu',1235797,'702-806-0934',15233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona Z. Gray','P.O. Box 262, 4449 Lacus. Ave','Seward','HI','24776','ramona.gray@xyz.edu',1235798,'565-267-0730',76699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip Q. Klein','Ap #940-6072 Sagittis Av.','Suffolk','CO','31155','klein@emailathome.net',1235799,'833-497-5545',40300,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy X. Norman','Ap #241-547 Augue St.','Daly City','CA','26757',NULL,1235800,'914-846-2337',101596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine E. Gomez','P.O. Box 405, 2102 Pharetra. St.','Ontario','MO','58975','shaineg@emailathome.net',1235801,'734-747-5937',40374,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil E. Jarvis','333-8432 Non, Av.','Kent','NJ','02961','neil.jarvis@abc.edu',1235802,'947-782-3288',35553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz M. Medina','Ap #517-9035 Gravida. St.','Ames','OK','37540',NULL,1235803,'603-551-2315',80341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett X. Juarez','310-1896 Enim, St.','Azusa','OH','48576','juarez@bpmpros.com',1235804,'217-729-2804',35600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark X. Zamora','6100 Nisl Rd.','Moore','GA','25839','clarkz@emailathome.net',1235805,'787-398-9619',96185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir G. Welch','158-4593 Gravida. St.','Rhinelander','UT','09034','vladimirw@aulnet',1235806,'964-641-9499',24706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey Y. Small','P.O. Box 260, 9723 Sollicitudin Av.','Las Cruces','ID','14513','aubrey.small@bpmpros.com',1235807,'658-613-2631',21014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan E. Banks','P.O. Box 436, 7020 Euismod Av.','Grafton','NV','70095','dylan.banks@yohaa.com',1235808,'609-368-8700',48027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin K. Dejesus','Ap #976-1625 Urna Street','Pico Rivera','KY','95866','dejesus@hitmail.com',1235809,'962-572-8397',18912,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette K. Roy','9420 Nunc St.','Florence','ME','02311','roy@aulnet',1235810,'898-595-6418',41829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessica Z. Ross','9130 Proin Av.','Bradbury','SD','10951','jessica.ross@abc.edu',1235811,'383-473-2117',91849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik Q. Tanner','910-8988 Risus. Road','Daly City','OH','55366','malik.tanner@hitmail.com',1235812,'317-501-9731',102212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan S. Travis','139-1807 Vivamus Av.','Sandpoint','WV','68314','jordant@xyz.edu',1235813,'771-198-5085',88037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille R. Pacheco','799-4071 Mus. Rd.','Saipan','SD','76535','pacheco@aulnet',1235814,'959-629-6272',37337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn A. Peterson','Ap #432-331 Congue Road','Bradford','DE','99476','kylynnp@aulnet',1235815,'112-961-5902',32017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper K. Hubbard','135-5990 Adipiscing St.','Brigham City','MD','50050',NULL,1235816,'627-638-5091',109600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes E. Hewitt','Ap #143-545 Orci Av.','Akron','CA','42303',NULL,1235817,'454-981-5281',40473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose G. Goodwin','565-6458 Et Ave','Appleton','NV','63115',NULL,1235818,'528-973-8624',94872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni C. Mullins','759-7818 Vivamus St.','Saukville','ID','81844','britanni.mullins@abc.edu',1235819,'161-589-4613',37001,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hector B. Rodriquez','P.O. Box 519, 4538 Ridiculus Road','Merizo','GA','46227','rodriquez@emailathome.net',1235820,'172-132-6110',90171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana A. Gibson','P.O. Box 262, 5677 Sed St.','Eufaula','NY','82128','dianag@abc.edu',1235821,'456-528-5602',93048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chastity P. Delgado','Ap #202-6981 Sed Rd.','Racine','IA','92875',NULL,1235822,'104-461-9985',69209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa K. Paul','P.O. Box 639, 5239 Enim. Avenue','North Las Vegas','OK','04397','willap@bpmpros.com',1235823,'273-386-6476',51456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lester Y. Buchanan','723-7719 Sed Av.','Green River','IN','05309','lesterb@bpmpros.com',1235824,'797-969-2568',106616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur J. Kinney','519-4404 Ac Rd.','Oak Ridge','DC','44949','fkinney@emailathome.net',1235825,'449-147-0162',74438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward P. Charles','5340 Massa Ave','Evansville','ID','81986','edward.charles@yohaa.com',1235826,'481-425-3390',52881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand R. Potter','2887 Neque St.','Nichols Hills','MO','74143','armand.potter@email.net',1235827,'343-982-9235',73688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas R. Huff','793-2194 Ut Rd.','Keene','NJ','17281','huff@xyz.edu',1235828,'435-787-6686',97427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deanna M. Browning','P.O. Box 150, 906 Eu, Rd.','Myrtle Beach','TN','47154',NULL,1235829,'447-782-4690',38655,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana D. Oliver','Ap #147-3592 Egestas. Av.','Saint Paul','CO','97435','shanao@email.net',1235830,'591-937-6180',88306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September A. Cleveland','P.O. Box 808, 6583 Auctor Av.','Reading','TN','94881',NULL,1235831,'327-817-7533',77128,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae L. Joseph','811-5310 Ut Rd.','Moorhead','NH','41836','desiraej@abc.edu',1235832,'728-155-8616',31280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyla V. Allison','930-1646 Ac Rd.','Phoenix','OK','28670','allison@email.net',1235833,'407-235-2891',62853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo R. Poole','Ap #572-2437 Euismod Ave','Richmond','MI','10749','cairop@yohaa.com',1235834,'319-727-9511',51663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar X. England','Ap #978-7443 Ornare. Avenue','Bayamon','MO','93214','briare@emailathome.net',1235835,'954-374-1900',61754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton W. Dale','6104 Odio Rd.','Laughlin','KS','30220','cdale@email.net',1235836,'642-147-4847',100965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma Y. Sears','P.O. Box 744, 3787 Lacus St.','Orange','MS','85326','gsears@email.net',1235837,'647-298-1355',32361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric C. Green','P.O. Box 193, 2345 Nostra, St.','Deadwood','SD','35011','ugreen@emailathome.net',1235838,'438-975-1623',20018,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan G. Underwood','974-4673 Orci. Street','Harrisburg','AK','82418','reaganu@email.net',1235839,'531-968-9420',23669,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie D. Hays','123-5912 Donec Street','Pittston','WY','07690','keelie.hays@aulnet',1235840,'219-649-5165',68675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian R. Mayer','7915 Scelerisque, Avenue','Farmington','FL','88998','vivian.mayer@hitmail.com',1235841,'668-771-5454',15013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya N. Chen','P.O. Box 890, 5863 Nonummy. St.','Bandon','ND','81279',NULL,1235842,'268-837-5070',62027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora M. Maxwell','1597 Velit Ave','Springdale','AK','17845','dora.maxwell@bpmpros.com',1235843,'963-981-8636',31881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig H. Hamilton','3915 Libero Rd.','Montpelier','NH','44785',NULL,1235844,'561-167-3663',67032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony E. Nelson','Ap #757-9486 Convallis, St.','Coos Bay','NH','17551',NULL,1235845,'347-718-7851',62278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire B. Hurst','P.O. Box 950, 1910 Egestas St.','Roanoke','ND','24741','churst@emailathome.net',1235846,'304-542-2690',57878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely Y. Carey','2240 Cubilia Rd.','Racine','GA','98090','keely.carey@yohaa.com',1235847,'565-785-0391',74848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila R. Brown','9863 Rutrum. Rd.','Hannibal','MD','11701','leilab@emailathome.net',1235848,'601-767-1256',46908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian M. Mejia','Ap #303-2439 Hendrerit. St.','DuBois','AK','42153','vmejia@xyz.edu',1235849,'965-576-1323',71379,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer Y. Acevedo','412-8159 Tortor, Rd.','Asbury Park','NH','52804',NULL,1235850,'158-124-5997',34734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria U. Bowman','Ap #880-7085 Donec St.','Cheyenne','GA','75438','demetria.bowman@emailathome.net',1235851,'443-402-4250',25750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie I. Pugh','P.O. Box 919, 9244 Pellentesque Av.','Spokane Valley','RI','91277','kyliep@hitmail.com',1235852,'716-158-4509',90769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden X. Walsh','P.O. Box 123, 5203 In, Ave','Greensboro','WA','70272','walsh@emailathome.net',1235853,'449-165-1236',93253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah Q. Lewis','Ap #367-1642 Nec Rd.','Rolling Hills Estates','KS','21391','isaiah.lewis@hitmail.com',1235854,'564-914-0881',19672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole W. Rowland','772-8094 Aenean Road','Ansonia','AZ','36967','coler@bpmpros.com',1235855,'359-723-7468',38983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel H. Zamora','P.O. Box 421, 1404 In Av.','Oswego','CO','19455',NULL,1235856,'413-672-3051',58215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing S. Wall','P.O. Box 431, 7336 Lorem, Avenue','Cohoes','OR','88597',NULL,1235857,'143-465-0374',52826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis W. May','Ap #198-4475 Est Rd.','Minot','MS','20608','dennis.may@yohaa.com',1235858,'205-258-6136',65709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa Y. Bradshaw','7418 Eu Ave','Clearwater','KY','93765','alyssab@hitmail.com',1235859,'826-646-2609',35621,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darryl W. Ford','7135 Eget, Road','North Chicago','NY','88247','ford@abc.edu',1235860,'524-107-6712',102992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren X. Gaines','P.O. Box 837, 3506 Non, Rd.','Miami Gardens','SC','45523','gaines@abc.edu',1235861,'862-486-4920',77467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden P. Fuller','Ap #160-2128 Consequat Rd.','Powell','VT','66401','fuller@xyz.edu',1235862,'135-897-2826',92206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely M. Reeves','P.O. Box 134, 7186 Ut St.','Mesquite','CO','94560','reeves@hitmail.com',1235863,'173-107-9041',103917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar T. Solis','P.O. Box 259, 6948 Luctus Rd.','Ephraim','HI','33137','osolis@aulnet',1235864,'798-771-8887',97844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage V. Wilkins','Ap #390-4516 Senectus Av.','Saint Joseph','MO','75808',NULL,1235865,'937-635-3061',97725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane T. West','Ap #921-7649 Et Avenue','Bremerton','HI','73948','kanew@aulnet',1235866,'847-884-4198',36882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy C. Wright','9812 Diam Avenue','Temecula','MD','51838','macy.wright@email.net',1235867,'233-118-8962',50102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robin E. Evans','P.O. Box 228, 379 Egestas Avenue','Cairo','WY','39680','evans@xyz.edu',1235868,'529-752-8706',75049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell A. Weiss','P.O. Box 555, 1355 Nisi Street','Gulfport','NC','61400','mweiss@hitmail.com',1235869,'281-619-3721',59128,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado C. Sharpe','P.O. Box 402, 328 Amet Av.','Fairfax','TN','43114','csharpe@emailathome.net',1235870,'615-706-4268',106502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha L. Winters','Ap #928-6105 Lobortis Av.','New York','IL','07550',NULL,1235871,'775-381-0975',25642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian B. Fuller','Ap #313-1227 Curabitur Street','Apple Valley','DC','43551','gillian.fuller@aulnet',1235872,'112-887-0681',70397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra S. Noble','1325 Posuere Avenue','Fargo','IL','35199','leandra.noble@emailathome.net',1235873,'555-665-8335',59599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy Q. Hopper','396-9615 Cras St.','Fargo','CO','34969',NULL,1235874,'169-614-1789',26760,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis P. Mcconnell','P.O. Box 949, 612 Feugiat St.','Macomb','IL','30375','mcconnell@abc.edu',1235875,'445-504-0172',101058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi A. Dennis','Ap #281-8498 Varius Av.','Sonoma','DE','49170','malachi.dennis@bpmpros.com',1235876,'655-991-4944',30945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine B. Parker','P.O. Box 757, 7630 Pede Avenue','Provo','WA','05944','clementinep@emailathome.net',1235877,'124-789-6700',88921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem Y. Juarez','P.O. Box 604, 1361 Turpis. St.','Burlington','IN','24420',NULL,1235878,'474-508-1987',80294,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana M. Riddle','219-4487 Cras Street','Johnson City','OH','94429','triddle@emailathome.net',1235879,'859-234-6327',42679,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert Z. Lewis','470-5636 Nec Street','Springfield','NE','25820','bert.lewis@aulnet',1235880,'349-199-2238',73779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley X. Norris','6963 Lobortis St.','Lower Burrell','KS','16048','norris@widget.com',1235881,'631-755-6646',97949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve T. Welch','307-2500 Ligula. Rd.','Oak Ridge','CT','40266',NULL,1235882,'316-947-6923',73633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles M. Velazquez','738-4385 Nullam Av.','Perth Amboy','WA','06556','mvelazquez@emailathome.net',1235883,'714-129-0666',80402,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee H. Wiley','8999 Enim, Avenue','Salinas','AZ','75806','rwiley@widget.com',1235884,'552-233-4354',54301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane B. Anthony','P.O. Box 307, 3579 Ornare, Av.','Waterloo','AK','08984','danthony@abc.edu',1235885,'891-352-4849',37197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian Q. Hardy','Ap #193-2535 Cursus. Road','Roseville','KY','38447','vivianh@emailathome.net',1235886,'422-212-5620',63013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda T. Willis','804-7720 Tellus Road','Bridgeport','VT','26554','willis@bpmpros.com',1235887,'102-423-5441',25535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa Q. Bullock','939-4640 Parturient St.','Redondo Beach','OK','62788','melyssa.bullock@abc.edu',1235888,'343-345-7773',29275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cathleen G. Herrera','1767 Sagittis Rd.','Newburgh','HI','98384','cathleenh@abc.edu',1235889,'553-486-7102',100987,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray F. Wong','Ap #277-9978 Posuere St.','Charlotte Amalie','AK','32820','ray.wong@yohaa.com',1235890,'215-767-1548',82038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn P. Bowers','2167 In St.','Des Moines','MI','54337','bowers@widget.com',1235891,'621-742-2180',40664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil D. Hernandez','P.O. Box 703, 1803 Dapibus Avenue','Forest Lake','MS','97752','ghernandez@email.net',1235892,'281-812-5538',78556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo Y. Schwartz','P.O. Box 602, 1485 Suspendisse Street','Fountain Valley','HI','76164','cschwartz@widget.com',1235893,'917-108-8294',85974,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis K. Doyle','903-3249 Eu St.','Joplin','MN','67334','davisd@aulnet',1235894,'509-427-4253',63229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira G. Ramos','Ap #171-864 Tortor. Avenue','Ansonia','WI','48216','iramos@aulnet',1235895,'651-151-4778',21652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora P. Copeland','3530 Ante Avenue','Weirton','MO','53498','corac@hitmail.com',1235896,'319-974-9890',38047,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope D. Powers','457-6240 Ut Avenue','Fairfax','HI','73227','ppowers@yohaa.com',1235897,'726-945-8198',109997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda G. Snider','563-5569 Donec Rd.','Plainfield','VA','11285','wandas@bpmpros.com',1235898,'513-239-1849',18344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory A. Salazar','183-2638 Proin Rd.','Oakland','NJ','59361',NULL,1235899,'656-169-1093',100120,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig Y. Faulkner','2481 Quam. St.','Riverside','ID','89824','hfaulkner@hitmail.com',1235900,'852-916-5135',52354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden S. Jacobs','2233 Orci Av.','Plattsburgh','AK','84283','jacobs@widget.com',1235901,'366-742-8334',104854,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem M. Roman','6154 Ipsum St.','La Jolla','TN','56844','roman@bpmpros.com',1235902,'373-699-1643',60578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel Y. Myers','Ap #323-879 Nulla St.','Union City','GA','02059','myers@xyz.edu',1235903,'905-288-8879',63175,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian Z. Galloway','7549 Consectetuer Avenue','Charlottesville','NC','52992','christiang@hitmail.com',1235904,'298-299-6174',102308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo X. Chavez','P.O. Box 174, 3748 Sit Road','Cruz Bay','AL','61523','lchavez@emailathome.net',1235905,'516-714-8135',35720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna D. Vazquez','P.O. Box 821, 4636 Est St.','Elizabeth City','VT','89850','vazquez@email.net',1235906,'484-901-6245',44107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa N. Brown','Ap #666-1309 Ac St.','Pittsburgh','MA','34423','rbrown@widget.com',1235907,'374-758-6683',91662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden C. Watts','Ap #114-971 Quisque St.','Fontana','NY','07931',NULL,1235908,'465-739-4980',70922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall K. Howell','Ap #121-4642 Nec Road','Centennial','AZ','67475','marshall.howell@widget.com',1235909,'417-873-5129',26686,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel S. Arnold','P.O. Box 694, 8725 Et Rd.','New Haven','ND','78246','arnold@abc.edu',1235910,'612-139-8024',35819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith I. Goodman','P.O. Box 382, 8433 In, Road','Chicago Heights','WI','60539','judith.goodman@abc.edu',1235911,'775-497-4263',49659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon P. Roth','9725 Neque. St.','Macon','WI','12099','troth@bpmpros.com',1235912,'243-121-5603',23899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth M. Wright','362-2746 Ut Av.','Irwindale','HI','15337','garth.wright@yohaa.com',1235913,'427-571-5911',66337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice Q. Hunt','P.O. Box 287, 3373 Dolor. Rd.','Hattiesburg','MO','78793',NULL,1235914,'122-458-9284',29521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming S. Mcbride','660-4950 Fringilla. St.','Johnstown','TN','34502','wmcbride@email.net',1235915,'396-427-7766',105918,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John C. Camacho','5800 Porttitor Ave','Riverton','CT','50033',NULL,1235916,'594-724-3651',56714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona D. Ratliff','449-6980 Duis Street','Wilmington','FL','34985','ratliff@hitmail.com',1235917,'128-523-2566',32426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle Q. Price','Ap #854-7379 Id Rd.','Albuquerque','HI','47771','daniellep@hitmail.com',1235918,'767-785-2184',74220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy U. Bryant','323-3516 Velit. Av.','Clemson','CA','35172','ivy.bryant@xyz.edu',1235919,'944-601-3955',22286,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayfa S. Barton','Ap #576-187 Eu St.','Walnut','RI','84319','barton@email.net',1235920,'592-435-9452',57456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor N. Santana','P.O. Box 469, 295 Non Av.','Racine','WA','73758','chancellor.santana@aulnet',1235921,'177-669-9049',63947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos Z. Chavez','817-8475 Faucibus Avenue','Pocatello','GA','18182','amosc@aulnet',1235922,'841-928-5874',101650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dahlia L. Hardin','557-5419 Arcu. Rd.','Sutter Creek','IA','52061',NULL,1235923,'254-195-9135',18994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman Y. Anthony','686-9569 Nulla. Road','Sacramento','DC','48291','cadman.anthony@widget.com',1235924,'363-417-4123',43471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance I. Wagner','177-3589 Arcu Avenue','Palos Verdes Estates','OR','88036','lwagner@aulnet',1235925,'338-691-9173',39575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus O. Riggs','2606 Nulla Ave','Ogden','FL','80339','xriggs@yohaa.com',1235926,'244-877-6366',42400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah R. Horn','636-9515 Rutrum. Road','Cape May','MO','65756','rajahh@widget.com',1235927,'186-339-0066',49767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis R. Foreman','157-1643 Dolor. Ave','Revere','NC','13688',NULL,1235928,'545-621-7698',76434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev A. Holden','Ap #881-4822 Erat Ave','Wisconsin Rapids','WA','57670','lev.holden@yohaa.com',1235929,'359-704-3340',101353,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola O. Torres','Ap #885-761 Ut Road','Dodge City','OR','61929',NULL,1235930,'609-868-5628',102732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan V. Wilkins','244-2178 Odio Av.','West Jordan','AK','78449','wilkins@emailathome.net',1235931,'479-978-7373',106097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail W. Cooley','Ap #845-590 Nunc St.','Bozeman','WY','05273','abigail.cooley@hitmail.com',1235932,'624-193-9616',18989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane A. Zimmerman','6105 Enim. St.','Haverhill','NJ','74674','thanez@bpmpros.com',1235933,'203-665-9641',73683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos H. Gonzalez','284-1724 Mi Street','Lewiston','CA','62236','carlosg@xyz.edu',1235934,'911-213-7887',64460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake D. Torres','678-5133 Curabitur Street','Pulaski','TX','94066','dtorres@xyz.edu',1235935,'403-414-5363',29323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin R. Bailey','2071 Nulla Avenue','College Park','ID','96316','jin.bailey@email.net',1235936,'823-563-7040',70034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto X. Ray','5635 Pede Street','Yuma','UT','06075','ottor@bpmpros.com',1235937,'717-491-6378',25003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter E. Fernandez','2422 Montes, St.','Tuscaloosa','FL','10830','peterf@email.net',1235938,'548-119-8588',25087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor Z. Mccray','562-6707 Sociis Road','Enfield','MN','60681','mccray@email.net',1235939,'512-961-9797',39499,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya J. Merritt','398-5514 Aliquam St.','Morgan City','TX','31091','raya.merritt@bpmpros.com',1235940,'773-295-0540',44961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor O. Rowe','2249 Euismod Road','Newport News','IL','83376','igorr@yohaa.com',1235941,'576-744-9534',79103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana S. Walsh','Ap #810-5755 Eget Road','Virginia Beach','OR','93787',NULL,1235942,'254-631-3743',47774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon A. Rice','Ap #923-725 In Ave','Dunkirk','OH','44747','rhiannonr@emailathome.net',1235943,'525-689-2195',103762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle H. Stanley','947-3396 Sem, Rd.','Artesia','TX','50494','isabelles@aulnet',1235944,'242-777-2565',85448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea R. Benson','3045 Sed, Avenue','Michigan City','ID','20256',NULL,1235945,'306-721-9876',29624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel R. Fulton','Ap #776-9877 Semper Avenue','Oakland','OK','95126','gfulton@widget.com',1235946,'483-789-4094',103955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price C. Church','Ap #254-4309 Vivamus Rd.','Laconia','WA','66352','price.church@emailathome.net',1235947,'488-862-5400',66652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea M. Larsen','Ap #892-1965 Consectetuer Ave','Fulton','AZ','90967',NULL,1235948,'329-708-5690',32963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica T. Brady','P.O. Box 769, 3195 Sem Rd.','San Angelo','NM','61861','brady@email.net',1235949,'828-148-6551',33899,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah K. Doyle','P.O. Box 453, 9648 Orci, Road','Gilbert','CT','77248','josiah.doyle@email.net',1235950,'101-939-9876',44690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evan N. Sanford','2473 Ultricies St.','International Falls','AK','37645','evans@abc.edu',1235951,'469-371-3642',73019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper F. Wilder','P.O. Box 140, 927 Sagittis Street','Bridgeport','WV','99937','cwilder@aulnet',1235952,'673-943-3226',106451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell O. Wallace','4582 Sem Avenue','Cohoes','TN','94544','wallace@bpmpros.com',1235953,'537-395-5997',37635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique X. Barrett','8077 Curae; Ave','Omaha','PA','94624',NULL,1235954,'178-533-1617',28594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly X. Parks','2643 Velit Avenue','Covington','ND','38648','beverlyp@abc.edu',1235955,'101-518-3515',87336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott M. Rivera','P.O. Box 821, 2284 Vulputate, Av.','Cedar Rapids','OR','45374','prescott.rivera@abc.edu',1235956,'923-123-5308',105841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby S. Hubbard','P.O. Box 885, 1134 Ut Street','Guayama','ND','48883','cobyh@bpmpros.com',1235957,'268-281-2037',59883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard L. Merrill','P.O. Box 633, 3044 Augue St.','Georgetown','MN','17155','hmerrill@email.net',1235958,'139-307-4887',101168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea J. Jacobson','2342 In St.','Chicago Heights','WV','22894','jacobson@yohaa.com',1235959,'619-224-0437',104406,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen Q. Molina','P.O. Box 535, 4318 Nunc Av.','Cruz Bay','IN','24857','christen.molina@abc.edu',1235960,'752-362-3854',50406,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler I. Daniels','2251 Eget Av.','Palmdale','CA','29762','daniels@hitmail.com',1235961,'347-913-1493',96285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shea H. Sosa','Ap #583-8909 Arcu. Ave','Hagerstown','MO','58188','sheas@email.net',1235962,'951-208-1202',78006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir N. Mcdonald','1321 Consequat, Rd.','Del Rio','KS','61277','mcdonald@aulnet',1235963,'186-872-8816',107979,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton G. Rios','5632 At, Av.','Pottsville','IN','56563','rios@yohaa.com',1235964,'681-489-0761',71140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kristen H. Golden','P.O. Box 804, 7666 Dictum Ave','Stevens Point','NM','96443','golden@yohaa.com',1235965,'907-698-0770',63643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt C. Crane','558-2884 Vitae, Rd.','Jackson','IN','93880','crane@yohaa.com',1235966,'324-322-8198',108695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra M. Stokes','Ap #169-6476 Nunc St.','Wilmington','NH','89673','mstokes@hitmail.com',1235967,'664-888-0199',45922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance I. Riggs','7227 At Rd.','Rancho Santa Margarita','MD','33372','vancer@abc.edu',1235968,'341-606-0858',108116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia X. Salas','Ap #347-3591 A, Ave','Garland','CA','48482','salas@bpmpros.com',1235969,'765-116-6126',20489,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora A. Juarez','3499 Maecenas Street','Ardmore','NM','97402','pjuarez@yohaa.com',1235970,'341-627-0286',97851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Asher N. Turner','P.O. Box 249, 414 Lorem Rd.','Fort Dodge','CO','79766','aturner@hitmail.com',1235971,'279-519-0371',72024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam M. Skinner','8410 Quis Ave','Indio','AL','31868','mariams@yohaa.com',1235972,'835-553-4043',24939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim H. Callahan','P.O. Box 864, 4906 Erat Ave','Titusville','TX','83714','callahan@hitmail.com',1235973,'683-418-8603',83791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julian V. Pacheco','P.O. Box 690, 6102 Duis Av.','Dubuque','MO','34427',NULL,1235974,'232-715-1330',18451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iris T. Glover','Ap #298-8761 Ipsum. St.','Pierre','UT','35079',NULL,1235975,'597-739-4446',92622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona W. Newton','Ap #247-625 Nonummy. St.','Costa Mesa','ME','24869','newton@xyz.edu',1235976,'939-537-1666',23568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora X. Durham','909 Blandit. Avenue','Walla Walla','ME','56948','adurham@widget.com',1235977,'335-329-2629',96262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan M. Montgomery','8217 Et Ave','Mobile','ND','69865','rmontgomery@yohaa.com',1235978,'551-484-9158',55769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony K. Beard','P.O. Box 667, 7913 Est Av.','Rolling Hills Estates','ME','01961','ebony.beard@abc.edu',1235979,'927-477-8607',89450,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKensie F. Merrill','Ap #134-5559 Lectus Ave','Pascagoula','ND','09711','mackensie.merrill@bpmpros.com',1235980,'773-609-0869',61710,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona H. Orr','277-9850 Lectus Street','Buffalo','ID','98298',NULL,1235981,'109-883-4925',89741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonya H. Hyde','Ap #860-4689 Egestas St.','Attleboro','AZ','29918','sonyah@xyz.edu',1235982,'217-326-0095',15810,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna U. Blevins','P.O. Box 580, 7001 Dolor Rd.','Newport','ME','46865','blevins@yohaa.com',1235983,'885-102-2283',45222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina I. Short','P.O. Box 832, 4713 Ipsum Avenue','Coos Bay','KY','73419',NULL,1235984,'385-279-1713',109170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta I. Parks','Ap #516-4750 Cras Rd.','Rockford','IN','60734','utap@widget.com',1235985,'354-638-7088',93762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida V. Dean','P.O. Box 597, 4862 Sem Avenue','Rosemead','AL','28499','zenaidad@emailathome.net',1235986,'324-577-1168',33471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia A. Nixon','4257 Dolor. Avenue','Sierra Madre','WI','79222','kalia.nixon@yohaa.com',1235987,'272-295-5523',75296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela M. Weber','P.O. Box 616, 9648 Sed Rd.','Asbury Park','MA','33113','weber@email.net',1235988,'536-618-7122',76430,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie H. Mcgee','Ap #495-210 Risus. Rd.','Tampa','AL','43787','kmcgee@aulnet',1235989,'991-437-0457',72938,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney G. Barron','Ap #312-1936 Velit. Rd.','Fairfax','ND','61015','rooney.barron@abc.edu',1235990,'893-883-2202',83949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keaton I. Anderson','Ap #718-7003 Rhoncus. St.','Camden','WA','50522','keatona@emailathome.net',1235991,'648-531-3235',61884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna F. Schwartz','Ap #302-9024 Lorem, Av.','Centennial','VA','84645',NULL,1235992,'378-916-4467',84425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuli F. Fuentes','302-9861 Consectetuer St.','Yuma','MI','34419',NULL,1235993,'265-434-2497',106781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance S. Humphrey','8946 Blandit Ave','Valparaiso','LA','35759','lanceh@widget.com',1235994,'392-307-7411',82434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus K. Bell','2729 Eros Rd.','Cohoes','NC','55149','lbell@hitmail.com',1235995,'724-754-8835',70260,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard S. Patrick','9489 Molestie Street','Tamuning','ME','54360','rpatrick@widget.com',1235996,'885-868-2335',27320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine S. Willis','509-3331 Eget Av.','Redlands','GA','61715','catherinew@hitmail.com',1235997,'186-962-7290',69424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian S. Mcclain','354-3638 Enim. Rd.','Spokane Valley','OR','99250','mcclain@bpmpros.com',1235998,'976-153-0248',60991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira B. Sims','3269 Dui, Road','Yigo','FL','03062',NULL,1235999,'988-186-6919',106516,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett U. Hill','Ap #893-6562 Felis Av.','Billings','NY','85489','ghill@email.net',1236000,'542-531-5161',19881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia A. Cherry','9253 Nec Rd.','Kingston','MS','54062','cherry@abc.edu',1236001,'602-656-7998',62523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck S. Jacobs','1696 Ut Street','Garland','MN','94000','beckj@xyz.edu',1236002,'517-777-9325',25609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan Y. Jacobson','532-7142 Magna. Rd.','North Pole','KY','88273','dylan.jacobson@aulnet',1236003,'374-881-5674',106266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika B. Young','P.O. Box 204, 416 Tristique Rd.','Joplin','NJ','96074','young@yohaa.com',1236004,'358-522-3119',87206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity S. Hampton','3175 Nec, Road','South Bend','SD','20639','unity.hampton@widget.com',1236005,'337-763-4256',66740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah L. Rodriquez','1264 Velit. Ave','Pasadena','GA','07499','rodriquez@widget.com',1236006,'453-477-1433',109657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane Q. Torres','570-9365 Aliquet Rd.','Burlington','LA','59766','keanet@bpmpros.com',1236007,'256-619-0862',52326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa K. Molina','P.O. Box 596, 816 Suspendisse Rd.','Jonesboro','AK','40390',NULL,1236008,'267-414-0231',30727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie O. Goodwin','4050 Ac Avenue','Lynchburg','WI','40594','wylie.goodwin@xyz.edu',1236009,'635-741-3827',100540,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah A. Bright','299-9821 Tempus, St.','Guayama','DC','13453','bright@bpmpros.com',1236010,'148-783-4238',29701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim B. Mccall','P.O. Box 740, 7489 Nunc Ave','Kennesaw','WA','11624','kmccall@aulnet',1236011,'278-226-9083',51159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester N. Carroll','Ap #811-4172 Vitae Ave','Orem','MO','48959','chesterc@bpmpros.com',1236012,'674-753-9888',101451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa H. Davis','6582 Neque Road','Branson','MA','09613',NULL,1236013,'619-677-9422',53969,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra H. Blackwell','Ap #348-7078 Lorem Av.','Torrance','CO','58567','blackwell@aulnet',1236014,'272-791-3673',22502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot M. Levy','717 Cursus. Rd.','Houston','IA','24429','alevy@abc.edu',1236015,'376-194-1622',109291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah H. West','4606 Libero. Avenue','Astoria','MI','85497',NULL,1236016,'849-867-3767',96607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery B. Arnold','P.O. Box 628, 8737 Ornare, Avenue','Wynne','MA','85161','arnold@widget.com',1236017,'668-508-2756',56282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster H. Hood','751-3708 Orci, Rd.','Hoboken','IA','75451','buckminster.hood@emailathome.net',1236018,'523-192-5998',81235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn D. Langley','131-4216 Tellus Avenue','San Diego','PA','00575','jlangley@abc.edu',1236019,'937-569-5501',65848,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem G. Witt','176-4640 Tellus. Rd.','San Fernando','CT','86796','witt@abc.edu',1236020,'373-319-7793',47519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail W. Lambert','P.O. Box 556, 9968 Rutrum Rd.','Lahaina','NJ','73859','alambert@emailathome.net',1236021,'656-929-1389',31293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah N. Franks','850-3263 Purus Av.','Littleton','KY','97261','franks@widget.com',1236022,'121-777-5067',57706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keiko Q. Osborne','P.O. Box 234, 8285 Libero St.','Manassas Park','WY','34022','osborne@aulnet',1236023,'394-314-9915',106283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell K. Galloway','P.O. Box 720, 304 Lorem St.','Chino Hills','TN','89714','galloway@widget.com',1236024,'747-931-2442',48731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay I. Snow','Ap #810-2053 Arcu. St.','Rockford','MS','30610',NULL,1236025,'425-162-0923',57229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra U. Mcintosh','P.O. Box 768, 6373 Tellus. Rd.','Slidell','NE','00531',NULL,1236026,'242-577-5485',57704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno X. Stewart','Ap #212-9283 Ac Rd.','Santa Monica','UT','43244','stewart@xyz.edu',1236027,'776-927-3949',55160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felicia W. Kelley','2774 Cras Road','Slidell','MN','22396','felicia.kelley@hitmail.com',1236028,'711-298-7804',38813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton E. Stanley','Ap #371-6379 Vestibulum, St.','Aspen','AK','52675',NULL,1236029,'973-783-8815',80607,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille Y. Baldwin','P.O. Box 632, 921 At Avenue','San Francisco','VT','96749','camilleb@bpmpros.com',1236030,'425-307-0808',83241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster K. Johns','510-4126 Arcu Rd.','Laguna Beach','AZ','92098','buckminsterj@hitmail.com',1236031,'837-263-4695',68155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter H. Hebert','Ap #452-3969 Risus. Av.','Aspen','TX','82784','whebert@bpmpros.com',1236032,'873-611-8732',59678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan A. Rosales','380-910 Sed St.','York','OH','52545','declanr@xyz.edu',1236033,'321-204-8146',104507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper K. Tillman','302-8943 Et Ave','Richland','NE','24777','pipert@bpmpros.com',1236034,'323-653-7576',79960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally Q. Davenport','P.O. Box 925, 8203 Ipsum St.','Lansing','DE','66991','callyd@bpmpros.com',1236035,'778-192-6444',15779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice R. Blevins','294-4325 Auctor Street','Gu?nica','CT','29096','candiceb@xyz.edu',1236036,'188-856-8575',15318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen A. Atkinson','Ap #714-4099 Urna. St.','Anaheim','VT','00230','atkinson@abc.edu',1236037,'327-315-1709',39447,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine G. Leach','491-6535 Pellentesque Rd.','Williston','CO','08309','sleach@widget.com',1236038,'639-867-1713',60339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette T. Floyd','1305 Quis Av.','Hartland','IL','26026',NULL,1236039,'967-921-9075',41358,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane P. Pearson','6777 Nunc Avenue','Worcester','OK','09611','jane.pearson@xyz.edu',1236040,'414-111-7028',108392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald O. Martin','275-9679 Facilisis St.','Culver City','CA','83382','fitzgeraldm@hitmail.com',1236041,'994-318-3381',52808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brody J. Whitfield','618 Porttitor Rd.','Mesquite','HI','43161','brodyw@emailathome.net',1236042,'591-791-1220',69752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit R. Thomas','Ap #388-4864 Interdum. St.','Clarksville','IL','57291','thomas@widget.com',1236043,'453-953-6437',81217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly H. Roth','9974 Phasellus Ave','Prescott','NJ','75750','roth@aulnet',1236044,'571-616-8111',84651,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret N. James','648-550 Tristique Avenue','Aliquippa','NV','13999','margaret.james@aulnet',1236045,'741-221-8477',66630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum H. Stuart','8749 Enim. Road','Gloversville','CT','10482','stuart@yohaa.com',1236046,'882-746-7688',64082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence G. Mcgowan','P.O. Box 230, 426 Volutpat Rd.','LaGrange','WV','03114','mcgowan@yohaa.com',1236047,'606-488-1349',19424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger O. Sanchez','5540 Montes, Road','Troy','VA','36817','sanchez@aulnet',1236048,'339-709-3481',70650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee N. Miller','821-6672 Eu Avenue','Reedsport','NJ','59585','cherokeem@bpmpros.com',1236049,'403-642-3416',102564,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma N. Rowland','P.O. Box 425, 4157 Donec Road','Harrisburg','DC','72721','velmar@email.net',1236050,'317-729-4717',36085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana D. Green','Ap #362-5906 Purus. St.','Pascagoula','NC','80153',NULL,1236051,'985-303-0224',15377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia F. Burns','842-6452 Metus. Rd.','Anaconda','CO','72752','iburns@widget.com',1236052,'916-802-0050',44274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya I. Kennedy','Ap #879-1069 Eu, Rd.','Tustin','OH','89651','rayak@emailathome.net',1236053,'415-332-1332',51085,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth R. Garrett','P.O. Box 854, 4451 Libero. Av.','Mason City','OH','32322','sethg@abc.edu',1236054,'174-499-7208',73880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko Z. Boyer','Ap #891-2504 Ut, Road','Pawtucket','OK','42684','hiroko.boyer@aulnet',1236055,'107-182-4711',17443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter Q. Alford','Ap #840-5248 Tellus St.','Gettysburg','OH','44286',NULL,1236056,'962-969-0404',38091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase G. Merritt','9294 Euismod Rd.','Raleigh','NV','84098',NULL,1236057,'517-204-2001',20440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie N. Farmer','P.O. Box 167, 8243 Ornare, Rd.','Saint Paul','WY','55749','kylie.farmer@hitmail.com',1236058,'738-355-3596',74834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham R. Simpson','P.O. Box 437, 5970 Eros St.','Greenville','MI','41696','abrahams@email.net',1236059,'446-275-4207',98886,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade N. Hood','P.O. Box 567, 4178 Pede. Street','Independence','VT','34875','wade.hood@abc.edu',1236060,'573-918-1935',40919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane E. George','Ap #321-685 Amet Ave','Sturgis','RI','64008','george@hitmail.com',1236061,'975-557-4765',84379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra A. Buckley','P.O. Box 652, 2285 Ipsum. Rd.','Shawnee','TX','67922','buckley@emailathome.net',1236062,'122-906-4638',50733,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla C. Hubbard','P.O. Box 332, 218 Nunc Rd.','Elko','UT','75732',NULL,1236063,'765-896-7022',74481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laith A. Brady','P.O. Box 533, 1196 Eleifend Rd.','Danville','OR','63538','brady@email.net',1236064,'472-236-9226',41346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime X. Taylor','5719 Convallis Avenue','Marshfield','AL','27773','jaime.taylor@aulnet',1236065,'237-965-1877',86558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur L. Wolf','324-4702 Sodales Road','Garden Grove','DE','10548','awolf@bpmpros.com',1236066,'313-441-3145',102704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra R. Emerson','P.O. Box 700, 6918 Aenean Street','Kent','VA','01622','debrae@widget.com',1236067,'262-474-8142',42623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee F. Powers','4612 Sapien. St.','Easthampton','AL','40021','sydneep@yohaa.com',1236068,'384-509-6470',38468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne M. Lane','P.O. Box 509, 5376 Proin Road','Covina','KY','31481','waynel@hitmail.com',1236069,'503-896-3960',47174,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley P. Buckley','P.O. Box 609, 393 Cum Rd.','East Hartford','AK','35976',NULL,1236070,'358-851-5469',51567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline S. Walton','107-6901 Donec St.','Guayanilla','NH','52098','evangelinew@emailathome.net',1236071,'965-323-1737',38057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye Q. Michael','167-6263 Est. Rd.','Oneonta','CA','60623','michael@bpmpros.com',1236072,'722-786-9090',96911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest C. Rivas','Ap #822-9656 Massa. Road','Bethlehem','UT','98769','forrest.rivas@hitmail.com',1236073,'483-104-7997',20607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera X. Rosales','P.O. Box 703, 9669 Taciti Rd.','Rockville','MS','35534','rosales@yohaa.com',1236074,'494-786-8895',95552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan X. Fowler','1331 Convallis St.','Orem','TX','62546','vaughanf@bpmpros.com',1236075,'109-538-8164',106348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo O. Gomez','3092 Aliquet. Street','Catskill','WV','69025',NULL,1236076,'381-981-8347',37186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson Q. Hewitt','1371 Hendrerit Avenue','Guthrie','IL','49765',NULL,1236077,'877-406-4045',101468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas R. Alston','P.O. Box 765, 2281 Nonummy Rd.','Auburn Hills','OR','03042','silasa@aulnet',1236078,'817-685-0914',104571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi W. Wiley','Ap #592-6226 Sed Avenue','Murfreesboro','IN','01005',NULL,1236079,'247-955-6306',44538,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton G. Blake','P.O. Box 331, 395 Quisque St.','New Rochelle','SD','04816','clinton.blake@widget.com',1236080,'912-159-9146',64872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle V. Delacruz','P.O. Box 614, 3625 Aliquet. Street','Coral Springs','TN','60075','kyled@xyz.edu',1236081,'882-894-7537',80493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan F. Haney','P.O. Box 227, 9254 Nulla. Rd.','Carson City','OK','56117','rogan.haney@xyz.edu',1236082,'293-174-8786',40690,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade Y. Holman','P.O. Box 392, 4390 Diam Av.','Decatur','MN','16773','holman@xyz.edu',1236083,'881-183-1569',39251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson N. Miles','599-8811 Leo, St.','Oneida','UT','36253','jamesonm@xyz.edu',1236084,'926-816-8989',61898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem T. Wall','613-6268 Aliquam Rd.','Rocky Mount','CT','08334',NULL,1236085,'588-514-3201',36686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek S. Buckley','428-6133 Sed St.','Rensselaer','WA','07905','buckley@widget.com',1236086,'341-828-2425',81910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth Y. Pruitt','Ap #620-9058 Dictum Av.','Caguas','WV','87394','elizabeth.pruitt@email.net',1236087,'301-541-3795',29831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson W. Collier','6412 A Avenue','San Dimas','MI','51240','carson.collier@email.net',1236088,'989-419-4645',106958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista O. Hunt','1731 Nec Rd.','Bessemer','ND','44919',NULL,1236089,'134-233-1731',37370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem U. Lee','P.O. Box 597, 9815 Sit Ave','Stillwater','IA','91645','lee@aulnet',1236090,'665-709-8319',24284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn I. Bernard','P.O. Box 571, 2801 Ultricies Rd.','Gu?nica','AK','34135','kbernard@email.net',1236091,'881-545-1449',92499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn X. Washington','P.O. Box 655, 6130 Arcu. St.','Hackensack','DE','21965','kylynnw@widget.com',1236092,'291-981-4255',89207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus P. Lloyd','Ap #650-5039 Eu Rd.','Rock Springs','HI','39851',NULL,1236093,'716-917-8972',42666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay B. Rowe','Ap #833-8248 Molestie Road','Cleveland','MA','64004','fayr@widget.com',1236094,'965-782-5994',106790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira G. Moss','348-7895 Velit Rd.','Yuma','CA','59113','moss@widget.com',1236095,'228-183-7652',71296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael O. Pace','1317 Semper. Road','Sandpoint','DE','14130','jael.pace@email.net',1236096,'242-564-2616',53475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn S. Carney','969-7353 A Rd.','Redondo Beach','RI','92107',NULL,1236097,'337-589-9432',26298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal N. Sawyer','P.O. Box 759, 5726 Sociis Avenue','New Brunswick','OH','41844','sawyer@bpmpros.com',1236098,'142-489-7787',30232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron H. Webb','9910 Placerat, Ave','Redlands','AK','64699',NULL,1236099,'783-298-3262',19240,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison U. Bolton','Ap #842-9017 Praesent Street','Lomita','NY','66520','harrison.bolton@abc.edu',1236100,'229-913-1004',46273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani J. Olson','P.O. Box 678, 105 Risus. Ave','Texarkana','MN','07674',NULL,1236101,'204-434-3464',68743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla X. Solis','534-3167 Varius. Rd.','Jacksonville','CT','52760',NULL,1236102,'444-548-9722',41448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella V. Miles','Ap #937-391 Justo. Rd.','Alameda','MA','56718',NULL,1236103,'488-823-3712',64537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley U. Humphrey','Ap #811-5739 Posuere St.','Hermosa Beach','OK','19865','haley.humphrey@xyz.edu',1236104,'685-163-7851',73788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olympia D. Haley','3532 Nunc Av.','Vallejo','NH','98039','olympiah@xyz.edu',1236105,'117-675-0713',66569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph R. Wilkins','P.O. Box 777, 8034 Non Ave','Temple City','OH','22221','wilkins@xyz.edu',1236106,'462-478-0520',40477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet V. Jacobs','990-1495 Volutpat. Road','Marquette','OR','40273','harriet.jacobs@aulnet',1236107,'595-956-3343',96478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki D. Higgins','5051 Fringilla. Avenue','Geneva','MA','92436','pakih@aulnet',1236108,'554-813-3080',45808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz R. Lamb','P.O. Box 287, 3808 Ultrices Street','White Plains','DE','53755','cruzl@bpmpros.com',1236109,'283-746-5699',74401,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone Y. Avery','Ap #251-7928 Non Rd.','Passaic','ME','50904','simonea@hitmail.com',1236110,'761-953-6991',72928,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Summer G. Cardenas','P.O. Box 843, 7093 Scelerisque St.','San Gabriel','WY','36187',NULL,1236111,'191-851-7033',24109,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan S. Kidd','8984 Purus Rd.','Santa Monica','CT','97030',NULL,1236112,'759-469-4455',29429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin M. Wiggins','4568 Sed Street','Huntington','NM','45094',NULL,1236113,'798-864-8097',61914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi C. Gates','P.O. Box 124, 7299 Libero. Avenue','Forest Lake','AL','65000','hgates@widget.com',1236114,'195-794-6574',70809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda C. Contreras','P.O. Box 660, 5143 Ut Rd.','Dearborn','NC','64229','miranda.contreras@xyz.edu',1236115,'331-336-0296',95295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine L. Beck','Ap #463-7825 Nascetur Street','Pascagoula','AK','65439','beck@yohaa.com',1236116,'669-991-1251',64120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn J. Sellers','5330 Auctor. Av.','Carson','IA','99286','sellers@bpmpros.com',1236117,'739-796-6856',19108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phillip G. Cortez','P.O. Box 670, 9467 Imperdiet Ave','West Bend','MA','74073','cortez@hitmail.com',1236118,'269-999-6952',94407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa W. Shepherd','P.O. Box 158, 7932 Sodales St.','Cleveland','OH','12286','alyssa.shepherd@hitmail.com',1236119,'359-529-3190',27305,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin Z. Edwards','3238 Proin St.','Cedarburg','WV','10622','jin.edwards@email.net',1236120,'841-576-4184',68708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha P. Higgins','1663 Ac Avenue','Jenks','WI','19100','higgins@aulnet',1236121,'274-468-4151',72026,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela B. Baird','911-2923 Lectus St.','Houma','PA','74584','pamelab@bpmpros.com',1236122,'785-958-3178',44153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia X. Weiss','3607 Sed Avenue','Benton Harbor','MS','80877','eugenia.weiss@abc.edu',1236123,'326-694-1800',36392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan A. Riddle','4384 Quisque St.','Butler','WI','08747','conan.riddle@bpmpros.com',1236124,'725-547-0174',43706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah I. Kim','P.O. Box 907, 2517 Malesuada Ave','College Station','VT','80799','marah.kim@aulnet',1236125,'537-352-7097',32469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas M. Erickson','2109 Rhoncus. Ave','Lawrence','WA','19448','nicholas.erickson@bpmpros.com',1236126,'528-572-2064',86603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando O. Hayes','4095 Ac St.','Kearns','NJ','01782','hayes@aulnet',1236127,'727-679-3264',55448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira W. Clay','979-8298 Neque Avenue','Hamilton','SC','34446','clay@bpmpros.com',1236128,'229-946-5259',55408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius W. Harrell','Ap #413-4833 Sem Rd.','Williamsburg','KS','15150',NULL,1236129,'696-825-7712',106818,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Philip K. Christian','P.O. Box 923, 1394 Purus, Rd.','West Hollywood','IL','59274','christian@abc.edu',1236130,'425-111-8465',31562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert D. Scott','Ap #603-5676 Vestibulum. St.','Saint Louis','MS','73632','scott@yohaa.com',1236131,'907-422-3421',97128,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer B. Phelps','P.O. Box 286, 5569 Penatibus Rd.','Port Arthur','RI','28291','sphelps@bpmpros.com',1236132,'833-831-1514',17578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton X. Nichols','8153 Libero Road','Watertown','CO','87630','fultonn@bpmpros.com',1236133,'451-543-8268',49053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan W. Yates','Ap #255-5037 Nunc Street','Urbana','CO','23301','dyates@email.net',1236134,'932-482-9247',62292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar W. Mullins','Ap #709-9796 Proin Rd.','Dixon','TX','97011',NULL,1236135,'423-354-7456',82177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya F. Herring','P.O. Box 623, 7216 Sem. St.','Saint Albans','IL','11109','aherring@aulnet',1236136,'221-544-8975',52637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton C. Clements','569-6664 Quisque Rd.','Hartford','CO','30142','elton.clements@hitmail.com',1236137,'353-573-9168',29582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan O. Hammond','Ap #112-1610 Natoque Rd.','West Valley City','NE','61402','hammond@bpmpros.com',1236138,'645-997-4703',103647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius C. Daniel','Ap #802-1676 Nunc Rd.','Fargo','SC','31593','octavius.daniel@aulnet',1236139,'196-742-6480',33086,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming D. Henderson','P.O. Box 810, 2351 Tortor. Rd.','South Burlington','NH','36368','whenderson@hitmail.com',1236140,'962-167-7083',63593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall S. Gates','4397 Consequat Ave','Hamilton','AK','87901','randall.gates@abc.edu',1236141,'748-535-6314',24118,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dakota K. Flowers','Ap #500-8285 Vitae St.','Lander','IL','34412','dakota.flowers@emailathome.net',1236142,'424-163-5982',50539,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko M. Mueller','9549 Mauris Avenue','Apple Valley','NM','16199','ymueller@aulnet',1236143,'632-874-3896',60736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter S. Hopkins','823-6351 Eu Road','Gary','ND','39246','whopkins@xyz.edu',1236144,'336-978-8511',55953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell X. Puckett','Ap #495-6093 Non, St.','Anaconda','ID','98728','puckett@emailathome.net',1236145,'965-301-1789',43877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April T. Bowman','Ap #380-274 Ut, Av.','Falls Church','PA','98696','april.bowman@aulnet',1236146,'415-389-5806',71622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker X. Morales','Ap #289-5646 Sed Ave','Fairfax','MT','22820','wmorales@email.net',1236147,'517-933-1116',16571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daquan P. Grimes','Ap #272-7357 Interdum. St.','Centennial','MD','98010','dgrimes@aulnet',1236148,'842-468-3014',35049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily F. Cole','7298 Iaculis Rd.','Miami','KY','53592',NULL,1236149,'595-589-6255',67007,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia B. Morrison','P.O. Box 146, 4908 Felis Avenue','Salisbury','VT','21674','lmorrison@yohaa.com',1236150,'267-762-1408',76558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden F. Hart','P.O. Box 174, 9856 Luctus St.','Laconia','CT','06528','marsdenh@hitmail.com',1236151,'203-469-1213',83178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra J. Chapman','Ap #165-6050 Cras Rd.','Sandpoint','DE','20537','cassandrac@bpmpros.com',1236152,'156-368-7278',71439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana I. Clarke','Ap #897-9028 Magna Road','Dover','WV','10341','tatyana.clarke@hitmail.com',1236153,'878-935-2920',34503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila U. Stout','P.O. Box 129, 4021 Ut, St.','San Dimas','VA','88098','aquilas@bpmpros.com',1236154,'431-219-1433',46685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark O. Guy','698-3137 Consectetuer Street','Kenosha','OH','60248','mark.guy@aulnet',1236155,'347-787-8969',55043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis T. Green','436-9854 Ultricies Ave','Nichols Hills','AZ','79339','alexisg@xyz.edu',1236156,'688-935-6224',35039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart Q. Key','615-5961 Vulputate, Av.','Parma','WV','98378','stewart.key@hitmail.com',1236157,'708-396-2218',59160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith R. Gallegos','230-6824 Sem, Av.','Phenix City','OK','68667','ggallegos@widget.com',1236158,'136-844-0313',74258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon C. Callahan','8609 Aliquet, Rd.','Eureka','AK','77213','deaconc@abc.edu',1236159,'181-894-3788',92771,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana D. Vazquez','953-7929 Blandit. St.','Poughkeepsie','OK','76953','dvazquez@abc.edu',1236160,'267-358-0424',31817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ava Z. Duran','P.O. Box 259, 3627 Eget, St.','Hilo','CT','87164','aduran@yohaa.com',1236161,'118-386-5435',97682,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea B. Alvarez','P.O. Box 110, 4620 Lobortis Street','Chula Vista','FL','39617','lunea.alvarez@xyz.edu',1236162,'772-891-0866',38930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra D. Colon','P.O. Box 399, 4834 Iaculis St.','Cypress','KY','57987',NULL,1236163,'605-477-2773',70049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin V. Vincent','199 Mauris St.','Garden Grove','CT','36772','vincent@xyz.edu',1236164,'561-221-6683',95988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley E. Bartlett','P.O. Box 102, 7637 Aliquet Road','Darlington','WV','01347','lesley.bartlett@emailathome.net',1236165,'111-671-7014',78703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel N. Rasmussen','Ap #789-1952 Tincidunt Av.','San Gabriel','RI','77588','rasmussen@emailathome.net',1236166,'926-936-5173',31548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon V. Pitts','536-2851 Libero Rd.','Batavia','ID','04871','talon.pitts@bpmpros.com',1236167,'459-376-2128',39570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir L. Casey','789-3720 Commodo Av.','Northampton','ID','51555','zcasey@yohaa.com',1236168,'426-886-1524',82664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer Z. Farrell','405-3255 Est, Road','Parma','CO','33084',NULL,1236169,'639-166-8429',20548,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James U. Hensley','Ap #459-1321 Vulputate, Ave','Cedar Rapids','OR','81124',NULL,1236170,'209-748-7046',68524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada Q. Mccormick','187-6887 Eu Avenue','Cape Girardeau','MO','22103','nevada.mccormick@xyz.edu',1236171,'328-437-2759',98831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea L. Mclaughlin','P.O. Box 910, 1948 Scelerisque St.','La Crosse','WY','46879','althea.mclaughlin@bpmpros.com',1236172,'983-302-6488',36212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma C. Tanner','Ap #296-6912 Ut Rd.','New London','CT','17664','itanner@bpmpros.com',1236173,'534-517-7284',79024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona X. Glover','P.O. Box 640, 7384 Dolor. Street','Merizo','SD','92200','mglover@hitmail.com',1236174,'965-508-9157',51708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona B. Crane','1327 Consectetuer Rd.','San Juan','WV','55964','crane@yohaa.com',1236175,'395-382-7316',47357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin C. Bullock','811-4447 Ultrices Road','Stockton','PA','72128',NULL,1236176,'293-488-6704',21064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane K. Bishop','Ap #379-6270 Ante. St.','Seal Beach','CO','86359','dbishop@aulnet',1236177,'577-761-0597',40798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia I. Davis','Ap #782-4896 Ante Street','Durango','AK','11707','virginia.davis@abc.edu',1236178,'157-635-3053',72611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes W. Chandler','P.O. Box 574, 6907 Lacus. Road','West Hartford','IN','32254','holmesc@email.net',1236179,'153-219-7441',66874,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler D. Knapp','P.O. Box 706, 696 Cum Ave','Duluth','GA','49381',NULL,1236180,'736-799-8086',65248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius B. Pierce','P.O. Box 548, 9066 Eu, Street','Eden Prairie','DC','37686','demetriusp@abc.edu',1236181,'178-705-4932',17112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey O. Vance','Ap #693-8812 In Rd.','Springdale','DC','37674','dvance@hitmail.com',1236182,'351-429-1346',45070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Remedios I. Walters','5162 Cras Av.','Lock Haven','MT','33146',NULL,1236183,'904-449-4814',109187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie Q. Shaw','Ap #265-6609 Habitant Rd.','Jersey City','AK','53396','keelie.shaw@yohaa.com',1236184,'543-457-7962',86950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth T. Palmer','272-1786 At, Rd.','West Hartford','ME','49303','roth.palmer@aulnet',1236185,'601-244-5903',102302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew R. Mckinney','835-8429 Tempus Street','Santa Clarita','AL','38188','matthew.mckinney@aulnet',1236186,'582-182-2357',43226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo F. Benson','6744 Aliquam Rd.','White Plains','KS','14888','benson@bpmpros.com',1236187,'607-546-6548',89862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese N. Guerra','Ap #375-1250 Nec Avenue','Eatontown','GA','52067','guerra@widget.com',1236188,'856-554-0096',72275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac K. Lloyd','3317 Mollis. Avenue','Sedalia','MT','78793','lloyd@widget.com',1236189,'109-785-4408',54812,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin C. Rios','Ap #166-4551 Mus. St.','Meridian','WY','54322','austin.rios@email.net',1236190,'126-126-8102',69640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar Z. Beard','P.O. Box 899, 515 Nonummy Av.','Revere','WI','92646',NULL,1236191,'979-195-0209',57817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany A. Carter','P.O. Box 514, 430 Sed St.','Burbank','KY','35128','brittany.carter@abc.edu',1236192,'875-844-8499',83279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma E. Snider','P.O. Box 407, 2212 Nisi. St.','Daly City','SC','13248',NULL,1236193,'477-243-0869',47231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit B. Sutton','P.O. Box 626, 7517 Tellus. Ave','Jacksonville','WA','72985','sutton@email.net',1236194,'234-502-7538',54092,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison T. Reyes','589 Sed Rd.','Hilo','AK','45102',NULL,1236195,'302-825-2854',69617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay K. Rios','P.O. Box 325, 3390 Suspendisse Av.','Saratoga Springs','AK','00355','brios@xyz.edu',1236196,'468-771-5958',88895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney J. Drake','7182 Sed St.','Santa Cruz','VA','70591','britanneyd@xyz.edu',1236197,'527-273-9400',18768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa X. Mccall','P.O. Box 239, 9229 Lacus. Ave','Chino Hills','VA','86156',NULL,1236198,'647-274-2472',102238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard Y. Foreman','6344 Porta Av.','Morgan City','WY','16115','richardf@aulnet',1236199,'721-486-1035',46018,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth P. Frank','6960 Vitae St.','Warren','RI','35386','roth.frank@abc.edu',1236200,'108-671-6192',41897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney V. Mendoza','P.O. Box 891, 1777 Arcu. Road','Eatontown','RI','54799',NULL,1236201,'286-284-7644',87140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem B. Parsons','6090 Sociis Street','Rock Springs','AK','22748','hakeemp@xyz.edu',1236202,'227-236-7531',43055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline T. Mcknight','821-3079 Proin Avenue','Rohnert Park','ND','73496','acqueline.mcknight@widget.com',1236203,'345-473-5082',72846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe X. Hickman','Ap #959-9981 Sit St.','Beloit','PA','42315',NULL,1236204,'813-167-4390',51832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn Z. Farley','1732 Mauris Ave','Portsmouth','NE','68043',NULL,1236205,'285-866-0628',23862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell C. Rivera','914-5215 Id Rd.','Bell','SD','38596','rivera@yohaa.com',1236206,'549-725-5806',57500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek O. Holden','Ap #720-7555 Lorem St.','Albuquerque','NJ','49877','dholden@abc.edu',1236207,'474-914-6382',27285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera O. Sharp','P.O. Box 977, 4767 Vitae Street','Roanoke','NC','24864',NULL,1236208,'742-116-9206',65412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vaughan R. Short','P.O. Box 152, 9438 In, Ave','Greensboro','AK','66891','vshort@email.net',1236209,'766-407-5145',47564,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem W. Chang','Ap #327-6877 Neque. St.','Rye','IA','30206','jakeem.chang@hitmail.com',1236210,'108-864-2617',88759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars D. Gaines','4281 Eget Rd.','Layton','MT','29843','lgaines@xyz.edu',1236211,'864-574-3507',95547,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason Q. Trujillo','5527 Vestibulum, Rd.','Lynn','MI','90613','masont@xyz.edu',1236212,'698-974-3216',75508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah J. Park','342-7855 Malesuada Road','Roseville','HI','68269','rajahp@email.net',1236213,'873-561-3456',82685,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga J. Harrington','Ap #209-4526 Rutrum St.','Agoura Hills','ME','65034','nharrington@hitmail.com',1236214,'394-267-5379',84124,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton L. Morse','4971 Interdum St.','Canandaigua','MT','50826','emorse@email.net',1236215,'439-868-1758',45961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross H. Melton','9839 Dapibus Avenue','Tonawanda','WI','02068','ross.melton@hitmail.com',1236216,'141-684-5604',94342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage R. Vasquez','487-2873 Eros Ave','Council Bluffs','LA','30443','sagev@widget.com',1236217,'502-552-1466',22053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli X. Briggs','Ap #741-7603 Magna St.','Tupelo','DE','43283','obriggs@bpmpros.com',1236218,'726-238-6808',43269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Minerva J. Kemp','972-6198 Sem Rd.','Tamuning','ND','84837','mkemp@widget.com',1236219,'111-837-9656',68143,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn W. Jackson','P.O. Box 640, 5597 Ac Avenue','Los Alamitos','NH','25109','karyn.jackson@email.net',1236220,'137-257-9949',70121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker D. Melton','6574 Lectus St.','Atwater','HI','78710','wmelton@hitmail.com',1236221,'332-335-9506',63655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary M. Browning','P.O. Box 735, 5190 Arcu. St.','Chickasha','OH','94862',NULL,1236222,'673-905-1401',15410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon N. Rivas','6720 Ut Av.','Waco','AK','20640',NULL,1236223,'127-385-6650',96908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria Z. Burt','Ap #579-3482 Purus Street','Newark','MT','53074','adriab@abc.edu',1236224,'625-642-9255',107504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb V. Munoz','1835 Duis Av.','Ames','NE','12377','calebm@hitmail.com',1236225,'776-238-6028',106256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra N. Hinton','P.O. Box 436, 7340 Enim. Rd.','West Lafayette','FL','76388','hinton@email.net',1236226,'766-533-6703',83236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey R. Contreras','P.O. Box 505, 2016 Neque Rd.','Healdsburg','TN','08374',NULL,1236227,'663-429-8514',43809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark A. Stanley','Ap #516-6894 Turpis St.','Truth or Consequences','VA','78676','clark.stanley@aulnet',1236228,'941-604-9327',103612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene G. Donovan','265-1876 Id St.','West Memphis','NY','57125','imogened@hitmail.com',1236229,'702-753-2561',103664,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla W. Waters','P.O. Box 981, 3158 Velit. St.','Gulfport','DC','83130','ullaw@xyz.edu',1236230,'366-178-7210',92155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora T. Delaney','Ap #105-3820 Pede St.','Port Huron','WY','11395','pandorad@hitmail.com',1236231,'636-893-9717',102466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance T. Richard','660-1888 Hendrerit Avenue','Binghamton','NY','62874','richard@email.net',1236232,'379-806-7086',87348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter R. Hester','229-1902 Elit, St.','Titusville','RI','39701','hester@email.net',1236233,'676-945-7504',72911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma J. Christian','P.O. Box 165, 7752 Et, Rd.','Lafayette','HI','93332','velma.christian@widget.com',1236234,'234-819-7644',35631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Larissa V. Williamson','P.O. Box 459, 7424 Amet, St.','East Lansing','MS','64067','larissaw@widget.com',1236235,'401-644-3630',40213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney M. Martinez','968-6964 Duis Rd.','Lomita','LA','89454','sydney.martinez@hitmail.com',1236236,'612-922-5668',42519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra O. Wilkinson','P.O. Box 437, 934 Nunc Rd.','Grand Junction','KY','72651','awilkinson@bpmpros.com',1236237,'106-627-6591',33681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory M. Blankenship','P.O. Box 627, 5968 Sit St.','Bentonville','WI','34206','malloryb@yohaa.com',1236238,'958-964-6812',51633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille P. Hudson','P.O. Box 513, 5883 Sem Rd.','Bristol','AZ','08633','camille.hudson@bpmpros.com',1236239,'939-888-7414',48634,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger T. Ochoa','371-6682 Sit St.','Hollister','PA','84682','gingero@aulnet',1236240,'316-246-9337',89793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby D. Chase','4243 Nunc Av.','Winooski','GA','54802','kchase@bpmpros.com',1236241,'371-603-1267',41212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery A. Buckley','P.O. Box 924, 5773 Odio. Rd.','Bakersfield','SC','97651',NULL,1236242,'665-946-4586',95379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin D. Holcomb','P.O. Box 338, 2178 Est Rd.','Hagerstown','FL','97494',NULL,1236243,'257-722-5770',42161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee D. Pugh','620-7213 Aenean St.','Indio','TX','07104','pugh@aulnet',1236244,'699-756-4880',65799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura V. Booker','2569 Nulla Av.','Abilene','GA','66636','lbooker@abc.edu',1236245,'457-827-8924',53424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen K. Flores','Ap #451-439 Enim Av.','Georgetown','KY','51017','flores@email.net',1236246,'755-112-9387',45687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna S. Cortez','P.O. Box 721, 3767 Vitae Rd.','Ogdensburg','CA','46398','ayannac@abc.edu',1236247,'416-171-1820',34911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin N. Roberson','374-4856 Malesuada Avenue','Idaho Falls','WY','02059',NULL,1236248,'447-763-8339',32075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm K. Aguilar','9163 Cubilia Av.','Roseville','FL','52062','aguilar@hitmail.com',1236249,'478-303-0883',74638,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora P. Reilly','Ap #812-1329 Vitae Road','Hastings','OK','82344',NULL,1236250,'517-886-1981',83707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori J. Lott','3625 Ullamcorper Street','Philadelphia','MT','88807','olott@abc.edu',1236251,'243-694-3729',97934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burke B. Richards','Ap #291-4575 Malesuada Rd.','Tok','DE','69458','burker@aulnet',1236252,'366-408-9923',78540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ima O. Ferguson','Ap #485-5514 Tempor St.','Clovis','NY','78647','imaf@xyz.edu',1236253,'106-462-7697',70862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy G. Blankenship','1724 Est Road','Idaho Falls','ME','52960',NULL,1236254,'735-535-1712',59870,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah F. Day','686-9970 Nulla Road','Norman','MI','87049','day@bpmpros.com',1236255,'901-735-2703',60413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla Y. Mclean','P.O. Box 421, 2405 Hendrerit Av.','Jeannette','AL','43121','mclean@aulnet',1236256,'172-172-7160',96617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark I. Hall','784-8188 Mi Avenue','Jordan Valley','CT','12956',NULL,1236257,'188-259-2309',58852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa I. Ayala','Ap #246-3924 Diam Road','Waukegan','WA','02215','oayala@email.net',1236258,'272-261-3295',70408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Andrew B. Macias','224-9827 Aliquet Rd.','Anderson','IA','25328','andrew.macias@aulnet',1236259,'644-716-9853',22022,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo R. Spencer','Ap #435-9979 Ac Road','Beaumont','MT','83009','spencer@yohaa.com',1236260,'427-171-7967',87794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deanna V. Barnett','457-3299 Mi Avenue','Corpus Christi','RI','23306','deanna.barnett@widget.com',1236261,'416-843-8145',23440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell W. Garrison','Ap #230-2804 Velit. Road','Concord','NE','39652','garrison@xyz.edu',1236262,'168-484-2270',52621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea M. Owen','670-3983 Mauris St.','Asheville','RI','32661','cowen@xyz.edu',1236263,'324-393-7779',105964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer J. Bowers','9527 Placerat, Av.','Santa Clarita','FL','23846','jennifer.bowers@hitmail.com',1236264,'203-335-7649',49667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler J. Odonnell','542-8252 Nibh. St.','Del Rio','KS','53277','chandlero@abc.edu',1236265,'114-227-5522',33893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto O. Conner','641 Nunc Av.','Asbury Park','LA','58663','otto.conner@xyz.edu',1236266,'981-793-1148',80099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie X. Carlson','P.O. Box 836, 8003 Sed Av.','Winston-Salem','OR','13862',NULL,1236267,'536-517-2103',42313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato Z. Davis','8354 Non, Road','East Rutherford','WY','93994','kato.davis@widget.com',1236268,'382-635-2869',24033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard L. Baker','Ap #171-1413 Non, Rd.','Baltimore','WI','96390',NULL,1236269,'385-677-1123',108563,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses C. Hale','Ap #861-9595 Scelerisque Road','Danbury','WA','80586','ulyssesh@bpmpros.com',1236270,'977-262-7398',63575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian M. Erickson','Ap #804-604 Nunc Rd.','Brockton','NY','51541','erickson@email.net',1236271,'228-105-2670',21327,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson P. Washington','P.O. Box 812, 8632 Sed St.','Oakland','NH','29070','madesonw@emailathome.net',1236272,'722-841-9552',32314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna G. Gallagher','6446 Et, Street','Las Vegas','VT','50232','donnag@xyz.edu',1236273,'249-202-3964',103513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy F. Whitehead','Ap #641-1360 Morbi Street','San Gabriel','MA','32682','cwhitehead@bpmpros.com',1236274,'814-154-2656',76955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey P. Blair','7558 Nulla St.','Enid','IA','07131','daceyb@yohaa.com',1236275,'499-682-9973',34331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry W. Wheeler','7177 Semper. St.','Moultrie','WI','28669','jerry.wheeler@hitmail.com',1236276,'583-613-5717',87382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baker D. Martinez','P.O. Box 237, 1845 Ornare, St.','Fort Dodge','CA','03232',NULL,1236277,'991-474-0966',84660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth M. Harding','Ap #273-9982 Sem Avenue','Rolla','KY','40954','roth.harding@email.net',1236278,'286-277-5515',66806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan H. Christian','5472 Quis, Rd.','Louisville','MA','10625','ryanc@emailathome.net',1236279,'721-248-8566',23142,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance Q. Rodriquez','539 Nec Rd.','Durango','ME','82544','crodriquez@widget.com',1236280,'607-288-1020',102061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby O. Mullen','600-6434 Semper Av.','Waterbury','ME','75967',NULL,1236281,'502-218-2073',20270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel Z. Hebert','Ap #753-9333 Eleifend St.','Spokane','IN','62947',NULL,1236282,'905-517-5358',45780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran J. Cummings','146-6813 Et Rd.','Sugar Land','RI','01574',NULL,1236283,'512-527-9335',83325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart B. Fuller','399-1611 Sed Rd.','Saint Cloud','ME','14326',NULL,1236284,'891-403-8397',84930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage L. Ellis','384-1266 Nulla Rd.','Valparaiso','NC','01315','gagee@bpmpros.com',1236285,'742-633-9448',90393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna N. Mays','227 Lacinia Av.','Jeffersonville','MS','49810','mays@emailathome.net',1236286,'942-516-6798',82412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah N. Gray','P.O. Box 791, 6276 Dolor Av.','Watertown','PA','29969',NULL,1236287,'779-612-1377',21247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall U. Mclaughlin','519-7909 Faucibus Avenue','Hornell','HI','90720','rmclaughlin@bpmpros.com',1236288,'689-469-0701',26178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia E. Stout','8958 Lacus Rd.','Kenosha','IL','65695','sylvia.stout@yohaa.com',1236289,'778-737-6725',85138,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton W. Oneill','3782 Phasellus Rd.','Dover','ID','65492',NULL,1236290,'153-729-4931',78878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen H. Holt','6333 Eget Rd.','Philadelphia','NE','76393','aholt@xyz.edu',1236291,'943-348-4104',76522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett U. Phillips','P.O. Box 129, 5014 Tellus Ave','Richland','WY','55521','phillips@aulnet',1236292,'925-967-1056',39527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis X. Bailey','Ap #502-5005 A Ave','West Allis','MS','41196',NULL,1236293,'627-642-4086',32435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heather L. Cruz','705-9952 Amet, Street','Barre','CT','54706','cruz@abc.edu',1236294,'803-539-0815',104075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry D. Church','Ap #523-6313 Aliquet Road','Tyler','DE','21985',NULL,1236295,'792-504-0341',34288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn D. Ortiz','268-2584 Euismod Av.','Selma','NC','85706','lynno@aulnet',1236296,'792-484-8889',35603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean K. Beasley','Ap #613-6152 Et, Ave','Seattle','PA','47322','deanb@bpmpros.com',1236297,'128-721-1040',102942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezekiel D. Velez','Ap #484-7314 Ipsum Avenue','Burlington','WY','72519',NULL,1236298,'932-161-8819',103524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore W. Walker','P.O. Box 514, 8439 Consequat, Av.','Middletown','VT','89661','lenore.walker@emailathome.net',1236299,'381-213-2820',83407,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi Q. Alexander','Ap #896-8038 Ipsum Avenue','Los Alamitos','KY','22711',NULL,1236300,'473-653-8750',73423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage I. Carey','2174 Fermentum St.','Bloomington','MO','04506','sage.carey@abc.edu',1236301,'788-826-1814',76594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon S. West','8393 Lorem, Av.','Alamogordo','AL','13393','west@email.net',1236302,'754-423-2147',43208,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica S. Turner','Ap #701-3070 Dui. Av.','La Habra','MT','59662','eturner@hitmail.com',1236303,'166-711-1424',76669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odette Y. Contreras','Ap #979-9041 Convallis St.','Glendora','NY','13273',NULL,1236304,'936-992-7128',76692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette H. Freeman','P.O. Box 296, 6180 Ipsum. Rd.','Tuscaloosa','FL','87000','freeman@email.net',1236305,'374-309-2019',38509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory X. Shelton','P.O. Box 124, 6615 Donec St.','Kalispell','ID','47525',NULL,1236306,'626-909-2084',31242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amal K. Hale','315-3693 Justo St.','Los Angeles','IL','52290','amal.hale@hitmail.com',1236307,'926-552-4516',77369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida V. Burks','P.O. Box 493, 7117 Risus. Rd.','Michigan City','ND','90043','zenaida.burks@widget.com',1236308,'345-261-7122',86007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca K. Suarez','P.O. Box 418, 5043 Aenean St.','Lakewood','SC','42143','suarez@abc.edu',1236309,'287-523-6923',27387,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn W. Mcguire','250-4896 Morbi Rd.','Louisville','MT','31074','karyn.mcguire@emailathome.net',1236310,'218-306-7383',43170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett L. Rodgers','538-8632 Pede. Road','Morgan City','NC','13045','brett.rodgers@hitmail.com',1236311,'229-348-5542',99650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake E. Morse','Ap #135-8150 Augue Road','Valencia','MT','10633','morse@aulnet',1236312,'788-818-0576',26142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally A. Spencer','P.O. Box 842, 9463 Lectus Rd.','Santa Rosa','UT','34254',NULL,1236313,'898-577-3854',59765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria P. Banks','Ap #849-4201 A Avenue','San Juan','NC','51395',NULL,1236314,'641-448-9142',22180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery O. Pickett','P.O. Box 738, 6644 Porttitor Ave','Raleigh','NE','24175',NULL,1236315,'561-112-4593',83686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India U. Oliver','802-1783 Amet Road','Lansing','MO','09723','ioliver@emailathome.net',1236316,'899-351-3717',39586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika Z. Clements','9640 Neque. Av.','Enfield','CT','62282','anikac@aulnet',1236317,'255-545-4704',24929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya X. Lott','P.O. Box 125, 935 Et Rd.','Warren','SD','97650','lott@widget.com',1236318,'933-198-6320',23380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton F. Hutchinson','P.O. Box 250, 6092 Vitae St.','Chula Vista','FL','07395','fhutchinson@email.net',1236319,'946-988-9766',23854,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine E. Newman','444-1420 Sociosqu St.','La Puente','NV','74771','vnewman@bpmpros.com',1236320,'167-113-9919',86575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quintessa W. Lloyd','P.O. Box 963, 3361 Ullamcorper, St.','Hudson','KY','82566',NULL,1236321,'338-305-3272',36823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon Z. Charles','3366 Consectetuer Ave','Two Rivers','TX','26715','scharles@emailathome.net',1236322,'962-585-3168',62225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina T. Maxwell','648 Neque. Road','Bayamon','NM','57670','smaxwell@widget.com',1236323,'342-837-0965',37545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon B. Castro','Ap #137-822 Amet St.','Beaumont','WV','50517',NULL,1236324,'287-539-3763',74007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll W. Vargas','3794 Cursus. St.','Benton Harbor','NV','63279',NULL,1236325,'321-149-8026',52721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena U. Golden','Ap #504-7057 Etiam Rd.','Roswell','LA','94958',NULL,1236326,'328-658-6074',24464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aladdin M. Butler','623-1093 Elit. Rd.','West Lafayette','AK','48533','aladdin.butler@emailathome.net',1236327,'683-811-4780',92682,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marsden X. Hurley','689-728 Ornare Rd.','Parma','ID','29368',NULL,1236328,'992-585-3047',87736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady P. Rose','Ap #703-8476 Tortor. Street','Utica','KS','50280','grose@aulnet',1236329,'648-541-0353',50246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso D. Carlson','Ap #455-2050 Nisl. Avenue','Davis','AK','39790','alfonsoc@yohaa.com',1236330,'971-629-0701',26707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan M. Lancaster','Ap #120-6041 Sapien. Rd.','Green Bay','MA','48787','lancaster@bpmpros.com',1236331,'488-468-9880',78971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara U. Cooke','219-3819 Tellus. Ave','Vancouver','DE','57806','tarac@yohaa.com',1236332,'594-973-3313',41444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren Y. Hogan','Ap #408-3505 Non Rd.','Athens','MS','66224','warrenh@aulnet',1236333,'121-615-6970',47622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha Q. Hale','Ap #655-4390 Odio. Av.','Galesburg','WV','44301','sacha.hale@emailathome.net',1236334,'626-657-2728',81887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace B. Taylor','Ap #589-843 Fermentum Street','Dubuque','DC','12957',NULL,1236335,'369-896-4437',32530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea X. Mcclain','3349 Malesuada Rd.','Rhinelander','NJ','80341','lmcclain@bpmpros.com',1236336,'637-454-3320',93487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie N. Harris','P.O. Box 788, 5668 Tincidunt St.','Moreno Valley','OH','37117','nharris@widget.com',1236337,'559-197-5408',98568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree S. Sweeney','P.O. Box 848, 2928 Eu, Street','Gold Beach','NJ','27265','desirees@email.net',1236338,'473-933-0295',83695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka P. Haney','240-5571 Aliquam Street','McAlester','WY','56884','vielkah@emailathome.net',1236339,'149-523-3543',91832,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel N. Tate','P.O. Box 588, 5516 Dui, Street','Kearns','OH','69826','hilel.tate@hitmail.com',1236340,'711-769-2826',59521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses H. Zamora','4358 Eget Avenue','Christiansted','WV','36833','moses.zamora@xyz.edu',1236341,'726-498-4644',98793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn M. Mcleod','159-3841 Tristique Street','Hermitage','UT','87224','mcleod@widget.com',1236342,'158-884-2726',51390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell G. Ball','7660 Nec, Rd.','Vincennes','ID','67115','maxwellb@xyz.edu',1236343,'947-453-1316',67170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shea E. Shannon','P.O. Box 549, 4690 Fusce Rd.','Spokane','IL','50017','sshannon@xyz.edu',1236344,'233-171-4236',73627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory E. Daugherty','580-5498 Morbi St.','Methuen','AK','22172','idaugherty@aulnet',1236345,'391-524-5930',40709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy X. Mullen','P.O. Box 491, 9338 Sapien. Av.','Hot Springs','WI','04327','mmullen@emailathome.net',1236346,'601-801-3249',39716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae N. Walter','635-4753 Convallis, Rd.','Laguna Woods','AK','98803','walter@email.net',1236347,'221-731-5319',77792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah X. Ryan','852-3461 Molestie Ave','Sugar Land','MA','42240',NULL,1236348,'145-376-9165',66032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila F. Johnson','P.O. Box 843, 403 Tellus Street','Missoula','NC','01753',NULL,1236349,'905-149-2252',50171,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste X. Simon','P.O. Box 530, 6134 Quisque Street','Decatur','IA','90201','simon@emailathome.net',1236350,'166-161-0103',46912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie S. Mercer','Ap #759-7928 Est Rd.','Portsmouth','GA','50740','kmercer@abc.edu',1236351,'953-118-0780',99165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler F. Holman','1597 Non, St.','Macomb','NE','20726','tylerh@hitmail.com',1236352,'791-896-0978',104732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars A. Rice','715-1344 Lectus Ave','Madison','NM','11342','larsr@aulnet',1236353,'168-859-6466',53787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman J. Levy','494-9776 Imperdiet Street','Spokane Valley','CT','73485','hlevy@bpmpros.com',1236354,'738-897-6462',107232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara J. Walter','Ap #655-7735 Eu Rd.','Brownsville','AZ','18392','walter@hitmail.com',1236355,'777-516-3020',63300,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan M. Foster','7647 Vitae Street','Port Orford','NJ','74266',NULL,1236356,'105-373-0346',80728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor S. Tucker','P.O. Box 492, 9088 Vel, Av.','El Cerrito','IA','80454','tucker@aulnet',1236357,'721-826-1092',52689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere C. Stanley','7765 Eu Ave','Middlebury','TN','05103','guinevere.stanley@email.net',1236358,'259-723-7053',27588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeline I. George','P.O. Box 196, 5252 A, Ave','Wilmington','VA','75080','mgeorge@widget.com',1236359,'294-444-0667',81264,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chantale V. Clayton','P.O. Box 841, 2238 Nonummy Rd.','Hammond','WA','80855','chantalec@email.net',1236360,'945-139-3733',56523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes D. Cline','9609 Mauris Road','Sun Valley','CT','47885','xerxes.cline@xyz.edu',1236361,'872-466-9698',17381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa K. Daugherty','Ap #313-3562 Erat. St.','West Springfield','GA','30988',NULL,1236362,'764-635-9919',74610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra Q. Savage','P.O. Box 796, 2458 Sem St.','Paducah','AL','28459','abras@bpmpros.com',1236363,'438-202-7477',51786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary A. Murphy','Ap #536-5256 Pede. Rd.','Redding','IL','23042','roary.murphy@email.net',1236364,'503-931-0427',93973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna F. Justice','P.O. Box 598, 6236 In St.','Trenton','AK','28052','justice@xyz.edu',1236365,'105-607-5475',100884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe T. Francis','6696 Mi, Av.','Wahoo','FL','02675','zfrancis@yohaa.com',1236366,'672-882-3420',15619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar O. Sheppard','3817 Pede. Av.','Rosemead','NC','55616','oscar.sheppard@hitmail.com',1236367,'983-542-5297',72437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel R. Ayers','Ap #138-4101 Dui Ave','Great Falls','VT','51516','joela@email.net',1236368,'223-106-5561',90470,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melvin K. Walters','P.O. Box 680, 7348 Aliquam Avenue','Montgomery','OH','59010','melvin.walters@widget.com',1236369,'626-858-9644',29131,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris Y. Murphy','936-5688 Eu, Rd.','Indianapolis','NH','24983','murphy@hitmail.com',1236370,'994-621-3792',52420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gary O. Reid','309-209 Auctor Road','Shawnee','DC','78293','reid@xyz.edu',1236371,'286-281-6000',94993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa G. Gilbert','7563 Eu St.','Los Angeles','IL','01038','willag@abc.edu',1236372,'958-377-9859',67652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi Q. Allen','7128 Purus, Avenue','El Paso','AZ','57008',NULL,1236373,'212-117-9446',49182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona I. Cross','545-3250 Suspendisse Av.','Fernley','MN','55502','cross@widget.com',1236374,'612-733-7406',103084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet H. Goff','Ap #729-4092 Pharetra, Rd.','Visalia','FL','67712','juliet.goff@hitmail.com',1236375,'425-936-6794',35957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko D. Cantu','375-571 Aliquet Rd.','Athens','AL','21189','cantu@hitmail.com',1236376,'992-427-2639',46157,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris O. Henderson','Ap #802-467 Eu Rd.','Canandaigua','CA','05127','fhenderson@hitmail.com',1236377,'416-318-6359',106981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulysses H. Turner','5420 Dolor Street','Steubenville','NE','64984','turner@emailathome.net',1236378,'598-339-8606',45269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola H. Daugherty','P.O. Box 730, 3864 Urna St.','Lexington','NE','02276','daugherty@yohaa.com',1236379,'362-759-0988',68864,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica X. Lopez','P.O. Box 798, 9078 Nulla. Ave','Gilette','MS','02114','veronical@abc.edu',1236380,'581-742-4014',107436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen O. Glover','392-6567 Diam Av.','Montgomery','CO','58760','glover@widget.com',1236381,'975-456-0075',25007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne C. Bender','Ap #928-3000 Mi. Road','Auburn','ID','35593','wbender@abc.edu',1236382,'354-329-6847',96927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donna Z. Flowers','P.O. Box 269, 7624 Nonummy. Road','Orangeburg','CO','39375','donna.flowers@widget.com',1236383,'868-213-3310',34323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah B. Perry','P.O. Box 215, 3764 Nunc St.','Berkeley','KS','41471','perry@xyz.edu',1236384,'847-615-8282',76422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley W. Cote','5243 Non Avenue','Warren','WV','09473','yardley.cote@abc.edu',1236385,'622-806-4670',61305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed R. Slater','5158 Ante Av.','Kalamazoo','SD','73604','slater@emailathome.net',1236386,'652-914-1947',55375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye M. Long','333-2251 Commodo Rd.','Cedar City','DE','91575','avyel@aulnet',1236387,'279-722-6458',48996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna U. Mcknight','P.O. Box 624, 7044 Ullamcorper. St.','Midwest City','TN','96298','vanna.mcknight@xyz.edu',1236388,'863-943-7733',35260,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana O. Copeland','857-9513 Porta Av.','Nanticoke','MA','25822','tatiana.copeland@widget.com',1236389,'221-994-9466',34370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra K. Benton','7341 Nisi Street','Belleville','KY','99612','benton@widget.com',1236390,'395-517-4168',27113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany U. Hurley','7262 Lectus Rd.','Harrisburg','DE','20629',NULL,1236391,'791-911-4622',25359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heather Y. Trevino','394-3223 Parturient St.','Sutter Creek','GA','37358','heathert@yohaa.com',1236392,'178-769-6800',60155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis P. Foster','Ap #244-2266 Praesent St.','Waterbury','MS','65003',NULL,1236393,'452-439-1087',100706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana J. Sanchez','7394 Sit St.','Galveston','MO','43020','shana.sanchez@hitmail.com',1236394,'631-977-1100',38734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra Z. Stout','3613 Leo. Ave','Sedalia','VA','28472','stout@yohaa.com',1236395,'885-948-0456',69831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda P. Parsons','914-7608 Ante Av.','Darlington','OH','64682','mirandap@email.net',1236396,'155-949-8988',54790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett Z. Knowles','Ap #949-9967 Gravida St.','Bowling Green','TX','58312','knowles@bpmpros.com',1236397,'995-151-9007',106645,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee J. Mayer','263-3074 Molestie St.','Wynne','CT','90459','rmayer@xyz.edu',1236398,'762-767-7276',36603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Riley E. Hood','Ap #813-1076 Vel, St.','West Hollywood','WI','06007','rhood@bpmpros.com',1236399,'557-228-9867',24587,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez I. Hewitt','Ap #881-8725 Egestas Av.','Bossier City','NC','63970','inezh@aulnet',1236400,'188-545-6636',67323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee Q. Hamilton','6934 Tellus Av.','Ogdensburg','MO','52468','ahamilton@bpmpros.com',1236401,'866-964-7182',94706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal M. Mcgowan','6644 Nec Rd.','Bay St. Louis','NC','31387','jamalm@bpmpros.com',1236402,'534-421-9163',98111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh C. Clark','Ap #258-6459 Dignissim Rd.','Fort Worth','AZ','79100','clark@widget.com',1236403,'488-922-3423',67734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria L. Parker','Ap #520-5151 Dolor Av.','Dearborn','NY','64944',NULL,1236404,'145-533-4557',105664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Porter N. Buckley','4835 Rhoncus. Av.','Peoria','MN','65322',NULL,1236405,'817-212-6640',19065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter V. Lester','4296 Ornare Street','Woodward','PA','48465','winter.lester@aulnet',1236406,'907-388-9000',84656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mannix T. Key','554-3782 Penatibus Rd.','Milford','MI','21069',NULL,1236407,'435-433-6116',30487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara X. Perry','Ap #524-6775 Sodales St.','Vail','WI','48060','carap@bpmpros.com',1236408,'129-555-8875',15943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger E. Dickerson','P.O. Box 875, 1834 Fames Avenue','Pocatello','KS','38177','tdickerson@xyz.edu',1236409,'237-267-6125',21747,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian C. Cannon','990-3436 Aliquam Road','Galveston','TX','13642',NULL,1236410,'729-957-0147',51315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina L. Foreman','Ap #676-8219 Tincidunt Road','San Dimas','NY','46160','nina.foreman@yohaa.com',1236411,'813-633-4905',28204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin N. Frost','9108 Nulla Rd.','Bartlesville','MO','21046',NULL,1236412,'753-735-0983',52404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona Y. Garcia','515-100 Sollicitudin Av.','Thibodaux','MI','94826','garcia@bpmpros.com',1236413,'863-626-3513',60396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William W. Monroe','7001 Sagittis. Avenue','Roseville','CO','95695','monroe@bpmpros.com',1236414,'278-864-0167',61753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava V. Salas','585-5248 Lacus Ave','Hutchinson','LA','43949','chava.salas@widget.com',1236415,'645-713-5776',108255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger M. Gallagher','291-8924 Justo. St.','Redding','PA','16350',NULL,1236416,'309-845-6671',53917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah K. Rojas','4039 Egestas. St.','Douglas','DE','83504','rojas@emailathome.net',1236417,'231-262-1556',28812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian I. Hendrix','P.O. Box 998, 7612 Nulla. Avenue','Daly City','UT','07591','christian.hendrix@xyz.edu',1236418,'296-337-4986',58788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad P. Donaldson','1993 In, Rd.','Miami Beach','AK','20460','hasadd@widget.com',1236419,'329-449-9626',29924,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran U. Jarvis','P.O. Box 364, 4471 Commodo Av.','Oshkosh','HI','28548',NULL,1236420,'119-349-6886',68695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl S. Ewing','166-6088 Scelerisque Ave','Logan','LA','56485',NULL,1236421,'934-953-2928',96574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron L. James','P.O. Box 732, 4986 Volutpat Ave','North Adams','RI','11378','cjames@email.net',1236422,'753-687-6408',52074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily G. Pearson','Ap #792-9308 Porttitor St.','Scottsdale','MS','25636','emilyp@bpmpros.com',1236423,'915-668-3559',108108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk J. Rollins','Ap #376-6895 Aliquam Rd.','Farrell','AK','50575','rollins@xyz.edu',1236424,'213-137-7050',70277,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April O. Whitehead','4733 Duis Ave','Easton','NV','88594','april.whitehead@email.net',1236425,'652-264-3771',63246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan O. Moses','Ap #872-3310 Amet Ave','Easton','SC','35414','nolanm@abc.edu',1236426,'118-661-7341',27863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda Q. Estrada','P.O. Box 215, 6369 Eu Avenue','Pasco','WY','77413','brendae@aulnet',1236427,'937-946-5152',59053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri P. Huffman','P.O. Box 940, 6561 Nunc Ave','Jamestown','AK','02089','yuri.huffman@abc.edu',1236428,'593-421-3668',91739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor H. Cabrera','2713 At Rd.','Fresno','CO','52263','chancellorc@yohaa.com',1236429,'562-511-8538',100728,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea T. Huber','1257 Habitant Rd.','San Juan','MN','71276',NULL,1236430,'593-849-9910',88603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis Q. Harper','P.O. Box 456, 2800 Aenean Road','Plano','IL','73544','phyllis.harper@hitmail.com',1236431,'822-324-1631',78015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon L. Christensen','P.O. Box 959, 9890 Ornare Rd.','Carolina','KY','66330','kenyonc@xyz.edu',1236432,'985-706-0201',103014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig P. Fuller','P.O. Box 309, 616 Vulputate, Rd.','Biloxi','FL','53019','hedwig.fuller@hitmail.com',1236433,'449-325-0310',68981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brooke M. Eaton','P.O. Box 517, 813 Enim. Rd.','Broken Arrow','OH','81444','eaton@xyz.edu',1236434,'554-904-2382',80612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton G. Franco','6697 Est Rd.','Charleston','TN','98317','franco@emailathome.net',1236435,'552-907-4978',33619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brock L. Parrish','Ap #171-8513 Ac Ave','Fredericksburg','TN','66664',NULL,1236436,'172-533-5409',53301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Renee P. Powers','P.O. Box 772, 1610 Ante Road','Salem','TN','65531',NULL,1236437,'396-378-8013',62397,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly X. Emerson','Ap #897-4516 Pharetra St.','Martinsburg','NY','46411','emerson@abc.edu',1236438,'943-239-4172',33823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee S. Mendoza','Ap #104-8900 Arcu Av.','Bowie','VT','59995',NULL,1236439,'416-359-5989',21987,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois H. Duncan','5379 Sagittis Av.','Rockford','NV','64939','lduncan@yohaa.com',1236440,'929-561-1950',57458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin L. Tucker','Ap #899-127 Pretium Rd.','Merizo','TX','40905','kevint@abc.edu',1236441,'935-864-3244',34937,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma R. Hurley','P.O. Box 277, 8856 Id, Road','Rolla','CA','94634','almah@bpmpros.com',1236442,'641-585-3586',90638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve A. Buckner','Ap #933-9456 At, Rd.','Rehoboth Beach','CT','27811','ebuckner@abc.edu',1236443,'556-196-5819',50111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes E. Newman','P.O. Box 664, 3600 Morbi Av.','Sierra Vista','NV','61088',NULL,1236444,'909-456-4529',53121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem U. Warner','6300 Lacinia Rd.','High Point','CO','98054','hwarner@email.net',1236445,'264-154-9896',41952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsey G. Sutton','P.O. Box 736, 6072 Posuere Street','Schenectady','NY','74962','kelsey.sutton@widget.com',1236446,'928-282-1351',35907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin N. Roberts','349 Metus. Rd.','Vergennes','WI','73791','kirestinr@abc.edu',1236447,'398-591-3084',37021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio K. Ballard','P.O. Box 940, 6779 Sed Rd.','Sierra Vista','OH','64248',NULL,1236448,'149-347-8381',52789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira Q. Mccullough','P.O. Box 383, 2161 Eget Rd.','Columbus','ID','95760','mccullough@email.net',1236449,'108-157-3952',43007,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel S. George','906-5502 Et Avenue','Gold Beach','GA','46542',NULL,1236450,'403-411-5689',78195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine Y. Bullock','Ap #727-3800 Tortor. Rd.','Williamsport','NJ','86823','germaineb@hitmail.com',1236451,'465-777-1886',66885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena F. Maldonado','P.O. Box 715, 1314 Interdum Ave','Selma','ME','94170','maldonado@xyz.edu',1236452,'904-479-0462',41802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly V. Sutton','P.O. Box 244, 1250 Sem Road','Culver City','TX','27811','ksutton@widget.com',1236453,'993-906-2753',31383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae L. Mcmahon','947-9380 Eget, Rd.','Gallup','CO','92510',NULL,1236454,'432-434-2305',24945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile H. Trujillo','Ap #702-184 Lacus, Rd.','Aliso Viejo','NM','79862','mailet@emailathome.net',1236455,'483-825-1594',101696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yolanda A. Wright','549-4201 Justo. Avenue','Ansonia','DC','73343','yolanda.wright@yohaa.com',1236456,'316-799-5147',84751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herrod Q. Clements','Ap #991-790 Ligula. St.','West Palm Beach','MO','69042','clements@bpmpros.com',1236457,'496-603-3028',39910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan Z. Mcfadden','Ap #596-9418 Est, Ave','Fort Worth','NE','04264',NULL,1236458,'317-703-3166',36923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy M. Logan','867-9054 Mus. St.','Cape Coral','MD','98793','troy.logan@xyz.edu',1236459,'967-384-9872',17369,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding G. Valdez','Ap #980-5923 Amet Rd.','Dover','TN','23811','valdez@email.net',1236460,'515-583-7676',62565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel N. Solis','1725 Duis Ave','Del Rio','NE','79312','joel.solis@aulnet',1236461,'694-845-3936',76099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria G. Hines','P.O. Box 133, 7805 Amet, Avenue','The Dalles','SD','30910','ahines@email.net',1236462,'323-826-7621',72958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie G. Russo','Ap #204-1466 In Street','Newport News','DE','98639','leslie.russo@email.net',1236463,'641-863-6894',69287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum E. Leblanc','411-5642 Metus Street','Wausau','MN','66054','callum.leblanc@aulnet',1236464,'794-334-0067',104442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mara N. Contreras','Ap #575-649 Elit. Ave','Cambridge','UT','33699',NULL,1236465,'754-548-7728',94487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet U. Mosley','425-5750 Ligula Av.','Woodward','VT','72115','vmosley@widget.com',1236466,'805-658-0078',94295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir R. Parrish','513-2099 Enim Road','Redlands','SD','73846','vparrish@yohaa.com',1236467,'152-867-4255',39717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree C. Guerrero','976 Nonummy St.','Jeffersonville','HI','93460',NULL,1236468,'855-452-6473',100238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshi L. Stewart','3422 Proin St.','Grambling','UT','33992','stewart@widget.com',1236469,'439-415-9501',36007,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason N. Stephenson','815-1033 Auctor Av.','Meridian','NJ','45378','stephenson@hitmail.com',1236470,'372-601-0150',87647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila Z. Cochran','Ap #488-9115 Malesuada St.','Warner Robins','HI','84329','lila.cochran@xyz.edu',1236471,'708-179-6807',109606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah T. Sloan','Ap #322-1028 Mauris St.','Elmira','ND','90674','sloan@widget.com',1236472,'104-803-8815',78896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity R. Fuentes','952-2152 Lorem St.','Clarksburg','FL','83673','charityf@bpmpros.com',1236473,'457-452-2630',60580,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee D. Middleton','5202 Sed Avenue','Brookings','ID','46685','middleton@hitmail.com',1236474,'953-388-0331',68201,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yasir Q. Martinez','646-8777 Auctor St.','Danville','MA','68615','yasir.martinez@email.net',1236475,'391-244-4314',79720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith G. Mercado','9629 Amet, St.','Fremont','DC','39576','keith.mercado@bpmpros.com',1236476,'438-967-9823',43300,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey T. Leblanc','587-5703 Sit St.','Mentor','MI','50090',NULL,1236477,'677-105-0730',69475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kuame W. Guerra','Ap #530-9547 Ante Avenue','Winston-Salem','AK','40301','kguerra@xyz.edu',1236478,'503-171-1851',65861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester C. Cooley','6234 Tempor Rd.','La Palma','NJ','51915',NULL,1236479,'956-296-3034',33252,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody J. Williams','Ap #870-3075 Elit Av.','Cedar Falls','TN','40001',NULL,1236480,'917-963-0594',72595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet U. Stevenson','P.O. Box 408, 7125 Quis Av.','Rhinelander','GA','09549','stevenson@widget.com',1236481,'541-558-4215',90213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany K. Atkinson','P.O. Box 175, 7510 Ornare Avenue','Harrisburg','MA','64063','batkinson@emailathome.net',1236482,'514-164-5229',55104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail F. Long','Ap #934-4662 Odio Rd.','Santa Fe Springs','AL','46201',NULL,1236483,'375-888-8433',77227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie C. Hardy','378-4968 Nunc Avenue','Tucson','ID','21868','kellieh@aulnet',1236484,'279-545-2331',88020,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel L. Lucas','Ap #187-8645 In Avenue','San Jose','MD','63484','nathaniell@yohaa.com',1236485,'353-533-9772',25345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo W. Hess','160-8996 Augue, Avenue','Sanford','DC','51224','cairoh@abc.edu',1236486,'719-962-4044',91206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance X. Orr','2149 Quis, St.','Beckley','CA','84740','constanceo@aulnet',1236487,'873-344-1403',102623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso J. Sandoval','P.O. Box 767, 4070 Tellus St.','Cedar Falls','NE','68153','alfonso.sandoval@bpmpros.com',1236488,'994-776-0281',81323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy Q. Lynch','7765 Non Road','Hornell','AL','10436','lynch@aulnet',1236489,'352-642-9295',38340,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea L. Haynes','5143 Risus. Street','Edina','KY','74556',NULL,1236490,'691-326-4806',91506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon I. Maxwell','Ap #927-6554 Mauris. Ave','Arcadia','VA','26301','dmaxwell@email.net',1236491,'857-558-7731',74243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna L. Rowe','Ap #166-1425 Magna. Road','Kingsport','WY','99715','glenna.rowe@aulnet',1236492,'117-975-4221',16334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia Q. Gilbert','P.O. Box 607, 5124 Mi. St.','Santa Fe','NY','64753','gilbert@hitmail.com',1236493,'569-687-5519',95423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah W. Castaneda','125-6343 Phasellus Rd.','Midwest City','NJ','27682',NULL,1236494,'436-805-4920',66679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Helen K. Beach','911-7055 Non St.','Richland','WA','54672','helen.beach@xyz.edu',1236495,'365-701-5050',18104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert O. Callahan','612 Eu, St.','Hoover','HI','98424',NULL,1236496,'992-227-6976',68753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney Q. Delgado','4732 Varius St.','East St. Louis','WI','36246','delgado@xyz.edu',1236497,'289-578-7914',67860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron F. Doyle','413-110 Ac St.','Lawndale','CT','09045','bdoyle@xyz.edu',1236498,'392-571-9597',65037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bo C. Cochran','962-5486 Dictum Road','Rancho Cucamonga','IA','40959','bcochran@emailathome.net',1236499,'195-386-7677',38127,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine U. Jacobs','611 Lacinia Rd.','Beverly Hills','DE','83117','nadine.jacobs@emailathome.net',1236500,'203-103-5312',30300,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby Y. Wilkins','800-4661 Ut Rd.','Auburn','NY','75768','qwilkins@email.net',1236501,'976-288-2808',42761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl L. Battle','969-6863 Mauris. St.','Rye','PA','36911','cherylb@abc.edu',1236502,'781-656-7349',41705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo O. Ryan','P.O. Box 727, 8799 Scelerisque Av.','Huntington Park','NC','47973',NULL,1236503,'995-676-2310',81051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline Z. Barber','Ap #918-7022 Libero Av.','Monroe','NJ','21168','mbarber@abc.edu',1236504,'242-147-7130',59379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani E. Barron','P.O. Box 336, 9233 Nonummy St.','Peabody','DC','71203',NULL,1236505,'472-514-6613',87298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson F. Goodman','115-4820 Ac Road','Manhattan Beach','IN','40422','jacksong@abc.edu',1236506,'726-207-6213',92539,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden P. Myers','6641 Blandit St.','Idaho Falls','FL','79294','myers@widget.com',1236507,'346-519-0298',106358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain G. Williamson','5427 Ut, Street','Zanesville','WA','35322','cainw@bpmpros.com',1236508,'352-786-3372',56924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen H. Cook','372-3112 Eget Road','Lubbock','HI','11157','aspenc@xyz.edu',1236509,'579-822-5088',57779,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy X. Burke','P.O. Box 754, 6644 Massa Street','Jackson','AK','28449','mburke@hitmail.com',1236510,'697-277-9994',21910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela N. French','149-7527 Iaculis Road','Moore','RI','83901','pamelaf@yohaa.com',1236511,'452-149-1161',27441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh F. Maxwell','Ap #656-3253 Quis Av.','Casper','ND','44728','karleighm@aulnet',1236512,'731-182-0212',57757,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga P. Guthrie','5021 Proin Avenue','Sheboygan','MT','67232',NULL,1236513,'715-578-5868',104388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery F. Vinson','Ap #115-8968 Diam Rd.','Los Angeles','SC','35492',NULL,1236514,'735-441-9295',22520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Liberty A. Green','P.O. Box 118, 9469 In, Street','San Clemente','AK','82617','green@abc.edu',1236515,'211-846-2961',28896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara F. Pickett','P.O. Box 754, 3834 Cursus St.','La Mirada','PA','71564','pickett@email.net',1236516,'272-392-1373',41608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard L. Lowery','Ap #191-3657 Integer Street','Topeka','TN','50632','hlowery@email.net',1236517,'296-477-6697',17902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren I. Chapman','Ap #191-9852 Enim. Ave','Hilo','GA','00661','oren.chapman@email.net',1236518,'394-499-7774',51684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg K. Daugherty','Ap #638-1088 Auctor Road','La Palma','OH','94195','oleg.daugherty@emailathome.net',1236519,'856-151-4402',32545,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim O. Munoz','9562 Dolor. Av.','Elizabeth City','OK','12401','rahim.munoz@yohaa.com',1236520,'811-496-0010',59535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke S. Bishop','430-3562 Risus. Av.','Dixon','LA','08821','luke.bishop@abc.edu',1236521,'323-244-5406',54411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran W. Ortega','Ap #604-6154 Feugiat. Ave','Warren','WA','22631','camerano@emailathome.net',1236522,'563-885-0386',85890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana E. Estrada','P.O. Box 827, 7299 Sapien. Avenue','Newport Beach','LA','23755','estrada@abc.edu',1236523,'497-959-8448',86333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail M. Knox','Ap #343-7519 In Av.','Pittston','CA','48871','gailk@yohaa.com',1236524,'637-124-0738',34524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Priscilla Y. Ortega','392-9860 Donec St.','Brockton','NJ','62110',NULL,1236525,'182-718-7427',37536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko L. Maxwell','434-4684 Morbi Street','Spokane Valley','OH','21793','kmaxwell@email.net',1236526,'904-996-6133',71513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie V. Cardenas','440-9768 Nunc Ave','Paducah','PA','48470','cardenas@email.net',1236527,'375-279-1748',100723,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila M. Craig','594-741 Adipiscing Road','Narragansett','WA','64813',NULL,1236528,'384-659-7389',27024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter A. Powell','Ap #606-3014 Eu Avenue','Springfield','CO','04778','dexterp@email.net',1236529,'583-877-4261',76717,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope U. Bond','7962 Natoque Av.','Rolla','KS','14465','hopeb@xyz.edu',1236530,'832-791-9776',30849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela I. Douglas','523-3439 Lobortis Rd.','Del Rio','IN','64079','amelad@yohaa.com',1236531,'545-387-9779',63825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane R. Martin','P.O. Box 325, 4804 Dictum Av.','Irwindale','OK','99664','kanem@email.net',1236532,'734-288-4653',53746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan X. Freeman','Ap #414-6960 Sodales Av.','New Albany','NJ','39639','eaganf@emailathome.net',1236533,'394-937-1155',91563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brody F. Wallace','P.O. Box 284, 1353 Cras Street','Rawlins','NV','19349','wallace@widget.com',1236534,'179-473-3094',31171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley Z. Ayers','P.O. Box 221, 2189 Donec Avenue','Gardena','KY','81401','lesley.ayers@aulnet',1236535,'852-831-2025',19638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra F. Barron','P.O. Box 610, 426 Quam. St.','Hickory','OH','05797','debrab@abc.edu',1236536,'298-959-8800',96477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae X. Mcgowan','P.O. Box 422, 7117 Blandit Rd.','Gaithersburg','WA','69465','mcgowan@aulnet',1236537,'263-452-3111',104255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl U. Curry','Ap #970-4558 Porttitor Av.','Sheboygan','KS','29888','curry@bpmpros.com',1236538,'355-517-8791',96156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron U. Hampton','Ap #807-4145 Vel Rd.','Fitchburg','PA','00239','byronh@widget.com',1236539,'228-473-8907',76538,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley N. Tran','503-8830 Vulputate Street','Texarkana','HI','91301','yardley.tran@yohaa.com',1236540,'631-759-1319',38807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaim X. Oconnor','340-8711 Eros Rd.','Philadelphia','OK','90791','oconnor@aulnet',1236541,'104-635-3934',47636,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph P. Hopkins','842-7095 Quam. St.','Thousand Oaks','CA','83173','hopkins@bpmpros.com',1236542,'966-169-6030',23365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita L. Johns','P.O. Box 889, 498 Pede, Avenue','Lynn','OH','73066','nitaj@hitmail.com',1236543,'231-106-1757',95495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen Y. Roberts','807-1838 Mauris Street','Holyoke','NC','39312','roberts@emailathome.net',1236544,'379-519-6157',104191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst U. Kane','Ap #552-5286 Gravida. Street','Biloxi','IN','99338','kane@emailathome.net',1236545,'742-121-5301',68223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel M. Sloan','614-6104 Eget Road','Akron','AK','38537','lionel.sloan@widget.com',1236546,'966-718-7382',85411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne H. Hanson','2126 Mattis. Street','Monrovia','CA','08312','wayneh@widget.com',1236547,'275-972-5423',27815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine K. Collins','6997 Aliquet. St.','Perth Amboy','AL','55676','maxinec@bpmpros.com',1236548,'508-726-2134',74773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael Y. Porter','P.O. Box 366, 7848 Accumsan Road','Edmond','AK','09865','porter@emailathome.net',1236549,'543-151-7770',96084,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baker M. Lambert','796-6392 Vel, Street','Mankato','AK','18728','baker.lambert@yohaa.com',1236550,'684-227-1879',66803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan K. Barrera','4488 Id, Rd.','Santa Clara','IN','82864','jbarrera@bpmpros.com',1236551,'736-695-0087',39681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle G. Kim','602-5773 Duis Avenue','Sheboygan','MI','72055','lyle.kim@bpmpros.com',1236552,'919-756-3403',70342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana V. Bullock','P.O. Box 706, 6123 At, Rd.','Grand Island','HI','61844','bullock@widget.com',1236553,'899-819-5648',32215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee T. Craft','Ap #998-9395 Aenean Street','Parker','ND','97259','craft@aulnet',1236554,'194-993-7022',88215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nigel Y. Barrett','Ap #797-5778 Libero Street','Galesburg','RI','40037',NULL,1236555,'397-391-1838',104739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel S. Berry','Ap #640-3675 Feugiat St.','Hermosa Beach','ME','14755','berry@bpmpros.com',1236556,'793-981-2703',75466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jena P. Conrad','448-3815 Cursus. Street','Westfield','WY','36051','jconrad@bpmpros.com',1236557,'716-509-4996',81525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem I. Albert','5737 Mattis St.','Laconia','GA','19553','akeem.albert@widget.com',1236558,'358-439-9899',41630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad Y. Singleton','9235 Cursus Av.','Guthrie','DE','60842',NULL,1236559,'807-223-9668',77620,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene O. Sharpe','741-3141 Phasellus Ave','Fayetteville','NC','80541','jsharpe@abc.edu',1236560,'594-392-4243',101292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley O. Duncan','P.O. Box 434, 8148 Faucibus St.','Minneapolis','CA','73554','bduncan@hitmail.com',1236561,'105-699-8803',24844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine A. Osborne','Ap #264-510 Id, Avenue','Powell','NV','69133',NULL,1236562,'697-793-3812',84407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado V. Knox','2716 Dignissim St.','Charlotte','MA','10046',NULL,1236563,'151-429-0093',48878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney O. Mcclure','P.O. Box 440, 4890 Rutrum, Av.','Erie','HI','61671','rooneym@bpmpros.com',1236564,'728-788-0081',25059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca M. Lawson','P.O. Box 232, 9091 Leo, St.','Blythe','MT','71743','rlawson@email.net',1236565,'415-144-7228',47884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin L. Whitney','4773 Volutpat Rd.','Nacogdoches','WA','01848','whitney@xyz.edu',1236566,'113-465-9792',61320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee I. Knapp','991-4611 Nullam Rd.','Saint Albans','VA','85886','knapp@yohaa.com',1236567,'826-848-1031',89881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan H. Hamilton','Ap #132-4771 Purus Av.','Sunnyvale','AK','98074','hamilton@bpmpros.com',1236568,'961-797-5356',60311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet G. Ruiz','Ap #768-739 At, St.','Canton','RI','84673','violet.ruiz@hitmail.com',1236569,'757-618-2047',59399,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila Y. Hubbard','P.O. Box 321, 4377 Sit Street','Richmond','WY','70854','aquilah@widget.com',1236570,'538-285-7930',19119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila N. Rollins','922-4986 Nunc. Street','Orangeburg','DC','14294','rollins@abc.edu',1236571,'249-777-9637',70145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie Q. Reid','P.O. Box 484, 7908 Blandit Rd.','Moscow','KY','52666','mreid@bpmpros.com',1236572,'951-201-8888',59833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon B. Lopez','Ap #362-8502 Eu, Street','Saratoga Springs','OK','09651','brandon.lopez@emailathome.net',1236573,'327-378-4883',81860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nash E. Carey','P.O. Box 625, 9861 Ornare, Ave','Tupelo','UT','54163','nashc@abc.edu',1236574,'725-143-3218',20044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton T. Carter','5080 Est. Street','Winston-Salem','DC','09875',NULL,1236575,'382-664-1784',28706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika Z. Mccray','P.O. Box 878, 2977 A, Rd.','Isle of Palms','SC','98308','amccray@bpmpros.com',1236576,'284-466-1302',26954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy H. Reese','P.O. Box 130, 9383 Lectus Road','Hanahan','VT','60169','reese@xyz.edu',1236577,'567-742-1172',67129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan R. Maddox','5688 Iaculis Street','Olean','FL','54831','qmaddox@emailathome.net',1236578,'858-705-4706',105613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne F. Hamilton','4233 Vitae St.','San Clemente','CA','75931','hamilton@bpmpros.com',1236579,'514-609-4700',38770,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September W. Baird','111-9674 Elit Street','Idaho Springs','SC','87562','baird@hitmail.com',1236580,'594-918-5180',99754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana D. Boyer','P.O. Box 542, 3513 Est. St.','Fargo','MO','26814','sboyer@yohaa.com',1236581,'477-972-8894',16169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese X. Lewis','P.O. Box 412, 7484 Mus. Rd.','Bellflower','TN','34060','rlewis@emailathome.net',1236582,'985-453-3342',36196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary G. Obrien','P.O. Box 862, 8399 Semper St.','Columbia','FL','06630','hillaryo@abc.edu',1236583,'702-687-0403',86472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana Z. Mcfadden','P.O. Box 125, 4895 Feugiat Street','Green Bay','UT','09715','illianam@widget.com',1236584,'446-148-7357',82242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle L. Chambers','835-345 Dolor Ave','Norton','TX','78577','kylec@email.net',1236585,'383-739-8886',30196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla W. Hanson','931-3061 Vulputate, Rd.','Rolling Hills Estates','OR','58436','hhanson@bpmpros.com',1236586,'904-397-0378',36146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay J. Joseph','853-4188 Sit Av.','Montebello','PA','50708',NULL,1236587,'235-149-3464',95985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadassah B. Fernandez','815-6365 Libero. Ave','Plattsburgh','NY','37687','hadassahf@email.net',1236588,'496-532-6810',50123,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona F. Herring','159-4689 Aliquet Ave','Rochester','TX','41789','herring@xyz.edu',1236589,'477-774-2159',18664,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie K. Watkins','Ap #698-706 Dui Road','Victoria','OR','56107','nwatkins@aulnet',1236590,'996-374-0573',80989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan T. Duncan','P.O. Box 512, 5717 Arcu. St.','Saginaw','CT','81347',NULL,1236591,'555-452-6257',92291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drew N. Barron','P.O. Box 561, 5083 Sed Street','Hermosa Beach','WI','06898','barron@hitmail.com',1236592,'336-792-1438',83475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance N. Mckee','P.O. Box 778, 9437 Ut, Rd.','Fairfield','IL','25832',NULL,1236593,'721-967-6688',19921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale U. Quinn','430-9901 Eu Road','Great Falls','CT','33368','dale.quinn@abc.edu',1236594,'292-822-7983',64880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul O. Duffy','225-3523 Morbi Avenue','Olean','MO','62606','pauld@abc.edu',1236595,'965-166-8885',87347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia H. White','4559 Ipsum St.','Danbury','GA','80887','owhite@email.net',1236596,'257-844-3590',50884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson Y. Stanton','8781 Enim. Rd.','Beacon','CT','39198','samsons@yohaa.com',1236597,'287-992-6760',29871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa E. Baird','P.O. Box 561, 4541 Cursus Av.','North Platte','MA','50290','baird@aulnet',1236598,'488-565-4671',52410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma O. Chen','Ap #249-669 Tellus St.','Saipan','ND','18168','ifeomac@xyz.edu',1236599,'459-737-2026',72106,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy Z. Sandoval','Ap #167-1908 Tempus Avenue','Escondido','ID','97405','amy.sandoval@yohaa.com',1236600,'665-924-6618',74770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy F. Massey','P.O. Box 974, 3717 Dolor. Road','Rye','AZ','27025',NULL,1236601,'622-296-1197',91048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brooke L. Nieves','Ap #173-6236 Nunc Street','Temple City','AZ','15733','brooke.nieves@widget.com',1236602,'858-489-5756',103350,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie S. Jones','P.O. Box 324, 3942 Lorem, St.','Seaford','KS','39345','kelsie.jones@yohaa.com',1236603,'188-847-2367',21632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus Z. Johnson','Ap #489-1175 Feugiat. Avenue','Thiensville','ND','05444','cyrus.johnson@abc.edu',1236604,'781-878-7259',67474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn Q. Phillips','Ap #317-1707 Nibh St.','Greenfield','ND','37932','dphillips@hitmail.com',1236605,'477-268-9466',77953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel F. Meyer','9702 Dui Road','Meriden','MN','88902','meyer@widget.com',1236606,'706-134-7505',63036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine E. Durham','3511 Odio Rd.','Yukon','DC','76144','jasmine.durham@bpmpros.com',1236607,'145-315-9183',109099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard P. Good','1175 Sem Av.','Waycross','KY','30437','good@widget.com',1236608,'243-656-0885',89694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul C. Johnston','617-8119 Eget Avenue','El Cerrito','MA','78519',NULL,1236609,'947-199-6457',47232,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig D. Galloway','P.O. Box 451, 6977 Sed Av.','Orange','WI','34112','galloway@hitmail.com',1236610,'622-669-7583',22056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella K. Browning','Ap #311-2414 Iaculis, Road','Rockford','NM','54398','isabella.browning@abc.edu',1236611,'512-233-7024',78052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen T. Sears','P.O. Box 417, 3731 At, Avenue','Pembroke Pines','NH','25889','asears@aulnet',1236612,'278-789-8225',47654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna A. Baker','Ap #144-7973 Cras Av.','Topeka','MD','97022','baker@widget.com',1236613,'903-271-8606',106526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis H. Decker','331-1296 Donec Street','Batavia','IA','70568',NULL,1236614,'692-594-6644',50736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani I. Bradshaw','Ap #507-5912 Ultrices Street','West Valley City','OK','06977','jelani.bradshaw@aulnet',1236615,'545-137-5202',103169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen H. Morales','Ap #752-692 Posuere, Ave','Farmer City','FL','83299','morales@email.net',1236616,'367-703-8394',73911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter O. Noble','4857 In Street','Auburn Hills','MO','73702',NULL,1236617,'132-158-7389',35672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deanna R. Tate','477-3503 Amet Av.','Oswego','IL','70854','tate@email.net',1236618,'657-798-7465',91863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly A. Lawson','Ap #690-2828 Consectetuer Road','Belleville','AK','34414','kellyl@email.net',1236619,'368-826-5142',75749,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau L. Schneider','471-7694 Vel, Road','Columbus','AK','16041',NULL,1236620,'566-725-5501',82076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James I. Hayden','1910 Cras Street','Mobile','IL','46378','jamesh@emailathome.net',1236621,'173-219-7911',62127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani P. Davis','P.O. Box 786, 2488 Magna. Ave','Del Rio','NV','80126','noelanid@xyz.edu',1236622,'505-678-7964',93024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon I. Moon','9943 Elit, Av.','Mentor','WA','13291','solomon.moon@bpmpros.com',1236623,'304-964-4111',99065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel I. Sweeney','2108 Eget Ave','Gastonia','TN','30012','sweeney@emailathome.net',1236624,'432-563-9583',104779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley D. Macdonald','P.O. Box 307, 5074 Nisi Rd.','San Antonio','FL','08438','macdonald@bpmpros.com',1236625,'551-993-4544',24256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay B. Sandoval','P.O. Box 313, 9832 Eu Road','Danbury','MN','61160','fsandoval@email.net',1236626,'509-169-9524',29414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad G. Soto','396-504 Nisl Ave','Lakewood','NV','05667','mohammad.soto@yohaa.com',1236627,'837-446-4164',80550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert V. Stewart','P.O. Box 535, 4183 Felis. Ave','Hermitage','SD','34549','robert.stewart@hitmail.com',1236628,'317-144-4908',19147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie T. Freeman','Ap #936-9274 Vel St.','Orlando','MA','27962','maisief@emailathome.net',1236629,'503-719-7632',67864,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan P. Bridges','507-6056 Duis Road','Two Rivers','ME','78606',NULL,1236630,'569-962-7714',51901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin Y. Perry','Ap #892-2403 Ultrices. Av.','Tampa','KY','73352','perry@yohaa.com',1236631,'959-518-5802',70586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy Z. Pope','4948 Augue Rd.','Enid','MN','37314',NULL,1236632,'749-945-8066',64450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene T. Moses','998-4161 Magna. Av.','Waltham','VA','32779','moses@emailathome.net',1236633,'184-733-6875',93798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Igor J. Carson','P.O. Box 897, 5920 Magna, Av.','Moscow','VT','88711','carson@abc.edu',1236634,'592-575-2189',103156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie T. Howell','P.O. Box 947, 4067 Aliquam Rd.','Culver City','TN','79358','howell@bpmpros.com',1236635,'161-552-0372',57901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby J. Cross','P.O. Box 401, 2706 Sed Rd.','Duncan','IN','16286','libby.cross@abc.edu',1236636,'635-606-1671',107337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem L. Hood','3651 Nunc Rd.','Fremont','WA','19260','khood@hitmail.com',1236637,'989-543-0126',41080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephanie L. Hendrix','2750 Quam. Avenue','Amesbury','NE','80041',NULL,1236638,'168-257-0022',29293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence U. Kelley','P.O. Box 138, 2154 Facilisis Road','Brigham City','WA','45535',NULL,1236639,'677-636-7937',19713,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn F. Yang','4523 Tristique Rd.','South Pasadena','FL','24548','katelyn.yang@aulnet',1236640,'192-659-3139',97063,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin Q. Fitzgerald','Ap #562-6633 Condimentum Av.','Boulder City','MO','65090','fitzgerald@email.net',1236641,'538-631-2896',103900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo U. Meadows','875-7180 Nunc Avenue','Areceibo','ME','84050','echom@bpmpros.com',1236642,'151-699-2204',18000,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aiko Z. Burris','8483 Eu Ave','Norman','FL','20739',NULL,1236643,'245-351-3193',49127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carter V. Harrington','1738 Auctor. Road','Plano','OH','31263','carterh@emailathome.net',1236644,'447-361-8968',42423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren Q. Ryan','P.O. Box 940, 1792 Nec Avenue','Kalamazoo','VT','62693',NULL,1236645,'967-304-6644',69885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly W. Fitzpatrick','Ap #931-794 Lorem. St.','Mayag?ez','TX','75138','bfitzpatrick@bpmpros.com',1236646,'823-899-0936',74884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine F. Cain','P.O. Box 806, 5233 Suspendisse Road','Montgomery','OK','58034','shainec@emailathome.net',1236647,'263-195-8949',97281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya M. Mcneil','Ap #626-1689 Cras Ave','Salem','LA','02460','mcneil@xyz.edu',1236648,'695-867-8626',65703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses K. Mccarty','1142 Scelerisque, St.','Vineland','NJ','30771','moses.mccarty@widget.com',1236649,'128-287-6643',57517,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair D. Morris','Ap #973-8019 Commodo Street','Thibodaux','UT','45986','allistair.morris@xyz.edu',1236650,'758-786-8634',35111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando R. Tanner','3467 Phasellus Rd.','Stevens Point','MS','31516','tanner@email.net',1236651,'205-871-6481',47751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joshua V. Langley','Ap #431-326 Semper Street','Elko','DE','66898','langley@abc.edu',1236652,'415-529-3009',65494,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley W. Chavez','Ap #241-9419 Ut, Ave','Keene','MT','63820','chavez@email.net',1236653,'628-144-5739',86310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda H. Tillman','P.O. Box 814, 7594 Sodales St.','Sunbury','WV','46019','heddat@abc.edu',1236654,'849-578-5111',97528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh Q. Barber','2626 Curabitur Avenue','Agoura Hills','AK','90424','kbarber@yohaa.com',1236655,'226-211-1679',37862,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine J. Cabrera','474-5596 Duis Rd.','Gardena','KS','38038','vcabrera@yohaa.com',1236656,'554-789-7008',80802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond Y. Sharpe','560-6154 Dignissim Avenue','Palmdale','WA','29368','raymonds@yohaa.com',1236657,'497-941-6394',47001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena A. Gay','5192 Fringilla St.','Cape Girardeau','ID','99991','agay@aulnet',1236658,'928-767-4624',44414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia T. Hubbard','P.O. Box 951, 2681 Nunc Rd.','East Hartford','VA','18107','laviniah@hitmail.com',1236659,'109-927-6950',72477,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rahim X. Lopez','Ap #346-4608 Lobortis Avenue','Rhinelander','HI','14322','lopez@widget.com',1236660,'531-631-4671',71620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezra F. Dennis','P.O. Box 501, 7751 In Av.','Salinas','OK','99504','dennis@widget.com',1236661,'937-477-9174',87512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee J. Miles','Ap #966-6465 Nulla Av.','Palmdale','MD','16905','kmiles@bpmpros.com',1236662,'511-457-8258',48464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn D. Ford','771-7930 Aliquam Avenue','Asheville','OK','18124','evelynf@bpmpros.com',1236663,'231-641-0989',34616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva O. Raymond','Ap #612-9833 Ullamcorper, St.','Champaign','KS','02810','raymond@yohaa.com',1236664,'135-276-8179',29002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah J. Sweeney','6880 Dolor Rd.','Pico Rivera','NH','75495','lilahs@xyz.edu',1236665,'687-782-2089',107172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea Y. Morse','5298 A, Street','Dixon','MN','10187','alea.morse@hitmail.com',1236666,'727-495-0632',106108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine W. Beck','Ap #431-2593 Vel St.','Rolla','FL','62982','jasmineb@aulnet',1236667,'169-897-1912',72201,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly O. Hyde','508-6057 Gravida Rd.','Waterloo','SD','06668','khyde@xyz.edu',1236668,'641-711-5077',109449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian P. Whitaker','P.O. Box 557, 9472 Mattis Road','Moreno Valley','WI','74270','vwhitaker@bpmpros.com',1236669,'948-599-2007',26873,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan D. Kemp','Ap #319-8820 Tempus Rd.','Sunbury','PA','73957','rkemp@yohaa.com',1236670,'228-277-6669',83420,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell V. Pitts','2693 Nibh Street','Paramount','ND','52309','nellp@emailathome.net',1236671,'795-527-3350',20721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita A. Ortega','Ap #784-8989 Ornare Road','West Memphis','OK','46199','chiquita.ortega@abc.edu',1236672,'699-494-8112',66701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla P. Farley','Ap #804-3631 Duis Avenue','Grambling','NE','24960','mfarley@aulnet',1236673,'261-759-0529',85525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona H. Cohen','9789 Pellentesque. Rd.','Jersey City','MO','83015','ionac@xyz.edu',1236674,'503-528-5944',15122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa Y. Pratt','P.O. Box 156, 2933 Tortor, St.','Muskogee','WV','40823','alisap@emailathome.net',1236675,'849-352-8703',80850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan S. Sims','Ap #372-7648 Euismod Rd.','Salem','LA','33473','jordan.sims@yohaa.com',1236676,'307-156-3072',91591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul M. Morton','P.O. Box 789, 940 Dolor Rd.','Sioux City','AK','48972','pmorton@hitmail.com',1236677,'455-652-7171',30887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn Z. Gray','555-5116 Hymenaeos. St.','Orlando','IL','34173',NULL,1236678,'255-501-1638',87478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady Y. Whitley','9033 Dolor Street','Gilette','ME','06450',NULL,1236679,'868-273-7338',58482,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ainsley I. Chandler','740-9124 Lorem Street','Natchitoches','NM','92709','achandler@widget.com',1236680,'259-127-2000',48334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop V. Taylor','P.O. Box 289, 3402 Neque St.','Huntsville','WA','50952',NULL,1236681,'752-911-0383',56878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline U. Hardin','Ap #737-3437 Ac Street','Princeton','VA','89139','shardin@widget.com',1236682,'193-844-7658',16917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna L. Chen','575-8370 Lorem, Rd.','Spokane Valley','ID','18797',NULL,1236683,'837-929-7745',51336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri K. Hayden','6153 Diam. Rd.','Butler','CO','93155','hayden@bpmpros.com',1236684,'925-719-4014',93735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred K. Talley','7471 Velit Av.','Douglas','LA','47946',NULL,1236685,'453-955-4253',87069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martena F. Lewis','P.O. Box 885, 8372 Molestie Rd.','Woburn','ND','01059','martenal@bpmpros.com',1236686,'196-458-3137',52787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia E. Bond','156-1185 Magna. Rd.','Laredo','WA','65667',NULL,1236687,'716-813-2605',90218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana E. Flynn','958-9948 Tristique Road','Pottsville','AL','90655','illianaf@hitmail.com',1236688,'413-139-9411',31290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon Z. Patel','P.O. Box 125, 3900 Ante St.','Lincoln','WY','94495','dpatel@widget.com',1236689,'151-474-5034',66650,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jarrod S. Mitchell','Ap #425-3501 Lobortis, Road','Sheridan','ME','31535','jarrod.mitchell@bpmpros.com',1236690,'932-183-5560',70793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir D. Leon','1191 Eget St.','Lincoln','MT','38562','vladimirl@bpmpros.com',1236691,'726-329-3276',87549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine V. Donaldson','104-6022 Nulla St.','Lomita','TX','31870','donaldson@widget.com',1236692,'443-168-3887',26014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylee W. Gray','Ap #750-7966 Et Rd.','Auburn Hills','OR','51592',NULL,1236693,'463-816-9742',72741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden S. Alexander','Ap #726-9744 Senectus Road','Forest Lake','MA','11872','ealexander@emailathome.net',1236694,'565-838-6445',36048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang V. Smith','Ap #173-2395 Fusce Av.','Chelsea','RI','19831',NULL,1236695,'704-279-0186',70083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony U. Faulkner','Ap #518-9986 Posuere St.','College Park','NE','34754','faulkner@bpmpros.com',1236696,'685-399-4684',90075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole J. Charles','P.O. Box 297, 5864 Amet, Rd.','Santa Ana','ND','28352','nicolec@widget.com',1236697,'206-792-0814',67384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery I. Whitaker','Ap #765-5793 Dui, St.','Temecula','WV','67685','ameryw@widget.com',1236698,'948-255-8468',45648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard W. Gregory','P.O. Box 655, 4591 Et, Street','Victoria','LA','31499','rudyardg@yohaa.com',1236699,'285-223-2771',35865,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley O. Allen','172-7024 Sed Road','Nichols Hills','OH','01333','hedleya@aulnet',1236700,'833-117-1404',33195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn K. Merrill','3846 Molestie Rd.','Agawam','LA','01852','merrill@abc.edu',1236701,'196-479-6804',17820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John N. Kline','P.O. Box 182, 4460 Parturient Street','Rosemead','AZ','42444','johnk@widget.com',1236702,'396-493-7714',65941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara O. Ware','P.O. Box 431, 7296 Velit. Rd.','Danbury','MN','59792',NULL,1236703,'337-634-9257',102871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea L. Cleveland','P.O. Box 628, 5793 Consequat, St.','Bridgeport','WV','44394','nereac@xyz.edu',1236704,'187-314-8477',81844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur Q. Johnson','P.O. Box 930, 7854 Magna. Rd.','Brownsville','MT','46581','johnson@xyz.edu',1236705,'886-963-2870',43073,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry Z. Serrano','Ap #844-9676 Quisque Street','Port Washington','PA','21077',NULL,1236706,'669-545-3076',96607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaitlin E. Murray','P.O. Box 811, 7980 Sit Rd.','Salisbury','NM','35366',NULL,1236707,'434-193-4378',54806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie H. Hyde','153-6124 A St.','Morgan City','TX','41886','kylieh@hitmail.com',1236708,'243-687-5790',29755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price O. Vinson','4029 Sociis Road','Lubbock','IN','83527',NULL,1236709,'716-431-6893',61642,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses O. Griffith','472-4580 Pede St.','Tempe','IL','53546',NULL,1236710,'164-771-1008',106793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuli L. Combs','P.O. Box 555, 6879 Orci Rd.','Lodi','VA','19772','combs@aulnet',1236711,'319-483-1522',77241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding Q. Bennett','P.O. Box 127, 8117 Sed Street','Blythe','NE','46966','hardingb@yohaa.com',1236712,'839-158-4315',104310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu P. Serrano','P.O. Box 243, 1534 Risus. Avenue','Fitchburg','FL','74910','hus@yohaa.com',1236713,'987-716-8743',23505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo A. Sykes','Ap #782-6176 Sed, Ave','Slidell','VA','17581','kibo.sykes@xyz.edu',1236714,'503-589-2050',88187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena W. Hebert','5059 Enim. Street','Altoona','MT','31342',NULL,1236715,'102-352-5094',41022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara J. Anderson','6421 Eget, St.','Mechanicville','AK','00373',NULL,1236716,'519-729-8440',109314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani L. Young','203-7862 Lacinia. St.','Laguna Niguel','VT','99009','jelani.young@email.net',1236717,'474-883-6015',69678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret O. Lewis','P.O. Box 869, 5419 Cras Rd.','Las Cruces','WI','87986','mlewis@widget.com',1236718,'187-461-2538',73094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox E. Hardin','3128 Sit Avenue','Kingsport','RI','21329','hardin@abc.edu',1236719,'118-727-4635',98424,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha T. Strickland','P.O. Box 668, 6372 Adipiscing Road','Baton Rouge','ME','11542','strickland@aulnet',1236720,'863-881-6070',77306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis N. Mayo','374-8959 Nam Rd.','Jeffersonville','WA','34045',NULL,1236721,'598-351-1308',51042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy A. Steele','Ap #689-9045 Erat Rd.','St. Marys','WV','83727',NULL,1236722,'774-362-6117',61639,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius W. Mcmahon','8070 Et Rd.','Vermillion','MS','34663','dariusm@xyz.edu',1236723,'935-713-1482',20405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton W. Hutchinson','431-7206 Purus Ave','Warren','IL','79604','actonh@widget.com',1236724,'367-303-0251',82607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish T. Hendrix','Ap #893-5839 Velit. Av.','Bessemer','ID','58828','hamish.hendrix@yohaa.com',1236725,'632-909-1111',52882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel C. Fulton','4785 In Ave','Nampa','MO','56461','fulton@yohaa.com',1236726,'344-107-3982',26960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet I. Holt','Ap #504-2452 Nec St.','Hackensack','KS','80146','violeth@emailathome.net',1236727,'608-952-0593',64920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope Q. May','368 Velit. St.','Chester','NJ','98196',NULL,1236728,'201-861-6658',74459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle Y. Rogers','Ap #372-2320 Magna. Rd.','McAlester','IL','87085','brielle.rogers@yohaa.com',1236729,'272-482-2428',24128,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade S. Parker','Ap #643-355 Fusce Rd.','Culver City','VA','15402','sade.parker@yohaa.com',1236730,'587-769-1413',101190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herman A. Curry','Ap #259-4148 Ante Avenue','Huntington Park','RI','66381','hermanc@yohaa.com',1236731,'894-472-1312',89850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana S. Medina','Ap #874-7502 Dolor Av.','Jamestown','AK','85452','medina@emailathome.net',1236732,'835-628-0001',53993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille F. Hartman','369 Est. St.','Signal Hill','NJ','09787','chartman@yohaa.com',1236733,'323-616-0789',86414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma X. Adams','587-5559 Semper St.','Farmer City','MI','04703','adams@hitmail.com',1236734,'582-814-3204',17443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas U. Hensley','Ap #263-5777 Pede Road','Webster Groves','OK','17311','hensley@emailathome.net',1236735,'126-517-3207',69737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert P. Chapman','862-9900 Lacus. Rd.','Auburn Hills','AK','76293',NULL,1236736,'606-732-2485',84254,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Trevor H. Dale','328 Quisque Road','West Sacramento','IN','38536',NULL,1236737,'256-616-1892',18513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu O. Britt','4537 A, St.','Arlington','DE','16909',NULL,1236738,'853-578-0306',64900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh U. Noel','4400 Ultricies St.','Derby','WA','93004','snoel@email.net',1236739,'795-672-9288',41196,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae Z. Sanders','Ap #632-5434 Laoreet, Rd.','Pullman','MO','41635','desirae.sanders@yohaa.com',1236740,'731-435-9069',46195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra P. Potts','Ap #643-2131 Eu Rd.','Dana Point','FL','67918','kitrap@aulnet',1236741,'554-285-5295',44703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie Q. Jennings','P.O. Box 131, 7606 Mauris St.','Scranton','NY','87954','melaniej@abc.edu',1236742,'863-417-6021',40142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara P. Peck','P.O. Box 171, 4045 Magna, St.','La Mirada','CO','71358','ciarap@yohaa.com',1236743,'313-276-6932',106292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie F. Heath','5948 Luctus St.','Fort Wayne','AK','47875','kheath@hitmail.com',1236744,'902-833-0506',31078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma K. Whitaker','1278 Et, Rd.','Darlington','VA','29494','vwhitaker@emailathome.net',1236745,'372-873-9561',76497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian H. Collins','P.O. Box 821, 255 Semper St.','Rancho Cordova','NJ','50779','damianc@yohaa.com',1236746,'364-546-3292',94845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani M. Hewitt','2176 Ornare, Rd.','Racine','AL','76861',NULL,1236747,'949-976-3209',65037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evan T. Terrell','P.O. Box 672, 2817 Luctus, Rd.','San Luis Obispo','MD','44211',NULL,1236748,'283-132-0073',37846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin T. Haney','Ap #299-7478 Ut Street','Princeton','TX','25069',NULL,1236749,'381-564-5045',19415,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody H. Winters','P.O. Box 146, 6429 Morbi Road','Moultrie','IL','14839','codyw@xyz.edu',1236750,'809-291-6632',74895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven R. Salazar','724 Enim Av.','Chandler','AL','63195','salazar@email.net',1236751,'679-569-3884',61579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith S. Rollins','Ap #827-7512 Semper. Rd.','Frankfort','RI','79233','judithr@xyz.edu',1236752,'438-107-4778',66039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke A. Floyd','Ap #319-7519 Proin St.','Effingham','AZ','83062','floyd@bpmpros.com',1236753,'305-734-7411',26466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth R. Blackburn','Ap #610-4620 Auctor Road','Jeannette','SD','87260',NULL,1236754,'333-638-2619',20477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin E. Castaneda','6076 Ipsum Street','Nampa','MT','99268','erin.castaneda@xyz.edu',1236755,'985-918-2710',15500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece Z. Curry','P.O. Box 124, 6738 Netus Rd.','Guayanilla','UT','34034','curry@hitmail.com',1236756,'393-388-2064',88537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph U. Kidd','4257 Commodo Ave','Douglas','UT','23116','rkidd@email.net',1236757,'621-149-3781',107594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon L. Rice','4466 Viverra. Rd.','Brookings','NC','80973','trice@aulnet',1236758,'395-967-0620',108506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie C. Stein','3816 Vulputate, Ave','Jackson','MA','59008','wylie.stein@abc.edu',1236759,'206-436-9326',48464,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad J. Sullivan','P.O. Box 985, 7860 Amet Av.','Zanesville','TX','24284',NULL,1236760,'483-599-8258',72661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven Y. Knapp','587-2469 Sem Road','Minot','MT','31966',NULL,1236761,'341-634-0339',69634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sloane E. Ryan','P.O. Box 388, 7094 Nascetur Street','Laguna Beach','TX','39671','sloane.ryan@aulnet',1236762,'648-899-4225',71463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara E. Knapp','178-6317 Arcu. Street','Lebanon','MD','22062','knapp@abc.edu',1236763,'644-282-0705',23914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith R. Boyd','3854 Commodo Rd.','Tyler','GA','78861','griffith.boyd@email.net',1236764,'268-423-8410',67776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana C. Bryant','P.O. Box 714, 4246 Posuere, Rd.','San Fernando','NE','72241','bryant@emailathome.net',1236765,'213-371-6034',66225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda C. Juarez','P.O. Box 367, 823 Porttitor Rd.','Hollister','WI','52825','juarez@yohaa.com',1236766,'277-389-5601',78991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve F. Morris','148-7281 Nunc St.','Lodi','KY','32085','gmorris@widget.com',1236767,'912-188-3678',42502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean Z. Witt','P.O. Box 941, 7583 Sem. Rd.','Las Cruces','WY','32865',NULL,1236768,'952-963-9413',29323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane L. Bullock','935-7257 Metus St.','Monterey','TX','89012','thaneb@yohaa.com',1236769,'988-939-8028',62225,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela Q. Buckley','P.O. Box 103, 3328 Sociosqu Street','Layton','WA','75164','gisela.buckley@widget.com',1236770,'287-265-0048',24067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul P. Morales','P.O. Box 426, 9825 Ut Ave','Gary','LA','23808','paulm@yohaa.com',1236771,'174-251-3263',47832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade L. Clemons','P.O. Box 990, 5766 Lectus Av.','Erie','KY','78402',NULL,1236772,'311-485-5458',80926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz B. David','327-2308 Auctor Road','Lowell','ID','53332','cdavid@xyz.edu',1236773,'834-245-4200',83326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra K. Sweeney','275-5221 Elit, St.','Waco','MI','65228','lisandras@aulnet',1236774,'651-495-5300',78747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck K. Barron','5324 Velit Avenue','Augusta','IL','11368',NULL,1236775,'882-747-8963',63148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity O. Holden','Ap #199-2333 Congue Rd.','Lubbock','VA','14136','amity.holden@aulnet',1236776,'495-386-9338',44276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha V. Clay','848-1439 Sed Rd.','Waltham','WV','81005','aclay@xyz.edu',1236777,'233-637-8238',73864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael Y. Moses','Ap #955-4404 Lacus Av.','Boston','RI','79450','rmoses@email.net',1236778,'566-698-2360',74247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia G. Stephens','P.O. Box 650, 3542 Aliquet Rd.','Utica','NV','33002','zia.stephens@xyz.edu',1236779,'563-129-6288',73534,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle G. Valenzuela','291-3171 Odio Av.','Ogdensburg','TN','34577','ivalenzuela@yohaa.com',1236780,'671-244-1638',104458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire O. Petty','940 Penatibus Rd.','Jeffersonville','IN','91355','claire.petty@emailathome.net',1236781,'803-671-7841',18624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chantale X. Johnston','Ap #713-3330 Feugiat Ave','East Lansing','MS','77468','johnston@bpmpros.com',1236782,'814-626-2969',94751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine W. Bray','4191 Aliquam Rd.','Edina','ME','65933','blaine.bray@widget.com',1236783,'771-553-8154',59674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah L. Booker','Ap #287-4843 Ridiculus St.','Canton','WI','39995',NULL,1236784,'929-709-2510',85130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa F. Maddox','Ap #538-8322 Vitae Rd.','Davenport','OH','62701','maddox@emailathome.net',1236785,'797-726-3255',94948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paki P. Ochoa','5659 Urna Street','Syracuse','MN','67004','pakio@bpmpros.com',1236786,'274-444-1178',67705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara D. Hart','4348 Et St.','Martinsburg','AZ','96163','ahart@widget.com',1236787,'964-382-7261',57398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell G. Swanson','Ap #563-7474 Molestie Avenue','San Diego','KY','33430',NULL,1236788,'694-568-7495',89078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan F. Oneil','779-4758 Ornare Rd.','Cary','IL','63297','oneil@yohaa.com',1236789,'738-323-7904',52963,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow E. Aguilar','908-2756 Natoque Ave','Thomasville','NC','99953','willowa@hitmail.com',1236790,'252-989-1128',18283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah L. Gonzalez','Ap #753-594 Ligula. Road','Amesbury','NM','20920','gonzalez@emailathome.net',1236791,'974-225-0141',37087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill G. Aguirre','Ap #216-7170 Dapibus Road','Fresno','TX','40271','maguirre@yohaa.com',1236792,'292-165-2992',19330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola H. Gordon','Ap #122-7210 Est, Road','Duquesne','DE','01842','iola.gordon@email.net',1236793,'224-326-4806',94466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel W. Schmidt','P.O. Box 644, 5420 Sed St.','Plainfield','NY','76578',NULL,1236794,'422-556-8712',75095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey M. Todd','814-9013 Nisl Ave','Los Angeles','MD','06183','todd@aulnet',1236795,'763-184-6405',31282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly U. Rosario','716-4248 Est. Ave','Newburgh','MS','87394',NULL,1236796,'578-231-2259',77693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan V. Holloway','Ap #184-9251 Nisi Street','Twin Falls','RI','26614','kennanh@widget.com',1236797,'108-577-7080',45196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest Z. Welch','5714 Et, Road','New Rochelle','MI','34886','welch@aulnet',1236798,'558-958-8165',96133,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman X. Glover','225 Eu Ave','Mayag?ez','ID','82746','nglover@emailathome.net',1236799,'225-981-7865',77861,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora F. Davis','Ap #533-9782 Lectus. Avenue','Del Rio','KS','58840',NULL,1236800,'687-812-7924',89276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon L. Blair','Ap #303-2523 Id, Street','Council Bluffs','OK','02150',NULL,1236801,'101-788-5902',102337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae S. Rivera','P.O. Box 801, 1605 Leo Av.','San Marino','AL','76478','drivera@email.net',1236802,'638-739-4179',29621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn B. Duffy','1882 Ut St.','Tampa','VA','79476','quinnd@abc.edu',1236803,'114-877-7417',97945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca V. Jacobson','P.O. Box 600, 2768 Aliquet Street','Broken Arrow','KS','24093','francesca.jacobson@bpmpros.com',1236804,'561-585-3521',21287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet Y. Scott','2035 Quis Street','Marshfield','TX','90293','harriet.scott@xyz.edu',1236805,'693-149-0975',45066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley L. Sellers','459-9273 Accumsan St.','Midland','DC','08999',NULL,1236806,'293-896-8359',42435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine P. Levine','P.O. Box 284, 5794 Egestas Road','Fredericksburg','NJ','76974',NULL,1236807,'875-177-8637',109491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel H. Ortega','9663 Nonummy. Street','Moraga','WA','27615','ortega@widget.com',1236808,'304-892-2089',99511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome Q. Fisher','780-3876 Sodales St.','Marshall','NY','55282','jfisher@emailathome.net',1236809,'998-302-0032',18803,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cairo Y. Curry','Ap #187-6700 Tellus. Rd.','Steubenville','TX','43509','ccurry@emailathome.net',1236810,'892-781-9829',100989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim Y. David','3258 Vivamus Road','Waycross','MA','22667',NULL,1236811,'128-907-1752',83961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry S. Johnson','3360 Velit. St.','Powell','LA','36499','jerry.johnson@email.net',1236812,'756-568-3680',91832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila B. Odonnell','Ap #126-5506 Cum St.','Merced','WV','30367','lilao@hitmail.com',1236813,'756-513-9803',58315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric G. Holcomb','857-2827 Natoque St.','Sierra Vista','UT','86617','uholcomb@abc.edu',1236814,'985-732-2532',52511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael W. Mcdaniel','P.O. Box 892, 1426 Sed St.','Jeannette','OK','52649','ishmael.mcdaniel@yohaa.com',1236815,'357-332-0732',47749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona T. Lewis','Ap #541-1533 Ante. St.','Plano','LA','06369','mlewis@hitmail.com',1236816,'118-465-6076',96837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie F. Watts','8654 Blandit Rd.','Nenana','NE','27038','anjolie.watts@email.net',1236817,'775-686-4130',89286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva L. Rocha','509-5808 Luctus Av.','Taylorsville','MD','97215','hrocha@xyz.edu',1236818,'354-938-6141',41140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy B. Charles','Ap #464-7907 Quis Avenue','Troy','TX','28216','quincyc@abc.edu',1236819,'532-895-7234',50446,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn Q. Marks','Ap #726-6801 Iaculis Ave','Cruz Bay','CO','98826','qmarks@email.net',1236820,'243-774-4782',107843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster J. Patterson','4560 Massa. Street','Yuma','OH','92102','patterson@yohaa.com',1236821,'994-608-8762',38170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall N. Ball','P.O. Box 732, 880 Ac St.','Little Falls','OH','46139',NULL,1236822,'332-326-8347',24562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony I. Waters','7874 Varius Avenue','Champaign','CA','51705','anthony.waters@abc.edu',1236823,'429-453-4850',87053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon M. Hunter','364-9525 Lobortis Rd.','Jefferson City','DC','22884','shannon.hunter@xyz.edu',1236824,'691-919-3718',75708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida K. Sweet','4915 Nullam Road','Suffolk','KY','79531','nsweet@email.net',1236825,'811-279-2711',19884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma X. Franks','9688 Hendrerit. Avenue','Marshall','CT','92889','velma.franks@hitmail.com',1236826,'733-915-9319',69267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart S. Bishop','P.O. Box 835, 5792 Ante St.','Albany','NJ','74576','stewart.bishop@bpmpros.com',1236827,'456-199-0039',58370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk A. Torres','Ap #419-9786 Vestibulum, Avenue','Redondo Beach','DC','70245',NULL,1236828,'822-377-3763',90778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham G. Griffith','989-2496 Id Street','Alexandria','KY','57528','abrahamg@widget.com',1236829,'874-605-9722',61316,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott H. Merrill','Ap #462-2611 Neque Avenue','Seal Beach','ME','77524','scott.merrill@xyz.edu',1236830,'154-937-5324',25548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan P. Parks','1360 Orci Street','Frederick','MA','29006','ivan.parks@aulnet',1236831,'769-374-6673',34873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara R. Mckenzie','817-3395 Mauris St.','Phoenix','ND','19539',NULL,1236832,'646-405-6893',62233,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael S. Noble','962-3285 Dolor. Street','Rialto','PA','41451','mnoble@aulnet',1236833,'181-636-0407',39177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming T. Beard','456-9989 Non, Ave','Sierra Madre','LA','19050','beard@widget.com',1236834,'502-592-1272',81638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad Y. Yates','Ap #500-7774 Fermentum St.','Chino','TN','10530','shady@bpmpros.com',1236835,'682-194-6957',35681,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna X. Bailey','199 Adipiscing St.','Belleville','NH','72674','bailey@emailathome.net',1236836,'738-896-9063',76130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane L. Stark','696-4342 Velit Street','Lakewood','NE','18381','keane.stark@widget.com',1236837,'167-795-5814',102699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope O. Roach','281 Pellentesque Rd.','Sunnyvale','MI','92743','penelope.roach@hitmail.com',1236838,'682-888-5679',29767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan Q. Carey','235-1749 Cursus Avenue','Baldwin Park','DE','58250',NULL,1236839,'994-686-4749',51051,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damon N. Waller','P.O. Box 531, 9723 Morbi St.','Minot','NY','73531','waller@emailathome.net',1236840,'783-787-3737',59111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon V. Patel','936-7260 Eget Rd.','McAllen','MD','08781',NULL,1236841,'314-106-7931',73669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda C. Torres','5008 Ante Rd.','East St. Louis','IA','88698','mtorres@hitmail.com',1236842,'567-698-0096',92343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard Y. Whitaker','5079 A, Rd.','Biddeford','MN','77065','whitaker@aulnet',1236843,'835-783-3522',66838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora E. Castaneda','P.O. Box 986, 3874 Rutrum. Avenue','Roswell','TN','23400',NULL,1236844,'476-302-0934',59459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi A. Murphy','P.O. Box 869, 7750 Sem. Av.','Glens Falls','TN','60993','levim@emailathome.net',1236845,'494-861-1711',80014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra D. Leblanc','P.O. Box 996, 9966 Dictum St.','Hackensack','TX','69839','lleblanc@abc.edu',1236846,'733-237-0071',86647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity L. Durham','Ap #713-9721 Vehicula Av.','Rock Springs','ND','57826','unityd@emailathome.net',1236847,'656-499-5265',38153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett Z. Pace','822-7467 Morbi Avenue','Apple Valley','MS','16964','pace@abc.edu',1236848,'791-447-7462',76778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor X. Solomon','9669 Lacus Rd.','Loudon','KS','32914','eleanors@email.net',1236849,'601-171-1158',95515,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone D. Kramer','P.O. Box 515, 4727 Vestibulum Av.','Miami Beach','LA','62304','tyrone.kramer@aulnet',1236850,'318-929-0991',23653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet Y. Bernard','P.O. Box 988, 3865 Pellentesque Rd.','Beverly Hills','MI','82744','julietb@aulnet',1236851,'159-468-2983',100390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon Z. Lester','7259 Porttitor Rd.','Cleveland','AL','01479','rhiannonl@yohaa.com',1236852,'745-259-1869',28561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel M. Prince','P.O. Box 521, 8452 Orci. Rd.','Natchitoches','MD','42354','laurelp@yohaa.com',1236853,'724-478-6287',19726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette F. Obrien','Ap #575-9610 Augue Road','Palos Verdes Estates','WY','33086','jeanetteo@widget.com',1236854,'431-255-6232',58767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn N. Willis','Ap #690-850 Sit Rd.','Hartland','FL','18352','brynn.willis@yohaa.com',1236855,'438-869-0246',61007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato Y. Sosa','548-4989 Et, Av.','Chester','DE','36554','sosa@aulnet',1236856,'906-345-1141',50480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik W. Rivas','5497 Tristique Rd.','Laguna Hills','IL','41595','tarikr@bpmpros.com',1236857,'251-642-2767',101760,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper B. Dejesus','9878 Odio St.','Salinas','MS','90394','piperd@bpmpros.com',1236858,'644-159-1133',54947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin E. Valentine','210-8038 Orci. Ave','Medford','WI','45636','cailin.valentine@widget.com',1236859,'121-675-6348',61601,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage X. Carson','P.O. Box 124, 7408 Ut St.','Lufkin','DE','13359',NULL,1236860,'195-126-6913',39553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh T. Conley','Ap #443-4162 Eleifend. Road','Rockford','MD','56360',NULL,1236861,'729-715-8314',42807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne O. Sharp','312-3776 Eget St.','West Sacramento','NM','09956','daphne.sharp@emailathome.net',1236862,'326-146-8606',107036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno G. Carr','2065 Urna. Avenue','Alamogordo','CO','00170','brunoc@email.net',1236863,'177-719-3149',109214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana Q. Waters','2599 Aliquam St.','Kingston','RI','71012',NULL,1236864,'231-248-8198',61225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly K. Daugherty','771-2431 Arcu. Street','Jersey City','NE','35517',NULL,1236865,'629-761-9088',32573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad R. Pace','P.O. Box 985, 1720 Et Avenue','Jackson','OR','28764',NULL,1236866,'372-902-6616',79064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexa W. Lewis','Ap #728-1586 Fringilla Street','Narragansett','ND','47865','alexal@abc.edu',1236867,'621-802-7034',75800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon I. Bryan','P.O. Box 437, 8763 Dignissim Rd.','Plainfield','AK','73310','kbryan@email.net',1236868,'286-817-7195',30683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter U. Weeks','P.O. Box 435, 7128 Elit St.','Fayetteville','PA','86359','dieterw@widget.com',1236869,'671-866-6733',100490,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis B. Sykes','3281 At, Av.','Uniontown','WY','24222','dsykes@emailathome.net',1236870,'858-726-7014',86586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent D. Richardson','P.O. Box 913, 5339 Lacus St.','Taunton','RI','75409','richardson@emailathome.net',1236871,'633-491-2169',35506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel Z. Hayes','P.O. Box 683, 1906 Risus, St.','Cedarburg','NV','35801','steelh@xyz.edu',1236872,'311-844-3345',63554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley S. Keller','Ap #813-679 Dolor. Avenue','Santa Monica','MI','99935','bradleyk@aulnet',1236873,'846-157-9902',50387,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah W. Peck','Ap #628-1048 Lobortis St.','Fort Worth','ME','83083','jonahp@abc.edu',1236874,'118-855-8017',22256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius L. Zamora','416-9191 Sed Ave','Waterloo','WA','31315','demetrius.zamora@abc.edu',1236875,'499-507-3622',81223,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia U. Barnett','P.O. Box 517, 7539 Nam St.','Merizo','SD','76708',NULL,1236876,'224-513-0213',97809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant O. Miranda','585-7091 Egestas. Ave','Midwest City','AL','81658','gmiranda@yohaa.com',1236877,'466-581-0040',41341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal D. Huff','Ap #726-7541 Volutpat. St.','Batavia','HI','29700','kamal.huff@emailathome.net',1236878,'468-725-2152',30281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam L. Ford','Ap #452-8395 Penatibus Ave','Fort Lauderdale','CA','30959','aford@yohaa.com',1236879,'761-128-8530',77315,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yetta V. Duncan','553-3175 Lorem Rd.','Somersworth','VT','97537','duncan@email.net',1236880,'587-347-3761',38837,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania X. Christensen','Ap #962-9838 Auctor Road','Winnemucca','MN','34931','zephania.christensen@hitmail.com',1236881,'569-957-2945',83773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel Z. Oneill','614 Integer Av.','Fallon','NJ','54548','axel.oneill@aulnet',1236882,'132-288-1838',19222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris P. Gill','116-5076 Sapien. Road','Cape Girardeau','VT','55600','gill@email.net',1236883,'348-381-4786',67083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia P. Joyner','P.O. Box 583, 2549 Lectus Av.','Kettering','NV','43098','joyner@xyz.edu',1236884,'709-957-2486',27040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge R. Foreman','395-6127 Lorem. Av.','Kemmerer','UT','46489','medge.foreman@bpmpros.com',1236885,'588-287-1443',94629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan Z. Blanchard','Ap #788-1725 Ante. Road','Tustin','CA','96232','dblanchard@emailathome.net',1236886,'722-309-4965',53323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August G. Winters','P.O. Box 352, 4421 Lacus. St.','South Burlington','AZ','13100','augustw@xyz.edu',1236887,'443-174-3837',90292,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Valentine F. Gonzales','418-3933 Sed Street','North Tonawanda','NY','64287','valentine.gonzales@email.net',1236888,'498-731-8141',104007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Owen S. Thompson','6734 Ornare Street','Montebello','LA','06743','owent@hitmail.com',1236889,'272-101-8848',73408,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee T. Farley','Ap #325-6831 Nascetur St.','Trenton','DC','53450','farley@hitmail.com',1236890,'304-575-4862',80148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra H. Burris','P.O. Box 260, 4211 Fermentum Road','Plano','MA','64018',NULL,1236891,'568-773-2576',52999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith C. Walker','187-4622 Vel St.','Kankakee','IN','79734','griffithw@hitmail.com',1236892,'843-411-1833',53050,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey U. York','8835 Tempor Avenue','Woonsocket','IL','72389','aubreyy@xyz.edu',1236893,'363-747-9880',104624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe H. Garrison','959-8468 Mauris Road','Corvallis','TN','17689','phoebe.garrison@abc.edu',1236894,'969-332-9798',68961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda N. Stanley','7120 Cras St.','Nampa','AK','25146',NULL,1236895,'805-802-7249',32178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte A. Tate','2738 Eget Ave','Durango','CO','61613','ctate@abc.edu',1236896,'238-719-1093',92459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase U. Riddle','Ap #462-7143 Vitae, Avenue','Hartland','IA','40511','chase.riddle@email.net',1236897,'225-354-0722',92155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing Q. Mcleod','765-3387 Vivamus Road','Biloxi','DE','40080','cmcleod@yohaa.com',1236898,'692-827-1702',66049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon J. Leblanc','8678 Nec St.','Los Alamitos','ME','47891','fallon.leblanc@yohaa.com',1236899,'901-961-1528',81884,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yasir Y. Ward','875-7550 Dapibus Street','New Orleans','TN','22979','yasir.ward@emailathome.net',1236900,'862-762-7328',95952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana O. Rhodes','Ap #921-9622 Nulla Ave','Ada','RI','63785','rhodes@bpmpros.com',1236901,'755-617-3890',31224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cadman A. West','Ap #971-4338 Vestibulum Ave','Blythe','UT','61724',NULL,1236902,'519-265-7821',80409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron W. Crawford','8649 Ornare St.','Thousand Oaks','MN','57763',NULL,1236903,'836-387-2047',93883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius Z. Alston','P.O. Box 824, 4690 Dolor, St.','Grand Island','OH','11578',NULL,1236904,'333-178-3565',73630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery L. Guthrie','324-5546 Porttitor Road','Morrison','AZ','73185','ameryg@yohaa.com',1236905,'754-196-0644',38743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney W. Atkinson','529-7775 Eu, Road','Pulaski','OR','73256','britanneya@aulnet',1236906,'442-205-1912',75421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle X. Orr','9599 Elit. Ave','Bradbury','AK','71219','mechelle.orr@widget.com',1236907,'535-378-4989',25876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh J. Burt','P.O. Box 430, 5720 Mauris. Av.','Saginaw','CT','19791',NULL,1236908,'901-545-7241',33698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica I. Bradley','Ap #666-9990 Ipsum St.','Rehoboth Beach','WY','10330',NULL,1236909,'222-133-6873',23326,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby H. Johnson','Ap #695-7917 Id, Rd.','Evanston','IN','23544','coby.johnson@email.net',1236910,'975-197-1398',35699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale H. Carney','Ap #519-2050 Diam Rd.','Colorado Springs','CT','47471','carney@aulnet',1236911,'116-981-0872',33489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren K. Baird','Ap #483-8017 Sodales St.','Fountain Valley','VT','09947',NULL,1236912,'519-525-4054',100127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth C. Osborne','Ap #589-8990 Aliquet Ave','Davis','WI','86086','gosborne@emailathome.net',1236913,'934-443-8773',91431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger S. Rosario','7683 Vivamus Rd.','Culver City','IA','52801',NULL,1236914,'501-204-6489',50656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie S. Pratt','137-7904 Rhoncus. St.','Woodward','TN','18361',NULL,1236915,'263-673-7864',41861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared R. Gomez','408-1877 Amet, St.','St. Petersburg','ME','25033','jaredg@emailathome.net',1236916,'495-568-0418',37510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall N. Ellis','P.O. Box 325, 7026 Lorem, Rd.','Mayag?ez','NJ','98213','randalle@bpmpros.com',1236917,'357-653-0111',74761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton W. Alexander','337-8881 Purus Street','Midland','MT','14403',NULL,1236918,'727-184-6377',65743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson E. Strickland','P.O. Box 169, 1708 Pellentesque Av.','Iowa City','KY','86091','samson.strickland@emailathome.net',1236919,'604-331-3159',59700,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius A. Petty','P.O. Box 233, 4972 Non Rd.','Corinth','HI','57543','dpetty@bpmpros.com',1236920,'734-348-5799',99369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel J. Turner','847-2437 Egestas Rd.','Manitowoc','WI','23370','joelt@hitmail.com',1236921,'914-658-8074',87785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly R. Glass','P.O. Box 920, 8867 Consequat Street','Hawthorne','OR','78692','mollyg@yohaa.com',1236922,'963-987-5463',61054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin G. Rodriquez','1998 Cras St.','Hermitage','VA','28325',NULL,1236923,'385-582-7705',36443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby P. Castro','359-5323 Fusce Rd.','Littleton','FL','18146',NULL,1236924,'563-847-2290',107602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe F. Mccray','5925 Sed Ave','Durant','DC','60451','zoem@email.net',1236925,'366-922-2069',40907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha I. Stark','806 Amet Av.','Isle of Palms','NC','90866',NULL,1236926,'912-249-7419',82061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric R. Manning','Ap #790-3344 Faucibus Rd.','Hoover','ND','32822','manning@email.net',1236927,'799-602-7505',20621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis T. Horn','883-4664 Bibendum St.','West Bend','NY','31164',NULL,1236928,'987-777-3881',56714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon M. Nicholson','644-1241 Eleifend St.','Paterson','MS','13945','vnicholson@xyz.edu',1236929,'209-297-8731',69991,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus A. Franklin','Ap #410-967 At Avenue','Salem','WV','47151','cyrusf@aulnet',1236930,'197-307-3941',80912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reuben H. Glass','269-6325 Convallis Rd.','Santa Fe','NE','49096',NULL,1236931,'248-345-4428',56762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha D. Atkinson','523-281 Adipiscing Road','Philadelphia','NC','13062','martha.atkinson@xyz.edu',1236932,'259-308-5430',103456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda J. Stanley','Ap #724-2637 Ut, Avenue','Tyler','DC','89102','stanley@widget.com',1236933,'266-425-6331',90632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora S. Crawford','P.O. Box 634, 9694 Lacinia St.','Nanticoke','IN','45124','pcrawford@email.net',1236934,'327-493-7284',71956,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare K. Mckee','P.O. Box 360, 8914 Nibh Av.','Davis','VT','10365','clare.mckee@abc.edu',1236935,'591-717-1198',58256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rowan B. Ford','968-7157 Id, Avenue','Modesto','ID','14635','rowanf@hitmail.com',1236936,'992-482-0082',35459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shafira R. Boyer','Ap #716-2990 Lorem Road','Clarksburg','NC','96500',NULL,1236937,'236-227-5186',29477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl J. Sanford','P.O. Box 332, 3019 Ut Avenue','Rolling Hills Estates','WV','55641','sanford@xyz.edu',1236938,'353-489-5160',42934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly L. Mooney','8764 Mauris. Rd.','Greenville','TX','60256',NULL,1236939,'822-147-2851',51187,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quentin K. Serrano','P.O. Box 555, 6486 Quis Road','Lexington','KS','16577','quentins@xyz.edu',1236940,'734-656-5028',104882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon I. Boone','Ap #717-2855 Pede, Avenue','Salem','FL','54160',NULL,1236941,'648-483-9475',61445,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann L. Hodges','5480 Nunc Rd.','Jefferson City','MO','24659','annh@xyz.edu',1236942,'166-231-9692',73222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth D. Allison','Ap #337-9858 Elit, St.','Bethlehem','AK','57271',NULL,1236943,'832-907-0380',16848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quamar Q. Fowler','9331 Nunc Street','Hermosa Beach','KY','42897','quamar.fowler@emailathome.net',1236944,'615-809-9996',109914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan C. Little','931-4116 At Street','Phoenix','OH','05447',NULL,1236945,'445-151-8597',62231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella M. Kerr','Ap #490-3433 A, St.','West Sacramento','LA','00716','kerr@emailathome.net',1236946,'254-508-5593',32055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas R. Cobb','P.O. Box 887, 7171 Posuere Ave','Richland','IA','67378','silas.cobb@yohaa.com',1236947,'185-348-8473',18339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary F. Ramsey','2495 Gravida Avenue','Nevada City','AK','84350','ramsey@bpmpros.com',1236948,'288-196-5203',25209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko M. Byers','P.O. Box 785, 2958 Curabitur Av.','Charleston','NC','76050','byers@bpmpros.com',1236949,'502-699-6962',35210,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina I. Mckinney','7674 Non Ave','Lomita','AL','11398','mckinney@hitmail.com',1236950,'904-145-2141',89737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine Z. Scott','Ap #895-7552 Mauris Rd.','Gardner','ND','60682','scott@xyz.edu',1236951,'972-985-9201',52455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael E. Hansen','P.O. Box 424, 7477 Duis St.','Saint Albans','ID','90960','ishmaelh@yohaa.com',1236952,'643-524-4094',47714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen T. Melendez','2273 Non, Avenue','Cruz Bay','CA','88497','yen.melendez@bpmpros.com',1236953,'594-548-8902',55984,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb W. Chapman','307-5686 Ac St.','Laguna Hills','DE','23611',NULL,1236954,'109-593-0418',55727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke W. Bruce','Ap #858-4211 Lorem Street','Columbus','AK','27341','clarke.bruce@widget.com',1236955,'953-163-6656',23875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie N. Mcdonald','292-9728 Malesuada Ave','Boulder Junction','AZ','13931','mcdonald@email.net',1236956,'383-346-3089',82829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady U. Morales','892-9301 Non, Street','Ponce','CA','12126','gradym@abc.edu',1236957,'168-441-6869',102851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac Q. Suarez','837-7561 Integer Rd.','Saint Louis','OH','75298','isaac.suarez@aulnet',1236958,'425-583-7334',31328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zahir C. Good','Ap #307-7608 Vestibulum, Street','Coatesville','AZ','71457','zgood@aulnet',1236959,'746-272-5553',99246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Suki B. Sampson','P.O. Box 365, 4035 Et, St.','Thiensville','MT','56038','suki.sampson@emailathome.net',1236960,'586-233-3049',76004,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe N. Green','Ap #767-3393 Suspendisse St.','Reedsport','AK','58715','zoe.green@widget.com',1236961,'744-231-4637',86777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon K. Randolph','7247 Morbi St.','Everett','MT','24380','randolph@widget.com',1236962,'352-836-2592',106874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mira T. Meyers','Ap #845-3252 Dictum Rd.','New Kensington','PA','25550','mmeyers@emailathome.net',1236963,'841-103-8390',99102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger W. Gibson','Ap #112-4374 Cursus Avenue','Brown Deer','TN','57682',NULL,1236964,'233-184-0869',30895,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon B. Barber','416 Ut, Road','Geneva','MT','68534','kenyon.barber@xyz.edu',1236965,'394-617-8152',37153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley F. Stevenson','P.O. Box 634, 8663 Nec, Road','Nampa','MO','09668',NULL,1236966,'203-596-1140',41966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred N. Duran','Ap #887-5560 Arcu St.','Waterbury','MN','93492','winifred.duran@emailathome.net',1236967,'261-464-8609',87839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenna B. Adams','Ap #791-4046 In Street','Evansville','NY','13706','jenna.adams@aulnet',1236968,'309-461-7346',103667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan S. Norton','4087 Aliquam Ave','Watertown','KS','58289','jnorton@abc.edu',1236969,'651-481-2273',16604,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amy S. Phillips','715-1951 Fusce St.','Bakersfield','MI','77335',NULL,1236970,'615-375-6559',91296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn V. Cotton','Ap #410-1589 Viverra. Avenue','Tempe','AK','49926','cotton@aulnet',1236971,'353-977-1428',20945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra W. Perry','Ap #551-8582 Id, Avenue','Corpus Christi','TX','83032','sandra.perry@abc.edu',1236972,'959-213-1892',48374,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon K. Buchanan','299-7588 Aliquam Av.','Westminster','OK','56249',NULL,1236973,'373-232-4445',46067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary R. Sherman','P.O. Box 761, 7865 Venenatis Avenue','Hartland','WV','61527','sherman@xyz.edu',1236974,'767-149-2816',41825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby P. Crosby','691-158 Consectetuer St.','Helena','ME','33004','libby.crosby@xyz.edu',1236975,'623-491-3495',39826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron O. Dyer','P.O. Box 777, 5304 Vulputate Rd.','Kankakee','MD','83516','cdyer@hitmail.com',1236976,'612-344-5439',96977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton D. Luna','Ap #353-2909 Sed Av.','Seaford','AK','43026','luna@hitmail.com',1236977,'633-355-5081',57029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah H. Burgess','243-4819 Vel, Rd.','Boston','MI','45199','burgess@emailathome.net',1236978,'316-959-2138',30006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher P. Whitney','889 Tellus St.','Richland','KY','46931','whitney@xyz.edu',1236979,'651-573-0789',105008,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent T. Farrell','Ap #727-9307 Amet Rd.','Sanford','NJ','92739',NULL,1236980,'771-322-7048',87335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo S. Richardson','319-5306 Cursus St.','Clemson','WV','54547','cleor@abc.edu',1236981,'386-157-3881',98614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elliott Q. Atkinson','683-8386 Dolor. Av.','Santa Rosa','VT','88932',NULL,1236982,'589-876-8232',27030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton A. Jenkins','Ap #148-2929 Mauris Rd.','Yuma','OH','54743','denton.jenkins@abc.edu',1236983,'786-366-0329',80009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith V. Dotson','4199 Magna, Ave','Danville','MN','41627','lillithd@emailathome.net',1236984,'202-489-0165',32511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April D. Schroeder','599-2943 Egestas Road','Buffalo','ME','81833','aschroeder@bpmpros.com',1236985,'551-663-9420',71570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne U. Mcguire','7695 Massa Road','South Burlington','KS','46875','wynne.mcguire@hitmail.com',1236986,'168-404-4607',78543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra R. Ayala','937-227 Vitae Avenue','Pawtucket','TX','11667','kayala@email.net',1236987,'543-502-8152',91159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Matthew M. Avery','P.O. Box 424, 504 Ligula. St.','Idaho Springs','IN','18639','matthew.avery@aulnet',1236988,'397-831-3421',67100,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha J. Horne','6907 Orci. Rd.','Lynwood','WI','33644','horne@aulnet',1236989,'518-448-1211',63628,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev R. Hinton','P.O. Box 543, 7300 Cursus Street','Monterey Park','IA','24668','hinton@widget.com',1236990,'313-722-1692',93447,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry I. Herman','P.O. Box 844, 944 Magna Av.','Brown Deer','KS','62796','herman@yohaa.com',1236991,'555-768-4895',64142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruth I. Robinson','Ap #636-399 Neque St.','Pass Christian','MA','79431','ruthr@widget.com',1236992,'328-784-4519',54316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika Y. Jones','788-4614 Aliquam Street','West Hollywood','LA','76455','alika.jones@aulnet',1236993,'997-315-9084',67436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeus Z. Hale','8830 Pede Av.','Buena Park','DC','10077','zhale@xyz.edu',1236994,'623-213-8344',48528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy U. Ferguson','P.O. Box 971, 3128 Consectetuer Street','Ashland','UT','08718','iferguson@hitmail.com',1236995,'896-519-6215',77454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda A. Walker','639 Phasellus St.','Layton','WY','08919',NULL,1236996,'891-671-3112',91475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India I. Horne','189-1068 In St.','Lakewood','VA','91790','indiah@emailathome.net',1236997,'719-601-2705',101460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel S. Rowland','P.O. Box 782, 2961 Sit Street','Fort Wayne','TX','75767','danielr@aulnet',1236998,'567-377-8780',66620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle L. Mills','P.O. Box 847, 6746 Nulla Road','Cypress','NJ','43328','mills@email.net',1236999,'186-654-8217',20835,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo P. Rosa','P.O. Box 157, 8509 Luctus Road','Del Rio','VT','44998','rosa@emailathome.net',1237000,'317-303-8567',94286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah X. Howell','Ap #741-6673 Mauris Street','Miami Beach','RI','60215','howell@hitmail.com',1237001,'204-421-7236',95285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando R. Hayes','Ap #740-1023 Sit Av.','Belpre','MA','22483','hayes@yohaa.com',1237002,'608-812-2320',74431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby M. Oneal','P.O. Box 607, 9378 Tempus, St.','Provo','IN','77490','oneal@widget.com',1237003,'874-582-3936',40303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance X. Moran','848-4193 Purus. Street','Louisville','MD','63031','moran@abc.edu',1237004,'523-406-8871',89250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian B. Rollins','8647 Rhoncus. Road','Rockford','IA','80507','brian.rollins@email.net',1237005,'902-154-3948',87317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya Y. Nicholson','Ap #244-4917 Proin Av.','Chico','CO','40021',NULL,1237006,'629-531-5948',96788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric Q. Robinson','Ap #425-2477 Luctus Rd.','Flint','MT','60301','robinson@emailathome.net',1237007,'523-152-6811',94079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari S. Boone','825-3214 Augue Av.','Tamuning','DC','62633',NULL,1237008,'135-557-5181',109078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel V. Haley','Ap #352-3335 Donec Rd.','Sherrill','CA','21894','axel.haley@widget.com',1237009,'528-563-0106',42635,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda H. Ross','P.O. Box 778, 6380 Ut St.','New Madrid','AK','16137',NULL,1237010,'133-652-1141',50500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian R. Rios','4669 Dictum Rd.','Redondo Beach','AZ','62313','rios@hitmail.com',1237011,'927-731-0961',18559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott F. Mann','8768 Mauris St.','Laguna Woods','NE','28165','smann@abc.edu',1237012,'496-799-5625',80561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen V. Dejesus','487-2867 Fusce St.','Jackson','MD','99828','cdejesus@widget.com',1237013,'984-481-1796',59829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll E. Diaz','7119 In Rd.','Martinsburg','LA','75964','driscolld@abc.edu',1237014,'957-846-1842',15561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance R. Dean','8558 Pellentesque Rd.','Wisconsin Rapids','LA','91879','cdean@hitmail.com',1237015,'466-862-5460',74563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie W. Knox','P.O. Box 254, 4288 Risus. Ave','Myrtle Beach','AK','41233',NULL,1237016,'103-579-3408',96931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma M. Wade','776-1804 Nec, Road','Kansas City','WA','98649','palomaw@bpmpros.com',1237017,'973-986-4657',20821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson Y. Miller','645-107 Sed Rd.','Rolling Hills Estates','LA','27226','madeson.miller@email.net',1237018,'876-759-7352',16665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ali C. Anderson','P.O. Box 114, 2106 Tristique Rd.','Iowa City','NM','93321','alia@yohaa.com',1237019,'658-524-2730',28405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September E. Dudley','P.O. Box 571, 9130 Metus. Street','Downey','NE','13816',NULL,1237020,'248-896-3206',106878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee C. Monroe','176-1626 Sed Av.','Lockport','NM','11334','monroe@emailathome.net',1237021,'342-581-3866',16320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil Z. Ellis','P.O. Box 355, 7851 Egestas. Avenue','Gu?nica','LA','90611','neile@widget.com',1237022,'147-398-6799',70238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance P. Mullins','Ap #403-8184 Ut Avenue','Orem','NM','95895','mullins@aulnet',1237023,'507-554-7424',35680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran U. Hinton','136-9982 Donec St.','Wichita','ME','94699','chinton@aulnet',1237024,'595-102-5662',19937,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker H. Norton','P.O. Box 899, 1883 Ullamcorper St.','La Mirada','WA','39034','norton@emailathome.net',1237025,'724-328-2308',102393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel Z. Bernard','P.O. Box 751, 8460 Non Ave','Franklin','NM','52281','nbernard@xyz.edu',1237026,'316-149-2785',16952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill Y. Harrington','1912 Magna. Rd.','Corvallis','DE','45020','sharrington@emailathome.net',1237027,'349-571-0750',15893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole P. Skinner','1820 Ornare. Ave','Fort Smith','MI','62367','skinner@yohaa.com',1237028,'979-904-8419',69250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh P. Howe','494-8968 Fringilla Rd.','Columbus','MA','81943','howe@yohaa.com',1237029,'411-391-2941',56941,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin A. Bradley','Ap #318-2133 Neque. Rd.','Benton Harbor','ND','01793','bradley@widget.com',1237030,'747-258-4586',57855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald X. Shepherd','2354 Pede Avenue','Lake Forest','MT','61782',NULL,1237031,'962-336-0518',102627,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina P. Orr','145-8260 Purus Avenue','Hermosa Beach','WV','45506',NULL,1237032,'399-351-5975',60050,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone K. Haney','P.O. Box 802, 656 Augue St.','Kona','TN','79724','thaney@email.net',1237033,'332-631-8913',97709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey I. Webster','Ap #467-4142 Elit. Road','Rialto','FL','03082','swebster@aulnet',1237034,'707-948-5793',75276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April N. Roman','7178 Velit Ave','Bethany','NJ','33953',NULL,1237035,'352-632-3361',98765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadassah H. Blankenship','P.O. Box 559, 770 Tortor. St.','Saukville','LA','99322',NULL,1237036,'485-647-2795',24523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall Z. Page','921-9168 Id Ave','Galveston','MA','77076','kendall.page@email.net',1237037,'409-784-3216',21394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika E. Carlson','P.O. Box 529, 6255 Non Av.','Hutchinson','ME','85852','acarlson@email.net',1237038,'939-338-0224',64632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana P. Blanchard','357 Purus. Street','Beacon','VA','38207','iliana.blanchard@xyz.edu',1237039,'793-186-9108',32103,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia Q. Cantrell','Ap #405-316 Nunc Rd.','Waterloo','CA','05634','cantrell@abc.edu',1237040,'932-725-7007',33081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict J. Lowery','P.O. Box 167, 2593 Sociis Ave','Raleigh','MA','53658','benedict.lowery@abc.edu',1237041,'483-315-9496',66313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea S. Hamilton','P.O. Box 501, 6157 Dolor. Avenue','Brookfield','MT','91544','alea.hamilton@emailathome.net',1237042,'293-676-8918',57851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber Z. Livingston','Ap #269-8428 Malesuada Avenue','Seattle','NY','13704','amberl@abc.edu',1237043,'359-543-0289',41575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison T. Shepard','Ap #206-2996 Libero Road','Kearns','IA','95209',NULL,1237044,'914-373-7258',64398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hollee U. Sosa','Ap #521-843 Integer Ave','East Rutherford','NH','85980','hsosa@yohaa.com',1237045,'299-214-4862',22172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne P. Bryan','963-6723 Dapibus Avenue','Vernon','MA','01896','brynneb@aulnet',1237046,'877-167-1705',76555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes S. Sampson','411-8911 Quisque Avenue','Port Jervis','IA','73874','msampson@aulnet',1237047,'761-547-5046',98920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme N. Edwards','945-9940 Integer St.','Modesto','IN','54937','edwards@xyz.edu',1237048,'702-472-9194',36796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay C. Clements','Ap #955-5214 Pede. Road','Torrington','VT','13778','clements@yohaa.com',1237049,'706-417-8998',20686,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie H. Gilbert','112-9592 Vel Rd.','Augusta','WI','89403',NULL,1237050,'282-888-2051',108717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian B. Allen','583-8666 Libero Road','Rawlins','NV','52732','allen@hitmail.com',1237051,'247-328-1164',31496,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel E. Neal','P.O. Box 153, 307 Turpis. Ave','McAllen','NJ','17060','dneal@hitmail.com',1237052,'803-949-2684',86083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan X. Warner','P.O. Box 546, 2847 Etiam Rd.','Falls Church','NV','11128','kennanw@emailathome.net',1237053,'299-902-9411',23721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian V. Michael','3318 Proin Rd.','Claremont','TX','13795','michael@widget.com',1237054,'908-828-7279',26513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dante H. Bridges','1797 Mus. St.','Orange','MS','67819','bridges@aulnet',1237055,'288-779-5613',49220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes H. Burris','839-6971 Sed Road','Longview','OR','27185','burris@widget.com',1237056,'995-284-8634',40927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah Q. Pitts','4449 Enim. Av.','Dalton','KS','89702',NULL,1237057,'611-211-6299',29388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev O. Ford','550-7125 Ultrices. Av.','Cape Coral','MA','74254','lford@yohaa.com',1237058,'156-677-7883',32648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae I. Hansen','2447 Erat. Ave','Latrobe','DC','31369','rhansen@hitmail.com',1237059,'795-291-7585',43014,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon R. Gordon','P.O. Box 365, 5037 Mauris. St.','Riverside','FL','34466','quon.gordon@aulnet',1237060,'736-521-6114',81172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariel Z. Alston','Ap #814-5006 Lorem Road','Reedsport','CA','27762',NULL,1237061,'228-954-4841',106808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly R. Moses','Ap #622-373 Egestas Rd.','Gatlinburg','ME','45572','mmoses@hitmail.com',1237062,'335-563-4278',20089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine A. Barron','Ap #661-3607 Integer Ave','Glendora','GA','59704','christineb@hitmail.com',1237063,'377-612-0744',17737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney C. Gross','P.O. Box 285, 1129 Penatibus Road','San Bernardino','TN','08767',NULL,1237064,'562-848-4595',49055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna K. Alvarado','850-7941 Amet, Road','Mobile','AZ','83491',NULL,1237065,'359-811-6690',31801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore N. Medina','7954 Adipiscing. Rd.','Alameda','MD','96635','tmedina@bpmpros.com',1237066,'184-309-1812',63192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli P. Diaz','P.O. Box 501, 4355 Vestibulum St.','Shreveport','LA','78675','orli.diaz@abc.edu',1237067,'401-485-6948',90029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah H. Browning','2304 Diam. Road','Lawrenceville','CA','90177',NULL,1237068,'945-576-5140',87635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett P. Kirkland','Ap #484-3992 Sagittis St.','Asbury Park','KS','42433','gkirkland@aulnet',1237069,'612-656-0226',53339,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari E. Patterson','Ap #199-3023 Non, St.','Juneau','NE','83925','mpatterson@emailathome.net',1237070,'469-171-6266',64516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana Y. Gonzalez','P.O. Box 566, 2808 Enim. St.','Slidell','NY','12705','tatiana.gonzalez@email.net',1237071,'722-291-2608',98934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rafael K. Knox','292-9212 Cum Av.','Jacksonville','OR','37550','rafael.knox@yohaa.com',1237072,'356-187-2774',51239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek G. Donaldson','Ap #408-6208 Lacus Ave','Zanesville','NV','27664','tanekd@widget.com',1237073,'315-571-5587',45574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Magee S. Crosby','1924 Sociis Rd.','Dallas','NY','60303','magee.crosby@aulnet',1237074,'171-692-1492',19920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine V. Barker','P.O. Box 577, 1872 Ipsum Rd.','Little Rock','MO','18579','justine.barker@widget.com',1237075,'984-154-6557',19115,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine C. Vaughan','8403 Arcu Avenue','New Orleans','WI','48110',NULL,1237076,'178-166-3617',39629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma Z. Fuentes','8797 Sit Av.','Sierra Vista','TX','47022',NULL,1237077,'944-942-6583',99841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime Q. Kim','6935 Pharetra. Street','Anderson','RI','64729','jaime.kim@xyz.edu',1237078,'532-726-1113',95972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari E. Byrd','Ap #253-3083 Vulputate Rd.','Trenton','CT','95850',NULL,1237079,'589-112-7379',64921,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart J. Deleon','Ap #144-9484 Sociis Road','Corry','HI','32028','sdeleon@yohaa.com',1237080,'878-457-3691',21308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('McKenzie P. Bauer','599 Sagittis Street','Norwalk','MO','73886','bauer@emailathome.net',1237081,'189-967-7025',58269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vincent P. Hickman','Ap #637-6147 Tortor. St.','Visalia','NV','07170','vhickman@yohaa.com',1237082,'157-146-0137',30977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance Q. Estes','P.O. Box 564, 7709 Gravida Ave','Stockton','CO','60378','lestes@aulnet',1237083,'558-616-6526',78923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra V. Hopper','718-4129 Augue Ave','Pass Christian','GA','35395','lhopper@xyz.edu',1237084,'774-333-8495',15381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste R. David','Ap #961-3888 Lorem Ave','Wisconsin Rapids','NY','89215','celested@widget.com',1237085,'612-395-5274',78215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie R. Wolfe','684-8767 Duis St.','Staunton','NJ','20510','nataliew@abc.edu',1237086,'725-346-6311',70819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willa G. Morrison','5207 Montes, Rd.','Simi Valley','IL','17990','willa.morrison@bpmpros.com',1237087,'142-124-5582',28968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava J. Hamilton','401 Eu, Road','Wisconsin Rapids','NM','42613','chavah@xyz.edu',1237088,'414-518-5109',86735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev Z. Rutledge','179-7750 Ac Avenue','Pascagoula','CA','77119','lev.rutledge@bpmpros.com',1237089,'833-347-7643',92716,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk O. Faulkner','Ap #901-903 Leo St.','Thomasville','WI','06274',NULL,1237090,'494-327-4732',47574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad E. Landry','Ap #630-8838 Vel Av.','Eugene','MS','48754','tadl@bpmpros.com',1237091,'928-413-6401',29763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hector M. Galloway','Ap #747-6401 Ac Av.','Homer','IA','74823','hector.galloway@widget.com',1237092,'677-606-9295',79400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace V. Orr','655-8538 Nec St.','Yazoo City','KY','60044','wallace.orr@xyz.edu',1237093,'968-546-0420',84663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cecilia K. Mccormick','P.O. Box 512, 2940 Dolor Street','Monroe','AK','46906','mccormick@yohaa.com',1237094,'142-919-3644',27585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ocean W. Holman','112-3025 Et, St.','Macon','MS','57693','ocean.holman@aulnet',1237095,'609-652-5709',47541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir M. Garza','218-7899 Eu Ave','New Kensington','DE','66213','garza@emailathome.net',1237096,'917-517-1686',50996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy S. Marquez','P.O. Box 664, 6632 Nisl. Avenue','Martinsburg','PA','95251','smarquez@emailathome.net',1237097,'566-483-9900',75584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney A. Ramos','Ap #227-2108 Nec Street','Wahoo','RI','53648','ramos@emailathome.net',1237098,'991-566-8498',54288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia B. Vargas','P.O. Box 663, 9765 Volutpat. Rd.','Santa Cruz','RI','50203','zvargas@hitmail.com',1237099,'842-743-2080',65333,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda Y. Velez','6672 Tellus Av.','Lowell','AK','80665','rvelez@hitmail.com',1237100,'786-162-2454',75065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad S. Glenn','Ap #236-9358 Ligula. St.','Livonia','DE','28509','mglenn@bpmpros.com',1237101,'265-852-9132',71028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren F. Pacheco','8384 Venenatis St.','Columbia','NJ','11713',NULL,1237102,'664-681-0662',75939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond W. Morrison','Ap #639-2299 Volutpat. Rd.','Morrison','NV','10821','morrison@widget.com',1237103,'635-309-7808',63651,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mona D. Church','P.O. Box 862, 4182 Enim Av.','Menomonee Falls','MI','96917','mchurch@yohaa.com',1237104,'849-485-6844',75513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper D. Fuentes','658-3160 Sem, Rd.','Fort Smith','MN','93990','jfuentes@abc.edu',1237105,'908-747-1217',24093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah T. Delaney','2045 Et Rd.','Attleboro','FL','42031','latifahd@xyz.edu',1237106,'432-522-2969',23726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vernon X. Castillo','P.O. Box 787, 7832 Ut Ave','Oxford','NY','87030','castillo@aulnet',1237107,'263-694-0253',32938,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper H. Foreman','P.O. Box 268, 2025 Vitae Rd.','Falls Church','WV','59647','cooper.foreman@abc.edu',1237108,'778-841-4444',76101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite V. Rush','P.O. Box 494, 5684 Mauris. St.','Everett','NM','57516','aphrodite.rush@bpmpros.com',1237109,'254-933-8732',29794,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sierra U. Pugh','Ap #278-6550 Nunc Rd.','Rehoboth Beach','NY','29587','sierrap@abc.edu',1237110,'204-368-2900',81371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade W. Gentry','Ap #305-6284 Diam. St.','Fairmont','MA','04034',NULL,1237111,'612-716-0733',84244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie L. Hill','330-8353 Vivamus Ave','Walla Walla','MS','97292','jolieh@email.net',1237112,'327-948-7647',54493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet D. Campos','Ap #342-3246 Natoque Rd.','Springdale','MT','06093','campos@email.net',1237113,'386-513-4612',42919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota S. Yang','7303 Vitae St.','Phenix City','MA','25105','lyang@email.net',1237114,'705-234-6859',51422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire P. Boone','Ap #284-620 Urna, Rd.','Port Jervis','AK','47472','boone@yohaa.com',1237115,'688-493-4261',27701,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste N. Bush','P.O. Box 886, 8615 Volutpat. St.','Pasco','AK','16864','bush@aulnet',1237116,'337-826-1186',51489,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper N. Shaffer','P.O. Box 167, 1764 Est. Avenue','Carrollton','WV','09216','kasper.shaffer@email.net',1237117,'171-318-0442',66159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray X. Vance','623-7118 Tempor Ave','Lake Charles','NC','69468',NULL,1237118,'675-756-9740',30276,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor S. Estes','Ap #266-9415 Sit St.','Battle Creek','RI','45104','vestes@hitmail.com',1237119,'663-347-9038',90740,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard Y. Strickland','Ap #135-3500 Scelerisque St.','Evanston','HI','99844','richards@abc.edu',1237120,'149-602-8597',71063,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris K. Morgan','834-6785 Cursus. Rd.','Agat','TX','03602','dmorgan@yohaa.com',1237121,'547-596-1070',69814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel E. Rocha','Ap #141-9489 Gravida Road','Trenton','TX','76189','nrocha@emailathome.net',1237122,'882-338-8249',44183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel W. Zamora','P.O. Box 910, 2161 Maecenas Av.','Nashville','WV','87454','dzamora@emailathome.net',1237123,'634-425-7545',94873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor D. Macdonald','P.O. Box 168, 3396 Suspendisse Rd.','Bethlehem','WI','96174',NULL,1237124,'629-253-5783',47983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre E. Stephenson','376-9766 Nulla Road','Hannibal','ME','38125','stephenson@xyz.edu',1237125,'401-929-1817',77211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem A. Baxter','P.O. Box 492, 3561 Vehicula. Avenue','Manassas Park','OR','16344','abaxter@email.net',1237126,'571-871-7098',103105,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte P. Moody','Ap #532-6146 Molestie Ave','Saint Cloud','VA','62179','charlotte.moody@aulnet',1237127,'524-104-8856',99355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan V. Knight','897-8321 Parturient St.','Wisconsin Dells','LA','24096',NULL,1237128,'376-891-8046',97104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter T. Estes','Ap #222-9256 A Av.','Westminster','AK','31765','wyntere@aulnet',1237129,'763-139-8396',50663,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley G. Farrell','7954 Ac Rd.','Gilbert','NV','59043','farrell@emailathome.net',1237130,'211-896-0999',85817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus J. Travis','Ap #924-6202 Natoque Street','Concord','VA','43792','erasmus.travis@emailathome.net',1237131,'846-166-8529',64297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian G. Trevino','Ap #291-1006 Cras Av.','Elkhart','CT','01954','trevino@emailathome.net',1237132,'747-694-5604',31607,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald S. Gallagher','738 Molestie Street','Atlantic City','NH','84834','egallagher@email.net',1237133,'939-405-1645',37696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison Q. Maxwell','8790 Malesuada Av.','Hope','GA','24732','amaxwell@abc.edu',1237134,'226-618-5599',86293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle H. Harrell','5035 Egestas. Road','Moorhead','OR','16258','harrell@emailathome.net',1237135,'733-945-5064',71962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian P. Hicks','2890 Feugiat. St.','Texas City','ME','98840','hicks@hitmail.com',1237136,'576-449-6441',109727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene L. Sanchez','6743 In St.','Areceibo','VA','70419','jolene.sanchez@email.net',1237137,'404-451-9959',76230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus U. Griffith','Ap #478-9446 Sed Av.','Orangeburg','IA','22002','griffith@email.net',1237138,'513-826-1771',84575,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton J. Byers','P.O. Box 304, 3550 Ad Rd.','Sanford','NC','99111','elton.byers@emailathome.net',1237139,'214-637-4536',46408,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram B. Skinner','674-4771 Ligula. Avenue','Newark','UT','51840','avram.skinner@bpmpros.com',1237140,'162-276-8033',77392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason Z. Woodward','P.O. Box 199, 8189 Vitae Av.','Lawrenceville','PA','61512',NULL,1237141,'453-514-7905',18794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah S. Tanner','Ap #791-7220 Nulla Av.','Rancho Cucamonga','UT','68329',NULL,1237142,'832-394-7184',22381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek D. Benson','3119 Ornare. Avenue','Signal Hill','MO','29045','tanek.benson@bpmpros.com',1237143,'978-862-0914',88471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique H. Dickerson','518-4075 Pellentesque St.','Fall River','IN','77607','dominique.dickerson@bpmpros.com',1237144,'743-722-5935',102313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade S. Weaver','808 Arcu. St.','Gaithersburg','IN','58475','jweaver@email.net',1237145,'236-911-2833',49804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorian X. Park','8861 Ac St.','Tamuning','AZ','31407','dorianp@email.net',1237146,'354-978-5695',102564,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona H. Tyler','P.O. Box 151, 3827 Luctus, St.','Chicago Heights','VA','91932',NULL,1237147,'549-894-6611',49343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista H. Reid','Ap #169-8544 Velit Ave','Muncie','CT','04705','calista.reid@widget.com',1237148,'838-388-0727',58104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Howard V. Vasquez','P.O. Box 540, 3548 Magna Ave','Passaic','NV','74079','vasquez@widget.com',1237149,'875-614-8919',82726,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel E. Norton','3828 Vulputate Rd.','Eufaula','CA','74801','hileln@emailathome.net',1237150,'309-297-6580',53791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy J. Duran','P.O. Box 682, 4851 Lobortis Rd.','New Orleans','NY','77541','quincyd@emailathome.net',1237151,'453-652-7584',17510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mikayla L. Macdonald','9219 Est Av.','Lake Forest','SD','41839','mikayla.macdonald@emailathome.net',1237152,'584-719-9741',70134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel B. Ayala','Ap #517-1491 Ac Ave','Jefferson City','ID','06848',NULL,1237153,'787-262-8808',76187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina F. Beach','592-7809 Penatibus St.','Truth or Consequences','AL','29236','kbeach@yohaa.com',1237154,'174-762-9228',24396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emma T. Pruitt','3391 Pede. Av.','Superior','ID','18541','pruitt@widget.com',1237155,'575-283-6587',64638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze J. Becker','P.O. Box 955, 1800 Tempus Road','Vallejo','VA','13432','blaze.becker@widget.com',1237156,'184-658-7313',99669,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline K. Buchanan','3228 A, St.','Manassas Park','VA','81263','buchanan@emailathome.net',1237157,'607-805-2601',53823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace T. Frye','6676 Pellentesque Street','Jamestown','AK','53022','gfrye@hitmail.com',1237158,'248-509-2807',32586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nigel J. Rich','Ap #875-3801 Aliquam St.','Yakima','OK','74138',NULL,1237159,'251-409-9081',104621,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity D. Stephens','767-7627 Vel, Rd.','Chicago','NJ','31506','stephens@bpmpros.com',1237160,'735-896-2961',107922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene X. English','P.O. Box 134, 7811 Suspendisse St.','Marshfield','RI','36878','jenglish@emailathome.net',1237161,'475-211-0072',16807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felix Z. Gutierrez','2261 Elit Rd.','Salt Lake City','WI','50124',NULL,1237162,'702-649-1502',72321,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally V. Vargas','P.O. Box 250, 538 Est, Street','Springfield','CA','05155','cvargas@xyz.edu',1237163,'379-181-6208',97697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August M. Ballard','457-1976 Faucibus Avenue','Mankato','NV','64070',NULL,1237164,'226-505-5862',25878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Megan Z. Burgess','969-1120 Blandit St.','Saint Louis','LA','95650',NULL,1237165,'721-956-4510',53900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard N. Gilliam','Ap #280-6132 Est, Rd.','Wheeling','DC','50045','rgilliam@aulnet',1237166,'705-536-3828',56352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela V. Valdez','661-7165 Gravida. Street','Tacoma','TN','90550',NULL,1237167,'696-402-8372',33709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity Q. Bright','493-2777 Donec St.','South Burlington','AK','83583','unityb@abc.edu',1237168,'234-839-1300',83674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda X. England','Ap #998-3922 In Road','Arcadia','MI','46539','rhoda.england@email.net',1237169,'223-367-1063',54892,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noah D. Garza','P.O. Box 307, 9694 Nibh Rd.','New Castle','HI','60516','ngarza@email.net',1237170,'256-389-6457',61237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee X. Barlow','P.O. Box 469, 9670 Sit Road','Broken Arrow','NY','82353','barlow@abc.edu',1237171,'969-125-2048',62652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison Z. Monroe','1103 Aliquam Ave','Astoria','WV','01970',NULL,1237172,'316-503-4050',47157,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn G. Kelley','445 Pede. Rd.','Pittsburgh','NE','58359','kelley@email.net',1237173,'557-578-0293',89528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing V. Ryan','581-4044 Lectus Road','Seal Beach','MD','93352','ryan@yohaa.com',1237174,'612-168-5376',80864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge M. Weaver','923-1188 Aliquet, Ave','Newport News','MI','89983','medge.weaver@xyz.edu',1237175,'335-947-0056',60931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gareth E. Fernandez','Ap #655-9916 Dui Street','West Warwick','NE','96085',NULL,1237176,'168-394-2412',62622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea Z. Wade','P.O. Box 134, 4523 Elementum St.','Schaumburg','NC','15311',NULL,1237177,'407-466-7699',18566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana O. Finley','Ap #822-4374 Nunc St.','Pass Christian','TN','43268','finley@aulnet',1237178,'681-187-4522',27196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cooper E. Dean','Ap #142-7378 Tincidunt Rd.','Denver','TX','60413',NULL,1237179,'782-473-4599',23741,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher F. Camacho','734-8825 Pellentesque Road','Bismarck','PA','67228','ccamacho@aulnet',1237180,'642-434-6060',77978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance T. Yates','1989 Fermentum St.','Lewiston','LA','46972',NULL,1237181,'705-661-7932',79778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana U. Simmons','8809 Metus Road','Colorado Springs','VA','32276',NULL,1237182,'974-255-7107',104999,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau E. Callahan','P.O. Box 597, 7242 Tortor, Rd.','Irving','KS','24966','callahan@abc.edu',1237183,'344-218-3720',97046,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis V. Schwartz','2075 Sed, Avenue','Miami','WI','30893','schwartz@email.net',1237184,'499-123-3451',86625,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado V. Gross','Ap #901-1299 Tincidunt Ave','New Kensington','TX','80421',NULL,1237185,'415-714-6370',90034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig O. Clay','567-2489 Odio Rd.','Ardmore','MD','26807','cclay@yohaa.com',1237186,'339-644-2679',19868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette V. Arnold','223-7424 Nunc St.','Rockford','NC','03430','jarnold@abc.edu',1237187,'348-577-1204',99107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rina Y. Holloway','9773 Ac Rd.','Oakland','DC','97378','rina.holloway@emailathome.net',1237188,'712-746-5932',24643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim O. English','3768 Orci, St.','Greensburg','MI','03442','kenglish@bpmpros.com',1237189,'289-151-2348',94372,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana B. Castaneda','174-1480 Enim. Ave','Hoover','AK','56069','illianac@emailathome.net',1237190,'502-792-8520',93390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole R. Stafford','Ap #692-7313 Sagittis St.','Arlington','OR','83130',NULL,1237191,'391-802-5933',61656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacey I. Guerra','4068 Sapien Street','Eden Prairie','OH','78816','guerra@yohaa.com',1237192,'339-358-2394',100169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon F. Schroeder','Ap #726-6635 Dignissim. Road','Sierra Madre','ND','31009','tschroeder@hitmail.com',1237193,'925-255-4137',62585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan K. Collins','Ap #585-4102 Gravida. St.','Del Rio','HI','91122','collins@yohaa.com',1237194,'332-257-3117',40293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth T. Jennings','P.O. Box 974, 6818 Mauris Rd.','San Jose','MT','71062','kennethj@email.net',1237195,'395-527-6839',108146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael G. Peters','P.O. Box 927, 8610 Non, St.','Clemson','VT','46917','lpeters@xyz.edu',1237196,'171-376-7923',94713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm V. Glass','P.O. Box 376, 2668 Turpis. St.','Berkeley','HI','16252','mglass@aulnet',1237197,'261-341-5163',31606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya A. Potts','7285 Fringilla St.','Catskill','VT','92523',NULL,1237198,'249-566-5905',68103,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby X. Dillard','Ap #459-6635 Varius. St.','Poughkeepsie','HI','14216','coby.dillard@aulnet',1237199,'831-989-4559',60295,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth A. Larsen','1444 Nulla Ave','Topeka','NH','37919','kennethl@hitmail.com',1237200,'441-124-0110',73731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles O. Marsh','P.O. Box 278, 8553 At St.','Sherrill','DE','75202',NULL,1237201,'322-662-6857',20979,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phelan R. Robinson','P.O. Box 640, 4539 Arcu. Road','Florence','SC','92868','phelan.robinson@xyz.edu',1237202,'271-493-9555',54729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Austin M. Garrison','P.O. Box 342, 4607 Lorem St.','Hollister','UT','62864','austing@widget.com',1237203,'723-894-1871',56197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle W. Reeves','234-2052 Ipsum. St.','Lexington','MA','25597','danieller@widget.com',1237204,'453-186-8800',82585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oprah D. Dixon','2932 Aliquam St.','Biddeford','KS','88971','oprahd@xyz.edu',1237205,'521-367-5750',75407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Georgia S. Bradford','2134 Quis Av.','San Fernando','WI','05533',NULL,1237206,'421-574-6002',65764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph Q. Sanford','Ap #221-2319 Aliquet St.','Maywood','CA','06411','ralphs@abc.edu',1237207,'945-376-7494',61741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yetta A. Patel','Ap #255-6888 Nullam Rd.','Hartford','IA','43249','yetta.patel@hitmail.com',1237208,'652-606-8726',33454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita R. Benjamin','Ap #937-2970 Vulputate Ave','Hammond','CO','48682','chiquita.benjamin@bpmpros.com',1237209,'822-583-0899',69843,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne U. Mcdonald','647-4243 Consequat Rd.','Citrus Heights','NE','66205','mcdonald@bpmpros.com',1237210,'988-819-3934',95775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fatima L. Hamilton','P.O. Box 992, 6227 Dictum Avenue','Olean','NJ','17374','fatima.hamilton@yohaa.com',1237211,'689-578-3876',95743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe S. Butler','P.O. Box 983, 4785 Lectus Rd.','Garland','WI','51878','butler@aulnet',1237212,'243-833-3007',100856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya T. Hendricks','479-492 Elementum Rd.','Montpelier','MD','36897','tashyah@xyz.edu',1237213,'766-819-6520',67458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fiona L. Reilly','P.O. Box 281, 7046 Molestie St.','Orange','NM','02148','freilly@abc.edu',1237214,'136-702-6113',81203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison G. Gould','Ap #882-2889 Tempus, St.','Utica','AK','67879','ggould@emailathome.net',1237215,'918-144-7563',82023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia K. Patrick','Ap #787-1867 Enim. St.','Gu?nica','NY','74841','patrick@xyz.edu',1237216,'712-629-6744',39220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne Y. Shelton','925-6137 Velit Rd.','Aliso Viejo','ND','32606','ashelton@hitmail.com',1237217,'548-251-8794',66424,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter U. Vaughn','2964 Ipsum Ave','Fort Wayne','CT','18752','hunterv@widget.com',1237218,'913-666-5715',73027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zena C. Knox','P.O. Box 395, 4045 Vulputate Avenue','Saint Joseph','CA','28937','zena.knox@hitmail.com',1237219,'789-692-3688',55515,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity A. Gallegos','P.O. Box 615, 7608 Egestas Av.','Cedar Falls','VA','98917','amity.gallegos@aulnet',1237220,'955-735-3376',109237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence K. Hunt','703-6184 Id, Av.','Moraga','ID','15613','lawrence.hunt@yohaa.com',1237221,'632-686-3216',71953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella P. Gonzales','P.O. Box 173, 5950 Eu Av.','La Puente','PA','95711',NULL,1237222,'425-166-7420',81246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet H. Reilly','7107 Id St.','Valdosta','VT','35745','reilly@xyz.edu',1237223,'317-469-8654',54790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis M. Perkins','P.O. Box 119, 3645 Vestibulum St.','Green Bay','VA','88713',NULL,1237224,'559-876-1450',24726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell N. Madden','P.O. Box 908, 3829 Eu, Street','Dunkirk','VA','88866','caldwellm@email.net',1237225,'681-239-9161',70221,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian R. Cohen','P.O. Box 564, 253 Semper Ave','Cruz Bay','MA','31019',NULL,1237226,'986-666-6066',32478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon T. Potts','810-6655 Sit Avenue','Ogdensburg','IA','70301','deacon.potts@xyz.edu',1237227,'422-307-8635',75567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri V. Chen','Ap #711-8279 Phasellus Avenue','Asheville','MN','71542','yuri.chen@aulnet',1237228,'854-376-5723',55062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKensie B. Valdez','8345 Facilisis, St.','Wynne','MN','59317','valdez@bpmpros.com',1237229,'573-768-1856',50169,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin T. White','Ap #862-1877 Libero Rd.','Rancho Palos Verdes','OR','15565',NULL,1237230,'883-365-0231',24367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik M. Skinner','P.O. Box 145, 3985 Ad Av.','St. Petersburg','VT','65381','tarik.skinner@hitmail.com',1237231,'856-748-0030',43211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola K. Cleveland','8729 Justo. St.','Sonoma','AK','98854','nolac@aulnet',1237232,'483-568-1319',53525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius L. Hardy','Ap #942-7137 Ante, St.','North Tonawanda','SC','85783','hardy@aulnet',1237233,'537-911-4885',39386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian R. Logan','P.O. Box 816, 386 Id Avenue','Plantation','OR','53848','logan@xyz.edu',1237234,'622-159-0694',67532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby V. Zamora','129-4711 Eu, Rd.','Milford','TN','52605','quembyz@yohaa.com',1237235,'544-165-1241',102312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi M. Mcknight','945-1480 Nulla Rd.','Riverton','WI','81533','heidim@aulnet',1237236,'249-793-7688',98320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah U. Woods','833-1997 Suspendisse Rd.','Mentor','PA','79650','delilah.woods@yohaa.com',1237237,'284-433-1258',104635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth V. Newton','Ap #325-2498 Est Rd.','Temple City','AK','87757',NULL,1237238,'407-691-0331',71987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor O. Weeks','863-2786 Pellentesque Rd.','Winston-Salem','CO','19397','weeks@xyz.edu',1237239,'154-462-9529',97754,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi M. Burch','P.O. Box 810, 6948 Sed St.','Hazleton','NY','74294','burch@abc.edu',1237240,'582-645-9079',70307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter L. Villarreal','1424 Orci St.','Brownsville','WA','35762','wynter.villarreal@widget.com',1237241,'392-741-8953',105281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn X. Bentley','5571 Aliquam St.','New York','UT','94677','bentley@bpmpros.com',1237242,'354-583-7478',42907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa R. Galloway','Ap #605-9411 Sem Av.','Revere','ME','29123',NULL,1237243,'802-155-5383',97460,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael E. Carlson','9604 Aliquam Rd.','Frankfort','NE','29761','lael.carlson@email.net',1237244,'774-154-2697',34464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena N. Mcbride','Ap #430-4401 Nonummy St.','Carson','FL','79608','galenam@bpmpros.com',1237245,'469-243-2074',74655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle V. Cummings','280-9393 Elementum Av.','Arcadia','NV','77646','mcummings@email.net',1237246,'345-715-9571',67864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah E. Montgomery','P.O. Box 230, 6452 Leo Av.','Hawaiian Gardens','KY','99567',NULL,1237247,'214-569-2731',42070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin V. Galloway','P.O. Box 813, 8083 Sociis Avenue','Atwater','WA','20819','calving@yohaa.com',1237248,'487-691-0603',47584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna Q. Kemp','257-7768 Nibh Av.','Lewiston','WI','90910','hannak@email.net',1237249,'831-227-7288',96383,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia F. Chapman','7822 Lorem Rd.','Lake Forest','IA','79838','schapman@yohaa.com',1237250,'821-904-9267',109610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya V. Mack','9538 Mauris Road','Overland Park','NC','10438','tashyam@widget.com',1237251,'322-205-1955',104782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Renee Q. Davenport','P.O. Box 659, 8755 Dui, St.','New York','NM','26736','reneed@email.net',1237252,'276-597-6028',19261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda Z. Hammond','Ap #449-7262 Lectus. Rd.','Simi Valley','AL','64780','hammond@abc.edu',1237253,'527-603-1007',26243,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin E. Malone','P.O. Box 707, 5449 Integer Avenue','San Fernando','AK','08072','dustin.malone@emailathome.net',1237254,'853-481-9930',17598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian D. Skinner','741-3525 Cras Road','La Habra Heights','ME','41850','skinner@bpmpros.com',1237255,'923-886-1761',79817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri S. Crosby','9723 Libero St.','Laguna Beach','DC','60785','ycrosby@abc.edu',1237256,'871-873-1517',77596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross U. Howard','2158 Ac Road','Rye','AZ','52438','howard@abc.edu',1237257,'507-185-0723',102286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oprah S. Huff','P.O. Box 245, 7715 Neque. Street','Moraga','DE','10072','huff@abc.edu',1237258,'502-108-0931',83533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo Q. Juarez','698-2193 Donec Avenue','Lima','TN','99419','kibo.juarez@abc.edu',1237259,'583-194-0921',106119,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra R. English','466-6979 Sagittis Ave','Orem','AK','88288','leandra.english@xyz.edu',1237260,'708-291-2843',92306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma U. King','507-5290 Nunc Ave','Saint Cloud','TX','91680','paloma.king@aulnet',1237261,'878-577-7680',59409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve H. Hanson','P.O. Box 434, 6583 Lobortis Av.','Lomita','TN','63765','hanson@abc.edu',1237262,'345-214-6804',66012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Theodore A. Hyde','337-7360 Neque. Av.','Gloucester','NY','45119','theodore.hyde@abc.edu',1237263,'875-221-3340',39259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh U. Jones','6397 A, Avenue','San Juan','CA','45929',NULL,1237264,'532-529-9419',87440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy U. Hanson','571-3284 Cubilia Avenue','Del Rio','KS','48583','jhanson@yohaa.com',1237265,'504-945-3743',30465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon Y. Flowers','Ap #773-5847 Sapien, Ave','Alameda','IL','58297','kenyon.flowers@aulnet',1237266,'881-395-2406',29456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jada I. Wall','P.O. Box 109, 9104 Laoreet Street','Weymouth','PA','03262','wall@abc.edu',1237267,'569-341-5357',88295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra Y. Gomez','P.O. Box 146, 5167 Orci. Street','Lancaster','AK','89483','lisandra.gomez@abc.edu',1237268,'646-105-3569',100754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles R. Morton','Ap #863-2865 Sem Avenue','Simi Valley','VT','92771','charles.morton@abc.edu',1237269,'264-819-9252',86031,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenda Q. Cobb','186-8291 Tellus. Av.','Ventura','WV','88081',NULL,1237270,'853-126-8367',65748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice H. Atkins','5857 Risus. St.','Arvada','IL','16994','atkins@hitmail.com',1237271,'803-988-2808',81176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hollee L. Larson','300-9581 Ipsum. Ave','Orange','DE','42558','hollee.larson@abc.edu',1237272,'553-456-3345',39350,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly Y. Hughes','878-6631 Ac Avenue','Spokane','CA','21263','khughes@widget.com',1237273,'722-375-6300',82480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith Z. Morgan','9722 Orci St.','Benton Harbor','IA','19361','morgan@aulnet',1237274,'588-861-0986',76872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassandra S. Patterson','862-2976 Risus Street','Kingston','RI','00220',NULL,1237275,'692-281-0401',56001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian C. Potts','9920 Dictum. Rd.','Paterson','DE','66216','vivian.potts@aulnet',1237276,'449-408-5165',33074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent I. Nielsen','P.O. Box 673, 7250 Cras Rd.','Lawrenceville','MI','55111','nielsen@aulnet',1237277,'438-777-0766',103061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denise D. Deleon','941-5185 Ornare Avenue','Laguna Woods','NH','09155',NULL,1237278,'376-705-4825',70467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen N. Cochran','Ap #560-3276 Nam Road','Bangor','MI','00400','scochran@aulnet',1237279,'665-932-6460',44175,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('William X. Maxwell','964-1815 A Ave','Ardmore','MS','93693','williamm@abc.edu',1237280,'194-759-6912',57326,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ruby T. Gentry','Ap #643-6651 Etiam Avenue','Auburn Hills','NV','03196',NULL,1237281,'781-885-6442',53409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby W. May','Ap #231-8150 Mauris Avenue','Dunkirk','PA','33336','kmay@aulnet',1237282,'533-324-1088',64116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre X. Bowen','1865 Elit Rd.','Milford','ME','60893','deirdreb@bpmpros.com',1237283,'227-881-1124',42429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay C. Fischer','P.O. Box 805, 3561 Malesuada Rd.','Sierra Madre','NV','98759','gfischer@bpmpros.com',1237284,'643-871-6517',76711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes Y. Castillo','P.O. Box 637, 9888 Vitae Rd.','Corvallis','ME','98487','castillo@xyz.edu',1237285,'246-889-6602',29377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista U. Watts','Ap #345-5590 Nullam St.','Roseville','UT','28017','calistaw@yohaa.com',1237286,'405-642-5301',104501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine C. Heath','7940 Molestie. Road','La Mirada','NY','49531',NULL,1237287,'434-284-6487',108484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton D. Skinner','Ap #328-2186 Gravida. Avenue','Torrington','DE','70310','skinner@yohaa.com',1237288,'952-496-5792',35806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey F. Alford','322-8190 Aenean Av.','Texarkana','MO','60140','stacey.alford@bpmpros.com',1237289,'561-513-8084',94190,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet B. Norman','812-5488 Consectetuer Ave','Muskogee','AK','53214','scarlet.norman@xyz.edu',1237290,'465-926-4392',61346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price I. Perry','370-868 Lectus. Road','Newport News','CA','19763','pricep@bpmpros.com',1237291,'988-443-3797',25473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena P. Benjamin','2077 In Av.','Claremont','IN','95817','sbenjamin@abc.edu',1237292,'884-383-0273',72891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah K. Emerson','237-7153 Eget St.','Delta Junction','AK','34620','iemerson@yohaa.com',1237293,'547-432-6136',53830,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine A. Wilkins','195-3555 Turpis Street','Springdale','IL','39463','wilkins@emailathome.net',1237294,'294-642-0726',99370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra H. Forbes','346-5166 Condimentum. Street','Poughkeepsie','ME','69698',NULL,1237295,'263-367-9079',92846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair S. Mullen','P.O. Box 436, 2327 Magna. Avenue','Gainesville','NC','05665',NULL,1237296,'364-437-6936',19817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn W. Michael','Ap #869-2387 In Street','Montpelier','HI','81997','michael@yohaa.com',1237297,'653-827-2549',60670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea N. Marks','252-4693 Et St.','Winooski','AK','21413',NULL,1237298,'402-965-7810',46375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis V. Webster','423-7055 Nulla Rd.','Rehoboth Beach','MT','58280','webster@emailathome.net',1237299,'794-295-1598',52405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair S. Vazquez','Ap #188-4005 Consectetuer Av.','Tacoma','MN','92351','blairv@aulnet',1237300,'632-425-5296',94632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton G. Lindsey','7357 Ac Rd.','Glendora','MO','32892','ulindsey@bpmpros.com',1237301,'138-292-3348',97398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim N. Shaw','P.O. Box 800, 7904 Luctus. Ave','Littleton','OR','23556','shaw@xyz.edu',1237302,'459-597-7880',36052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve C. Vance','Ap #640-5179 Accumsan Ave','Normal','ME','18931','genevieve.vance@bpmpros.com',1237303,'598-957-4441',44965,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen N. Cunningham','Ap #790-8883 Nunc St.','Davenport','LA','77985','gretchen.cunningham@widget.com',1237304,'927-515-4629',22831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia K. Baxter','7997 Enim Street','Houma','NV','79666',NULL,1237305,'465-967-6181',70293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay M. Hancock','Ap #104-1945 Amet St.','Santa Ana','WA','55424','kayh@bpmpros.com',1237306,'292-657-4140',40955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fleur W. Davis','509-7125 Netus Rd.','Superior','MN','38884','davis@widget.com',1237307,'419-511-1675',91722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai C. Owens','4102 Nisi Avenue','Manitowoc','IN','13187','dowens@aulnet',1237308,'176-508-3694',85920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten J. Cunningham','P.O. Box 498, 112 Aliquet Rd.','Westlake Village','ME','62785','kirsten.cunningham@hitmail.com',1237309,'863-839-3476',19656,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madonna U. Burton','P.O. Box 587, 7879 Nunc Road','Cohoes','WY','31604','madonnab@widget.com',1237310,'481-344-1724',35566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph G. Chandler','P.O. Box 818, 6311 Urna Street','Costa Mesa','KY','32563','chandler@aulnet',1237311,'278-559-8929',89407,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kameko Z. Hensley','211-8621 Eu, Rd.','Gardner','WA','29951','khensley@yohaa.com',1237312,'525-694-1529',62616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine H. Vaughn','548-9076 Eget Road','Mentor','NM','52481','jessamine.vaughn@hitmail.com',1237313,'333-767-3605',30842,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin R. Maldonado','8140 Ut Rd.','Sault Ste. Marie','ID','79464','maldonado@xyz.edu',1237314,'703-937-1139',67312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia D. Allison','Ap #848-1776 Molestie Road','Chickasha','SC','02682','ziaa@yohaa.com',1237315,'247-959-8969',22315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra Q. Thomas','1746 Consectetuer Avenue','Eden Prairie','MI','57458','athomas@xyz.edu',1237316,'726-941-6366',34741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie F. English','P.O. Box 316, 2834 Bibendum Street','Yuma','WY','44602','kelsiee@xyz.edu',1237317,'161-886-7373',82405,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fuller X. Weber','P.O. Box 534, 5020 Nunc Street','Corry','OK','72416',NULL,1237318,'218-379-0657',108125,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Diana R. Boyle','Ap #521-2757 Ac St.','Port Washington','WV','65137','dianab@xyz.edu',1237319,'654-773-9419',28813,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul D. Petty','6146 Imperdiet Av.','Stamford','MA','10807','ppetty@bpmpros.com',1237320,'411-276-5438',54052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine K. Boyd','P.O. Box 205, 8495 Velit Av.','Vernon','WA','35945','boyd@hitmail.com',1237321,'853-374-4400',104371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gray J. Vang','Ap #282-8459 Euismod St.','South Portland','KS','21566','vang@bpmpros.com',1237322,'513-365-5399',97188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker U. Woods','P.O. Box 540, 9147 Duis Avenue','Topeka','OH','04526','tuckerw@abc.edu',1237323,'183-695-8603',17273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery X. Gibbs','Ap #262-2360 Luctus Street','Spokane Valley','ND','39433',NULL,1237324,'169-153-6475',26872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone D. Sykes','P.O. Box 787, 5530 Vel, Street','Raleigh','WV','69398','stone.sykes@widget.com',1237325,'832-892-9436',108170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly C. Caldwell','912-2564 At, St.','Farrell','ND','65624','carlyc@widget.com',1237326,'913-755-6565',16890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo A. Cooper','P.O. Box 263, 3635 Mollis Road','Hackensack','CA','74639',NULL,1237327,'355-378-0326',96741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart W. Davenport','9961 Cursus Road','Rockville','WY','32700','stuartd@yohaa.com',1237328,'264-199-5273',35961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna W. Miller','P.O. Box 843, 3650 Dolor, Rd.','Los Alamitos','OK','65307','amiller@abc.edu',1237329,'108-372-3619',100820,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana D. English','9321 Ipsum Avenue','Houston','AK','54181','tatyanae@xyz.edu',1237330,'622-433-2594',101612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes V. Mccarthy','P.O. Box 725, 4722 Commodo Rd.','Wynne','ND','71136','mmccarthy@xyz.edu',1237331,'318-949-3725',47262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe G. Baldwin','P.O. Box 490, 1023 Vel, Rd.','Chino','CT','89551','cbaldwin@widget.com',1237332,'787-905-8542',40196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa P. Saunders','7795 Quisque Av.','La Mirada','WA','03121','nsaunders@email.net',1237333,'177-246-9464',44929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles N. Vincent','150-5661 Tellus Rd.','Covington','VA','85298','cvincent@emailathome.net',1237334,'411-497-6435',102135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair G. Wiley','6771 Fermentum Avenue','Menomonee Falls','CT','36494','allistair.wiley@xyz.edu',1237335,'924-956-9956',71958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha D. Avery','P.O. Box 290, 2909 Imperdiet St.','Agoura Hills','WI','16643','aretha.avery@yohaa.com',1237336,'248-263-0289',35346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira V. Mckenzie','4855 Sed Rd.','Pawtucket','AZ','06967','mckenzie@hitmail.com',1237337,'622-936-7429',62519,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal L. Short','P.O. Box 584, 7842 Vestibulum Street','Oklahoma City','MS','59356','kshort@email.net',1237338,'324-846-8825',49396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell W. Martin','780-6934 Tincidunt Road','Gainesville','IA','77336','katellm@xyz.edu',1237339,'693-817-7535',58063,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin V. Buck','Ap #194-961 Nisi Ave','Wheeling','TX','12299','kbuck@yohaa.com',1237340,'627-219-0278',97190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec I. Haley','P.O. Box 686, 1759 Et, Rd.','Saratoga Springs','PA','60072','alech@hitmail.com',1237341,'373-999-1192',52856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mara G. Beasley','Ap #314-9222 Nec Road','Port Orford','VT','63323','beasley@widget.com',1237342,'406-779-6787',94459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese G. Wilkerson','180-4636 Vestibulum, St.','Berlin','KS','24388',NULL,1237343,'612-118-7973',75706,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi M. Blair','Ap #868-815 Nunc St.','Cruz Bay','WV','29043','malachib@yohaa.com',1237344,'432-144-0627',70852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph F. Bond','Ap #145-2109 Elit St.','Indio','VA','88917','zephb@bpmpros.com',1237345,'961-493-4464',25411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana S. Donovan','5142 Mi Street','Latrobe','NM','04963','tana.donovan@xyz.edu',1237346,'754-551-5998',55167,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella X. Lester','P.O. Box 324, 3131 Nec Road','Lawrenceville','DC','83688','lester@emailathome.net',1237347,'652-406-8664',73673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis B. Garrison','6054 Lobortis Av.','Fairfield','CO','60458','louis.garrison@aulnet',1237348,'826-682-7223',30095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney Q. Wells','5451 Sed Rd.','New Brunswick','SD','06062','swells@widget.com',1237349,'108-981-5497',39741,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton P. Wyatt','Ap #988-3812 Lorem, Av.','Cambridge','WA','74980','cwyatt@yohaa.com',1237350,'153-261-0516',109714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen G. Guy','6100 Nisl Road','Downey','MA','55532',NULL,1237351,'922-927-2432',57159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney B. Guerrero','161-6491 Purus Road','Santa Barbara','WA','38693','guerrero@bpmpros.com',1237352,'226-248-0743',31721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece Q. Maynard','Ap #474-3557 Justo Avenue','Burlington','MS','42970','reecem@bpmpros.com',1237353,'665-892-9390',30705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila I. Gould','8218 Neque. Avenue','Syracuse','NY','77261','ila.gould@aulnet',1237354,'569-626-0151',19918,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Unity C. Bruce','484-7500 Non Rd.','Hialeah','ME','08485','unityb@email.net',1237355,'746-216-7417',67739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noah P. Wagner','Ap #744-5787 Libero. St.','Chattanooga','DE','58856',NULL,1237356,'332-988-1049',60265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari A. Noble','Ap #981-6493 Lacus. Rd.','Gold Beach','OH','85034','mari.noble@yohaa.com',1237357,'892-234-1122',34240,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda R. Contreras','Ap #699-4769 Ornare, Av.','Grass Valley','NY','33118','contreras@xyz.edu',1237358,'353-144-1873',108081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul E. Mcintyre','9949 Magnis Av.','Opelousas','NH','93266','abdul.mcintyre@widget.com',1237359,'688-504-7082',41147,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau P. Zimmerman','P.O. Box 862, 6827 Fringilla St.','Wilmington','OK','23726','mzimmerman@hitmail.com',1237360,'183-662-0658',84049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden A. Bowen','Ap #764-953 Nullam St.','Roseville','NH','24357','hbowen@widget.com',1237361,'274-257-7288',94986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel O. Randolph','Ap #816-9228 At Av.','Chattanooga','NE','17642',NULL,1237362,'199-274-3311',67736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet K. Berry','9981 Pellentesque Av.','Oklahoma City','NE','63564','vberry@xyz.edu',1237363,'428-638-5569',102230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander C. Bond','P.O. Box 925, 3036 Parturient St.','Yakima','VT','40214','bond@abc.edu',1237364,'878-207-7353',97347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester U. Ewing','6824 Sagittis. Road','Healdsburg','AZ','04968','chestere@emailathome.net',1237365,'191-577-3870',75844,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram Y. Murray','P.O. Box 760, 200 Quis, Av.','Montgomery','NM','62677',NULL,1237366,'646-737-1044',106646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson P. Mathis','Ap #277-884 Lorem Street','Saint Louis','WA','57320','cmathis@widget.com',1237367,'998-635-2713',90492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lester T. Stanton','106-6694 Proin Road','Valdez','GA','18066','stanton@abc.edu',1237368,'497-385-8201',109831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler U. Keith','Ap #579-7975 Aliquet Road','Valdez','NE','72580','ckeith@abc.edu',1237369,'656-943-2381',76635,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine Q. English','820-1247 Dolor. Ave','Yigo','KY','83765',NULL,1237370,'346-803-7560',104001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson P. Dalton','P.O. Box 392, 2551 Justo Rd.','Oxnard','CT','42536','jdalton@email.net',1237371,'393-648-4512',22342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Owen A. Fitzpatrick','Ap #538-103 In Rd.','Shreveport','SD','96138','owen.fitzpatrick@abc.edu',1237372,'775-167-6160',76778,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela S. Fox','Ap #701-1166 Ut Rd.','Gold Beach','DE','93699','fox@email.net',1237373,'838-604-6712',95794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin N. Gutierrez','P.O. Box 988, 2799 Risus. Ave','Whittier','NC','84478',NULL,1237374,'268-196-6002',85532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton P. Lucas','P.O. Box 535, 5993 Imperdiet Avenue','Galesburg','MS','12697','clintonl@yohaa.com',1237375,'176-334-2308',54251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna E. Burris','Ap #370-5935 Sociis Ave','Somersworth','SC','20433',NULL,1237376,'131-206-4406',93069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra G. Lindsey','563-3362 Felis. Rd.','Carson','SD','61181','astral@emailathome.net',1237377,'625-655-8512',17374,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney W. Stone','P.O. Box 451, 831 Adipiscing Road','Laguna Niguel','VA','73534','britanney.stone@abc.edu',1237378,'716-441-0958',69106,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mary P. Ashley','981-3203 Placerat Avenue','Malden','LA','27691','marya@widget.com',1237379,'235-952-2912',100241,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell M. Booth','P.O. Box 213, 151 Pellentesque St.','Livonia','CO','47074','nell.booth@bpmpros.com',1237380,'676-802-7520',61444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez K. Fry','4837 Semper. Road','Long Beach','VA','47841','inezf@emailathome.net',1237381,'549-107-6977',79673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia S. Berger','P.O. Box 278, 6346 Mauris Rd.','Kahului','AZ','97434',NULL,1237382,'386-825-8325',43104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio Z. Fowler','Ap #204-8709 Eros Road','Rancho Cordova','IA','36133','yfowler@bpmpros.com',1237383,'677-854-6885',34181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar M. Berger','470-7415 Non, Road','Citrus Heights','MT','81027','berger@abc.edu',1237384,'251-728-6713',72451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber U. Sullivan','348-3269 Libero Avenue','Salem','OH','26807',NULL,1237385,'925-275-8035',93083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette L. Simpson','P.O. Box 717, 6865 Natoque Ave','Martinsburg','WI','60287','jenettes@aulnet',1237386,'295-111-1950',16444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella V. Mccall','875-1680 Vitae, Road','Liberal','NE','58319','mccall@yohaa.com',1237387,'606-792-7119',24154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim C. Armstrong','9090 Vestibulum. Rd.','Annapolis','GA','73078','narmstrong@xyz.edu',1237388,'809-871-4495',37871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen F. Peters','P.O. Box 352, 9750 Maecenas Road','Scottsbluff','HI','46019','aspenp@hitmail.com',1237389,'188-998-7771',29870,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience K. Patterson','Ap #985-8432 Cras Road','Scottsbluff','IL','46493','patterson@aulnet',1237390,'503-692-4992',79299,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell V. Gonzalez','P.O. Box 330, 4954 Est St.','Shawnee','ID','51298','nellg@aulnet',1237391,'792-305-8063',107414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley Q. Lindsey','719-9482 Lorem Av.','Port Huron','WV','17169','klindsey@xyz.edu',1237392,'567-369-4643',76138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar Q. Mueller','938-856 Dignissim St.','Rialto','NM','54072','bryar.mueller@widget.com',1237393,'242-619-8783',53082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem B. Pearson','Ap #271-5597 Sit Road','Vicksburg','CT','76131',NULL,1237394,'204-455-9648',52589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emmanuel U. Ewing','1888 Curabitur Avenue','Guayama','MO','44512','emmanuele@email.net',1237395,'225-336-6711',83258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul P. Mccray','9388 Mollis Av.','Middlebury','UT','22117','paul.mccray@email.net',1237396,'668-881-3249',98237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl B. Brewer','Ap #538-9877 Integer Av.','Macon','LA','27849','carl.brewer@yohaa.com',1237397,'967-535-3257',54142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra H. Riley','140-7202 Mauris Av.','Wheaton','NE','96513','abrar@aulnet',1237398,'463-421-8552',88835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry E. Benjamin','334-7060 Non Av.','Saratoga Springs','IA','81277','bbenjamin@email.net',1237399,'881-354-5744',48934,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing D. Ramirez','228-6417 Orci Av.','Sandy Springs','MD','77358',NULL,1237400,'626-517-7713',61719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee W. Roach','5947 Eleifend Rd.','Gatlinburg','IA','11378',NULL,1237401,'114-977-6283',109782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacey I. Kelley','P.O. Box 915, 6212 Orci. St.','Nenana','VT','19930',NULL,1237402,'209-313-2998',30991,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon E. Coleman','524-7563 Cras Ave','Michigan City','ME','25145','coleman@abc.edu',1237403,'176-375-5987',94336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade A. Medina','P.O. Box 179, 4838 Vel Av.','North Tonawanda','NV','96321','medina@bpmpros.com',1237404,'567-543-7282',30698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda A. Alvarado','P.O. Box 246, 4312 Sagittis Rd.','Clairton','ID','81077',NULL,1237405,'499-866-3091',43383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott M. Gray','918-9979 Facilisis Road','Lafayette','AK','33414','prescottg@hitmail.com',1237406,'582-882-7471',64890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim V. Dotson','885-9805 Eu Rd.','Riverside','RI','84817','nasimd@hitmail.com',1237407,'332-814-6054',61458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine A. Mccall','4348 Neque Av.','Juneau','CT','80309','emccall@abc.edu',1237408,'892-524-7061',87733,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall F. Moses','1572 Sapien. Avenue','Vacaville','NM','01649','marshall.moses@yohaa.com',1237409,'781-761-7132',101317,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ian A. Schultz','Ap #450-6093 Eleifend Rd.','New Castle','DC','77888','schultz@abc.edu',1237410,'538-319-9896',17110,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris Y. Trujillo','9209 Blandit Ave','Council Bluffs','NY','24572',NULL,1237411,'362-214-0459',47628,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez B. Velazquez','3931 A Street','Woodruff','ND','89262',NULL,1237412,'721-957-0785',84287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan R. Buckner','Ap #700-146 Eu Rd.','Somerville','NM','37717',NULL,1237413,'989-619-6767',56988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane E. Dalton','4221 In Road','Taylorsville','MI','27210','dalton@email.net',1237414,'182-771-7426',18963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina T. Gilliam','5699 Turpis. Av.','Norwalk','IA','18101','wgilliam@abc.edu',1237415,'833-831-0181',91909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Driscoll M. Guerra','752 Sollicitudin Street','Port Orford','OH','33635','guerra@emailathome.net',1237416,'556-639-8239',43139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly L. Russo','7138 Non St.','Houston','CT','82415','russo@yohaa.com',1237417,'889-435-9998',97483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl V. Charles','Ap #897-7956 Purus. Rd.','Plantation','ND','80562',NULL,1237418,'178-958-2831',97481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton T. Bauer','Ap #890-7953 A, St.','Coatesville','PA','40921','denton.bauer@abc.edu',1237419,'684-663-5118',22182,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia Y. Wright','Ap #225-2678 In St.','Douglas','AL','76327','jwright@widget.com',1237420,'348-833-5050',34359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nell H. Stuart','P.O. Box 887, 9177 Turpis Av.','Tulsa','AL','02588','stuart@xyz.edu',1237421,'806-255-0975',101785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant D. Morrison','295-4089 Quis Rd.','New Madrid','CA','14617','grantm@yohaa.com',1237422,'396-102-2563',56111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamalia J. Stout','895-632 Sed Rd.','Stamford','CO','17032','jstout@xyz.edu',1237423,'741-936-9382',103098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John J. Mack','Ap #793-9597 Non, Road','Cincinnati','NC','74592','johnm@email.net',1237424,'525-265-0010',60500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma K. Foreman','3755 A, Av.','Farmington','MS','67265','foreman@emailathome.net',1237425,'715-967-4840',105478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina A. Carr','460-5063 Posuere, St.','Christiansted','DC','60728','karinac@xyz.edu',1237426,'994-718-6851',82889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda R. Cote','Ap #584-4387 Justo. Road','Woonsocket','WA','18678','alfreda.cote@widget.com',1237427,'306-399-9186',105783,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana R. Solis','100-4223 Odio St.','Alhambra','NE','47155','solis@aulnet',1237428,'734-131-3303',58274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah K. Barrera','P.O. Box 742, 9646 Luctus Avenue','Isle of Palms','OK','22470',NULL,1237429,'636-461-4907',46275,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma U. Chapman','P.O. Box 214, 1158 Nunc St.','Eugene','TN','54186','almac@bpmpros.com',1237430,'657-283-4439',61075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison V. Pena','Ap #323-964 Dignissim. Av.','San Luis Obispo','ME','22777',NULL,1237431,'954-511-5930',59088,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas Y. Young','4296 Pulvinar Ave','Murfreesboro','LA','10822','nicholasy@emailathome.net',1237432,'291-886-2373',104218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora A. Randall','P.O. Box 216, 5030 Mauris Rd.','Radford','VT','25046','randall@bpmpros.com',1237433,'869-169-8551',98083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon V. Kemp','2180 Urna. Street','Philadelphia','TX','52194','kemp@widget.com',1237434,'799-475-2812',81618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina V. Robertson','455-1332 Nunc St.','Montebello','HI','06469','robertson@email.net',1237435,'654-343-6289',25177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison V. Burt','Ap #367-9984 Pharetra. Avenue','Woburn','OH','94801',NULL,1237436,'361-924-1778',17139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk D. Ratliff','2862 Vestibulum. Av.','Salem','NH','52911','ratliff@yohaa.com',1237437,'492-528-5119',48528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana F. Oconnor','100 Sit Street','San Rafael','SD','55630','oconnor@abc.edu',1237438,'923-262-3141',77022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite P. Fitzpatrick','258-197 Fusce St.','Manchester','CT','99454','maitef@hitmail.com',1237439,'196-918-0894',105643,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime P. Mccoy','P.O. Box 165, 276 Eget Av.','Los Alamitos','ID','30339',NULL,1237440,'785-871-8988',89925,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan T. Francis','421-7726 Quam Avenue','Minneapolis','MA','68108','roganf@widget.com',1237441,'538-323-0938',103825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb S. Richmond','305-9661 Elit, St.','Schaumburg','NH','05463','crichmond@bpmpros.com',1237442,'672-111-3333',42018,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May F. Dillon','7649 Quisque St.','Bethany','MD','25765',NULL,1237443,'303-661-8718',16228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona J. Craft','Ap #947-6696 Condimentum. Av.','Nome','VT','24759','ionac@xyz.edu',1237444,'516-828-5893',68596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika P. Dejesus','1994 Enim Road','Fort Collins','NH','20393','alikad@aulnet',1237445,'878-829-4112',74591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee Z. Cohen','P.O. Box 243, 6898 Mauris St.','Ogden','CT','70990',NULL,1237446,'384-252-9813',104089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo O. Morris','Ap #903-562 Nec, Av.','Rohnert Park','AZ','16386','emorris@yohaa.com',1237447,'386-669-7217',20069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor Z. Bond','Ap #902-5592 Ante. Ave','Bradbury','RI','83209','eleanorb@aulnet',1237448,'686-962-5323',70473,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory Q. Barry','Ap #310-8519 Suspendisse St.','College Park','CT','90173','gbarry@xyz.edu',1237449,'473-168-0305',79159,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton G. Vang','3069 Parturient Avenue','Billings','MT','76395','evang@xyz.edu',1237450,'413-751-9678',80642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec H. Tyson','P.O. Box 962, 8423 In St.','Chicopee','TX','36103','alec.tyson@hitmail.com',1237451,'509-822-5825',60901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo E. Harrell','731-5007 Amet, Street','Oneida','NC','54081','yeoh@emailathome.net',1237452,'395-804-6352',27423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella P. Sandoval','8527 Et St.','Logan','ID','92377','stellas@emailathome.net',1237453,'886-906-4868',67666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania V. Hogan','Ap #765-1589 Sit Street','Shelton','MT','75367','zephania.hogan@widget.com',1237454,'745-522-4279',29745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu S. Pruitt','Ap #580-4781 Sem St.','Cerritos','IL','86351','hup@email.net',1237455,'629-364-8852',29971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo I. Collins','P.O. Box 203, 1136 Ac Avenue','Mechanicville','NC','92678','collins@abc.edu',1237456,'931-659-9237',23309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma G. Bird','Ap #961-2009 Pellentesque Street','Monterey Park','AK','78860','wbird@xyz.edu',1237457,'539-569-1280',56656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah N. Stephenson','4684 Nulla Avenue','Council Bluffs','KS','94602','delilahs@widget.com',1237458,'688-633-5894',103632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney A. Fry','1014 Arcu. Rd.','San Angelo','TN','01641','britanneyf@xyz.edu',1237459,'212-469-2334',99516,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie I. Guthrie','Ap #187-740 Aliquam Rd.','Des Moines','WY','80282','guthrie@aulnet',1237460,'923-145-4146',58453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan J. Chandler','Ap #998-403 Nunc Rd.','Green River','CA','02592',NULL,1237461,'875-808-8423',70512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine B. Ayers','436-7250 A St.','Berlin','LA','48051',NULL,1237462,'644-528-2261',84922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger I. Hunter','146-6810 Quis Rd.','Richmond','MA','71220',NULL,1237463,'381-925-3436',86746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida M. Quinn','5003 Lectus St.','Perth Amboy','DC','99777','quinn@widget.com',1237464,'901-928-0115',67501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn E. Sharpe','8623 Erat. Av.','Pueblo','CT','88717','lynns@bpmpros.com',1237465,'795-585-5884',94579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair I. Lee','P.O. Box 783, 5177 Interdum St.','Ada','ND','70968','alee@hitmail.com',1237466,'786-572-9675',58211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra H. Villarreal','Ap #286-6038 Metus Rd.','Santa Fe','WI','64545','leandra.villarreal@abc.edu',1237467,'504-281-6626',39468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan S. Clements','P.O. Box 293, 5674 Nullam St.','Norman','MA','32207','aidanc@xyz.edu',1237468,'843-357-4381',108751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara G. Scott','7027 Erat. St.','Broken Arrow','WI','53807','bscott@emailathome.net',1237469,'227-803-1378',98485,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna B. Palmer','3584 Non, Av.','Thiensville','VT','92568',NULL,1237470,'859-662-3535',78740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra O. Flynn','657-5307 Tempor Road','Bakersfield','MO','31534','mflynn@hitmail.com',1237471,'103-853-4147',80868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott J. Gardner','223 Sit Rd.','Atwater','FL','21415','gardner@emailathome.net',1237472,'679-179-4656',22951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odette W. Bryant','P.O. Box 801, 3239 Libero. Av.','Saratoga Springs','OK','89410',NULL,1237473,'836-505-5740',54528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail M. Nieves','227-6541 Ipsum Av.','Mechanicville','VA','62252','nieves@hitmail.com',1237474,'664-599-0045',89884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina F. Meadows','Ap #713-702 Ac, Street','Bay City','SD','76939','whilemina.meadows@widget.com',1237475,'283-856-3553',65767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda I. Underwood','Ap #943-8065 Nec, Rd.','Detroit','NM','45912','aunderwood@yohaa.com',1237476,'853-145-8001',66135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian B. James','658-9083 Iaculis Road','Vancouver','NV','15461',NULL,1237477,'484-236-2811',94160,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy J. Ellison','476-1287 A, Ave','Sister Bay','AZ','57973',NULL,1237478,'435-728-9551',52673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam F. Foreman','Ap #632-3113 Mauris Rd.','Augusta','AL','04661','mariamf@yohaa.com',1237479,'645-989-6085',71624,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva Z. Rice','P.O. Box 855, 6368 Tincidunt St.','Sedalia','MA','43748','hrice@emailathome.net',1237480,'411-955-8345',53266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane Z. Branch','7700 Scelerisque Av.','Vermillion','GA','00494','gbranch@emailathome.net',1237481,'869-701-6061',101642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery L. Obrien','Ap #503-7727 Nulla. St.','Homer','MI','61861','obrien@xyz.edu',1237482,'456-326-8375',47892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel G. Rhodes','Ap #910-4767 Eu Road','Derby','KY','77949','rhodes@abc.edu',1237483,'811-277-4933',44752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar R. Talley','9885 Nullam Rd.','Blythe','NM','82840',NULL,1237484,'645-526-6433',93536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn D. Rodriguez','P.O. Box 369, 4630 Quis, Avenue','Paterson','HI','83365',NULL,1237485,'216-751-2768',31896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra A. Edwards','P.O. Box 973, 9688 Ridiculus St.','Coatesville','IL','48632','abrae@bpmpros.com',1237486,'998-214-8641',56957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady Q. Avila','Ap #504-3443 Eros. Street','Sacramento','MA','67816','avila@email.net',1237487,'548-546-6695',42228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope S. Nicholson','679-9823 Fringilla Ave','Wichita Falls','CA','56623','hnicholson@xyz.edu',1237488,'539-987-4330',107086,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fritz G. Mcgowan','2774 Egestas Street','West Jordan','KS','30205','fmcgowan@emailathome.net',1237489,'877-321-2299',81898,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton U. Glover','603-4280 Eros Ave','North Las Vegas','NE','86516','fglover@hitmail.com',1237490,'822-798-9291',60227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivien E. Bruce','5844 Risus. Rd.','Canandaigua','KY','96255','vbruce@abc.edu',1237491,'817-599-6594',63253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly Q. Hoffman','Ap #837-6505 Quis, Road','Corinth','RI','13810',NULL,1237492,'266-974-4730',42755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn U. Lane','146-3229 Sed Avenue','Cleveland','UT','61775','dlane@abc.edu',1237493,'686-752-7351',21553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee J. Cortez','P.O. Box 588, 6702 Sagittis Ave','Muskegon','NJ','49111','cortez@email.net',1237494,'887-573-1358',82422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara U. Anderson','P.O. Box 189, 9413 Mauris St.','Forest Lake','NY','25675',NULL,1237495,'887-774-1562',95881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea O. Chandler','323-4038 Duis St.','Lander','KY','99625','chandler@aulnet',1237496,'491-277-8419',108936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray V. Flowers','330-6407 Leo. Rd.','Redlands','MO','83083','rflowers@hitmail.com',1237497,'708-109-2760',38629,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina G. Blair','P.O. Box 602, 8320 Ante. Road','Lancaster','SD','35418','blair@aulnet',1237498,'402-201-1093',96189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda C. Horn','133-8919 Purus. Rd.','Isle of Palms','NJ','41176','mhorn@aulnet',1237499,'686-997-1982',23105,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon Y. Moreno','P.O. Box 926, 6087 Ante St.','Hialeah','WV','52794','moreno@widget.com',1237500,'861-456-3544',62131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria P. Rios','Ap #552-5050 A, Road','Midwest City','MA','36798','dariar@email.net',1237501,'583-353-6190',78958,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato E. Lang','6968 Suspendisse Street','Plano','IL','86379',NULL,1237502,'959-798-9242',100891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars Y. Dudley','476-3218 Ut, Rd.','Rancho Cucamonga','DC','42628',NULL,1237503,'908-867-5555',95702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla T. Santiago','Ap #818-7348 Libero. St.','Burlington','HI','30282','xylas@hitmail.com',1237504,'911-919-7763',49630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia F. Trevino','7522 Aliquam Ave','San Jose','NY','77561','cynthia.trevino@xyz.edu',1237505,'699-981-9728',65236,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair X. Lott','6182 Nulla Ave','Wichita Falls','MT','32289',NULL,1237506,'146-205-1942',100546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine U. Lawson','632-9609 Nibh Rd.','Bowling Green','ME','91723','lawson@email.net',1237507,'104-141-2454',54566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred I. Pickett','P.O. Box 851, 8131 Tempor Street','Joliet','MA','83675','pickett@xyz.edu',1237508,'499-593-5428',104137,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador J. Gates','Ap #927-3165 Laoreet, St.','Saint Joseph','PA','18792','sgates@abc.edu',1237509,'477-766-2698',22550,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing A. Nielsen','816-681 Nec St.','Auburn','OK','44063','cnielsen@aulnet',1237510,'766-234-8091',75366,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Taylor S. Trevino','Ap #183-5795 Odio. Rd.','Branson','VT','60904','ttrevino@bpmpros.com',1237511,'978-735-8787',84120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sierra J. Stark','P.O. Box 857, 3573 Vitae Ave','Santa Rosa','WA','85045',NULL,1237512,'151-129-7646',46428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony B. Horne','907-986 Est Street','Little Falls','OR','63249','ehorne@widget.com',1237513,'395-345-3641',40866,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara P. Sears','Ap #384-5915 Id Street','Bethany','GA','91864','tsears@abc.edu',1237514,'214-409-7440',29546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker L. Deleon','P.O. Box 988, 3435 At St.','Peekskill','IA','56347','tuckerd@hitmail.com',1237515,'302-426-7255',87028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Willow X. Mcfarland','714-8925 Erat Av.','Hammond','ND','91847','mcfarland@xyz.edu',1237516,'295-407-7225',66964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ria H. Blair','P.O. Box 669, 5024 Proin Ave','Meridian','KS','96997','rblair@widget.com',1237517,'845-949-4462',84517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyatt H. Roberts','Ap #570-5294 Nunc Av.','Sandy Springs','DE','44240','wroberts@abc.edu',1237518,'348-183-0234',83110,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia L. Murray','Ap #742-2996 Suspendisse Road','Frederick','ID','38482','zelenia.murray@aulnet',1237519,'733-971-0530',95084,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora O. Knowles','P.O. Box 691, 6078 Ac St.','Rancho Santa Margarita','LA','67195','nora.knowles@yohaa.com',1237520,'688-411-3913',61362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox I. Holt','9794 Faucibus. Avenue','Brookfield','VT','60666','kholt@email.net',1237521,'386-845-6867',31521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan O. Vazquez','3852 Sed Rd.','Riverton','WA','01378','kylanv@widget.com',1237522,'435-973-6570',40215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie A. Prince','3557 Mattis. Street','Great Falls','MI','12993',NULL,1237523,'221-965-4617',40352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orli J. Mcdaniel','P.O. Box 127, 263 Nec St.','Hopkinsville','WY','47469','omcdaniel@yohaa.com',1237524,'553-684-6480',28005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing K. Stephens','6950 Pellentesque Rd.','Paramount','TX','27091',NULL,1237525,'747-793-0503',34954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberley H. Clarke','P.O. Box 181, 8284 Commodo St.','Newark','TX','72999','kimberleyc@widget.com',1237526,'191-848-5305',106359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruno E. Vinson','433-2472 Dignissim St.','New York','MN','35508','brunov@widget.com',1237527,'597-698-4369',81370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle R. Leon','5346 Morbi Rd.','Midwest City','IN','93816','noellel@yohaa.com',1237528,'577-326-0859',41176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester G. Lynn','2501 Mauris Street','Brigham City','HI','73562','lynn@aulnet',1237529,'945-692-2249',40124,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dolan E. Hunter','Ap #809-9271 Rutrum, Road','Winooski','NV','72756','dolanh@abc.edu',1237530,'319-264-7540',91318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd B. Valenzuela','P.O. Box 752, 7243 Elit, Road','Webster Groves','MT','08080','todd.valenzuela@hitmail.com',1237531,'747-166-1399',101307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes S. Waters','5068 Aenean Av.','DuBois','AL','97688',NULL,1237532,'497-562-1677',96119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany U. Mooney','Ap #751-3744 Imperdiet St.','Naperville','MO','50848','mooney@email.net',1237533,'436-823-3944',70913,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria L. Davis','P.O. Box 433, 9121 Felis Av.','Wichita Falls','CA','51412','demetria.davis@widget.com',1237534,'351-697-4208',29079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely T. Gay','P.O. Box 230, 4293 Elit. Rd.','Indio','MT','66927','keelyg@aulnet',1237535,'431-691-2887',23814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad G. Mcdonald','2102 Integer Avenue','Laredo','DC','58294','tmcdonald@xyz.edu',1237536,'897-621-6997',30585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad X. Lowe','Ap #206-8501 Nibh. Road','Joliet','CA','23882',NULL,1237537,'177-964-5941',99900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gavin B. Swanson','161 Lorem Road','Stevens Point','MS','92784','gavin.swanson@yohaa.com',1237538,'263-471-1675',32010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe I. Allen','P.O. Box 735, 4890 Montes, Road','Orlando','ND','16208','allen@hitmail.com',1237539,'193-256-6367',105692,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael D. Gomez','863-7175 Turpis. Road','Ponce','NV','26943','igomez@widget.com',1237540,'252-245-3009',46800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla H. Patterson','440-4239 Dictum St.','Truth or Consequences','HI','73900','orlap@xyz.edu',1237541,'943-195-2395',51214,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne S. Lancaster','P.O. Box 886, 2904 Rhoncus. Street','Jeffersonville','ID','48921',NULL,1237542,'922-875-8691',108959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee J. Pace','P.O. Box 586, 4419 Pellentesque St.','Bismarck','MA','64812','sydnee.pace@widget.com',1237543,'844-766-5314',15799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay Z. Mcgowan','833-5083 Ut Street','Kingston','LA','76040','barclay.mcgowan@abc.edu',1237544,'954-797-4630',18583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessamine B. Joyner','P.O. Box 585, 3788 Eros St.','Indianapolis','LA','78444','jessaminej@email.net',1237545,'595-449-1465',28070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria E. Manning','P.O. Box 154, 1347 Mattis St.','El Paso','NJ','93561','amanning@aulnet',1237546,'916-402-8519',18738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott E. Jackson','337-829 Ligula. St.','Modesto','KS','96580','prescottj@yohaa.com',1237547,'153-169-4712',45057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae J. Clayton','Ap #813-6770 Etiam Rd.','Temple City','AZ','39236',NULL,1237548,'817-879-8493',32146,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('April M. Mathews','3492 Aenean Ave','Holyoke','ME','21875','mathews@bpmpros.com',1237549,'708-481-1771',70563,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig X. Andrews','911-4040 Urna St.','Daly City','PA','18640','craig.andrews@xyz.edu',1237550,'516-315-6057',82492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva H. Swanson','P.O. Box 114, 9811 Non Avenue','Ontario','VA','61489','hswanson@email.net',1237551,'221-637-8525',64973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rowan G. Gay','Ap #836-1328 Ut, St.','Provo','TN','74246','rowang@abc.edu',1237552,'726-946-5834',47014,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah W. Acevedo','P.O. Box 660, 5576 In Road','Niagara Falls','MI','27702',NULL,1237553,'148-765-6112',105777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin H. Nicholson','P.O. Box 568, 117 Sed Ave','Easton','DE','52280','justin.nicholson@yohaa.com',1237554,'983-932-7064',30738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phillip D. Moody','425-9716 Luctus Street','Minot','UT','05767','phillip.moody@abc.edu',1237555,'947-931-9626',83022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador W. Bruce','P.O. Box 855, 567 Ante. Ave','Irvine','GA','09815','sbruce@hitmail.com',1237556,'573-511-4513',36939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felicia Y. Bartlett','7272 A, St.','Torrance','TN','27928','fbartlett@email.net',1237557,'909-557-7088',58359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy V. Vasquez','5781 Vel, Street','Henderson','AL','92684','hedy.vasquez@xyz.edu',1237558,'487-377-2239',15338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen V. Richard','Ap #669-7905 Eleifend St.','Wichita Falls','MS','47449',NULL,1237559,'225-602-8890',24246,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo C. Woodard','4765 Ridiculus Ave','Urbana','NC','65090',NULL,1237560,'845-857-3185',106309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly B. Hyde','P.O. Box 890, 4029 Placerat Ave','Saipan','SC','49305',NULL,1237561,'506-342-1094',28742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto C. Wade','P.O. Box 275, 1521 Magna. Road','Citrus Heights','AK','84633','otto.wade@email.net',1237562,'139-546-7878',100542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May B. Gaines','P.O. Box 829, 6507 Mauris Street','Flagstaff','AL','03497',NULL,1237563,'122-161-5063',101719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter V. Dunlap','4684 Aliquet Rd.','Sheboygan','AL','32273','hunterd@bpmpros.com',1237564,'613-426-4315',102074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai H. Collins','Ap #960-6776 A, Rd.','Brookfield','SD','84416','collins@emailathome.net',1237565,'791-304-6390',78353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe P. Mclaughlin','4897 Nullam Av.','Hopkinsville','MD','52240',NULL,1237566,'682-351-3827',58996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie O. Molina','P.O. Box 804, 923 Turpis. Ave','Waterbury','NY','00452','kellie.molina@emailathome.net',1237567,'604-385-5469',41705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonya T. Meyers','639-9964 Ut Street','Jordan Valley','ME','06706','smeyers@bpmpros.com',1237568,'269-763-9585',105921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle G. Hubbard','7559 Metus. St.','Gastonia','IL','77407',NULL,1237569,'188-795-6608',78461,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea F. Perkins','Ap #826-5651 Enim St.','Rancho Santa Margarita','SC','06374','perkins@email.net',1237570,'882-869-5541',39290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly Y. Booth','P.O. Box 759, 199 Sem Av.','San Luis Obispo','NE','38535',NULL,1237571,'919-802-6611',37303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lael M. Hansen','354-2790 Nam Rd.','Memphis','AL','58887','laelh@yohaa.com',1237572,'523-543-2438',24513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme I. Blanchard','1645 Rutrum. Rd.','Villa Park','ID','74410',NULL,1237573,'409-142-3966',32415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne B. Wheeler','P.O. Box 543, 4720 Purus Road','Nashua','KS','50735',NULL,1237574,'245-544-6969',99501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen B. Mcdaniel','P.O. Box 487, 9792 Faucibus. Rd.','Fairfield','WA','20471',NULL,1237575,'216-462-9055',19429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher Y. Livingston','P.O. Box 719, 6803 Aliquet St.','Cerritos','CT','01321','christopherl@yohaa.com',1237576,'703-929-2812',103169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora Z. Reed','3373 At Street','Jackson','VA','01741',NULL,1237577,'885-155-3472',85415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard Y. Harrison','Ap #543-352 Et St.','Yorba Linda','MD','33535',NULL,1237578,'387-272-1264',85379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira M. Ratliff','591-2633 Tincidunt St.','Cairo','AK','46570','iratliff@bpmpros.com',1237579,'115-302-4735',18336,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya U. Bernard','557-9668 Lobortis Av.','Pasco','AZ','05951',NULL,1237580,'532-547-8582',40127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean H. Snow','P.O. Box 795, 7470 Nisl Avenue','Gilbert','IN','39844','dean.snow@yohaa.com',1237581,'796-327-7745',36431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus M. Sexton','8466 Mauris Ave','New Albany','UT','18022',NULL,1237582,'106-486-0087',87801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian I. Chambers','P.O. Box 392, 243 Donec Rd.','South Pasadena','CO','94813','chambers@emailathome.net',1237583,'836-843-3283',41228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raymond B. Booth','308-7109 Velit. Street','Marshall','NV','65860','raymond.booth@emailathome.net',1237584,'684-521-4637',101790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance E. Bonner','P.O. Box 464, 4199 Ut St.','Nashville','NY','18584',NULL,1237585,'455-139-5599',37586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elmo D. Ramirez','569-9972 Id, Av.','Modesto','WA','55373','elmor@xyz.edu',1237586,'868-213-2428',20116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa H. Santiago','992-3978 Amet Rd.','San Angelo','MT','48503','csantiago@yohaa.com',1237587,'877-735-9581',15446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana B. Wiley','715-3558 Molestie Av.','San Juan','ND','11969','alanaw@bpmpros.com',1237588,'563-339-0749',43511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily H. Booth','574-8438 Ligula. St.','Port Huron','GA','89000','emily.booth@abc.edu',1237589,'179-533-8728',63468,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg V. Rice','P.O. Box 409, 9061 Rutrum Av.','Lancaster','UT','09698','orice@abc.edu',1237590,'809-879-2010',92839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt I. Vincent','P.O. Box 248, 5477 Id, Ave','Easton','MO','31941','vincent@hitmail.com',1237591,'641-449-2284',45232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Andrew D. Mcdowell','649-2222 Enim Rd.','Natchez','RI','22564','amcdowell@yohaa.com',1237592,'515-255-5047',40841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo P. Doyle','Ap #887-3692 Faucibus Av.','Connellsville','MS','23655','doyle@abc.edu',1237593,'329-835-9804',104207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem F. Deleon','2714 Sem Rd.','Garland','MT','76258','kdeleon@aulnet',1237594,'614-246-0295',29636,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen Q. Mccoy','334 Nunc. St.','West Bend','KY','63330','smccoy@emailathome.net',1237595,'966-828-2329',59191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima A. Underwood','Ap #331-6026 Malesuada Av.','Plattsburgh','CT','44818','jemima.underwood@xyz.edu',1237596,'358-215-0323',87816,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell G. Frank','657-156 Laoreet St.','Syracuse','UT','92246','katell.frank@abc.edu',1237597,'265-414-5286',78399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Breanna L. Acevedo','Ap #667-5328 Lacinia Street','Vicksburg','ID','11313','acevedo@hitmail.com',1237598,'651-725-0386',73868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nissim H. Figueroa','Ap #515-5996 Felis Street','Hidden Hills','CA','36147','figueroa@abc.edu',1237599,'552-212-8379',84557,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra J. Morris','Ap #202-2249 Libero Avenue','Gulfport','NH','69005','leandra.morris@yohaa.com',1237600,'244-705-8277',77036,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana K. Owens','Ap #400-2769 Nunc Road','Hawaiian Gardens','MI','02462','owens@email.net',1237601,'578-712-3272',64481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem E. Vasquez','Ap #122-9567 Vestibulum Rd.','Flagstaff','LA','87480','kaseemv@abc.edu',1237602,'953-421-1425',79504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur F. Reed','610-3001 Et, Ave','Visalia','NJ','94971','arthur.reed@emailathome.net',1237603,'352-215-6357',87887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage L. Frost','Ap #533-7489 At, St.','Amesbury','AZ','62157','sagef@emailathome.net',1237604,'139-492-5062',54181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany E. Woods','Ap #864-3786 Euismod Street','Enid','KS','31204',NULL,1237605,'462-592-8934',107787,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulla K. Park','Ap #101-9915 Et Ave','Connellsville','TX','14756','ullap@hitmail.com',1237606,'151-413-9148',22716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah B. Fulton','768-7124 Donec St.','Allentown','OR','50675','rajah.fulton@aulnet',1237607,'432-493-8158',42557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea J. Montoya','561-9749 Velit Avenue','Syracuse','IL','93154','altheam@abc.edu',1237608,'839-272-6645',86900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma B. Fulton','902-9096 A Avenue','South El Monte','MD','65669','alma.fulton@email.net',1237609,'724-564-7353',107272,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst S. Sullivan','1684 Interdum St.','Chester','FL','04971','amethyst.sullivan@abc.edu',1237610,'537-501-8562',44428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph R. Soto','Ap #723-9936 Sed Avenue','Rome','MN','62976','soto@hitmail.com',1237611,'948-586-9958',66445,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius W. Bond','Ap #281-8530 Diam Avenue','Billings','VT','39702',NULL,1237612,'778-716-1021',108372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece N. Tucker','345-9341 Eu Avenue','Tucson','MS','36876','rtucker@emailathome.net',1237613,'678-447-0632',82518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona S. Griffin','P.O. Box 439, 2716 Dui, Street','Muncie','NC','19446','kionag@hitmail.com',1237614,'323-991-3474',27815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian V. Oneil','Ap #116-3323 Cum St.','Rock Springs','MD','07817','oneil@bpmpros.com',1237615,'464-686-6879',46596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine M. Gregory','348-1110 Magna St.','Spokane Valley','IA','60978',NULL,1237616,'896-259-8454',46307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden R. Gonzalez','P.O. Box 427, 7656 Id Ave','Kearney','NY','92963','eden.gonzalez@xyz.edu',1237617,'832-727-8866',42952,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana Q. Ayers','355-995 Montes, Road','Iowa City','NY','27120',NULL,1237618,'183-924-5414',43889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana P. Austin','P.O. Box 584, 4337 Non, St.','Long Beach','SD','43770',NULL,1237619,'991-984-9085',61850,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia U. Vang','816-9928 Eget, Avenue','New Kensington','KY','19063','zia.vang@email.net',1237620,'834-735-7196',34353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon S. Cole','616-566 Risus. St.','Thibodaux','LA','74683','rhiannonc@abc.edu',1237621,'747-582-2260',54003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten P. Pennington','234-177 Metus. Avenue','Santa Clarita','OK','00285','kirsten.pennington@aulnet',1237622,'869-517-0073',39245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda R. Goodman','380-9712 Mauris. St.','Mount Pleasant','MN','10021',NULL,1237623,'307-276-6836',102423,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay E. Workman','4549 Ac Road','Independence','CT','72314',NULL,1237624,'427-547-2658',40728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop Y. Casey','5117 Mus. Street','Rancho Cucamonga','IN','64901','hcasey@abc.edu',1237625,'243-685-2390',68151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucius K. Mack','Ap #846-3041 Risus Avenue','Santa Barbara','RI','01776','lmack@hitmail.com',1237626,'788-821-4056',56403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance Z. Petersen','155-2491 Dictum Street','West Warwick','VT','63374','lancep@email.net',1237627,'142-729-5509',73495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah B. Michael','P.O. Box 416, 6255 A, Road','Kenosha','MA','34197','lmichael@bpmpros.com',1237628,'563-514-2427',104941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eliana O. Norris','Ap #152-6498 Pede Street','Oneonta','MD','81515','enorris@emailathome.net',1237629,'703-275-6988',45944,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista H. Mills','3308 Diam Street','Nashua','MI','17526','cmills@abc.edu',1237630,'677-248-4669',45041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keaton F. Sloan','1336 Turpis Avenue','Jordan Valley','DE','74195','ksloan@abc.edu',1237631,'957-515-3391',92301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin U. Reeves','Ap #164-1456 Nam Street','Northampton','VA','02886','kevinr@hitmail.com',1237632,'982-938-4437',94986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine R. Vance','721-9608 Tellus Ave','Bloomington','PA','63875','evance@xyz.edu',1237633,'652-634-5620',29503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn Z. Santos','Ap #758-4167 Amet Ave','Boulder City','MA','14988','lynn.santos@aulnet',1237634,'754-416-0496',27749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dahlia H. Nguyen','770-2257 Quam. Rd.','Virginia Beach','MS','90204','dnguyen@bpmpros.com',1237635,'293-957-3633',28839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve H. Zimmerman','Ap #444-1567 Sed Rd.','South Gate','CT','69859',NULL,1237636,'155-257-0044',87264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina X. Rodriguez','P.O. Box 678, 4560 Nunc Av.','Riverton','AK','19379','rrodriguez@hitmail.com',1237637,'229-384-4415',61715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha G. Vance','P.O. Box 591, 4935 Tempor Ave','Grand Forks','FL','25635','mvance@bpmpros.com',1237638,'115-334-4289',78220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan E. Hickman','193-494 Viverra. Road','Minnetonka','NC','84000','aidan.hickman@hitmail.com',1237639,'745-859-0935',35284,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig W. Jenkins','P.O. Box 911, 2373 Egestas Avenue','Kemmerer','AL','67942','cjenkins@xyz.edu',1237640,'953-698-4575',60611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne S. Berger','Ap #639-4387 Ullamcorper Rd.','Needham','MO','59017','bberger@email.net',1237641,'969-923-5100',81727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece E. Leon','2949 Mi, Rd.','Cape May','MI','03218','rleon@widget.com',1237642,'211-917-8191',81181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara S. Contreras','975-9161 Tellus Avenue','South Burlington','TX','20534','contreras@aulnet',1237643,'844-964-8817',104065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Q. Stone','931-715 Dictum St.','Natchez','VT','71402','amenas@widget.com',1237644,'937-782-7555',47111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miriam H. Espinoza','8578 At St.','Decatur','IL','86234','miriame@widget.com',1237645,'575-778-4575',35401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel T. Byers','P.O. Box 866, 5325 Ligula Av.','Cody','PA','01688','byers@aulnet',1237646,'923-497-1755',36785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn L. Chase','P.O. Box 211, 1085 Egestas Street','Douglas','WI','70871','evelync@yohaa.com',1237647,'561-583-8809',70872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani V. Mccarty','499-527 Accumsan Ave','La Verne','NV','57127','lmccarty@xyz.edu',1237648,'909-579-9528',57737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra A. Saunders','7387 Sagittis Road','Champaign','CO','57322','dsaunders@yohaa.com',1237649,'146-836-8838',87501,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara P. Best','444-1706 Lacinia Street','Santa Barbara','ID','30198',NULL,1237650,'522-667-4923',91803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel O. Calhoun','P.O. Box 858, 5306 Ac St.','Miami Beach','HI','45386','lcalhoun@hitmail.com',1237651,'575-996-5629',72004,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Len K. Frederick','6923 Tempor Rd.','Oak Ridge','CT','67802',NULL,1237652,'531-288-6772',43756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva H. Knight','Ap #456-2937 Sit St.','Barre','ME','55822',NULL,1237653,'725-265-3439',39393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beatrice O. Byers','4737 Mauris. Rd.','Radford','MN','52927','beatriceb@hitmail.com',1237654,'519-783-2087',48515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Georgia G. Brady','249-6727 Amet St.','Ardmore','AK','40702',NULL,1237655,'729-339-0212',39953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica Q. Black','207 Urna St.','Greenville','IN','32106','black@abc.edu',1237656,'287-469-4833',104044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara G. Love','481-131 Fermentum Rd.','Laguna Woods','IA','51883',NULL,1237657,'191-278-5479',44078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Berk G. Graham','508-5044 Et Avenue','Salisbury','UT','15077','berk.graham@xyz.edu',1237658,'961-952-1397',91053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price C. Phillips','556-9818 Magna, St.','Shamokin','WI','89805','pricep@bpmpros.com',1237659,'972-843-8049',54567,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle F. Parks','200-5144 Ut, Road','Paducah','NM','59149','joellep@yohaa.com',1237660,'945-926-7696',80365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme C. Mcmahon','286-7424 Vel, Street','Northampton','KS','97857','jaymem@aulnet',1237661,'997-932-8676',40415,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quail Y. Dodson','P.O. Box 270, 1711 Curae; Av.','Hermitage','MD','71368','quail.dodson@hitmail.com',1237662,'216-113-9438',23897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava J. Herman','266-5119 Diam Rd.','Hayward','ME','75747','chavah@bpmpros.com',1237663,'216-333-3443',100756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha Z. Cline','134-2566 Enim Rd.','Palm Springs','HI','54839','tcline@abc.edu',1237664,'687-794-0354',83244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony Q. Rosa','Ap #136-5721 Eu, Avenue','Williamsport','AK','35789','rosa@emailathome.net',1237665,'529-117-8108',54492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline D. Espinoza','6381 Parturient St.','Astoria','LA','37490','madaline.espinoza@abc.edu',1237666,'969-922-9337',28897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob A. Rivas','102-847 Duis Road','Glens Falls','PA','13941','rivas@bpmpros.com',1237667,'442-412-3333',80736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve V. Brock','326 Enim. Av.','Ephraim','CO','47089','brock@yohaa.com',1237668,'484-628-7609',17039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter K. Farmer','Ap #950-1431 Non, Avenue','Hoover','SC','91039',NULL,1237669,'118-503-1218',96007,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor W. Roman','724-591 Et, St.','Santa Barbara','NY','43835','croman@yohaa.com',1237670,'865-984-4865',26361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel Z. Humphrey','5375 Nonummy Street','Gainesville','CT','98512','rhumphrey@widget.com',1237671,'906-483-9812',46483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry X. Vance','263-6410 Ligula. Ave','Newburgh','AK','13302','barryv@abc.edu',1237672,'826-722-1140',107239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle H. Griffith','P.O. Box 997, 9743 Et Street','Muncie','FL','27131','nelleg@widget.com',1237673,'544-461-0912',20267,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan A. Griffith','252-239 Ligula. Ave','Melrose','DC','35353','griffith@email.net',1237674,'596-931-3004',16859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chastity B. Patton','P.O. Box 328, 8099 Erat St.','Jersey City','MA','58194','chastityp@hitmail.com',1237675,'548-944-9833',99241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham X. Randolph','4290 Sed Rd.','Martinsburg','CA','51146','grandolph@hitmail.com',1237676,'966-402-1055',20661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage J. Swanson','P.O. Box 216, 8016 Fermentum Street','Morrison','CO','19470','gages@xyz.edu',1237677,'617-683-0841',106013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvonne A. Pearson','589-8520 Aenean Rd.','Malden','ND','78297','yvonne.pearson@aulnet',1237678,'767-485-9679',68793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon N. Carlson','Ap #600-4654 Mollis. Av.','Waltham','CO','79558',NULL,1237679,'856-524-8088',88980,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya I. Roberts','1497 Consectetuer Avenue','Salt Lake City','MD','37585',NULL,1237680,'532-416-9683',67894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen J. Conway','P.O. Box 190, 7624 Eget Av.','Benton Harbor','WI','35173','yen.conway@yohaa.com',1237681,'659-291-5174',90998,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia J. Santos','Ap #432-8699 Duis St.','Temple City','MN','45881',NULL,1237682,'955-605-7052',24621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma X. Reilly','638-5962 Fusce Rd.','Wynne','WI','40886',NULL,1237683,'667-623-1379',46352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane L. Daniels','713-5631 Nunc Avenue','Moultrie','IN','26467','daniels@widget.com',1237684,'353-921-5537',94310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly E. Neal','Ap #237-8667 Auctor Av.','Villa Park','TN','15031',NULL,1237685,'508-862-7823',51143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra F. Bell','257-6078 Tincidunt Ave','Williston','KS','18424','lysandra.bell@emailathome.net',1237686,'566-165-9377',32484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra O. Bartlett','3681 Cum St.','Sedalia','DC','18800','abartlett@hitmail.com',1237687,'843-399-9064',108004,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne R. Crane','Ap #729-8799 Sapien. Street','Sioux City','MS','67076','wayne.crane@aulnet',1237688,'987-729-0299',46586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie I. Hendricks','6512 Id, Rd.','Spokane Valley','OR','58924','hendricks@hitmail.com',1237689,'733-431-0030',26155,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois B. Webb','324-388 Cras Rd.','Birmingham','ID','90658','webb@hitmail.com',1237690,'673-415-7468',62184,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir P. Stevenson','Ap #538-3506 Libero. Av.','Charlottesville','OR','90190',NULL,1237691,'859-533-9476',94259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley I. Lindsay','8882 Libero Road','Dover','NM','71900','hedleyl@hitmail.com',1237692,'121-106-0592',62250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances E. Ayers','Ap #543-7625 Nulla Road','Carbondale','MI','00981',NULL,1237693,'983-903-0180',87310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah G. Donovan','366-6987 Sapien. Street','Clairton','SC','21621','donovan@bpmpros.com',1237694,'613-605-4074',40567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru A. Keith','673-186 Mi Ave','Rancho Santa Margarita','WA','71292','nehru.keith@xyz.edu',1237695,'924-536-1315',61278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victoria T. Benson','1441 Id Rd.','Fallon','AK','87074',NULL,1237696,'294-486-8394',60785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison B. Mckinney','P.O. Box 665, 1809 Aliquam Rd.','Palo Alto','MA','40237',NULL,1237697,'302-496-8726',32228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine R. Burks','Ap #517-2689 Dictum Ave','South Portland','CA','57498','clementineb@aulnet',1237698,'736-138-4242',22981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison G. Walls','4289 Tellus St.','Salem','NC','59404','madisonw@bpmpros.com',1237699,'255-128-6214',83111,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley Z. Summers','7463 Orci. Rd.','Gloversville','WY','73688','hsummers@hitmail.com',1237700,'628-254-6563',33293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet R. Kirk','Ap #686-3820 Bibendum Avenue','Basin','NH','57131','violetk@xyz.edu',1237701,'819-548-5911',61217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon R. Marshall','500-9647 Libero St.','Titusville','CA','64322',NULL,1237702,'564-373-7113',28341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald Q. Knowles','962-1487 Est, St.','Oak Ridge','MD','44419','knowles@aulnet',1237703,'842-405-6784',109383,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael D. Rowland','4713 Amet Street','Henderson','AK','78623','rowland@abc.edu',1237704,'175-959-1996',76491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama C. Kirk','9082 Aliquet Rd.','Saint Cloud','HI','57614','kirk@widget.com',1237705,'577-885-3702',102893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan P. Downs','P.O. Box 799, 8058 Lorem, St.','Milford','ND','93541','aland@xyz.edu',1237706,'366-733-5178',107583,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona X. Cantrell','541-4273 Eleifend Road','Missoula','IL','99483','rcantrell@xyz.edu',1237707,'134-399-0325',64005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena M. Hunter','669-9920 Mauris Rd.','Sunnyvale','CT','36535','adenah@widget.com',1237708,'119-253-4534',95897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie J. Barrera','4208 In Rd.','Bozeman','ID','11555','barrera@emailathome.net',1237709,'219-721-6369',85690,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn F. Dunn','P.O. Box 445, 4601 Gravida Av.','Redlands','ID','49960','dunn@email.net',1237710,'516-636-3569',96855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia P. Stark','4944 Ipsum St.','Winooski','AZ','71366','stark@xyz.edu',1237711,'352-304-9675',102471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dennis W. Cline','Ap #753-9610 Dolor Rd.','Spartanburg','NE','53234','dennisc@aulnet',1237712,'691-853-1560',31108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah C. Mcdonald','7626 Pede. Ave','Edmond','NC','50635','hmcdonald@xyz.edu',1237713,'969-419-4947',22017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela D. Hayes','Ap #382-4277 Fermentum Av.','Lockport','IL','96946','ahayes@xyz.edu',1237714,'673-633-0515',66215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin P. Frank','9271 Orci, Ave','Lawrenceville','MS','94074',NULL,1237715,'778-536-7009',27966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo S. Bruce','P.O. Box 767, 4667 Lorem Ave','Port Washington','MO','96191','leob@widget.com',1237716,'275-944-4801',103172,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda B. Bray','7615 Libero. St.','Westlake Village','RI','49879','bray@bpmpros.com',1237717,'489-607-1014',56762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery P. Lancaster','Ap #135-1953 Aliquet Rd.','Thousand Oaks','SD','54204','alancaster@hitmail.com',1237718,'174-554-1602',76202,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius C. Palmer','Ap #338-7747 Libero St.','Gulfport','IA','19163',NULL,1237719,'478-552-0161',87416,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad K. Gilbert','291-2613 Nunc St.','Chico','MS','79788',NULL,1237720,'853-331-7827',16138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia U. Velazquez','P.O. Box 521, 3088 Luctus. Street','Owensboro','ND','15395','velazquez@widget.com',1237721,'285-147-2770',75457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison Q. Sosa','479-608 Tincidunt Av.','Narragansett','VT','59174','asosa@abc.edu',1237722,'561-655-6929',79104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xena I. Williamson','8574 Imperdiet Av.','Newburyport','ME','91027','xenaw@bpmpros.com',1237723,'935-482-4460',19693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani Z. Delacruz','5632 Lorem St.','Cody','RI','49308','ldelacruz@abc.edu',1237724,'512-305-7438',106718,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall Z. Kirkland','P.O. Box 814, 3316 Eu St.','Idaho Falls','OR','54693','kirkland@yohaa.com',1237725,'992-404-6183',73886,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher P. Crosby','Ap #832-7953 Euismod Ave','Rome','NM','30784','crosby@bpmpros.com',1237726,'477-479-7824',109019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora P. Rosales','P.O. Box 334, 7242 Egestas. St.','Riverton','AK','66606','aurorar@xyz.edu',1237727,'581-867-1369',36908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy F. Harvey','2344 Lobortis St.','Coos Bay','AK','75422','harvey@aulnet',1237728,'193-742-7274',61535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl L. Burris','6155 Fringilla Avenue','Washington','AZ','24612',NULL,1237729,'255-565-7398',23207,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy O. Morrison','Ap #297-2059 Sed Av.','Pasco','AK','12737',NULL,1237730,'559-605-1708',22894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria E. Petersen','Ap #146-1817 Molestie Road','Johnson City','IL','31744','adriap@bpmpros.com',1237731,'572-931-6367',26401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martina F. Merritt','952-7123 Nec Road','Brockton','WY','22664','mmerritt@aulnet',1237732,'408-981-9115',67119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora R. Gates','603 Malesuada Avenue','Flagstaff','ID','39882','gates@emailathome.net',1237733,'258-699-4884',91399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xantha J. Mcdonald','Ap #265-7266 Nisi. Street','Ocean City','AZ','37967','xantham@hitmail.com',1237734,'851-919-5080',105571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya T. James','P.O. Box 224, 4006 Eu St.','Seal Beach','KS','38466',NULL,1237735,'434-285-1937',21008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton A. Richardson','5180 Libero Street','Fond du Lac','VT','79813','richardson@email.net',1237736,'761-494-8222',52799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah E. Munoz','3388 Volutpat Avenue','Salem','DC','40917','deborahm@bpmpros.com',1237737,'999-365-3056',95657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora D. Vaughn','2785 Odio. St.','Lawrenceville','ND','43978','nora.vaughn@hitmail.com',1237738,'969-669-5861',31852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle V. Mercado','6341 Sit Road','Kennewick','WV','40925','mechellem@emailathome.net',1237739,'313-119-0750',47689,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India L. Meyers','P.O. Box 508, 7900 Non Street','Hot Springs','HI','18559','imeyers@aulnet',1237740,'584-707-8169',102145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton G. Vaughn','Ap #323-8279 Quis, Rd.','Saginaw','OH','90008',NULL,1237741,'667-152-8596',82262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin Q. Mccall','4073 Tellus Rd.','Aurora','NJ','33452','kirestinm@xyz.edu',1237742,'554-411-1253',17464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne R. Dotson','522-5674 Non Av.','Saint Albans','LA','96639','bdotson@hitmail.com',1237743,'283-746-0562',87334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton U. Mcbride','277-6317 Morbi Av.','Richmond','NC','01397','cmcbride@email.net',1237744,'127-219-9550',25949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor W. Dejesus','Ap #811-6395 Vel Av.','Cedar City','WY','64466','connord@widget.com',1237745,'764-892-0009',76413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie T. Walsh','Ap #388-9789 Mi St.','Fort Collins','CO','08373','walsh@xyz.edu',1237746,'749-503-3043',24836,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe T. Espinoza','Ap #167-3852 Augue St.','Chandler','MD','59868','kespinoza@abc.edu',1237747,'332-972-5848',99068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek Z. Chapman','Ap #649-6501 Phasellus Road','East Hartford','ND','03853',NULL,1237748,'712-954-9354',34898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla C. Garner','P.O. Box 355, 9306 In, Rd.','Seal Beach','VT','56469','xgarner@yohaa.com',1237749,'324-145-0990',46903,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James O. Lott','Ap #367-3705 Varius Av.','Powell','NH','48604','jamesl@emailathome.net',1237750,'175-498-4435',52491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor S. Mcintosh','262-221 Sed St.','Vacaville','MS','06155','eleanor.mcintosh@emailathome.net',1237751,'851-835-2227',77898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon B. Gay','6585 Nunc Avenue','Bell','AK','93463','macong@yohaa.com',1237752,'279-755-6471',88563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aphrodite O. Hogan','7799 In St.','West Jordan','SD','86496','ahogan@abc.edu',1237753,'743-251-0265',102182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beck B. Gill','Ap #482-1281 Volutpat Road','Meriden','IA','14100','beckg@widget.com',1237754,'697-349-4995',35679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten D. Beach','P.O. Box 566, 7921 Mus. Road','Port Jervis','WV','28732','kirstenb@email.net',1237755,'944-541-7892',92075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis A. Riggs','P.O. Box 205, 2225 Dui. Av.','Haverhill','NY','59387','travis.riggs@xyz.edu',1237756,'229-164-4042',97282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley R. Luna','Ap #778-1501 Mauris Street','Sugar Land','UT','53302','haleyl@bpmpros.com',1237757,'799-819-8733',93707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla S. Moody','454-5074 Cursus St.','Benton Harbor','DE','00153','omoody@aulnet',1237758,'566-256-0668',60044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda H. Donaldson','7889 Parturient Av.','Baytown','LA','43233','wanda.donaldson@emailathome.net',1237759,'258-615-2308',51721,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero H. Humphrey','Ap #528-947 Odio. Road','Indio','MS','80023','humphrey@email.net',1237760,'367-526-0402',85593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett D. Bray','966-9620 Tristique Rd.','Waukegan','MI','99879','barrett.bray@email.net',1237761,'804-271-6066',54623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pearl E. Valdez','663-5717 Aliquam St.','Placentia','NJ','05094','valdez@xyz.edu',1237762,'865-778-8484',62458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane X. Campbell','P.O. Box 241, 718 Adipiscing St.','Hanahan','RI','31747',NULL,1237763,'733-607-2751',41143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona U. Morin','Ap #379-8338 Auctor, Av.','Ruston','MN','25266','morin@abc.edu',1237764,'904-636-2435',34343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy M. Olsen','352-1173 Aliquam Street','Watervliet','NJ','08833',NULL,1237765,'191-995-6318',84905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson Y. Hall','658-3946 Ridiculus St.','Oxford','VT','44352','jamesonh@abc.edu',1237766,'286-377-2718',21568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon U. Palmer','Ap #137-1474 Morbi St.','Chickasha','NC','50404','deacon.palmer@yohaa.com',1237767,'867-944-1204',109620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler B. Donaldson','1488 Sed Avenue','Ann Arbor','NM','78664','chandler.donaldson@yohaa.com',1237768,'705-281-9852',109480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon K. Gallagher','Ap #849-9324 Lorem Rd.','Morrison','OH','32700','gallagher@email.net',1237769,'575-279-3602',54676,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit K. Lucas','904 Enim, Av.','Hartford','MN','06369','kermit.lucas@hitmail.com',1237770,'641-787-2051',56120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden S. Craft','P.O. Box 954, 722 Nullam Ave','Brunswick','PA','20726','bcraft@bpmpros.com',1237771,'296-836-5237',43606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney T. Wall','586-8927 Adipiscing St.','Pasco','MO','20241',NULL,1237772,'178-364-0905',30863,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson M. Franks','P.O. Box 411, 3923 Et, Street','North Adams','VT','32163','jfranks@aulnet',1237773,'405-573-7477',47647,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sharon N. Goodman','6574 Feugiat Rd.','Turlock','FL','88512','sharong@email.net',1237774,'829-269-6179',102957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey S. Patrick','P.O. Box 120, 8699 Amet, Rd.','Quincy','AL','15904','caseyp@yohaa.com',1237775,'517-346-4050',40352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erin F. Zamora','9856 Sodales Ave','El Segundo','WI','70631','erin.zamora@abc.edu',1237776,'222-674-2078',62179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson O. Gross','Ap #359-1541 Vivamus Ave','Eden Prairie','GA','11681','samson.gross@bpmpros.com',1237777,'324-545-0283',44658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy V. Cleveland','581-2279 Ut Rd.','Union City','SD','04616','cleveland@email.net',1237778,'408-722-1762',16878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely I. Mckinney','P.O. Box 621, 3377 Rhoncus Av.','Littleton','CO','99594',NULL,1237779,'311-628-2594',41320,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeline H. Pearson','Ap #363-1089 Eros Street','Rutland','UT','99698','mpearson@yohaa.com',1237780,'383-504-1214',86703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara A. Villarreal','940-9592 Lorem Rd.','West Memphis','HI','04904',NULL,1237781,'704-987-4906',30660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius X. Burt','1912 Neque St.','Perth Amboy','IN','23794','darius.burt@xyz.edu',1237782,'295-765-0547',22426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fredericka T. Rios','4213 Nec St.','Irwindale','VA','66728','fredericka.rios@emailathome.net',1237783,'198-518-0845',98786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena P. Wiggins','873-7962 Feugiat Street','Hopkinsville','OK','65422','wiggins@hitmail.com',1237784,'241-249-6677',58227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cruz I. Erickson','4009 Sapien Street','Marshfield','KS','79555','erickson@widget.com',1237785,'298-403-4274',108297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamish S. Clarke','1776 Eu Road','Overland Park','GA','74301','hclarke@hitmail.com',1237786,'367-876-7070',64434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Y. Rogers','P.O. Box 754, 9971 Quisque St.','Littleton','OH','92267','rogers@xyz.edu',1237787,'679-836-7024',28712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec R. Jensen','Ap #187-4336 Fusce Street','Peoria','TN','55348','alec.jensen@emailathome.net',1237788,'606-285-0107',36132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger J. Coleman','P.O. Box 505, 9273 Ornare Rd.','New York','NE','37583','coleman@widget.com',1237789,'833-548-6236',49923,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia P. Hahn','1650 Tortor, Rd.','DeKalb','WY','61595','ignacia.hahn@aulnet',1237790,'344-637-9717',54727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton B. Blake','400-2804 Velit Rd.','Yigo','IN','20381','hamiltonb@widget.com',1237791,'887-222-8587',47835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amir T. Jacobson','1772 Nunc Rd.','Attleboro','ID','27740',NULL,1237792,'889-978-6808',80728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie K. Perkins','7048 Lacus. Ave','Compton','MA','47870',NULL,1237793,'655-733-6204',107501,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven U. Kline','Ap #984-469 Tempor St.','Fallon','UT','22870','stevenk@hitmail.com',1237794,'751-405-0487',80301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robin R. Dyer','326-8689 A Ave','Woodruff','HI','16739',NULL,1237795,'619-379-6847',35824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor X. Levine','Ap #804-5668 Donec Av.','Areceibo','AK','23239','levine@widget.com',1237796,'178-698-9675',60814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique S. Gamble','Ap #690-6550 Malesuada. Av.','Clarksburg','MI','46279',NULL,1237797,'519-588-1861',60960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivana Z. Odonnell','Ap #348-8658 Ac St.','Escondido','WA','37683','odonnell@widget.com',1237798,'854-463-9511',52608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan W. David','9767 Lobortis. Avenue','Urbana','MT','71225','rdavid@hitmail.com',1237799,'184-479-7160',25541,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny G. Dale','584-2959 Sed St.','Half Moon Bay','ME','85067','dale@email.net',1237800,'493-486-7665',88449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fredericka W. Mcdowell','P.O. Box 327, 8409 Ut Av.','Missoula','SC','13209',NULL,1237801,'376-668-9557',25697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine X. Fischer','1055 Lorem, Av.','Peabody','VT','41633','fischer@email.net',1237802,'164-982-5484',60009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison G. Wilkerson','Ap #405-6511 Interdum. St.','Huntsville','CO','90642',NULL,1237803,'385-349-2308',91063,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker H. Frederick','Ap #739-4336 Quis Street','Ashland','AZ','18519','frederick@yohaa.com',1237804,'262-447-7960',35649,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle A. Wagner','895-5319 Venenatis Street','Santa Barbara','NJ','60288',NULL,1237805,'897-959-4061',102977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale D. Dunn','P.O. Box 615, 4406 Dolor, St.','Kingston','MN','09069','dunn@yohaa.com',1237806,'458-246-1045',21117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey Z. Rosales','P.O. Box 327, 2508 Pede, St.','Fitchburg','TN','26035','arosales@yohaa.com',1237807,'105-553-6088',19335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon C. Hunter','P.O. Box 748, 3127 Leo. Street','Dixon','WI','72208','ghunter@email.net',1237808,'344-449-8925',109620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca B. Herring','P.O. Box 871, 1387 Orci, Av.','East Rutherford','NH','59032','bianca.herring@aulnet',1237809,'341-685-9348',42559,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda H. Hatfield','302-6930 Lorem Av.','Lander','CA','62222','mirandah@aulnet',1237810,'355-595-1800',28675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome L. Vaughn','Ap #941-1424 Enim. Street','Austin','DC','26298','jvaughn@bpmpros.com',1237811,'512-766-2613',63848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn R. Hogan','P.O. Box 820, 6754 Dis Road','Saukville','OR','86312','carynh@widget.com',1237812,'602-213-8890',62818,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair A. Hinton','Ap #865-2142 Pede, Av.','Roswell','NC','36423','hinton@abc.edu',1237813,'846-547-5604',57951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette Y. Klein','2328 Id, Avenue','San Antonio','NC','47891','klein@aulnet',1237814,'544-828-4722',46900,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan T. Fleming','379-3037 Euismod Street','Corvallis','IN','95933','teegan.fleming@abc.edu',1237815,'834-478-2067',89700,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir D. Walters','2099 Tristique Street','Longview','DC','37337','vwalters@aulnet',1237816,'931-314-6525',94994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan O. Combs','Ap #246-9815 At, St.','Redding','AZ','26054',NULL,1237817,'492-323-5472',15164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vanna V. Rodgers','301-1192 Nec, Avenue','Vail','ME','42969','vanna.rodgers@aulnet',1237818,'925-417-6492',94221,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita V. Hyde','Ap #840-2319 Iaculis Street','Binghamton','AZ','44687','hyde@yohaa.com',1237819,'657-572-8885',43848,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa D. Pollard','1636 Sociis St.','Kearns','NC','70074',NULL,1237820,'443-298-8459',49856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle X. Reyes','Ap #935-941 Sem Rd.','Saukville','VT','52922','joelle.reyes@widget.com',1237821,'907-441-4482',102712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime H. David','P.O. Box 761, 5583 Leo. Avenue','San Juan','NC','58810','jdavid@hitmail.com',1237822,'844-741-0905',46572,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle G. Serrano','Ap #392-503 Egestas St.','Powell','AK','72121','serrano@yohaa.com',1237823,'942-785-4255',32774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam N. Blackwell','9461 Duis Avenue','West Springfield','KS','03550','blackwell@widget.com',1237824,'864-967-1456',99035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine K. Ferguson','598-4918 Eget Avenue','Hoover','KS','67360',NULL,1237825,'921-894-7518',109745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer W. Mays','658-7839 Cursus Av.','San Bernardino','DC','57514','mays@aulnet',1237826,'984-805-6093',72084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree P. Dickson','498-6796 Scelerisque Av.','Saint Louis','AK','27774','breed@email.net',1237827,'388-273-0876',95564,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando L. Arnold','P.O. Box 737, 847 Ac Street','Manchester','DE','22849','orlandoa@aulnet',1237828,'614-902-0840',76441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon M. Randall','8360 In, Ave','Appleton','WY','56889','deacon.randall@aulnet',1237829,'164-125-3165',38987,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade I. Austin','P.O. Box 636, 2633 Nunc Street','Starkville','NE','56903','jaustin@abc.edu',1237830,'883-956-9812',19040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ray H. Silva','Ap #408-1491 Proin Av.','Radford','WA','44401','rsilva@widget.com',1237831,'505-397-2421',47525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda K. Hopkins','Ap #509-1623 Neque. Street','Fulton','SC','76621','imelda.hopkins@emailathome.net',1237832,'223-627-9241',81239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas B. Garrett','411-653 Nam Ave','Bradford','SC','55431','ngarrett@yohaa.com',1237833,'254-377-8047',40379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean Z. Warner','P.O. Box 706, 524 Nec, Street','Jeffersonville','AK','83948','seanw@widget.com',1237834,'471-534-7006',28380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane K. Hayden','857-6210 Sit Road','Hawthorne','MT','57330','jhayden@email.net',1237835,'378-758-2820',103531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felix B. Nixon','172-4208 Magna. St.','Spokane Valley','WA','46094','felix.nixon@aulnet',1237836,'435-614-3626',62480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirsten L. Owen','Ap #687-4415 Erat Road','Woodward','OR','68005','kirsten.owen@abc.edu',1237837,'101-545-1595',31095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai R. Clay','P.O. Box 692, 2435 Elit. Av.','Nashville','IA','05474','daic@aulnet',1237838,'579-681-0252',90056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah Y. Prince','Ap #562-7911 Orci Avenue','Quincy','DC','46952',NULL,1237839,'426-806-4865',30934,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey Y. Powers','4004 Placerat, Rd.','Hornell','NE','20265','cpowers@xyz.edu',1237840,'951-283-7733',33118,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne S. William','429-8105 Orci St.','Virginia Beach','IN','81511','william@email.net',1237841,'777-628-7115',98811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai B. Stewart','1655 Auctor, Av.','Yorba Linda','ID','18046','kai.stewart@widget.com',1237842,'207-375-0379',28661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon R. Bird','Ap #823-3342 Ultrices Rd.','Hilo','NJ','80108',NULL,1237843,'255-352-6266',75793,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo U. Mccoy','938-2424 Adipiscing Rd.','Wisconsin Rapids','OR','30710',NULL,1237844,'918-263-4150',56131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron B. Potts','7127 Donec Street','Wilson','IA','23767','cameron.potts@hitmail.com',1237845,'848-831-7460',102472,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad Z. May','Ap #415-2449 Donec Ave','Asbury Park','GA','55279','smay@xyz.edu',1237846,'147-885-7254',80234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen P. Koch','Ap #403-8155 Quam St.','Flint','OH','89345','ckoch@bpmpros.com',1237847,'615-663-3470',81813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis K. Lopez','5743 Enim, St.','Carrollton','NH','85024','elvis.lopez@aulnet',1237848,'159-611-1673',23828,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia E. Bullock','Ap #388-9217 Nec Road','San Angelo','KS','83879','cynthiab@abc.edu',1237849,'895-854-4646',50086,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne M. Wiley','Ap #417-5019 Facilisis St.','Henderson','ND','99083',NULL,1237850,'963-868-7211',98240,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie G. Robinson','Ap #318-8401 Mi Ave','Guayanilla','NJ','27926','mrobinson@widget.com',1237851,'919-983-7404',79797,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton O. Norman','6693 Pellentesque Rd.','Cruz Bay','MT','85367','norman@email.net',1237852,'251-852-7490',38431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer T. Brady','744-1669 Purus Street','Tacoma','MT','07192','jenniferb@email.net',1237853,'551-601-4522',109505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor G. Dyer','8541 Vivamus Road','Owensboro','MD','20631',NULL,1237854,'451-605-6656',27195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell J. Thompson','Ap #399-8147 Donec St.','Wheeling','KS','72403','bell.thompson@emailathome.net',1237855,'234-585-1997',70479,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kristen S. Howe','P.O. Box 770, 4714 Neque Road','Paducah','AK','39211',NULL,1237856,'715-859-3445',44437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary X. Fleming','Ap #654-999 Sed, Ave','Oshkosh','LA','48987','hfleming@email.net',1237857,'399-105-8642',15714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan I. Rosales','P.O. Box 261, 8309 Lacus. St.','Scottsbluff','SC','14853','rogan.rosales@aulnet',1237858,'841-131-0459',22859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric C. Duffy','952-1435 Ultrices St.','New London','CT','98903','ulricd@emailathome.net',1237859,'767-617-6487',106555,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel B. Payne','P.O. Box 985, 255 Sed Avenue','Meadville','WA','01599','payne@xyz.edu',1237860,'504-371-8884',45092,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson H. Cortez','290-8844 Integer Avenue','La Mirada','FL','10111','madesonc@hitmail.com',1237861,'712-325-5953',88923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady C. Steele','947-9892 Dolor. St.','Pittsfield','DE','37148','steele@emailathome.net',1237862,'469-282-4069',109080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey T. Gutierrez','5770 Ligula Street','Fresno','ID','96110','gutierrez@widget.com',1237863,'925-762-7799',29400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen D. May','798-3974 Adipiscing Av.','Rapid City','NY','84381',NULL,1237864,'592-526-2880',69744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven S. Townsend','8112 Eu Rd.','Evanston','KY','02611','townsend@email.net',1237865,'249-308-4500',86463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah T. Tanner','Ap #272-4843 Est, Ave','Cape Girardeau','AZ','38040','tanner@email.net',1237866,'762-812-0195',75814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan K. Mcguire','P.O. Box 434, 1736 Nunc Rd.','Santa Barbara','NV','69398','mcguire@xyz.edu',1237867,'449-201-9220',47428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea Z. Mccarthy','207-6676 Eu St.','Macomb','MO','04264','chelsea.mccarthy@aulnet',1237868,'662-112-1221',56540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaiah U. Decker','8486 Dolor, Av.','Worcester','CT','64495',NULL,1237869,'922-488-5896',21925,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita G. Valdez','469-9939 Consectetuer Road','Eureka','DC','38992','chiquitav@xyz.edu',1237870,'497-419-7072',100825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren Z. Wise','P.O. Box 601, 2598 Lectus Avenue','Parma','WI','10248',NULL,1237871,'242-539-8586',65134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari L. Talley','366-7692 Vivamus Av.','New Orleans','TX','82293','talley@aulnet',1237872,'543-684-1130',76929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton E. Myers','Ap #296-4289 Et Rd.','Ames','MT','32914','clinton.myers@hitmail.com',1237873,'218-751-3344',62319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth D. Lindsay','885-7472 Convallis St.','Washington','CA','63595','lindsay@emailathome.net',1237874,'511-738-4897',35635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana S. Dawson','2745 Sem, Ave','West Memphis','FL','12808','dawson@email.net',1237875,'368-829-8927',53329,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin D. Moss','168-3260 Maecenas St.','Casper','WV','17829','moss@abc.edu',1237876,'738-906-6255',39768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade R. Dillard','3748 Adipiscing Avenue','White Plains','FL','33845','slade.dillard@widget.com',1237877,'628-692-3829',62810,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden A. Lowe','488-4219 Lorem Road','Cicero','ID','42476','klowe@email.net',1237878,'322-949-4308',29724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay R. Rogers','Ap #631-7447 Egestas. Road','Wichita','AK','29271',NULL,1237879,'748-169-9183',59827,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie Q. Cooper','190-3298 Egestas. Avenue','Winooski','OH','72091','wylie.cooper@bpmpros.com',1237880,'464-112-0800',107541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton L. Hancock','P.O. Box 245, 5774 Mi Rd.','Guayama','IL','99261','hancock@xyz.edu',1237881,'464-737-8489',48008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven I. Vaughn','6825 Risus. Street','Texarkana','TN','11350','stevenv@xyz.edu',1237882,'387-524-8965',90211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne S. Greene','Ap #876-408 Nec, Street','Warner Robins','NY','45266','cgreene@emailathome.net',1237883,'627-904-4273',33711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle Z. Sosa','Ap #300-4620 Nascetur St.','Gilbert','CA','71017','sosa@hitmail.com',1237884,'484-101-9054',46183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca N. Reynolds','Ap #547-8439 Velit Rd.','Dalton','OK','87859','reynolds@yohaa.com',1237885,'977-352-3623',82966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya B. Ramsey','Ap #939-1396 Ullamcorper Rd.','Bethany','MA','12890','raya.ramsey@widget.com',1237886,'641-618-8792',50388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn C. Kline','P.O. Box 161, 7670 Fusce Street','Pine Bluff','AL','48051','carolynk@aulnet',1237887,'952-603-1100',104832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet I. Dunlap','151-278 Mollis Ave','Martinsburg','CT','16055',NULL,1237888,'117-168-6617',98846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille V. Simon','P.O. Box 281, 8684 Sit St.','Meriden','IL','36353',NULL,1237889,'409-526-4840',68263,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel L. Sweeney','871-8408 Nulla Ave','Irwindale','AZ','35072','lsweeney@aulnet',1237890,'426-725-1406',48768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby X. Rice','924-3929 Turpis Rd.','Niagara Falls','RI','89015','kirbyr@email.net',1237891,'188-504-2383',92590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera E. Bender','P.O. Box 710, 4796 Nascetur Av.','Kennesaw','NJ','30110','xbender@widget.com',1237892,'235-313-6278',71256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra K. Fischer','Ap #186-1795 Magna. Road','Oswego','RI','35175','lisandra.fischer@emailathome.net',1237893,'396-522-6443',84620,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran I. Farmer','Ap #441-9166 Ultricies Rd.','Fresno','MS','27162','ciaran.farmer@hitmail.com',1237894,'338-625-0567',19496,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry U. Chandler','P.O. Box 186, 187 At Road','Sister Bay','MS','90127','bchandler@email.net',1237895,'389-518-1422',17953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel C. Austin','2585 Pharetra St.','Newport','WI','88597','saustin@abc.edu',1237896,'609-338-3891',17697,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ina H. Hanson','585-2236 Convallis, Street','Laramie','MD','38716',NULL,1237897,'314-824-1514',55348,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron L. Mercado','Ap #141-2662 Consectetuer, St.','Anaconda','NH','99637','mercado@hitmail.com',1237898,'454-668-5817',53287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding V. Dickerson','209-8617 Ultricies Av.','Aguadilla','DC','75575',NULL,1237899,'203-557-1247',22599,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles M. Hoover','644-5409 Ac Ave','Mount Pleasant','OR','85661','mhoover@xyz.edu',1237900,'236-349-7069',43359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe J. Morrow','8659 Duis St.','Roseville','DC','71630',NULL,1237901,'297-312-9459',35569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill E. Leach','3522 Mi. Rd.','Joliet','VT','63791','mleach@abc.edu',1237902,'965-185-7269',31545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne C. Langley','Ap #492-1639 Pellentesque St.','Dubuque','ID','17980',NULL,1237903,'773-747-7325',63881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly R. Jacobson','1957 Nunc. Avenue','Clemson','ME','68820','sjacobson@emailathome.net',1237904,'528-606-8705',59421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferdinand A. Schultz','569-5977 In Ave','Lakeland','IN','64922','ferdinands@widget.com',1237905,'853-481-9868',68197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly A. Hunt','P.O. Box 849, 9654 Nec Street','Marietta','LA','63637','mollyh@hitmail.com',1237906,'651-513-8038',96903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur K. Parks','773-4524 Auctor, St.','Lewiston','NH','99053','arthurp@aulnet',1237907,'781-441-8636',78819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae N. Larsen','5965 Non Street','High Point','MD','99298','rae.larsen@hitmail.com',1237908,'294-564-5086',96497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jillian N. Barlow','P.O. Box 719, 6599 Mauris Av.','Fairbanks','NY','05595','jillian.barlow@yohaa.com',1237909,'784-988-4510',65827,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos K. Porter','6130 Sed Ave','Moorhead','WY','29499',NULL,1237910,'149-618-9167',75561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chadwick S. Vaughn','194-3544 Nunc Avenue','Daly City','AK','02021','chadwick.vaughn@xyz.edu',1237911,'522-662-2891',109464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline Q. Walls','559-7554 Fringilla Av.','San Diego','NM','60863',NULL,1237912,'895-417-9881',81013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebekah R. Gilmore','289-1482 Cras Street','Orangeburg','OK','39490','rebekah.gilmore@yohaa.com',1237913,'364-168-4854',76833,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato I. Mitchell','P.O. Box 651, 2614 Aliquam Avenue','Greenville','TN','52482','hmitchell@widget.com',1237914,'983-257-2157',105246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell P. Copeland','7594 Dictum Av.','Santa Fe','WY','31437','copeland@email.net',1237915,'786-175-3900',35874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn Z. Mercado','P.O. Box 746, 3287 Eu Ave','Alameda','NC','64896',NULL,1237916,'334-111-0944',97125,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina C. Kelley','P.O. Box 820, 8767 Donec St.','Des Moines','MT','12087',NULL,1237917,'984-317-3374',39234,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius D. Stafford','P.O. Box 497, 4732 Diam. Road','Edmond','ID','75798','darius.stafford@emailathome.net',1237918,'875-759-9762',22616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram I. Peterson','467-9471 Mus. Rd.','Omaha','TX','07482','hiramp@aulnet',1237919,'282-956-6155',102859,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig A. Terry','351-2159 Id, Rd.','San Luis Obispo','OH','55363',NULL,1237920,'846-927-8834',18642,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xantha Z. Bell','8224 Tempor Avenue','Moline','IA','17953','xantha.bell@hitmail.com',1237921,'599-874-4671',58791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard X. Mckay','5953 Venenatis Rd.','Rock Springs','WA','58629','leonard.mckay@hitmail.com',1237922,'525-875-7511',17414,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan F. Tucker','1860 Sed Rd.','Cairo','ME','10276','regan.tucker@abc.edu',1237923,'249-282-6681',53081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani P. Erickson','710-3265 Porttitor St.','Yigo','MO','86807','imanie@emailathome.net',1237924,'274-313-3030',80286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dante C. Burns','Ap #208-4620 Lacus Road','Chino Hills','SC','32219','burns@emailathome.net',1237925,'127-391-4128',33111,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah W. Stephenson','5822 Vestibulum Avenue','High Point','NY','84697',NULL,1237926,'929-832-5525',20031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla X. Sharpe','4501 Arcu. Rd.','Irving','RI','10608','halla.sharpe@yohaa.com',1237927,'268-951-9341',95372,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley K. Herring','P.O. Box 941, 3643 Quisque Av.','Racine','OK','42162','herring@emailathome.net',1237928,'862-129-0799',28144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden Z. Collier','451-4006 Sed Rd.','Muskogee','KS','05457','hcollier@abc.edu',1237929,'611-582-4104',102323,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand B. Joyce','P.O. Box 836, 2823 Auctor Ave','Irvine','GA','54359','joyce@abc.edu',1237930,'817-427-8193',39337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail E. Stanley','P.O. Box 572, 327 Fusce Road','Escondido','KY','59703','abigails@bpmpros.com',1237931,'164-872-3082',34261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rosalyn L. Maynard','Ap #898-7967 Sem. Road','Stillwater','MA','71830','rosalynm@xyz.edu',1237932,'535-608-4897',100776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh C. Whitaker','Ap #529-9806 Pede Rd.','Corpus Christi','LA','75257','swhitaker@bpmpros.com',1237933,'188-623-1216',27381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana A. Hamilton','P.O. Box 611, 8782 Enim. Road','Pittston','AZ','46912','hamilton@email.net',1237934,'279-257-7799',23663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert F. Mays','166-3030 Sodales. Avenue','Homer','NY','60906','bertm@yohaa.com',1237935,'928-208-3551',49646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kessie L. Burke','Ap #828-6554 Penatibus Ave','Visalia','VT','51421','kessie.burke@email.net',1237936,'438-457-5658',31819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('August O. Beasley','2726 Eget St.','Suffolk','ND','69494',NULL,1237937,'637-771-5162',81903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin P. Rojas','Ap #939-4912 Fringilla Av.','Sherrill','WA','68227','colin.rojas@widget.com',1237938,'713-359-0295',57720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara E. Simpson','1874 Libero Rd.','Littleton','MA','20796','laras@bpmpros.com',1237939,'618-481-6155',31850,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebekah T. Lopez','Ap #454-9053 Proin St.','Dunkirk','DE','51782','lopez@aulnet',1237940,'578-197-3770',104266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon D. Mayo','3056 Phasellus St.','Dothan','MS','78244','mayo@email.net',1237941,'422-669-5782',26028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy D. Bean','Ap #768-3859 Elit Street','Savannah','NM','13182','murphyb@aulnet',1237942,'436-858-4280',107039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada C. Gilbert','P.O. Box 110, 7152 Nam Road','Topeka','PA','37741','gilbert@hitmail.com',1237943,'934-469-2286',58436,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay L. Powers','Ap #734-4704 Donec St.','Port Huron','OK','42380','macaulayp@yohaa.com',1237944,'132-165-4356',68072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances A. Fowler','337-1240 Dolor, St.','West Hartford','WI','67210','francesf@bpmpros.com',1237945,'601-733-7071',48597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric X. Porter','5799 Id, St.','Benton Harbor','LA','38794',NULL,1237946,'526-686-6598',40799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele K. Nelson','P.O. Box 347, 5986 Diam. Avenue','Chula Vista','GA','50488','adelen@xyz.edu',1237947,'283-719-3069',69140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson V. Ryan','P.O. Box 996, 4387 Id Rd.','Hartford','IL','41702','ryan@xyz.edu',1237948,'391-484-1934',15463,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet O. Hicks','276-6987 Mauris Street','Oil City','FL','41593',NULL,1237949,'496-696-0791',86552,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis T. Oneil','776-3427 Dictum. St.','Richland','WV','11463','doneil@aulnet',1237950,'957-453-9489',37522,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott Z. Bush','Ap #276-9227 Lacus. Av.','Berlin','WV','82204','bush@yohaa.com',1237951,'667-614-9769',32864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy L. Sheppard','339-7806 Luctus Avenue','Chico','MN','49032','sheppard@email.net',1237952,'337-995-6196',98982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia B. Long','402-3534 Integer Road','Uniontown','NJ','08347','lavinial@xyz.edu',1237953,'471-717-6113',40307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis D. Walsh','P.O. Box 785, 8628 Dignissim Rd.','Portsmouth','CA','73771','walsh@bpmpros.com',1237954,'129-409-1178',38032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas N. Burnett','Ap #726-5441 Arcu St.','Taylorsville','MN','56229',NULL,1237955,'901-921-3205',55295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ori R. Gillespie','P.O. Box 685, 5258 Iaculis Rd.','Sierra Vista','KY','84330',NULL,1237956,'561-562-4818',32185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charles P. Harris','601-2026 Sem Ave','Kennesaw','GA','57932','charris@emailathome.net',1237957,'373-833-3948',97008,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus B. Orr','Ap #737-8171 Pellentesque, St.','Valparaiso','IL','47605',NULL,1237958,'637-901-8431',51940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert G. Armstrong','282-7929 Leo. Ave','Waukegan','VA','16263','armstrong@email.net',1237959,'868-506-4163',69082,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot Y. Lara','P.O. Box 302, 2553 Mauris Rd.','Logan','MA','36352','abbotl@widget.com',1237960,'516-485-9804',17652,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle P. Rosa','Ap #524-8533 Nec Street','Rosemead','OH','11747','mrosa@abc.edu',1237961,'191-616-0909',95774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan W. Hyde','493-5739 Placerat Street','Areceibo','VA','65076',NULL,1237962,'814-815-4314',40994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney D. Hunt','P.O. Box 208, 1892 Dui, Avenue','Lakewood','NV','41306','chunt@abc.edu',1237963,'484-298-9124',59792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu T. Swanson','9801 Non, Road','Enfield','UT','36281','swanson@emailathome.net',1237964,'412-151-4602',81256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson D. Kim','P.O. Box 444, 5548 Lacinia Avenue','Gulfport','ID','16042','carson.kim@abc.edu',1237965,'334-646-7061',83495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon K. Guthrie','Ap #481-7846 Etiam Av.','Mesquite','SD','08514',NULL,1237966,'668-992-5483',61825,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga F. Hunter','Ap #856-7029 Eu, Av.','Clarksburg','IL','08616','ingah@emailathome.net',1237967,'232-899-7913',54713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera X. Miles','P.O. Box 512, 9187 Egestas, St.','Rock Springs','IA','51669','xaviera.miles@abc.edu',1237968,'376-507-3070',109403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart K. Harrison','324-1163 Morbi St.','Kennesaw','OK','06157','stuarth@aulnet',1237969,'826-293-6009',24342,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale C. Ballard','Ap #518-4521 Convallis Road','Shamokin','OK','45442','pascale.ballard@bpmpros.com',1237970,'699-426-5181',36883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum I. Burks','335-5828 Cum St.','Vermillion','OR','45081','burks@yohaa.com',1237971,'524-224-5490',79296,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby X. Delgado','P.O. Box 456, 5116 Tempus Road','Olean','NC','31386','sdelgado@bpmpros.com',1237972,'468-893-9255',88936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly L. Mcgee','241-1927 Urna Av.','Muskogee','NV','27858','kimberly.mcgee@xyz.edu',1237973,'246-514-3163',51139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale E. Summers','Ap #268-3172 Sit Rd.','Williston','KY','81819','dsummers@yohaa.com',1237974,'678-814-3287',47663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden S. Bruce','5275 Scelerisque Avenue','Lake Charles','MO','40209','kadenb@emailathome.net',1237975,'581-457-2387',84229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burke M. Maldonado','Ap #286-8055 Molestie St.','Moline','CA','50800','bmaldonado@emailathome.net',1237976,'211-691-0582',99782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn Q. Wright','P.O. Box 455, 6165 Et Rd.','Oxford','NJ','67227',NULL,1237977,'238-349-8408',104912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thaddeus V. Buckner','631-6575 Penatibus St.','Meriden','WY','56424',NULL,1237978,'752-981-1399',88042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan S. Rodgers','Ap #642-142 Ornare, Avenue','Aliquippa','FL','19776','arodgers@emailathome.net',1237979,'301-163-9530',95683,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline Q. Alvarado','329-6999 Montes, Av.','Texas City','TX','03422',NULL,1237980,'399-509-5614',29876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry A. Leon','Ap #205-3475 Et Rd.','West Memphis','LA','27720','jerryl@yohaa.com',1237981,'254-553-9525',33751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith J. Anthony','671-986 Morbi Rd.','Woburn','PA','14732','griffitha@emailathome.net',1237982,'563-717-2692',33356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn K. Richards','Ap #443-3372 Cras Av.','Bradford','AL','78083','richards@aulnet',1237983,'825-488-0053',78594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel W. Long','270-1003 Venenatis Street','Yukon','NH','58136','jlong@bpmpros.com',1237984,'221-145-3334',52924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tana B. Rutledge','416 Erat Road','Ogdensburg','FL','17123','rutledge@yohaa.com',1237985,'147-769-7742',26179,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shellie P. Mercado','390-8880 Sed Rd.','Riverton','ID','41169','shelliem@aulnet',1237986,'393-331-0007',91698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai Y. Wooten','Ap #655-1265 Diam. Rd.','Waco','WA','19060','kwooten@xyz.edu',1237987,'329-613-8539',73108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison K. Nash','330-2642 Et, Rd.','Sugar Land','UT','83403','nash@emailathome.net',1237988,'664-884-3062',69981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander E. Cooke','Ap #373-5124 Suspendisse Av.','West Hartford','NV','41625','alexanderc@hitmail.com',1237989,'228-782-5759',92293,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance K. Cook','Ap #690-2646 Velit. Road','Compton','WV','55996','constancec@hitmail.com',1237990,'612-741-4319',24705,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia X. Snyder','289-4589 Sed St.','Thiensville','UT','84230',NULL,1237991,'237-848-5989',41237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila J. Sparks','792-7776 Nonummy Ave','Nanticoke','WY','89564','aquila.sparks@emailathome.net',1237992,'804-131-7893',88077,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rowan B. Decker','715-8156 Integer St.','Portland','MN','48827','decker@bpmpros.com',1237993,'492-296-1369',27845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marcia X. Fowler','3412 Odio Rd.','Newport','ME','04049','marciaf@widget.com',1237994,'822-662-7813',15487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor A. Bell','538-1602 Cursus Ave','Sioux City','MI','85999',NULL,1237995,'938-851-3121',106256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen Z. Lowery','4025 In Rd.','Forest Lake','IL','13951','lowery@xyz.edu',1237996,'441-444-3283',71871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda U. Mcpherson','970-7916 Amet, Avenue','Ventura','WA','20633',NULL,1237997,'685-136-4797',109140,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon P. Chavez','857-7582 Sagittis Av.','Parker','SD','77898','rhiannon.chavez@aulnet',1237998,'522-217-1526',43320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea H. Hoover','8312 Adipiscing Rd.','Hilo','ID','94652','hoover@xyz.edu',1237999,'432-384-4951',28359,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara U. Herring','P.O. Box 707, 5998 Varius. Rd.','South Bend','NV','70375',NULL,1238000,'128-559-7441',52672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yasir N. Emerson','503-2964 Morbi Ave','Minnetonka','CT','63644','emerson@widget.com',1238001,'119-148-5973',55822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille V. Holloway','275-3903 Nam Ave','Phenix City','NY','75648',NULL,1238002,'393-403-4500',63297,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda Y. Goff','990 Integer Av.','Laramie','CT','89506','goff@email.net',1238003,'172-901-2415',101142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin Y. Lynn','184-3174 Turpis Road','Bend','TX','96486','mlynn@yohaa.com',1238004,'983-164-0742',35377,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madeson D. Roberson','P.O. Box 484, 6850 Imperdiet Street','Hannibal','MT','33030','madeson.roberson@widget.com',1238005,'417-409-4744',62871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma S. Reynolds','8154 Non, Rd.','Suffolk','VA','27571','ureynolds@widget.com',1238006,'975-117-7577',15797,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julian M. Cameron','751-6034 Tortor. St.','San Rafael','NV','46274','jcameron@abc.edu',1238007,'746-721-7374',101931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai Y. Burt','113-3237 Urna Street','Palo Alto','OR','33179','kai.burt@emailathome.net',1238008,'454-209-8205',69788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan M. Whitehead','357-3542 Risus. St.','Sierra Vista','IA','05939',NULL,1238009,'219-563-6624',97480,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dexter L. Wilson','3161 Risus. Avenue','Ardmore','KY','18069','wilson@bpmpros.com',1238010,'663-584-4207',101073,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nero I. Whitehead','111-2680 Ut Street','El Monte','WV','31640',NULL,1238011,'719-483-8662',107026,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia W. Alvarez','P.O. Box 988, 2139 Elit, Avenue','Mayag?ez','AL','90022',NULL,1238012,'773-593-8756',59150,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado L. Wood','420-9789 Vulputate, St.','Manassas Park','KY','36826','cwood@xyz.edu',1238013,'959-722-2240',109967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred M. Perkins','1208 At Ave','Plainfield','GA','78871','winifredp@emailathome.net',1238014,'565-269-0322',69098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel P. Nixon','955-8076 Neque. Rd.','Anchorage','TX','03471',NULL,1238015,'354-828-0871',36792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur U. Grant','137-6607 Eget St.','Port St. Lucie','WY','83487','agrant@emailathome.net',1238016,'869-223-9519',51098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana P. Berger','570-4569 Gravida Road','Santa Cruz','NV','55239',NULL,1238017,'727-697-7297',85531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bertha D. Obrien','Ap #973-1773 Consectetuer Ave','Carson City','MO','07463','obrien@yohaa.com',1238018,'703-539-0268',63280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall G. Logan','774-9639 Elit St.','Bradford','OK','27124','logan@emailathome.net',1238019,'688-481-8209',60026,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa Z. Pratt','P.O. Box 150, 5021 Auctor Street','Nashville','SD','55973','melissap@aulnet',1238020,'208-886-1760',109745,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan M. Whitehead','669-9806 Pede. Ave','Passaic','OH','49005','mwhitehead@hitmail.com',1238021,'978-177-9631',59521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera M. Chan','9546 Libero. St.','Sharon','ME','02237','xchan@widget.com',1238022,'338-735-6433',48033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeph L. Navarro','Ap #935-2681 Lectus Rd.','Revere','UT','28330',NULL,1238023,'678-906-6412',94700,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaitlin E. Mercado','Ap #968-9094 Lorem, Street','Elkhart','VT','73501','kaitlin.mercado@hitmail.com',1238024,'933-601-5171',65113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus J. Horne','Ap #950-3475 Bibendum. St.','Corpus Christi','VA','84458','horne@aulnet',1238025,'159-193-6931',24350,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze Q. Grant','4895 Scelerisque Av.','Staunton','NE','73421',NULL,1238026,'867-773-6729',58721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler Q. Ferguson','P.O. Box 914, 4379 Duis Road','Santa Monica','VT','43816','chandlerf@yohaa.com',1238027,'438-205-8885',75884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee C. James','4814 Semper Ave','Casper','PA','52427','aimee.james@bpmpros.com',1238028,'819-543-3638',67227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel C. Ortiz','Ap #987-9070 Eget Ave','Gallup','OR','47000','darrel.ortiz@aulnet',1238029,'537-447-8892',67405,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadley C. Buckley','P.O. Box 551, 5179 At Av.','Saint Cloud','MS','28575','hbuckley@abc.edu',1238030,'676-204-4503',54558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adria Z. Meadows','P.O. Box 999, 5337 Feugiat Ave','Enid','MO','94122','adriam@bpmpros.com',1238031,'798-374-4889',49000,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott U. Foley','Ap #309-6374 Netus Avenue','Saukville','HI','72176','foley@hitmail.com',1238032,'399-987-2617',56505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida U. Molina','Ap #710-8404 A Avenue','Frederick','VA','16288','molina@yohaa.com',1238033,'455-654-5418',17198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison L. Mays','286-1470 Erat St.','Selma','VT','74290','mays@email.net',1238034,'589-844-4980',49525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana K. Stanley','8278 Ut, Rd.','Ogdensburg','CO','99707','astanley@widget.com',1238035,'236-375-2586',109995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samantha Z. Lewis','5826 Augue Rd.','Austin','IA','95974',NULL,1238036,'855-578-1066',42173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clark Y. Logan','283-5647 Mi Road','Beverly','AK','35030','clarkl@aulnet',1238037,'915-761-2384',56986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Julie S. Cain','Ap #918-489 Arcu Ave','Chino','CO','17353','julie.cain@bpmpros.com',1238038,'494-309-0693',20178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven M. Rojas','P.O. Box 174, 5947 Aliquam Avenue','Tulsa','WY','12329','rojas@widget.com',1238039,'783-176-3854',59883,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh N. Rasmussen','P.O. Box 852, 4651 Quis Rd.','Durango','VA','96209','leighr@aulnet',1238040,'538-312-3987',86311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hollee F. Case','4578 Eget Avenue','Keene','RI','02911','hollee.case@bpmpros.com',1238041,'632-595-4165',62328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle F. Haney','581-7855 Duis Av.','Eugene','IN','05607','haney@widget.com',1238042,'628-269-7541',85827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anthony G. Reed','938-9301 Convallis St.','Sierra Vista','MN','79884',NULL,1238043,'582-111-2700',49631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine C. Cook','257-1018 Eget Avenue','Schenectady','CO','57736','josephinec@xyz.edu',1238044,'612-104-0143',105988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome I. Gray','576-5164 Nec, Rd.','San Clemente','OH','86233','jgray@abc.edu',1238045,'171-682-6857',18688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelda Z. Bright','498-296 Fusce Rd.','Richmond','WI','61147','zelda.bright@email.net',1238046,'482-452-0436',42824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica I. Horne','453-196 Ornare, Rd.','Norwalk','TN','85946','veronica.horne@email.net',1238047,'195-586-8479',95468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brennan D. Mcdaniel','983-5864 Vitae, St.','Sandy','ME','26801','mcdaniel@abc.edu',1238048,'858-844-3392',85646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael P. Bryan','Ap #865-7372 Sodales Ave','Corvallis','TN','29445','bryan@bpmpros.com',1238049,'347-196-9492',84383,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila M. Jacobs','P.O. Box 386, 2851 Vel Rd.','San Luis Obispo','DC','03922','sjacobs@emailathome.net',1238050,'567-705-8907',52843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Acton D. Alvarez','Ap #444-699 Sem Rd.','Oro Valley','OH','83486',NULL,1238051,'509-967-6714',85064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel D. David','198-7240 Eget, Street','Stillwater','MO','11904','darrel.david@emailathome.net',1238052,'592-901-8774',58161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta E. Waters','479-4172 A, St.','Mount Vernon','NE','09920','uta.waters@emailathome.net',1238053,'925-526-3271',102752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jin J. Nguyen','Ap #624-7880 Eleifend. Rd.','Topeka','AL','53952','jnguyen@widget.com',1238054,'973-908-3247',60947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady K. Waller','744 Neque Rd.','Daly City','LA','26171','cassadyw@email.net',1238055,'567-765-0558',105432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September S. Farmer','Ap #758-1109 Cum Rd.','Dothan','MT','88414','septemberf@emailathome.net',1238056,'686-254-9190',87622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judith S. Sheppard','698-5713 Nullam St.','Azusa','MD','98776','judith.sheppard@emailathome.net',1238057,'292-877-0319',65591,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard H. Williamson','P.O. Box 947, 9358 Magna Av.','Jeffersonville','NJ','01790',NULL,1238058,'576-767-5355',84191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga G. Lee','Ap #483-3276 Eget Rd.','Missoula','LA','97499','olga.lee@xyz.edu',1238059,'389-756-4239',71935,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma I. Lee','Ap #523-5659 Magnis St.','Cedarburg','VT','21728','uma.lee@widget.com',1238060,'228-417-1736',101929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora N. Mcgee','3028 Aenean St.','Clovis','MA','56629','omcgee@hitmail.com',1238061,'702-624-4642',93517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara L. Mcmahon','P.O. Box 666, 9874 Vulputate Road','Chino','MS','90047','cmcmahon@emailathome.net',1238062,'776-578-1916',75264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles L. Stanton','120 Lectus Rd.','Sault Ste. Marie','WV','11040','myles.stanton@xyz.edu',1238063,'255-823-4702',97124,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika M. Kelley','214-741 Orci St.','Sharon','AK','96418','kelley@email.net',1238064,'558-613-5359',24337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo Z. Fitzpatrick','358-9612 Eget Av.','San Rafael','MA','40247',NULL,1238065,'756-304-8263',69577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daniel R. Haney','Ap #502-4623 Ultrices, Ave','Bessemer','OR','14555','danielh@email.net',1238066,'703-559-7635',98516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam L. Williamson','P.O. Box 164, 423 Vitae, Road','Rolla','MT','29743','adam.williamson@aulnet',1238067,'308-902-4611',41604,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivy E. Raymond','Ap #732-980 Duis Ave','Reading','RI','26355',NULL,1238068,'198-397-2997',71323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert W. Vaughan','P.O. Box 107, 4115 Turpis Ave','North Tonawanda','OK','46872','bertv@abc.edu',1238069,'337-326-5238',34082,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett U. Miranda','Ap #994-2339 Bibendum. Rd.','Pico Rivera','AL','71717','garrettm@yohaa.com',1238070,'699-827-1537',89281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville Z. Mclean','4901 Sed, Street','San Bernardino','MI','14641','mclean@emailathome.net',1238071,'724-584-4661',91687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey N. Lee','P.O. Box 994, 2812 Arcu Street','Hawthorne','RI','22137','dlee@emailathome.net',1238072,'889-603-1865',67058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gage J. Robertson','5803 Duis Street','Maywood','AK','43555',NULL,1238073,'879-557-4187',39054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses V. Hess','Ap #628-3242 Curae; Ave','Vernon','MS','54298',NULL,1238074,'844-623-1806',105495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan F. Hall','P.O. Box 764, 5515 Ultrices Av.','Omaha','KS','87032','ryan.hall@emailathome.net',1238075,'321-274-8960',87450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes S. Norman','9947 Felis. St.','South El Monte','WI','60228','norman@aulnet',1238076,'122-354-2716',74247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard R. Flowers','620-4564 Vel, Avenue','Hollywood','MO','41602','bernardf@aulnet',1238077,'921-953-1164',101761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sage N. Baxter','P.O. Box 810, 3154 Ante Road','McAlester','LA','82133','sageb@email.net',1238078,'846-777-5297',52114,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan H. Carr','4415 Nibh St.','Mechanicville','AZ','55654','carr@bpmpros.com',1238079,'868-242-8195',88806,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla N. Lindsey','Ap #865-7321 Curabitur St.','Statesboro','OH','73239',NULL,1238080,'884-753-8047',32733,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fulton Z. Dunn','132-244 Tempor, Av.','Cedarburg','VT','59432','dunn@widget.com',1238081,'763-547-2991',109072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim E. Snyder','P.O. Box 289, 9112 Turpis. St.','New Rochelle','ID','16775','snyder@emailathome.net',1238082,'208-862-4186',24487,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth C. Santiago','955-7923 Et Ave','Idabel','DC','46752','ssantiago@yohaa.com',1238083,'628-727-6990',19765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhoda D. Ray','P.O. Box 885, 2522 Sociis Rd.','Lomita','TN','97933',NULL,1238084,'796-315-0427',53599,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl L. Santana','Ap #671-1471 Velit Rd.','South El Monte','MO','34231','santana@widget.com',1238085,'275-962-2863',45193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yetta S. Brewer','P.O. Box 246, 4878 Congue Avenue','San Diego','SC','30964',NULL,1238086,'396-561-4326',30541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter M. Beard','P.O. Box 198, 771 Cras St.','Hidden Hills','IL','01831','winter.beard@abc.edu',1238087,'806-192-5629',105582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe D. Monroe','Ap #484-8416 Sagittis Ave','Santa Clara','NE','84386','monroe@yohaa.com',1238088,'228-924-0255',97031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaine V. Jarvis','8640 Molestie St.','San Gabriel','NE','38556','shainej@abc.edu',1238089,'985-607-4008',18841,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean O. Hickman','P.O. Box 938, 6443 Aliquam Street','Champaign','UT','37576','deanh@abc.edu',1238090,'123-117-7251',37588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kermit H. Aguilar','9076 Dui, Road','Pendleton','VT','07891','aguilar@emailathome.net',1238091,'658-361-4722',63048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James R. Robbins','Ap #978-1208 Ullamcorper, Street','Bradbury','TN','78175','robbins@xyz.edu',1238092,'976-635-8953',86191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September G. Mcgee','9992 Amet Road','Pendleton','NJ','78855','mcgee@yohaa.com',1238093,'763-351-8133',17752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett J. Woodward','3515 Nec Av.','Camden','KS','08185','gwoodward@aulnet',1238094,'961-437-7537',59493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper W. Carr','9153 Sed Rd.','Monrovia','ND','82192',NULL,1238095,'101-697-7304',26474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Luke X. Schultz','P.O. Box 949, 8948 Aliquam Road','Maywood','SC','46028','lschultz@emailathome.net',1238096,'322-322-9287',73371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet T. Dennis','Ap #668-4124 Nec St.','Pendleton','NH','31387','violet.dennis@yohaa.com',1238097,'417-638-9699',96775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamara M. Mullins','P.O. Box 441, 9528 Porta Avenue','Spartanburg','AL','56797','tmullins@hitmail.com',1238098,'286-593-1300',104112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa U. Woodward','780-5389 Ac Rd.','Las Vegas','CT','18875','woodward@bpmpros.com',1238099,'663-748-2404',85546,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett R. Kirkland','182-1451 Sem Rd.','Riverton','TX','91510','brett.kirkland@bpmpros.com',1238100,'585-158-8061',62506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra G. Mcintosh','9746 Purus St.','Murfreesboro','MD','19438','mmcintosh@abc.edu',1238101,'691-649-0548',52822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato O. Hurst','P.O. Box 339, 9608 Rutrum St.','El Segundo','FL','50579','khurst@abc.edu',1238102,'918-518-1571',19354,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole L. Ballard','P.O. Box 783, 6486 Vel Rd.','Claremore','AK','25285','cballard@hitmail.com',1238103,'955-863-4815',46608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stella J. Poole','8217 Nam Ave','Edmond','TN','06548','poole@bpmpros.com',1238104,'176-662-0583',105721,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy N. Horne','P.O. Box 457, 4057 Sollicitudin Street','Zanesville','HI','07104','murphyh@emailathome.net',1238105,'753-728-3803',54159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis J. Ortiz','6205 Est St.','Kettering','CO','12032','tortiz@email.net',1238106,'854-328-4913',38455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline Q. Haney','801-8945 Cras Street','Kearns','NC','75787','haney@emailathome.net',1238107,'821-774-9924',98558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine D. Sanders','Ap #786-4961 Rutrum St.','Azusa','NE','18394','sanders@widget.com',1238108,'282-902-6766',83971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila P. Bird','Ap #598-884 Risus. Av.','Lahaina','KS','89008','bird@email.net',1238109,'493-575-4861',71989,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora I. Ramirez','3338 Metus Av.','Pine Bluff','NC','11360','dramirez@bpmpros.com',1238110,'361-201-4688',26143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga G. Lester','P.O. Box 685, 9287 Cum Av.','Scottsdale','NH','21233','olester@yohaa.com',1238111,'604-975-1855',55416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas O. Hatfield','5458 Lacus. Avenue','Raleigh','SC','67910','jonas.hatfield@bpmpros.com',1238112,'144-405-7012',28764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera R. Snow','P.O. Box 943, 5700 Nulla Road','Aberdeen','OR','52310','xaviera.snow@bpmpros.com',1238113,'321-475-7895',96009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis Z. Roberts','Ap #522-9855 Nisi Rd.','Reno','MD','16469','bevisr@hitmail.com',1238114,'881-212-5862',79101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona N. Rowland','Ap #757-2234 Bibendum Rd.','Corinth','GA','67674',NULL,1238115,'244-124-2357',39066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany Y. Barry','403-4288 Montes, Av.','Winston-Salem','AK','28185','brittany.barry@hitmail.com',1238116,'861-904-0372',82565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dylan Z. York','991 Eget St.','Tempe','KY','34957',NULL,1238117,'866-443-3437',55822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maisie R. Kramer','Ap #375-2106 Velit Av.','Pittsfield','GA','57882','maisiek@bpmpros.com',1238118,'839-606-0483',96901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity H. Calderon','1657 Cras Rd.','Juneau','NM','36992','charity.calderon@abc.edu',1238119,'681-865-8244',40791,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta R. Garner','902 Tristique Rd.','Gastonia','MA','86959','ugarner@widget.com',1238120,'648-807-9933',91351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis G. Small','Ap #569-5737 Ultrices. Av.','Boulder Junction','IA','76963','lewis.small@emailathome.net',1238121,'813-552-2682',72970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig K. Mcbride','Ap #718-2194 Ipsum Road','Edmond','GA','54721','cmcbride@abc.edu',1238122,'785-698-0593',32484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya U. Lowery','P.O. Box 943, 5603 Eu St.','Taunton','NM','85539',NULL,1238123,'361-946-5436',108486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil E. Watson','3715 Lorem Rd.','New Orleans','DC','09917','gilw@hitmail.com',1238124,'561-597-5911',66498,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mari D. Kemp','P.O. Box 812, 1043 Eu Av.','Murray','PA','97396','marik@widget.com',1238125,'415-886-3828',93713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper J. Allen','Ap #758-3584 Egestas Rd.','New London','MT','29426','allen@widget.com',1238126,'814-238-9232',20734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin X. Castillo','301-6759 Magna. St.','Salem','WV','44673','martin.castillo@xyz.edu',1238127,'191-814-0420',80929,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo T. Fleming','Ap #417-6217 Amet Rd.','Tucson','NH','53007','leo.fleming@widget.com',1238128,'772-772-6866',47672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon A. Mitchell','6771 Vel Avenue','Hartland','MI','36201','shannon.mitchell@email.net',1238129,'612-479-5567',27905,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina T. Hatfield','897-6857 Et Street','Fredericksburg','ND','13649','justinah@hitmail.com',1238130,'942-553-9314',101096,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet B. Dudley','1970 Rhoncus. Rd.','Tonawanda','FL','57918',NULL,1238131,'383-388-4337',43767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora U. Thornton','P.O. Box 721, 856 Montes, Ave','Peoria','MO','63110','pandora.thornton@xyz.edu',1238132,'139-423-7001',55031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivan S. Stanton','Ap #853-5091 In Ave','Merizo','MT','08871','ivans@aulnet',1238133,'183-123-5452',67412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra Z. Hicks','Ap #316-669 Phasellus Street','Cudahy','AK','61069','lisandrah@widget.com',1238134,'832-825-9474',107742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cyrus N. Ramsey','Ap #896-4637 Metus. St.','Corona','CT','20182','ramsey@xyz.edu',1238135,'242-174-8988',58010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon L. Garrett','6053 Tristique St.','Duquesne','MN','66208',NULL,1238136,'326-541-7481',46132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese E. Watts','707-2672 At, Rd.','Modesto','NY','03579','reesew@yohaa.com',1238137,'787-104-5442',101435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris G. Hays','381-8464 Malesuada Road','Troy','WY','69273','doris.hays@yohaa.com',1238138,'843-621-6341',88152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan R. Jacobson','2507 Augue Av.','DeKalb','KS','25161','jacobson@xyz.edu',1238139,'298-583-7357',109769,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek E. Dalton','Ap #406-3044 Ante St.','Lufkin','IL','50886','dalton@email.net',1238140,'958-247-5393',81264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani S. Booker','1340 Vitae Street','Jamestown','MT','07273','lani.booker@hitmail.com',1238141,'451-956-7714',42506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila P. Huff','Ap #834-4976 Vitae St.','Worcester','OH','20128','ila.huff@aulnet',1238142,'402-753-7185',98597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wallace E. Alvarado','4953 Vitae, Rd.','Lexington','MN','49681','wallace.alvarado@xyz.edu',1238143,'794-534-6108',98764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody L. Noble','334-9869 Donec Rd.','Tyler','AK','47397','noble@hitmail.com',1238144,'179-774-1188',40355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart D. Moreno','Ap #260-9313 Aenean Street','Anaconda','MI','43391','stuartm@xyz.edu',1238145,'789-769-4436',66511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson V. Hines','1384 Scelerisque St.','Hayward','NE','57242','carsonh@xyz.edu',1238146,'682-851-7266',83158,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle I. Adams','4537 Iaculis St.','Cumberland','SD','29654',NULL,1238147,'479-638-7138',100926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya P. Knowles','Ap #738-2531 Vivamus Rd.','Roanoke','MN','20340','mknowles@hitmail.com',1238148,'905-475-9037',38129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea D. Manning','Ap #757-6800 Urna. St.','Fresno','MI','96027','manning@xyz.edu',1238149,'467-363-6486',64781,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla T. Graves','2188 Cursus Avenue','Yakima','NY','93502','graves@widget.com',1238150,'205-942-6789',49590,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay Z. Rowe','646-8106 Sagittis Avenue','Edmond','MT','19913',NULL,1238151,'516-722-6633',47868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne S. Fisher','Ap #415-511 Enim, St.','Arlington','WV','48568','cheyennef@emailathome.net',1238152,'572-998-6193',90655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara D. Merritt','9469 Diam Avenue','Yuma','NE','52887','daram@yohaa.com',1238153,'744-682-7805',63301,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria V. Kirby','275-1886 Mauris, Ave','Great Falls','AZ','54316','dkirby@aulnet',1238154,'304-148-6393',28730,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity Q. Whitley','423-2199 Nunc Rd.','Two Rivers','NV','65619',NULL,1238155,'936-331-3889',29474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph H. Gilbert','1436 Elit, Street','Sacramento','MA','30356','rgilbert@emailathome.net',1238156,'918-812-4464',88903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac S. Fry','P.O. Box 901, 9246 Ut St.','Hackensack','TN','25156','isaacf@aulnet',1238157,'513-431-2536',18219,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan V. Christian','Ap #943-5865 Et, Rd.','Moscow','TN','65091','teagan.christian@bpmpros.com',1238158,'257-779-0002',76287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere R. Witt','653-6450 Imperdiet St.','Anderson','NV','37502','guinevere.witt@aulnet',1238159,'694-842-5216',41326,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor X. Trevino','Ap #830-519 Iaculis Av.','Blacksburg','MA','99736','ctrevino@hitmail.com',1238160,'349-934-7843',23367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh J. Vasquez','368-7182 Nullam Av.','The Dalles','CO','54053','lvasquez@aulnet',1238161,'889-229-0628',68039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paula Q. Carpenter','P.O. Box 181, 8946 Proin St.','Fond du Lac','ME','43108','pcarpenter@aulnet',1238162,'352-142-2702',50788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya Y. Bowman','Ap #469-3086 Mollis. Street','Muncie','MO','88031','fbowman@email.net',1238163,'349-592-6328',24699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay M. Benjamin','779-3905 Sociis St.','York','DC','68456','benjamin@aulnet',1238164,'698-838-3399',84789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra V. Pierce','347-9376 Ac Av.','Quincy','AK','10388','debrap@xyz.edu',1238165,'846-434-1724',21413,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle U. Hebert','Ap #181-9209 Mattis St.','West Haven','LA','31451','danielle.hebert@aulnet',1238166,'741-586-8200',106544,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay A. Koch','846 Cursus Avenue','Avalon','MS','45819',NULL,1238167,'155-229-2789',74029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn Q. Wyatt','P.O. Box 167, 9216 Nunc Road','Benton Harbor','VA','31086','autumn.wyatt@emailathome.net',1238168,'996-942-1613',55819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred B. Floyd','Ap #175-6298 Elementum Street','Starkville','DC','05047','floyd@yohaa.com',1238169,'224-111-0611',41940,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy S. Kramer','2812 Fusce Av.','Boulder','MN','35225','dorothyk@abc.edu',1238170,'831-543-9549',71798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando S. Briggs','P.O. Box 157, 6145 Aliquam Road','Bakersfield','TN','22867','armandob@bpmpros.com',1238171,'284-924-4763',44518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenden X. Gibbs','Ap #583-8148 Curabitur Road','Tacoma','NJ','43075','brenden.gibbs@emailathome.net',1238172,'933-126-0405',32558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida M. Vargas','996-6949 At Street','Atlantic City','NE','19852',NULL,1238173,'928-861-9870',45622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raja N. Lewis','P.O. Box 348, 7123 Sed Rd.','Hutchinson','IL','89398','lewis@abc.edu',1238174,'251-278-0499',41949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina P. Williamson','P.O. Box 956, 9655 Egestas Rd.','Brown Deer','HI','50939',NULL,1238175,'428-578-6576',106656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole G. Murphy','8979 Cras Rd.','Cedar Falls','WI','00765',NULL,1238176,'858-892-6485',28873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda V. Floyd','677-4195 Eu St.','Cairo','MO','41352','imelda.floyd@xyz.edu',1238177,'218-177-8685',24996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel G. Blanchard','P.O. Box 579, 3823 Mauris, Road','Monterey Park','DC','61912','blanchard@hitmail.com',1238178,'465-583-5504',34871,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson I. Weaver','Ap #711-4094 Nulla St.','Ogden','GA','35906','samsonw@hitmail.com',1238179,'919-384-8773',41079,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla M. Rivers','1100 Ipsum Ave','Rochester','LA','09923','orlar@email.net',1238180,'514-216-1345',32197,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clementine N. Dyer','968-5598 Mauris. Avenue','Asheville','PA','14914','clementined@aulnet',1238181,'838-453-5686',21021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grant G. Crane','599 Non Rd.','La Palma','CA','17699','grant.crane@hitmail.com',1238182,'281-574-3105',83283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville K. Howell','Ap #109-3891 Nec Av.','Benton Harbor','SC','84502','nhowell@bpmpros.com',1238183,'392-472-8562',79302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret K. Schwartz','1159 Nullam Street','Birmingham','MD','49907','schwartz@bpmpros.com',1238184,'458-687-7148',21651,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena I. Kramer','P.O. Box 175, 4968 Auctor St.','Inglewood','UT','27976','akramer@emailathome.net',1238185,'874-332-8185',49491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley L. Holcomb','Ap #166-1023 Varius. Avenue','Tampa','DC','01739','hholcomb@aulnet',1238186,'705-689-8217',52518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aimee T. Dunn','P.O. Box 799, 6342 Fringilla Ave','Wahoo','TX','03104','adunn@emailathome.net',1238187,'934-749-3282',60128,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xaviera W. Weeks','Ap #440-9027 Dolor St.','Scottsdale','DE','02505','xavieraw@emailathome.net',1238188,'701-645-2835',24054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole O. Sawyer','252-9912 Eu, Ave','Beaver Falls','NE','74676','coles@yohaa.com',1238189,'273-873-4177',16452,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna C. Flowers','Ap #564-8954 Arcu St.','Burlingame','ND','27092',NULL,1238190,'768-932-8142',46776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chelsea J. Wiggins','680-3859 Diam. Street','Casper','DC','81409','wiggins@widget.com',1238191,'502-361-1019',31764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev N. Deleon','1058 Adipiscing St.','La Puente','KS','49177','deleon@widget.com',1238192,'318-278-3943',26632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe C. Lott','293-9241 Euismod St.','Marshall','AK','37886','keefe.lott@emailathome.net',1238193,'954-373-4408',54813,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura O. Cortez','Ap #828-8866 Non, Ave','Wichita','AK','18545','lcortez@abc.edu',1238194,'433-397-5790',31231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachary P. Shepard','P.O. Box 702, 7914 Mauris St.','Rye','MS','54263',NULL,1238195,'719-142-4489',25242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orson H. Aguilar','2914 Turpis. Av.','Terre Haute','AL','74359','orson.aguilar@aulnet',1238196,'875-256-0612',19720,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen A. Barker','P.O. Box 910, 4972 Tincidunt Ave','Temecula','RI','77451','barker@bpmpros.com',1238197,'801-686-7328',105752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herrod A. Baldwin','P.O. Box 583, 8415 Tortor St.','Bentonville','MI','21798','herrodb@email.net',1238198,'251-951-5373',82521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin R. Combs','Ap #420-2990 Est Street','Pomona','VT','34755','alvin.combs@xyz.edu',1238199,'554-604-6552',107369,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin R. Mcgee','769-199 Porttitor Av.','Anaconda','CO','94538','devin.mcgee@yohaa.com',1238200,'385-738-4320',108755,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney Y. Estrada','Ap #442-6579 Integer Av.','Yazoo City','CT','29724','estrada@yohaa.com',1238201,'353-537-2767',30600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne D. Reyes','P.O. Box 856, 9028 Nunc St.','Riverside','HI','32751','wreyes@emailathome.net',1238202,'576-738-2765',62392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezekiel R. Fowler','344 Sociosqu St.','Boulder','WA','60544','fowler@bpmpros.com',1238203,'711-968-5414',84343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley I. Brewer','Ap #113-6753 Ac Road','Peabody','TN','75746','sbrewer@abc.edu',1238204,'481-201-0786',27815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abraham W. Bonner','P.O. Box 289, 5969 Sem St.','Santa Rosa','HI','09285','bonner@widget.com',1238205,'122-403-5136',93021,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran Y. Ellis','996 Cubilia Road','Manhattan Beach','AL','85335','currane@hitmail.com',1238206,'464-866-0073',74878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad G. Morton','Ap #659-1156 Ornare Av.','Sturgis','MI','44520','smorton@widget.com',1238207,'956-311-1861',105295,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Glenna P. Joyce','8684 Lobortis St.','Akron','LA','29363',NULL,1238208,'816-803-4344',57699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique Q. Bolton','P.O. Box 820, 6430 Urna Road','Dunkirk','NY','99329','dominiqueb@emailathome.net',1238209,'783-599-3017',49888,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley V. Curry','173-7371 Magna, Street','Miami Beach','VT','58058',NULL,1238210,'478-151-5509',74366,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daquan Z. Oneal','6976 Metus. Avenue','Corry','IL','86361','daquan.oneal@xyz.edu',1238211,'267-114-8209',90827,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee S. Barber','280-1188 Eu, Street','Fort Lauderdale','AL','25402','lee.barber@email.net',1238212,'764-932-0458',80180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly M. Short','P.O. Box 408, 1646 Sapien. Av.','Nampa','NE','50486','kimberlys@emailathome.net',1238213,'889-653-5945',57848,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra D. Hendrix','Ap #685-1402 Sociis Street','Seaford','WY','55306','xandrah@hitmail.com',1238214,'793-682-1347',49893,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane V. Eaton','3934 Amet Ave','Vergennes','NH','30385','thane.eaton@bpmpros.com',1238215,'916-586-7439',77182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia J. House','Ap #950-2294 Ante. Road','Fredericksburg','VT','46286','house@bpmpros.com',1238216,'663-589-0748',32694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador V. Santos','P.O. Box 742, 6187 Et, Street','Stafford','NC','54400','santos@email.net',1238217,'797-461-8499',30075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper I. Riddle','P.O. Box 818, 8523 Mauris Rd.','Huntington Park','MT','13477',NULL,1238218,'878-566-8267',83403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiayada W. Neal','P.O. Box 227, 279 Justo Road','Idaho Springs','WA','43066','kiayada.neal@xyz.edu',1238219,'534-413-9787',21651,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna U. Lawrence','Ap #946-6198 Urna St.','Thousand Oaks','CA','05148','jannal@xyz.edu',1238220,'205-748-0509',47973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma K. Ramsey','P.O. Box 454, 4618 Placerat Street','Sutter Creek','KY','47042','ramsey@widget.com',1238221,'291-495-0431',109798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jarrod I. Burris','7726 Nam Av.','Catskill','WI','84669','jarrodb@emailathome.net',1238222,'464-683-6221',47068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea M. Livingston','Ap #137-3970 Est. St.','Latrobe','SC','73268',NULL,1238223,'927-391-8734',18310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel J. Mullins','9991 Quisque St.','Corinth','MS','98756','lionelm@hitmail.com',1238224,'183-975-6937',96632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn J. Bishop','P.O. Box 617, 9779 Risus. Ave','Covington','MI','90988','bishop@emailathome.net',1238225,'745-827-7013',15821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyra W. Blevins','P.O. Box 941, 8280 Curae; St.','Dover','MO','97887','kyrab@widget.com',1238226,'876-622-3581',65398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea O. Irwin','401-7002 Faucibus Rd.','Nogales','IL','73371','airwin@emailathome.net',1238227,'259-136-5579',22779,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylynn P. Boyle','P.O. Box 283, 1137 Tellus Rd.','Miami','NE','83056','kboyle@abc.edu',1238228,'437-597-5221',92357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker X. Brewer','Ap #198-7522 Donec St.','Oneonta','IA','86469','walker.brewer@widget.com',1238229,'526-854-3409',83159,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric N. Battle','780-3462 Cras St.','Walnut','UT','19806','battle@yohaa.com',1238230,'366-792-5469',106641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly R. Spears','P.O. Box 307, 705 In, Avenue','North Little Rock','WY','84104','molly.spears@xyz.edu',1238231,'901-276-9684',32648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor D. Hartman','1206 Vitae Street','City of Industry','AZ','63621',NULL,1238232,'242-643-5602',68235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelle A. Barrett','143-6245 Curabitur Rd.','Palmdale','UT','90064',NULL,1238233,'786-838-3709',53134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia Z. Contreras','6991 Mi Street','Radford','MD','06095','azaliac@yohaa.com',1238234,'202-671-1539',105512,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni Y. Yang','P.O. Box 542, 8794 Arcu. St.','Hayward','MS','83499','yang@hitmail.com',1238235,'585-787-2574',29237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter C. Gilmore','P.O. Box 776, 4232 Nonummy. Road','Coatesville','ID','78651','baxterg@email.net',1238236,'252-746-3236',98537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Akeem A. Becker','P.O. Box 399, 7390 Dictum. Road','Clarksburg','CA','34903','becker@emailathome.net',1238237,'665-716-3527',97869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars T. Hewitt','7107 Quis Rd.','Superior','VA','01744','hewitt@abc.edu',1238238,'235-592-0636',19392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik V. White','P.O. Box 567, 1437 Lorem Rd.','Pocatello','IA','28130','tarikw@widget.com',1238239,'975-219-7007',82207,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel T. Holmes','Ap #160-9388 Arcu. Road','Santa Clara','NH','89008','hilel.holmes@email.net',1238240,'348-313-4221',43702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca A. Sullivan','422 Donec Street','Pottsville','KS','16765','francescas@abc.edu',1238241,'677-501-2225',83449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima W. Richard','Ap #805-8290 Odio. St.','Batavia','NE','89406','jrichard@abc.edu',1238242,'262-849-2495',86711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase M. Bender','490-9197 Nec Av.','Beaver Falls','HI','76965','bender@abc.edu',1238243,'462-534-3736',35147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton Z. Campbell','227-313 Suspendisse St.','Saginaw','NH','76952','campbell@hitmail.com',1238244,'828-381-7250',105618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra E. Parrish','P.O. Box 645, 489 Metus Av.','Monongahela','PA','30116',NULL,1238245,'269-188-2790',105807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter X. Bullock','P.O. Box 433, 6658 At, Av.','Cruz Bay','WI','77107','bullock@xyz.edu',1238246,'315-584-5727',61117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde L. Salinas','861-7476 Facilisis Avenue','Jefferson City','HI','11498','chardes@email.net',1238247,'596-811-3958',83203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan F. Moss','Ap #620-3922 Neque Rd.','Youngstown','MA','65086','moss@emailathome.net',1238248,'575-172-8822',95465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin O. Browning','5441 Et Ave','Davis','MA','45781',NULL,1238249,'381-937-4346',42291,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germane N. Simpson','Ap #787-1835 Mauris Rd.','Hornell','NE','98233',NULL,1238250,'915-306-1436',93821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson D. Cummings','Ap #441-6795 Elit, St.','Fajardo','DE','65363','samsonc@abc.edu',1238251,'597-513-7289',78595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian M. Lambert','Ap #319-7931 Tristique Ave','El Monte','NM','73248','lambert@xyz.edu',1238252,'503-101-5132',55342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dustin C. Conrad','Ap #619-4445 Blandit Ave','Cruz Bay','SD','46020',NULL,1238253,'369-872-8724',104524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madison J. Patel','475-6172 Sem Avenue','Bandon','WY','82729','patel@abc.edu',1238254,'749-119-8806',70528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Florence N. Bishop','8556 Suspendisse Av.','Pascagoula','LA','42360','florence.bishop@abc.edu',1238255,'644-618-6195',108315,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin Q. Mcdaniel','Ap #890-8669 Lorem Avenue','Layton','RI','19452','quinm@bpmpros.com',1238256,'824-567-0746',106615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola Y. Church','Ap #583-6807 Nulla Ave','Fond du Lac','MA','12932','idola.church@emailathome.net',1238257,'485-308-7657',59044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ahmed L. Holman','657-3771 Varius Rd.','West Valley City','DE','55078','aholman@aulnet',1238258,'101-596-7944',78331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia D. Cobb','Ap #500-2343 Arcu Rd.','Waco','AK','26172','zcobb@widget.com',1238259,'251-362-6583',66753,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth F. Rush','369-6078 Pharetra Avenue','Trenton','OR','84700','erush@emailathome.net',1238260,'883-134-3069',68335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana C. Hamilton','102-1749 Dignissim St.','Oneida','IA','06380',NULL,1238261,'281-174-0084',22860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona Q. Hart','5635 Non Ave','West Haven','AK','78829','hart@abc.edu',1238262,'567-576-6730',99529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana H. Sloan','Ap #237-1240 Donec Street','La Habra','VA','92561','isloan@aulnet',1238263,'491-967-4440',39679,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quin D. Bray','730-2287 Ac Avenue','Canandaigua','TX','70072','quinb@widget.com',1238264,'544-944-8013',65824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona U. Hanson','5151 Ipsum. Rd.','Johnson City','ME','50918','kiona.hanson@widget.com',1238265,'915-369-5639',64003,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana V. Booth','P.O. Box 812, 9550 Accumsan Rd.','Plantation','OR','16767','janab@bpmpros.com',1238266,'876-882-0506',30805,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerry R. May','Ap #944-3028 Commodo Rd.','Revere','OR','47553','jerry.may@hitmail.com',1238267,'422-297-9889',52907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Taylor O. Mcdaniel','P.O. Box 388, 8239 Maecenas St.','Rutland','IL','93940','taylor.mcdaniel@abc.edu',1238268,'605-926-1230',27449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden N. Andrews','P.O. Box 456, 7715 Purus Rd.','Grafton','OK','97690','branden.andrews@yohaa.com',1238269,'642-246-0722',16502,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kibo D. Doyle','Ap #710-8759 Viverra. Street','Saginaw','AK','72279','kibod@aulnet',1238270,'871-512-6687',49948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aretha J. Tyson','Ap #345-4379 Non St.','Crown Point','WV','09081','aretha.tyson@bpmpros.com',1238271,'352-232-6432',23044,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille L. Waters','8317 Nec Av.','Anchorage','LA','50750','camille.waters@emailathome.net',1238272,'769-995-0171',89351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis A. Lara','7869 Proin Ave','Tonawanda','TN','89835','davis.lara@emailathome.net',1238273,'802-977-8673',82529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah X. Brooks','724-6880 Magna Road','Bismarck','NC','40730','brooks@xyz.edu',1238274,'566-477-3552',32429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton X. Mack','8224 Ipsum Rd.','Alhambra','GA','21126',NULL,1238275,'391-457-9937',47586,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara O. Duffy','P.O. Box 975, 6668 Mollis. Rd.','San Francisco','PA','99521','tarad@hitmail.com',1238276,'758-958-2052',18045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera J. Wiley','9076 Porta Street','Redding','CA','86866','veraw@abc.edu',1238277,'818-184-9797',17551,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena G. Garrett','P.O. Box 476, 995 Sed, Street','La Ca?ada Flintridge','LA','48635',NULL,1238278,'592-419-4033',89165,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis U. Carney','P.O. Box 444, 7382 Rhoncus. Rd.','Fort Smith','SC','18966','carney@yohaa.com',1238279,'692-194-4138',27190,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga X. Decker','Ap #446-8502 Arcu Road','San Dimas','RI','54872',NULL,1238280,'839-432-4248',49266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross M. Quinn','618-3570 Eu Avenue','Brookings','WI','77931','rquinn@emailathome.net',1238281,'804-744-0755',105724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul I. Hall','3561 Sem. St.','Boulder','GA','38626','abdulh@xyz.edu',1238282,'429-609-0734',91734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra I. Velez','Ap #409-7506 Tincidunt Avenue','Sault Ste. Marie','DE','30369','avelez@emailathome.net',1238283,'185-415-0141',102282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rajah S. Lewis','P.O. Box 891, 3980 Ac Rd.','Pullman','HI','32472','rajah.lewis@email.net',1238284,'832-827-2313',67835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani M. Horton','P.O. Box 282, 4473 Lorem Avenue','Downey','CA','39562',NULL,1238285,'945-776-5038',57985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem A. Cline','493-6104 Non Rd.','Pass Christian','NY','78808','cline@abc.edu',1238286,'471-415-1817',106982,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kessie K. Mcgee','228-4090 Facilisis Ave','Urbana','NH','20599','kmcgee@abc.edu',1238287,'498-868-1743',80253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley R. Best','P.O. Box 272, 4454 Aenean Rd.','Lodi','KY','98019','lbest@xyz.edu',1238288,'508-906-7759',64640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tobias F. Flowers','6415 Lorem, Road','Appleton','WA','41380','flowers@emailathome.net',1238289,'282-143-9335',29267,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurelia C. Blanchard','829-4960 Magna Avenue','Saint Cloud','ND','69201',NULL,1238290,'692-784-8277',71517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst T. Frederick','7288 Sit Road','Hayward','IL','02988','afrederick@abc.edu',1238291,'918-168-2466',40032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer A. Harrell','257-5671 Neque Road','Plantation','AK','38930','sawyer.harrell@widget.com',1238292,'918-937-9052',58584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor S. Warren','Ap #492-7752 Integer Road','Aurora','NM','66894','cwarren@bpmpros.com',1238293,'825-744-6806',93228,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine H. Strong','P.O. Box 849, 1709 Ultrices, Av.','Rancho Cordova','IL','82558',NULL,1238294,'444-278-9215',22042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy X. Chavez','P.O. Box 780, 8786 Justo St.','College Park','NH','89672','dorothyc@yohaa.com',1238295,'322-675-7436',87495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah V. Cox','Ap #734-4309 Etiam Road','Utica','MN','03093','judah.cox@hitmail.com',1238296,'766-987-5613',26553,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn X. Wilder','Ap #812-5552 Sapien, St.','Kokomo','MO','92406','wilder@xyz.edu',1238297,'599-255-1426',21387,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato E. Wynn','P.O. Box 948, 1473 Dictum Avenue','San Marino','OR','26619','hwynn@abc.edu',1238298,'116-615-7609',24250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora E. Mcneil','602-5706 Consectetuer Rd.','Jefferson City','MO','23440','cmcneil@email.net',1238299,'161-286-7905',72823,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avye S. Jimenez','9369 Nec St.','Peekskill','HI','69982','avyej@bpmpros.com',1238300,'437-444-4629',54281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos Z. Bennett','529-4547 Convallis St.','Manitowoc','KY','58428','cbennett@emailathome.net',1238301,'401-848-2816',65605,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hakeem Y. Mendez','3125 Placerat. Ave','Seattle','LA','81617','hakeem.mendez@xyz.edu',1238302,'559-401-5843',17290,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace Q. Kennedy','854-4074 Euismod Av.','Wausau','PA','14096','gkennedy@emailathome.net',1238303,'713-363-6721',64924,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto O. King','P.O. Box 990, 8637 Sit Avenue','Laguna Beach','TN','59164','oking@bpmpros.com',1238304,'361-974-1468',32909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma S. Wolf','778-4838 Fermentum Rd.','La Puente','OR','56315',NULL,1238305,'581-752-6358',90287,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Castor Z. Nicholson','Ap #774-1417 Nibh. Rd.','West Palm Beach','MO','29385','castorn@bpmpros.com',1238306,'792-382-0327',76122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roanna L. Massey','165-8873 Non, Street','Broken Arrow','SD','36455','massey@email.net',1238307,'832-633-8148',61053,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando D. Macias','Ap #570-3650 Eleifend St.','Winston-Salem','NJ','42178','orlandom@aulnet',1238308,'635-566-0089',34293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison R. Pruitt','6213 A Street','Isle of Palms','ME','37041','gpruitt@abc.edu',1238309,'369-222-6792',97678,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren U. Clayton','Ap #856-5982 Eros Rd.','Saratoga Springs','NC','03030','clayton@hitmail.com',1238310,'183-342-4731',65673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria K. Hood','P.O. Box 410, 1439 Ac Rd.','Pembroke Pines','FL','89782','daria.hood@yohaa.com',1238311,'724-716-0575',47411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benedict W. Pratt','579-7963 Rhoncus. St.','Kingston','UT','06696',NULL,1238312,'479-203-8189',89674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason D. Mack','P.O. Box 181, 4769 Nunc Street','Evansville','NM','51858','mason.mack@hitmail.com',1238313,'545-924-0369',63209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn H. Talley','927-7425 Est, Rd.','Jacksonville','AL','64416','ktalley@xyz.edu',1238314,'365-819-7437',85898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy G. Palmer','Ap #674-481 Fusce Rd.','Wheeling','NV','59014','palmer@aulnet',1238315,'532-807-6264',75239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko J. Day','Ap #458-5266 Justo Avenue','Coatesville','AK','53513','yokod@widget.com',1238316,'638-269-0767',103851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan O. Carpenter','1713 Phasellus Road','Fort Lauderdale','NH','75391','declanc@abc.edu',1238317,'744-107-8247',39549,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster Y. Harrison','P.O. Box 677, 8813 A Rd.','Laramie','NJ','16692','harrison@widget.com',1238318,'184-737-7346',76285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Solomon X. Higgins','828 Amet, Av.','La Habra Heights','WI','43324','shiggins@email.net',1238319,'984-283-5553',48917,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yolanda Z. Rollins','575-6591 Elit Rd.','Del Rio','ME','34087','yrollins@bpmpros.com',1238320,'403-486-5791',45509,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal R. Landry','Ap #204-9599 Ac Street','Berkeley','NY','03937','kamall@aulnet',1238321,'125-527-8144',100249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Genevieve F. Moody','3554 Sed St.','Kona','NV','61091','genevieve.moody@emailathome.net',1238322,'495-297-7404',40911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carl S. Tanner','348-1059 Orci. Street','Los Angeles','DC','79330','carlt@xyz.edu',1238323,'432-827-9246',79968,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy Y. Campbell','Ap #725-2763 Non, St.','Athens','WI','18587',NULL,1238324,'927-369-1860',29206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell V. Quinn','2173 Porttitor Av.','Uniontown','MN','58500','bell.quinn@aulnet',1238325,'459-142-8877',102930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine A. Guerrero','6408 Imperdiet, Rd.','Astoria','NY','58174','maxineg@bpmpros.com',1238326,'125-161-9751',66702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya H. Stone','Ap #336-3435 Quis Rd.','Burbank','AL','64412',NULL,1238327,'697-612-6825',67457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto C. Orr','391-1099 Fames Rd.','Ashland','NH','64328','orr@yohaa.com',1238328,'742-338-8595',53272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christian Y. Blevins','P.O. Box 101, 3429 Adipiscing Ave','Joliet','KS','98652','blevins@emailathome.net',1238329,'971-722-9508',28701,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan O. Galloway','Ap #231-1790 Elit. Road','Meridian','DE','49438','agalloway@hitmail.com',1238330,'191-162-6846',57482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivor P. Jacobs','P.O. Box 708, 2023 Est, Av.','North Las Vegas','SD','98148',NULL,1238331,'686-777-7394',40173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guy S. Boyle','352-3588 Eu Rd.','Kansas City','WV','79277','guyb@xyz.edu',1238332,'516-103-8795',29246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vance K. Alford','P.O. Box 203, 6650 Lectus St.','Jersey City','MD','35914','alford@emailathome.net',1238333,'383-708-7106',96331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen A. Charles','367-2848 Dolor St.','Memphis','MA','89815','acharles@email.net',1238334,'829-113-7205',47885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee F. Burch','P.O. Box 337, 4653 Torquent Street','Newport News','NV','96176','cherokee.burch@yohaa.com',1238335,'192-822-8435',76450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette Z. Brennan','P.O. Box 932, 5031 Viverra. St.','Huntington Beach','FL','76273','jeanetteb@abc.edu',1238336,'451-442-1620',22082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha S. Miles','Ap #801-9401 Eu Ave','Two Rivers','OH','83360','martha.miles@xyz.edu',1238337,'635-985-2364',108860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah B. Lester','6549 Sagittis St.','Tempe','MO','41270','lester@emailathome.net',1238338,'607-761-2596',95492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora I. Fischer','2802 Euismod St.','Plymouth','AK','95779','fischer@widget.com',1238339,'997-967-6336',73063,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa H. Matthews','Ap #197-140 Luctus Av.','Richmond','WI','03898','matthews@xyz.edu',1238340,'668-565-4221',80891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes H. Robertson','Ap #428-1540 Dictum Road','Cicero','MS','44347','mercedes.robertson@emailathome.net',1238341,'236-805-3608',105127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francis Q. Whitaker','5931 Purus, Ave','Blythe','NE','74368','francis.whitaker@yohaa.com',1238342,'803-627-2077',51050,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gregory F. Riddle','P.O. Box 959, 1052 Mi St.','Vicksburg','VA','46210',NULL,1238343,'679-573-0092',18309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Morgan K. York','Ap #424-8671 Nunc Ave','Seattle','KS','26762',NULL,1238344,'184-753-1351',52524,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona L. Howell','2884 Fusce Rd.','Dallas','MS','39001',NULL,1238345,'788-986-3526',79190,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile W. Crawford','508-9954 Magna. Ave','Rockford','IA','79008',NULL,1238346,'111-898-7850',48215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae A. Peterson','4345 Urna Avenue','Perth Amboy','FL','91999',NULL,1238347,'891-702-8816',72880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander S. Day','406-4137 Eget, St.','Greensboro','HI','47739',NULL,1238348,'728-629-3301',33129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius U. Skinner','571-913 Eu, St.','Valparaiso','UT','03350',NULL,1238349,'189-718-3476',89915,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ross Z. Simpson','2752 Quam Ave','Saint Paul','IN','16347','rsimpson@bpmpros.com',1238350,'773-782-6634',106478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato R. Cooper','Ap #572-858 Luctus. St.','Corvallis','IA','51877','platoc@xyz.edu',1238351,'225-808-5992',64723,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia M. Powell','P.O. Box 577, 9554 Feugiat. Avenue','Northampton','AZ','33895',NULL,1238352,'673-898-7062',104770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevin M. Mack','7591 Ligula. Street','Denver','CA','73257','mack@email.net',1238353,'646-104-4932',76237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi Y. Steele','829-1942 Velit Road','San Fernando','RI','82265','heidis@aulnet',1238354,'413-169-1635',73807,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie G. Rice','P.O. Box 460, 572 Dapibus Rd.','Plano','GA','91584','melanier@emailathome.net',1238355,'749-263-1212',103566,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joelle O. Riddle','2166 Elementum Rd.','Chino Hills','AK','78427','joelle.riddle@abc.edu',1238356,'676-141-0572',83988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whoopi Z. Hull','Ap #493-1042 Mollis Avenue','Everett','ID','29607','whoopih@email.net',1238357,'125-792-7427',15565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy T. Battle','Ap #812-4576 Erat, Rd.','Kona','HI','48177','wendy.battle@hitmail.com',1238358,'875-991-6914',50666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid J. Decker','P.O. Box 362, 7886 Nam Street','Sedalia','CA','37076','decker@abc.edu',1238359,'254-139-0396',39441,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle Q. Carey','P.O. Box 953, 6570 Cursus Road','Calabasas','ID','36264','carey@aulnet',1238360,'341-595-5245',71772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galena W. Contreras','123-7166 Est, Road','Littleton','WI','28554','galenac@bpmpros.com',1238361,'819-161-5550',99058,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wylie M. Le','786-711 Arcu. Ave','Seward','SC','71999','wyliel@hitmail.com',1238362,'554-464-4249',99324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr U. Watkins','331-2033 Mauris. Rd.','Mount Vernon','AK','80751','zephr.watkins@xyz.edu',1238363,'752-306-5799',20737,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva Y. Vega','Ap #406-3523 Feugiat Av.','Williamsport','NJ','67948','hvega@widget.com',1238364,'701-452-6662',51527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris L. Dixon','471-489 Urna. St.','Brookfield','PA','39697','marisd@xyz.edu',1238365,'635-436-7964',69593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haviva Y. Parsons','154-1243 Urna. Avenue','San Mateo','MS','25954',NULL,1238366,'652-397-6334',43148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot W. Vance','4252 Nisl. Rd.','Mobile','HI','09891','vance@aulnet',1238367,'497-853-0827',67633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev A. Bradley','7639 Lacus, St.','Las Vegas','NV','18388','bradley@xyz.edu',1238368,'468-507-2835',103120,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig S. Schultz','7934 Placerat Road','Franklin','VT','32624',NULL,1238369,'562-408-1598',90407,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard J. Curry','P.O. Box 499, 2266 Posuere Road','New Castle','ID','17950','curry@aulnet',1238370,'684-256-4556',17964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illana V. Le','P.O. Box 963, 1916 Luctus Ave','Hoboken','MD','64981','illana.le@bpmpros.com',1238371,'932-616-7622',32259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola F. Strong','P.O. Box 431, 1585 Mauris, Road','Diamond Bar','KS','77631',NULL,1238372,'613-555-0708',51673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig O. Beasley','870 Cras Avenue','Grambling','SD','07865','cbeasley@widget.com',1238373,'629-781-0364',54556,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrison G. Jensen','366-6421 Faucibus Ave','DeKalb','AK','81099','jensen@abc.edu',1238374,'964-594-1741',25817,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika N. Miranda','1336 Sed St.','Santa Clarita','AZ','24183','amiranda@emailathome.net',1238375,'394-389-7280',55657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marny P. Ingram','P.O. Box 359, 9187 Vitae Rd.','Glendora','AZ','14539','marnyi@hitmail.com',1238376,'724-117-3960',34098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen Q. Black','P.O. Box 924, 683 Gravida Rd.','La Mirada','GA','20934','black@email.net',1238377,'574-398-3146',19181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna G. Payne','7998 Quis, Av.','Gallup','CO','59331','payne@abc.edu',1238378,'435-883-3120',60112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon E. Mccarthy','6316 Feugiat Ave','Grand Forks','NC','96831','gannonm@hitmail.com',1238379,'775-908-4977',39325,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel J. Workman','4650 Tellus. Street','Port Arthur','NY','99819','workman@hitmail.com',1238380,'593-671-1710',33468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio Y. Powell','6809 Pede. Rd.','Sugar Land','IL','92632','arseniop@widget.com',1238381,'614-664-8219',54231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan L. Barlow','P.O. Box 968, 4347 Sapien, St.','Revere','VA','17919','ryan.barlow@abc.edu',1238382,'642-366-8297',62708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aline X. Mueller','883-7973 Cursus Ave','Mayag?ez','TN','73990','amueller@hitmail.com',1238383,'801-553-7175',58661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavius Z. Edwards','6117 Mauris Avenue','Natchez','ID','73600','edwards@aulnet',1238384,'999-181-0252',107875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea N. Bean','2275 Luctus Ave','Manchester','OH','23661','rbean@email.net',1238385,'932-922-9290',44780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton O. Mcknight','Ap #749-6636 Mauris Road','Honolulu','MO','19043','daltonm@abc.edu',1238386,'714-656-5775',21390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses J. Lowe','1373 Ac St.','Merced','NH','93085','moses.lowe@bpmpros.com',1238387,'191-462-7263',90263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason I. Buckner','9166 Cras Av.','Port St. Lucie','AK','54673','jasonb@hitmail.com',1238388,'183-692-5387',27200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa N. Huber','Ap #249-4603 Eu Avenue','Jenks','AZ','02966','alyssah@abc.edu',1238389,'741-734-2258',73281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley T. Morales','340-210 In St.','Texas City','MI','48450',NULL,1238390,'527-268-8911',39835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita W. Barnett','Ap #584-7724 Sed Ave','Superior','SD','22070','nbarnett@xyz.edu',1238391,'522-949-1160',24369,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma J. Clay','P.O. Box 686, 8963 Sed St.','Spokane','FL','94426','clay@email.net',1238392,'698-229-1682',91164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen X. Ellison','920-6629 Diam. Road','Lexington','NV','72076','kathleen.ellison@widget.com',1238393,'694-292-2103',93039,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum Q. Mcpherson','Ap #807-3264 Bibendum Av.','San Angelo','OH','25607','mcpherson@yohaa.com',1238394,'774-378-3696',91723,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephania Q. Workman','386-4832 At, Rd.','Saint Louis','CO','87803','zephania.workman@widget.com',1238395,'501-285-4528',38624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee B. Hudson','Ap #172-550 Nulla Road','Warner Robins','MD','53230','chudson@aulnet',1238396,'234-645-7291',96878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dahlia C. Woodard','P.O. Box 646, 8848 A, Road','Spokane','OH','04557','dahlia.woodard@xyz.edu',1238397,'788-823-4772',108624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora W. Haley','3736 Nonummy Road','Santa Ana','CT','96677','haley@xyz.edu',1238398,'124-803-7949',53075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara P. Rasmussen','424 Sem. Rd.','Inglewood','KY','11780','crasmussen@emailathome.net',1238399,'448-252-5317',22685,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe C. Dillon','1291 Sit Road','Newcastle','IA','74646','blythed@bpmpros.com',1238400,'725-869-7848',47632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca C. Atkinson','952-6475 Amet St.','Saginaw','RI','08073','rebeccaa@bpmpros.com',1238401,'729-554-3120',16188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas J. Terrell','427-598 Dui Avenue','Saint Joseph','IA','04913','nterrell@widget.com',1238402,'196-726-1795',101029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David X. Martinez','499-3861 Suspendisse Rd.','Portsmouth','SD','11025','dmartinez@email.net',1238403,'939-936-7518',37954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett D. Hendricks','P.O. Box 388, 4424 Vivamus Avenue','Gloucester','PA','52563',NULL,1238404,'689-628-5542',22709,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leroy I. Chen','176-5563 Vel Rd.','Marshall','MD','18970','lchen@widget.com',1238405,'544-134-6522',29674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Montana G. Lang','Ap #988-2728 Morbi Ave','Appleton','AK','48466','montanal@abc.edu',1238406,'436-881-9146',85034,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nomlanga X. Shields','P.O. Box 703, 588 Sed Road','Passaic','NC','71229',NULL,1238407,'785-122-9038',35212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon Y. Juarez','8854 In Street','Peabody','WI','62039','quon.juarez@xyz.edu',1238408,'262-231-6428',52380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon H. Compton','4811 Fringilla Avenue','Ketchikan','CA','72859','compton@yohaa.com',1238409,'153-179-1832',67590,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy L. Howell','Ap #493-2971 Praesent Ave','Nacogdoches','GA','20303','howell@widget.com',1238410,'353-416-4956',89967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik I. Schultz','8258 Tempus, Street','Atlanta','MA','04007','tschultz@emailathome.net',1238411,'248-574-8154',66449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jared E. Bender','6011 Molestie. Avenue','New Kensington','IL','38768','jaredb@hitmail.com',1238412,'279-994-7401',45814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claire U. Oneal','9087 Vitae St.','Huntsville','SD','41384',NULL,1238413,'251-178-9672',51973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colton N. Glass','P.O. Box 413, 2952 Eleifend Rd.','Guayama','GA','00742','coltong@aulnet',1238414,'237-498-3662',47449,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira S. Lambert','274-4096 Eget Av.','Kokomo','NE','78579','ilambert@bpmpros.com',1238415,'423-569-8581',37206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joan O. Houston','612-8224 Sem Avenue','Mesquite','PA','39808','houston@widget.com',1238416,'488-711-2790',42177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona N. Ewing','P.O. Box 283, 6886 Adipiscing. Ave','Houston','RI','57986','rhona.ewing@yohaa.com',1238417,'895-273-9822',73188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria X. Fleming','409-2993 Orci. Rd.','Lowell','NE','34882','fleming@xyz.edu',1238418,'878-663-8358',38514,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert W. Anderson','1334 Fames Street','Tacoma','FL','60163','robert.anderson@bpmpros.com',1238419,'642-839-7950',92724,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil Q. Massey','Ap #988-4511 Non Road','West Allis','PA','90960',NULL,1238420,'224-766-6043',108821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abra U. Gomez','111-3025 Lorem, Avenue','Beloit','WY','73863','abrag@widget.com',1238421,'824-958-7233',35950,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad F. Petty','P.O. Box 797, 9889 Libero St.','Kenner','SC','70553','tadp@yohaa.com',1238422,'427-341-2980',32978,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Echo K. Herman','Ap #153-2153 Est, St.','Nichols Hills','TN','64545','echo.herman@hitmail.com',1238423,'298-515-7660',74089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karina V. Berg','P.O. Box 971, 6169 Fringilla Rd.','Sioux Falls','AK','80544','karina.berg@hitmail.com',1238424,'281-388-8936',73756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita G. Oneill','P.O. Box 380, 2390 Id, Ave','Enid','IN','36516','zoneill@email.net',1238425,'262-352-5304',50823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hillary Z. Bennett','P.O. Box 924, 5089 Semper Ave','Fallon','HI','55682','hillary.bennett@yohaa.com',1238426,'399-461-6122',70892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay Z. Nash','1332 In Ave','Laguna Beach','GA','42707','nash@xyz.edu',1238427,'376-596-4325',17043,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius G. Smith','9759 Urna St.','Thomasville','NY','11006','ismith@aulnet',1238428,'376-104-6632',22800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita Q. Kirk','Ap #993-9364 Ultrices Avenue','Paducah','VA','58569','nita.kirk@yohaa.com',1238429,'676-953-0667',39479,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zia I. Bartlett','4422 Ac Rd.','Lake Charles','MO','13378','zbartlett@email.net',1238430,'236-293-7980',108751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet T. Neal','1091 Nulla Rd.','Hammond','KY','85227','juliet.neal@xyz.edu',1238431,'655-578-0873',75081,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxine Q. Cummings','455-4829 Praesent Ave','Whittier','FL','56132','maxinec@bpmpros.com',1238432,'469-915-4824',88070,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zane K. Roman','P.O. Box 355, 7249 Dui. St.','Hackensack','ND','87644','zroman@yohaa.com',1238433,'877-237-1515',57225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy F. White','Ap #123-7601 Velit. Ave','Orlando','IA','96384','hedy.white@abc.edu',1238434,'129-806-0421',16841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola M. Montoya','Ap #279-3564 Pede. Rd.','Fayetteville','HI','55952','montoya@email.net',1238435,'437-466-2722',34500,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan F. Fry','Ap #754-5511 Et Avenue','Hampton','WA','10665','jfry@aulnet',1238436,'628-966-3225',16207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira F. Phelps','854-9899 Ante St.','Canandaigua','NV','44164','iphelps@emailathome.net',1238437,'731-458-3146',55148,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy L. Chavez','Ap #140-9341 Eros. Avenue','Bossier City','VT','44798','mchavez@hitmail.com',1238438,'853-694-0423',74375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa B. Acosta','572-738 A St.','Carbondale','NH','49493','odessa.acosta@bpmpros.com',1238439,'283-146-7397',94318,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody L. Bright','Ap #404-2831 Maecenas St.','Yakima','UT','43382',NULL,1238440,'876-169-0057',56188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessica G. Leblanc','Ap #662-7368 Lobortis Rd.','Dothan','WI','83326','leblanc@abc.edu',1238441,'719-596-5555',76645,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea C. Haley','278-5382 Eu, Avenue','Bentonville','TN','72566','aleah@xyz.edu',1238442,'983-603-1986',66638,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace F. Edwards','899-5484 Feugiat Rd.','Newburyport','CA','93076','gracee@aulnet',1238443,'633-516-0281',33157,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nash T. Stafford','4391 Scelerisque St.','Rutland','GA','84353','nash.stafford@aulnet',1238444,'751-414-6551',75352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato V. Andrews','Ap #715-7600 Lobortis Ave','Sherrill','NM','85969','andrews@bpmpros.com',1238445,'313-173-4860',54376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne B. Conrad','8444 Commodo St.','Valencia','NH','41809','bconrad@xyz.edu',1238446,'496-327-5248',80168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fuller S. Herrera','7990 Elit Rd.','Kemmerer','CO','02876','herrera@email.net',1238447,'957-996-4282',91569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla Q. Pugh','P.O. Box 593, 8263 Et St.','Moorhead','MI','53355','carla.pugh@hitmail.com',1238448,'223-189-9854',21946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome W. Pittman','539-5549 Pede. Rd.','Manhattan Beach','AK','49102','jeromep@abc.edu',1238449,'568-692-6706',69925,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra Q. Calderon','Ap #824-3399 Mauris Av.','Appleton','IN','32682','myra.calderon@widget.com',1238450,'885-344-8355',27453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko S. Conner','543-1949 Magnis Street','Thiensville','IA','54496','mariko.conner@widget.com',1238451,'279-955-2080',53949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob O. Monroe','479-1628 Ipsum Av.','New Albany','VA','28482',NULL,1238452,'979-148-0032',22340,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan M. Garrett','P.O. Box 789, 7908 Magna Avenue','Evanston','FL','12331','cgarrett@abc.edu',1238453,'814-784-7217',46637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet K. Wolf','3994 In Street','Enfield','WA','23004',NULL,1238454,'347-428-8071',86483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alden N. Griffin','789-5932 Euismod Av.','San Luis Obispo','NC','51174','griffin@xyz.edu',1238455,'289-437-8656',78976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia L. Stevens','6882 Montes, Street','Brea','MA','21627','stevens@xyz.edu',1238456,'845-354-2979',90891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imani M. Lee','574-1735 Nunc Av.','Natchez','MN','83404','lee@yohaa.com',1238457,'132-976-2204',36992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott A. Henderson','Ap #360-7729 Dictum. Avenue','Thibodaux','SD','27210','prescott.henderson@xyz.edu',1238458,'625-756-6328',72149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne V. Finley','1965 Dolor Ave','Newport Beach','ME','22375','daphnef@bpmpros.com',1238459,'297-259-7343',101742,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robin T. Maxwell','P.O. Box 320, 8151 Cras Av.','Poughkeepsie','CO','44777','robin.maxwell@aulnet',1238460,'154-251-4191',54772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jason I. Hunter','P.O. Box 721, 8473 Egestas. St.','Boulder City','WA','06151','jasonh@email.net',1238461,'939-183-2336',61393,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan X. Randall','P.O. Box 127, 2507 Nec St.','Franklin','OK','67274','randall@hitmail.com',1238462,'425-355-3475',88311,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aline G. Casey','P.O. Box 162, 1239 Eget, Avenue','Huntsville','CO','84141','acasey@xyz.edu',1238463,'416-742-0963',50361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth D. Velez','722-9871 Molestie St.','Mission Viejo','PA','84669','garth.velez@yohaa.com',1238464,'811-237-9780',84987,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jescie C. Hayes','277-4157 Egestas. Street','Olean','VT','64259','jescie.hayes@emailathome.net',1238465,'918-739-8768',59593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennedy F. Schneider','856-5559 Sollicitudin Street','Minneapolis','AK','93458','kennedys@xyz.edu',1238466,'608-527-2661',48503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya V. Wise','P.O. Box 899, 379 Sit Av.','Grafton','OR','75168','wise@xyz.edu',1238467,'627-336-7620',43361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timothy Q. Dean','200-245 Nisl St.','Littleton','AL','76741','tdean@hitmail.com',1238468,'911-548-7835',60186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin U. Mcfarland','819-430 Malesuada. Av.','Torrington','VA','90267','martinm@email.net',1238469,'118-939-3770',73894,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin C. Merrill','3633 Fringilla St.','Ashland','IA','10159','cmerrill@hitmail.com',1238470,'286-987-7707',24794,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah F. Kim','6061 Sit Rd.','Kenosha','AK','07919','kim@hitmail.com',1238471,'125-144-6323',32773,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming Y. Juarez','340-8800 Fames Road','Benton Harbor','CA','19317','wyomingj@emailathome.net',1238472,'337-353-3069',56173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler Q. Griffin','Ap #905-2297 Mauris Av.','Williamsport','DC','25535','skyler.griffin@widget.com',1238473,'953-289-5418',63259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda Y. Sims','Ap #542-721 Lorem St.','Brigham City','ME','53179','rhondas@yohaa.com',1238474,'715-677-8563',20507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sonia O. Duran','Ap #397-3280 Orci St.','Beckley','SD','26270','duran@hitmail.com',1238475,'451-275-7425',17346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley C. Wilkinson','Ap #556-3481 Augue, Street','Chattanooga','TN','60487','wilkinson@xyz.edu',1238476,'767-118-1839',44764,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila I. Lee','472-7380 Tellus Rd.','Beckley','VA','77447','llee@aulnet',1238477,'825-593-5007',106714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah H. Peck','Ap #597-7472 Tellus, Street','Aspen','WI','85362','peck@email.net',1238478,'801-636-1287',47042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah H. Lee','Ap #354-4898 Porttitor Street','Corona','TN','87362','lee@abc.edu',1238479,'736-536-0722',15222,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barry I. Adams','Ap #384-7756 Ullamcorper. Rd.','Dearborn','NJ','44621','barrya@bpmpros.com',1238480,'995-721-1662',52761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane K. Jimenez','Ap #106-210 Nisl Rd.','Hermitage','KS','90035',NULL,1238481,'757-752-3724',54659,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah V. Payne','P.O. Box 809, 6723 Elit St.','West Haven','SC','14905','payne@email.net',1238482,'931-697-3496',39622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy R. Coffey','868-953 Quis Avenue','Plano','NY','44959','ccoffey@hitmail.com',1238483,'954-995-5928',59777,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carol S. Mcgowan','456-6803 Tristique Av.','Torrington','ID','85239','carolm@email.net',1238484,'388-243-1476',59037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone Y. Mason','Ap #475-9436 Aliquam St.','Belleville','SD','03599','tyrone.mason@abc.edu',1238485,'828-117-3694',30099,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly Q. Bonner','Ap #710-8147 Suscipit, Rd.','Deadwood','CA','93297','molly.bonner@bpmpros.com',1238486,'896-725-7420',21974,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran G. Knowles','4840 Ultricies Rd.','Duarte','MA','62891','knowles@bpmpros.com',1238487,'212-901-6721',64045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Montana P. Goodwin','P.O. Box 988, 4420 Ipsum. Rd.','Port Arthur','TN','20083','goodwin@widget.com',1238488,'885-106-9065',89418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xantha H. Odonnell','4106 Ridiculus St.','Moultrie','AK','72964','xodonnell@hitmail.com',1238489,'174-452-8524',60606,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris A. Campos','Ap #421-7579 Orci. St.','Rochester','IL','35307','dorisc@yohaa.com',1238490,'373-346-6985',63569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra Z. Weeks','P.O. Box 463, 2079 Velit. St.','Rhinelander','PA','01836','weeks@emailathome.net',1238491,'335-517-8535',68488,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darryl B. Barron','P.O. Box 697, 1011 Ipsum. Avenue','Blythe','AK','82383','darrylb@widget.com',1238492,'211-455-9628',41518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian V. Griffin','1798 Fringilla Road','Huntsville','WY','09797','lucian.griffin@aulnet',1238493,'126-448-4839',93963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anastasia R. Campos','P.O. Box 255, 6047 Ridiculus Ave','Jeffersontown','CA','06315','anastasia.campos@bpmpros.com',1238494,'203-238-5769',78159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoko M. Turner','P.O. Box 425, 7969 Ut St.','Citrus Heights','NE','61467','yoko.turner@xyz.edu',1238495,'783-895-0236',17850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita S. Mcfarland','P.O. Box 107, 5555 Leo. Rd.','Goose Creek','LA','97159','mcfarland@widget.com',1238496,'527-309-1952',36183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester G. Shannon','8606 Adipiscing, Road','Vincennes','DE','42891','sshannon@yohaa.com',1238497,'617-569-1991',28180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wayne J. Morse','P.O. Box 483, 4190 Vulputate Rd.','Newton','ME','51093','morse@emailathome.net',1238498,'895-402-9700',80138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica V. Cunningham','P.O. Box 259, 4000 Curabitur Av.','Hopkinsville','NJ','90542',NULL,1238499,'646-542-9538',42914,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim Z. Vasquez','4508 Est St.','Yuma','WY','32142','vasquez@xyz.edu',1238500,'307-562-0162',20754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran X. Knapp','4799 Urna, Avenue','Glen Cove','WV','92436',NULL,1238501,'651-881-5376',54973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone Q. Gillespie','P.O. Box 855, 466 Vulputate, Rd.','Arcadia','NC','67150','gillespie@aulnet',1238502,'597-248-0395',75291,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myra B. Decker','Ap #548-1217 Cursus Rd.','Schenectady','KY','06264','mdecker@hitmail.com',1238503,'425-913-0600',101988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea O. Miller','Ap #359-4342 Ante Av.','Falls Church','SC','16913','amiller@email.net',1238504,'278-593-4055',80122,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana P. Mcknight','P.O. Box 497, 973 Pharetra. Street','Rock Springs','OR','50167',NULL,1238505,'171-359-7422',65894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney F. Pena','2164 Mattis Street','Mentor','WI','73178','rooney.pena@aulnet',1238506,'295-903-0289',21867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique H. Cortez','365 Ultricies St.','Los Alamitos','KS','88355','dominiquec@yohaa.com',1238507,'763-683-1824',100353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lareina W. Fitzpatrick','P.O. Box 933, 3728 Parturient Rd.','Blacksburg','VA','22300','lfitzpatrick@yohaa.com',1238508,'766-429-0122',106313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie W. Price','Ap #740-5964 Et St.','Santa Clarita','NY','53475','price@aulnet',1238509,'886-543-9720',98357,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga V. Finch','Ap #991-675 Ornare, St.','Jeffersonville','OH','36189','finch@yohaa.com',1238510,'666-552-9049',93331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga S. Wade','Ap #176-2522 Duis St.','Dover','AK','79915',NULL,1238511,'105-671-1220',49883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reese E. Witt','6812 Et Avenue','Camden','MI','68636',NULL,1238512,'627-227-7947',20529,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter D. Bray','P.O. Box 378, 4147 Eu Avenue','Appleton','GA','68536','peter.bray@aulnet',1238513,'263-881-0177',25698,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel E. Madden','201-5480 Enim Rd.','Jackson','MA','60628',NULL,1238514,'256-428-1192',42521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada K. Wright','Ap #945-2086 Nibh Rd.','Tallahassee','AZ','46707','wright@bpmpros.com',1238515,'436-592-8100',41486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeus O. Figueroa','6459 Nunc Street','Selma','NE','46771','zeusf@emailathome.net',1238516,'542-286-8350',31820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa F. Browning','Ap #562-8031 Nibh St.','San Fernando','MS','00646','mbrowning@bpmpros.com',1238517,'417-869-0459',90268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika Z. Velez','P.O. Box 699, 1473 In St.','Plymouth','FL','63164','avelez@widget.com',1238518,'711-238-0981',55204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin F. Aguilar','P.O. Box 228, 9677 Facilisis Avenue','Henderson','SD','90564','gaguilar@aulnet',1238519,'738-549-6776',86716,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacey E. Puckett','418-6841 Maecenas Ave','Montebello','MO','37028','puckett@abc.edu',1238520,'693-421-7793',69431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver I. Baldwin','Ap #300-5274 Auctor Ave','Torrington','NH','08436','oliverb@email.net',1238521,'564-266-4972',79251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau G. Morgan','Ap #731-4533 Suspendisse Ave','Bethany','WA','51450','mmorgan@xyz.edu',1238522,'996-461-5269',28286,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad V. Davenport','P.O. Box 533, 5438 Aliquet Av.','North Platte','FL','19761','hdavenport@bpmpros.com',1238523,'212-118-4789',109694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia D. Walter','9670 Morbi St.','Arcadia','AL','66537','kaliaw@bpmpros.com',1238524,'504-625-8365',89663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inga T. Hobbs','Ap #611-8328 Nunc Avenue','Springdale','MT','52428','hobbs@hitmail.com',1238525,'156-569-1959',41416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa B. Maldonado','609 Convallis Avenue','Valdosta','MO','31526','charissam@emailathome.net',1238526,'868-765-2212',51064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bell I. Rios','4434 Vivamus Avenue','Monroe','VT','87251','bellr@hitmail.com',1238527,'404-181-9574',96206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yasir D. Mason','7023 Euismod Rd.','Aspen','TX','44702','yasirm@email.net',1238528,'528-669-9780',82256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedwig D. Roman','Ap #430-1301 Pellentesque Ave','Gu?nica','IL','14859',NULL,1238529,'652-181-6596',45784,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Risa A. Park','P.O. Box 507, 2650 Risus. Rd.','Spokane','SD','01616','risa.park@xyz.edu',1238530,'575-127-1178',84621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto B. Lang','P.O. Box 772, 7144 Justo. St.','Duquesne','GA','03305','lang@hitmail.com',1238531,'922-497-4246',57318,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde E. Huffman','P.O. Box 519, 2028 Gravida. Avenue','Garden Grove','GA','48642','charde.huffman@xyz.edu',1238532,'957-889-2867',22864,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aquila N. Gallegos','Ap #249-7554 Posuere Av.','Waterbury','NY','88827','aquila.gallegos@email.net',1238533,'569-527-3066',94868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erich Y. Gonzalez','649-4571 Lorem, Ave','Chester','RI','41320','erichg@email.net',1238534,'257-727-1445',58918,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn H. Combs','P.O. Box 774, 2234 Velit. Rd.','Paramount','LA','18950','acombs@bpmpros.com',1238535,'371-537-2544',103835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephanie K. Wheeler','Ap #403-6977 Nunc, St.','Vicksburg','CA','45454','wheeler@emailathome.net',1238536,'415-795-1223',85382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora R. Ruiz','P.O. Box 599, 9156 Leo, Ave','Saint Cloud','VT','95340','ruiz@hitmail.com',1238537,'705-211-8059',42365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea A. Harmon','Ap #218-9526 Gravida St.','Saipan','OH','54259','rheah@aulnet',1238538,'691-396-4162',32312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte M. Dawson','562-8076 Ipsum Rd.','Council Bluffs','NY','36591','charlotted@yohaa.com',1238539,'841-442-6480',69373,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan T. Fulton','P.O. Box 700, 1706 Montes, Rd.','Princeton','FL','87913','jordan.fulton@widget.com',1238540,'505-355-5972',57144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara A. Frazier','7508 Fames Rd.','Clarksburg','WY','75364','laraf@yohaa.com',1238541,'156-406-8213',92094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee B. Byers','685-7704 Dolor Ave','Winooski','MA','49415',NULL,1238542,'879-835-2310',70062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harding K. Holman','287-2706 Tellus Rd.','Salinas','TX','25964','hholman@aulnet',1238543,'481-269-0942',43942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly W. Fox','671-3094 Habitant Ave','Plano','TX','75291','mollyf@hitmail.com',1238544,'266-656-7158',23521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Azalia K. Black','845-1260 Metus Road','Meridian','MN','39705','ablack@aulnet',1238545,'997-264-7195',44802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laurel K. Gallegos','4366 Fringilla Road','Saint Albans','AK','67380','gallegos@email.net',1238546,'361-861-6779',63606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tallulah A. Warren','643-1970 Turpis. Rd.','Rancho Cucamonga','MD','48316','tallulahw@aulnet',1238547,'796-167-8274',19943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato O. Howard','Ap #547-9194 Ornare Road','Valdosta','CO','57196','honorato.howard@yohaa.com',1238548,'602-308-2751',108920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran B. Moore','Ap #940-4857 Non, St.','College Park','MA','55702','curran.moore@abc.edu',1238549,'908-511-7180',101532,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth X. Castillo','2863 Cum Av.','Taylorsville','NE','76781','hcastillo@hitmail.com',1238550,'352-552-3933',82940,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal S. Fitzpatrick','3281 Facilisis Ave','Great Falls','ND','58895','kamal.fitzpatrick@yohaa.com',1238551,'564-699-8440',90744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India F. Hensley','881-3495 Sem Avenue','Compton','PA','49197',NULL,1238552,'193-556-1550',108780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa U. Bryan','6204 Tempus Rd.','Kankakee','MN','62416','alyssab@emailathome.net',1238553,'436-135-3810',17930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle B. Mccullough','P.O. Box 486, 1074 Et Rd.','Pasadena','MD','82954','mccullough@abc.edu',1238554,'471-707-8422',46865,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi J. Crawford','730-4332 Accumsan Av.','Montpelier','CT','52344','heidic@widget.com',1238555,'398-669-3762',32782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes N. Hickman','4305 Erat. Rd.','Jersey City','IA','82317','xerxes.hickman@emailathome.net',1238556,'652-182-9479',97266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine C. Mcneil','285-9527 Dignissim Rd.','Cambridge','CA','45427','jmcneil@bpmpros.com',1238557,'845-497-4884',45132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mark E. Glass','840-5412 Mauris, Avenue','Rohnert Park','AK','18453','mark.glass@yohaa.com',1238558,'882-727-0245',23800,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson K. Ashley','Ap #171-3251 Nunc Road','Springfield','VA','93502',NULL,1238559,'956-847-4635',104395,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ria A. Church','134-5628 Egestas. St.','Ashland','CT','07590','ria.church@widget.com',1238560,'103-958-7052',79704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker Q. Stephenson','Ap #861-2486 Congue, St.','Boulder City','VT','06004','walker.stephenson@emailathome.net',1238561,'595-597-5563',70771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen G. Mckay','8893 Mollis Rd.','Lynwood','NE','66576',NULL,1238562,'386-636-1868',53920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita S. Leach','145-8663 Ipsum Ave','San Luis Obispo','WA','44011','chiquital@aulnet',1238563,'697-874-5096',105568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra J. Lloyd','P.O. Box 623, 7917 Lacinia St.','Idabel','NY','54508','lisandral@emailathome.net',1238564,'611-317-0806',99025,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter V. Dunn','P.O. Box 547, 8656 Nunc Av.','Fall River','CA','73827','dunn@bpmpros.com',1238565,'436-156-2633',58255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola I. Warner','P.O. Box 303, 110 Gravida St.','Hazleton','OK','85358','iolaw@xyz.edu',1238566,'375-612-6678',43567,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis T. Day','P.O. Box 162, 3814 Iaculis St.','Ephraim','IA','02387','bevisd@emailathome.net',1238567,'736-912-5222',103387,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela G. Chaney','7019 Gravida Road','Midland','CA','30300',NULL,1238568,'639-303-9930',64812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline U. Garcia','7851 Nec Road','Martinsburg','KY','98082','madalineg@hitmail.com',1238569,'112-275-0052',104335,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jemima Z. Morales','806-8144 Purus, Street','Pasadena','OR','03492',NULL,1238570,'584-596-6717',85708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oren R. Adkins','Ap #278-9055 Risus. Rd.','Weymouth','WY','73876',NULL,1238571,'379-863-3699',45170,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candice B. Patton','Ap #182-3653 Risus. Ave','Idaho Springs','IN','29092','cpatton@email.net',1238572,'979-258-9113',91060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carly D. Flowers','P.O. Box 289, 7235 Aenean St.','Vicksburg','IA','53783','carly.flowers@emailathome.net',1238573,'786-666-8248',55013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marvin F. Carver','221-4589 Nunc. Rd.','Macomb','KY','62725','mcarver@xyz.edu',1238574,'519-395-8617',95302,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee G. Love','141-1531 Ornare. Ave','Shawnee','FL','57710','llove@email.net',1238575,'646-155-3401',24338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clio Y. Sparks','P.O. Box 123, 1134 In Road','Pico Rivera','AK','28876',NULL,1238576,'796-333-3886',49344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tasha L. Rocha','909-636 Non, Rd.','New Britain','WA','94822','trocha@bpmpros.com',1238577,'708-495-6379',36435,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lionel P. Maynard','P.O. Box 645, 157 Sed Road','Kent','MO','42346',NULL,1238578,'268-977-3629',18912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aristotle G. Terrell','1770 Lorem, Rd.','Shelton','VT','32847',NULL,1238579,'272-708-6953',38170,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dale E. Mullen','P.O. Box 586, 3935 Morbi Ave','Merizo','MD','23266','dalem@abc.edu',1238580,'203-385-9825',90029,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador A. Wilkins','P.O. Box 399, 3518 Quam Rd.','Fort Lauderdale','UT','22256','wilkins@bpmpros.com',1238581,'523-626-8107',108211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Faith U. Haney','2070 Mauris, Road','Wisconsin Dells','AK','34016','haney@aulnet',1238582,'443-985-2477',42896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma C. Roberts','633-2388 Eleifend St.','Scottsdale','MD','49173','roberts@abc.edu',1238583,'291-533-5277',86312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira B. Hurst','P.O. Box 189, 3395 Duis Street','Morrison','OH','09259','ira.hurst@email.net',1238584,'423-524-0565',95905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden P. England','Ap #170-9728 Lacinia Ave','Sacramento','FL','88798','graiden.england@email.net',1238585,'948-372-8958',64874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie J. Hudson','3171 Gravida Ave','Kingsport','NM','35774','hudson@widget.com',1238586,'654-548-2864',75686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirestin N. Waller','4601 Mollis. St.','Murrieta','OH','10254',NULL,1238587,'832-397-6325',78110,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amber C. Clay','P.O. Box 289, 8093 Ridiculus Ave','Brooklyn Park','FL','86607','clay@widget.com',1238588,'962-794-0817',38358,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi X. Gilbert','P.O. Box 209, 2507 Vel Rd.','Artesia','KS','53840','hgilbert@email.net',1238589,'547-419-1032',103172,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan E. Albert','P.O. Box 458, 8608 Mauris. Road','Billings','MT','81234','kylana@emailathome.net',1238590,'275-623-9321',57361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy J. Hawkins','Ap #215-7546 Congue Road','Nichols Hills','MT','07888','hawkins@hitmail.com',1238591,'123-308-8308',84450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria E. Abbott','Ap #133-8075 Eros. Road','Boulder City','DC','61478','abbott@bpmpros.com',1238592,'367-491-6984',46490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veronica B. Fuller','P.O. Box 152, 7210 Ac Street','San Francisco','CA','20692','fuller@xyz.edu',1238593,'162-438-7293',35618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon O. Stevenson','Ap #989-5184 Risus. St.','Spartanburg','AZ','17548','stevenson@email.net',1238594,'231-303-5313',71826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audrey V. Prince','759-8133 Posuere Rd.','Williamsport','OK','75493','aprince@emailathome.net',1238595,'932-263-3749',22495,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacy R. Foley','622-6605 Sociis St.','Springfield','IA','07683','foley@email.net',1238596,'276-208-2606',54080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia M. Mcdonald','P.O. Box 748, 9297 Cursus. Avenue','Oneida','IA','60368','kaliam@email.net',1238597,'142-218-2165',99262,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg H. Carney','3177 Ornare. Ave','Newburyport','WV','63119','carney@email.net',1238598,'246-141-2621',95481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayley J. Robbins','Ap #619-7385 Duis Rd.','Dover','LA','30494','hayley.robbins@bpmpros.com',1238599,'604-759-7090',74737,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl M. Cantu','8640 In, Avenue','Jackson','KY','58241','ccantu@yohaa.com',1238600,'381-742-0169',106330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nevada Z. Wooten','P.O. Box 824, 7686 Montes, St.','Baton Rouge','NY','90658','nevada.wooten@yohaa.com',1238601,'899-281-8218',54732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline J. Steele','909-516 Non Av.','Macomb','OH','34035','ssteele@emailathome.net',1238602,'784-584-6644',104391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malcolm J. Guthrie','Ap #163-1105 Dolor. Street','Brunswick','WI','69203','malcolmg@bpmpros.com',1238603,'339-913-5062',84606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basia R. Pearson','P.O. Box 301, 3329 At St.','Sacramento','IA','25595','pearson@yohaa.com',1238604,'799-128-0405',65084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla G. Richardson','5511 Sed Rd.','Milwaukee','WI','70363','orlar@email.net',1238605,'913-492-3951',104877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelda M. Curry','798-7745 Sociis Avenue','Rialto','OK','60241','zelda.curry@abc.edu',1238606,'505-417-8091',17526,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy Z. Foley','984-4690 Magna Rd.','Reading','PA','45816','jfoley@email.net',1238607,'158-563-9707',99983,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abigail X. Weiss','9468 Lobortis Street','Rutland','LA','16451','aweiss@email.net',1238608,'133-748-4947',100811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desirae S. Rodgers','Ap #169-2755 Turpis Av.','Tustin','WI','31948',NULL,1238609,'409-443-0815',89230,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('MacKenzie R. Fitzgerald','131-8644 Integer St.','Asbury Park','CO','03644',NULL,1238610,'583-983-3363',30434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe Y. Vargas','Ap #325-2922 Nulla. St.','Albany','IN','32946',NULL,1238611,'692-274-0673',108448,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma D. Pierce','P.O. Box 525, 8584 Enim. Rd.','Portland','OK','02745','gemma.pierce@widget.com',1238612,'782-473-4575',34688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah E. Stewart','943-2585 Ut Rd.','Jefferson City','MD','12815','jstewart@yohaa.com',1238613,'651-443-7262',88486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady Z. Rodriguez','P.O. Box 719, 2738 Ac Rd.','Longview','NM','06018',NULL,1238614,'934-685-0287',64486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivana H. Atkinson','693-4761 Fermentum Av.','Kenner','KY','92808','ivana.atkinson@xyz.edu',1238615,'917-942-5365',76686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith E. Flynn','808-1379 Tellus, Street','Redding','MI','73175','keith.flynn@hitmail.com',1238616,'175-193-9444',91355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bert L. Wright','Ap #650-6145 Id Street','Billings','MD','83066','bertw@yohaa.com',1238617,'243-217-1191',72256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee K. Mcdowell','1162 In Rd.','Sunnyvale','MS','51239',NULL,1238618,'646-351-5722',106071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden C. Davidson','Ap #434-821 Sed Rd.','El Segundo','HI','78620','graiden.davidson@abc.edu',1238619,'869-406-6661',55669,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan K. Hewitt','234-2498 Malesuada Rd.','Chesapeake','MT','74543',NULL,1238620,'274-144-4590',33537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah Q. Edwards','P.O. Box 644, 3328 A, Ave','Laughlin','PA','28003','lilah.edwards@emailathome.net',1238621,'647-822-8652',33996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane K. Harmon','P.O. Box 633, 3405 Aliquet Rd.','Appleton','GA','92121','laneh@yohaa.com',1238622,'325-873-6945',77032,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra W. Roy','P.O. Box 801, 8418 Nulla. St.','Elizabeth City','LA','58850','roy@abc.edu',1238623,'972-206-0797',83726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hanna J. Dale','P.O. Box 120, 2151 Aliquet St.','Lakewood','SC','12070','hdale@abc.edu',1238624,'822-803-0090',86819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad M. Reeves','6844 Inceptos Avenue','York','CA','55236','reeves@xyz.edu',1238625,'534-517-6079',16116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora B. Taylor','9521 Lorem Av.','Augusta','SC','78494','ntaylor@abc.edu',1238626,'927-671-0227',98931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erica V. Hoffman','Ap #438-6209 Eget, St.','Lewiston','FL','93272','erica.hoffman@bpmpros.com',1238627,'777-605-2752',106293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon V. Anderson','Ap #555-5929 Tempor Road','Healdsburg','UT','07401','tanderson@widget.com',1238628,'784-462-0662',47857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Connor H. Mann','P.O. Box 369, 285 Egestas Rd.','Schaumburg','SD','68075',NULL,1238629,'587-262-5235',101522,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda G. Shepherd','Ap #333-9735 Vitae Road','Port Jervis','NV','35704','vedas@email.net',1238630,'881-367-4389',72602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare N. Massey','2926 Sapien. Road','Santa Fe','KY','01754','clarem@bpmpros.com',1238631,'435-813-7395',94376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson V. Hodges','477-7660 Vulputate, Rd.','Saukville','FL','55356','ehodges@yohaa.com',1238632,'212-547-3501',106908,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zachery U. Morin','Ap #266-7028 Sapien St.','Attleboro','NJ','75431','zachery.morin@yohaa.com',1238633,'898-109-5569',27554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam C. Banks','9219 At, Ave','Rialto','NE','57945','maryam.banks@email.net',1238634,'498-577-3882',54785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hammett I. Walsh','649-2363 Gravida Rd.','Bakersfield','MT','02269',NULL,1238635,'205-693-1704',71646,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya A. Quinn','804-2818 In Ave','Providence','MD','96599','quinn@yohaa.com',1238636,'858-964-5666',54609,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma A. Cabrera','P.O. Box 916, 5633 Cras Av.','Henderson','OH','03899','paloma.cabrera@yohaa.com',1238637,'599-357-2218',96416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rinah H. Knapp','263-5162 Egestas Rd.','Frisco','CA','79882','knapp@aulnet',1238638,'783-272-4396',66364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya K. Klein','Ap #456-6524 Netus St.','West Palm Beach','NH','62941','aklein@widget.com',1238639,'734-516-5970',41343,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall V. Owen','P.O. Box 582, 2197 Commodo St.','Texarkana','WA','50112',NULL,1238640,'164-897-3039',16323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca H. Wagner','P.O. Box 494, 8282 Nulla Rd.','Gardena','WI','98049','wagner@emailathome.net',1238641,'252-326-1134',33565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nadine F. Guthrie','Ap #589-9304 In Street','Nenana','WY','97186','nadine.guthrie@xyz.edu',1238642,'226-488-6037',33395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie K. Dickerson','Ap #230-9123 Ac Rd.','Boulder City','OH','65663','mdickerson@emailathome.net',1238643,'841-977-3640',80892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel X. Santos','861-6679 Lectus St.','Superior','WY','64630','ssantos@yohaa.com',1238644,'394-245-1214',95722,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad O. Larson','102-4019 Nibh Road','Plantation','TX','86550','mohammad.larson@email.net',1238645,'381-685-6397',65603,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos J. Ferrell','3569 Eu Av.','Cedarburg','LA','02660','cferrell@abc.edu',1238646,'316-344-3028',79839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leigh M. Salas','5050 Eu Avenue','Saukville','NV','77528','leighs@email.net',1238647,'785-707-3317',86379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany P. Baldwin','358-7367 A Rd.','Harrisburg','AZ','66334','brittanyb@email.net',1238648,'853-647-3546',101840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev R. Herrera','582-718 Arcu. Rd.','Ogdensburg','SD','80246','herrera@emailathome.net',1238649,'582-434-9813',46311,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melinda G. Wilson','9808 Quis Road','Sioux Falls','DC','83682','melindaw@aulnet',1238650,'707-455-5989',107218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melvin H. Chavez','314-972 Nisl Av.','Oneida','DE','35319','melvin.chavez@widget.com',1238651,'192-808-2637',71220,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn O. Riddle','8295 Metus. Avenue','Ruston','CO','72925',NULL,1238652,'566-476-5563',94997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darius Q. Owen','457-6976 Elementum, Av.','Grand Island','ID','35918','owen@xyz.edu',1238653,'943-409-8864',58543,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denise H. Rowe','3435 Fusce Rd.','Greensboro','KY','69583','drowe@hitmail.com',1238654,'275-969-2092',102808,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas I. Terry','P.O. Box 656, 6600 Ipsum. St.','Newburyport','NV','97067','terry@abc.edu',1238655,'641-715-7840',104751,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaime W. Flores','P.O. Box 671, 3525 Facilisis St.','Glendale','ID','89977','jflores@xyz.edu',1238656,'934-675-3900',88772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justine S. Bender','Ap #351-5496 Hendrerit Road','San Juan Capistrano','VA','18098',NULL,1238657,'166-101-5758',77094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie L. Waller','P.O. Box 155, 3560 Donec Avenue','Redondo Beach','KY','27646','leslie.waller@yohaa.com',1238658,'736-802-7123',95574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph N. Dotson','4762 Integer St.','Clovis','CA','88431','dotson@bpmpros.com',1238659,'205-979-4506',49909,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally S. Stewart','5058 Dui Rd.','Arcadia','DC','35083','cally.stewart@widget.com',1238660,'927-157-5355',95696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil M. Mathis','265-7230 Dui Ave','Annapolis','DC','36561','bmathis@widget.com',1238661,'655-582-5391',81899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal O. Mills','P.O. Box 108, 9207 Proin St.','International Falls','FL','38465','jmills@bpmpros.com',1238662,'137-682-1646',106691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian R. Puckett','P.O. Box 426, 5756 Nunc. Road','Elko','LA','51199','puckett@aulnet',1238663,'655-692-2734',52263,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda J. Beck','P.O. Box 971, 1810 Quis Av.','Durham','KS','72223',NULL,1238664,'314-978-5608',53907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack U. Fox','P.O. Box 467, 1695 Augue. Road','Colorado Springs','ME','70943','fox@yohaa.com',1238665,'267-581-4690',44056,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xavier S. Travis','Ap #705-5756 Elit, St.','Palo Alto','CA','40211','xtravis@hitmail.com',1238666,'355-422-8113',88108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara B. Fuentes','4810 Sed, Street','Joliet','IA','92786','barbara.fuentes@hitmail.com',1238667,'818-934-4865',80622,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah Z. Phillips','709-8698 Tellus Av.','Marlborough','MN','74977','phillips@bpmpros.com',1238668,'764-573-4178',105611,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hermione Q. Hess','Ap #850-9556 Phasellus St.','Webster Groves','MT','91476','hess@email.net',1238669,'454-218-6801',17214,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston Z. Wilson','Ap #454-5426 Eu Road','Edina','HI','73674','pwilson@hitmail.com',1238670,'242-695-6133',108546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper A. Horton','3126 Suspendisse Road','Seaford','NJ','89806','horton@abc.edu',1238671,'274-698-8483',29548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma M. Mullins','9506 Suspendisse St.','Cody','LA','15154','mullins@emailathome.net',1238672,'235-853-1210',16418,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis I. Stephenson','2584 Nulla Av.','Saint Albans','AK','25677','lstephenson@hitmail.com',1238673,'283-606-0723',106539,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona Z. Jones','7993 Eu St.','South Pasadena','OH','48210','ionaj@aulnet',1238674,'887-606-8664',86450,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasmine C. Peters','Ap #479-6132 Eleifend, St.','Olean','IN','92640','jasminep@bpmpros.com',1238675,'961-748-2551',35071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava Z. Miller','P.O. Box 179, 5096 Metus. Road','New London','MT','75777','miller@yohaa.com',1238676,'427-388-0373',102554,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dakota D. Holcomb','P.O. Box 170, 4108 A, St.','Cedarburg','DC','60045','dholcomb@bpmpros.com',1238677,'823-241-4384',84256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus Q. Roman','2623 Lorem. St.','Eureka','UT','04571','lroman@bpmpros.com',1238678,'686-269-4834',47399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paloma V. Gonzales','Ap #207-7884 Aliquam, Avenue','Somersworth','VA','73888',NULL,1238679,'461-147-1066',104485,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette H. Bentley','P.O. Box 274, 3724 Vestibulum Road','Rancho Santa Margarita','IA','21695',NULL,1238680,'584-945-9810',103131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina W. Olsen','P.O. Box 553, 1703 Venenatis Ave','Elizabeth City','OH','06528','regina.olsen@widget.com',1238681,'324-808-6435',42401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana F. Noble','P.O. Box 229, 1137 Lorem, Road','Dover','NC','37534','lanan@aulnet',1238682,'154-488-1868',42362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela O. Hester','9882 Eu St.','Kenner','UT','17861',NULL,1238683,'615-121-4582',84911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble O. Tran','5791 Libero Avenue','Montgomery','AK','52703','ntran@hitmail.com',1238684,'589-642-0531',17334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric G. Allison','P.O. Box 297, 7230 Lacus. Ave','Brown Deer','GA','26279',NULL,1238685,'983-573-0231',94319,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve W. Farrell','P.O. Box 347, 226 Eget Street','Enfield','MO','60096','nevef@widget.com',1238686,'476-368-7318',73994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph L. Weaver','836-5271 Semper Street','Jeffersonville','CA','52022','weaver@yohaa.com',1238687,'229-506-8645',16716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee Q. Herring','P.O. Box 349, 6027 Integer Road','Independence','CA','16579',NULL,1238688,'602-832-3371',108530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Debra A. Randall','Ap #923-5369 Lorem St.','Rancho Santa Margarita','FL','22949','debrar@hitmail.com',1238689,'528-231-9622',107823,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne Z. Hendrix','1550 Feugiat St.','Galveston','NJ','32945','anne.hendrix@widget.com',1238690,'341-293-9150',23790,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen J. Flowers','1729 In Road','Orange','VA','27800','cflowers@yohaa.com',1238691,'206-631-6409',57443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava M. Lopez','6368 Morbi Ave','Wichita Falls','CT','73265',NULL,1238692,'946-157-6206',105117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karly X. Pickett','499-2059 A, Avenue','Dalton','HI','32315','kpickett@abc.edu',1238693,'671-627-6843',22536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal A. Wynn','9913 Quisque Ave','Norfolk','ME','56670','kamal.wynn@widget.com',1238694,'812-468-5202',104602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd G. Palmer','P.O. Box 117, 2460 Auctor, St.','Westfield','WV','36493','palmer@hitmail.com',1238695,'163-975-4439',87904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabella S. Carver','3519 Metus. Av.','Bay St. Louis','GA','13576','isabellac@aulnet',1238696,'226-523-8202',80156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara P. Morgan','337 Enim, St.','Kalamazoo','NJ','61193','kiara.morgan@abc.edu',1238697,'552-163-6269',19781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor J. Winters','2005 Magna. Rd.','Sister Bay','AK','55822','thorw@emailathome.net',1238698,'142-497-5038',79680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan P. Kemp','Ap #103-9946 Etiam Road','Brigham City','WY','01856','kemp@yohaa.com',1238699,'689-731-1276',39062,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey Y. Knapp','Ap #486-4081 Odio. St.','Burlingame','MI','45147','casey.knapp@bpmpros.com',1238700,'904-693-3234',64687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara U. Britt','Ap #192-6159 Dis Rd.','Durant','NE','94639',NULL,1238701,'887-791-4947',34662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona S. Douglas','Ap #342-9652 Sollicitudin Road','Dana Point','LA','95880','ramonad@emailathome.net',1238702,'429-217-9184',18030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole G. Cruz','9353 Posuere, Rd.','Schenectady','MS','65314','colec@widget.com',1238703,'994-946-9676',76585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler B. Jacobs','219-6783 Commodo Ave','Richmond','CO','58323','skylerj@aulnet',1238704,'748-642-6885',62630,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana D. Curry','P.O. Box 394, 3722 Risus Ave','Louisville','MN','56814','curry@abc.edu',1238705,'248-987-5291',24671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra P. Phillips','7574 Gravida Avenue','Newcastle','WI','45071','petra.phillips@hitmail.com',1238706,'753-276-0647',35735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando J. Mullins','P.O. Box 494, 7302 Elementum, Road','Bakersfield','FL','15661','omullins@xyz.edu',1238707,'742-405-5705',56661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lawrence R. Eaton','P.O. Box 234, 3284 Condimentum Avenue','Champaign','NJ','75890',NULL,1238708,'562-304-6081',90695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred G. Peters','8555 Ante, Avenue','Torrington','WA','05223','winifredp@abc.edu',1238709,'813-979-0995',72008,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael U. Gutierrez','Ap #105-8724 Convallis Street','Las Vegas','VT','87693','gutierrez@hitmail.com',1238710,'817-731-5096',16314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner P. Cohen','674-8897 Proin Rd.','Toledo','NY','54732','tannerc@emailathome.net',1238711,'425-343-9824',98595,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa X. Cherry','Ap #951-9144 Mollis. Road','Truth or Consequences','NH','25170','charissac@hitmail.com',1238712,'913-348-5804',83759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter P. Wiggins','577-4990 Tellus St.','Agoura Hills','MS','02727','dieterw@abc.edu',1238713,'808-811-1686',64453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatum G. Cash','6217 Enim St.','Edmond','KY','36126',NULL,1238714,'499-281-9620',90806,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina M. Valenzuela','Ap #646-9830 Diam. Av.','Rockville','MN','87713','serinav@email.net',1238715,'941-331-4204',98885,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique R. Hudson','P.O. Box 527, 1947 Proin Road','San Rafael','CA','57535','dominique.hudson@emailathome.net',1238716,'449-399-5290',61399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aladdin J. Huff','P.O. Box 462, 2845 Ornare, Avenue','Dalton','UT','96544','huff@email.net',1238717,'289-538-7273',62540,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orla Z. Herring','138-7786 Tempus Av.','Indio','MI','35621','orla.herring@email.net',1238718,'275-465-8926',31637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela R. Aguilar','Ap #585-2970 Etiam Road','Annapolis','NH','01036','aaguilar@email.net',1238719,'768-944-2081',107953,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley D. Ray','9531 Enim Ave','Clovis','MO','50590',NULL,1238720,'605-371-0644',101116,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kato A. Donovan','6592 Mi Road','Manassas','NE','79914',NULL,1238721,'175-235-5616',87108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah E. Chan','789-1955 Scelerisque Ave','San Francisco','NE','03783','sarah.chan@abc.edu',1238722,'798-873-9175',89401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah O. Cox','Ap #545-626 Ipsum. Road','Chesapeake','IL','80284','uriah.cox@abc.edu',1238723,'177-875-6475',65457,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justina I. Bryant','1911 Massa. Street','Pass Christian','NH','79967','jbryant@widget.com',1238724,'196-504-1807',58064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jelani A. Kennedy','P.O. Box 384, 4324 Consectetuer Avenue','Kingston','DC','72842','jkennedy@yohaa.com',1238725,'819-916-3195',107517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara L. Fox','533-7992 Ut Av.','Moultrie','SC','98171',NULL,1238726,'124-943-8592',80953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik R. Santos','P.O. Box 444, 9206 Sem St.','Menomonee Falls','UT','69167','tariks@hitmail.com',1238727,'439-453-3951',66537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph G. Hensley','3020 Fringilla Street','Great Falls','AL','55962','hensley@emailathome.net',1238728,'988-722-5678',16134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon F. Hayes','Ap #595-2942 Condimentum Avenue','Sheridan','MN','42408','quon.hayes@emailathome.net',1238729,'461-458-0806',59757,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary M. Kirby','Ap #905-8007 Ante. Avenue','Evanston','MI','96239','roary.kirby@email.net',1238730,'737-207-5656',55366,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillian X. Evans','990-6837 Sem Ave','Bandon','VT','35422','evans@aulnet',1238731,'752-598-6061',74917,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase B. Sampson','2055 Et St.','Statesboro','KS','30074','chase.sampson@bpmpros.com',1238732,'616-883-9318',17971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cherokee G. Keith','P.O. Box 890, 4711 Egestas. Ave','Calabasas','TN','18559','cherokee.keith@abc.edu',1238733,'623-249-9319',81712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Haley T. Sanford','3948 Tempor Street','Wisconsin Dells','AL','10112','hsanford@aulnet',1238734,'968-821-2341',45390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade G. Gross','P.O. Box 334, 3148 Enim. Ave','Hialeah','HI','29830','sgross@bpmpros.com',1238735,'943-812-7319',82933,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Naida A. Cash','137-2723 At, Rd.','Helena','IA','52172',NULL,1238736,'913-866-7775',26612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Urielle V. Kent','1367 Ullamcorper. Rd.','Claremont','DC','54030','kent@bpmpros.com',1238737,'347-538-8254',109483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter N. Case','P.O. Box 303, 6946 Nullam St.','Oklahoma City','CO','29284','dcase@aulnet',1238738,'315-653-0918',35391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia F. Fox','Ap #341-5401 Vulputate, Rd.','Princeton','MO','50280','fox@aulnet',1238739,'565-789-3413',50607,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella P. Faulkner','7862 Semper Rd.','Attleboro','MT','25861','faulkner@xyz.edu',1238740,'881-837-3053',51537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa U. Leach','P.O. Box 900, 7245 Morbi Av.','Northampton','OH','25241','ursal@yohaa.com',1238741,'103-983-8291',40735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson R. Logan','717-8851 Porttitor St.','Liberal','NH','21846','jlogan@email.net',1238742,'197-291-0828',23536,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan J. Boyle','P.O. Box 160, 7015 Parturient Rd.','Kettering','PA','31052','boyle@hitmail.com',1238743,'909-197-1972',95911,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amela Y. Chambers','948-8857 Litora Street','Gadsden','AL','71703','amela.chambers@widget.com',1238744,'866-776-7739',81604,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy O. Cochran','499-6007 Dictum Road','San Mateo','ME','30812','buffy.cochran@abc.edu',1238745,'626-493-1688',55570,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey D. Rush','Ap #593-3373 Tristique Avenue','Clarksburg','WY','34074','dacey.rush@xyz.edu',1238746,'997-613-9151',93687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harrison G. Armstrong','982-8093 Duis Av.','Bayamon','NE','50294','armstrong@bpmpros.com',1238747,'369-366-8898',104901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana U. Williams','P.O. Box 515, 8163 Tristique Avenue','Inglewood','MI','97748',NULL,1238748,'933-303-4683',63173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet L. Collins','P.O. Box 230, 1671 Justo St.','Eden Prairie','NJ','05103','collins@abc.edu',1238749,'852-895-0975',80050,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Magee E. Steele','Ap #783-2334 Ante St.','Sunnyvale','VA','53859','steele@widget.com',1238750,'953-805-6096',109971,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neil R. Cervantes','7864 Nunc St.','Bismarck','MT','34759','neilc@bpmpros.com',1238751,'135-121-3028',82708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette J. Roberson','Ap #907-8000 Facilisi. Rd.','McAlester','RI','21965',NULL,1238752,'625-751-7810',102695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith Q. Slater','7965 Ante. Rd.','Branson','MO','04467','slater@abc.edu',1238753,'665-227-7927',81883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair T. Watkins','Ap #635-8979 Elit, Street','Denver','NH','03218','allistair.watkins@widget.com',1238754,'776-441-5672',77342,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vladimir J. Baker','P.O. Box 945, 3016 Imperdiet Avenue','Plano','NE','18212','vladimirb@email.net',1238755,'532-307-5470',31439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn V. Gentry','P.O. Box 499, 3501 Vitae Road','Flint','ME','98907','gentry@aulnet',1238756,'229-751-9685',27330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia H. Mcdowell','P.O. Box 639, 2967 Aenean Avenue','Galesburg','AZ','42631','mcdowell@xyz.edu',1238757,'638-768-4184',88784,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble X. Vang','P.O. Box 513, 4403 Pede. Rd.','Gold Beach','AZ','13256','nvang@widget.com',1238758,'987-525-2836',15365,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig U. Bryant','Ap #333-5431 Fringilla, St.','Tonawanda','OK','76980',NULL,1238759,'247-124-5597',51988,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis K. Hurley','P.O. Box 508, 6051 Magnis Rd.','Stamford','OK','41928',NULL,1238760,'908-145-1797',43578,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Upton R. James','P.O. Box 762, 5093 Lacus. Avenue','Eau Claire','FL','92833','ujames@xyz.edu',1238761,'852-761-8150',99180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kieran E. Patel','6901 Nec St.','Bristol','WV','26735','kpatel@xyz.edu',1238762,'928-304-4805',80134,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brielle R. Bryan','279-1367 Ullamcorper. Rd.','Moline','AK','02228','bbryan@widget.com',1238763,'154-972-3857',83650,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis K. Garcia','P.O. Box 771, 1018 Tincidunt. Road','Lebanon','WV','00702',NULL,1238764,'132-195-0763',70259,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elvis H. Cervantes','Ap #672-9203 Vulputate, Rd.','Santa Monica','ME','32332',NULL,1238765,'245-276-2612',46231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby X. Mullins','P.O. Box 145, 3059 Luctus, Av.','Victoria','OH','02034','mullins@emailathome.net',1238766,'477-513-7899',63016,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle V. Dickson','Ap #187-7119 Quis, Avenue','West Sacramento','DE','82694','bdickson@abc.edu',1238767,'639-106-6293',23086,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephanie P. Drake','926-3930 Gravida Rd.','Cicero','AL','11093','drake@yohaa.com',1238768,'698-327-3239',58582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ella O. Fields','P.O. Box 219, 395 Molestie Rd.','Miami Beach','AZ','05826','ellaf@hitmail.com',1238769,'829-517-8341',71124,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel B. Chang','Ap #333-9869 Vivamus Rd.','Pulaski','ME','44059','rigelc@yohaa.com',1238770,'876-795-2120',57130,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mufutau A. Duncan','P.O. Box 625, 8711 Felis. Road','Palos Verdes Estates','TX','28663','mufutau.duncan@abc.edu',1238771,'713-698-3935',15996,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota L. Mueller','765-3357 Eget, Avenue','Mobile','KS','10649','lacotam@emailathome.net',1238772,'403-125-6239',25455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie D. Lopez','Ap #499-1124 Ipsum. St.','Bay City','FL','56866','maggiel@aulnet',1238773,'506-818-9435',75994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris T. Levy','4667 Ut St.','Enfield','MI','50815','levy@emailathome.net',1238774,'403-254-7455',51993,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney Z. Vinson','413-8422 Quis Rd.','Mission Viejo','HI','62212','wvinson@widget.com',1238775,'139-532-5953',49981,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin T. Vance','Ap #629-4261 Laoreet Av.','Dalton','WA','15687','avance@xyz.edu',1238776,'801-839-3619',71279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mason Y. Dickson','Ap #716-151 Neque St.','Kahului','IL','26432','mason.dickson@yohaa.com',1238777,'111-911-7501',33537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chandler U. Armstrong','Ap #572-4213 Metus. Street','La Verne','GA','48565','armstrong@hitmail.com',1238778,'908-128-9487',107057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia E. Snyder','9544 Vitae Av.','Cape Girardeau','OH','16901','vsnyder@bpmpros.com',1238779,'868-469-1619',77892,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile K. Schultz','785-8883 Suscipit, Ave','Cedarburg','OK','43850','mailes@xyz.edu',1238780,'862-621-9991',71200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum G. Barber','Ap #438-6305 Eget, Av.','Warner Robins','DE','83326',NULL,1238781,'287-948-6795',79456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart H. Olson','Ap #823-5856 Convallis Ave','Commerce','FL','37210','olson@aulnet',1238782,'647-724-7723',67532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke G. Wilson','Ap #196-3907 Arcu. Rd.','Annapolis','VA','01348',NULL,1238783,'659-207-9316',22502,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James Q. Boone','7482 Fringilla St.','Pueblo','LA','37068','boone@hitmail.com',1238784,'393-258-1688',68739,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey G. Alford','891-1431 Lorem Rd.','Huntington Beach','OR','17244','alford@yohaa.com',1238785,'314-606-7548',35491,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel U. Oneal','P.O. Box 775, 1738 Vehicula Ave','Helena','NY','31949','goneal@yohaa.com',1238786,'294-507-0137',81890,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shana X. Mckee','Ap #717-9828 Nec, Street','Redding','MI','04946','mckee@emailathome.net',1238787,'895-999-4974',26569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter V. Duran','Ap #211-1562 Sollicitudin Av.','Kenner','SD','22337','duran@widget.com',1238788,'274-169-0584',68648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan R. West','Ap #634-892 Tristique St.','Eden Prairie','OK','53876','kwest@email.net',1238789,'204-487-4564',25439,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna R. Valdez','709-1013 Magna. Av.','Sunnyvale','IL','94857','valdez@bpmpros.com',1238790,'724-937-3247',87079,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau W. Dejesus','Ap #623-278 Malesuada. St.','Tulsa','IL','52956',NULL,1238791,'704-538-4757',103528,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Astra R. Lang','Ap #752-8962 Consequat Ave','Bozeman','IA','50703','astral@emailathome.net',1238792,'769-464-9923',78401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simone P. Beard','191-3294 Adipiscing Rd.','South Pasadena','TN','11971','beard@abc.edu',1238793,'775-445-8087',16782,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell R. Browning','947-7363 Adipiscing St.','Monongahela','AZ','82304','browning@emailathome.net',1238794,'476-141-5943',106378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine Z. Cobb','Ap #553-4562 Felis Street','West Covina','MI','42935','gcobb@bpmpros.com',1238795,'339-605-7552',59789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael L. Morin','839-1249 Sociis Av.','Berlin','KS','77529',NULL,1238796,'565-894-5092',72484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope B. Kemp','Ap #739-9638 Varius. St.','Vergennes','NE','86063','kemp@hitmail.com',1238797,'684-159-9434',65283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana D. Ortiz','P.O. Box 130, 3281 Montes, St.','Poughkeepsie','OR','23610',NULL,1238798,'774-368-3163',76988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea E. Rose','916-6746 Lobortis. Rd.','Manchester','WA','62896',NULL,1238799,'506-381-5589',79965,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kuame I. Drake','Ap #856-5399 Ante. St.','Sierra Vista','PA','61634','kuamed@widget.com',1238800,'532-147-2287',91920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda M. Owen','8355 Augue. Avenue','Youngstown','KY','14751',NULL,1238801,'915-468-5623',107396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie T. Campbell','852-941 Dui, Av.','Houston','NC','05910','campbell@email.net',1238802,'672-686-0545',38598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell F. Sloan','5339 Curabitur Avenue','Seattle','MI','80820',NULL,1238803,'413-489-5481',57351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius Z. Massey','8925 Ultricies Street','Independence','TN','63351','ignatiusm@yohaa.com',1238804,'434-485-6235',91308,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan Y. Jenkins','Ap #306-5700 Mollis. Avenue','Richmond','AK','93156','reaganj@widget.com',1238805,'417-752-1367',72346,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda K. Gill','158-7108 Feugiat Av.','Titusville','IA','37820','gill@emailathome.net',1238806,'987-305-0561',100774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emery N. Valencia','1770 Nec Street','Beacon','IN','15088','emeryv@bpmpros.com',1238807,'862-851-5800',100371,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lisandra B. Mercado','238 Amet, Avenue','Easthampton','ID','32603',NULL,1238808,'212-198-2733',42038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe H. Hall','1762 Non Avenue','Lawrence','SD','03447','hall@hitmail.com',1238809,'618-139-2480',81119,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lenore A. Hardin','243-6799 Volutpat. Rd.','Hawaiian Gardens','AK','80393','hardin@widget.com',1238810,'841-469-4986',51038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge B. Parker','P.O. Box 208, 6736 Lorem St.','Latrobe','IN','31721','medge.parker@widget.com',1238811,'116-967-3257',35552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth P. Huff','Ap #390-2532 A St.','Rolling Hills','MI','72104','hyacinth.huff@emailathome.net',1238812,'826-943-8191',52653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan P. Warren','P.O. Box 117, 5624 Vivamus Road','Tampa','KY','77859','kwarren@yohaa.com',1238813,'954-881-7335',61898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetrius X. Ratliff','Ap #756-1077 Elit. Ave','Pomona','PA','04281',NULL,1238814,'232-296-9867',33038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison R. Fulton','Ap #146-7718 Per St.','Belpre','RI','55369','addison.fulton@bpmpros.com',1238815,'642-783-8898',78189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra W. Logan','Ap #901-9318 Tellus. Av.','Broken Arrow','WV','75920','lysandra.logan@xyz.edu',1238816,'481-933-6255',22444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Juliet T. Guerra','Ap #768-7707 Nam Avenue','Carolina','NY','54429','juliet.guerra@yohaa.com',1238817,'451-742-7734',18280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winter C. Witt','5865 Est, Road','Eden Prairie','MN','59785',NULL,1238818,'228-164-1483',32985,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby Q. Oneill','Ap #769-1221 Donec Rd.','Waycross','NJ','00269','oneill@bpmpros.com',1238819,'945-174-1473',102257,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly C. Morgan','Ap #785-9807 Odio Street','Galveston','MO','17418',NULL,1238820,'788-723-7069',64874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla L. Farley','Ap #135-2578 Curabitur Avenue','Eufaula','SC','33841',NULL,1238821,'459-137-7604',85811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mercedes H. Hester','Ap #956-6177 Sed, Ave','El Paso','WY','70104','mhester@yohaa.com',1238822,'155-405-4411',28914,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheryl X. Meyers','P.O. Box 911, 7377 Egestas St.','Syracuse','TX','82663','cmeyers@xyz.edu',1238823,'877-823-1376',90700,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara Y. Randolph','9467 Aenean Road','International Falls','WY','87405','tarar@widget.com',1238824,'762-159-7310',66970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joy E. Pollard','2461 Sit Rd.','Port Arthur','IN','60589','jpollard@bpmpros.com',1238825,'239-706-9018',92798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keiko V. Baldwin','Ap #310-8271 Mollis. Rd.','College Station','DE','41512','baldwin@yohaa.com',1238826,'192-322-0379',54634,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walker G. Shelton','P.O. Box 598, 4050 Tortor Av.','Newburgh','SC','92734','shelton@widget.com',1238827,'346-348-6796',19729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill M. Mcmahon','Ap #180-3204 Ullamcorper. Rd.','Roswell','NY','49232',NULL,1238828,'976-213-5501',40747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael I. Pruitt','2632 Dui. Road','San Juan Capistrano','MO','29864','yaelp@emailathome.net',1238829,'787-975-6969',57098,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clare O. Yang','814-6145 Sodales Avenue','North Platte','NH','02532','yang@email.net',1238830,'496-284-1587',66151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai Z. Neal','Ap #265-6279 Morbi Rd.','Seward','WI','51963',NULL,1238831,'595-892-9750',51440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Herrod X. Rodgers','6246 Massa. Rd.','Bowling Green','MI','27973','herrod.rodgers@email.net',1238832,'169-409-8980',94667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah W. Lynch','Ap #978-8633 Eu, Avenue','Brookfield','UT','32950','micahl@email.net',1238833,'934-994-3032',103284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin T. Douglas','Ap #945-7540 Eget Av.','Fulton','VA','70613','colin.douglas@aulnet',1238834,'665-598-4927',107138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee X. Atkinson','Ap #715-817 Fringilla Street','Fulton','NM','54035','leea@bpmpros.com',1238835,'749-314-7122',22307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph B. Barrera','8788 Integer St.','Glendora','NM','91257','jbarrera@widget.com',1238836,'761-235-1664',56831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raven R. Potter','Ap #918-3158 Malesuada Street','San Juan','TX','47539',NULL,1238837,'796-557-6927',71312,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya A. England','Ap #579-2405 Ultricies St.','Kenosha','MI','27374','tashya.england@bpmpros.com',1238838,'914-711-1777',78648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa G. Macias','630-8267 Sem Av.','Alpharetta','CT','55783','amacias@bpmpros.com',1238839,'168-972-6928',75861,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barbara I. Mcdaniel','Ap #135-9662 Vitae St.','Sturgis','NY','78334','bmcdaniel@yohaa.com',1238840,'117-276-1578',62623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barclay D. Mendez','366-3568 At St.','Ansonia','KY','91779','mendez@abc.edu',1238841,'204-222-3074',70995,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle C. Edwards','P.O. Box 842, 954 Ridiculus Av.','Pass Christian','CT','47648','kedwards@emailathome.net',1238842,'418-512-7340',50678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carolyn Z. Kane','P.O. Box 438, 6336 Primis Ave','Falls Church','GA','31679','carolyn.kane@aulnet',1238843,'317-736-1589',98341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clayton G. Wagner','P.O. Box 188, 1775 Nulla. Road','Ephraim','MS','65596',NULL,1238844,'276-594-1393',92341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia R. Ferrell','3119 Felis, St.','Nome','DC','48695','oferrell@xyz.edu',1238845,'255-873-3227',57947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah V. Meyers','P.O. Box 194, 2911 Cras Road','Gilbert','AZ','29768','meyers@aulnet',1238846,'464-519-2926',33432,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars Q. Gill','630-3210 At Avenue','Myrtle Beach','OH','71991','larsg@xyz.edu',1238847,'761-125-5448',48694,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odysseus O. Hudson','P.O. Box 527, 7588 Eu Av.','Palmdale','AK','76258','odysseush@yohaa.com',1238848,'141-801-8353',84749,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zenaida C. Clayton','Ap #112-4302 Quam Rd.','Shreveport','MS','52739',NULL,1238849,'987-128-8387',76606,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob J. Berger','243-8770 Adipiscing Street','Brigham City','DC','64427','jberger@hitmail.com',1238850,'356-334-3622',106206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burton P. Trevino','461 Imperdiet Avenue','Danbury','MN','53350','burton.trevino@widget.com',1238851,'893-617-2416',85671,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale Y. Walker','3181 Lacinia St.','Orem','TN','07813',NULL,1238852,'358-348-5003',41238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ina Z. House','1297 Phasellus St.','Thomasville','WI','67538','inah@aulnet',1238853,'329-655-4892',48921,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma R. Fernandez','P.O. Box 258, 8894 Eu, Ave','Fullerton','AK','09467','vfernandez@emailathome.net',1238854,'906-226-7712',71442,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allen Y. Leach','Ap #258-5276 Aliquam Av.','Rohnert Park','KY','44244','aleach@yohaa.com',1238855,'712-628-8445',41324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall W. Skinner','5451 Porttitor Road','Colorado Springs','MN','20125','skinner@widget.com',1238856,'559-922-1839',80747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacy H. Greene','P.O. Box 116, 4757 Ut Avenue','Lubbock','TN','27457','stacy.greene@aulnet',1238857,'583-133-0641',67597,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rylee G. Bowman','Ap #855-3537 Massa Rd.','Paducah','TX','68895','rylee.bowman@xyz.edu',1238858,'354-836-9699',49224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hannah X. Berry','P.O. Box 907, 6103 Pede, St.','Perth Amboy','OR','57526','berry@yohaa.com',1238859,'522-775-5114',91221,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin E. Hernandez','P.O. Box 715, 6431 Sagittis Rd.','Dothan','NH','31299','bhernandez@bpmpros.com',1238860,'826-347-0226',52324,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda F. Cabrera','983-356 Fusce Rd.','Jonesboro','NC','29651','cabrera@emailathome.net',1238861,'941-766-0131',59693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy W. Pugh','P.O. Box 572, 4230 Rutrum Av.','Irvine','MO','11540','pugh@bpmpros.com',1238862,'292-142-7188',46704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl U. Wade','Ap #901-5539 Proin Ave','Provo','MA','94905','darylw@widget.com',1238863,'555-647-6984',25598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paula L. Downs','P.O. Box 874, 8581 Laoreet St.','Valdez','PA','13707','downs@yohaa.com',1238864,'813-368-9155',29513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayes G. Alexander','Ap #216-4448 Integer Street','West Palm Beach','WY','77590','hayes.alexander@widget.com',1238865,'398-112-3893',21584,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem F. Sutton','128-1606 Libero. Avenue','Coral Springs','DC','18085','sutton@aulnet',1238866,'576-875-9963',96144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Molly Y. Mendoza','P.O. Box 174, 4033 Interdum. Rd.','Nichols Hills','CO','21940','mollym@aulnet',1238867,'136-613-4983',99623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('John T. Noble','Ap #419-7937 Maecenas Street','Savannah','MI','57288','john.noble@hitmail.com',1238868,'329-355-8682',72002,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lysandra M. Mejia','P.O. Box 345, 5773 Nunc Street','Tulsa','NY','05162','lysandra.mejia@yohaa.com',1238869,'442-761-9268',105515,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hunter O. Beck','P.O. Box 221, 9549 Ut Ave','Evanston','MD','08914','beck@widget.com',1238870,'177-519-1891',26841,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi C. Whitehead','Ap #136-6933 Et St.','Paducah','DC','51160',NULL,1238871,'175-143-6518',58409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calista P. Whitehead','Ap #778-9482 Velit Avenue','Fargo','SC','92954','calista.whitehead@emailathome.net',1238872,'115-181-1327',102801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irene J. Mckay','3373 Magna. Rd.','Lawton','NM','98088','irenem@bpmpros.com',1238873,'474-886-3943',26939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca Y. Morris','Ap #185-6734 Arcu St.','Biddeford','AZ','60059','rebeccam@xyz.edu',1238874,'148-522-2076',17849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria E. Whitfield','P.O. Box 783, 6952 Et Rd.','Nanticoke','TX','93254','demetria.whitfield@emailathome.net',1238875,'314-463-8940',109792,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daphne A. Osborne','P.O. Box 588, 2752 Felis Rd.','El Cerrito','IA','13506','daphne.osborne@xyz.edu',1238876,'862-185-4473',52135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig K. Hayden','965-7551 Vitae St.','Nacogdoches','MO','89793','craigh@abc.edu',1238877,'309-162-2566',18107,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivana L. Wooten','1450 Magna Road','Las Cruces','HI','86264','ivanaw@emailathome.net',1238878,'344-574-5816',15588,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maxwell R. Galloway','Ap #200-4484 Auctor Ave','Beaumont','WA','16792','maxwell.galloway@abc.edu',1238879,'167-301-8743',71388,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis P. Acevedo','944-1053 Eget, Street','Wheaton','AZ','91517','acevedo@yohaa.com',1238880,'411-477-6885',78068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn G. Spence','1747 At Av.','Compton','DE','11811','fspence@widget.com',1238881,'973-714-8515',35527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan T. Hill','Ap #942-6616 Et Ave','La Jolla','SC','99900','ahill@abc.edu',1238882,'722-795-4082',68581,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes U. Sparks','Ap #699-370 Sit Street','Bremerton','NJ','35234',NULL,1238883,'235-957-6521',68922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allegra D. Harper','9947 Adipiscing Street','Marshall','MA','52216','allegra.harper@emailathome.net',1238884,'739-244-7494',23031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonah F. Nguyen','Ap #271-7109 Phasellus Ave','Sioux City','CO','53906',NULL,1238885,'213-943-1968',53187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lynn M. Gardner','Ap #247-6955 Mollis Avenue','Elsmere','LA','41494','gardner@emailathome.net',1238886,'401-614-5666',75973,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elliott B. Mack','Ap #110-8745 Consectetuer Av.','Dalton','DC','59590','mack@aulnet',1238887,'195-506-0196',96763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko N. Gardner','Ap #855-7645 Mi Av.','Belpre','TX','02751','mariko.gardner@yohaa.com',1238888,'453-457-9530',81275,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedy O. Murray','P.O. Box 973, 8654 Fusce Avenue','Natchitoches','SD','62964','hedym@widget.com',1238889,'726-278-5264',90825,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin M. Kirby','P.O. Box 524, 1513 In St.','Brooklyn Park','MI','26498',NULL,1238890,'464-289-2687',102370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josephine S. Fernandez','P.O. Box 972, 9449 Cras Av.','Elkhart','MI','80117','jfernandez@hitmail.com',1238891,'506-969-0492',26545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade B. Benson','8583 Gravida Road','Cambridge','WI','22161','sadeb@abc.edu',1238892,'373-924-6195',28875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jesse K. Macias','679-7038 Leo, Road','Schenectady','MD','33066','jessem@hitmail.com',1238893,'228-491-4240',46471,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila M. Mcmillan','5131 Erat, St.','McAlester','LA','15719','mcmillan@hitmail.com',1238894,'215-838-6777',32396,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wilma F. Clay','7688 Aliquam Rd.','Lodi','WI','50171','wilma.clay@xyz.edu',1238895,'753-675-2579',36635,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiara Z. Pruitt','P.O. Box 942, 9896 Luctus Ave','Reno','PA','74224','kiara.pruitt@yohaa.com',1238896,'406-259-8330',100510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla D. Yates','P.O. Box 492, 4437 Orci. Ave','Duarte','LA','11285','carlay@email.net',1238897,'511-916-0658',15181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta X. Tanner','P.O. Box 816, 6293 Metus. Av.','Cairo','HI','64376','utanner@hitmail.com',1238898,'653-163-0890',61186,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jakeem M. Woodard','526-7690 Quisque Av.','Ithaca','IL','54919','woodard@yohaa.com',1238899,'386-849-9119',101244,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Axel K. Benton','9274 Nec, St.','Vincennes','IL','66021',NULL,1238900,'513-542-1250',36038,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam E. Cline','948-8095 Sed Street','Forrest City','TN','01978','mariamc@xyz.edu',1238901,'109-613-0531',98009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan C. Clarke','182-6270 Dapibus Road','Mankato','AK','81092','teeganc@emailathome.net',1238902,'971-171-5936',67136,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole K. Romero','Ap #236-3314 Non Avenue','Sandpoint','ID','23115','nromero@bpmpros.com',1238903,'308-389-2608',68144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin C. Hines','Ap #712-1905 A St.','Avalon','TN','04138','hines@bpmpros.com',1238904,'444-652-7410',17970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran P. Sears','Ap #674-4724 Vestibulum Street','Derby','KS','11126',NULL,1238905,'355-608-2600',22796,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado C. Bates','Ap #986-1383 Magna. Av.','Huntington','NM','92904','coloradob@hitmail.com',1238906,'131-495-9922',75552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca S. Dennis','9633 Praesent Street','Chico','NE','95855','dennis@xyz.edu',1238907,'246-559-5880',96091,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Robert B. Flores','250-1763 Faucibus Rd.','Moultrie','AL','50046','rflores@aulnet',1238908,'902-157-6071',101849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsey T. Christensen','7957 Sodales Rd.','Biloxi','DE','79344','kelsey.christensen@yohaa.com',1238909,'559-241-2550',28988,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucian H. Reeves','361-6416 Mus. Street','Waukegan','CT','23203','lreeves@yohaa.com',1238910,'748-208-2485',17723,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly E. Mckay','585-6520 Gravida Road','West Warwick','TN','97921','hollym@widget.com',1238911,'325-973-0713',36887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zoe G. Spears','480-8210 Lectus, Rd.','Valdosta','WI','77774','zspears@hitmail.com',1238912,'796-921-8939',78207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem X. Duke','P.O. Box 925, 5863 Sit St.','Moscow','KY','38306','kareem.duke@email.net',1238913,'281-987-8077',105565,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin Q. Ortiz','Ap #210-747 Non Avenue','Oswego','AZ','30769','benjamin.ortiz@widget.com',1238914,'275-466-2431',60131,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos L. Stuart','P.O. Box 783, 5241 Luctus, Rd.','Michigan City','VT','92432','amoss@bpmpros.com',1238915,'392-477-7339',94633,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea I. Bush','Ap #907-5847 Nunc St.','San Dimas','NC','56549',NULL,1238916,'172-374-7514',101882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasimir T. Keith','P.O. Box 971, 6265 Dui Rd.','Santa Fe','UT','53909',NULL,1238917,'559-621-9046',69504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret M. Cash','P.O. Box 439, 2684 Gravida Rd.','Fort Worth','KY','20773','margaretc@xyz.edu',1238918,'674-233-7637',78815,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia G. Gutierrez','Ap #713-1809 Proin Rd.','Williamsport','AK','43364','sylviag@email.net',1238919,'138-712-9447',24221,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma T. Hoover','P.O. Box 323, 3454 Vestibulum Av.','Rhinelander','WA','99032',NULL,1238920,'407-535-2562',108935,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basia C. Whitaker','6593 Nec Road','Dallas','UT','68038','basiaw@hitmail.com',1238921,'132-373-9254',65546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bianca T. Barlow','Ap #261-690 Non St.','Burlingame','AK','96854','barlow@aulnet',1238922,'983-925-2971',34657,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald T. Mayer','569-7436 Massa. Rd.','Darlington','OH','75661','mayer@hitmail.com',1238923,'616-508-4237',31736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bernard J. Strong','P.O. Box 864, 782 Non, Rd.','New Orleans','LA','06181','bernards@yohaa.com',1238924,'843-468-9674',96213,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle A. Burt','657-4671 Lorem St.','Marshfield','MN','83999','belleb@bpmpros.com',1238925,'271-114-4713',53930,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah G. Rutledge','295-9351 Malesuada Avenue','Pocatello','TN','39412','uriahr@bpmpros.com',1238926,'402-673-6960',84546,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett D. Huffman','801-1992 Proin Street','Pittsfield','WY','85614','huffman@hitmail.com',1238927,'127-539-0126',21994,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen U. Patel','4748 Neque. St.','Jeannette','LA','02740','patel@widget.com',1238928,'312-715-4683',79735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred I. Mckay','P.O. Box 855, 1910 Nulla Rd.','Coos Bay','SC','19211','mckay@emailathome.net',1238929,'963-374-9993',74415,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quynn H. Ratliff','Ap #790-8262 Tincidunt. Road','Orangeburg','NJ','36455','quynnr@email.net',1238930,'777-739-9139',30798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan U. Finley','P.O. Box 831, 3977 Integer St.','Racine','NH','12258','efinley@aulnet',1238931,'715-582-1201',55399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jade P. Acevedo','854-3354 Dolor. Street','Laramie','NC','29641','jacevedo@xyz.edu',1238932,'891-615-0962',32596,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga P. Frost','P.O. Box 944, 6082 Nunc Street','Moreno Valley','RI','46265','frost@bpmpros.com',1238933,'807-708-3124',26663,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriel I. Merritt','8292 Nascetur Avenue','East Lansing','CT','75779','uriel.merritt@abc.edu',1238934,'406-197-7675',18731,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whitney L. Solomon','P.O. Box 445, 4369 Semper Av.','Agawam','IA','40115','wsolomon@hitmail.com',1238935,'995-492-3881',70403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie Q. Potter','P.O. Box 722, 3835 Diam Rd.','Carrollton','AK','30380','potter@bpmpros.com',1238936,'596-482-7731',79904,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree G. Figueroa','5442 Mattis St.','New Castle','WV','03826','dfigueroa@email.net',1238937,'865-914-6528',44314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena L. Cote','Ap #995-3964 Luctus Rd.','Reedsport','VT','81394','amena.cote@email.net',1238938,'212-186-9906',63816,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn V. Hodge','190-1063 Nulla. Rd.','Winston-Salem','CA','94085','flynnh@email.net',1238939,'471-692-6785',82233,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriah F. Cobb','P.O. Box 658, 2479 Luctus Rd.','Fort Collins','OK','88072','ucobb@hitmail.com',1238940,'168-538-1307',21614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Veda U. Finch','1121 Fringilla Rd.','Benton Harbor','AZ','34662','vfinch@abc.edu',1238941,'561-777-5204',48379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim B. Kerr','310-2892 A Road','Saukville','HI','21265','hkerr@emailathome.net',1238942,'828-488-0656',96945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory F. Barlow','530-9631 Etiam Rd.','New Brunswick','OK','96327',NULL,1238943,'583-402-7998',71744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacey L. Hodges','Ap #298-103 Vel Rd.','Watervliet','OH','42938','laceyh@hitmail.com',1238944,'356-848-2599',62245,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvonne C. Rhodes','Ap #774-6596 Proin St.','Denver','WI','66708','rhodes@aulnet',1238945,'746-103-8410',105437,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bevis L. Alvarez','Ap #675-9678 In Ave','Boulder','ME','32409','balvarez@aulnet',1238946,'317-954-9568',109989,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phoebe Y. Spencer','953-6602 Egestas Av.','Watervliet','NH','92335','phoebe.spencer@bpmpros.com',1238947,'834-142-0050',70168,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava P. Santana','Ap #823-5656 Nibh Ave','Waco','PA','38930',NULL,1238948,'366-201-2423',62476,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Plato C. Fuller','Ap #902-8171 Ac, St.','Concord','OH','45074','plato.fuller@email.net',1238949,'915-272-3716',38018,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hermione T. Webb','1136 Purus Street','Huntington Park','MS','66581','webb@yohaa.com',1238950,'289-671-1973',47199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsey Z. Kidd','5247 Placerat Avenue','Barre','GA','68185','kelseyk@abc.edu',1238951,'843-962-9289',53059,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan S. Pearson','P.O. Box 220, 368 Vitae Street','Bowie','AK','28387',NULL,1238952,'572-315-3762',109905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah K. Chapman','P.O. Box 515, 1371 Feugiat Av.','Fort Smith','NJ','67595','josiahc@hitmail.com',1238953,'883-455-6600',55285,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru K. Dawson','5094 Vitae Road','Enid','WA','25562','dawson@bpmpros.com',1238954,'322-809-1456',27408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Channing D. Pratt','126-6328 Amet Road','Riverside','TX','70406','channing.pratt@email.net',1238955,'968-381-0902',50696,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kennan N. Walls','Ap #394-1198 Turpis. Ave','Ypsilanti','LA','28799','walls@aulnet',1238956,'296-265-4455',54912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leo U. Rice','863-3827 Vivamus Ave','Warwick','DC','52671','leor@xyz.edu',1238957,'571-677-8322',95857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca H. Rich','P.O. Box 555, 2357 Nulla Rd.','Hartford','LA','50203','rebecca.rich@emailathome.net',1238958,'974-455-0228',72868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene L. Butler','Ap #637-4241 Nec Avenue','Sandpoint','CO','42493',NULL,1238959,'706-681-0350',73877,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rana F. Weaver','Ap #487-9683 Mauris St.','Jackson','AK','10352','ranaw@widget.com',1238960,'856-663-2432',95273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Warren M. Gordon','Ap #948-3889 Posuere Street','Hermosa Beach','LA','47057','warreng@yohaa.com',1238961,'411-367-8391',90589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon Q. Haley','P.O. Box 117, 454 Aliquam Ave','Sandpoint','WI','37975',NULL,1238962,'123-433-6005',54215,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo F. Mullins','6090 Ornare, St.','Rohnert Park','WV','75299',NULL,1238963,'996-599-7330',18781,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilda P. Brown','P.O. Box 121, 4063 Vulputate St.','Evansville','UT','86852','hilda.brown@abc.edu',1238964,'152-148-5372',82736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa T. Hart','327-5894 Vel Rd.','Murrieta','IN','19996','hart@emailathome.net',1238965,'758-809-8573',98717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan P. Nixon','967-5706 Enim. St.','Perth Amboy','HI','41161','jnixon@yohaa.com',1238966,'167-816-6254',89013,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin R. Snyder','422-5970 Lorem Rd.','Nanticoke','KS','53504','gsnyder@bpmpros.com',1238967,'766-833-6493',86992,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jescie N. Rollins','P.O. Box 685, 1836 Pellentesque Rd.','Kettering','AL','39382',NULL,1238968,'997-753-5851',52193,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Justin D. Juarez','Ap #822-9232 Fusce Street','Temecula','MN','48377','juarez@abc.edu',1238969,'761-757-3198',20954,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane L. Beach','Ap #154-8156 Semper Rd.','Fargo','UT','38577',NULL,1238970,'955-625-3826',108072,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey B. Lewis','889-1349 Integer Rd.','Boulder Junction','WA','86515','lewis@yohaa.com',1238971,'182-947-6729',64823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome N. Mathis','Ap #557-6963 Orci. St.','Atwater','ME','37514','jerome.mathis@yohaa.com',1238972,'129-212-1687',45273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau V. Morrison','351-3283 Porttitor St.','Titusville','SC','18045',NULL,1238973,'661-789-8010',72961,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zephr Y. Ramos','6663 Orci. Road','Needham','CT','07999','zephr.ramos@widget.com',1238974,'804-461-4383',36594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydney G. Kramer','4272 Semper, Rd.','Muskogee','ME','93293','sydneyk@hitmail.com',1238975,'983-863-2092',54695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emma U. Cameron','788-5168 Enim. St.','Schenectady','PA','11614','cameron@xyz.edu',1238976,'807-881-6538',67230,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elton Z. Cardenas','1295 Ut Street','Florence','AK','86737','elton.cardenas@hitmail.com',1238977,'898-389-0681',45600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gannon F. Hunt','870-3535 Risus. Ave','Newport News','NM','63759','gannonh@widget.com',1238978,'587-486-6757',52853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey S. Sims','5794 Nunc Street','Battle Creek','IN','90887','geoffrey.sims@bpmpros.com',1238979,'353-202-9406',21359,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rooney U. Carson','Ap #939-1923 Eu Rd.','West Palm Beach','TX','11402','rcarson@abc.edu',1238980,'389-543-7557',102936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie Z. Gibson','6552 Odio Rd.','Woodruff','MI','44945','maggieg@xyz.edu',1238981,'286-415-3696',57699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kamal E. Cruz','Ap #485-2865 Enim Av.','Agat','HI','65109','kamal.cruz@email.net',1238982,'145-232-5579',33394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nita Q. Mcgee','6585 Dui Av.','Norwalk','KY','33839','mcgee@abc.edu',1238983,'441-455-8780',47860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton G. Rollins','2210 Enim Rd.','Port Washington','ND','33427','hamiltonr@emailathome.net',1238984,'711-745-7813',80865,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('TaShya T. Coleman','Ap #548-1421 Posuere Rd.','Bandon','LA','03137','coleman@bpmpros.com',1238985,'655-465-0108',107612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla R. Coleman','350-9384 Nunc Road','Yazoo City','RI','14818','coleman@hitmail.com',1238986,'956-611-9750',105960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan Y. Tillman','Ap #833-4672 Lorem St.','Asbury Park','CA','84008','tillman@aulnet',1238987,'817-863-4723',69691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samantha N. Graves','281-3529 Orci, Street','Baytown','AL','12196','sgraves@abc.edu',1238988,'296-113-9853',74325,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona F. Obrien','Ap #138-3028 Justo. St.','Corona','ID','24336','robrien@aulnet',1238989,'534-739-7417',46734,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa Y. Battle','P.O. Box 150, 7663 Amet, Ave','Thomasville','CO','37361','battle@xyz.edu',1238990,'798-232-9606',29467,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colleen M. Hancock','395-1657 A Road','Narragansett','ME','49586','chancock@email.net',1238991,'948-646-8777',51725,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shafira O. Hudson','P.O. Box 948, 2727 Diam. Av.','Laguna Beach','IL','63513','hudson@email.net',1238992,'291-138-7846',65517,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony X. Hess','270-7084 Lorem Av.','Laredo','CT','43007','ebonyh@hitmail.com',1238993,'621-711-8596',50425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilel X. Donovan','8166 Tortor. Rd.','Marlborough','IN','71275',NULL,1238994,'676-438-4094',103838,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth O. Harper','8194 Et Av.','Lancaster','MN','99226','kenneth.harper@yohaa.com',1238995,'444-902-5343',89446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie G. Gonzalez','Ap #137-8049 Purus Avenue','Kalispell','TN','22221',NULL,1238996,'558-993-9944',48740,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Susan D. Stone','945-1273 Tempor Street','Auburn Hills','WY','85418',NULL,1238997,'639-288-0819',89802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn D. Key','853-6079 Velit. Road','Paramount','RI','76251','karynk@xyz.edu',1238998,'669-309-3984',84964,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet N. Hoffman','Ap #867-3083 Purus. Avenue','Waycross','OH','46322','hoffman@hitmail.com',1238999,'675-245-3547',57082,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Davis E. Cole','Ap #679-5456 Curabitur Rd.','Hartford','MO','17963',NULL,1239000,'386-861-0154',78347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen C. Christian','469-9744 Arcu. Road','Yonkers','AZ','53671','christian@yohaa.com',1239001,'635-922-7927',24660,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca T. Cortez','9900 Nec Road','Rancho Palos Verdes','DC','14250',NULL,1239002,'627-782-1742',63174,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadley H. Lewis','317-996 Sodales Street','Sunbury','CT','24349','hadley.lewis@xyz.edu',1239003,'599-217-8989',84923,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deborah G. Faulkner','Ap #186-1484 Eu Av.','Artesia','KY','43577','dfaulkner@bpmpros.com',1239004,'817-417-4333',46054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciaran B. Fitzgerald','168-3925 Porttitor Rd.','Somersworth','DC','57790','fitzgerald@xyz.edu',1239005,'378-296-4029',52719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite S. Fowler','2917 Lorem Rd.','Chicopee','CA','95080','fowler@yohaa.com',1239006,'851-987-7063',63258,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nayda N. Melendez','8175 Nibh. Street','Bend','MD','56716','naydam@xyz.edu',1239007,'314-301-3990',80422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta B. Nguyen','Ap #943-4579 Consequat Road','Torrington','OR','18375','uta.nguyen@widget.com',1239008,'182-306-6069',106860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila R. Whitfield','Ap #952-9914 Dapibus Rd.','Grass Valley','VT','67275','lwhitfield@yohaa.com',1239009,'642-624-9395',48378,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maryam I. Joyce','7528 Diam Rd.','Bentonville','ND','05522','joyce@abc.edu',1239010,'349-805-9673',73618,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashely E. Finch','Ap #765-1838 A, Avenue','Bradford','OK','36232','ashelyf@bpmpros.com',1239011,'764-914-8287',99542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey N. Benton','Ap #198-2960 Velit. Road','Glen Cove','TX','53690','benton@widget.com',1239012,'832-606-6104',51113,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teegan H. Craft','2184 Ridiculus Street','New York','MN','71327',NULL,1239013,'787-871-0306',17162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita M. Oneil','Ap #860-1217 Nam Rd.','Waycross','NM','06488','chiquita.oneil@xyz.edu',1239014,'815-692-4624',22194,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton C. Beard','Ap #127-3387 Sed Ave','DuBois','UT','47754','denton.beard@widget.com',1239015,'343-157-7591',34478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole H. Lloyd','934-3422 Ipsum Rd.','Waukegan','WV','81338','cole.lloyd@hitmail.com',1239016,'293-435-4921',54453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek Q. Garrett','9460 Sodales Av.','La Jolla','IN','28446','garrett@hitmail.com',1239017,'679-599-7322',88683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cara Z. Luna','275-2890 Magna. Av.','Cincinnati','CA','31469','cluna@abc.edu',1239018,'906-586-9746',18154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pandora V. Webster','4804 Amet Rd.','Frederick','CA','27881',NULL,1239019,'937-827-4650',74271,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emily I. Lara','227-1711 Proin Street','Roswell','WA','03620','emily.lara@bpmpros.com',1239020,'512-449-2677',50401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elaine Z. Puckett','926-5299 Et, Street','Missoula','AK','93496','elaine.puckett@bpmpros.com',1239021,'127-649-9882',67966,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus Y. Wilkinson','4818 Libero Ave','Winston-Salem','HI','84114',NULL,1239022,'554-267-8207',37298,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra M. Nichols','508-1676 Proin Street','Columbus','ME','60644',NULL,1239023,'859-414-5704',16830,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar G. Cole','6280 Enim. Av.','Burlingame','HI','44950','cole@aulnet',1239024,'925-411-3517',20239,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xanthus L. Reilly','Ap #317-9946 Sit Avenue','Liberal','WY','26861',NULL,1239025,'823-747-1575',24920,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xander E. Evans','Ap #929-9290 Adipiscing St.','Effingham','DC','15332','evans@xyz.edu',1239026,'304-126-8630',40362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna J. Mcmillan','Ap #122-9185 Orci. Av.','Cerritos','WV','17123',NULL,1239027,'565-869-9857',64673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Todd U. Salazar','P.O. Box 214, 3076 Rutrum. Road','Pendleton','DE','00228','tsalazar@yohaa.com',1239028,'442-917-7766',71112,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia C. Hooper','1621 Sed Street','Orem','AK','74155','claudia.hooper@hitmail.com',1239029,'387-122-2239',109827,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne R. Maldonado','P.O. Box 785, 8807 Montes, Ave','Hampton','NC','73947','amaldonado@email.net',1239030,'203-491-5127',54648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly K. Myers','P.O. Box 314, 9788 Enim. St.','Cypress','WY','68632','kelly.myers@yohaa.com',1239031,'689-893-2827',23399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane N. Jacobson','5906 Elementum St.','Grafton','AL','28184','jacobson@aulnet',1239032,'148-307-2874',18272,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macon T. Park','P.O. Box 292, 1689 Semper St.','Hagerstown','CT','15033','macon.park@email.net',1239033,'218-367-5657',57621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denise M. Dorsey','P.O. Box 628, 1226 Phasellus Avenue','Las Cruces','SC','90505',NULL,1239034,'649-868-0266',100269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste J. Hester','3188 Orci, Rd.','New Britain','AK','56046','chester@yohaa.com',1239035,'197-652-6384',53203,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brandon A. Byers','423-7396 Duis Street','Brookfield','FL','29486',NULL,1239036,'523-511-0727',21478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika M. Coffey','Ap #266-6188 A, Street','West Allis','NE','74793','anika.coffey@yohaa.com',1239037,'389-703-1222',109693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jorden B. William','Ap #748-4766 Proin St.','Ashland','VA','44018','jorden.william@bpmpros.com',1239038,'812-102-7049',46689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper I. Dean','820-3696 Pellentesque St.','Vineland','MT','49983','pdean@emailathome.net',1239039,'102-824-9257',45721,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma R. Navarro','528 In Avenue','Bloomington','ME','33227','alma.navarro@yohaa.com',1239040,'226-627-7091',15579,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole S. Pittman','273-5625 Ultricies Ave','Effingham','FL','54888','colep@emailathome.net',1239041,'116-333-8696',82728,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Whilemina S. Sanford','731-3146 Mauris Rd.','Sandy','VT','04469','sanford@aulnet',1239042,'357-363-6055',80962,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Larissa K. Coleman','P.O. Box 724, 5489 Etiam St.','Mesa','MD','27431','larissa.coleman@widget.com',1239043,'801-158-3110',38954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oliver Y. Malone','846-7506 Amet Ave','Lander','MT','91328',NULL,1239044,'851-652-6090',41788,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bertha N. Brock','215-4150 Ipsum Rd.','Sierra Vista','WV','44335','brock@aulnet',1239045,'765-515-1768',95532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lunea D. Watts','Ap #587-7208 Vel St.','Cedar Falls','ND','62217','watts@yohaa.com',1239046,'653-418-9221',19678,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet X. Woods','P.O. Box 339, 9932 Nec Avenue','Pembroke Pines','SD','48811','violetw@email.net',1239047,'128-772-1890',28048,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny E. Clarke','P.O. Box 779, 1095 Risus. St.','Bristol','AK','88636','destinyc@abc.edu',1239048,'547-666-3384',34322,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Randall I. Kirby','Ap #323-8420 Arcu Ave','New Albany','AL','00588','randall.kirby@widget.com',1239049,'215-653-1284',69132,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses U. Trujillo','P.O. Box 560, 967 Magna Road','North Little Rock','PA','78979','mtrujillo@bpmpros.com',1239050,'567-673-2344',70231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine D. Sweeney','5046 Eget Av.','Covington','AK','67295','geraldines@emailathome.net',1239051,'193-939-7079',44461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brent S. Hopper','Ap #869-8275 Consectetuer Av.','Iowa City','RI','83941','brenth@email.net',1239052,'246-339-2799',89667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge C. Velez','4903 Lorem Road','Chicago Heights','MI','81349','medge.velez@yohaa.com',1239053,'634-758-3713',108667,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Velma Y. Dunn','8164 In Avenue','Pico Rivera','ID','40539','velma.dunn@widget.com',1239054,'674-638-0138',63092,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brittany W. Blankenship','P.O. Box 156, 7324 Ullamcorper St.','Areceibo','WA','11952',NULL,1239055,'493-166-6046',29507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sheila R. Maldonado','Ap #187-6505 Nec, Rd.','Newport News','DC','09321','sheila.maldonado@aulnet',1239056,'384-786-8524',69412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience S. Castillo','620-3565 Lectus. Ave','Torrington','ND','83192','patience.castillo@hitmail.com',1239057,'624-808-6934',58305,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris A. Vargas','9825 Nam St.','San Gabriel','DE','02150','marisv@abc.edu',1239058,'571-832-2229',94206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Conan H. Hale','P.O. Box 733, 4103 Lectus. St.','Elmira','MN','59261','chale@aulnet',1239059,'423-893-6248',62620,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn I. Solis','Ap #698-2594 Adipiscing Street','Sandy Springs','LA','80149',NULL,1239060,'302-724-5261',62359,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla Z. Barton','929-1470 Maecenas Avenue','Waterloo','NH','90870','barton@email.net',1239061,'921-323-9564',84035,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith F. Morris','P.O. Box 514, 5992 Molestie Ave','Miami Gardens','ME','91291','gmorris@email.net',1239062,'173-194-2152',79880,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy K. Oliver','Ap #254-275 Cum Street','Stafford','NY','03994','dorothy.oliver@hitmail.com',1239063,'296-369-2525',80373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett J. Petersen','7570 Dictum. Road','Raleigh','MA','25365','spetersen@widget.com',1239064,'766-275-8007',37855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith T. Whitley','694-9154 Ornare, Av.','Sugar Land','MI','85311','lillith.whitley@bpmpros.com',1239065,'787-443-6274',37937,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet M. Carson','P.O. Box 754, 9198 Vel St.','Pendleton','ME','85160',NULL,1239066,'583-369-6022',45265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander O. Osborn','P.O. Box 369, 9597 Malesuada Av.','Elko','AK','47522','alexandero@aulnet',1239067,'793-276-4351',60727,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rudyard U. Guerra','737-9047 Habitant St.','Hudson','AL','07644','guerra@bpmpros.com',1239068,'267-869-0354',87229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin G. Mcguire','P.O. Box 787, 348 Sem Avenue','Hudson','MS','47455','benjamin.mcguire@emailathome.net',1239069,'199-366-0261',76300,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte K. Morin','Ap #284-2117 Mauris Street','Peabody','WI','41899',NULL,1239070,'445-535-7018',46621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quemby Z. Wilson','314-8630 Diam Rd.','Areceibo','MI','42884',NULL,1239071,'774-128-5632',78339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessica Z. Brewer','2075 Cras St.','Pittsburgh','LA','38612','jessica.brewer@emailathome.net',1239072,'992-469-7616',37753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience N. Andrews','Ap #468-7484 Massa. Rd.','Peekskill','ME','73912',NULL,1239073,'626-517-8866',62238,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott T. French','P.O. Box 922, 8309 Vehicula Street','St. Petersburg','KS','75949','prescottf@bpmpros.com',1239074,'962-587-9048',93824,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arden I. Kirby','P.O. Box 393, 1550 Egestas. Av.','Frederick','ID','55720','ardenk@abc.edu',1239075,'679-532-0189',36010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eve B. Sherman','274-1685 Mauris Road','Kansas City','MT','72938','esherman@xyz.edu',1239076,'659-338-8608',97177,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatyana C. Sloan','P.O. Box 622, 473 Aenean Ave','Lower Burrell','RI','25707','tatyana.sloan@hitmail.com',1239077,'636-395-5344',108826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India W. Evans','5462 Proin St.','Seaford','AK','58051',NULL,1239078,'623-486-9164',84505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone D. Thomas','781-6644 Erat, Street','Medford','OH','73232',NULL,1239079,'394-816-1021',35678,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia Y. Morrow','P.O. Box 735, 8736 Integer Rd.','Louisville','MN','17490','morrow@bpmpros.com',1239080,'623-927-7339',55559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory Q. Bryant','Ap #387-3066 Et Ave','Pawtucket','AK','47264','malloryb@abc.edu',1239081,'755-388-2040',57712,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah W. Wong','Ap #988-8523 Fusce St.','Brooklyn Park','IA','33080','wong@email.net',1239082,'345-909-2975',15132,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Danielle L. Mason','586-6507 Neque. Rd.','South Pasadena','MT','86719','danielle.mason@yohaa.com',1239083,'799-145-9542',55742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine L. Roth','5139 Diam Road','Valdosta','GA','05004','roth@hitmail.com',1239084,'776-756-6501',69253,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keefe V. Mcdaniel','Ap #448-2322 Fermentum Av.','Yonkers','IL','47453','kmcdaniel@abc.edu',1239085,'557-334-9996',61763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor B. Richardson','4262 Est, Road','Cedar Falls','MT','50145','vrichardson@yohaa.com',1239086,'891-346-0693',74927,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad G. Ferguson','P.O. Box 497, 6843 Nulla St.','Hartland','KY','89839',NULL,1239087,'975-866-1121',94161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deanna M. Klein','Ap #564-143 Nibh. Av.','Pulaski','WV','27616',NULL,1239088,'557-532-3084',28719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair Z. Miles','545-9207 Quam St.','Charlotte Amalie','AL','96923',NULL,1239089,'641-197-5299',38116,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sasha K. House','368-2141 Nunc St.','Santa Fe','SC','80876','sashah@yohaa.com',1239090,'801-442-5391',72855,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone W. Black','P.O. Box 720, 5966 Nunc Rd.','Nashville','WY','79359','tyrone.black@yohaa.com',1239091,'236-137-4889',35241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn V. Bray','Ap #492-6924 Nunc St.','Utica','CT','10980','quinnb@abc.edu',1239092,'349-586-5230',22260,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron H. Alexander','P.O. Box 650, 2836 Ornare, St.','San Bernardino','AZ','12223','alexander@email.net',1239093,'214-563-9495',84724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara V. Mathis','P.O. Box 390, 6888 Sed Rd.','Cumberland','WA','99611','mathis@yohaa.com',1239094,'945-168-5215',88692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna N. Bell','751-2162 Et Rd.','Ithaca','AZ','98697','ayanna.bell@yohaa.com',1239095,'319-355-3138',57558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaden F. Grant','Ap #880-541 Ante, Road','Bandera','NJ','61160',NULL,1239096,'758-167-3226',54493,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen W. Hyde','P.O. Box 558, 2452 Ut Av.','Seaford','ME','95366',NULL,1239097,'527-275-2425',84986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira D. Charles','P.O. Box 925, 4585 Feugiat Rd.','Bradbury','MA','89775',NULL,1239098,'232-658-7330',99541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lance Q. Mayer','9524 Curabitur Ave','Hastings','SC','82581','mayer@yohaa.com',1239099,'568-973-1380',28804,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Darrel E. Herrera','Ap #784-9900 Sapien. Avenue','Laurel','NE','38621',NULL,1239100,'202-761-6438',91674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cedric Y. Walton','P.O. Box 598, 3482 Elit, Road','Suffolk','KS','82210','walton@abc.edu',1239101,'942-144-7144',72074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan K. Gould','466-6558 Sit Street','Las Vegas','WI','23715','rogan.gould@xyz.edu',1239102,'937-878-9227',51279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price Z. Conrad','604-8483 Tellus Rd.','Richmond','WI','94528','conrad@xyz.edu',1239103,'334-361-0499',74750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Demetria A. Orr','5949 Non, Av.','Joplin','ME','11730',NULL,1239104,'393-126-5426',65066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya N. Mcdonald','P.O. Box 366, 8657 Adipiscing. Av.','Beloit','IN','66787','mmcdonald@hitmail.com',1239105,'617-811-9364',97831,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stuart K. Berg','8207 Mauris Rd.','Livonia','CA','14860','sberg@yohaa.com',1239106,'448-201-9829',94129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lewis H. Mccormick','880-9958 Fusce Rd.','Akron','RI','89803','lmccormick@yohaa.com',1239107,'764-213-2232',24040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lani Y. Clark','P.O. Box 672, 2302 Maecenas Ave','Milford','MO','20019','clark@widget.com',1239108,'913-687-7000',34589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hasad H. Farmer','P.O. Box 214, 2210 Sem Rd.','Kearns','PA','26556','hasadf@abc.edu',1239109,'666-689-2660',76499,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mohammad W. Cain','P.O. Box 121, 8641 Netus Road','Hialeah','DE','95811','cain@email.net',1239110,'478-135-7149',94257,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden M. Baxter','872-5961 Sodales St.','Lawrenceville','VT','05790',NULL,1239111,'512-981-0257',55592,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aidan G. Powers','Ap #930-9719 Odio Av.','Benton Harbor','RI','60475',NULL,1239112,'266-778-6686',98769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana I. Holt','Ap #612-9645 Odio St.','Fremont','MO','24995','iliana.holt@bpmpros.com',1239113,'461-526-2048',83684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fitzgerald P. Martinez','1946 Congue, St.','Cleveland','MS','72015','fitzgerald.martinez@email.net',1239114,'615-151-1138',47185,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome F. Finch','8075 Aliquam Rd.','Greensburg','SC','92210','jeromef@abc.edu',1239115,'512-174-5886',18094,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abel W. Barnes','P.O. Box 603, 7203 Velit Rd.','Riverton','KY','12614','abel.barnes@xyz.edu',1239116,'925-546-5190',18692,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester B. Preston','2365 Lectus Av.','Fitchburg','AK','81592','preston@abc.edu',1239117,'854-356-6093',70686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin R. Forbes','335-801 Nulla St.','Costa Mesa','FL','20502','forbes@xyz.edu',1239118,'105-868-0147',30686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes T. Barnett','776-5284 Et Road','Stanton','AL','28549','holmesb@emailathome.net',1239119,'152-257-9250',48108,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos N. Pickett','947-1152 Egestas Ave','Pittsburgh','OH','72691','xenosp@bpmpros.com',1239120,'231-393-3593',86045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelsie C. Gilliam','Ap #899-8362 Amet, St.','Superior','TN','55127','gilliam@hitmail.com',1239121,'719-951-2436',16606,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon T. Webster','3635 Et Street','Half Moon Bay','MS','30196','fallonw@hitmail.com',1239122,'708-589-4754',15761,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yeo Q. Raymond','Ap #783-9194 Posuere, St.','Sun Valley','NM','05445','yraymond@emailathome.net',1239123,'632-341-7202',17967,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaden B. Morgan','Ap #530-4718 Aenean Road','Douglas','ID','86391',NULL,1239124,'738-479-6104',54159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrienne L. Miller','104-6710 Parturient Street','Cedar City','MS','75451','amiller@email.net',1239125,'854-692-9615',93200,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni G. Alston','Ap #695-9109 Mollis Rd.','Chicago Heights','NC','17682','britanni.alston@emailathome.net',1239126,'244-197-6895',66898,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin J. Clark','Ap #377-8287 Consequat St.','Fairfield','WI','63770','alvin.clark@aulnet',1239127,'463-617-6042',106819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graiden N. Scott','5723 Tincidunt, St.','Columbus','MS','78724','graidens@emailathome.net',1239128,'193-149-3000',75874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly X. Jacobs','Ap #624-2392 Fusce Av.','Port Jervis','MN','96975','jacobs@hitmail.com',1239129,'791-793-8311',45846,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance Z. Crawford','3997 Pede. Ave','Longview','NV','24513','crawford@yohaa.com',1239130,'212-771-7590',48251,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dieter N. Cruz','Ap #601-7595 Imperdiet Road','Jeffersontown','MD','91625','dieterc@bpmpros.com',1239131,'249-451-1319',93795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil E. Walls','Ap #955-5878 A St.','La Puente','MO','94886',NULL,1239132,'512-752-1123',55878,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady G. Dudley','829-3473 Augue St.','Chattanooga','PA','22517','dudley@xyz.edu',1239133,'404-826-5777',101180,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vivian I. Berger','Ap #779-5148 Massa. Street','Ashland','NV','37850',NULL,1239134,'378-782-5070',96255,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory T. Scott','P.O. Box 723, 2210 Maecenas Avenue','Phoenix','MI','05933','ivorys@widget.com',1239135,'794-172-7532',74643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau M. Goodwin','P.O. Box 940, 840 Rutrum, St.','Grand Forks','NM','00705',NULL,1239136,'749-433-5052',75391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sophia G. Knight','Ap #555-534 Pharetra Av.','Yigo','MI','04314','sophia.knight@aulnet',1239137,'221-869-2028',22909,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quincy S. Bell','6003 Cras Rd.','Jersey City','OR','75506','qbell@email.net',1239138,'947-459-4463',86614,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marah O. Mejia','Ap #495-253 Congue Road','Columbus','MA','17082','mejia@widget.com',1239139,'798-736-1955',54923,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cole E. Stone','Ap #613-8743 Malesuada Rd.','Guthrie','AL','45152','stone@yohaa.com',1239140,'345-934-6797',83562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly D. Elliott','637-6383 Elit St.','Bandera','DC','13968','kelly.elliott@email.net',1239141,'211-466-3099',89355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Skyler N. Poole','Ap #228-1477 Proin Avenue','West Warwick','OR','92406','skylerp@abc.edu',1239142,'466-587-9522',67269,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney I. England','4451 Sapien. Avenue','Ypsilanti','MS','43942','chaneye@aulnet',1239143,'283-821-4881',85355,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holmes A. Hartman','362-6237 Sem Rd.','Fall River','CT','66409',NULL,1239144,'352-545-3658',63619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hilary G. West','793-9321 Mauris Road','Miami','AK','16182','west@bpmpros.com',1239145,'582-834-3797',62189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma A. Meadows','689-9272 Neque Rd.','Mankato','MA','44960','imeadows@email.net',1239146,'143-635-4798',65822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sandra A. Nash','P.O. Box 202, 8440 Imperdiet Street','Forest Lake','RI','16960','sandra.nash@aulnet',1239147,'831-983-5280',104030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Omar M. Terry','Ap #847-8287 Integer Rd.','Meadville','WV','74690','omar.terry@aulnet',1239148,'651-592-3849',15282,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezra Y. Wallace','639-3949 Egestas Av.','Vail','MA','38303','ezraw@email.net',1239149,'994-655-0564',47212,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Byron I. Golden','544-1242 Augue Street','Peru','CA','57086','golden@aulnet',1239150,'499-493-9589',24535,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jana L. Hicks','645 Faucibus Ave','Azusa','AK','76631',NULL,1239151,'441-981-9102',26227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley C. Beard','Ap #218-1276 Neque Rd.','Flagstaff','VA','97573','lesley.beard@aulnet',1239152,'215-656-5364',65465,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill Q. Porter','9524 Aptent Av.','Fort Smith','IN','59599','merrill.porter@aulnet',1239153,'347-768-2138',86675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble G. Houston','8918 Nisl St.','Hawthorne','RI','09445','nhouston@emailathome.net',1239154,'405-448-0058',44687,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nasim D. Downs','Ap #721-2104 Luctus Avenue','Pascagoula','ND','47356','downs@xyz.edu',1239155,'802-206-5556',72708,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander X. May','P.O. Box 247, 7879 Ac Av.','Natchez','TX','50398','alexanderm@yohaa.com',1239156,'745-547-7533',22108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shoshana R. Alexander','Ap #639-4127 Ultricies Rd.','North Little Rock','PA','61512','shoshanaa@email.net',1239157,'811-656-1029',72410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia R. Dillard','416-8323 Enim Street','Westfield','WV','74836','ldillard@hitmail.com',1239158,'448-359-9150',32598,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sacha U. Wilkinson','916-4678 Arcu. St.','Shelton','IL','25399','wilkinson@hitmail.com',1239159,'326-675-9348',58363,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda Q. Tanner','288-895 Donec Av.','Trenton','CO','38553','wanda.tanner@bpmpros.com',1239160,'953-279-8537',91959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Paul G. Mason','4716 Ultrices. Rd.','Garland','KY','27991','paulm@hitmail.com',1239161,'847-243-4503',54023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly D. Peters','Ap #649-1687 Et, Rd.','Clovis','MT','83900',NULL,1239162,'803-651-8922',69011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Finn Z. Myers','P.O. Box 277, 8459 Fringilla Road','Spartanburg','SD','36519','fmyers@hitmail.com',1239163,'521-333-9937',99040,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan L. Bates','801-939 Lectus Ave','Midland','WI','79415','bates@aulnet',1239164,'925-455-7987',93812,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cailin S. Justice','P.O. Box 706, 2496 Auctor, Rd.','Nacogdoches','MN','42521','cailin.justice@xyz.edu',1239165,'137-163-4172',25822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy Y. Vargas','Ap #552-9421 Erat Road','Seward','FL','65507','lucyv@widget.com',1239166,'229-267-2296',54067,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Petra N. Skinner','204-1844 Iaculis Ave','Cairo','NM','73348','petras@hitmail.com',1239167,'946-275-3325',70664,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colin Z. Clemons','Ap #395-8024 Libero. St.','Yazoo City','MI','00083',NULL,1239168,'522-478-5538',101490,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana M. Hawkins','776-6128 Adipiscing Rd.','Allentown','CA','53154','hawkins@aulnet',1239169,'248-671-0585',20290,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester Z. Hurst','593-4459 Nunc Av.','West Jordan','IA','34998','hurst@xyz.edu',1239170,'143-392-9629',32283,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camilla G. Mays','P.O. Box 201, 9032 Dignissim St.','Orlando','NC','93538',NULL,1239171,'627-771-9629',46826,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem N. Talley','213 Viverra. Rd.','Longview','WV','67727','talley@xyz.edu',1239172,'281-943-6007',20734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Odessa Z. Wade','5779 Vitae, Road','Bowie','KS','82229',NULL,1239173,'102-719-8141',94247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah O. Delaney','574-218 Magna Avenue','Vacaville','ME','79152','delaney@aulnet',1239174,'472-473-1920',23317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana X. Clayton','763-3725 Id Road','Watertown','IL','69838','moana.clayton@hitmail.com',1239175,'191-472-7548',57411,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olga N. Thomas','621-4913 Vitae St.','Ventura','KS','52721','olga.thomas@xyz.edu',1239176,'651-652-9237',82244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhea E. Mcmillan','Ap #932-5852 Mus. Rd.','Cedar Falls','MO','89941','rhea.mcmillan@hitmail.com',1239177,'664-324-8758',103280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger Q. Le','2374 Ac St.','North Chicago','MS','66264','tiger.le@widget.com',1239178,'268-425-7571',51516,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James F. Orr','Ap #124-3123 Maecenas Rd.','Stafford','SD','26793','jorr@hitmail.com',1239179,'168-227-5522',19117,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter L. Hayden','Ap #832-6914 Est. St.','Greenfield','TN','65792','wynter.hayden@yohaa.com',1239180,'486-444-6712',37347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin H. Knight','Ap #754-9980 Quisque Avenue','Gilbert','NE','36802','galvin.knight@email.net',1239181,'604-189-4331',23877,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kadeem I. Gross','Ap #232-7862 Pellentesque Av.','Fremont','UT','44371','kadeem.gross@bpmpros.com',1239182,'384-888-8773',23615,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Celeste E. Kirk','Ap #575-7489 Mus. Av.','Buffalo','ND','53097','celestek@emailathome.net',1239183,'479-663-4403',31204,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby G. Prince','740-1239 Ac Street','West Memphis','ID','93547','shelbyp@yohaa.com',1239184,'645-114-6871',39368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel L. Langley','Ap #690-5099 Vel, Street','Cape Girardeau','LA','64158',NULL,1239185,'796-341-2649',55851,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chaney R. Bolton','P.O. Box 623, 8622 Euismod Rd.','Sanford','ID','69024','cbolton@bpmpros.com',1239186,'274-879-1194',88786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jameson F. Guy','6015 Cum Rd.','Bandera','AL','84270',NULL,1239187,'373-799-0879',15351,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Slade L. Williamson','8475 Quis, Road','Berlin','IL','37825','swilliamson@bpmpros.com',1239188,'353-371-5505',71097,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah P. Day','Ap #400-7333 Et, St.','Zanesville','DE','43770',NULL,1239189,'696-949-1297',89030,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis J. Drake','8129 Nunc Rd.','Mobile','MT','52857','alexis.drake@aulnet',1239190,'234-394-8887',19907,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie U. Roberson','P.O. Box 368, 7259 Ac Av.','Lynn','ID','76329','callie.roberson@yohaa.com',1239191,'387-521-7156',20209,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi C. Hart','4795 Luctus. St.','Wilson','WA','40257',NULL,1239192,'991-829-5616',53320,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hadley A. Clemons','579-1313 Quis Rd.','Mobile','MA','33273','clemons@hitmail.com',1239193,'532-423-2428',28955,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan O. Knowles','Ap #263-2720 Eget Ave','West Lafayette','OK','19043','harlank@bpmpros.com',1239194,'327-869-2815',49478,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedley N. Golden','P.O. Box 578, 5492 Dictum Av.','New Iberia','OK','41151','hgolden@aulnet',1239195,'205-533-3925',96903,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry F. Benjamin','Ap #613-2710 Sodales Road','San Luis Obispo','CO','86928','hbenjamin@xyz.edu',1239196,'189-385-7281',32335,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alan B. Odonnell','292-1584 Pellentesque Ave','Agawam','SC','82278','alan.odonnell@widget.com',1239197,'296-376-5613',93905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zelenia A. Jordan','P.O. Box 488, 9073 Arcu St.','Garland','NY','44136','jordan@hitmail.com',1239198,'405-592-8783',47187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen E. Puckett','P.O. Box 116, 3943 Adipiscing Street','Downey','MI','03858','apuckett@aulnet',1239199,'185-481-9827',67629,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arthur X. Cabrera','P.O. Box 183, 1066 Non Av.','Duncan','CO','57061','arthur.cabrera@xyz.edu',1239200,'919-905-3952',84951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pascale H. Alford','P.O. Box 907, 219 Mauris St.','Dunkirk','WY','15963','palford@bpmpros.com',1239201,'135-955-9593',57608,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona E. Mcconnell','992-7350 Mauris Rd.','Omaha','VT','88394','iona.mcconnell@xyz.edu',1239202,'468-494-3473',18007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia M. Moses','Ap #403-8297 Vitae Street','Carson City','KS','23701','octavia.moses@email.net',1239203,'106-574-8772',32943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kyle F. Martinez','Ap #494-4566 Mauris. St.','Hampton','RI','18331',NULL,1239204,'143-159-5234',103922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brady D. Murray','961-4465 Cum Street','Augusta','MD','11920','bmurray@yohaa.com',1239205,'252-305-3538',86216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa R. Gaines','5127 Eu Avenue','Cortland','DE','28560','nyssag@yohaa.com',1239206,'753-779-8993',44527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imogene F. Parker','Ap #878-2599 Nunc Road','Lock Haven','ND','82300','iparker@xyz.edu',1239207,'862-614-3931',101775,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran F. Knowles','852-6360 Bibendum St.','West Lafayette','OH','36128','knowles@email.net',1239208,'529-481-9042',15055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhiannon X. Jackson','P.O. Box 713, 1967 Convallis Avenue','Minnetonka','MT','27953',NULL,1239209,'282-602-0920',15111,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora A. Gay','5580 Gravida Av.','Saint Louis','AZ','67719','orag@hitmail.com',1239210,'516-824-0942',15453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth B. Joyner','410-7450 Et, St.','Cleveland','IL','35992','garth.joyner@widget.com',1239211,'703-228-0511',57399,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie L. Glenn','350-524 Porttitor Av.','Tallahassee','NM','80016','glenn@bpmpros.com',1239212,'919-622-8498',104331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum K. Wise','6802 Ac Street','Charlotte','KY','25924','cwise@abc.edu',1239213,'126-728-5807',80726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jaquelyn O. Oneil','Ap #812-5832 Urna Av.','Sunbury','NY','92217','oneil@xyz.edu',1239214,'243-379-9975',91859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick N. Delgado','P.O. Box 652, 7626 Aenean Avenue','New Iberia','MD','05598','pdelgado@yohaa.com',1239215,'716-968-2371',45378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan D. Nichols','Ap #503-8276 Dolor Avenue','Pico Rivera','AK','49855','jordann@bpmpros.com',1239216,'353-169-0372',79421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly Z. Grimes','P.O. Box 354, 9365 Nunc St.','Rock Island','OR','73722','kgrimes@yohaa.com',1239217,'678-922-9909',39593,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade Y. Cleveland','4261 Ligula. Rd.','Monterey Park','AK','84222','cleveland@aulnet',1239218,'605-963-6558',60905,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jasper L. Sparks','Ap #697-737 In Ave','Clarksburg','NJ','61246','sparks@emailathome.net',1239219,'578-274-0457',104188,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree K. Mccarty','3203 Cursus Road','Canton','MO','65642',NULL,1239220,'877-525-3426',62309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Montana G. Farrell','525 Eget Road','Woburn','IN','44260','montana.farrell@xyz.edu',1239221,'825-113-8642',15007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan R. Logan','6673 Lacus. Street','Somerville','LA','37862','logan@xyz.edu',1239222,'298-372-8830',77853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred Y. Lester','678-8351 Sem Road','Pierre','NJ','90438','winifredl@yohaa.com',1239223,'391-488-7695',60802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald D. Montoya','P.O. Box 292, 6033 Sed St.','Miami','TX','49749','emerald.montoya@yohaa.com',1239224,'377-567-9566',31475,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Madaline R. Dejesus','1811 Ac Av.','Arlington','UT','42067','dejesus@email.net',1239225,'942-978-6154',22850,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany T. Berger','9325 Tempus Ave','Nashville','TN','86140','bethany.berger@aulnet',1239226,'457-253-2491',29601,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain P. Oconnor','Ap #965-695 In Av.','Grand Junction','WA','77763','caino@widget.com',1239227,'914-362-4236',81675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Freya W. Ruiz','732-2736 Tortor Rd.','Bremerton','NC','53430','freya.ruiz@hitmail.com',1239228,'294-107-3787',107894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Delilah R. House','Ap #156-7326 Et, Street','Woburn','RI','43506',NULL,1239229,'937-131-1484',32683,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nina E. Dodson','5538 Sed, Ave','Warner Robins','ME','33648','ninad@email.net',1239230,'908-692-3053',32078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes R. Collins','3293 Sagittis. Avenue','St. Petersburg','NJ','55019','xerxes.collins@hitmail.com',1239231,'484-284-0432',89428,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin D. Rivera','280-9066 Luctus. Ave','Dover','CO','63529',NULL,1239232,'548-922-1151',70412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon J. Harrell','Ap #820-9133 Molestie. St.','Staunton','AL','10274','talonh@hitmail.com',1239233,'704-343-1642',90010,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam J. Horton','Ap #234-110 At, Av.','Edmond','WV','97207',NULL,1239234,'482-286-3285',103648,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Destiny S. Santana','P.O. Box 248, 1051 Vel Street','Sierra Vista','IA','20227','destiny.santana@yohaa.com',1239235,'525-817-0933',33786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson D. Tyler','7013 Vestibulum, Ave','Woonsocket','WV','71184',NULL,1239236,'206-959-4401',55763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wing V. Lester','Ap #358-1341 Turpis Ave','Kennesaw','DE','06588','wingl@yohaa.com',1239237,'773-889-8382',92458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvester G. Irwin','P.O. Box 998, 6972 Tempor Avenue','Saint Louis','IN','46653','sirwin@aulnet',1239238,'232-815-7945',52218,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ferris F. Small','139-3232 Risus. Street','Logan','AZ','38574',NULL,1239239,'228-469-2749',90501,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wade E. Lyons','519-7265 Torquent Road','South Bend','MT','50688','wlyons@emailathome.net',1239240,'264-382-6518',48874,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin D. Shaffer','870-7906 Dictum Road','Radford','KS','85936','mshaffer@xyz.edu',1239241,'625-788-0796',48545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Calvin S. Langley','3980 Mi Road','Rancho Palos Verdes','GA','95054','clangley@abc.edu',1239242,'648-291-6795',82869,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela J. Koch','8061 Non Rd.','La Jolla','ID','98157','pamela.koch@hitmail.com',1239243,'753-117-8379',109846,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona N. Skinner','P.O. Box 572, 6894 Aliquam Rd.','Paterson','MA','61060','iona.skinner@widget.com',1239244,'118-762-8887',28541,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani D. Mcmillan','Ap #257-600 Rutrum Rd.','Paramount','OH','12573','lmcmillan@widget.com',1239245,'544-652-3232',23249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charde F. Watkins','814-258 Fermentum Rd.','Ann Arbor','WI','68070','chardew@xyz.edu',1239246,'654-198-7501',94953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffin Y. Guerrero','P.O. Box 388, 8764 Sed Street','Mandan','CO','09277','griffing@hitmail.com',1239247,'358-912-0107',80503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann N. Snow','976-5478 Bibendum Street','New Iberia','IA','43642','asnow@hitmail.com',1239248,'921-378-1901',16984,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity S. Velasquez','P.O. Box 575, 167 Mollis Av.','Pittsburgh','MO','79422','avelasquez@hitmail.com',1239249,'265-296-3735',76299,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia R. Richmond','618-4804 Tempus Ave','New Kensington','CO','60640','ignaciar@xyz.edu',1239250,'163-338-3237',109481,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regina Q. Goff','717-8105 Eget St.','Pasadena','IL','37697',NULL,1239251,'338-491-6299',67231,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric O. Riggs','P.O. Box 382, 2391 Risus. St.','Lawrenceville','WY','23460','riggs@aulnet',1239252,'168-497-7973',39636,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Merrill V. Garrison','162-2237 Duis St.','Martinsburg','ME','34268','merrill.garrison@yohaa.com',1239253,'729-788-1848',93083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daria C. Carver','8844 Accumsan Rd.','Montgomery','ID','73287','dariac@xyz.edu',1239254,'704-566-4452',68506,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Guinevere K. Payne','Ap #344-8685 Nulla Avenue','Anaheim','DC','47310','guinevere.payne@emailathome.net',1239255,'697-402-9673',27892,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Desiree S. Mckenzie','P.O. Box 839, 2768 Donec Street','Newburgh','CA','28265','desireem@xyz.edu',1239256,'686-384-6845',66093,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dawn R. Webster','228-8707 Sit Rd.','Kona','WI','02731','dwebster@widget.com',1239257,'997-684-9675',64102,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Derek B. Christian','Ap #118-6857 Nibh St.','Bowie','DC','16619',NULL,1239258,'442-448-9228',106247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander M. Jacobson','Ap #816-7712 Mauris Rd.','Edmond','SD','90916','alexanderj@yohaa.com',1239259,'626-978-2262',67684,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka N. Byers','2582 Arcu. Rd.','Dover','MT','78418',NULL,1239260,'509-263-8506',93716,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elizabeth B. Ferrell','P.O. Box 424, 1935 Pellentesque St.','San Marino','KY','84063','ferrell@yohaa.com',1239261,'582-982-1439',19997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiroko W. Lucas','5472 Nunc Av.','Baldwin Park','DE','92691','hlucas@email.net',1239262,'208-556-6448',72772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla O. Copeland','P.O. Box 916, 3132 Convallis Rd.','Vergennes','TX','07290','xyla.copeland@abc.edu',1239263,'892-199-5452',108065,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrienne P. Bell','P.O. Box 111, 8706 Dolor Street','Del Rio','VA','70177','adrienne.bell@yohaa.com',1239264,'478-369-2688',29306,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Henry D. Barry','Ap #458-3697 Cras St.','Spokane','MD','34214','barry@widget.com',1239265,'492-769-9391',15364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rama E. Acosta','632-1582 Nunc St.','Ada','WY','47971','acosta@bpmpros.com',1239266,'286-578-2371',85153,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel T. Garrett','6744 Mattis Street','Hayward','FL','12006','noel.garrett@emailathome.net',1239267,'894-913-5693',97767,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady A. Burgess','857-3274 Egestas. Av.','Oshkosh','OR','92515','burgess@xyz.edu',1239268,'612-415-3278',100875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orson U. Compton','2027 Vivamus Street','Carrollton','CT','77486','orson.compton@yohaa.com',1239269,'748-209-3409',87191,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Erasmus Q. Oconnor','9813 Ut, Road','Los Angeles','CT','28776',NULL,1239270,'515-289-0099',58789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith J. Zimmerman','P.O. Box 778, 5126 Vivamus Street','LaGrange','NH','72691','gzimmerman@abc.edu',1239271,'468-984-1721',94803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clinton H. Brooks','Ap #733-4133 Elit, St.','Pullman','MN','04176',NULL,1239272,'878-336-2293',16049,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney W. Lopez','P.O. Box 107, 7565 Nunc Rd.','Shamokin','OK','10724',NULL,1239273,'992-869-0053',42772,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kay H. Owen','P.O. Box 261, 8867 Sed Street','Fort Wayne','FL','98608','kay.owen@emailathome.net',1239274,'424-425-1842',98303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul E. Macias','346-4909 Euismod Street','Newport','MN','60058','amacias@yohaa.com',1239275,'767-281-5157',104997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette V. Wilder','5173 Ipsum Rd.','Saginaw','MN','02608','yvette.wilder@widget.com',1239276,'604-581-1091',72803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa I. Powers','824-7096 Vestibulum Ave','Shawnee','SC','20832','alisa.powers@emailathome.net',1239277,'532-246-5367',50033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly Z. Valentine','592-3792 Arcu. Rd.','New Kensington','KY','12043','valentine@aulnet',1239278,'975-417-5621',106274,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('September I. Schwartz','947-4000 Molestie Ave','New Madrid','MS','88691',NULL,1239279,'745-611-0365',107646,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta Y. Munoz','228-2315 Tristique Rd.','Mobile','CA','53442','uta.munoz@aulnet',1239280,'244-888-4085',47331,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaseem I. Bentley','292-2084 Non, Ave','Lynchburg','LA','40204','bentley@hitmail.com',1239281,'746-881-6681',77455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nehru Z. Neal','692-4488 Facilisi. Ave','Midwest City','UT','20161','nehrun@widget.com',1239282,'565-212-9926',73142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beau H. Russo','103-1987 Tellus Rd.','Monterey Park','NC','52273','brusso@hitmail.com',1239283,'445-819-0210',33066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idola U. Murphy','P.O. Box 373, 9276 Id, Rd.','Glens Falls','IA','97050','imurphy@aulnet',1239284,'324-778-5885',20395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrian G. Madden','P.O. Box 949, 6761 Dictum St.','Burbank','ID','57354','adrian.madden@abc.edu',1239285,'405-728-4979',92763,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan W. Larson','P.O. Box 974, 2970 Iaculis St.','City of Industry','VA','15772','keeganl@widget.com',1239286,'227-623-3517',68382,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade J. Parker','905-3100 Vivamus Street','Hazleton','UT','75891','sadep@bpmpros.com',1239287,'664-792-2136',85483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karleigh H. Glover','Ap #726-2804 Velit St.','Warwick','NJ','41827','karleighg@aulnet',1239288,'718-383-0733',104027,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rashad R. Walls','6459 Sit Street','Geneva','ND','69193','rashadw@widget.com',1239289,'476-158-9861',94389,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ina E. Lynch','P.O. Box 142, 6382 Ac, Road','Hialeah','AK','66335',NULL,1239290,'529-806-9538',46711,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Andrew E. Acevedo','866-8864 Tellus. Rd.','Jonesboro','VT','97564','aacevedo@widget.com',1239291,'899-419-1141',82328,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sebastian B. Whitehead','P.O. Box 438, 5210 Et, Avenue','Mechanicville','HI','19707','swhitehead@yohaa.com',1239292,'362-261-5797',104960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira R. Slater','Ap #253-7820 Egestas. Av.','Tyler','NE','76486','islater@aulnet',1239293,'394-665-7252',109938,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kendall Y. Acevedo','Ap #328-6705 Imperdiet Av.','Fontana','MA','97674','acevedo@email.net',1239294,'161-354-8286',58147,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona L. Tran','939-7607 Vel, Avenue','Abilene','FL','68556','itran@abc.edu',1239295,'231-392-6555',88631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton F. Calhoun','Ap #777-9447 Risus. St.','Bethany','ND','81340','hamiltonc@abc.edu',1239296,'906-137-3379',100873,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eric R. Hurst','4803 Magnis Rd.','Nome','NJ','69277','hurst@hitmail.com',1239297,'413-403-0176',59789,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ariana L. Keith','6503 Aliquam Av.','Laguna Beach','MO','11178','ariana.keith@email.net',1239298,'196-837-1874',93639,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sydnee N. Coleman','P.O. Box 807, 2272 Morbi Street','Santa Fe Springs','ND','14225','sydnee.coleman@email.net',1239299,'404-599-3365',31931,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory A. Wilkins','Ap #716-4176 Mus. St.','Mentor','MS','14639','wilkins@abc.edu',1239300,'865-368-7680',108754,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kathleen E. Mcintyre','P.O. Box 373, 7341 Risus Rd.','Placentia','WY','47662','mcintyre@widget.com',1239301,'392-157-3151',90986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim U. Cooley','8827 Curabitur Av.','Hartford','CT','81206','hashimc@aulnet',1239302,'163-392-4071',53829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vielka N. Patrick','Ap #572-144 Blandit St.','Los Angeles','MS','50942','vpatrick@yohaa.com',1239303,'358-322-5130',32948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica P. Clemons','P.O. Box 756, 9833 Velit Av.','Scranton','ID','78239','clemons@hitmail.com',1239304,'272-421-6412',72769,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan U. Dean','584-3048 Curabitur Road','Lock Haven','IL','52621','dean@email.net',1239305,'851-133-4631',21673,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keegan R. Gray','610-9995 Erat. Rd.','Suffolk','CO','35688','keegan.gray@email.net',1239306,'419-271-2037',79443,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel T. Travis','318-8562 Fermentum Street','Truth or Consequences','SD','91127','ntravis@abc.edu',1239307,'816-236-4066',29176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zeus V. Holder','Ap #921-6070 Nulla Road','Agat','DE','93684','zholder@email.net',1239308,'812-637-8732',89212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yoshio Y. Walters','6715 Morbi Road','Ponce','KY','37727','yoshiow@abc.edu',1239309,'196-577-7415',40221,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlet N. Sloan','592-8132 At Av.','Somersworth','IA','60897','scarlets@aulnet',1239310,'625-711-2880',42732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yvette O. Levine','P.O. Box 492, 2259 Ipsum Road','Meridian','WY','25995','ylevine@abc.edu',1239311,'894-518-1294',28734,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roth L. Johnson','6244 Integer St.','Hoover','CA','60603','roth.johnson@yohaa.com',1239312,'293-772-0229',56953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry X. Vazquez','211-5460 Commodo Ave','Holyoke','CO','12482',NULL,1239313,'186-288-9600',99182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eagan I. Wilkins','P.O. Box 559, 6403 Sed Avenue','New Bedford','NY','73795','eagan.wilkins@email.net',1239314,'278-364-4423',24261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('David Z. Guerra','415-2453 Enim. Road','McAllen','TX','40123','guerra@aulnet',1239315,'919-297-3618',21504,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia E. Cochran','P.O. Box 276, 8943 Vestibulum Rd.','La Habra','NE','40190',NULL,1239316,'315-334-4317',101653,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geoffrey Z. Michael','P.O. Box 493, 3654 Phasellus Av.','Flagstaff','NY','13753','geoffrey.michael@email.net',1239317,'945-369-4939',42738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jenette F. Patel','P.O. Box 632, 1475 Egestas. Street','Geneva','AK','67381','jenettep@yohaa.com',1239318,'245-199-2587',66379,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Casey V. Owen','P.O. Box 518, 7366 Dui. Road','Dayton','AZ','03171','caseyo@bpmpros.com',1239319,'653-707-7970',62370,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lyle B. Silva','4299 Ipsum Rd.','Waterbury','VA','19560','lyle.silva@hitmail.com',1239320,'988-144-2130',101082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn Z. Saunders','8655 Felis Road','Dalton','KY','26597','saunders@email.net',1239321,'555-543-2476',88012,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek V. Barlow','Ap #785-1963 A Road','Bloomington','NH','97924',NULL,1239322,'512-967-4197',71518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry J. Hanson','P.O. Box 493, 7876 Pede. Road','Steubenville','GA','70268','phanson@widget.com',1239323,'283-705-6710',99042,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney M. Sargent','5220 Tincidunt St.','Newburgh','AZ','91389','bsargent@xyz.edu',1239324,'416-335-4059',78273,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Germaine T. Berger','Ap #743-803 Duis St.','Saginaw','NV','65856','germaine.berger@email.net',1239325,'236-653-8873',100765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gail O. Delgado','931-5012 Auctor Street','The Dalles','NY','11086','gaild@yohaa.com',1239326,'834-171-6224',24760,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aaron A. Rodgers','Ap #122-3289 Ac St.','Titusville','WV','53475','aaron.rodgers@abc.edu',1239327,'553-496-4660',95957,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan Y. Marquez','2470 Vulputate, Road','Hanahan','NE','42528','tmarquez@hitmail.com',1239328,'966-412-6503',104376,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicholas A. West','Ap #559-7662 Nisi Av.','Villa Park','MS','02944','nwest@emailathome.net',1239329,'563-428-8404',107473,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Briar X. Ruiz','3908 Elit, Ave','New York','MT','43373','ruiz@bpmpros.com',1239330,'678-225-4672',55152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia X. Garrison','Ap #183-2908 Cursus. Rd.','Lander','AK','55499','claudiag@xyz.edu',1239331,'873-541-6650',40594,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezra R. Hancock','Ap #726-1736 Natoque Ave','Gardner','SC','81936',NULL,1239332,'436-309-8504',32381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee L. Mays','P.O. Box 471, 6735 Libero. Avenue','Riverside','CO','82874','mays@emailathome.net',1239333,'801-247-4462',109281,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maile E. Raymond','Ap #196-2985 Elit. Street','Saginaw','MT','67650',NULL,1239334,'525-336-4729',32945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sopoline E. Cooley','738-2939 Purus Avenue','Woodruff','SD','35293','sopolinec@emailathome.net',1239335,'844-479-6041',85356,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ora Y. Beard','P.O. Box 186, 2178 Est Street','Laconia','SD','60296','ora.beard@emailathome.net',1239336,'599-444-7124',30691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience X. Leonard','814 Purus, Rd.','Sister Bay','WV','49585','patiencel@email.net',1239337,'606-355-1985',80672,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alice C. Sharp','Ap #192-607 Amet Rd.','Cypress','WA','82122','asharp@aulnet',1239338,'618-324-5896',85523,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan L. Duke','Ap #119-6709 Varius St.','Chester','CT','08491',NULL,1239339,'524-243-4669',57197,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah E. Morton','Ap #281-9944 Ligula. Avenue','Charleston','HI','33642','leah.morton@yohaa.com',1239340,'134-657-8002',76332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nerea C. Cotton','691-7605 Mauris. Av.','Tonawanda','TX','04347',NULL,1239341,'181-214-7715',90557,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally L. Shepard','Ap #218-8992 Malesuada St.','Santa Fe','SC','64778','callys@yohaa.com',1239342,'116-296-2100',108539,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caldwell U. Nash','P.O. Box 232, 5473 Ornare Rd.','Richmond','IN','00275','caldwelln@bpmpros.com',1239343,'143-269-2555',90135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillian U. Morales','Ap #138-7994 Congue, Street','Saint Louis','FL','47058','lmorales@aulnet',1239344,'424-467-4267',99510,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean R. Gallagher','637-2678 Fames Avenue','Alexandria','NY','83321',NULL,1239345,'481-704-1715',21022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ryan Y. Goodman','Ap #930-6389 Neque. Ave','Binghamton','MT','19893','ryang@abc.edu',1239346,'225-616-3204',107832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chava B. Berger','931 Imperdiet Road','Bloomington','NM','75686','chava.berger@emailathome.net',1239347,'677-999-4500',98016,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson I. Bolton','382-2897 Morbi Street','Shelton','IA','93669','emersonb@aulnet',1239348,'346-813-7022',72045,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances M. Fisher','8994 Phasellus Road','North Little Rock','HI','05294','ffisher@hitmail.com',1239349,'661-696-1774',66066,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sarah U. Myers','P.O. Box 916, 6155 Risus Avenue','Kahului','OK','97002','myers@aulnet',1239350,'397-968-5536',42248,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney V. Bray','Ap #453-7451 Elit, Ave','Overland Park','IA','08195','bbray@aulnet',1239351,'298-595-4639',28280,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noelani L. Montgomery','819-4914 Sagittis Ave','Springdale','FL','45654',NULL,1239352,'841-148-4439',23192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olivia F. Strickland','Ap #350-2517 Curabitur Rd.','Tulsa','AK','29275',NULL,1239353,'929-771-7282',86019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton V. Camacho','P.O. Box 501, 5340 Lacus. St.','Port Arthur','OK','85304','eaton.camacho@hitmail.com',1239354,'681-619-2800',31205,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon X. Delacruz','2065 Nulla Road','Hialeah','SD','53611','timon.delacruz@hitmail.com',1239355,'253-611-6716',16736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Benjamin A. Norton','268-7779 Vel Rd.','North Adams','WA','76929','bnorton@emailathome.net',1239356,'642-894-4041',93433,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moses V. Rocha','616 Sit Rd.','Auburn Hills','DE','71789','mosesr@abc.edu',1239357,'472-436-5159',76316,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martha U. Howell','Ap #385-9183 Sodales St.','Alpharetta','GA','32813',NULL,1239358,'793-165-4010',36899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nelle W. Atkins','Ap #836-6107 Sodales Rd.','Covington','CT','34267',NULL,1239359,'281-874-9494',62204,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Avram S. Joyce','Ap #213-9778 Magna. Rd.','East Rutherford','WV','01646','ajoyce@yohaa.com',1239360,'903-294-9689',25496,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia P. Gibbs','646-3317 Mauris Av.','Warner Robins','OR','68679','pgibbs@xyz.edu',1239361,'316-329-4133',94610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Boris Y. Foreman','Ap #716-4617 Neque Rd.','Thiensville','IN','00079','boris.foreman@widget.com',1239362,'749-966-2847',21454,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rachel X. Bright','7469 Lectus Road','Atlanta','MD','37217','bright@yohaa.com',1239363,'415-489-3858',24426,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira V. Gilbert','4180 Ultrices St.','Yuma','KS','36189','gilbert@yohaa.com',1239364,'911-643-0800',27062,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sylvia Z. Lott','812-4929 Fusce Avenue','Kearns','OH','01138',NULL,1239365,'428-339-8819',78852,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denise U. Wolfe','1358 A, Rd.','Long Beach','CT','56806',NULL,1239366,'111-953-7856',81334,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('India R. Sherman','Ap #912-2508 Sed St.','Commerce','OH','82639','indias@aulnet',1239367,'635-656-5172',105384,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halee Q. Warren','916-8888 Erat Av.','York','SD','55837','hwarren@xyz.edu',1239368,'677-213-8683',95159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lev U. Obrien','795-4176 Mi. Rd.','Saint Joseph','ND','44999',NULL,1239369,'837-404-5164',94281,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome R. Sanders','136-1237 Neque. Rd.','Valdosta','SD','48492','jsanders@email.net',1239370,'492-329-6332',59023,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adara H. Pacheco','5637 In Rd.','Aberdeen','MI','34609','adara.pacheco@email.net',1239371,'558-798-9218',99009,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas E. Cervantes','2602 Eu, St.','Ogdensburg','LA','36840','jonas.cervantes@emailathome.net',1239372,'311-256-0358',37022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona B. Baxter','P.O. Box 842, 5030 Ornare Rd.','Hialeah','ND','09246','ramonab@aulnet',1239373,'197-308-4644',104138,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alec E. Garza','P.O. Box 523, 9262 Nonummy Road','Kearney','IA','91801','alec.garza@abc.edu',1239374,'248-235-4338',109229,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ralph Y. Gill','P.O. Box 648, 622 Imperdiet, Ave','Garland','CA','34535','gill@emailathome.net',1239375,'537-685-7102',66375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hedda N. Cain','979-1487 Vulputate Rd.','Middletown','NH','61605','hcain@email.net',1239376,'332-778-2540',87391,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jocelyn H. Fitzgerald','620 Integer Road','Thiensville','IA','86272','jocelynf@abc.edu',1239377,'443-967-1349',79803,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aubrey T. Higgins','P.O. Box 225, 7890 Ut Avenue','Ketchikan','WI','28314','ahiggins@widget.com',1239378,'687-921-9970',48310,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan A. Blair','1976 Risus. Rd.','Huntington Park','SC','23055','blair@yohaa.com',1239379,'997-456-1582',63852,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Simon P. Baldwin','Ap #319-6656 Mauris Street','Chino','AL','81704','simonb@aulnet',1239380,'861-767-0132',86135,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dillon G. Hurley','3455 Non Rd.','Sanford','MT','65324','hurley@xyz.edu',1239381,'505-982-0578',70198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen V. Collins','989-5891 Ante Rd.','Rolla','TN','35001','yenc@aulnet',1239382,'435-831-8118',76017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Violet F. Oliver','P.O. Box 677, 3370 Risus. Av.','Forest Lake','NY','48683','oliver@email.net',1239383,'685-919-8596',78252,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buffy I. Leach','Ap #994-926 Mollis. St.','Middlebury','NY','23971',NULL,1239384,'555-249-2690',33330,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyrone W. Page','P.O. Box 219, 4423 Accumsan Street','Pico Rivera','CT','79102','page@abc.edu',1239385,'174-639-8890',60083,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon R. Barrera','Ap #838-9686 Nec Ave','Peoria','WV','09688','shannon.barrera@widget.com',1239386,'782-865-4952',90242,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hop G. Davis','353 Aptent Street','Albany','MN','18358','davis@hitmail.com',1239387,'317-296-2728',35726,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney L. Glover','Ap #353-259 Purus Ave','Walnut','HI','68986','glover@abc.edu',1239388,'336-653-7580',47410,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster O. Vaughn','P.O. Box 438, 335 Viverra. Street','Oswego','NC','80559','vaughn@widget.com',1239389,'536-873-4351',97912,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius F. Ellison','9196 Malesuada. St.','Knoxville','RI','49508','iellison@bpmpros.com',1239390,'664-607-2854',40561,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena L. Wolf','Ap #935-9634 Quam Road','Urbana','OH','41891','serena.wolf@widget.com',1239391,'499-953-5607',63931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Logan U. Day','P.O. Box 246, 6199 Amet, St.','Wheeling','CA','74226','logand@bpmpros.com',1239392,'117-517-4709',50947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caleb X. Ratliff','Ap #280-2012 Nec Avenue','Vallejo','LA','43728','caleb.ratliff@xyz.edu',1239393,'155-273-5890',71144,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika Z. Anderson','9320 Cursus. Ave','Richmond','NE','44739','aanderson@bpmpros.com',1239394,'212-917-4247',96421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy X. Patrick','8374 Eros. Ave','Valencia','ND','42936',NULL,1239395,'511-422-6233',84743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara M. Powers','P.O. Box 389, 8810 Dictum St.','Utica','HI','94636','lpowers@email.net',1239396,'674-284-5051',47658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybill C. Kirkland','Ap #897-2627 Auctor Street','Portland','GA','48432','kirkland@hitmail.com',1239397,'269-833-9165',41845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Daryl Q. Pacheco','Ap #624-4494 Vivamus St.','Durant','MN','68516','dpacheco@yohaa.com',1239398,'149-218-0419',80628,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rose Z. Kirkland','Ap #269-4105 Diam. St.','Fort Lauderdale','RI','25593','rkirkland@bpmpros.com',1239399,'201-241-4684',24880,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander U. Hester','9028 Eu Avenue','Butte','LA','68320',NULL,1239400,'971-381-3053',57643,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynne W. Farley','131-1525 Rhoncus. Street','Davenport','SC','11889','brynne.farley@widget.com',1239401,'301-282-4618',83507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Murphy E. Drake','P.O. Box 154, 8342 Mi Rd.','Grass Valley','CA','80901',NULL,1239402,'892-193-2737',58938,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katell E. Mason','124-3559 Molestie Av.','Huntington Beach','CA','11301','mason@email.net',1239403,'314-105-0072',93919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaze H. Wynn','852-3867 Faucibus Rd.','Shelton','UT','99910',NULL,1239404,'323-536-5406',59840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samson H. Vaughan','Ap #609-4806 Vulputate, Avenue','Belleville','MD','25124','samson.vaughan@hitmail.com',1239405,'236-458-9945',49785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan V. Cline','P.O. Box 333, 273 Nunc St.','Rapid City','TN','23749','jordan.cline@xyz.edu',1239406,'874-901-4683',68571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dai Y. Walker','573 Ante St.','Danbury','VA','61743','walker@aulnet',1239407,'118-106-4964',53347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre U. Ellis','Ap #773-2297 Pellentesque Rd.','Sioux City','MT','45207','dellis@widget.com',1239408,'151-169-1745',82403,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brett C. Wyatt','2048 Volutpat. Street','Roanoke','NM','44258','wyatt@email.net',1239409,'889-585-6915',16961,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tatiana O. Barnes','Ap #749-5449 Non St.','Scottsbluff','NM','26571','tatianab@email.net',1239410,'821-609-1847',89577,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melyssa U. Frank','255-5137 Duis Road','Waco','VT','57374','mfrank@hitmail.com',1239411,'846-776-2764',75227,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brian K. Crane','P.O. Box 419, 8651 Tellus Rd.','Muskogee','MT','44292','crane@yohaa.com',1239412,'677-523-1994',80545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah I. Stewart','Ap #546-6062 Arcu St.','Wheaton','TX','38082','leah.stewart@xyz.edu',1239413,'475-942-4646',70409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Halla H. Barrera','Ap #696-130 Mauris. Avenue','Gloversville','DC','00839','hallab@widget.com',1239414,'912-496-3377',20142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora Q. Henderson','5605 Ac Rd.','Hampton','MO','83913',NULL,1239415,'107-999-1397',79944,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emmanuel M. Macdonald','9923 Vivamus Ave','Hattiesburg','KY','74102','emacdonald@xyz.edu',1239416,'504-904-6046',31707,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rebecca Y. Massey','959-2315 Purus, Av.','Elmira','TN','11585','rmassey@bpmpros.com',1239417,'798-392-1068',28404,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna I. Landry','413-9536 Facilisis. St.','Roanoke','IA','13635',NULL,1239418,'321-918-2103',39066,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Minerva K. Dale','Ap #670-8207 Proin Ave','Wichita','WY','29743','dale@aulnet',1239419,'478-699-6178',42388,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis O. Clark','1971 Sed Road','Calabasas','NC','68730','clark@aulnet',1239420,'705-153-8127',87362,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hamilton O. Juarez','Ap #286-6742 Ornare Street','Carson City','DE','76244','hamiltonj@aulnet',1239421,'976-681-6334',62810,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Margaret G. Delgado','6837 Quisque Ave','West Valley City','NH','70498','delgado@widget.com',1239422,'223-619-2783',47891,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cathleen V. Preston','P.O. Box 947, 3993 Natoque Road','Saint Paul','RI','39309',NULL,1239423,'808-121-7409',28881,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shannon M. Foreman','728-4247 Vestibulum St.','Hartford','NY','48878','shannonf@bpmpros.com',1239424,'388-296-1268',74015,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman T. Sargent','629-1696 Tempor St.','Modesto','IN','93032','norman.sargent@aulnet',1239425,'912-399-3965',27829,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evelyn T. Harrell','Ap #633-3360 Quisque St.','San Angelo','FL','40234',NULL,1239426,'477-488-6889',89074,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ivory X. Joyner','Ap #808-924 Proin Av.','Connellsville','ME','59309','ivory.joyner@widget.com',1239427,'644-112-3009',99317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Summer R. Wheeler','Ap #178-3257 Magnis Rd.','East St. Louis','UT','28487','wheeler@aulnet',1239428,'787-422-4438',59503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil J. Sampson','P.O. Box 604, 2237 Phasellus Ave','Nashville','NC','59377','gsampson@widget.com',1239429,'755-542-8723',28994,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah Q. Burgess','1944 Nunc, Avenue','Pine Bluff','WY','63449','lilah.burgess@abc.edu',1239430,'477-243-6977',97943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Irma E. Bentley','283-6206 Praesent Rd.','Decatur','DC','15879','irma.bentley@widget.com',1239431,'328-796-8484',60439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Laura J. Cooper','Ap #646-9296 A, Street','Seward','SD','93918','laurac@emailathome.net',1239432,'898-117-7126',76196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Branden D. Banks','740-5062 Massa Street','Agat','KS','19813','brandenb@emailathome.net',1239433,'823-721-7375',64217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda E. Chang','864-4397 Turpis St.','Rockville','NV','83503','achang@hitmail.com',1239434,'516-349-9697',107835,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando M. Gallegos','Ap #938-6879 Ligula Rd.','Waterbury','RI','30424','orlandog@hitmail.com',1239435,'127-534-8738',51585,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Drake J. Mcfarland','7870 Nec Avenue','Hudson','MT','44218','drake.mcfarland@bpmpros.com',1239436,'361-763-4168',18507,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola W. Cole','265-4768 Mi Rd.','Hayward','AZ','59804','iola.cole@xyz.edu',1239437,'113-374-0464',77759,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel S. Gallagher','Ap #632-9704 Fermentum Rd.','Apple Valley','RI','86136','ggallagher@emailathome.net',1239438,'132-255-4384',92532,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph M. Vargas','P.O. Box 640, 7517 Feugiat Street','Redding','FL','91178',NULL,1239439,'415-457-5119',57831,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wanda G. House','Ap #346-6109 Felis Road','Valdosta','UT','00402','wandah@hitmail.com',1239440,'681-996-3528',73801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ifeoma B. Solis','830-6738 Eleifend Street','Berlin','CA','96607','solis@yohaa.com',1239441,'109-781-6869',50461,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming Z. Smith','P.O. Box 777, 273 Quisque Ave','Hot Springs','NV','69465',NULL,1239442,'263-263-8525',56007,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter U. Keith','3198 Ac Road','Barre','TX','26772','wynterk@email.net',1239443,'729-335-6528',57997,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona Z. Coleman','133-884 Phasellus St.','San Rafael','TN','64990','coleman@hitmail.com',1239444,'764-493-7273',92602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adrienne H. Espinoza','P.O. Box 142, 6142 Pede. Rd.','Peekskill','CA','90365',NULL,1239445,'356-929-3121',54250,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos F. Kirby','890-2407 Tristique Ave','Rancho Cucamonga','WA','05996','akirby@yohaa.com',1239446,'352-518-4378',64830,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amena Y. Winters','P.O. Box 243, 2632 Vivamus Rd.','Oro Valley','AK','93898','winters@xyz.edu',1239447,'795-946-5549',102521,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Clarke L. Sloan','411-3216 Pellentesque Av.','Merced','MO','50653','clarke.sloan@aulnet',1239448,'543-237-1836',51468,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Regan H. Ochoa','2559 Libero Rd.','Hampton','CT','60296','regan.ochoa@emailathome.net',1239449,'352-796-9106',45871,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Savannah A. Bishop','Ap #570-8655 Mauris Av.','Deadwood','IL','47208','sbishop@yohaa.com',1239450,'595-856-5424',76104,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia Z. Compton','2857 Diam. Street','Camden','ND','80144','ccompton@widget.com',1239451,'876-626-0106',75440,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leilani D. Sutton','278-1826 Et St.','Morgantown','DC','82773','lsutton@yohaa.com',1239452,'828-694-2293',47367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anne Z. Woods','P.O. Box 886, 9872 Natoque Av.','Jersey City','AK','26708','awoods@emailathome.net',1239453,'582-301-9031',39178,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace P. Johns','Ap #155-3453 In Rd.','Parker','WA','04121','grace.johns@hitmail.com',1239454,'839-312-5214',38127,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lareina M. Monroe','P.O. Box 416, 5792 Adipiscing St.','Orem','MA','32437','lareinam@hitmail.com',1239455,'668-598-7193',49975,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cain P. Sanders','P.O. Box 687, 5595 In Rd.','Costa Mesa','AL','40272','csanders@yohaa.com',1239456,'711-378-6664',94600,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lois F. Rodgers','4753 Vulputate Rd.','Attleboro','WA','11795','loisr@abc.edu',1239457,'723-184-0119',93164,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel H. Love','P.O. Box 923, 9034 Pretium St.','Oklahoma City','OR','64276','steel.love@yohaa.com',1239458,'172-895-8899',15444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle V. Sawyer','P.O. Box 708, 5222 Mi. Road','Cheyenne','NJ','37592','bsawyer@xyz.edu',1239459,'879-851-6554',56592,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolie L. Harrison','598-5853 Et, St.','Hartford','HI','85313','harrison@abc.edu',1239460,'816-795-5451',17771,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carlos M. Medina','2467 Suspendisse St.','Dayton','FL','50908',NULL,1239461,'449-722-3908',59505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Judah P. Holman','P.O. Box 996, 2580 Molestie Rd.','Dayton','VA','02263','judahh@emailathome.net',1239462,'272-612-2426',52976,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan W. James','401-5091 Ultricies Avenue','Passaic','KS','22335','james@abc.edu',1239463,'698-769-3816',39446,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hoyt R. Dillon','Ap #572-6217 Tincidunt Ave','Ypsilanti','TX','18541','hdillon@yohaa.com',1239464,'976-575-2346',33980,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lydia L. Cummings','P.O. Box 770, 1765 Convallis Rd.','North Chicago','IL','19337','lcummings@hitmail.com',1239465,'979-846-3206',70313,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karen U. Fernandez','P.O. Box 237, 9540 Vivamus Rd.','Greensboro','VT','19628','karenf@abc.edu',1239466,'966-835-7801',21533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Beverly Q. Robles','770-5662 Aliquet, St.','Oxford','VT','76095',NULL,1239467,'624-689-4241',26182,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly E. Durham','2628 Lacinia St.','Bremerton','IL','98196','kelly.durham@aulnet',1239468,'896-469-7286',79444,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika V. Chandler','P.O. Box 423, 3417 Vulputate Ave','Carson City','GA','45944','achandler@bpmpros.com',1239469,'132-938-2970',36573,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie X. Patton','Ap #811-5746 Aliquet, Av.','Sister Bay','DE','34280','kylie.patton@xyz.edu',1239470,'226-367-1954',106899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Giacomo F. Jefferson','P.O. Box 580, 655 At St.','Somersworth','KS','45680','giacomoj@yohaa.com',1239471,'862-187-2444',55906,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Althea K. Talley','Ap #376-5521 Fringilla Road','Peoria','TN','12267','altheat@hitmail.com',1239472,'848-709-7950',54562,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma W. Kline','P.O. Box 520, 7650 Odio Road','Sioux City','RI','69071','alma.kline@widget.com',1239473,'349-287-9967',103084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chiquita I. Romero','P.O. Box 377, 6986 Curae; Street','Jordan Valley','RI','57816','chiquita.romero@email.net',1239474,'898-237-3242',35419,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika D. Weeks','513-531 In Ave','Palo Alto','RI','51309','aweeks@xyz.edu',1239475,'226-125-2525',91531,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariam A. Pruitt','P.O. Box 909, 4487 Nec Ave','Norwich','LA','12464','mariamp@emailathome.net',1239476,'874-101-0252',88926,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oleg P. Rivers','Ap #132-2220 Diam Rd.','Roseville','WA','21743','oleg.rivers@aulnet',1239477,'208-982-0820',21853,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Oscar W. Giles','841-6343 Quis St.','Astoria','TX','75206',NULL,1239478,'951-258-1491',43024,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colette J. Dale','P.O. Box 469, 6740 Pede. Rd.','Ocean City','HI','01486','coletted@hitmail.com',1239479,'793-743-8019',64261,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bradley V. Brennan','P.O. Box 349, 8752 Et Street','Hornell','OH','98709','bradley.brennan@abc.edu',1239480,'396-989-6324',58176,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gretchen Z. Harrison','8077 Ut Rd.','Santa Monica','WI','37246','gretchen.harrison@aulnet',1239481,'117-136-7346',106786,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steel K. Swanson','3054 Natoque Street','Raleigh','IN','10674','swanson@yohaa.com',1239482,'408-109-7134',96631,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nolan N. Thompson','180-1040 Nascetur Ave','North Platte','VT','14925','nolant@widget.com',1239483,'509-908-0177',45822,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caesar E. Conway','Ap #585-8673 Sed St.','Bellingham','NY','53078','cconway@widget.com',1239484,'194-503-4104',45400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Silas Q. Estes','8619 Consectetuer Rd.','Milwaukee','MT','50335','silase@yohaa.com',1239485,'733-643-9932',53931,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack X. Golden','P.O. Box 473, 2175 Convallis St.','Newport Beach','ID','74634',NULL,1239486,'161-703-3452',51768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scarlett U. Lynn','Ap #152-1141 Pharetra Avenue','Sitka','MS','73648',NULL,1239487,'384-344-0564',105508,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Craig I. Pierce','P.O. Box 413, 1843 Diam. Street','Scottsdale','MD','85159','craigp@aulnet',1239488,'808-182-3354',97217,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy V. Tyson','P.O. Box 604, 9184 Suspendisse Rd.','Fernley','VA','33719','tyson@widget.com',1239489,'979-788-7791',26366,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylie Z. Morse','3437 Iaculis, Rd.','Corona','WI','28231','kyliem@abc.edu',1239490,'613-602-5792',62977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Perry R. Evans','868-6778 Volutpat Av.','Tamuning','NC','69187','evans@abc.edu',1239491,'428-932-5420',29899,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Denton R. Gonzalez','890-4668 Nec Rd.','Olean','OR','31600','gonzalez@email.net',1239492,'887-216-2577',103887,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin C. Roy','3157 Arcu. St.','Saint Joseph','CA','79323','aroy@aulnet',1239493,'593-672-3939',27016,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Selma W. Petty','Ap #881-714 Ligula Ave','Selma','NM','75844','petty@widget.com',1239494,'278-761-3336',41395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maris K. Melendez','331-1099 Aliquet Road','West Covina','CT','75340','mmelendez@widget.com',1239495,'296-464-1344',77867,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raphael Y. Buckner','917-755 Lectus Ave','New Rochelle','DC','23308','buckner@emailathome.net',1239496,'749-945-3085',52052,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace B. Wilkerson','5734 A, St.','Savannah','KY','96059','wilkerson@emailathome.net',1239497,'489-365-1587',101691,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos L. Melendez','471-1255 Iaculis Avenue','Las Vegas','MD','71168','xenos.melendez@bpmpros.com',1239498,'327-617-8710',40752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ashton E. Riddle','Ap #463-3639 Sed, Road','Alameda','SD','21793','riddle@xyz.edu',1239499,'962-288-8956',83411,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Preston Z. Osborn','P.O. Box 887, 8483 Eu Rd.','San Antonio','IN','06238','osborn@email.net',1239500,'122-193-2810',93714,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Otto O. Owen','Ap #396-8519 Purus Road','Port Jervis','GA','49255','otto.owen@abc.edu',1239501,'694-616-7189',105455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfreda U. Wyatt','337-837 Metus Ave','Sturgis','NJ','76025',NULL,1239502,'481-975-6913',21530,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley A. Duffy','7725 Curabitur Street','Wahoo','CT','06954','yduffy@hitmail.com',1239503,'567-106-1937',72357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edan X. Sampson','P.O. Box 436, 7915 Risus. Av.','International Falls','DC','35332','esampson@hitmail.com',1239504,'386-854-9691',71741,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Donovan F. Santana','P.O. Box 918, 4173 Dictum Rd.','Fairbanks','IN','47073','santana@emailathome.net',1239505,'406-793-5554',26533,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper S. Matthews','3543 Mollis Road','Alhambra','AK','35609','kasperm@aulnet',1239506,'407-748-3175',80244,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fay D. Cabrera','Ap #240-4461 Arcu. Rd.','Brea','AK','10545','fay.cabrera@aulnet',1239507,'246-544-2916',24469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yasir U. Cash','7322 Auctor Street','Waco','NC','79180','cash@emailathome.net',1239508,'245-859-3147',57080,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall B. Tillman','P.O. Box 335, 1762 Molestie Av.','Lewiston','GA','87867','hallt@abc.edu',1239509,'948-293-9523',78150,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michael C. Bennett','P.O. Box 569, 8394 Nunc Avenue','Hastings','RI','99286','michael.bennett@yohaa.com',1239510,'144-193-2851',51552,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary B. Little','P.O. Box 575, 5644 Mauris. Rd.','Gainesville','AZ','84583','little@widget.com',1239511,'869-904-0062',101610,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dane H. Hood','574-5782 Et Avenue','Lock Haven','AZ','15599','hood@aulnet',1239512,'173-943-8568',66730,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel L. Bush','6214 Hendrerit. Rd.','Maywood','CO','62243','bush@yohaa.com',1239513,'893-701-9941',92101,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thor S. Small','9088 Eu St.','Rockville','ME','97503','thor.small@yohaa.com',1239514,'728-107-2772',85225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Michelle Y. Olsen','1878 Aenean Rd.','Atwater','WI','73613',NULL,1239515,'464-736-5372',77746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jessica Y. Williamson','Ap #238-1423 Nonummy. Rd.','Daly City','WA','93266','jessicaw@yohaa.com',1239516,'871-234-9794',27084,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Natalie U. Odonnell','Ap #456-3153 Odio. Rd.','Great Falls','NV','47840',NULL,1239517,'107-887-0119',103886,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brianna B. Herrera','9914 Velit St.','Rock Island','NH','99544','briannah@emailathome.net',1239518,'338-338-1268',39241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen F. Allen','Ap #884-9526 Risus, St.','Redlands','OK','23522','stephena@yohaa.com',1239519,'177-305-6337',71419,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora W. Moreno','P.O. Box 785, 7887 Fusce Rd.','Poughkeepsie','NY','36960',NULL,1239520,'583-669-9645',17381,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara Q. Goodman','933-6482 Vitae, Avenue','Medford','OH','31768','tara.goodman@email.net',1239521,'738-222-7817',57814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macaulay M. Frederick','P.O. Box 538, 6601 Dapibus Rd.','Middletown','MA','17349',NULL,1239522,'107-846-9677',57894,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Talon X. Larsen','116-5010 Ultrices Av.','Laguna Woods','MO','94101',NULL,1239523,'541-658-4944',72261,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton B. Cox','6310 Dolor. Ave','Miami Gardens','KY','81280','dcox@widget.com',1239524,'691-855-9107',65819,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alika Y. Doyle','P.O. Box 719, 6095 Cras Rd.','Tacoma','NY','98470','alika.doyle@email.net',1239525,'761-462-2171',38161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reagan U. Walter','Ap #509-6785 Ac St.','Sun Valley','DE','75173','reaganw@aulnet',1239526,'754-415-7779',102314,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ingrid E. Burch','545 Vestibulum St.','Durango','NC','56224','burch@xyz.edu',1239527,'742-117-5590',41345,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patience G. Riley','843-4368 Donec St.','Indianapolis','RI','49596','priley@yohaa.com',1239528,'821-573-6801',53064,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Winifred R. Copeland','3724 Orci, Avenue','Coatesville','IL','69033','winifred.copeland@aulnet',1239529,'194-776-7239',93500,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christen Z. Alvarado','P.O. Box 348, 6792 Suscipit, Avenue','Champaign','FL','42911','christena@email.net',1239530,'146-149-7155',47235,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stephen E. Lang','P.O. Box 701, 5088 Aliquet Rd.','Frederiksted','WV','12764','stephenl@hitmail.com',1239531,'776-723-8616',89279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Norman D. Chang','695-2220 Enim. Ave','Janesville','KS','28241',NULL,1239532,'906-773-4943',77268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggy L. Acevedo','Ap #942-8511 Vitae, St.','South Bend','NJ','97016',NULL,1239533,'268-264-9364',50953,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ann A. Rodgers','126-9530 Dignissim Av.','Ardmore','WI','58146','arodgers@hitmail.com',1239534,'263-422-5954',43143,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany R. Vasquez','Ap #859-4959 Duis Ave','Cleveland','UT','82041','vasquez@xyz.edu',1239535,'387-451-7823',90438,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nyssa C. Russell','9812 Mi Ave','Jeffersonville','MS','66385',NULL,1239536,'699-718-4545',44068,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ebony P. Robles','250-3290 Cursus. Rd.','Casper','WA','41408',NULL,1239537,'894-583-1016',72802,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kellie X. Day','Ap #902-5170 Cras St.','Wausau','AK','91632',NULL,1239538,'241-935-4276',43057,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sybil X. Foster','2357 Sed Rd.','McKeesport','KY','21831',NULL,1239539,'106-311-3148',76525,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Martin H. Mcfarland','Ap #862-8873 Leo. Rd.','Butler','NC','02734','martin.mcfarland@bpmpros.com',1239540,'666-672-9913',24896,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane T. Castillo','P.O. Box 247, 2313 Suscipit Ave','Nogales','AL','62464',NULL,1239541,'298-765-3463',46569,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae L. Morrow','P.O. Box 610, 5585 Velit. Av.','Derby','OR','78641','raem@email.net',1239542,'116-214-9783',34756,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joshua O. Nolan','6233 In Street','Butte','DC','39426','jnolan@bpmpros.com',1239543,'481-592-0124',20548,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basil K. Graves','P.O. Box 855, 1373 Morbi Av.','Hopkinsville','SD','99238','basil.graves@aulnet',1239544,'665-956-4474',66470,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Basia P. Ware','P.O. Box 533, 1675 Eu, Street','Berkeley','KS','10919',NULL,1239545,'248-814-8693',21724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Orlando P. Rollins','P.O. Box 105, 460 Pharetra, Ave','Daly City','MS','84795','orollins@abc.edu',1239546,'705-953-8666',46688,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lillith K. Wyatt','P.O. Box 242, 5205 Odio Av.','Derby','DC','67742','lillith.wyatt@abc.edu',1239547,'547-343-2050',84977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colt B. Richard','237-5448 Sem. Ave','Lawton','IA','46113','colt.richard@email.net',1239548,'956-404-7459',64695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brynn G. Bates','253-5760 Ac Av.','Santa Clara','KS','61017','bbates@widget.com',1239549,'222-187-5802',44897,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malik V. Cole','P.O. Box 208, 578 Aliquet. Street','Jeffersontown','IN','67529','malikc@abc.edu',1239550,'537-768-8453',40503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lee P. Mack','986-9757 Eget Ave','Lynn','CO','36103','leem@hitmail.com',1239551,'723-369-9277',77374,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eleanor Y. Cabrera','Ap #178-4310 Amet Ave','Vincennes','AK','14350','ecabrera@xyz.edu',1239552,'655-387-5465',80459,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez I. Ford','633-1232 Condimentum. Road','Salem','ND','79193','inez.ford@abc.edu',1239553,'554-208-3959',53264,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora C. Hobbs','485-1642 Orci. Ave','Plattsburgh','AK','78147','dorah@emailathome.net',1239554,'432-985-0944',101902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexis I. Giles','106-4954 Sit Ave','South El Monte','MI','49017','alexisg@widget.com',1239555,'365-696-4815',96876,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lana U. Vaughn','P.O. Box 908, 359 Suscipit, Street','Lock Haven','VA','31970','lvaughn@email.net',1239556,'998-253-7582',57680,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aileen I. Rice','P.O. Box 265, 9482 Cursus Ave','Cody','CA','94036','arice@email.net',1239557,'917-805-0688',36332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel R. Bray','3039 Morbi Av.','Melrose','AK','25495',NULL,1239558,'998-691-3808',98108,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phyllis S. Parker','6576 Non, Road','Bremerton','ND','27879',NULL,1239559,'519-918-8778',24699,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linda Z. Wood','Ap #273-7239 Sit Ave','Beverly','AL','60597',NULL,1239560,'567-986-9948',82031,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan U. Owens','3639 Risus Ave','Jackson','MS','55572','owens@aulnet',1239561,'532-387-9755',81268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kane N. Baird','P.O. Box 123, 1968 Non Street','Taunton','SD','20486',NULL,1239562,'969-591-7877',70427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ginger H. Dudley','953 Duis Street','Mount Pleasant','WY','89312','gingerd@abc.edu',1239563,'461-157-9069',93785,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kai N. Roman','3791 Nibh. St.','Aliso Viejo','AK','61240','kair@aulnet',1239564,'272-418-4231',37439,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jamal G. Stevenson','P.O. Box 839, 4809 Nibh. Road','Clairton','NM','60231','jstevenson@aulnet',1239565,'572-654-0714',16686,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kerry G. Newman','359-9236 Dolor Rd.','Lubbock','CO','72842','kerryn@bpmpros.com',1239566,'274-656-3093',94434,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Baxter W. Ruiz','P.O. Box 671, 143 Cras Rd.','Muskegon','WA','03875','ruiz@aulnet',1239567,'718-883-4488',64161,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Penelope J. Burton','P.O. Box 527, 3975 Eu Avenue','Frisco','CO','03006','penelopeb@hitmail.com',1239568,'882-591-3828',44046,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bethany V. Moran','P.O. Box 723, 6936 Ac Ave','Hialeah','DC','24638','moran@hitmail.com',1239569,'635-527-9173',19968,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adele J. Campbell','P.O. Box 967, 5465 Proin Ave','Guayanilla','NC','83417',NULL,1239570,'146-771-1971',31386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iona F. Hewitt','Ap #603-3396 Sit Rd.','Rolling Hills Estates','MT','11804',NULL,1239571,'312-458-0382',45154,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota M. Garcia','Ap #505-3068 Adipiscing Ave','Florence','AL','55176','garcia@emailathome.net',1239572,'171-483-7307',79518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon Z. Wilson','530-582 Molestie Street','Cortland','WA','99544','timonw@abc.edu',1239573,'711-892-1738',23868,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack U. Mooney','8369 Viverra. Rd.','Valparaiso','IL','42391',NULL,1239574,'356-828-8070',34216,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy B. Hodge','Ap #407-2458 Non Av.','Galesburg','CO','33286','jeremy.hodge@email.net',1239575,'578-825-6525',72744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alisa V. Lott','889 Enim, Avenue','South Gate','NH','95118','alisa.lott@bpmpros.com',1239576,'537-285-9774',46742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Geraldine V. Powell','791-2879 Mauris. Ave','Gu?nica','NY','27213','geraldinep@aulnet',1239577,'522-969-1541',38943,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dalton P. Mckay','586-1148 Sapien, Road','Schenectady','IA','97315','mckay@xyz.edu',1239578,'738-261-1292',90037,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira B. Horton','Ap #324-3858 Orci St.','Barrow','SC','08006',NULL,1239579,'422-159-2103',55781,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amethyst F. Mendoza','232-1156 Mauris. St.','The Dalles','MD','19828','mendoza@emailathome.net',1239580,'835-356-3165',45373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mechelle T. Villarreal','1951 Arcu Rd.','Needham','HI','17209',NULL,1239581,'282-175-4010',56352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dora A. Park','3478 Dictum Road','Baytown','MT','15586','dpark@email.net',1239582,'307-326-4239',82363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Honorato U. Buckner','Ap #892-9798 Habitant Road','Steubenville','TX','36141','honorato.buckner@email.net',1239583,'738-135-3517',88857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Karyn M. Reese','795-2657 Mi, Av.','San Marino','NC','45581','kreese@hitmail.com',1239584,'734-562-6979',64702,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tad H. Pickett','3377 Egestas, Rd.','Greensboro','AK','87852','pickett@xyz.edu',1239585,'411-684-9401',22129,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alma A. Steele','8625 Magna Ave','Chicago','ID','57525','alma.steele@emailathome.net',1239586,'402-643-7011',17232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lila E. Cummings','P.O. Box 736, 8146 Curabitur Street','San Gabriel','MN','73430','lila.cummings@abc.edu',1239587,'156-458-0007',25684,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne D. Stark','519-3435 Dui, St.','Gilbert','DC','68031','cheyennes@emailathome.net',1239588,'562-618-9769',90735,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan X. Norton','P.O. Box 682, 6347 Cursus Rd.','Grand Forks','CO','21899',NULL,1239589,'821-493-9119',96953,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patrick R. Stewart','Ap #334-1088 Lectus, Rd.','New Castle','VA','06638','patrick.stewart@aulnet',1239590,'427-358-7416',67849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deacon K. Medina','P.O. Box 461, 520 Nisl Rd.','Norwich','NC','58255','deaconm@bpmpros.com',1239591,'884-312-6693',23189,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bree Q. Baxter','P.O. Box 426, 1615 Ac, Rd.','Cary','PA','43092','baxter@email.net',1239592,'358-242-4630',39232,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evangeline I. Holloway','7956 Lectus Rd.','Charleston','AZ','19493','evangelineh@widget.com',1239593,'804-139-8440',99226,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexander Z. Fulton','660-641 Mauris. Rd.','Tempe','NJ','60389','fulton@email.net',1239594,'883-786-7155',70278,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wesley M. Maldonado','332-5108 Morbi Av.','Shawnee','UT','44714',NULL,1239595,'194-976-6623',87743,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Prescott J. Stout','6917 Quis Road','Fremont','ID','08373','prescotts@bpmpros.com',1239596,'855-264-5521',29087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shad M. Guerra','962-8408 Non St.','San Dimas','RI','04903','guerra@bpmpros.com',1239597,'386-141-2058',71288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Olympia T. Woodard','P.O. Box 264, 4885 Donec Road','Midwest City','DE','98493','woodard@hitmail.com',1239598,'406-793-7330',51515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sawyer Z. Underwood','Ap #220-2612 Cursus Avenue','Virginia Beach','KS','40839','sunderwood@xyz.edu',1239599,'333-738-3211',71797,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle Z. Daugherty','8420 Egestas. St.','Arvada','ND','62017','idaugherty@yohaa.com',1239600,'192-924-2970',45347,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra M. Cross','Ap #645-9346 Phasellus Rd.','Shamokin','NV','27180',NULL,1239601,'298-399-2134',26270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine L. Maynard','7598 Diam Av.','Kearns','NJ','49121','blaine.maynard@bpmpros.com',1239602,'941-969-7886',25006,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anjolie P. Winters','P.O. Box 651, 2270 Odio. St.','Webster Groves','MT','13752',NULL,1239603,'984-825-7844',82095,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Frances V. Campos','601-2122 Feugiat St.','Mesquite','DC','64887','francesc@hitmail.com',1239604,'731-615-4491',40028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Graham Z. Norman','815 Aliquam Av.','Virginia Beach','FL','78524','graham.norman@widget.com',1239605,'913-786-7371',91451,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cody Z. Boone','Ap #500-1434 Molestie Rd.','Laguna Hills','HI','48516','boone@xyz.edu',1239606,'132-154-7304',82511,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelby N. Montgomery','585-1728 Senectus Ave','Chattanooga','WY','25063','montgomery@abc.edu',1239607,'679-611-7654',106470,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lavinia R. Warner','P.O. Box 547, 3038 Risus Rd.','Paterson','AK','07422','lwarner@xyz.edu',1239608,'586-156-7764',50181,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Courtney I. Vasquez','P.O. Box 312, 4487 Quisque Av.','Coos Bay','OR','72779',NULL,1239609,'203-788-7444',32587,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanni O. Vaughan','1635 Lorem Av.','Plantation','VT','01898',NULL,1239610,'167-187-2551',46456,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alexandra V. Lyons','Ap #790-408 Elit. Ave','Mission Viejo','NC','55467',NULL,1239611,'366-433-4297',89394,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kiona C. Spence','7929 Non, Road','Boise','NC','22347','kspence@hitmail.com',1239612,'994-621-1634',25799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenneth W. Hudson','Ap #493-5878 Sed St.','Carrollton','LA','09321','kenneth.hudson@aulnet',1239613,'779-663-1933',67499,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Montana R. Sandoval','Ap #590-2787 Fusce Street','Duncan','WY','32631','montanas@hitmail.com',1239614,'953-633-2953',97774,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanek L. Patton','P.O. Box 815, 7928 Tellus Rd.','New Brunswick','KY','39261','tanek.patton@yohaa.com',1239615,'803-856-4986',98960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hayden T. Bell','P.O. Box 867, 3010 Arcu. Ave','Elmira','NC','91730','hayden.bell@bpmpros.com',1239616,'992-895-6511',62742,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuri K. Simmons','P.O. Box 687, 6775 Nulla. Avenue','Gaithersburg','MO','10412','ysimmons@yohaa.com',1239617,'243-245-0497',15658,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Buckminster N. Spence','4981 Vitae Ave','New Castle','AK','36298',NULL,1239618,'349-564-7882',97542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dara P. Dorsey','782-5102 Luctus Road','Charlotte','NC','61007','dara.dorsey@bpmpros.com',1239619,'396-645-1099',98775,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quentin T. Chambers','330-7951 Adipiscing Road','Saint Albans','AL','62634',NULL,1239620,'743-148-6838',97799,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Felix T. Potts','Ap #181-3113 Odio. Avenue','Sierra Madre','KY','33506','felix.potts@widget.com',1239621,'332-974-0227',17333,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Latifah X. Manning','Ap #980-1997 Libero. Street','Charlotte Amalie','AK','45579',NULL,1239622,'287-418-3913',34078,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harper F. Burke','P.O. Box 870, 9750 Pharetra Ave','Sacramento','TN','96932','harperb@yohaa.com',1239623,'513-699-9173',25126,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursula H. Payne','Ap #344-5148 Feugiat Av.','Ogdensburg','CT','96383','payne@abc.edu',1239624,'316-728-4273',44670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel K. Pittman','Ap #750-2793 Sed Road','Edina','WY','12309','joelp@aulnet',1239625,'793-918-7461',76071,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grady Y. Lawrence','333-6964 Tristique Street','Bowie','WY','97200',NULL,1239626,'619-312-2299',84119,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leandra J. Bray','810-8749 Non Rd.','Pierre','AZ','05102','leandrab@yohaa.com',1239627,'413-123-3435',83574,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gisela L. Mason','8832 Interdum. Rd.','Fall River','DE','87767','gmason@email.net',1239628,'387-528-8210',74482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Levi F. Hubbard','7684 Facilisis Av.','Rhinelander','MN','77395','levi.hubbard@yohaa.com',1239629,'162-781-5424',40142,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kevyn I. Marsh','3991 A, St.','Lake Forest','NH','36893','kmarsh@yohaa.com',1239630,'623-229-3083',71626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana Z. Morrow','Ap #843-3681 Sed St.','Powell','NJ','19455','dana.morrow@widget.com',1239631,'349-873-9013',24279,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynter S. Palmer','Ap #730-5428 Vel Road','Eatontown','MT','16135',NULL,1239632,'682-832-7036',25970,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith F. Wood','6985 Nec Ave','Arvada','NJ','89480',NULL,1239633,'204-762-8550',34732,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macy W. Harrison','9501 Pede Avenue','Jackson','NE','54513','macyh@abc.edu',1239634,'462-572-8470',49159,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dorothy J. Medina','3637 Aliquet Street','Whittier','OH','17723','dorothym@email.net',1239635,'375-512-6688',64897,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel P. Mejia','P.O. Box 167, 3768 Vivamus Av.','Kansas City','TX','59367','gmejia@aulnet',1239636,'191-465-8865',62843,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keelie A. Henson','Ap #603-9139 In, St.','Sherrill','NY','40609',NULL,1239637,'166-257-4223',23001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta P. Valenzuela','Ap #388-3595 A Street','Duarte','UT','55395','uta.valenzuela@yohaa.com',1239638,'105-172-1396',68564,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carson Q. Williamson','P.O. Box 594, 2292 Nonummy Avenue','Spokane Valley','UT','78123','cwilliamson@abc.edu',1239639,'529-525-5067',44910,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kitra W. Hart','Ap #833-2718 Condimentum. Road','Rolling Hills','LA','20799','hart@xyz.edu',1239640,'823-453-9775',90427,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Griffith C. Fisher','6485 Nunc Ave','Bandon','MT','28880','fisher@widget.com',1239641,'861-743-0883',90963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Linus I. Anderson','Ap #555-3127 Velit. Road','Fond du Lac','MO','04622','landerson@email.net',1239642,'513-474-1261',26284,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jack X. Jarvis','P.O. Box 505, 8705 Aliquam Rd.','Stamford','WV','41545','jarvis@abc.edu',1239643,'277-691-0641',105051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica B. Fisher','5639 Eu, Ave','Durango','HI','09224',NULL,1239644,'478-996-7657',74352,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Curran T. Craig','P.O. Box 316, 7706 Odio. Street','San Marino','HI','43153',NULL,1239645,'577-856-8525',26861,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Pamela T. Glenn','227-8176 Mi. Rd.','Manhattan','ME','69302','pamela.glenn@emailathome.net',1239646,'565-943-8986',60055,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Autumn P. Dalton','809-1261 Eleifend Rd.','Somerville','WA','35694','adalton@abc.edu',1239647,'197-653-5954',106632,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harriet L. Bowers','P.O. Box 357, 8721 Sodales Street','High Point','AK','09634','harrietb@emailathome.net',1239648,'328-425-9875',92527,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald U. Ware','P.O. Box 230, 3444 Parturient St.','Eau Claire','MA','51851',NULL,1239649,'586-704-1290',25096,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper X. Meyers','Ap #759-6030 Libero Rd.','Ventura','UT','31883','meyers@hitmail.com',1239650,'735-211-9240',63765,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyatt Q. Collier','Ap #302-3863 Vulputate Av.','Duncan','WV','89310','hcollier@widget.com',1239651,'294-828-0489',77948,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn E. Boone','9169 Vitae Street','Beverly Hills','KY','50479','flynnb@email.net',1239652,'401-421-8136',31959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Piper E. Maynard','635-6491 Dolor Avenue','Manhattan Beach','ME','77038','pmaynard@yohaa.com',1239653,'507-818-3481',68152,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carol T. Serrano','3455 Dolor Road','Frankfort','DC','63530','serrano@widget.com',1239654,'234-194-7855',26367,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abdul G. Hickman','P.O. Box 369, 5079 Ipsum Rd.','Lewiston','GA','37700','abdul.hickman@emailathome.net',1239655,'332-575-5792',63361,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kareem Q. Sims','856 Nisi. Street','Spartanburg','WI','45129','kareem.sims@yohaa.com',1239656,'901-134-2717',45089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate P. Nixon','131-7014 A St.','Plymouth','WA','81937',NULL,1239657,'167-167-1913',88484,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gemma C. Brown','Ap #685-9600 Nec, Ave','Butte','ND','64355',NULL,1239658,'383-451-4176',29149,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanner X. Allison','P.O. Box 533, 8947 Dolor St.','Phenix City','CT','85649','tanner.allison@bpmpros.com',1239659,'195-478-7382',60576,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Louis Q. Terrell','Ap #764-335 Suspendisse Avenue','Midland','HI','37012',NULL,1239660,'753-857-1368',74550,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jane C. Carr','Ap #612-9489 Fusce St.','Fall River','IA','58186','janec@yohaa.com',1239661,'209-962-7198',61922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane D. Petty','P.O. Box 153, 9135 Adipiscing Av.','West Warwick','NY','98047','petty@xyz.edu',1239662,'234-433-3040',35776,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius S. Smith','9381 Non, Rd.','Kennewick','AK','06225',NULL,1239663,'131-854-1974',43662,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade I. Woods','P.O. Box 781, 3646 Nunc Road','Rock Springs','NJ','62569','sade.woods@email.net',1239664,'895-835-6887',98538,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mia E. Ewing','Ap #586-6777 Nec Street','Pass Christian','IA','83656',NULL,1239665,'225-111-8454',50798,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda G. Dunlap','636-8011 Aliquam Rd.','Watertown','CT','45038',NULL,1239666,'785-909-9207',82151,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Knox C. Dunn','176-609 Lorem Rd.','Saint Paul','ND','83328','knox.dunn@bpmpros.com',1239667,'456-242-0410',84128,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Burke L. Rush','Ap #712-5825 Vivamus St.','St. Petersburg','RI','44328','brush@widget.com',1239668,'756-203-2543',15811,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kenyon T. Gray','P.O. Box 436, 2311 Magnis St.','Peabody','AZ','84129','kenyong@email.net',1239669,'557-304-3166',75473,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Audra Q. Wilson','365-5050 Diam Road','Merced','ND','75759','awilson@emailathome.net',1239670,'988-536-7391',63683,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard D. Ratliff','2883 Ornare Ave','Bell','DC','72299',NULL,1239671,'875-773-6262',108373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angelica C. Chase','7185 Arcu. Ave','Jacksonville','NH','66224','achase@abc.edu',1239672,'554-532-0183',87019,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Belle Z. Acosta','P.O. Box 262, 6269 Tincidunt St.','Utica','AK','68025','bacosta@aulnet',1239673,'359-803-3343',59703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Francesca F. Oneil','P.O. Box 554, 7484 Laoreet Ave','Hattiesburg','ND','77635',NULL,1239674,'661-911-8131',61482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Samuel Y. Levy','P.O. Box 625, 9112 Gravida St.','Huntsville','CA','70047','slevy@abc.edu',1239675,'783-444-3541',80542,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ramona E. Griffin','P.O. Box 792, 1280 Massa Avenue','Garland','KY','46527','rgriffin@email.net',1239676,'674-357-6919',66621,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keiko G. Case','931-4219 Mi Rd.','Merced','OH','05642','case@bpmpros.com',1239677,'279-744-9915',104156,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Declan M. Marshall','Ap #187-2430 Adipiscing Ave','Calabasas','AK','71577','marshall@email.net',1239678,'221-399-9339',44801,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia G. Malone','Ap #593-8415 Nunc St.','Kenosha','NY','67239',NULL,1239679,'816-937-2362',81236,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Abbot A. Dickerson','346-9199 Gravida Av.','Ypsilanti','SD','48015','adickerson@hitmail.com',1239680,'355-162-0083',51171,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ira C. Mitchell','P.O. Box 954, 6696 Ut Av.','Green River','HI','03751','iram@email.net',1239681,'867-112-1832',97400,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Carla G. Miles','134-1352 Facilisis Street','Iowa City','WY','23127','miles@aulnet',1239682,'979-746-8580',53959,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Coby H. Finley','Ap #974-1793 Nulla. Avenue','Spokane','AL','90024','coby.finley@widget.com',1239683,'242-121-7676',38746,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lesley R. Mooney','1823 Lacus. Avenue','Sister Bay','MN','31351','lesley.mooney@xyz.edu',1239684,'464-878-0801',73545,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Palmer G. Swanson','6525 Consectetuer Rd.','Fairbanks','SC','60663',NULL,1239685,'799-936-2231',41389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cally L. Collier','101-9172 Metus Avenue','San Rafael','UT','61532','cally.collier@yohaa.com',1239686,'296-995-8200',60360,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi T. Conrad','P.O. Box 382, 3179 Egestas Road','Lock Haven','KS','17389','conrad@aulnet',1239687,'912-117-9027',41919,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerald T. Shannon','Ap #316-4180 Massa St.','Pittsburgh','NV','89507','eshannon@abc.edu',1239688,'897-808-8257',36719,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn N. Lucas','782-4153 Netus Road','San Fernando','WY','55644','qlucas@emailathome.net',1239689,'243-149-8477',80856,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eugenia X. Lindsay','228-4687 Cursus. St.','Plantation','VT','86942','eugenia.lindsay@email.net',1239690,'787-839-9788',39458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan Y. Mcfarland','535 Mi. St.','Culver City','IA','00559','mcfarland@emailathome.net',1239691,'344-513-2061',17486,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jackson W. Bowers','693-7183 Pretium Ave','Nanticoke','NE','89480','bowers@yohaa.com',1239692,'131-385-7079',23378,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna C. Cervantes','6281 Tortor Street','York','MN','08486','cervantes@xyz.edu',1239693,'435-548-4679',56518,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Peter K. Patterson','Ap #957-979 Lacus St.','Savannah','WV','49548','ppatterson@email.net',1239694,'935-479-8183',94098,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kylan H. Doyle','Ap #234-1431 Nec, Avenue','Duncan','CO','09849','kylan.doyle@email.net',1239695,'497-432-7016',36916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alfonso B. Welch','909-1781 Interdum St.','Albuquerque','AZ','15324',NULL,1239696,'264-662-9937',19309,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim H. Gray','249-5304 Et, Street','Oxford','AK','19925','kgray@aulnet',1239697,'349-414-0759',85753,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tarik U. Nielsen','P.O. Box 120, 3510 Adipiscing St.','Huntsville','FL','25735','tarik.nielsen@abc.edu',1239698,'761-911-3243',18363,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adena U. Garner','Ap #415-327 Consectetuer Avenue','Norman','ME','52188','garner@xyz.edu',1239699,'814-685-5959',33643,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alana G. Floyd','P.O. Box 944, 6234 Risus. Rd.','Montpelier','IN','60222','alanaf@aulnet',1239700,'401-324-8083',15196,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Imelda F. Fields','535-2135 Tellus Rd.','Kansas City','MA','74234','ifields@yohaa.com',1239701,'567-867-1819',104729,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aurora Y. Graham','P.O. Box 962, 2304 Amet, Rd.','Monongahela','MI','82057','graham@emailathome.net',1239702,'392-859-6278',23077,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tate A. Ruiz','4897 Leo. St.','Sandy','CT','68477','ruiz@bpmpros.com',1239703,'773-403-6885',61748,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alvin H. Doyle','P.O. Box 238, 1354 Feugiat St.','Elizabeth City','CT','20099','alvin.doyle@emailathome.net',1239704,'567-341-6422',40616,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruce T. Sheppard','P.O. Box 365, 2491 A, St.','Clearwater','MI','59580',NULL,1239705,'679-246-3860',42797,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yen O. George','352-2742 Dui. St.','Holyoke','NH','08068','yen.george@hitmail.com',1239706,'549-228-2656',60934,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cleo U. Norman','364-1917 Ut, St.','Opelousas','NH','19618','cleon@yohaa.com',1239707,'677-226-2445',19768,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yael N. Chase','428-8514 Elit, Av.','Norwich','NC','24334','yael.chase@yohaa.com',1239708,'953-639-7550',105469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('acqueline A. Meadows','Ap #239-6239 Auctor Av.','South Burlington','MT','15849','acqueline.meadows@hitmail.com',1239709,'274-237-7665',36670,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian E. Nash','P.O. Box 286, 594 Fusce Street','Portsmouth','LA','81006','dnash@emailathome.net',1239710,'846-121-1679',44482,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jacob N. Mayer','Ap #928-5107 Commodo Street','Truth or Consequences','CT','42133','jmayer@xyz.edu',1239711,'341-196-1173',90889,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy C. Garza','Ap #655-1483 Velit Avenue','Hampton','NE','62814',NULL,1239712,'158-398-4845',19364,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callum V. Valentine','5605 Malesuada Street','Charleston','NJ','97923','callum.valentine@widget.com',1239713,'215-621-3501',105307,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tashya N. Mcmahon','808-3902 Non Ave','Passaic','OR','31138','mcmahon@aulnet',1239714,'152-267-7871',52388,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade I. Fisher','6682 Condimentum. Avenue','Oil City','IA','91985','fisher@aulnet',1239715,'198-904-1208',109857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Virginia D. Moses','710-2050 Eu Rd.','Fredericksburg','NE','83085','virginiam@hitmail.com',1239716,'961-169-9621',100918,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gillian X. Welch','P.O. Box 666, 912 Sit Rd.','Kearns','IA','81774','gillian.welch@emailathome.net',1239717,'759-721-7887',69145,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charlotte M. Strong','853-4520 Eleifend Av.','Huntsville','MN','78669','strong@xyz.edu',1239718,'334-194-7135',19317,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Doris Q. Fuller','P.O. Box 103, 485 Ante St.','Laconia','TN','30708','dfuller@hitmail.com',1239719,'377-602-7954',24378,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker D. Acosta','6545 In Street','Macomb','TX','34018','tuckera@abc.edu',1239720,'198-826-6868',70617,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard B. Griffith','P.O. Box 849, 4758 Velit. Street','Harrisburg','NJ','47472',NULL,1239721,'591-589-4050',107860,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cheyenne O. Turner','Ap #525-5614 Amet, Street','Oklahoma City','IA','81939','cheyenne.turner@abc.edu',1239722,'402-803-4928',109277,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Raya Z. Velez','Ap #788-1218 Vestibulum Av.','Cary','ID','56848','raya.velez@widget.com',1239723,'777-189-9923',92849,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy V. Cote','2518 Torquent St.','Wheeling','KS','42727','jeremy.cote@emailathome.net',1239724,'503-381-0980',96192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel F. Faulkner','492-298 Tellus. Ave','Merced','HI','52695',NULL,1239725,'423-835-0151',16641,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Inez W. Cooper','P.O. Box 875, 2459 Dolor Rd.','Long Beach','IA','55507','cooper@yohaa.com',1239726,'203-526-3514',81162,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nora S. Mcgowan','Ap #449-2856 Sem, Av.','Paducah','ID','57202','nmcgowan@yohaa.com',1239727,'811-114-5408',109738,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Claudia S. Foster','165-6978 Aliquam Avenue','Yonkers','MN','74822','claudia.foster@yohaa.com',1239728,'136-946-9504',109624,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blair Z. Gallegos','Ap #310-5270 Duis Rd.','Blythe','IA','71746','bgallegos@abc.edu',1239729,'679-705-6515',22729,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Damian C. Wilkinson','P.O. Box 687, 9203 Nullam Street','Rockford','VT','16998','damianw@xyz.edu',1239730,'745-315-9295',86206,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Callie V. Burks','7262 Nullam St.','Highland Park','WI','72754','callie.burks@hitmail.com',1239731,'454-328-7502',63373,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elliott C. Dominguez','P.O. Box 885, 7783 Scelerisque Road','Gadsden','RI','78041',NULL,1239732,'706-261-4882',48573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ursa W. Johns','2671 Mauris Ave','Brooklyn Park','FL','59326',NULL,1239733,'322-493-0180',71689,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nichole V. Trujillo','928-601 Phasellus Av.','Albuquerque','VT','04053','nicholet@xyz.edu',1239734,'481-702-0040',35918,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest V. Burke','Ap #181-8607 Risus. St.','Valdosta','AL','92096','burke@aulnet',1239735,'151-541-1422',63752,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noble T. Giles','Ap #163-4886 Dolor Rd.','Cleveland','DC','12004','noble.giles@aulnet',1239736,'102-262-6028',63820,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('James A. Bass','2171 A, Road','Somersworth','IA','44656','jamesb@yohaa.com',1239737,'967-467-5836',62075,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isabelle H. Terrell','986-5320 Vel, Road','Pullman','OR','00854','isabelle.terrell@emailathome.net',1239738,'611-577-8444',43483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah U. Brennan','P.O. Box 361, 3571 Vel Avenue','Jordan Valley','IN','06706','brennan@yohaa.com',1239739,'661-272-6595',104984,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Holly G. Wilkinson','P.O. Box 667, 762 Justo St.','Cape May','VA','12729','wilkinson@hitmail.com',1239740,'525-196-3679',31082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathan D. Lowery','459-5971 Nunc Rd.','Huntsville','AK','90113',NULL,1239741,'833-368-4547',37368,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dana K. Patrick','Ap #127-7778 Mattis Street','Temple City','MA','40841','danap@email.net',1239742,'955-897-1555',28804,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alyssa J. Duke','2120 Tincidunt Avenue','Darlington','IA','16341','alyssad@hitmail.com',1239743,'435-521-9007',29573,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leonard R. Garrett','1248 Erat Road','North Platte','VA','12013','garrett@bpmpros.com',1239744,'748-882-4344',48332,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joseph C. Kirkland','400-8313 Ridiculus St.','San Diego','IN','18230',NULL,1239745,'445-194-9753',29455,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuli N. Spears','Ap #214-4679 Orci. Road','Aliso Viejo','MN','72290',NULL,1239746,'522-866-9599',45986,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna M. Fuentes','9258 Sit St.','Mentor','NH','55332',NULL,1239747,'562-614-7003',108560,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lareina Y. Flores','P.O. Box 441, 2132 Sit Ave','Jenks','LA','91956',NULL,1239748,'399-852-4642',81497,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane R. Mcfarland','Ap #101-6505 Enim. Av.','Staunton','ME','79261','mcfarland@hitmail.com',1239749,'328-618-3698',49880,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius B. Bradley','588 Lobortis Ave','Monroe','LA','24051','ibradley@hitmail.com',1239750,'178-301-0618',17089,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sigourney W. Savage','3004 Primis Street','Commerce','NC','24246','ssavage@email.net',1239751,'752-959-7807',101537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maya V. Wilson','Ap #606-737 Et Av.','Suffolk','NE','24348','mwilson@bpmpros.com',1239752,'695-346-2059',98703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maite U. Ramirez','Ap #969-5682 Pharetra Ave','Delta Junction','MT','09123','maite.ramirez@yohaa.com',1239753,'572-166-3125',29949,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tara A. Langley','8155 Fringilla Street','Yigo','MA','63173','taral@bpmpros.com',1239754,'296-634-7404',89466,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Britanney J. Pickett','3299 Orci Rd.','Centennial','DE','15762','britanneyp@abc.edu',1239755,'189-409-0524',49555,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neville U. Kent','Ap #855-9083 Neque. Rd.','Cary','OK','83299','kent@email.net',1239756,'962-152-4515',31480,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heidi N. Anthony','627-1443 Aliquam Rd.','Spokane','MA','12296','anthony@hitmail.com',1239757,'596-568-5100',85421,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Candace X. Mathews','687-1093 Mattis. Rd.','San Angelo','ID','62685','mathews@yohaa.com',1239758,'972-478-9365',67558,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nola H. Leblanc','P.O. Box 482, 6875 Amet St.','Ontario','AK','30093','nola.leblanc@email.net',1239759,'778-651-0390',82499,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lara G. Knox','Ap #242-1441 Pharetra St.','Roswell','NH','66896','knox@aulnet',1239760,'999-678-2383',75270,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Patricia I. Garcia','Ap #644-8759 Ipsum. Av.','Christiansted','PA','38304',NULL,1239761,'391-299-8671',109571,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas Q. Hopper','6731 Ac Ave','Narragansett','NH','70463','hopper@bpmpros.com',1239762,'304-724-8437',45416,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Addison L. Marshall','6378 Curabitur St.','Malden','NC','21479','marshall@hitmail.com',1239763,'526-957-2296',25117,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira X. Wooten','274-127 Mauris Avenue','North Little Rock','AK','72394','indira.wooten@yohaa.com',1239764,'874-491-2465',87469,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall W. Cline','8345 Tincidunt St.','Cicero','ID','81808','mcline@widget.com',1239765,'148-525-8548',91142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tucker I. Mathews','592-3016 Penatibus St.','Oswego','KS','51042',NULL,1239766,'851-898-3142',84139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shaeleigh N. Butler','4429 Dolor. Ave','Union City','KY','03388','shaeleighb@email.net',1239767,'583-768-8577',102695,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thane E. Buchanan','245-7191 Mauris Avenue','Wynne','AL','31134','tbuchanan@emailathome.net',1239768,'423-906-6744',44791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dacey G. Craft','789-2831 Dictum Street','Peru','WA','91522','dcraft@abc.edu',1239769,'767-281-0967',81952,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady A. Decker','579-7601 Augue Road','Olympia','IA','20011','cassadyd@email.net',1239770,'645-312-4925',102441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uma Q. Dillon','Ap #539-9106 Nec Rd.','Torrance','AK','37957','uma.dillon@yohaa.com',1239771,'979-614-8253',37840,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinlan E. Shaffer','7801 Velit. St.','Mechanicville','MA','32186','quinlans@hitmail.com',1239772,'872-578-4308',32375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Elijah N. Gilmore','721-8009 Arcu. St.','Inglewood','MS','98421','egilmore@widget.com',1239773,'517-498-9673',105515,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quon D. Chandler','Ap #632-6204 Pellentesque Rd.','Woburn','IN','79368','quonc@yohaa.com',1239774,'799-307-6955',70033,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gabriel N. Wade','Ap #251-6042 Cursus St.','Frederick','PA','06686','gabrielw@email.net',1239775,'145-834-1317',44939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel X. Gray','237-3911 Et Street','Blythe','KS','02718','gray@yohaa.com',1239776,'495-439-2733',28136,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jayme L. Cherry','304-8217 Elit, Rd.','Saint Cloud','ME','71273','jcherry@emailathome.net',1239777,'993-487-8260',106619,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wendy C. Huffman','Ap #641-1629 A, Rd.','Tulsa','TN','21593','wendy.huffman@yohaa.com',1239778,'867-859-1469',74587,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eaton P. Bass','Ap #688-1363 Ornare. Rd.','East Hartford','IL','02824',NULL,1239779,'428-286-9451',100749,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dakota N. Campos','P.O. Box 772, 6917 Blandit St.','Schaumburg','MD','60273','dcampos@email.net',1239780,'108-426-6116',73747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Octavia N. Rose','P.O. Box 518, 1287 Dui. Avenue','City of Industry','GA','66027',NULL,1239781,'301-308-7243',54613,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maia A. Bailey','Ap #369-7600 Pellentesque Av.','Natchitoches','PA','96753','bailey@xyz.edu',1239782,'881-182-4991',34256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ishmael Q. Mcclure','Ap #480-4413 Nisi Rd.','Cumberland','OK','40547','imcclure@xyz.edu',1239783,'401-291-2727',81398,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chloe X. Thomas','Ap #744-1016 Eu Rd.','Clarksville','DE','87237','cthomas@email.net',1239784,'885-286-3776',67293,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Vera G. Goodwin','P.O. Box 793, 7344 Vitae Street','Oxford','MS','63240','verag@email.net',1239785,'488-364-4407',40559,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phelan V. Hickman','P.O. Box 833, 344 Nunc Ave','Davenport','NH','05769','phickman@bpmpros.com',1239786,'911-408-6620',30187,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flavia L. Soto','P.O. Box 785, 645 Odio Street','Fulton','NH','18424','flavias@emailathome.net',1239787,'294-214-5122',91337,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn Z. Fulton','928-4680 Pellentesque St.','North Las Vegas','ND','25444','kfulton@hitmail.com',1239788,'968-152-2758',97357,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Reece R. Barron','Ap #242-5483 Enim, Road','Ansonia','CA','75601','reeceb@emailathome.net',1239789,'246-114-1763',55822,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Caryn H. Collins','2806 Elit, Street','Murray','NJ','65122','collins@hitmail.com',1239790,'793-807-3087',36163,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirk P. Greer','2875 Dolor. Rd.','Lawrenceville','AK','68174','kgreer@email.net',1239791,'797-957-2370',82605,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan M. Spears','6416 Metus Road','Houston','LA','84960','rogan.spears@email.net',1239792,'788-357-0437',87821,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda U. Hooper','Ap #867-2935 Scelerisque Street','Bay St. Louis','ND','03188',NULL,1239793,'148-827-1841',43699,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Quinn B. Sherman','8354 Luctus Street','Marlborough','MO','53704','qsherman@yohaa.com',1239794,'113-928-7105',34963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tanya I. William','P.O. Box 338, 1988 Amet Ave','La Mirada','CO','67810','tanya.william@aulnet',1239795,'615-637-5653',83882,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mariko Y. Suarez','758-6074 Cras Av.','Kona','WY','18975','mariko.suarez@email.net',1239796,'786-301-9485',23922,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ila V. Thomas','6035 Senectus Av.','North Chicago','AK','43044','ilat@emailathome.net',1239797,'832-401-9310',45429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Mallory W. Weber','Ap #592-4471 Orci Road','Manhattan','IA','33486','mallory.weber@hitmail.com',1239798,'522-353-6636',108028,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keely H. Rivers','P.O. Box 904, 1154 Mauris Ave','Topeka','MI','75509',NULL,1239799,'186-518-7614',42802,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeanette H. Cardenas','Ap #248-6512 Dolor Avenue','Poughkeepsie','AK','53028','jeanettec@aulnet',1239800,'638-625-1338',15665,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth H. Gallegos','Ap #897-3896 Eget Rd.','Catskill','AZ','17460','hyacinthg@abc.edu',1239801,'589-218-8339',83192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Medge S. Rojas','P.O. Box 964, 5803 Nisi St.','Murrieta','TX','89607','medge.rojas@xyz.edu',1239802,'168-648-7666',18392,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alden T. Lawrence','780-4285 Nascetur Street','Livonia','OK','59849',NULL,1239803,'447-506-1549',35884,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blythe G. Leon','P.O. Box 832, 3702 Tempor St.','Laurel','NH','27087','bleon@widget.com',1239804,'937-474-8800',57582,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isadora R. Whitney','6899 Cras Rd.','Memphis','WA','40643','isadora.whitney@yohaa.com',1239805,'542-345-9733',80547,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charissa S. Gonzalez','Ap #370-3550 Mauris Av.','Columbus','HI','15656',NULL,1239806,'499-842-0969',82191,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Zorita K. Gaines','P.O. Box 834, 4706 Eleifend Ave','Seaford','CO','38743','gaines@email.net',1239807,'409-709-5516',58916,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Russell E. Medina','Ap #101-6082 Ut Avenue','Peoria','SD','98527','russellm@bpmpros.com',1239808,'372-781-4909',58623,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chester X. Michael','P.O. Box 849, 1787 Duis Street','Olympia','TN','68857','chester.michael@abc.edu',1239809,'485-666-3467',52120,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Phelan W. Preston','9594 Dolor, Road','Nampa','TX','56582',NULL,1239810,'478-217-5731',26188,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sean W. Shields','Ap #171-5457 Luctus Rd.','Wheeling','TX','72329','seans@hitmail.com',1239811,'812-381-3979',85947,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cade W. Butler','Ap #288-5693 Imperdiet Avenue','Glen Cove','IN','16888',NULL,1239812,'208-111-3007',109001,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley T. Powers','Ap #977-8347 Nisl Av.','Georgetown','FL','45961','shelley.powers@emailathome.net',1239813,'841-158-1785',87750,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Thomas T. Flowers','780-8975 Dolor. St.','Blacksburg','OR','91036','thomas.flowers@yohaa.com',1239814,'197-947-9051',86323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope N. Moss','170-9809 Ipsum. Avenue','Rolling Hills Estates','TN','56247','moss@hitmail.com',1239815,'484-481-3383',47784,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iola C. Holden','Ap #250-410 Netus St.','Tempe','ID','08564','iola.holden@yohaa.com',1239816,'813-296-5879',33544,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lacota O. Dillon','Ap #866-7590 Adipiscing Ave','Durant','AL','28736','lacota.dillon@emailathome.net',1239817,'392-114-2108',107266,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ocean E. Puckett','Ap #359-6612 Tincidunt Avenue','Grafton','DE','12740','oceanp@abc.edu',1239818,'577-878-8820',108011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Evan Y. Sweeney','P.O. Box 380, 6203 Convallis Rd.','Sedalia','NJ','76788','evan.sweeney@yohaa.com',1239819,'539-906-7846',83077,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Portia S. Patrick','Ap #183-2367 Et Rd.','Rolling Hills','MD','01778','portia.patrick@widget.com',1239820,'567-996-9017',100640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Marshall Q. Hardin','523-6944 Egestas, St.','West Sacramento','NV','97398','marshallh@aulnet',1239821,'177-634-5395',51222,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassady H. Floyd','2261 At Ave','Saint Louis','GA','12382','cfloyd@bpmpros.com',1239822,'222-129-7821',52945,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leslie Y. Burgess','P.O. Box 331, 1096 Aliquet Street','Vallejo','DC','30152',NULL,1239823,'545-767-7954',86241,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Seth D. Mcmahon','P.O. Box 469, 208 Diam Ave','Gastonia','ND','84914','sethm@emailathome.net',1239824,'177-612-3881',86205,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignacia M. Mcdonald','Ap #731-9233 Nostra, St.','Reading','CO','70364',NULL,1239825,'389-456-0773',69431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Malachi I. Knight','3245 Mauris, St.','Flint','MS','21129',NULL,1239826,'255-783-5281',39770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucas R. Woodard','P.O. Box 552, 6742 Elit, Rd.','Elizabeth City','KS','70701','lucas.woodard@abc.edu',1239827,'921-286-8783',106932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Price F. Mcguire','5549 Erat. Rd.','Cortland','AZ','33881','pricem@bpmpros.com',1239828,'862-165-0736',67249,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ayanna Y. Langley','Ap #353-6546 Libero Street','Calabasas','DC','22256','ayanna.langley@aulnet',1239829,'148-909-9740',57062,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ria Z. Mills','9408 Pede St.','Jersey City','MS','63296','riam@xyz.edu',1239830,'512-226-9169',22395,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Harlan C. Hoffman','Ap #836-1273 Varius Street','Springfield','PA','22386','harlanh@aulnet',1239831,'673-294-3103',42051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve J. Fry','919-9750 Interdum Ave','Centennial','OR','41274','nfry@hitmail.com',1239832,'651-334-4388',60026,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serena T. Conway','P.O. Box 665, 2642 Dapibus Rd.','Middlebury','NE','23774','sconway@email.net',1239833,'149-601-9434',89791,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Colorado G. Franks','P.O. Box 641, 304 Orci. Rd.','Casper','HI','75408','franks@aulnet',1239834,'273-222-7327',92464,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Maggie P. Conway','9020 Neque Rd.','Aliso Viejo','VT','07375','maggiec@aulnet',1239835,'815-623-9361',31195,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xandra X. Hickman','P.O. Box 445, 8908 Lorem St.','New Kensington','ID','12610','xhickman@email.net',1239836,'985-801-4234',79589,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Adam W. Melton','7565 Odio, St.','Berlin','UT','43715',NULL,1239837,'177-176-6556',18612,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stewart M. Berry','P.O. Box 465, 583 Eget St.','Brooklyn Park','DC','09153','stewart.berry@abc.edu',1239838,'968-945-0206',91139,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melodie V. Glover','185-4958 Sed Road','Hickory','MO','63672','glover@yohaa.com',1239839,'826-895-7398',69600,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Angela J. Lambert','P.O. Box 330, 2827 Ac Av.','Macomb','KY','83456','angelal@widget.com',1239840,'129-945-7395',84183,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xerxes H. Hamilton','Ap #768-7562 Convallis Avenue','Tok','WY','37321','hamilton@bpmpros.com',1239841,'777-897-7425',91537,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora N. Bradford','2279 Vitae Rd.','Hamilton','MT','49183','bradford@emailathome.net',1239842,'915-183-7714',62704,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Macey B. Page','P.O. Box 963, 1248 Nunc Avenue','New Orleans','SC','32172','mpage@hitmail.com',1239843,'356-261-2530',41341,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kasper U. Kirkland','5686 Mauris, St.','Caguas','WY','63556','kasperk@aulnet',1239844,'864-299-7158',50441,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cassidy K. Camacho','2354 Faucibus Rd.','San Luis Obispo','CO','20846','cassidy.camacho@abc.edu',1239845,'203-899-1080',89939,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Allistair P. Oneil','Ap #830-3132 Eget Av.','High Point','OK','85506','allistairo@bpmpros.com',1239846,'453-666-4556',72990,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Iliana K. Pollard','8711 Accumsan Road','Escondido','OR','14122','ilianap@abc.edu',1239847,'783-428-6842',47525,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yuli Z. Robertson','Ap #993-6682 Magna. St.','Canton','WY','72986',NULL,1239848,'118-892-1298',24963,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Indira L. Bush','107-1192 Aliquet Avenue','Centennial','AL','93675','ibush@hitmail.com',1239849,'752-869-5617',93748,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brenna Y. Murphy','971-6911 Blandit Av.','Sault Ste. Marie','WI','95298','brennam@hitmail.com',1239850,'964-615-3859',58304,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miranda H. Richardson','P.O. Box 414, 2139 Duis Road','Nacogdoches','KS','26322',NULL,1239851,'622-596-1115',105224,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('May K. Kim','Ap #215-6937 Mus. Street','Twin Falls','MS','77904','mkim@hitmail.com',1239852,'337-969-4545',73483,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lane O. Bridges','5634 Faucibus Rd.','Stillwater','NC','51409','lbridges@xyz.edu',1239853,'391-724-4103',75951,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kelly F. Shaw','743-6405 Leo Road','Ventura','ND','38390',NULL,1239854,'891-191-7242',61303,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Josiah D. Molina','263-8793 Vehicula Rd.','Palm Springs','VT','57395','jmolina@xyz.edu',1239855,'786-586-5873',26839,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Charity P. Mendez','Ap #743-7205 Donec Street','Blacksburg','VT','71338','charity.mendez@email.net',1239856,'734-511-0976',93409,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hyacinth Y. Willis','Ap #355-8447 Magna Rd.','Fort Dodge','WY','81162','willis@widget.com',1239857,'501-335-7557',62747,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dominique I. Herrera','358-9862 Tortor. Road','Sister Bay','NH','53545',NULL,1239858,'718-329-5542',23972,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Yardley P. Bonner','9315 Posuere Rd.','The Dalles','GA','07713','yardley.bonner@widget.com',1239859,'178-649-4613',30899,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rae L. Rios','Ap #520-9918 Sit Ave','Arcadia','ME','51769','rios@xyz.edu',1239860,'583-652-2906',74901,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Eden U. Bates','P.O. Box 937, 5716 Quis Av.','Salem','MD','74736',NULL,1239861,'505-188-6398',50087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amanda Z. Larson','3930 Penatibus Rd.','Hollywood','AZ','87565','alarson@xyz.edu',1239862,'939-689-1870',62431,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameran I. Whitaker','5272 Mus. St.','Gastonia','MA','83071',NULL,1239863,'728-322-1900',23724,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wynne C. Sandoval','P.O. Box 817, 4947 Lectus Avenue','Beaumont','NC','03196','wynne.sandoval@xyz.edu',1239864,'269-997-1292',34011,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xyla H. Gomez','459-1375 Posuere St.','La Crosse','GA','86999','xylag@bpmpros.com',1239865,'186-255-0522',90087,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Catherine Z. Lawson','174-442 Ut Av.','Palos Verdes Estates','MS','67654','lawson@xyz.edu',1239866,'644-631-8858',47744,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelly D. Bush','P.O. Box 257, 5270 Pede Rd.','Idabel','IL','77245','shellyb@bpmpros.com',1239867,'899-543-1739',68344,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Troy X. Salas','P.O. Box 819, 5859 Fermentum Avenue','Christiansted','WI','26693','troy.salas@aulnet',1239868,'838-738-2703',61386,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hu B. Dunlap','1077 Dis St.','Ypsilanti','WY','18671','dunlap@hitmail.com',1239869,'431-725-6084',42841,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lars Q. Kemp','1236 Et Avenue','Dothan','WV','90252','larsk@aulnet',1239870,'129-254-2267',100030,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Neve H. Maxwell','6358 Enim St.','Dalton','OH','94324',NULL,1239871,'559-762-6870',24912,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amos W. Osborn','321-3950 Nibh Road','Moore','AZ','75160','amos.osborn@abc.edu',1239872,'595-945-6063',98932,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Illiana Z. Henderson','4266 Tortor St.','Lebanon','IN','87964','ihenderson@emailathome.net',1239873,'572-531-9354',15401,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lilah J. Branch','4760 Molestie Rd.','Yuma','UT','36024','lilahb@hitmail.com',1239874,'812-369-3024',20902,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kirby M. Williamson','Ap #932-685 Dictum Rd.','Brooklyn Park','OH','58594','kirbyw@yohaa.com',1239875,'619-431-6990',18640,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cynthia C. Hunt','Ap #402-223 Venenatis Road','Columbia','IL','96454','cynthiah@bpmpros.com',1239876,'949-668-9086',105883,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stone Z. Morrow','P.O. Box 893, 5461 Erat. St.','Pembroke Pines','HI','46142','morrow@widget.com',1239877,'697-546-1140',27563,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ethan C. Petty','P.O. Box 356, 4798 Eu, Road','Cleveland','DC','35781','ethan.petty@xyz.edu',1239878,'934-521-0761',96288,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bertha Z. Fernandez','P.O. Box 631, 3813 Sem St.','Chicago','UT','08244',NULL,1239879,'926-951-4814',72594,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina M. Olsen','418-9728 Dolor, Avenue','Manchester','WV','81080',NULL,1239880,'325-252-0115',19054,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garrett Q. Adkins','P.O. Box 216, 6583 Malesuada Ave','Michigan City','MS','49721','adkins@abc.edu',1239881,'813-137-2983',28875,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amity E. Sharpe','5779 Maecenas Av.','Mandan','WV','51856','sharpe@hitmail.com',1239882,'838-919-1239',57770,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gay U. Rosa','Ap #712-2385 Ac Av.','Kingsport','MT','45196','rosa@email.net',1239883,'953-792-7119',46192,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kalia U. Sheppard','Ap #412-4784 Purus. Rd.','Cicero','AK','55600','sheppard@abc.edu',1239884,'797-751-5512',73670,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Flynn Y. Calhoun','Ap #722-6098 Lorem Avenue','Evansville','AK','07062','flynnc@emailathome.net',1239885,'763-461-1106',78654,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Constance H. Trevino','P.O. Box 444, 237 Curabitur St.','West Memphis','AK','16614','ctrevino@hitmail.com',1239886,'777-441-8000',33076,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bryar W. Preston','P.O. Box 911, 6888 Vivamus Rd.','Henderson','IN','33540','preston@email.net',1239887,'365-143-4833',98422,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jael B. Hall','9455 Eu St.','Rolling Hills','AK','41174','jhall@widget.com',1239888,'539-566-9602',25857,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ulric L. Mendez','8663 Duis St.','Opelousas','WA','68413',NULL,1239889,'622-175-0216',36895,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Richard M. Phillips','P.O. Box 419, 4461 Nunc Rd.','Cleveland','DC','10489','rphillips@xyz.edu',1239890,'993-524-5996',37666,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando M. Estrada','7896 Sit Avenue','North Pole','AK','23304','estrada@hitmail.com',1239891,'552-542-7931',61675,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Heather C. Brown','190-533 Donec St.','Hawaiian Gardens','AK','19132',NULL,1239892,'547-999-4401',48780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jolene W. Hale','5175 Ultricies Rd.','Oklahoma City','KS','66577','joleneh@xyz.edu',1239893,'582-836-5264',84492,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anika Y. Lara','332-8927 Suspendisse St.','San Angelo','GA','50126','lara@yohaa.com',1239894,'795-276-9024',50715,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler C. Thornton','P.O. Box 444, 4362 Duis Road','Gilette','NY','87537','tyler.thornton@email.net',1239895,'764-459-5355',54198,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Steven U. Wilkinson','7645 Sem Av.','Fayetteville','WA','27036',NULL,1239896,'791-566-9918',65814,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kaitlin B. Huffman','P.O. Box 739, 1289 Aliquam Street','Temple City','NJ','50988','khuffman@yohaa.com',1239897,'914-715-2701',87082,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Deirdre H. Bender','717-8460 Feugiat. Rd.','Grambling','MD','08458','bender@widget.com',1239898,'337-352-9652',53915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Meghan E. Hebert','711-9808 At Rd.','San Juan Capistrano','LA','77376',NULL,1239899,'735-162-3133',92763,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Travis F. Livingston','540-4158 Tellus Avenue','St. Petersburg','DC','52720','travisl@hitmail.com',1239900,'206-932-0033',32225,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Miriam Z. Norris','P.O. Box 246, 1664 Ligula St.','Newburgh','NC','89131','norris@widget.com',1239901,'962-178-0090',24041,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fletcher H. Hansen','631-2797 Sit St.','Lockport','PA','49629',NULL,1239902,'752-723-7917',17954,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Blaine D. Russell','487-2529 Sed St.','Parker','AK','79319','brussell@xyz.edu',1239903,'949-791-3231',30505,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jeremy F. Strong','111-8725 Sapien, Ave','Prescott','MI','46525','jstrong@abc.edu',1239904,'945-884-4848',16626,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rogan E. Weaver','884-5222 Nibh. Av.','Phenix City','VT','35871','roganw@xyz.edu',1239905,'407-343-1266',21655,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camden C. Jacobson','327-2605 A, Road','North Platte','CT','01736','camdenj@yohaa.com',1239906,'618-915-2674',98375,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Janna Y. Barron','P.O. Box 621, 9331 Diam Rd.','Fort Collins','TN','99291','jbarron@abc.edu',1239907,'128-646-5518',33834,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tamekah B. Franco','P.O. Box 971, 8635 Risus. Road','Bartlesville','NE','39339','franco@email.net',1239908,'621-658-2048',73212,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keane V. Pittman','7705 Aliquet St.','Hidden Hills','VA','92036','kpittman@widget.com',1239909,'169-923-0888',23407,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tyler Y. Dunlap','Ap #405-2064 Gravida Av.','Peoria','HI','17319','tyler.dunlap@yohaa.com',1239910,'446-406-3293',28425,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Scott F. Cooper','P.O. Box 354, 2489 Mauris Rd.','Scarborough','NM','84591','scooper@abc.edu',1239911,'901-357-6530',99859,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Garth A. Hamilton','940-473 Elit, Rd.','Jacksonville','HI','87761','ghamilton@abc.edu',1239912,'363-373-5201',100237,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jerome U. Craft','114 Mi Rd.','Chino','CA','51479','jeromec@yohaa.com',1239913,'247-384-5018',70703,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ignatius U. William','1185 Sollicitudin Rd.','Erie','NH','70295','iwilliam@abc.edu',1239914,'443-468-0963',63503,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Micah K. Lancaster','129-2643 Diam Avenue','Sherrill','AL','53333',NULL,1239915,'628-962-3393',38856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Keith T. Powell','P.O. Box 514, 1977 In Street','Medford','MO','58401','kpowell@yohaa.com',1239916,'844-563-4347',77910,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hall X. Bentley','Ap #199-612 Ipsum Av.','Slidell','NH','06755','hallb@widget.com',1239917,'366-101-5739',27380,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rigel U. Owen','Ap #177-5622 Nunc Ave','Henderson','GA','78685','owen@yohaa.com',1239918,'441-606-7172',104353,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armand B. Erickson','591 Amet Avenue','Prescott','NH','93810','aerickson@emailathome.net',1239919,'779-314-3749',62989,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leila U. Oneal','P.O. Box 637, 6272 Fringilla Ave','Ashland','MN','08091',NULL,1239920,'913-792-9052',96941,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uriel J. Dotson','P.O. Box 131, 6905 Donec Avenue','Downey','NY','09017','dotson@hitmail.com',1239921,'119-122-6136',40988,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Shelley D. Tillman','Ap #357-920 Dictum St.','Oxnard','KS','90100','shelleyt@xyz.edu',1239922,'318-328-3599',81693,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon Z. Meadows','P.O. Box 949, 6632 Consequat Rd.','New Castle','HI','55255',NULL,1239923,'456-675-9932',61323,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Duncan E. Cox','P.O. Box 783, 3357 Imperdiet Av.','Eugene','OH','97142','duncan.cox@emailathome.net',1239924,'498-755-3203',34674,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Forrest S. Le','2052 Justo Ave','Mentor','AZ','36825',NULL,1239925,'631-871-6551',104017,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Sade G. Conway','7302 Risus. Rd.','Camden','MO','06299',NULL,1239926,'972-536-6236',102155,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor C. Elliott','202-1322 Volutpat. St.','Seaford','UT','34241','velliott@hitmail.com',1239927,'632-513-0596',87928,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ezekiel R. Garrison','1303 Lorem Rd.','Pasco','CA','81684',NULL,1239928,'219-363-3146',37069,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Victor X. Mcknight','P.O. Box 450, 1710 Euismod Avenue','Santa Monica','DC','25316','victor.mcknight@widget.com',1239929,'902-111-3836',15739,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nicole G. Griffith','P.O. Box 411, 8850 Dui. Avenue','Goose Creek','OR','93618','nicoleg@xyz.edu',1239930,'935-936-9463',39637,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Walter G. Aguilar','Ap #364-3471 Magna. Road','Nome','NY','32126','waguilar@xyz.edu',1239931,'745-779-6056',64268,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chase U. Walker','P.O. Box 808, 3174 Aenean Avenue','Meriden','CA','78101','chase.walker@hitmail.com',1239932,'337-182-7514',78389,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Moana E. Armstrong','109 Eros. Avenue','Thomasville','AL','58875','armstrong@emailathome.net',1239933,'797-811-6298',18412,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jorden L. Wells','412-5076 Nulla Rd.','Independence','IA','32581',NULL,1239934,'467-154-9755',109247,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hope A. Hendrix','161-138 Consectetuer Road','Vicksburg','MA','70603','hopeh@hitmail.com',1239935,'295-552-5065',93823,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Camille V. Calhoun','4794 Ut Rd.','Two Rivers','KS','29456','camille.calhoun@yohaa.com',1239936,'427-736-1824',58211,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Fallon A. Baxter','P.O. Box 968, 7792 A, St.','Parker','SD','17537','baxter@hitmail.com',1239937,'994-412-0582',54256,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amery W. Oconnor','5078 Ullamcorper Ave','Washington','AL','62924','oconnor@abc.edu',1239938,'778-577-9091',27872,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jennifer K. Ward','P.O. Box 781, 3554 Risus. Avenue','Sedalia','NY','63436','jward@yohaa.com',1239939,'561-238-7056',27759,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Joel H. Rollins','Ap #865-7243 Sed, Ave','Saint Albans','NJ','29382','jrollins@hitmail.com',1239940,'818-388-5162',40208,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cullen K. Tucker','Ap #707-4357 Nunc Ave','Green Bay','MT','12731','cullen.tucker@emailathome.net',1239941,'124-943-2207',55568,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Porter S. White','P.O. Box 726, 5726 Dolor. Av.','Rolla','LA','81203',NULL,1239942,'935-169-9011',46173,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cora T. Valencia','967-7500 Non, Av.','Mayag?ez','NC','03494','valencia@bpmpros.com',1239943,'698-634-6026',23022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hashim K. Rowland','P.O. Box 630, 5951 Justo. Ave','New Castle','NV','26429','hrowland@xyz.edu',1239944,'814-513-1467',61327,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Suki O. Harper','8757 Nostra, St.','Tucson','DE','70892','suki.harper@emailathome.net',1239945,'535-526-8771',100060,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Devin R. Robinson','P.O. Box 391, 9248 Dui, Rd.','Durant','IA','42622','drobinson@abc.edu',1239946,'515-959-4763',66795,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Hiram L. Jacobson','P.O. Box 478, 9104 Amet Street','Citrus Heights','OR','06558',NULL,1239947,'272-787-6460',33915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Emerson T. Hart','P.O. Box 434, 1238 Nibh Av.','Flagstaff','SC','58854','emerson.hart@yohaa.com',1239948,'514-786-3720',30061,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Tiger J. Burke','P.O. Box 915, 3838 Pede, Rd.','Fall River','IN','05063','tiger.burke@email.net',1239949,'918-433-0184',98833,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Anastasia B. Jones','247-1208 Elit, Rd.','Little Rock','AK','39344','ajones@widget.com',1239950,'408-427-7598',78915,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhonda O. Evans','Ap #831-3594 Egestas. Ave','York','WI','09239','revans@widget.com',1239951,'684-183-4001',71780,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amelia H. Anthony','7019 Morbi Street','Augusta','MA','44895','amelia.anthony@abc.edu',1239952,'819-787-1955',48856,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melanie O. Madden','Ap #577-4515 Class Rd.','Springfield','LA','76211','mmadden@widget.com',1239953,'217-936-7139',21942,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wang L. Holcomb','8710 Proin Avenue','Moreno Valley','NE','37125','wang.holcomb@bpmpros.com',1239954,'857-978-6712',60051,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Edward K. Meyer','7905 Felis Rd.','Clovis','SD','43446','edward.meyer@email.net',1239955,'269-746-4433',22713,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Aspen J. Holmes','9488 Luctus. Ave','Berlin','NE','76670','aholmes@widget.com',1239956,'924-641-6151',74960,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Venus Y. Le','424-1518 At Rd.','Birmingham','KS','88054','vle@widget.com',1239957,'735-659-2098',31199,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jonas U. Barlow','Ap #494-1691 Est. Rd.','Bowie','SC','13392','jonas.barlow@widget.com',1239958,'457-193-6519',65458,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Bruce S. Rich','Ap #143-3722 Tellus. Av.','Dothan','MS','28542',NULL,1239959,'945-393-3940',59537,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Lucy Z. William','Ap #430-5464 Vitae Ave','Covina','MA','94712',NULL,1239960,'365-209-4028',105717,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Myles L. Velazquez','136-6440 Lectus Avenue','Caguas','MD','80775','myles.velazquez@aulnet',1239961,'598-853-0525',66602,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan M. Hoffman','4824 Mauris Road','Easton','KY','49087',NULL,1239962,'255-714-4997',19429,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Isaac P. Ball','P.O. Box 534, 7086 Feugiat. Rd.','Highland Park','MD','77526',NULL,1239963,'604-858-4729',81845,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Cameron T. Pickett','621-2916 Orci Ave','Hilo','AK','41428',NULL,1239964,'945-648-3078',88343,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Xenos M. Rush','P.O. Box 748, 2943 Metus Rd.','Montgomery','IA','35787','rush@email.net',1239965,'206-241-7990',109477,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Noel T. Torres','P.O. Box 826, 2409 Ridiculus Ave','Lafayette','MT','80016','noelt@abc.edu',1239966,'704-909-0517',61169,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Barrett M. Saunders','P.O. Box 533, 4326 Lacinia Ave','Lawrence','IN','81062',NULL,1239967,'189-883-7937',58336,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Idona Y. Lloyd','377-908 Risus. Road','Overland Park','SC','01183','idona.lloyd@email.net',1239968,'256-235-9286',27390,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Chancellor P. Howard','Ap #195-3544 Suscipit, Avenue','West Bend','MA','29721',NULL,1239969,'915-171-1061',43959,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jordan L. Rivers','P.O. Box 343, 2207 Nec Street','Mequon','ME','79199','jordan.rivers@hitmail.com',1239970,'921-845-8159',39207,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christopher O. Bradley','3720 Massa Av.','Bloomington','AL','50808','christopherb@hitmail.com',1239971,'818-801-8853',82513,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Nathaniel S. Sullivan','5132 Lobortis St.','Saint Paul','NC','75700','nathaniels@yohaa.com',1239972,'892-674-3544',52166,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Galvin S. Woodard','Ap #769-6327 Orci Ave','Paducah','NE','16591',NULL,1239973,'493-294-7771',41265,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Christine R. Mcmillan','626-2829 Ultricies Rd.','West Warwick','KS','80006',NULL,1239974,'798-191-2949',74246,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Dean X. Burris','Ap #986-3336 Ut, Ave','Washington','NH','85575',NULL,1239975,'683-381-3715',82809,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Melissa I. Mack','P.O. Box 426, 4148 Quisque Ave','Santa Clarita','KY','93688','mmack@widget.com',1239976,'254-836-1174',109474,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Stacey S. Berry','P.O. Box 501, 3080 Nibh Rd.','Fairfield','SD','14807',NULL,1239977,'586-741-4866',21005,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Gil B. Brown','7569 Fermentum St.','Sandpoint','SD','00811','gbrown@emailathome.net',1239978,'303-152-6166',78338,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Jermaine H. Goff','638-9228 Ante, Ave','Milford','LA','18428','jermaine.goff@yohaa.com',1239979,'341-543-5942',29128,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Amaya V. Wallace','P.O. Box 153, 9815 Magnis Street','Lawrenceville','NC','05414','wallace@xyz.edu',1239980,'844-294-6362',49682,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Brendan N. Kirby','712-7227 Eu Road','Jeffersonville','OR','36941','brendan.kirby@emailathome.net',1239981,'466-309-4031',52520,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Armando T. Harvey','412-3437 Nulla Avenue','Naperville','AK','77913',NULL,1239982,'955-312-6210',41936,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kimberly R. Cobb','823-4829 Aliquet, Rd.','Port Arthur','DE','18396','kimberly.cobb@emailathome.net',1239983,'319-365-5871',31370,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Teagan L. Copeland','P.O. Box 164, 9646 Interdum. Road','Mobile','UT','02621','copeland@yohaa.com',1239984,'917-327-4920',95661,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Alea A. Clark','441-7650 Ante Road','New Albany','MN','31434','aleac@hitmail.com',1239985,'155-173-2907',103656,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Grace U. Reese','3159 Feugiat Avenue','Fountain Valley','IN','81704','grace.reese@emailathome.net',1239986,'958-464-9602',100453,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Arsenio Q. Garner','804-793 Sit Ave','Gallup','NH','80772','arsenio.garner@xyz.edu',1239987,'587-535-8088',75408,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Wyoming N. Berg','P.O. Box 129, 890 Vehicula Road','Middletown','SD','45525','wberg@widget.com',1239988,'208-785-1290',39142,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Serina X. Silva','855-3097 Elit Avenue','Murrieta','UT','65000','serina.silva@bpmpros.com',1239989,'636-835-4296',64184,NULL);
commit work;
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Timon U. Perez','Ap #602-4764 Dui, Rd.','Billings','MD','21896','timonp@hitmail.com',1239990,'807-544-2887',21977,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Roary P. Hays','522-6843 Nulla. St.','Annapolis','AK','49760','roaryh@yohaa.com',1239991,'667-575-9192',102879,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Rhona Z. Wade','Ap #394-4596 Proin Road','West Hartford','SC','82022','rhona.wade@aulnet',1239992,'893-551-0250',54339,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Katelyn I. Deleon','938-5056 Gravida St.','Victoria','IL','00883',NULL,1239993,'916-809-3694',106762,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Kim J. Holmes','Ap #452-8388 Fusce Ave','Barre','KS','52863',NULL,1239994,'757-764-5728',51832,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Ciara J. Ellison','Ap #837-3794 Auctor, Ave','Kingsport','GA','55418',NULL,1239995,'473-129-7932',75946,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Leah A. Browning','578-847 Ipsum Road','Brownsville','KY','56002',NULL,1239996,'621-993-0227',30736,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Libby U. Aguirre','9612 Cursus. St.','Laughlin','HI','38094',NULL,1239997,'795-857-9461',62022,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Uta G. Huffman','910-2395 Nonummy St.','Hartford','OR','96425','uta.huffman@abc.edu',1239998,'419-114-9719',36121,NULL);
INSERT INTO "CUSTOMER" (name,address,city,state,zipcode,email,customerID,phone,annualIncome,lastOfferDate) VALUES ('Salvador S. Brennan','8490 Eget Rd.','Natchitoches','HI','54044','salvadorb@yohaa.com',1239999,'787-339-1416',51186,NULL);
commit work;




